(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   6972207,     136293]
NotebookOptionsPosition[   6687918,     130557]
NotebookOutlinePosition[   6899380,     134779]
CellTagsIndexPosition[   6896410,     134675]
WindowTitle->6 | Basic Recipes
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 
 CounterBox["Section"],
 StyleBox[" | ", "SectionBar"],
 "Basic Recipes"
}], "Section",
 CellChangeTimes->{
  3.652728456208679*^9, 3.652728527108994*^9, {3.857058804999075*^9, 
   3.857058805747381*^9}},
 CounterAssignments->{{"Section", 5}},
 CellTags->"p: 193",
 CellID->2145722108,ExpressionUUID->"f5b35416-8b79-4b83-9595-837975b116da"],

Cell[TextData[{
 "This chapter uses a data resource from the ",
 ButtonBox["Wolfram Data Repository",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://datarepository.wolframcloud.com/"], None},
  ButtonNote->"https://datarepository.wolframcloud.com/"],
 " (",
 ButtonBox["wolfr.am/WDR",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/wdr"], None},
  ButtonNote->"https://wolfr.am/wdr"],
 "). To access the data, evaluate the following code."
}], "Text",
 CellChangeTimes->{{3.7788541127442904`*^9, 3.778854133414246*^9}, {
  3.8572256490833893`*^9, 3.857225653440201*^9}, {3.858239527815037*^9, 
  3.858239532155394*^9}, {3.858424346644807*^9, 3.858424359458304*^9}, {
  3.881405116028925*^9, 3.881405126665286*^9}, {3.882456298753354*^9, 
  3.88245631151073*^9}, {3.882456386237452*^9, 3.882456411907556*^9}, {
  3.882456487016274*^9, 3.882456505810841*^9}, {3.882459233780246*^9, 
  3.88245923595151*^9}, {3.888936169521945*^9, 3.888936169523967*^9}, {
  3.898091842640189*^9, 3.898091843278507*^9}},
 CellID->1568556788,ExpressionUUID->"306bfa5f-aaf1-47d7-a600-c8e60515ebc9"],

Cell[TextData[{
 "Acquire the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " from the Wolfram Data Repository: "
}], "CodeCaption",
 CellChangeTimes->{{3.77549691973217*^9, 3.775496924283777*^9}, {
  3.888932934911173*^9, 3.888932972321426*^9}, {3.8889358606099052`*^9, 
  3.888935860612075*^9}},
 CellID->336964028,ExpressionUUID->"9de47b7c-e44b-4055-bfcd-d4443e1e090d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ro", "=", 
  RowBox[{
  "ResourceObject", "[", "\"\<Sample Data for Query Book\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.888932859088291*^9, 3.8889328965549097`*^9}},
 CellLabel->"In[3]:=",
 CellID->443800812,ExpressionUUID->"f13f4f0a-7275-4c94-a2ef-9f2213f58f2f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["ResourceObject",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxOpener"], 
               ImageSizeCache -> {12., {0., 12.}}], Appearance -> None, 
              BaseStyle -> {}, ButtonFunction :> (Typeset`open$$ = True), 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm], 
                    ImageSizeCache -> {466., {2.2265625, 8.94140625}}], 
                    Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}}, AutoDelete -> False, 
             BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True -> 
        GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxCloser"]], 
              Appearance -> None, BaseStyle -> {}, 
              ButtonFunction :> (Typeset`open$$ = False), Evaluator -> 
              Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm]],
                     Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}, {
               RowBox[{
                 TagBox["\"Categories: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Astronomy\"", "\"History\"", 
                    "\"Human Activities\""}, "RowWithSeparators"], Short], 
                  "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"ContentTypes: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Text\"", "\"Numerical Data\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Keywords: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{",", "\",\"", "\"Dataset\"", "\"Query\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Documentation: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "\"https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"], "SummaryItem"]}], 
               ""}, {
               RowBox[{
                 TagBox["\"Data Location: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  DynamicModuleBox[{
                   ResourceSystemClient`Private`typesetstorage$$ = 
                    ResourceSystemClient`Private`typesetstorageLocation, 
                    ResourceSystemClient`Private`info$$}, 
                   DynamicBox[
                    ToBoxes[
                    ResourceSystemClient`Private`info$$ = 
                    ResourceSystemClient`Private`resourceInfo[
                    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7"]; If[
                    AssociationQ[ResourceSystemClient`Private`info$$], 
                    ResourceSystemClient`Private`typesetstorage$$[
                    Lookup[
                    ResourceSystemClient`Private`info$$, 
                    "ContentElementLocations", None]], 
                    Missing["NotAvailable"]], StandardForm]], 
                   DynamicModuleValues :> {}], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"UUID: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                 "\"bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7\"", "SummaryItem"]}],
                ""}, {
               RowBox[{
                 TagBox["\"Version: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"1.0.1\"", "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Size: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "918.7280000000001`", "\"kB\"", "kilobytes", 
                    "\"Kilobytes\""}, "Quantity"], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   RowBox[{"\"aAssociation\"", ",", "\"Content\"", ",", 
                    RowBox[{"\[LeftSkeleton]", "20", "\[RightSkeleton]"}], 
                    ",", "\"Titanic List of Associations\"", ",", 
                    "\"Titanic List of Associations Dataset\""}], 
                   Short[#, 2]& ], "SummaryItem"]}], ""}}, AutoDelete -> 
             False, BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  ResourceObject[<|
   "Name" -> "Sample Data for Query Book", "UUID" -> 
    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7", "ResourceType" -> "DataResource", 
    "Version" -> "1.0.1", "Description" -> 
    "Data to support the Wolfram Media book Query: Getting Information from \
Data with the Wolfram Language", "RepositoryLocation" -> 
    URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
    "ContentSize" -> Quantity[918.7280000000001, "Kilobytes"], 
    "ContentElements" -> {
     "aAssociation", "Content", "Dinghy Association of Associations", 
      "Dinghy Association of Associations Dataset", 
      "Dinghy List of Associations", "Dinghy List of Associations Dataset", 
      "Eastern Cities List", "IDWeight List of Associations", 
      "Lifeboat List of Associations", 
      "Lifeboat List of Associations Dataset", "Mars Association", 
      "MLS List of Associations", "MLS List of Associations Dataset", 
      "MLS List of Lists", "MLS List of Lists Dataset", 
      "Planets Deeply Nested Structure", 
      "Planets Deeply Nested Structure Dataset", "Pops List", 
      "Titanic Cabins 2 List of Associations", 
      "Titanic Cabins 2 List of Associations Dataset", 
      "Titanic Cabins List of Associations", 
      "Titanic Cabins List of Associations Dataset", 
      "Titanic List of Associations", 
      "Titanic List of Associations Dataset"}|>, {
   ResourceSystemBase -> 
    "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.888932908054226*^9, 3.888933667462413*^9, 3.89946053551606*^9, 
   3.899480149933816*^9, {3.899544850701754*^9, 3.8995448729630527`*^9}},
 CellLabel->"Out[3]=",
 CellID->1590202819,ExpressionUUID->"02a816e9-e7f4-4ee4-b5e4-6d8c69bb25c7"]
}, Open  ]],

Cell["\<\
You can also evaluate this piece of code, which will result in the default \
number of rows in Datasets being 8 instead of the usual 20:\
\>", "CodeText",
 CellChangeTimes->{{3.866978400442717*^9, 3.8669784100067377`*^9}, {
  3.866978818251377*^9, 3.8669788285250387`*^9}, {3.880552189268874*^9, 
  3.880552189551915*^9}, {3.8812271589427557`*^9, 3.881227160792282*^9}},
 CellID->1042232263,ExpressionUUID->"57f319c6-8659-454e-abf7-3b1b7ae0fdbe"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Dataset", ",", 
    RowBox[{"MaxItems", "\[Rule]", "8"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.865603058322551*^9, 3.8656030834204903`*^9}, {
  3.880552191341033*^9, 3.880552191599393*^9}},
 CellLabel->"In[3]:=",
 CellID->1457046614,ExpressionUUID->"2d28787d-23e1-43ff-9c11-9d207abfd982"],

Cell[CellGroupData[{

Cell["Introduction", "Subsection",
 CellChangeTimes->{{3.740313985581559*^9, 3.740313989770852*^9}},
 CellID->160303067,ExpressionUUID->"790f416e-36fd-4218-b3f1-859efd62a44e"],

Cell[TextData[{
 "In this chapter, I provide basic recipes that work on a variety of issues \
that I have confronted in the real world of data analysis. Some of these you \
may be able to use almost as is without significant alteration. Others will \
require some understanding of the underlying concepts presented in this book. \
I highly recommend that impatient readers \[OpenCurlyDoubleQuote]",
 ButtonBox["Riffle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Riffle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Riffle.html"],
 "\[CloseCurlyDoubleQuote]: interleave review of this chapter with the more \
generalized knowledge found in earlier chapters. I\[CloseCurlyQuote]ve broken \
down the recipes into two chapters. This chapter deals with recipes that tend \
to be simpler. The next chapter deals with more advanced ones. "
}], "Text",
 CellChangeTimes->{{3.74031051053517*^9, 3.740310523210421*^9}, {
   3.749409405366293*^9, 3.749409412059149*^9}, {3.749413150594379*^9, 
   3.7494131509979963`*^9}, {3.768737954981221*^9, 3.768737955397326*^9}, {
   3.768849353160533*^9, 3.7688494183443117`*^9}, {3.7700295327090483`*^9, 
   3.7700295986682377`*^9}, {3.7701083804817123`*^9, 
   3.7701084226939077`*^9}, {3.770132270657276*^9, 3.770132313830205*^9}, {
   3.770193037512389*^9, 3.77019307394446*^9}, {3.78569501734401*^9, 
   3.7856950359340096`*^9}, 3.816349206561665*^9, 3.816349255666442*^9, 
   3.816349389033121*^9, 3.8163496980486307`*^9, {3.866978865412166*^9, 
   3.866978869644146*^9}, {3.866978951047312*^9, 3.866978985649292*^9}},
 CellID->304857126,ExpressionUUID->"775c1327-d353-44a4-8c02-c691f390f7e0"],

Cell[TextData[{
 "The data for this chapter is stored in a ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " named ",
 Cell[BoxData[
 "ro"], "InlineCodeText",ExpressionUUID->
  "52a1ed87-f700-466d-9e95-f5337b7312fd"],
 " that I retrieved at the start of this notebook. I\[CloseCurlyQuote]m going \
to make extensive use of the imaginary lifeboat from the Titanic. I load it \
now. "
}], "Text",
 CellChangeTimes->{{3.74031051053517*^9, 3.740310523210421*^9}, {
   3.749409405366293*^9, 3.749409412059149*^9}, {3.749413150594379*^9, 
   3.7494131509979963`*^9}, {3.768737954981221*^9, 3.768737955397326*^9}, {
   3.768849353160533*^9, 3.768849423310801*^9}, {3.768905489244693*^9, 
   3.768905524805953*^9}, 3.76890632611418*^9, {3.771930787923663*^9, 
   3.7719308267401533`*^9}, {3.7719314780435133`*^9, 
   3.7719314784576473`*^9}, {3.78569507002301*^9, 3.7856951134450097`*^9}, 
   3.7857666869677258`*^9, {3.7857667178278112`*^9, 3.7857667514431725`*^9}, 
   3.78672225121916*^9},
 CellTags->"LastCellOfAPage",
 CellID->525338625,ExpressionUUID->"ee7c7c53-4654-4d87-a23b-8e727ccddcd9"],

Cell["Load the lifeboat data:", "CodeText",
 CellChangeTimes->{{3.7702174278860273`*^9, 3.7702174332904177`*^9}, 
   3.7857668651775446`*^9},
 CellTags->"p: 194",
 CellID->2011985228,ExpressionUUID->"da9975e2-1307-41e3-8d36-e77d37f90d7b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lifeboatDS", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Lifeboat List of Associations Dataset\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7687351528603*^9, 3.7687351933078527`*^9}, {
   3.768735364605095*^9, 3.768735366021532*^9}, 3.7687354462172413`*^9, {
   3.768904862695846*^9, 3.768904863007269*^9}, {3.7700305119299793`*^9, 
   3.770030518351186*^9}, {3.7719306119170923`*^9, 3.771930615139145*^9}},
 CellLabel->"In[22]:=",
 CellID->446804051,ExpressionUUID->"eea8f72e-9d1c-4fe7-938f-979c29643242"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "821a7f9a-55c8-4995-a8c9-2ca457c5938e"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.768735195247138*^9, 3.768735323424034*^9, 3.768735446887259*^9, 
   3.7687364996466503`*^9, 3.768737561407604*^9, {3.768737938614688*^9, 
   3.768737969596796*^9}, {3.76873852350095*^9, 3.7687385279486856`*^9}, 
   3.768768718805442*^9, 3.768819309539147*^9, 3.768821464784759*^9, 
   3.7688217080064077`*^9, 3.768829224363661*^9, 3.768833285630712*^9, 
   3.768833326441978*^9, 3.768833409564439*^9, 3.768833544572432*^9, 
   3.768849456324551*^9, {3.768904863972876*^9, 3.7689048770797663`*^9}, 
   3.768905449749215*^9, 3.7689057422939663`*^9, 3.770030471754039*^9, {
   3.770030519273395*^9, 3.770030523013714*^9}, 3.7701084877408743`*^9, 
   3.7701225818910627`*^9, 3.770212769957068*^9, 3.770289123292123*^9, 
   3.7719308393989563`*^9, 3.816349492685204*^9, 3.86697912541798*^9, {
   3.867140983254283*^9, 3.8671410065617723`*^9}, 3.867331563207574*^9, 
   3.869146392277171*^9, 3.869236672434531*^9, 3.870361826830492*^9, 
   3.881757038278987*^9, {3.882460122640233*^9, 3.882460129691883*^9}},
 CellLabel->"Out[22]=",
 CellID->1123598229,ExpressionUUID->"7a35310b-35b7-4d75-8c9c-4a7fe5fbdc59"]
}, Open  ]],

Cell[TextData[{
 "I also load up the Titanic ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", which I will use a lot as well."
}], "Text",
 CellChangeTimes->{{3.7701375192773952`*^9, 3.770137537588928*^9}, {
   3.7857669231873455`*^9, 3.7857669276257887`*^9}, 3.868019820587598*^9},
 CellID->1541682259,ExpressionUUID->"4b3d26d4-3430-4203-9222-3315b54dcbe6"],

Cell["Load the Titanic data:", "CodeText",
 CellChangeTimes->{{3.770217436410421*^9, 3.770217441273141*^9}, 
   3.7857669364826746`*^9},
 CellID->1527873072,ExpressionUUID->"00846ec2-2f8b-4ac1-8dcc-ae7b1a83c454"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"titanicDS", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Titanic List of Associations Dataset\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.770137541797083*^9, 3.770137556313211*^9}, {
  3.7719306303757753`*^9, 3.7719306355759697`*^9}},
 CellLabel->"In[7]:=",
 CellID->897988960,ExpressionUUID->"cb0f50a8-2a61-4071-ae15-d899f00751b9"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 80, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 11, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 76, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 70, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 13, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 6, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 67, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 12, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 38, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 62, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 7, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 63, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 60, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 57, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 13, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 70, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 59, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 12, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 66, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False|>,
        <|"class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 59, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 74, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 63, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> False|>},
      "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 1309], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 1309], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     1309, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["29"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["30"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["25"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["63"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["39"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15d69828-c42b-4efd-9347-c202382da049"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 1309, 1], {1, 1309 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 1309, 1], {1, 1309 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 1309, 1], {1, 1309 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 1309, 1], {1, 1309 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.770137558328677*^9, 3.77021277184743*^9, 3.770289123747787*^9, 
   3.771930839989068*^9, 3.816349520195587*^9, {3.86697911802875*^9, 
   3.866979128426425*^9}, 3.8671410122017736`*^9, 3.867331601223536*^9, 
   3.8691462907805357`*^9, 3.869146398272789*^9, 3.869236673529516*^9, 
   3.87036092194413*^9, 3.8817571161748047`*^9, 3.882461596622449*^9, {
   3.882617088743567*^9, 3.88261710027423*^9}},
 CellLabel->"Out[7]=",
 CellID->147860689,ExpressionUUID->"80d7f00f-1884-4ed6-838c-419118425209"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Get the Dimensions of a ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellID->1269882970,ExpressionUUID->"cc58cdf1-a8b2-465a-808f-69c5aa66e834"],

Cell[TextData[{
 "Use ",
 ButtonBox["Dimensions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dimensions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dimensions.html"],
 " to get information on the dimensionality of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.770212034542818*^9, 3.7702120817012463`*^9}, {
   3.7702122759645557`*^9, 3.770212333279093*^9}, {3.785769828168195*^9, 
   3.7857698426341944`*^9}, 3.816527424673468*^9, {3.86697924167138*^9, 
   3.866979279697105*^9}, {3.866980862789056*^9, 3.8669810090408497`*^9}, {
   3.866981570002906*^9, 3.8669815815580378`*^9}, 3.868019876157728*^9, {
   3.873818321778154*^9, 3.87381832195673*^9}},
 CellTags->"i:1",
 CellID->943032812,ExpressionUUID->"2e82c787-ddb0-46ee-aa3d-888cb5a8ef26"],

Cell[TextData[{
 "Get the dimensions of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770217450048986*^9, 3.770217454652639*^9}, 
   3.7857698805531945`*^9, 3.8680198826453133`*^9},
 CellID->1717994317,ExpressionUUID->"8119997c-bd08-45a8-97ba-ea85574a7800"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.770212084187743*^9, 3.770212090335957*^9}, {
  3.8163500871143208`*^9, 3.816350114435584*^9}, {3.866982027497637*^9, 
  3.866982028758698*^9}},
 CellLabel->"In[5]:=",
 CellID->275169741,ExpressionUUID->"6a6ba56a-6b59-42f2-8354-4b6d8f1c4bec"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"22", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.770212091510738*^9, 3.770212772073019*^9, 
  3.770289123866049*^9, 3.7719308401038513`*^9, 3.816350090132086*^9, 
  3.816527514443102*^9, 3.8669791362821503`*^9, 3.866979374391625*^9, 
  3.866982029200247*^9, 3.867141015577702*^9, 3.869236673936268*^9, 
  3.881757129683115*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[5]=",
 CellID->1050166789,ExpressionUUID->"ba41ecf2-458e-4b1a-a110-4b65e64fe8ef"]
}, Open  ]],

Cell[TextData[{
 "If the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is \[OpenCurlyDoubleQuote]highly regular,\[CloseCurlyDoubleQuote] meaning \
that the number of elements at each level is the same and the order of keys \
in any ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " at the lower levels is the same, the dimensions of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " will be the same as the dimensions of the underlying values in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.866981503422618*^9, 3.866981534117392*^9}, {
   3.866981591391615*^9, 3.8669816571546926`*^9}, {3.866981809725094*^9, 
   3.866981813212426*^9}, {3.867140268639189*^9, 3.867140291558023*^9}, 
   3.8738206942779875`*^9},
 CellTags->{"i:2", "p: 195"},
 CellID->2117004131,ExpressionUUID->"2d92404b-1b0d-43e9-81f0-52220707e7e3"],

Cell[TextData[{
 "Use ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " to convert an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ", use ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " to turn the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists, and get its dimensions:"
}], "CodeText",
 CellChangeTimes->{{3.869145020007958*^9, 3.8691450967954693`*^9}, 
   3.896358004210712*^9},
 CellID->1352818128,ExpressionUUID->"0c2d2e5e-c8da-4296-b49d-1eea465f2534"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", 
  RowBox[{"Normal", "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", "Values"}], "]"}], "[", "lifeboatDS", "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.866981659520829*^9, 3.8669816764396963`*^9}, {
  3.866982033330579*^9, 3.86698203463177*^9}},
 CellLabel->"In[6]:=",
 CellID->1325226904,ExpressionUUID->"b155f81e-296d-45f1-96d0-eb3d490f5dcb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"22", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{{3.866981665902783*^9, 3.866981676648191*^9}, 
   3.8669820350807858`*^9, 3.869236673953741*^9, 3.8817571365287933`*^9},
 CellLabel->"Out[6]=",
 CellID->2063449339,ExpressionUUID->"3eb9b6e4-93ea-4ad9-be0d-02ceedab6021"]
}, Open  ]],

Cell[TextData[{
 "If, however, the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is not highly regular, ",
 ButtonBox["Dimensions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dimensions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dimensions.html"],
 " will yield a different result. Here, for example, is a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " extremely similar to ",
 Cell[BoxData[
 "titanicDS"], "InlineCodeText",ExpressionUUID->
  "3fa21d7b-869d-4c76-9fd7-bba1b6b53306"],
 " except that the order of the keys in the second row has been scrambled."
}], "Text",
 CellChangeTimes->{{3.8669816800625477`*^9, 3.8669816947078342`*^9}, {
  3.866981816992779*^9, 3.866981854804696*^9}, {3.867140296340163*^9, 
  3.8671403045950193`*^9}, {3.8671409584836407`*^9, 3.867140959350807*^9}},
 CellID->986082779,ExpressionUUID->"0ec156ab-d4d0-4b29-ba9d-3691e35aa793"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " with ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " to alter the order of key-value pairs in just one of the Associations in a \
",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "; show the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of the resulting ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.869145115836741*^9, 3.869145189802289*^9}, {
  3.8701848723155107`*^9, 3.870184876408587*^9}, {3.870184908395862*^9, 
  3.870184929376213*^9}, {3.870360067596632*^9, 3.870360076650692*^9}},
 CellID->876912779,ExpressionUUID->"01a15651-04a0-42e8-8c86-b3e5b338d7d0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"scrambledLifeboatData", "=", 
    RowBox[{"Normal", "[", 
     RowBox[{
      RowBox[{"Query", "[", 
       RowBox[{"MapAt", "[", 
        RowBox[{
         RowBox[{"KeyTake", "[", 
          RowBox[{"{", 
           RowBox[{
           "\"\<age\>\"", ",", "\"\<survived\>\"", ",", "\"\<class\>\"", ",", 
            "\"\<sex\>\""}], "}"}], "]"}], ",", "2"}], "]"}], "]"}], "[", 
      "lifeboatDS", "]"}], "]"}]}], ")"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.8669818634052057`*^9, 3.866981946691701*^9}, {
  3.866982039483889*^9, 3.86698204804396*^9}, {3.867140962638775*^9, 
  3.8671409627949247`*^9}},
 CellLabel->"In[23]:=",
 CellID->1343117847,ExpressionUUID->"d3fbbddf-80aa-42e0-8527-8bdea7e66f29"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}], ",", 
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftSkeleton]", "17", "\[RightSkeleton]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"2nd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", 
       RowBox[{"Missing", "[", "]"}]}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"2nd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "50"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}]}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{3.882460165731387*^9},
 CellLabel->"Out[24]//Short=",
 CellID->2107805297,ExpressionUUID->"5287f693-a121-4969-af80-49ee8cd2a420"]
}, Open  ]],

Cell[TextData[{
 "I now convert this ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations into a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". Notice that the data \[OpenCurlyDoubleQuote]looks\[CloseCurlyDoubleQuote] \
regular. The column order is consistent and there are four columns in each \
row."
}], "Text",
 CellChangeTimes->{{3.866981951388558*^9, 3.866982016632208*^9}, {
  3.867140314504706*^9, 3.8671403234697723`*^9}, {3.873880166371151*^9, 
  3.873880167570488*^9}},
 CellID->1339881960,ExpressionUUID->"03c869ed-0968-4ba7-b2a0-29c4c5fe3f58"],

Cell[TextData[{
 "Wrap ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " around the data structure:"
}], "CodeText",
 CellChangeTimes->{{3.8691452005075827`*^9, 3.869145211970214*^9}},
 CellID->1598021815,ExpressionUUID->"060871b3-d382-4e7e-9e73-01e500105ff2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", "scrambledLifeboatData", "]"}]], "Input",
 CellChangeTimes->{{3.866981972975274*^9, 3.866981987383548*^9}, {
  3.866982053355298*^9, 3.866982054464746*^9}},
 CellLabel->"In[8]:=",
 CellID->1128004094,ExpressionUUID->"8c5c1b9a-b98b-401e-941d-07e7bd7d6963"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "age" -> 65, "survived" -> False, "class" -> "1st", "sex" -> 
        "male"|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cf7f03ca-9969-4eca-862c-4e8cc13a8a44"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.866981988000107*^9, 3.8669820548707943`*^9, 
  3.86714112785537*^9, 3.881757170465146*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[8]=",
 CellID->424199924,ExpressionUUID->"bf6c4a25-2851-40e1-a6d6-af2523a8c50f"]
}, Open  ]],

Cell[TextData[{
 "But if I take its dimensions now, I get something perhaps unexpected. \
Because the order of the keys is not consistent, the Wolfram Language does \
not recognize it as being ",
 Cell[BoxData[
  FormBox[
   RowBox[{"22", "\[Times]", "4"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"15474c40-b407-40ec-8549-6353b7d5a231"],
 "."
}], "Text",
 CellTags->"p: 196",
 CellID->1938699959,ExpressionUUID->"11826430-7639-4456-b2c7-fe9e86ece7e8"],

Cell[TextData[{
 "Use ",
 ButtonBox["Dimensions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dimensions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dimensions.html"],
 " to get the dimensionality of the resulting ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.869145225282106*^9, 3.8691452410828457`*^9}, 
   3.870184992741006*^9},
 CellID->592709300,ExpressionUUID->"b617e675-e0f9-4329-9b13-aed3d8a08703"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", 
  RowBox[{"Dataset", "[", "scrambledLifeboatData", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.866982078577962*^9, 3.8669820838227797`*^9}},
 CellLabel->"In[9]:=",
 CellID->2020710573,ExpressionUUID->"6ea314aa-9bd6-4b04-93fb-71bd6dade363"],

Cell[BoxData[
 RowBox[{"{", "22", "}"}]], "Output",
 CellChangeTimes->{3.866982084516501*^9, 3.8671411309618692`*^9, 
  3.881757180462564*^9},
 CellLabel->"Out[9]=",
 CellID->224448895,ExpressionUUID->"40b131c4-2310-4211-80b5-5b51acb2562a"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s another example of where the order of the keys \
matters in the output of ",
 ButtonBox["Dimensions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dimensions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dimensions.html"],
 " on a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". Here, I use ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " to retrieve only those passengers on the Titanic for whom the age is known \
and then use ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " to break them down by sex, cabin class and age group (",
 Cell[BoxData[
 "\"\<child\>\""], "InlineCodeText",ExpressionUUID->
  "0c6f8fea-c734-4a05-98e4-4bee9202ac0b"],
 ", ",
 Cell[BoxData[
 "\"\<adult\>\""], "InlineCodeText",ExpressionUUID->
  "127a779a-2575-4fe5-af5d-308fa66a7418"],
 " or missing), but I don\[CloseCurlyQuote]t sort the age groupings."
}], "Text",
 CellChangeTimes->{{3.86698215611043*^9, 3.866982183779951*^9}, {
  3.8669847993719254`*^9, 3.8669848036351357`*^9}, {3.8669848343346653`*^9, 
  3.86698491448009*^9}, {3.867140336670384*^9, 3.86714034854056*^9}, {
  3.8671414467867107`*^9, 3.867141464361679*^9}, {3.867141495568358*^9, 
  3.867141516176449*^9}, {3.8680200030021477`*^9, 3.868020004067178*^9}, {
  3.868020036365025*^9, 3.868020097288369*^9}, {3.8703602512644567`*^9, 
  3.870360307414496*^9}, {3.870360357615693*^9, 3.870360367764942*^9}, {
  3.873880265418082*^9, 3.8738802663221893`*^9}, {3.874063873261985*^9, 
  3.8740638875910263`*^9}},
 CellID->901802392,ExpressionUUID->"638af9be-b4cf-4df6-a0b9-11c854184f16"],

Cell[TextData[{
 "Four arguments to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " produce a dataset with three levels:"
}], "CodeText",
 CellChangeTimes->{{3.870360187454939*^9, 3.870360229851658*^9}, 
   3.8738808261475925`*^9},
 CellID->1632051155,ExpressionUUID->"17fcbf96-4bb8-4fe9-b178-86434b725fc3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"bySexClassAge", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"Not", "[", 
          RowBox[{"MissingQ", "[", "#age", "]"}], "]"}], "&"}], "]"}], ")"}], 
      "/*", 
      RowBox[{"GroupBy", "[", 
       RowBox[{"#sex", "&"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"GroupBy", "[", 
       RowBox[{"#class", "&"}], "]"}], "/*", "KeySort"}], ",", 
     RowBox[{"GroupBy", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#age", "\[LessEqual]", "18"}], ",", "\"\<child\>\"", ",", 
         "\"\<adult\>\""}], "]"}], "&"}], "]"}], ",", "Length"}], "]"}], "[", 
   "titanicDS", "]"}]}]], "Input",
 CellChangeTimes->{{3.867140369052075*^9, 3.8671403947855473`*^9}, {
  3.867141142746593*^9, 3.867141185324852*^9}, {3.8671412497392273`*^9, 
  3.8671413209055157`*^9}, {3.8671413536722803`*^9, 3.867141438472849*^9}, {
  3.867141473879793*^9, 3.8671414853179417`*^9}, {3.8671415227029877`*^9, 
  3.867141527451006*^9}},
 CellLabel->"In[10]:=",
 CellID->951392073,ExpressionUUID->"187e3bc7-fa17-4577-af48-48791739f4dd"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "female" -> <|
        "1st" -> <|"adult" -> 120, "child" -> 13|>, 
         "2nd" -> <|"adult" -> 82, "child" -> 21|>, 
         "3rd" -> <|"adult" -> 94, "child" -> 58|>|>, 
       "male" -> <|
        "1st" -> <|"child" -> 8, "adult" -> 143|>, 
         "2nd" -> <|"adult" -> 137, "child" -> 21|>, 
         "3rd" -> <|"adult" -> 277, "child" -> 72|>|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[0]} -> 1, {All, "1st"} -> 
        2, {All, "2nd"} -> 2, {All, "3rd"} -> 2|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "1st" -> TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[52.5], 
                 TypeSystem`PackageScope`AtomShape[34]]], 2, 
               DirectedInfinity[1], {All, "1st"}], "2nd" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[52.5], 
                 TypeSystem`PackageScope`AtomShape[34]]], 2, 
               DirectedInfinity[1], {All, "2nd"}], "3rd" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[52.5], 
                 TypeSystem`PackageScope`AtomShape[34]]], 2, 
               DirectedInfinity[1], {All, "3rd"}]|>], 
           DirectedInfinity[1], 3, {All}]]], 2, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"1st", "2nd", "3rd"}, {
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["adult", "child"]], 
          TypeSystem`Atom[Integer], 2], 
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["adult", "child"]], 
          TypeSystem`Atom[Integer], 2], 
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["adult", "child"]], 
          TypeSystem`Atom[Integer], 2]}], 2], "Meta" -> <||>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[0]} -> 1, {All, "1st"} -> 
        2, {All, "2nd"} -> 2, {All, "3rd"} -> 2|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "1st" -> TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[52.5], 
                 TypeSystem`PackageScope`AtomShape[34]]], 2, 
               DirectedInfinity[1], {All, "1st"}], "2nd" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[52.5], 
                 TypeSystem`PackageScope`AtomShape[34]]], 2, 
               DirectedInfinity[1], {All, "2nd"}], "3rd" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[52.5], 
                 TypeSystem`PackageScope`AtomShape[34]]], 2, 
               DirectedInfinity[1], {All, "3rd"}]|>], 
           DirectedInfinity[1], 3, {All}]]], 2, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"1st", "2nd", "3rd"}, {
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["adult", "child"]], 
          TypeSystem`Atom[Integer], 2], 
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["adult", "child"]], 
          TypeSystem`Atom[Integer], 2], 
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["adult", "child"]], 
          TypeSystem`Atom[Integer], 2]}], 2], "Path" -> {}, 
     "DisplayedRowCount" -> 2, "DisplayedColumnCount" -> 3, "DataRowCount" -> 
     2, "DataColumnCount" -> 3, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "1st"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{All, "1st"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], SpanFromLeft, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "2nd"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{All, "2nd"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], SpanFromLeft, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "3rd"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{All, "3rd"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], 
            SpanFromLeft}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"], 
                    Key["1st"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["1st"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["120"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["1st"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"], 
                    Key["2nd"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["2nd"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["82"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["2nd"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"], 
                    Key["3rd"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["3rd"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["94"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["3rd"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"], 
                    Key["1st"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["1st"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["13"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["1st"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"], 
                    Key["2nd"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["2nd"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["21"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["2nd"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"], 
                    Key["3rd"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["3rd"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["58"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["female"], 
                 Key["3rd"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"], 
                    Key["1st"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["1st"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["8"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["1st"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"], 
                    Key["2nd"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["2nd"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["137"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["2nd"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"], 
                    Key["3rd"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["3rd"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["277"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["3rd"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"], 
                    Key["1st"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["1st"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["143"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["1st"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"], 
                    Key["2nd"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["2nd"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["21"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["2nd"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"], 
                    Key["3rd"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["3rd"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["72"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d6e1ed05-7bb2-4543-8327-0dd656e0a963"]][{
                 Key["male"], 
                 Key["3rd"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{387., {73.3837890625, 80.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{387., {73.3837890625, 80.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8671411858624763`*^9, {3.867141303390347*^9, 3.867141321277547*^9}, {
   3.867141395891466*^9, 3.867141439003043*^9}, {3.867141475821588*^9, 
   3.867141485756092*^9}, 3.86714152798001*^9, 3.881757185820888*^9},
 CellLabel->"Out[10]=",
 CellID->1337440322,ExpressionUUID->"ddbc61b7-6cd8-4327-a416-5f022d60da22"]
}, Open  ]],

Cell[TextData[{
 "I now take its dimensions. It says it is ",
 Cell[BoxData[
  RowBox[{"2", "\[Times]", "3"}]], "InlineMath",ExpressionUUID->
  "0f2b3417-cb1f-4b2f-9ad6-ed47e3fd6d90"],
 ":"
}], "CodeText",
 CellID->21458094,ExpressionUUID->"15968342-069a-4498-8980-e80278c30a69"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "bySexClassAge", "]"}]], "Input",
 CellChangeTimes->{{3.867141531863102*^9, 3.867141534449256*^9}},
 CellLabel->"In[11]:=",
 CellID->1174160367,ExpressionUUID->"baaa189e-bd44-49a8-937b-5ccf22407401"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{3.8671415349240026`*^9, 3.881757198760034*^9},
 CellLabel->"Out[11]=",
 CellID->905033331,ExpressionUUID->"f62760fc-2841-4b4c-bf87-79a10b8459aa"]
}, Open  ]],

Cell[TextData[{
 "If, however, the ages are sorted so that they consistently appear in order \
as ",
 Cell[BoxData[
 "\"\<adult\>\""], "InlineCodeText",ExpressionUUID->
  "132aaaf4-cb4b-4a9c-baae-62ef9822a4ed"],
 " and ",
 Cell[BoxData[
 "\"\<child\>\""], "InlineCodeText",ExpressionUUID->
  "79a55b49-4b4b-4ed3-960e-35e4d4d0fb3f"],
 ", the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is found to have ",
 ButtonBox["Dimensions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dimensions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dimensions.html"],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Times]", "3", "\[Times]", "2"}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"5c80a6a6-0128-4c29-9ba3-842ef6511895"],
 "."
}], "Text",
 CellID->350024394,ExpressionUUID->"7e1b7216-c4d5-4bb8-81b5-d56c3dae46ca"],

Cell[TextData[{
 "Applying ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " at a low level of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " permits the Wolfram Language kernel to see the dimensions of the result as \
more regular:"
}], "CodeText",
 CellChangeTimes->{{3.8691454250957527`*^9, 3.869145453931962*^9}, {
  3.870185125343217*^9, 3.8701851511373243`*^9}, {3.896360850537271*^9, 
  3.896360851590708*^9}},
 CellID->1550490062,ExpressionUUID->"b9e1e7de-725f-4fad-a63c-fd3916a78b13"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", "All", ",", "KeySort"}], "]"}], "[", "bySexClassAge", 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8669849278222227`*^9, 3.866984952210001*^9}, {
  3.867141551075238*^9, 3.867141569770364*^9}},
 CellLabel->"In[12]:=",
 CellID->972293364,ExpressionUUID->"1176a212-3536-4a82-81a5-8defb0704624"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{
  3.866984940524371*^9, 3.866984991506917*^9, {3.8671415637661467`*^9, 
   3.867141569989119*^9}, 3.8817572028399982`*^9},
 CellLabel->"Out[12]=",
 CellID->1433443516,ExpressionUUID->"0c891a8b-339f-444b-ba57-dc5fa403378d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Rename All of the Columns", "Subsection",
 CellChangeTimes->{{3.740321267897602*^9, 3.740321275670375*^9}, {
  3.74179274248244*^9, 3.7417927467569437`*^9}, {3.7494902089052677`*^9, 
  3.74949020963656*^9}, {3.770123054327517*^9, 3.770123058351164*^9}, {
  3.77012312255272*^9, 3.770123122969598*^9}, {3.770123200204373*^9, 
  3.7701232068687677`*^9}, {3.770123552475107*^9, 3.770123555166875*^9}, {
  3.7857671291159363`*^9, 3.785767129243949*^9}},
 CellID->162569137,ExpressionUUID->"6cb8f62f-cf5b-41da-81bf-06ab104313fa"],

Cell[TextData[{
 "The ",
 ButtonBox["Wolfram Language documentation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/"], None},
  ButtonNote->"https://reference.wolfram.com/language/"],
 " contains a recommended way of renaming columns. It has the virtue of \
efficiency but relies on coding constructs whose meanings remain somewhat \
obscure. The idea is to form an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " in which the keys are the ",
 StyleBox["new",
  FontSlant->"Italic"],
 " column names and the values are the ",
 StyleBox["old",
  FontSlant->"Italic"],
 " column names. This is somewhat backwards from the syntax that I (at least) \
would expect, but once you remember the reverse order, it is simple and \
useful."
}], "Text",
 CellChangeTimes->{{3.7417939540907393`*^9, 3.741794027448307*^9}, {
   3.74940886945674*^9, 3.7494088876725473`*^9}, {3.768816306389312*^9, 
   3.7688163102961617`*^9}, {3.768849534983*^9, 3.7688495420522757`*^9}, {
   3.768849597319463*^9, 3.768849624220096*^9}, {3.7857700983891945`*^9, 
   3.7857701041791945`*^9}, 3.867141831009098*^9, {3.8680310111548147`*^9, 
   3.868031024951173*^9}, {3.8691455440425158`*^9, 3.869145544500963*^9}},
 CellTags->{"LastCellOfAPage", "i:3"},
 CellID->695975439,ExpressionUUID->"38b1ac88-c0b2-4de3-8641-94ccef91e724"],

Cell[TextData[{
 "Change the names of the columns to ",
 Cell[BoxData[
 "\"\<cabin\>\""], "InlineCode",ExpressionUUID->
  "3489e70d-e1e4-4ce6-ba97-b4d576aa81ff"],
 ", ",
 Cell[BoxData[
 "\"\<years\>\""], "InlineCode",ExpressionUUID->
  "1103542b-5a43-43ac-834a-920d74b9de2e"],
 ", ",
 Cell[BoxData[
 "\"\<gender\>\""], "InlineCode",ExpressionUUID->
  "bde78594-d753-4a99-b54f-a542ff616285"],
 ", and ",
 Cell[BoxData[
 "\"\<survival\>\""], "InlineCode",ExpressionUUID->
  "5e7ad7ae-1891-491d-a08b-07c244eaf18b"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.749409659746833*^9, 3.7494096869281397`*^9}, {
   3.7857701205461946`*^9, 3.7857701244411945`*^9}, {3.785778584571174*^9, 
   3.785778598715174*^9}, {3.868031254463882*^9, 3.868031284705819*^9}, 
   3.8738183266443033`*^9, 3.89636087998521*^9},
 CellTags->"p: 197",
 CellID->1449708144,ExpressionUUID->"c6ca5333-837b-4fdb-b573-bc33c5b1043f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"columnNameChanger", "=", 
   RowBox[{"Association", "[", 
    RowBox[{
     RowBox[{"\"\<cabin\>\"", "\[Rule]", "\"\<class\>\""}], ",", 
     RowBox[{"\"\<years\>\"", "\[Rule]", "\"\<age\>\""}], ",", 
     RowBox[{"\"\<gender\>\"", "\[Rule]", "\"\<sex\>\""}], ",", 
     RowBox[{"\"\<survival\>\"", "\[Rule]", "\"\<survived\>\""}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.74940964158687*^9, 3.7494096495230017`*^9}, {
  3.816529829524949*^9, 3.81652983344501*^9}},
 CellLabel->"In[17]:=",
 CellID->839758361,ExpressionUUID->"dc7332e9-8e13-4ee7-98b7-3b23f4fdc683"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "columnNameChanger"}], "]"}], "[", "lifeboatDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.741794029385242*^9, 3.741794133489602*^9}, {
   3.7494095989920187`*^9, 3.749409602536446*^9}, {3.749409652410681*^9, 
   3.749409654164098*^9}, 3.770030537278296*^9},
 CellLabel->"In[18]:=",
 CellID->156433920,ExpressionUUID->"7f52fe53-f9cf-4e9a-ba61-308cb9a1aacf"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "cabin" -> "3rd", "years" -> 16, "gender" -> "female", "survival" -> 
        True|>, <|
       "cabin" -> "1st", "years" -> 65, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> 2, "gender" -> "female", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> Missing[], "gender" -> "female", 
        "survival" -> True|>, <|
       "cabin" -> "3rd", "years" -> 18, "gender" -> "female", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> Missing[], "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> 22, "gender" -> "female", "survival" -> 
        True|>, <|
       "cabin" -> "2nd", "years" -> 48, "gender" -> "female", "survival" -> 
        True|>, <|
       "cabin" -> "3rd", "years" -> 14, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> 44, "gender" -> "female", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> 33, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> 39, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "1st", "years" -> 19, "gender" -> "female", "survival" -> 
        True|>, <|
       "cabin" -> "3rd", "years" -> 29, "gender" -> "male", "survival" -> 
        True|>, <|
       "cabin" -> "1st", "years" -> 46, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> Missing[], "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> Missing[], "gender" -> "female", 
        "survival" -> True|>, <|
       "cabin" -> "3rd", "years" -> 22, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> 22, "gender" -> "male", "survival" -> 
        True|>, <|
       "cabin" -> "3rd", "years" -> 56, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> Missing[], "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> 50, "gender" -> "female", "survival" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
        1, {All, "years"} -> 1, {All, "gender"} -> 1, {All, "survival"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "years" -> 
            TypeSystem`PackageScope`AtomShape[34], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survival" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
        1, {All, "years"} -> 1, {All, "gender"} -> 1, {All, "survival"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "years" -> 
            TypeSystem`PackageScope`AtomShape[34], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survival" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["cabin", 
                  Style[
                  "cabin", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "cabin"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{All, "cabin"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["years", 
                  Style[
                  "years", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "years"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{All, "years"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["gender", 
                  Style[
                  "gender", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "gender"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{All, "gender"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survival", 
                  Style[
                  "survival", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survival"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{All, "survival"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{1, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{1, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{1, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{1, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{2, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{2, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{2, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{2, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{3, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{3, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{3, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{3, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{4, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{4, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{4, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{4, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{5, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{5, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{5, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{5, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{6, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{6, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{6, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{6, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{7, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{7, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{7, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{7, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{8, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{8, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{8, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4b1a8c2-931e-4a51-90e3-cdbc77848af3"]][{8, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{226., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{226., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.741794074254331*^9, 3.7417940954517107`*^9}, 
   3.741794133948518*^9, 3.741876435785903*^9, 3.7418794917662363`*^9, 
   3.741956469916649*^9, 3.749408977690268*^9, 3.7494096037420464`*^9, 
   3.7494096546708593`*^9, 3.749482209669541*^9, 3.768736321484365*^9, 
   3.768737987305334*^9, 3.7687687196115227`*^9, 3.768819311850038*^9, 
   3.768821512929557*^9, 3.7688217094985657`*^9, 3.768833288231227*^9, 
   3.768833411115047*^9, 3.768833545757599*^9, 3.768905449999979*^9, 
   3.76890574261588*^9, 3.7700322277513638`*^9, 3.7701084879350653`*^9, 
   3.770122582288622*^9, 3.770212772245702*^9, 3.770289124039133*^9, 
   3.771930840258337*^9, 3.816528321609552*^9, 3.8817572137743196`*^9, 
   3.881757259720717*^9},
 CellLabel->"Out[18]=",
 CellID->1874574128,ExpressionUUID->"18b2fb9d-704c-4045-86a0-d89fbd9099d3"]
}, Open  ]],

Cell[TextData[{
 "A second method is to rely on the ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " function contained in the ",
 ButtonBox["Wolfram Function Repository",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/"], None},
  ButtonNote->"https://resources.wolframcloud.com/FunctionRepository/"],
 " (",
 ButtonBox["wolfr.am/WFR",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/WFR"], None},
  ButtonNote->"https://wolfr.am/WFR"],
 "). This method has the virtue of a pleasing syntax in which the old name \
goes on the left-hand side of the rule and the new name goes on the \
right-hand side. Until such time, if ever, that it becomes part of the \
built-in language, use of this method does, however, require web access and \
relies on a non-guaranteed perpetuation of this ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.768735570150762*^9, 3.7687356272569027`*^9}, {
   3.768736257249824*^9, 3.768736284658393*^9}, {3.768849633002574*^9, 
   3.768849633695545*^9}, {3.770029657072648*^9, 3.7700296756677723`*^9}, {
   3.771931537412591*^9, 3.771931538137809*^9}, 3.7857782155491743`*^9, 
   3.7857834749181623`*^9, {3.86714162756561*^9, 3.867141633721856*^9}, {
   3.86803152301189*^9, 3.86803153814804*^9}, {3.868031568898364*^9, 
   3.868031606401595*^9}, {3.870185179407259*^9, 3.870185207300951*^9}, 
   3.870185304971236*^9, {3.898091950260783*^9, 3.898091977047728*^9}, 
   3.898092010783251*^9},
 CellTags->"i:4",
 CellID->1420758958,ExpressionUUID->"4bb9adae-0728-4fed-99a5-1aa0bceadb7c"],

Cell[TextData[{
 "The ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " can change column names:"
}], "CodeText",
 CellChangeTimes->{{3.770217531556999*^9, 3.770217548051339*^9}, 
   3.785778232807174*^9, 3.8165294481184263`*^9, {3.868031663484305*^9, 
   3.8680316693611307`*^9}, {3.870185366593511*^9, 3.8701853752497597`*^9}},
 CellID->1320178606,ExpressionUUID->"9db93eb0-803e-4a3f-be48-0200a564560d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/f08fa72b-f05b-4d12-b1c4-1e140d332123/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "KeyReplace"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "KeyReplace", "ShortName" -> "KeyReplace", "UUID" -> 
         "f08fa72b-f05b-4d12-b1c4-1e140d332123", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Replace keys in an association", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$b7fbb364305d4f709d93d157687413d0`KeyReplace", 
         "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/objects/ecc10687-b693-4282-9255-\
14e8bb591c2d"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<cabin\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "\"\<years\>\""}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<gender\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "\"\<survival\>\""}]}], "}"}], 
     "]"}]}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.7687361931917543`*^9, 3.7687362455952682`*^9}, 
   3.770030537283551*^9, {3.771931555490939*^9, 3.771931566339822*^9}, {
   3.870360424248372*^9, 3.870360479514461*^9}},
 CellLabel->"In[19]:=",
 CellID->747198550,ExpressionUUID->"4c6353f4-6cd0-40b9-9dd8-2c7731799e84"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "cabin" -> "3rd", "years" -> 16, "gender" -> "female", "survival" -> 
        True|>, <|
       "cabin" -> "1st", "years" -> 65, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> 2, "gender" -> "female", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> Missing[], "gender" -> "female", 
        "survival" -> True|>, <|
       "cabin" -> "3rd", "years" -> 18, "gender" -> "female", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> Missing[], "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> 22, "gender" -> "female", "survival" -> 
        True|>, <|
       "cabin" -> "2nd", "years" -> 48, "gender" -> "female", "survival" -> 
        True|>, <|
       "cabin" -> "3rd", "years" -> 14, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> 44, "gender" -> "female", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> 33, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> 39, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "1st", "years" -> 19, "gender" -> "female", "survival" -> 
        True|>, <|
       "cabin" -> "3rd", "years" -> 29, "gender" -> "male", "survival" -> 
        True|>, <|
       "cabin" -> "1st", "years" -> 46, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> Missing[], "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "3rd", "years" -> Missing[], "gender" -> "female", 
        "survival" -> True|>, <|
       "cabin" -> "3rd", "years" -> 22, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> 22, "gender" -> "male", "survival" -> 
        True|>, <|
       "cabin" -> "3rd", "years" -> 56, "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> Missing[], "gender" -> "male", "survival" -> 
        False|>, <|
       "cabin" -> "2nd", "years" -> 50, "gender" -> "female", "survival" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
        1, {All, "years"} -> 1, {All, "gender"} -> 1, {All, "survival"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "years" -> 
            TypeSystem`PackageScope`AtomShape[34], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survival" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
        1, {All, "years"} -> 1, {All, "gender"} -> 1, {All, "survival"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "years" -> 
            TypeSystem`PackageScope`AtomShape[34], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survival" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["cabin", 
                  Style[
                  "cabin", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "cabin"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{All, "cabin"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["years", 
                  Style[
                  "years", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "years"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{All, "years"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["gender", 
                  Style[
                  "gender", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "gender"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{All, "gender"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survival", 
                  Style[
                  "survival", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survival"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{All, "survival"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{1, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{1, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{1, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{1, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{2, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{2, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{2, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{2, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{3, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{3, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{3, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{3, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{4, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{4, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{4, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{4, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{5, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{5, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{5, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{5, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{6, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{6, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{6, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{6, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{7, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{7, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{7, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{7, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{8, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{8, 
                 Key["years"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{8, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8395f3-2f90-4c36-831f-c81b91b7de34"]][{8, 
                 Key["survival"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{226., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{226., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7687362461643143`*^9, 3.7687379952305098`*^9, 
  3.768768719754966*^9, 3.76881931231216*^9, 3.7688215131962976`*^9, 
  3.768821709970662*^9, 3.768833288766885*^9, 3.768833411709392*^9, 
  3.768833546275187*^9, 3.768905450181094*^9, 3.7689057427992077`*^9, 
  3.77003064117179*^9, 3.7701084881379004`*^9, 3.770122582672892*^9, 
  3.770212772668528*^9, 3.770289124381667*^9, 3.771930840571123*^9, 
  3.771931568954597*^9, 3.816529258256549*^9, 3.866985196422181*^9, 
  3.881757272577455*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[19]=",
 CellID->2074283355,ExpressionUUID->"0a2b4ac0-9c9f-46fe-948a-1a7c40222ed3"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Rename Just Some of the Columns", "Subsection",
 CellChangeTimes->{{3.740321267897602*^9, 3.740321275670375*^9}, {
  3.74179274248244*^9, 3.7417927467569437`*^9}, {3.7494902089052677`*^9, 
  3.74949020963656*^9}, {3.770123054327517*^9, 3.770123058351164*^9}, {
  3.77012312255272*^9, 3.770123122969598*^9}, {3.770123200204373*^9, 
  3.7701232068687677`*^9}, {3.770123552475107*^9, 3.77012357675914*^9}},
 CellTags->"p: 198",
 CellID->191185923,ExpressionUUID->"a29a54b4-9744-423e-b0eb-83579d1b2645"],

Cell[TextData[{
 "In the previous example, I renamed all of the columns. Suppose, however, \
you wanted to rename the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "3e18d9a4-7071-4f79-ae27-eab776e207f4"],
 " column to be",
 Cell[BoxData[
  RowBox[{" ", "\"\<cabin\>\""}]], "InlineCodeText",ExpressionUUID->
  "aeb4c689-463c-44ea-b8bb-02b61fc38f9c"],
 " and the ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCodeText",ExpressionUUID->
  "a849fcfe-8ff7-4565-a64c-66034ad007d5"],
 " column to be ",
 Cell[BoxData[
 "\"\<gender\>\""], "InlineCodeText",ExpressionUUID->
  "a8d5560e-d9db-4b01-a1ff-0831696d09af"],
 " but wanted to leave the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "a74bfa40-8742-451d-82d3-89c292f25868"],
 " and ",
 Cell[BoxData[
 "\"\<survival\>\""], "InlineCodeText",ExpressionUUID->
  "eefa3f4b-20b7-4c92-98a5-5cde6f55c684"],
 " names alone. You could, of course, type out everything as I did \
previously, and this is fine if there are just a few columns, as is the case \
in the Titanic ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". But what if you have hundreds of columns and want to rename just a few? \
Typing an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " from all the new keys to all the old keys is going to be a nuisance. You \
might naively think the following code would work. As it shows, however, this \
results in the remaining columns being dropped rather than renamed (or \
retained)."
}], "Text",
 CellChangeTimes->{{3.740321605103692*^9, 3.740321654786438*^9}, {
   3.740321688947983*^9, 3.740321689883144*^9}, {3.740321870906549*^9, 
   3.740321871491205*^9}, 3.740414243390176*^9, {3.7417925404010487`*^9, 
   3.741792549857953*^9}, {3.741792580694291*^9, 3.7417925817162647`*^9}, {
   3.7417938583335648`*^9, 3.741793911158918*^9}, {3.749408931119379*^9, 
   3.749408955112976*^9}, {3.7494098414367447`*^9, 3.749409851437187*^9}, {
   3.749410287403514*^9, 3.7494103037090683`*^9}, {3.768816639311952*^9, 
   3.768816641549343*^9}, {3.768849737687169*^9, 3.76884981772851*^9}, {
   3.7700321412829103`*^9, 3.7700321924756937`*^9}, {3.770134075930296*^9, 
   3.77013407844625*^9}, {3.771931585449345*^9, 3.771931585852393*^9}, {
   3.785782723040162*^9, 3.785782751849162*^9}, {3.7857831956941624`*^9, 
   3.7857832171011624`*^9}, {3.785783478276162*^9, 3.7857834810041623`*^9}, {
   3.867141655798931*^9, 3.8671416604447308`*^9}, {3.868031704833744*^9, 
   3.8680317448282213`*^9}, 3.8680318363416*^9, {3.869145571915059*^9, 
   3.869145578490633*^9}, {3.873881880044653*^9, 3.8738819017746315`*^9}, {
   3.873881964593027*^9, 3.8738820097973204`*^9}},
 CellTags->"i:5",
 CellID->1880597579,ExpressionUUID->"c6992dcc-6432-40de-b59b-64955c8faffd"],

Cell["\<\
Code that changes the names of two columns but mistakenly drops the remaining \
columns:\
\>", "CodeText",
 CellChangeTimes->{{3.74940986209232*^9, 3.749409882004963*^9}, 
   3.7857834525251627`*^9, 3.785858259007106*^9},
 CellID->225889548,ExpressionUUID->"3a29349f-fec4-4f34-b43d-4ae4d5c5cd24"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"Association", "[", 
     RowBox[{
      RowBox[{"\"\<cabin\>\"", "\[Rule]", "\"\<class\>\""}], ",", 
      RowBox[{"\"\<gender\>\"", "\[Rule]", "\"\<sex\>\""}]}], "]"}]}], "]"}], 
  "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.749409757811249*^9, 3.749409782641267*^9}, {
   3.749409815785738*^9, 3.749409829623226*^9}, {3.768816775737112*^9, 
   3.7688167782342043`*^9}, {3.7688168301998043`*^9, 3.76881683143969*^9}, 
   3.77003053767037*^9, 3.770032244277156*^9, {3.8671421325623617`*^9, 
   3.867142142172024*^9}},
 CellLabel->"In[20]:=",
 CellID->1022044242,ExpressionUUID->"9a7ff5db-3361-42ad-af51-8ec3bf59350b"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|"cabin" -> "3rd", "gender" -> "female"|>, <|
       "cabin" -> "1st", "gender" -> "male"|>, <|
       "cabin" -> "3rd", "gender" -> "female"|>, <|
       "cabin" -> "3rd", "gender" -> "female"|>, <|
       "cabin" -> "3rd", "gender" -> "female"|>, <|
       "cabin" -> "3rd", "gender" -> "male"|>, <|
       "cabin" -> "3rd", "gender" -> "female"|>, <|
       "cabin" -> "2nd", "gender" -> "female"|>, <|
       "cabin" -> "3rd", "gender" -> "male"|>, <|
       "cabin" -> "2nd", "gender" -> "female"|>, <|
       "cabin" -> "3rd", "gender" -> "male"|>, <|
       "cabin" -> "3rd", "gender" -> "male"|>, <|
       "cabin" -> "1st", "gender" -> "female"|>, <|
       "cabin" -> "3rd", "gender" -> "male"|>, <|
       "cabin" -> "1st", "gender" -> "male"|>, <|
       "cabin" -> "2nd", "gender" -> "male"|>, <|
       "cabin" -> "3rd", "gender" -> "female"|>, <|
       "cabin" -> "3rd", "gender" -> "male"|>, <|
       "cabin" -> "2nd", "gender" -> "male"|>, <|
       "cabin" -> "3rd", "gender" -> "male"|>, <|
       "cabin" -> "2nd", "gender" -> "male"|>, <|
       "cabin" -> "2nd", "gender" -> "female"|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
        1, {All, "gender"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"cabin", "gender"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
        1, {All, "gender"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"cabin", "gender"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 
     22, "DataColumnCount" -> 2, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["cabin", 
                  Style[
                  "cabin", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "cabin"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{All, "cabin"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["gender", 
                  Style[
                  "gender", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "gender"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{All, "gender"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{1, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{1, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{2, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{2, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{3, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{3, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{4, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{4, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{5, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{5, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{6, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{6, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{7, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{7, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{8, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f0c3073-fa80-431f-bcae-5938e60fcdf5"]][{8, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{164., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{164., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8669873052548428`*^9, {3.867142133715917*^9, 3.867142160518507*^9}, 
   3.881757282632004*^9},
 CellLabel->"Out[20]=",
 CellID->896284492,ExpressionUUID->"11029eb8-acb6-48b5-becb-91cc30683ed9"]
}, Open  ]],

Cell[TextData[{
 "Probably the simplest way to rename just some of the columns with built-in \
functions while keeping the remainder is to use the operator form of ",
 ButtonBox["KeyMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyMap.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyMap.html"],
 " in which the function relies on a list of substitution rules. The idea is \
that each time ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " confronts an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", it takes the keys and replaces them using the rules specified. Everything \
else remains unchanged. So the column names end up being changed but the \
column order ends up being preserved."
}], "Text",
 CellChangeTimes->{{3.740321605103692*^9, 3.740321654786438*^9}, {
   3.740321688947983*^9, 3.740321689883144*^9}, {3.740321870906549*^9, 
   3.740321871491205*^9}, 3.740414243390176*^9, {3.7417925404010487`*^9, 
   3.741792549857953*^9}, {3.741792580694291*^9, 3.7417925817162647`*^9}, {
   3.7417938583335648`*^9, 3.741793911158918*^9}, {3.749408931119379*^9, 
   3.749408955112976*^9}, {3.7494098414367447`*^9, 3.749409850582068*^9}, {
   3.749409895119525*^9, 3.7494099366829023`*^9}, {3.749410308517212*^9, 
   3.7494104250536737`*^9}, {3.7494137623507147`*^9, 3.74941377393554*^9}, {
   3.770134144550371*^9, 3.7701341484676123`*^9}, {3.785858267775983*^9, 
   3.7858582794171467`*^9}, {3.785859752418353*^9, 3.785859756088353*^9}, 
   3.785860012474353*^9, 3.816529888569367*^9},
 CellID->460427085,ExpressionUUID->"8162695c-ee52-423c-ba6e-437b1c23047f"],

Cell[TextData[{
 "Rename the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCode",ExpressionUUID->
  "aec22a56-32c3-454b-bea2-eaa33f039b56"],
 " column ",
 Cell[BoxData[
 "\"\<cabin\>\""], "InlineCode",ExpressionUUID->
  "3db4c550-9cfa-4a5b-b9c2-bf10efb9bccd"],
 " and the ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCode",ExpressionUUID->
  "644c9e66-c499-4264-8b88-f0c553688df1"],
 " column ",
 Cell[BoxData[
 "\"\<gender\>\""], "InlineCode",ExpressionUUID->
  "f67b2a61-5e35-4822-8147-f089c2f1f4dc"],
 "; leave everything else unchanged and preserve the order of the columns \
(timing will be different depending on your machine):"
}], "CodeText",
 CellChangeTimes->{{3.7494104859721127`*^9, 3.7494105332246943`*^9}, {
  3.7858597742613525`*^9, 3.785859834043353*^9}, {3.785863558823468*^9, 
  3.785863568095395*^9}, {3.868088708358191*^9, 3.868088718912854*^9}, {
  3.8738832134448013`*^9, 3.873883216961191*^9}, {3.882460264410797*^9, 
  3.882460281212075*^9}},
 CellID->1459577301,ExpressionUUID->"37ca28fb-ea16-4b09-a717-6af668b6d422"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rename2Columns", "=", 
   RowBox[{"KeyMap", "[", 
    RowBox[{
     RowBox[{"#", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<cabin\>\""}], ",", 
        RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<gender\>\""}]}], "}"}]}], 
     "&"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7494138532251263`*^9, 3.7494138616441393`*^9}},
 CellTags->"LastCellOfAPage",
 CellLabel->"In[21]:=",
 CellID->294943040,ExpressionUUID->"f05d79f4-7fe8-4cdc-a912-00d598448633"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RepeatedTiming", "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", "rename2Columns"}], "]"}], "[", "lifeboatDS", "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.749410229238628*^9, 3.749410258250565*^9}, {
   3.7494138643115177`*^9, 3.749413866705948*^9}, {3.768816671308065*^9, 
   3.768816680977128*^9}, {3.7688167862419243`*^9, 3.76881678963638*^9}, {
   3.768816834828273*^9, 3.7688168360026484`*^9}, 3.770030537774517*^9, {
   3.770032265445562*^9, 3.770032291236166*^9}, {3.8165302543785563`*^9, 
   3.816530261485484*^9}, {3.867331499790176*^9, 3.867331504818569*^9}},
 CellTags->"p: 199",
 CellLabel->"In[22]:=",
 CellID->2044534678,ExpressionUUID->"712b1d4b-4811-4b24-9654-279f59ada296"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.0008493330078125`", ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "cabin" -> "3rd", "age" -> 16, "gender" -> "female", "survived" -> 
          True|>, <|
         "cabin" -> "1st", "age" -> 65, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> 2, "gender" -> "female", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> Missing[], "gender" -> "female", 
          "survived" -> True|>, <|
         "cabin" -> "3rd", "age" -> 18, "gender" -> "female", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> Missing[], "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> 22, "gender" -> "female", "survived" -> 
          True|>, <|
         "cabin" -> "2nd", "age" -> 48, "gender" -> "female", "survived" -> 
          True|>, <|
         "cabin" -> "3rd", "age" -> 14, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> 44, "gender" -> "female", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> 33, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> 39, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "1st", "age" -> 19, "gender" -> "female", "survived" -> 
          True|>, <|
         "cabin" -> "3rd", "age" -> 29, "gender" -> "male", "survived" -> 
          True|>, <|
         "cabin" -> "1st", "age" -> 46, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> Missing[], "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> Missing[], "gender" -> "female", 
          "survived" -> True|>, <|
         "cabin" -> "3rd", "age" -> 22, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> 22, "gender" -> "male", "survived" -> 
          True|>, <|
         "cabin" -> "3rd", "age" -> 56, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> Missing[], "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> 50, "gender" -> "female", "survived" -> 
          True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
          1, {All, "age"} -> 1, {All, "gender"} -> 1, {All, "survived"} -> 
          1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "gender" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"cabin", "age", "gender", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
       "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
          1, {All, "age"} -> 1, {All, "gender"} -> 1, {All, "survived"} -> 
          1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "gender" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"cabin", "age", "gender", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["cabin", 
                    Style[
                    "cabin", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "cabin"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{All, "cabin"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["gender", 
                    Style[
                    "gender", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "gender"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{All, "gender"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{1, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{1, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{1, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{1, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["1st", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{2, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["65"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{2, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{2, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{2, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{3, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{3, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{3, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{3, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{4, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{4, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{4, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{4, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{5, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{5, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{5, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{5, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{6, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{6, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{6, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{6, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{7, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["22"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{7, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{7, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{7, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["2nd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{8, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["48"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{8, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{8, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "87f1a510-31c2-44e6-a449-6f3e5420a29a"]][{8, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Deploy[
                Pane[
                 Row[{
                   Spacer[2], 
                   Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                 ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
               RGBColor[
                0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
               Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
              SpanFromLeft}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.749410258677401*^9, 3.749413867073368*^9, 3.7494822128143873`*^9, 
   3.76874183635546*^9, 3.7688166828331738`*^9, {3.768816827531705*^9, 
   3.76881683753257*^9}, 3.768819336586911*^9, 3.768821538914637*^9, 
   3.768833438644342*^9, 3.7688335727253437`*^9, 3.768905478528946*^9, 
   3.768905773167094*^9, 3.770032297377445*^9, 3.7701084990165443`*^9, 
   3.770122594033169*^9, 3.770134158575472*^9, 3.7702127737283087`*^9, 
   3.770289125175775*^9, 3.7719308410109253`*^9, 3.816530223197383*^9, 
   3.816530267386798*^9, 3.8673315073180943`*^9, 3.8817572983589354`*^9},
 CellLabel->"Out[22]=",
 CellID->186414043,ExpressionUUID->"ea2d84a4-44b6-43c1-bcac-abb2b7a04d32"]
}, Open  ]],

Cell[TextData[{
 "An alternative method for partial column-name replacement is to use the ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 ". It may be a little slower, but I think the syntax is cleaner."
}], "Text",
 CellChangeTimes->{{3.7687418447181063`*^9, 3.768741864627079*^9}, {
   3.768741947906719*^9, 3.768741958454836*^9}, {3.768816700622154*^9, 
   3.768816714480111*^9}, {3.770032312277144*^9, 3.770032336317173*^9}, {
   3.770134165575687*^9, 3.770134167492688*^9}, {3.7858636215627413`*^9, 
   3.7858636217467594`*^9}, {3.8669873633043013`*^9, 3.86698737133679*^9}, 
   3.868088776444063*^9, {3.869236272430621*^9, 3.869236279148135*^9}},
 CellID->1586831029,ExpressionUUID->"b77c9dd3-8dbf-4be5-8cb8-d00a61a0d27c"],

Cell[TextData[{
 "Use the ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " to change just some of the names in Associations:"
}], "CodeText",
 CellChangeTimes->{{3.7702175683376713`*^9, 3.770217589915284*^9}, 
   3.786377315591193*^9, {3.868088784577175*^9, 3.868088789345669*^9}, {
   3.86923628336455*^9, 3.8692362856368027`*^9}, 3.8738832533506503`*^9},
 CellID->1886168439,ExpressionUUID->"f8ae38fb-3ee8-4365-acab-a05f7025946a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EchoTiming", "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{
      InterpretationBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/KeyReplace"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        {"FunctionResourceBox", 
         RGBColor[
         0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
         "KeyReplace"},
        TagBoxNote->"FunctionResourceBox"],
       ResourceFunction[
        ResourceObject[<|
         "Name" -> "KeyReplace", "ShortName" -> "KeyReplace", "UUID" -> 
          "f08fa72b-f05b-4d12-b1c4-1e140d332123", "ResourceType" -> 
          "Function", "Version" -> "1.0.0", "Description" -> 
          "Replace keys in an association", "RepositoryLocation" -> 
          URL["https://www.wolframcloud.com/objects/resourcesystem/api/1.0"], 
          "SymbolName" -> 
          "FunctionRepository`$b7fbb364305d4f709d93d157687413d0`KeyReplace"|>,
          ResourceSystemBase -> 
         "https://www.wolframcloud.com/objects/resourcesystem/api/1.0"]],
       Selectable->False], "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<class\>\"", "->", "\"\<cabin\>\""}], ",", 
        RowBox[{"\"\<sex\>\"", "->", "\"\<gender\>\""}]}], "}"}], "]"}]}], 
    "]"}], "[", "lifeboatDS", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.768741870164302*^9, 3.768741941912841*^9}, {
   3.768816687822266*^9, 3.7688166952423897`*^9}, 3.7700305378973103`*^9, {
   3.7700323199429092`*^9, 3.77003232554601*^9}, {3.7719316218572397`*^9, 
   3.771931631441802*^9}, {3.8165303697216253`*^9, 3.816530376352948*^9}, {
   3.898875542014818*^9, 3.898875543812456*^9}},
 CellLabel->"In[14]:=",
 CellID->1967737902,ExpressionUUID->"488aba65-7cb8-414e-af0a-ac9fde5cb712"],

Cell[BoxData["0.042059`"], "EchoTiming",
 CellChangeTimes->{3.898875575626461*^9},
 CellID->1767233378,ExpressionUUID->"32901e63-9afc-4661-afe3-000f9ba99bfc"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "cabin" -> "3rd", "age" -> 16, "gender" -> "female", "survived" -> 
        True|>, <|
       "cabin" -> "1st", "age" -> 65, "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "3rd", "age" -> 2, "gender" -> "female", "survived" -> 
        False|>, <|
       "cabin" -> "3rd", "age" -> Missing[], "gender" -> "female", "survived" -> 
        True|>, <|
       "cabin" -> "3rd", "age" -> 18, "gender" -> "female", "survived" -> 
        False|>, <|
       "cabin" -> "3rd", "age" -> Missing[], "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "3rd", "age" -> 22, "gender" -> "female", "survived" -> 
        True|>, <|
       "cabin" -> "2nd", "age" -> 48, "gender" -> "female", "survived" -> 
        True|>, <|
       "cabin" -> "3rd", "age" -> 14, "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "2nd", "age" -> 44, "gender" -> "female", "survived" -> 
        False|>, <|
       "cabin" -> "3rd", "age" -> 33, "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "3rd", "age" -> 39, "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "1st", "age" -> 19, "gender" -> "female", "survived" -> 
        True|>, <|
       "cabin" -> "3rd", "age" -> 29, "gender" -> "male", "survived" -> 
        True|>, <|
       "cabin" -> "1st", "age" -> 46, "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "2nd", "age" -> Missing[], "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "3rd", "age" -> Missing[], "gender" -> "female", "survived" -> 
        True|>, <|
       "cabin" -> "3rd", "age" -> 22, "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "2nd", "age" -> 22, "gender" -> "male", "survived" -> 
        True|>, <|
       "cabin" -> "3rd", "age" -> 56, "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "2nd", "age" -> Missing[], "gender" -> "male", "survived" -> 
        False|>, <|
       "cabin" -> "2nd", "age" -> 50, "gender" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 1, {All, "age"} -> 
        1, {All, "gender"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"cabin", "age", "gender", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 1, {All, "age"} -> 
        1, {All, "gender"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"cabin", "age", "gender", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["cabin", 
                  Style[
                  "cabin", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "cabin"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{All, "cabin"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["gender", 
                  Style[
                  "gender", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "gender"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{All, "gender"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{1, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{1, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{2, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{2, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{3, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{3, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{4, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{4, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{5, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{5, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{6, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{6, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{7, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{7, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{8, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{8, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce07efbd-040d-455c-a252-27610dbc29e8"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.768741908275961*^9, 3.7687419425424223`*^9}, 
   3.768816696613097*^9, 3.768816842940784*^9, 3.768819337806941*^9, 
   3.768821540123844*^9, 3.768833439899321*^9, 3.768833573920827*^9, 
   3.768905479740244*^9, 3.76890577440079*^9, 3.770032327086108*^9, 
   3.770108499232383*^9, 3.7701225942471647`*^9, 3.770134170151948*^9, 
   3.7702127739991627`*^9, 3.770289125981203*^9, 3.771930841202539*^9, 
   3.771931636760333*^9, 3.816530378965363*^9, 3.88175734857169*^9, 
   3.89887557565344*^9},
 CellLabel->"Out[14]=",
 CellID->45062389,ExpressionUUID->"c1552806-0c83-4d6a-b0f0-172495d03474"]
}, Open  ]],

Cell[TextData[{
 "If one doesn\[CloseCurlyQuote]t care about preserving the order of the \
keys, there is yet another alternative method. I can run a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " in which, for each row, I augment the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " to include key-value pairs for ",
 Cell[BoxData[
 "\"\<cabin\>\""], "InlineCodeText",ExpressionUUID->
  "34d104a4-0f7e-45c3-97d4-9371b18c3a0f"],
 " and ",
 Cell[BoxData[
 "\"\<gender\>\""], "InlineCodeText",ExpressionUUID->
  "91830e52-2abb-4430-b677-f4e19efc3031"],
 " and then use ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " to get rid of the old column names. This appears to be the fastest \
method."
}], "Text",
 CellChangeTimes->{{3.740321605103692*^9, 3.740321654786438*^9}, {
   3.740321688947983*^9, 3.740321689883144*^9}, {3.740321870906549*^9, 
   3.740321871491205*^9}, 3.740414243390176*^9, {3.7417925404010487`*^9, 
   3.741792549857953*^9}, {3.741792580694291*^9, 3.7417925817162647`*^9}, {
   3.7417938583335648`*^9, 3.741793911158918*^9}, {3.749408931119379*^9, 
   3.749408955112976*^9}, {3.7494098414367447`*^9, 3.749409850582068*^9}, {
   3.749409895119525*^9, 3.7494099366829023`*^9}, {3.749410308517212*^9, 
   3.749410316766934*^9}, {3.749410432764872*^9, 3.749410468542336*^9}, {
   3.768741995880704*^9, 3.768741998331966*^9}, {3.7688167402154293`*^9, 
   3.7688167461659184`*^9}, {3.7863773964671936`*^9, 
   3.7863774331591935`*^9}, {3.7863775287061934`*^9, 
   3.7863775610031934`*^9}, {3.7863777429451933`*^9, 3.786377785197193*^9}, 
   3.786377881027193*^9, {3.86808881276941*^9, 3.868088816950438*^9}, {
   3.8738833215712037`*^9, 3.873883324184315*^9}, {3.876222625651807*^9, 
   3.8762226480501966`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->995593268,ExpressionUUID->"ffc9c848-8d87-4de8-af54-3877f0579a6c"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " to rename columns if the order of columns does not matter:"
}], "CodeText",
 CellChangeTimes->{{3.770217601382613*^9, 3.770217637651577*^9}, {
  3.7863778943581934`*^9, 3.7863778986161933`*^9}},
 CellTags->"p: 200",
 CellID->1562599093,ExpressionUUID->"4a08f04f-329b-4445-8130-0f1c6116cfa4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EchoTiming", "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Association", "[", 
         RowBox[{"#", ",", 
          RowBox[{"\"\<cabin\>\"", "\[Rule]", "#class"}], ",", 
          RowBox[{"\"\<gender\>\"", "\[Rule]", "#sex"}]}], "]"}], "&"}], 
       ")"}], "/*", 
      RowBox[{"KeyDrop", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<class\>\"", ",", "\"\<sex\>\""}], "}"}], "]"}]}]}], 
    "]"}], "[", "lifeboatDS", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7417937077610188`*^9, 3.7417937480963697`*^9}, {
   3.741793811101913*^9, 3.741793846099955*^9}, {3.749409939239695*^9, 
   3.749409959369179*^9}, {3.768816726295529*^9, 3.768816730193128*^9}, 
   3.770030538018751*^9, {3.770032357259074*^9, 3.770032370077403*^9}, {
   3.8165304638231697`*^9, 3.8165304793105593`*^9}, {3.898875582336409*^9, 
   3.8988755837580643`*^9}},
 CellLabel->"In[15]:=",
 CellID->1396527388,ExpressionUUID->"82f137aa-c690-4934-9312-aee6febaf198"],

Cell[BoxData["0.00231`"], "EchoTiming",
 CellChangeTimes->{3.898875584202325*^9},
 CellID->2136644067,ExpressionUUID->"ea6a1804-6144-4605-a3f5-55b14fe90f81"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "age" -> 16, "survived" -> True, "cabin" -> "3rd", "gender" -> 
        "female"|>, <|
       "age" -> 65, "survived" -> False, "cabin" -> "1st", "gender" -> 
        "male"|>, <|
       "age" -> 2, "survived" -> False, "cabin" -> "3rd", "gender" -> 
        "female"|>, <|
       "age" -> Missing[], "survived" -> True, "cabin" -> "3rd", "gender" -> 
        "female"|>, <|
       "age" -> 18, "survived" -> False, "cabin" -> "3rd", "gender" -> 
        "female"|>, <|
       "age" -> Missing[], "survived" -> False, "cabin" -> "3rd", "gender" -> 
        "male"|>, <|
       "age" -> 22, "survived" -> True, "cabin" -> "3rd", "gender" -> 
        "female"|>, <|
       "age" -> 48, "survived" -> True, "cabin" -> "2nd", "gender" -> 
        "female"|>, <|
       "age" -> 14, "survived" -> False, "cabin" -> "3rd", "gender" -> 
        "male"|>, <|
       "age" -> 44, "survived" -> False, "cabin" -> "2nd", "gender" -> 
        "female"|>, <|
       "age" -> 33, "survived" -> False, "cabin" -> "3rd", "gender" -> 
        "male"|>, <|
       "age" -> 39, "survived" -> False, "cabin" -> "3rd", "gender" -> 
        "male"|>, <|
       "age" -> 19, "survived" -> True, "cabin" -> "1st", "gender" -> 
        "female"|>, <|
       "age" -> 29, "survived" -> True, "cabin" -> "3rd", "gender" -> 
        "male"|>, <|
       "age" -> 46, "survived" -> False, "cabin" -> "1st", "gender" -> 
        "male"|>, <|
       "age" -> Missing[], "survived" -> False, "cabin" -> "2nd", "gender" -> 
        "male"|>, <|
       "age" -> Missing[], "survived" -> True, "cabin" -> "3rd", "gender" -> 
        "female"|>, <|
       "age" -> 22, "survived" -> False, "cabin" -> "3rd", "gender" -> 
        "male"|>, <|
       "age" -> 22, "survived" -> True, "cabin" -> "2nd", "gender" -> 
        "male"|>, <|
       "age" -> 56, "survived" -> False, "cabin" -> "3rd", "gender" -> 
        "male"|>, <|
       "age" -> Missing[], "survived" -> False, "cabin" -> "2nd", "gender" -> 
        "male"|>, <|
       "age" -> 50, "survived" -> True, "cabin" -> "2nd", "gender" -> 
        "female"|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "age"} -> 
        1, {All, "survived"} -> 1, {All, "cabin"} -> 1, {All, "gender"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "age" -> TypeSystem`PackageScope`AtomShape[34], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "cabin" -> 
            TypeSystem`PackageScope`AtomShape[31.5], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"age", "survived", "cabin", "gender"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "age"} -> 
        1, {All, "survived"} -> 1, {All, "cabin"} -> 1, {All, "gender"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "age" -> TypeSystem`PackageScope`AtomShape[34], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "cabin" -> 
            TypeSystem`PackageScope`AtomShape[31.5], "gender" -> 
            TypeSystem`PackageScope`AtomShape[63.]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"age", "survived", "cabin", "gender"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["cabin", 
                  Style[
                  "cabin", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "cabin"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{All, "cabin"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["gender", 
                  Style[
                  "gender", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "gender"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{All, "gender"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{1, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{1, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{2, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{2, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{3, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{3, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{4, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{4, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{5, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{5, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{6, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{6, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{7, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{7, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{8, 
                 Key["cabin"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f3ba0911-eff9-46a6-8c5a-8a7efd91e1e5"]][{8, 
                 Key["gender"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.741793748567691*^9, 3.741793847132688*^9, 3.741876436010394*^9, 
   3.741879492018875*^9, 3.741956470220871*^9, {3.7494099537552156`*^9, 
   3.7494099599798193`*^9}, 3.7494822131690407`*^9, 3.7688167315155163`*^9, 
   3.768816848060157*^9, 3.768819339062001*^9, 3.768821540978506*^9, 
   3.768833441094944*^9, 3.7688335751065607`*^9, 3.7689054809504137`*^9, 
   3.768905775632187*^9, 3.7700323724486303`*^9, 3.7701084994575*^9, 
   3.770122594462367*^9, 3.770134178935274*^9, 3.770212774219392*^9, 
   3.7702891264263077`*^9, 3.771930841392048*^9, 3.771931646276105*^9, {
   3.816530467153001*^9, 3.8165304808014317`*^9}, 3.8817573769140377`*^9, 
   3.8988755842512836`*^9},
 CellLabel->"Out[15]=",
 CellID->355288935,ExpressionUUID->"b7112f51-a96c-4ade-aca5-6bccdfaa1daf"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sort Rows and Columns", "Subsection",
 CellChangeTimes->{{3.740416134255732*^9, 3.740416179627585*^9}, {
  3.7494902134051743`*^9, 3.7494902137494392`*^9}, {3.770135083805594*^9, 
  3.7701350846912203`*^9}},
 CellID->11683107,ExpressionUUID->"c732b361-8348-431e-8f87-a5ddf0dc76cb"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of Associations wrapped in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.7701344729143343`*^9, 3.770134545372645*^9}, {
  3.7863779065381937`*^9, 3.7863779094861937`*^9}, {3.7863780459651937`*^9, 
  3.786378084454193*^9}, {3.7863783467681932`*^9, 3.7863783826101933`*^9}, {
  3.8738837306008677`*^9, 3.8738837314584064`*^9}},
 CellID->130024327,ExpressionUUID->"082465f3-2efd-43b3-ad32-119b9528aba1"],

Cell[TextData[{
 "Construct a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " by hand using nested Associations:"
}], "CodeText",
 CellChangeTimes->{{3.869145599577873*^9, 3.869145616040341*^9}, 
   3.870185572455267*^9, {3.8703605756721277`*^9, 3.870360584803912*^9}},
 CellID->955272729,ExpressionUUID->"3d5ed794-7e06-423f-b86f-beaf9f65a978"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"passengerCounts", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\"\<3rd\>\"", "\[Rule]", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<female\>\"", "\[Rule]", "5"}], ",", 
        RowBox[{"\"\<male\>\"", "\[Rule]", "8"}]}], "\[RightAssociation]"}]}],
      ",", 
     RowBox[{"\"\<1st\>\"", "\[Rule]", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<female\>\"", "\[Rule]", "1"}], ",", 
        RowBox[{"\"\<male\>\"", "\[Rule]", "2"}]}], "\[RightAssociation]"}]}],
      ",", 
     RowBox[{"\"\<2nd\>\"", "\[Rule]", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<female\>\"", "\[Rule]", "3"}], ",", 
        RowBox[{"\"\<male\>\"", "\[Rule]", "3"}]}], 
       "\[RightAssociation]"}]}]}], "\[RightAssociation]"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.770134497323863*^9, 3.77013450053444*^9}, {
  3.770134557028781*^9, 3.770134559501637*^9}},
 CellLabel->"In[25]:=",
 CellID->1996264036,ExpressionUUID->"c5b200b9-ff3b-4bf1-b5f4-25a0e0e3d8db"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "3rd" -> <|"female" -> 5, "male" -> 8|>, 
       "1st" -> <|"female" -> 1, "male" -> 2|>, 
       "2nd" -> <|"female" -> 3, "male" -> 3|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[1]} -> 1, {All, "female"} -> 
        1, {All, "male"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "female" -> TypeSystem`PackageScope`AtomShape[34], "male" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"female", "male"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[1]} -> 1, {All, "female"} -> 
        1, {All, "male"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "female" -> TypeSystem`PackageScope`AtomShape[34], "male" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"female", "male"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 3, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "female"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{All, "female"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "male"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{All, "male"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["5"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["8"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82b02d98-8f0c-47fa-a3e1-cdbc9077fdc0"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{134., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{134., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7701345009684277`*^9, 3.770134559974321*^9, 
  3.770212774381481*^9, 3.770289126615611*^9, 3.771930841628374*^9, 
  3.8165307687992496`*^9, 3.866995235995882*^9, 3.88175739057937*^9},
 CellLabel->"Out[25]=",
 CellID->1983860818,ExpressionUUID->"9c394e54-3361-408b-8dba-1c5813a08d48"]
}, Open  ]],

Cell[TextData[{
 "Suppose I want the rows sorted so that they go ",
 Cell[BoxData[
 "\"\<1st\>\""], "InlineCodeText",ExpressionUUID->
  "dafd5579-aabe-45d0-8e37-ada68835f567"],
 ", ",
 Cell[BoxData[
 "\"\<2nd\>\""], "InlineCodeText",ExpressionUUID->
  "e29d0c99-5a49-4443-864f-3514437a5e66"],
 " and ",
 Cell[BoxData[
 "\"\<3rd\>\""], "InlineCodeText",ExpressionUUID->
  "a05b0777-7c9d-47f3-a62b-65eef9552406"],
 " and I want the males to come before the females. One way I can do this is \
by creating a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and putting the appropriate KeyTakes as the first and second arguments."
}], "Text",
 CellChangeTimes->{{3.7701345472527847`*^9, 3.770134550205123*^9}, {
  3.7701345971158857`*^9, 3.770134631703381*^9}, {3.7863784004651937`*^9, 
  3.7863784256321936`*^9}, {3.7864542416196227`*^9, 3.7864542612186227`*^9}, {
  3.868088847849086*^9, 3.868088867839065*^9}},
 CellTags->{"LastCellOfAPage", "i:6"},
 CellID->2143826245,ExpressionUUID->"27caea96-9619-48f7-bec1-2641c8591eca"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " to impose an order on key-value pairs in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.77021764972552*^9, 3.7702176648366413`*^9}, 
   3.7863783154631934`*^9, {3.7864542689636226`*^9, 3.786454273644623*^9}, 
   3.8680888993840113`*^9, {3.8738879806586046`*^9, 3.87388798156098*^9}},
 CellTags->"p: 201",
 CellID->1370495786,ExpressionUUID->"c911bd05-2337-45cc-b471-9ad645e799fd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"KeyTake", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<1st\>\"", ",", "\"\<2nd\>\"", ",", "\"\<3rd\>\""}], "}"}], 
     "]"}], ",", 
    RowBox[{"KeyTake", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<male\>\"", ",", "\"\<female\>\""}], "}"}], "]"}]}], "]"}], 
  "[", "passengerCounts", "]"}]], "Input",
 CellChangeTimes->{{3.770134552701527*^9, 3.7701345918616*^9}},
 CellLabel->"In[26]:=",
 CellID->924641191,ExpressionUUID->"14de44f7-f409-4497-9e47-dc81bf29c982"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "1st" -> <|"male" -> 2, "female" -> 1|>, 
       "2nd" -> <|"male" -> 3, "female" -> 3|>, 
       "3rd" -> <|"male" -> 8, "female" -> 5|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[2]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[2]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 3, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "male"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{All, "male"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "female"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{All, "female"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["8"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["5"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f2b09239-04a4-402f-9ea4-115318e2efac"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{134., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{134., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.770134592255526*^9, 3.7702127744805727`*^9, 
  3.7702891266909447`*^9, 3.7719308416976547`*^9, 3.816530808147038*^9, 
  3.866995237733851*^9, 3.8817573952357597`*^9},
 CellLabel->"Out[26]=",
 CellID->1234786290,ExpressionUUID->"aebac75b-c544-4cee-a625-94679bb29c82"]
}, Open  ]],

Cell[TextData[{
 "That works fine if there are just a few columns, but imagine a world in \
which there are lots of columns. Writing out a custom order of rows and \
columns can be cumbersome. If, however, there is some function of the keys \
that determines their order, then you can use ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " or ",
 ButtonBox["KeySortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySortBy.html"],
 " to order the rows and/or columns. Here, I use ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " to sort the rows and ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["KeySortBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/KeySortBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/KeySortBy.html"], 
   "[", 
   ButtonBox[
    StyleBox["StringLength",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/StringLength.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/StringLength.html"], "]"}]], 
  "InlineCodeText",ExpressionUUID->"4511734a-f661-49ea-8cf4-c3bac79c6a41"],
 " to sort the columns so that ",
 Cell[BoxData[
 "\"\<male\>\""], "InlineCodeText",ExpressionUUID->
  "d73d440e-3a78-4d4a-829e-82b5104a8637"],
 " (four letters) comes before ",
 Cell[BoxData[
 "\"\<female\>\""], "InlineCodeText",ExpressionUUID->
  "7aa24906-6128-4ace-8a91-1aab2e9797c3"],
 " (six letters)."
}], "Text",
 CellChangeTimes->{{3.7701346418549833`*^9, 3.7701346608886843`*^9}, {
  3.770134734567412*^9, 3.77013484979156*^9}, {3.786454282651623*^9, 
  3.7864543375276227`*^9}, {3.7864547303326225`*^9, 3.7864547346036224`*^9}, {
  3.8669951889763517`*^9, 3.86699520280191*^9}, {3.868088943628212*^9, 
  3.868088999989471*^9}, {3.8738880261470437`*^9, 3.873888061594961*^9}, {
  3.873888301457631*^9, 3.8738883036014366`*^9}, {3.873991762394476*^9, 
  3.873991803709319*^9}},
 CellTags->"i:7",
 CellID->1094395827,ExpressionUUID->"23399d1f-ff60-4c3f-87c1-5129bc7a26a0"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeySortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySortBy.html"],
 " with a function to sort key-value pairs in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7702176697362757`*^9, 3.77021768443439*^9}, {
   3.7864544679116225`*^9, 3.7864544772796226`*^9}, 3.868089009768516*^9},
 CellID->1364076609,ExpressionUUID->"b6a6b8b1-aef5-4891-8b2e-f94764e78385"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"KeyTake", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<1st\>\"", ",", "\"\<2nd\>\"", ",", "\"\<3rd\>\""}], "}"}], 
     "]"}], ",", 
    RowBox[{"KeySortBy", "[", "StringLength", "]"}]}], "]"}], "[", 
  "passengerCounts", "]"}]], "Input",
 CellChangeTimes->{{3.770134859251926*^9, 3.770134867561923*^9}},
 CellLabel->"In[27]:=",
 CellID->1543553427,ExpressionUUID->"d5dd3f6c-1fa7-4323-95a3-40fb01b3879e"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "1st" -> <|"male" -> 2, "female" -> 1|>, 
       "2nd" -> <|"male" -> 3, "female" -> 3|>, 
       "3rd" -> <|"male" -> 8, "female" -> 5|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[3]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[3]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 3, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "male"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{All, "male"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "female"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{All, "female"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["8"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["5"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9f0651d5-b8af-4800-b54c-4839ec828f1e"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{134., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{134., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.866995240253825*^9, 3.8817574003716993`*^9},
 CellLabel->"Out[27]=",
 CellID->1068286646,ExpressionUUID->"6639364e-d378-4219-b09a-e469eff7cbbd"]
}, Open  ]],

Cell[TextData[{
 "Recall the effort in an earlier chapter to break down passenger count by \
class and sex. The women are presented first because ",
 Cell[BoxData[
 "\"\<female\>\""], "InlineCodeText",ExpressionUUID->
  "e17e6049-fa9e-4f47-a220-a261101b8336"],
 " precedes ",
 Cell[BoxData[
 "\"\<male\>\""], "InlineCodeText",ExpressionUUID->
  "28438d10-8b50-4146-8b30-ed2ee47cf6c6"],
 " alphabetically. "
}], "Text",
 CellChangeTimes->{{3.740416249596835*^9, 3.7404162981502*^9}, {
   3.749410575727603*^9, 3.749410577370296*^9}, {3.7701344411646557`*^9, 
   3.770134450332933*^9}, 3.7857834845791626`*^9, {3.786454744840623*^9, 
   3.7864547465436225`*^9}, {3.868089027604054*^9, 3.8680890315667562`*^9}, {
   3.873888144797035*^9, 3.873888154109655*^9}, {3.8739917325578985`*^9, 
   3.8739917342137146`*^9}},
 CellID->687780300,ExpressionUUID->"a709591b-2563-4da6-85d3-bd599cf21c45"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " to ensure a consistent ordering of groupings applied at lower levels of an \
expression:"
}], "CodeText",
 CellChangeTimes->{{3.770041173779551*^9, 3.7700412399527893`*^9}, {
  3.786454762142623*^9, 3.7864547664836226`*^9}},
 CellID->1479807600,ExpressionUUID->"24f0004c-169b-4c62-b8a1-941bc160472a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], ",", 
     RowBox[{
      RowBox[{"GroupBy", "[", 
       RowBox[{"#sex", "&"}], "]"}], "/*", "KeySort"}], ",", "Length"}], 
    "]"}], "[", "lifeboatDS", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.741794319700674*^9, 3.7417943381953707`*^9}, {
   3.749410568390437*^9, 3.7494105701263247`*^9}, 3.770030538254726*^9, {
   3.7701344789960403`*^9, 3.7701344847460012`*^9}, {3.77013766812372*^9, 
   3.7701376705804043`*^9}},
 CellLabel->"In[28]:=",
 CellID->332873599,ExpressionUUID->"394f288b-0a96-45ae-b19b-a51c783d7259"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"3rd\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"female\"\>", "\[Rule]", "6"}], ",", 
      RowBox[{"\<\"male\"\>", "\[Rule]", "7"}]}], "\[RightAssociation]"}]}], 
   ",", 
   RowBox[{"\<\"1st\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"female\"\>", "\[Rule]", "1"}], ",", 
      RowBox[{"\<\"male\"\>", "\[Rule]", "2"}]}], "\[RightAssociation]"}]}], 
   ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"female\"\>", "\[Rule]", "3"}], ",", 
      RowBox[{"\<\"male\"\>", "\[Rule]", "3"}]}], "\[RightAssociation]"}]}]}],
   "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.741794338653326*^9, 3.741876436173373*^9, 3.7418794921763563`*^9, 
   3.741956470462337*^9, 3.749410570672901*^9, 3.749482213318726*^9, 
   3.76881934051686*^9, 3.768821542328658*^9, 3.768833442773684*^9, 
   3.768833576465469*^9, 3.768905482716813*^9, 3.7689057770314302`*^9, 
   3.770108499905573*^9, 3.770122594869488*^9, {3.770134481551579*^9, 
   3.7701344853751307`*^9}, 3.7701376709385433`*^9, 3.770212774640304*^9, 
   3.7702891268271923`*^9, 3.7719308418180323`*^9, 3.81653094988325*^9, 
   3.881757404739765*^9},
 CellLabel->"Out[28]=",
 CellID->746210633,ExpressionUUID->"8e21b176-30e0-4ef8-aecc-61c2df7cb2db"]
}, Open  ]],

Cell[TextData[{
 "But what if I wanted some other ordering of the columns? Perhaps, for some \
reason, I want column headers with fewer letters to come ahead of column \
headers with more letters. I could use ",
 ButtonBox["KeySortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySortBy.html"],
 " to establish an ordering of the column headers."
}], "Text",
 CellChangeTimes->{{3.740416301120921*^9, 3.7404163485661077`*^9}, {
   3.7404164343411083`*^9, 3.740416462331465*^9}, {3.749410599585313*^9, 
   3.749410603346919*^9}, {3.749482314446409*^9, 3.74948231540242*^9}, {
   3.74948244386791*^9, 3.749482446500181*^9}, 3.7857834884511623`*^9, 
   3.7864547843056226`*^9},
 CellTags->"LastCellOfAPage",
 CellID->237141549,ExpressionUUID->"9bcc805f-063f-4ef1-83b2-efd4310ee1cd"],

Cell["\<\
Break down the lifeboat first by cabin class and then by sex and make sure \
the columns are sorted by a function of their key, the number of characters \
in the string that constitutes the key:\
\>", "CodeText",
 CellChangeTimes->{{3.749482457935886*^9, 3.749482539729333*^9}, {
  3.749482593280706*^9, 3.749482603315176*^9}, {3.7864547943486223`*^9, 
  3.7864548203306227`*^9}, {3.7864554564956226`*^9, 3.7864554571436224`*^9}, {
  3.866995305723646*^9, 3.866995306264863*^9}, {3.868089067211835*^9, 
  3.868089082661264*^9}, {3.873888199229404*^9, 3.8738882041564837`*^9}, {
  3.874063972799883*^9, 3.874063979089916*^9}},
 CellTags->"p: 202",
 CellID->756333428,ExpressionUUID->"ab916b68-69c4-4a9d-8155-af71baab0bb7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#class", "&"}], "]"}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#sex", "&"}], "]"}], "/*", 
     RowBox[{"KeySortBy", "[", "StringLength", "]"}]}], ",", "Length"}], 
   "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.741794319700674*^9, 3.741794378137013*^9}, {
   3.741794523208536*^9, 3.741794535602075*^9}, {3.749410612456829*^9, 
   3.7494106140804653`*^9}, {3.7494825432866783`*^9, 3.749482579487913*^9}, 
   3.770030538296022*^9},
 CellLabel->"In[29]:=",
 CellID->823499439,ExpressionUUID->"ed96d816-65aa-4e51-8b8a-e226e5d39c17"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "3rd" -> <|"male" -> 7, "female" -> 6|>, 
       "1st" -> <|"male" -> 2, "female" -> 1|>, 
       "2nd" -> <|"male" -> 3, "female" -> 3|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[4]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[4]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 3, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "male"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{All, "male"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "female"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{All, "female"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["7"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bb8660a3-2949-4253-8562-d58c97c5bf8d"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{134., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{134., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8669954066580553`*^9, 3.881757434368713*^9},
 CellLabel->"Out[29]=",
 CellID->896902277,ExpressionUUID->"b544fae2-c322-4530-8192-79e1a5d22dac"]
}, Open  ]],

Cell[TextData[{
 "What if I want a custom order of columns such as one in which second class \
comes before third class comes before first class? I can use the ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " operator."
}], "Text",
 CellChangeTimes->{{3.7417943918510513`*^9, 3.741794402295471*^9}, {
   3.741794468865472*^9, 3.741794478611199*^9}, {3.741794596865706*^9, 
   3.7417946105164547`*^9}, {3.7494109933062763`*^9, 3.749411004621255*^9}, {
   3.749482229823214*^9, 3.749482230159988*^9}, 3.74948226222292*^9, {
   3.749482328969944*^9, 3.749482338149859*^9}, {3.7687420487866488`*^9, 
   3.7687420529795227`*^9}, {3.7864554647176228`*^9, 
   3.7864554856616225`*^9}, {3.868089121106563*^9, 3.868089129655895*^9}, {
   3.874057324839466*^9, 3.8740573334607162`*^9}},
 CellID->117828073,ExpressionUUID->"2cebbb82-8e72-4627-8c0c-76d9e5c73b77"],

Cell["\<\
Break down the lifeboat first by cabin class and then by gender and use a \
custom ordering of the columns:\
\>", "CodeText",
 CellChangeTimes->{{3.749482619979816*^9, 3.749482634320451*^9}, {
  3.7864555671766224`*^9, 3.7864555720736227`*^9}, {3.8680891568592987`*^9, 
  3.868089192254201*^9}, {3.8738882429985223`*^9, 3.8738882443757515`*^9}, {
  3.874064169601143*^9, 3.874064171362576*^9}},
 CellID->1742926693,ExpressionUUID->"9aecfe06-9ac4-41c9-abf9-819b0a9a2756"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], "/*", 
     RowBox[{"KeyTake", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<2nd\>\"", ",", "\"\<3rd\>\"", ",", "\"\<1st\>\""}], "}"}],
       "]"}]}], ",", "Length"}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.741794319700674*^9, 3.741794457977038*^9}, {
   3.741794500737226*^9, 3.7417945061294613`*^9}, {3.741794587285487*^9, 
   3.741794589283284*^9}, {3.7494109637615767`*^9, 3.749410978005293*^9}, {
   3.749411019977936*^9, 3.7494110562257557`*^9}, {3.7494111071257963`*^9, 
   3.749411112689052*^9}, {3.7494111480027437`*^9, 3.749411152099656*^9}, {
   3.749413961335474*^9, 3.749413967905164*^9}, {3.7494822728670597`*^9, 
   3.7494822972332087`*^9}, {3.768742031948317*^9, 3.768742035460683*^9}, 
   3.770030538336297*^9},
 CellLabel->"In[30]:=",
 CellID->577758363,ExpressionUUID->"9bcc6f06-cbd1-48d3-b22e-ed7a319a951c"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "female" -> <|"2nd" -> 3, "3rd" -> 6, "1st" -> 1|>, 
       "male" -> <|"2nd" -> 3, "3rd" -> 7, "1st" -> 2|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[5]} -> 1, {All, "2nd"} -> 
        1, {All, "3rd"} -> 1, {All, "1st"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "2nd" -> TypeSystem`PackageScope`AtomShape[34], "3rd" -> 
             TypeSystem`PackageScope`AtomShape[34], "1st" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 3, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"2nd", "3rd", "1st"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[5]} -> 1, {All, "2nd"} -> 
        1, {All, "3rd"} -> 1, {All, "1st"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "2nd" -> TypeSystem`PackageScope`AtomShape[34], "3rd" -> 
             TypeSystem`PackageScope`AtomShape[34], "1st" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 3, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"2nd", "3rd", "1st"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 3, "DataRowCount" -> 2, "DataColumnCount" -> 
     3, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "2nd"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{All, "2nd"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "3rd"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{All, "3rd"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "1st"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{All, "1st"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{
                 Key["female"], 
                 Key["2nd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{
                 Key["female"], 
                 Key["3rd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{
                 Key["female"], 
                 Key["1st"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{
                 Key["male"], 
                 Key["2nd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["7"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{
                 Key["male"], 
                 Key["3rd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0f908c1e-0379-4f63-a70a-cdf968a9450e"]][{
                 Key["male"], 
                 Key["1st"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{204., {46.3837890625, 53.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{204., {46.3837890625, 53.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8669954192370768`*^9, 3.8817574408143797`*^9},
 CellLabel->"Out[30]=",
 CellID->2126103170,ExpressionUUID->"94cfffb6-aed6-46f0-85f4-c7658228184b"]
}, Open  ]],

Cell["\<\
One can also sort by value. Here, I sort the lifeboat members by class and \
then break ties using age.\
\>", "Text",
 CellChangeTimes->{{3.740416538714643*^9, 3.74041654474632*^9}, 
   3.740416594149459*^9, {3.740416637984111*^9, 3.7404166544575443`*^9}, {
   3.7417952056024714`*^9, 3.741795211584634*^9}, {3.749482686634729*^9, 
   3.749482689975165*^9}, {3.7494827661277018`*^9, 3.7494827680169687`*^9}, {
   3.768816963575186*^9, 3.768816964019466*^9}, {3.770135106222342*^9, 
   3.7701351237321978`*^9}, 3.7867218598271604`*^9, {3.8680892221686497`*^9, 
   3.8680892408792763`*^9}, {3.873888262189561*^9, 3.8738882676314445`*^9}, {
   3.8740641826714497`*^9, 3.874064189326734*^9}},
 CellID->226327722,ExpressionUUID->"2bff3814-0b6d-4a93-9bc3-69c574a70aae"],

Cell[TextData[{
 "Sort the rows of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " first by one function and then use a second function to break ties:"
}], "CodeText",
 CellChangeTimes->{{3.770041253093725*^9, 3.77004127327164*^9}, {
   3.7864556163496227`*^9, 3.786455621517623*^9}, 3.868089249205084*^9},
 CellID->1361564564,ExpressionUUID->"1c9b3d33-c901-446d-ad7a-9301eeb6f661"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"SortBy", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"#class", "&"}], ",", 
      RowBox[{"#age", "&"}]}], "}"}], "]"}], "]"}], "[", "lifeboatDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.741795161119068*^9, 3.7417952169416523`*^9}, {
   3.749482699888584*^9, 3.749482701417273*^9}, {3.749482843776946*^9, 
   3.749482855531777*^9}, 3.770030538375865*^9},
 CellLabel->"In[31]:=",
 CellID->228988682,ExpressionUUID->"dc6fd69c-0f26-4cf8-873f-d1ef255d68d1"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["19"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["46"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["44"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["50"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96d4069c-026a-4016-85e6-9d81a530fb90"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8669954429294147`*^9, 3.881757446732603*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[31]=",
 CellID->1691640520,ExpressionUUID->"83dd0500-0645-4652-8a80-2d93cd765e24"]
}, Open  ]],

Cell[TextData[{
 "In theory, one can sort a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations by value as well. The key order now differs from ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " to ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " (compare, for example, the second to last example to many of the others)."
}], "Text",
 CellChangeTimes->{{3.770135127025387*^9, 3.770135185160549*^9}, {
   3.770135220587192*^9, 3.7701353078237343`*^9}, 3.786455693972623*^9, 
   3.816531794842226*^9, 3.86699551692717*^9, {3.866995587676146*^9, 
   3.866995619997864*^9}, {3.866995664299943*^9, 3.866995696608289*^9}, {
   3.867142296979578*^9, 3.867142297390707*^9}, {3.867142351387966*^9, 
   3.86714241251075*^9}, 3.868089369097184*^9, 3.86914563664517*^9},
 CellTags->"p: 203",
 CellID->1541223947,ExpressionUUID->"9e2b15e3-3823-4302-bbcc-6f2ea99fb3fc"],

Cell["Columns can be sorted by value:", "CodeText",
 CellChangeTimes->{{3.770217709854151*^9, 3.7702177188567133`*^9}, 
   3.7864557004896226`*^9},
 CellID->1311974230,ExpressionUUID->"37962d76-038c-49ba-a168-6626d9312db5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"sortedAssociations", "=", 
    RowBox[{"Normal", "[", 
     RowBox[{
      RowBox[{"Query", "[", 
       RowBox[{"All", ",", "Sort"}], "]"}], "[", "lifeboatDS", "]"}], "]"}]}],
    ")"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "8", "]"}]}]], "Input",
 CellChangeTimes->{{3.770135187697085*^9, 3.7701352105935297`*^9}, {
  3.77013525410743*^9, 3.7701352691312*^9}, {3.770406567583618*^9, 
  3.770406583460682*^9}, {3.866995704710253*^9, 3.866995755286614*^9}, {
  3.8703606471400642`*^9, 3.870360663011828*^9}, {3.870360693929605*^9, 
  3.8703607228394527`*^9}},
 CellLabel->"In[32]:=",
 CellID->1029595970,ExpressionUUID->"5b9a8ab2-1625-4d22-9ef3-45033a82b284"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", 
       RowBox[{"Missing", "[", "]"}]}]}], "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftSkeleton]", "13", "\[RightSkeleton]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"age\"\>", "\[Rule]", "22"}], ",", 
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"2nd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"age\"\>", "\[Rule]", "56"}], ",", 
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"2nd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", 
       RowBox[{"Missing", "[", "]"}]}]}], "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"age\"\>", "\[Rule]", "50"}], ",", 
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"2nd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}]}], "}"}],
  Short[#, 8]& ]], "Output",
 CellChangeTimes->{3.88246040086407*^9},
 CellLabel->"Out[25]//Short=",
 CellID->1985728265,ExpressionUUID->"1b18c2ca-b4c0-4ec7-8677-f8bdfa5846ae"]
}, Open  ]],

Cell[TextData[{
 "When the same ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations is converted into a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", however, the key-value pairs are displayed according to the order of the \
keys in the first row: ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "d6e9d250-f191-4d6f-939c-b867f8b89dbf"],
 " always comes first."
}], "Text",
 CellChangeTimes->{{3.866995883515231*^9, 3.8669959477040567`*^9}, 
   3.867142415791957*^9, {3.867142454173604*^9, 3.86714248790135*^9}, {
   3.868089395269314*^9, 3.868089410360108*^9}},
 CellID->1167229369,ExpressionUUID->"539c6c12-29c0-4fe2-b860-15c1cec673e7"],

Cell[TextData[{
 "The ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " function creates consistency in the order of the key-value pairs in the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.869145822466095*^9, 3.8691458642695417`*^9}, {
  3.870185708334578*^9, 3.8701857103457603`*^9}},
 CellID->1310116470,ExpressionUUID->"5e7c22bc-4506-4add-b79d-3816458a3d50"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", "sortedAssociations", "]"}]], "Input",
 CellChangeTimes->{{3.8669957160535994`*^9, 3.8669957479964046`*^9}, {
  3.866995785280876*^9, 3.866995880046082*^9}, {3.866995951754292*^9, 
  3.866995953012109*^9}},
 CellLabel->"In[33]:=",
 CellID->120861467,ExpressionUUID->"645dbcc3-714a-4fcd-83da-bd5e2a10a929"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "age" -> 16, "class" -> "3rd", "sex" -> "female", "survived" -> 
        True|>, <|
       "age" -> 65, "class" -> "1st", "sex" -> "male", "survived" -> 
        False|>, <|
       "age" -> 2, "class" -> "3rd", "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "sex" -> "female", "survived" -> True, "age" -> 
        Missing[]|>, <|
       "age" -> 18, "class" -> "3rd", "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "sex" -> "male", "survived" -> False, "age" -> 
        Missing[]|>, <|
       "age" -> 22, "class" -> "3rd", "sex" -> "female", "survived" -> 
        True|>, <|
       "age" -> 48, "class" -> "2nd", "sex" -> "female", "survived" -> 
        True|>, <|
       "age" -> 14, "class" -> "3rd", "sex" -> "male", "survived" -> 
        False|>, <|
       "age" -> 44, "class" -> "2nd", "sex" -> "female", "survived" -> 
        False|>, <|
       "age" -> 33, "class" -> "3rd", "sex" -> "male", "survived" -> 
        False|>, <|
       "age" -> 39, "class" -> "3rd", "sex" -> "male", "survived" -> 
        False|>, <|
       "age" -> 19, "class" -> "1st", "sex" -> "female", "survived" -> 
        True|>, <|
       "age" -> 29, "class" -> "3rd", "sex" -> "male", "survived" -> True|>, <|
       "age" -> 46, "class" -> "1st", "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "sex" -> "male", "survived" -> False, "age" -> 
        Missing[]|>, <|
       "class" -> "3rd", "sex" -> "female", "survived" -> True, "age" -> 
        Missing[]|>, <|
       "age" -> 22, "class" -> "3rd", "sex" -> "male", "survived" -> 
        False|>, <|
       "age" -> 22, "class" -> "2nd", "sex" -> "male", "survived" -> True|>, <|
       "age" -> 56, "class" -> "3rd", "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "sex" -> "male", "survived" -> False, "age" -> 
        Missing[]|>, <|
       "age" -> 50, "class" -> "2nd", "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "age"} -> 1, {All, "class"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "age" -> TypeSystem`PackageScope`AtomShape[34], "class" -> 
            TypeSystem`PackageScope`AtomShape[31.5], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"age", "class", "sex", "survived"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "age"} -> 1, {All, "class"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "age" -> TypeSystem`PackageScope`AtomShape[34], "class" -> 
            TypeSystem`PackageScope`AtomShape[31.5], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"age", "class", "sex", "survived"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "aa91b947-b996-4321-9573-70790394be33"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.866995780575152*^9, 3.8669958033224173`*^9}, 
   3.866995836680407*^9, {3.866995870666812*^9, 3.8669958806233253`*^9}, 
   3.866995953832261*^9, 3.8817574868161592`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[33]=",
 CellID->938952088,ExpressionUUID->"82b88703-5667-431a-8da9-3504953dd955"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sort Groupings", "Subsection",
 CellChangeTimes->{{3.749482902322742*^9, 3.749482934561452*^9}, {
  3.749490199925202*^9, 3.749490217719235*^9}},
 CellTags->"p: 204",
 CellID->1466481272,ExpressionUUID->"6d8eaec1-76cf-4fce-98a9-e73d8cbbd1b6"],

Cell["\<\
One often wants to group data and sort the names of the resulting groupings. \
Suppose, for example, that I want to count how many passengers of each sex \
are on the lifeboat. \
\>", "Text",
 CellChangeTimes->{{3.740416658885475*^9, 3.740416779897962*^9}, {
   3.741795297052039*^9, 3.741795303823352*^9}, 3.749482884301238*^9, {
   3.749482942247807*^9, 3.749482975334196*^9}, 3.7857834925861626`*^9, 
   3.7864557694415765`*^9, {3.868089581725861*^9, 3.868089592470942*^9}},
 CellTags->"i:8",
 CellID->1692155834,ExpressionUUID->"f08dc595-5d0e-4936-8b0e-7e05f753ca5b"],

Cell["How many passengers of each sex are on the lifeboat:", "CodeText",
 CellChangeTimes->{{3.749483352676858*^9, 3.749483363589592*^9}, 
   3.7864557751787233`*^9, {3.868089597818705*^9, 3.868089604687613*^9}, {
   3.8740641997457*^9, 3.874064201174458*^9}},
 CellID->1239332814,ExpressionUUID->"4289dc8f-a570-472f-864c-8edfe966814f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", "Length"}], "]"}], "[", "lifeboatDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.741795245817885*^9, 3.741795278569153*^9}, {
   3.741795318440061*^9, 3.741795326081724*^9}, {3.749482984176775*^9, 
   3.7494829946630983`*^9}, 3.7700305384921827`*^9},
 CellLabel->"In[34]:=",
 CellID->937164817,ExpressionUUID->"5d2d4d78-81ce-4cac-acc6-40b83e47b9ad"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"female" -> 10, "male" -> 12|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[63.], 
         TypeSystem`PackageScope`AtomShape[34]]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["female", "male"]], 
       TypeSystem`Atom[Integer], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[63.], 
         TypeSystem`PackageScope`AtomShape[34]]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["female", "male"]], 
       TypeSystem`Atom[Integer], 2], "Path" -> {}, "DisplayedRowCount" -> 8, 
     "DisplayedColumnCount" -> 1, "DataRowCount" -> 2, "DataColumnCount" -> 1,
      "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "6282eadf-551d-4a29-9530-c1df0a25770c"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["10"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "6282eadf-551d-4a29-9530-c1df0a25770c"]][{
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "6282eadf-551d-4a29-9530-c1df0a25770c"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["12"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "6282eadf-551d-4a29-9530-c1df0a25770c"]][{
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{115., {32.8837890625, 40.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{115., {32.8837890625, 40.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.740416783606986*^9, 3.7404242653529873`*^9, 3.740496199258971*^9, 
   3.7405004877424173`*^9, 3.741788018194223*^9, {3.741795251574953*^9, 
   3.7417952795039253`*^9}, 3.741795326688566*^9, 3.741876436908148*^9, 
   3.741879492840481*^9, 3.7419564714224453`*^9, {3.74948298812677*^9, 
   3.7494829950962467`*^9}, 3.7687421094669523`*^9, 3.768819341008602*^9, 
   3.768821542796049*^9, 3.768833443232238*^9, 3.768833576864173*^9, 
   3.76890548313276*^9, 3.7689057774407578`*^9, 3.770108500313211*^9, 
   3.770122595320587*^9, 3.770212775142055*^9, 3.770289127230166*^9, 
   3.771930842313108*^9, 3.81694114859452*^9, 3.881757508687338*^9},
 CellLabel->"Out[34]=",
 CellID->569374570,ExpressionUUID->"5cee47f7-c081-483a-acb1-93adb0d1befc"]
}, Open  ]],

Cell[TextData[{
 "Notice that the ",
 Cell[BoxData[
 "\"\<female\>\""], "InlineCodeText",ExpressionUUID->
  "4472b4e1-aa10-44f1-9587-f44491e75ad8"],
 " grouping comes before the ",
 Cell[BoxData[
 "\"\<male\>\""], "InlineCodeText",ExpressionUUID->
  "d146d74c-762a-40e9-8de1-8119b43749d7"],
 " grouping. This sorting occurs because the first person in the lifeboat ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " just happens to be female. I can illustrate this dependency by rotating \
the original data left and making that 46-year-old male in first class the \
first person in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". Now, when the grouping is done, the males come before the females."
}], "Text",
 CellChangeTimes->{{3.749483005303156*^9, 3.749483076202943*^9}, {
   3.7494833100146723`*^9, 3.7494833452044477`*^9}, {3.76874209961279*^9, 
   3.768742103900743*^9}, {3.7688169922227077`*^9, 3.7688170400383*^9}, {
   3.768817218849375*^9, 3.768817235421445*^9}, {3.768849965779524*^9, 
   3.7688499672011433`*^9}, 3.768850107107531*^9, {3.770034379253483*^9, 
   3.770034432928631*^9}, {3.771932046535077*^9, 3.771932090191676*^9}, 
   3.7857834972981625`*^9, {3.7864565511757603`*^9, 3.7864565591435575`*^9}, {
   3.867142784629675*^9, 3.867142785800033*^9}, {3.8680897444831753`*^9, 
   3.868089807051217*^9}, {3.8762327520746355`*^9, 3.8762327647750793`*^9}, 
   3.896505274458935*^9, 3.89650577660634*^9},
 CellID->775048055,ExpressionUUID->"4bc45356-79fa-4be8-b3e5-a8de9fbfbe83"],

Cell[TextData[{
 "The order of the keys in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " output from ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " depends on the order of the values of the grouping function encountered \
during a parse of the data:"
}], "CodeText",
 CellChangeTimes->{{3.770217728838365*^9, 3.770217772791018*^9}, {
   3.786456573334976*^9, 3.7864565817568183`*^9}, 3.873889148797456*^9},
 CellID->1769370364,ExpressionUUID->"54cfa957-92f3-4e9f-aea3-7a391e9f67de"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", "Length"}], "]"}], "[", 
  RowBox[{
   RowBox[{"Query", "[", "RotateLeft", "]"}], "[", "lifeboatDS", "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.768849974870195*^9, 3.7688499906875362`*^9}, {
   3.7688500432365923`*^9, 3.7688500499332542`*^9}, {3.768850080243094*^9, 
   3.76885009346284*^9}, 3.7700305385209084`*^9},
 CellLabel->"In[35]:=",
 CellID->637756469,ExpressionUUID->"76e624b6-3b10-4427-8051-5860bbb12720"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"male" -> 12, "female" -> 10|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[63.], 
         TypeSystem`PackageScope`AtomShape[34]]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["female", "male"]], 
       TypeSystem`Atom[Integer], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[63.], 
         TypeSystem`PackageScope`AtomShape[34]]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["female", "male"]], 
       TypeSystem`Atom[Integer], 2], "Path" -> {}, "DisplayedRowCount" -> 8, 
     "DisplayedColumnCount" -> 1, "DataRowCount" -> 2, "DataColumnCount" -> 1,
      "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "df94ddcd-acdb-4741-8ddb-f2466f2e3c1f"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["12"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "df94ddcd-acdb-4741-8ddb-f2466f2e3c1f"]][{
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "df94ddcd-acdb-4741-8ddb-f2466f2e3c1f"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["10"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "df94ddcd-acdb-4741-8ddb-f2466f2e3c1f"]][{
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{115., {32.8837890625, 40.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{115., {32.8837890625, 40.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867142858309436*^9, 3.8817575328539457`*^9},
 CellLabel->"Out[35]=",
 CellID->279564340,ExpressionUUID->"c1c34673-29bc-49fa-81ce-e0a33195070d"]
}, Open  ]],

Cell[TextData[{
 "But what if I wanted a presentation in which I was assured that, regardless \
of the ordering of the rows, the data for men was presented first? Again, ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " comes to the rescue."
}], "Text",
 CellChangeTimes->{{3.749483005303156*^9, 3.749483076202943*^9}, {
  3.7494833100146723`*^9, 3.7494833452044477`*^9}, {3.76874209961279*^9, 
  3.768742103900743*^9}, {3.7688169922227077`*^9, 3.768816999843601*^9}, {
  3.768817245164186*^9, 3.7688172613441753`*^9}, {3.7700344463258867`*^9, 
  3.7700344467732487`*^9}, {3.7864565899446373`*^9, 3.7864565975033927`*^9}},
 CellID->1283907026,ExpressionUUID->"d2f6a7ce-1c07-4500-8f69-529c73e7abe0"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " to force a desired order of groupings:"
}], "CodeText",
 CellChangeTimes->{{3.770041626189705*^9, 3.770041640822069*^9}, {
  3.78645676339198*^9, 3.786456769113552*^9}},
 CellID->1976435436,ExpressionUUID->"5372ec82-19bf-4b72-b998-6c65bcebf552"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#sex", "&"}], "]"}], "/*", 
     RowBox[{"KeyTake", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<male\>\"", ",", "\"\<female\>\""}], "}"}], "]"}]}], ",", 
    "Length"}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.749483089310927*^9, 3.749483143602442*^9}, {
   3.768742093204522*^9, 3.7687420947384577`*^9}, 3.770030538549707*^9},
 CellLabel->"In[36]:=",
 CellID->1332607928,ExpressionUUID->"27de7e29-8397-444c-bbdb-d34d09adf79b"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"male" -> 12, "female" -> 10|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[63.], 
         TypeSystem`PackageScope`AtomShape[34]]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["female", "male"]], 
       TypeSystem`Atom[Integer], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[63.], 
         TypeSystem`PackageScope`AtomShape[34]]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["female", "male"]], 
       TypeSystem`Atom[Integer], 2], "Path" -> {}, "DisplayedRowCount" -> 8, 
     "DisplayedColumnCount" -> 1, "DataRowCount" -> 2, "DataColumnCount" -> 1,
      "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8e73dc49-2cee-43c6-b0a3-cacbfe878ab0"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["12"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8e73dc49-2cee-43c6-b0a3-cacbfe878ab0"]][{
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8e73dc49-2cee-43c6-b0a3-cacbfe878ab0"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["10"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8e73dc49-2cee-43c6-b0a3-cacbfe878ab0"]][{
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{115., {32.8837890625, 40.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{115., {32.8837890625, 40.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867142881956848*^9, 3.881757539125712*^9},
 CellLabel->"Out[36]=",
 CellID->429371779,ExpressionUUID->"cf51c0c8-995b-42dc-9110-8c6b3cb829b0"]
}, Open  ]],

Cell["\<\
I can also perform custom sorts on both the rows and the columns. \
\>", "Text",
 CellChangeTimes->{{3.7417954694924994`*^9, 3.7417954790688047`*^9}, {
   3.74948317124415*^9, 3.749483180390252*^9}, {3.749483292182905*^9, 
   3.7494832959851027`*^9}, {3.7494837510976954`*^9, 3.749483781607942*^9}, 
   3.768742137718789*^9, {3.7688172776662827`*^9, 3.7688172863290167`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1284012221,ExpressionUUID->"498ee7d2-14ab-49e9-8e09-a2516b560cfc"],

Cell[TextData[{
 "Show how many passengers of each sex and of each cabin class are on the \
lifeboat but make sure that information on males is presented before \
information on females and that the cabin classes are presented as ",
 Cell[BoxData[
 "\"\<2nd\>\""], "InlineCode",ExpressionUUID->
  "63f0deac-4bed-4aaf-9079-1d5866f8f713"],
 ", then ",
 Cell[BoxData[
 "\"\<3rd\>\""], "InlineCode",ExpressionUUID->
  "fbe1d8aa-dd52-492c-9949-b61a0c7edd85"],
 ", and then ",
 Cell[BoxData[
 "\"\<1st\>\""], "InlineCode",ExpressionUUID->
  "1374c355-cdc5-4378-b4a0-c321e3e66330"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.749483352676858*^9, 3.749483400521263*^9}, {
   3.74948380111607*^9, 3.749483835788581*^9}, {3.7864568136330037`*^9, 
   3.786456817289369*^9}, {3.7864570299396143`*^9, 3.7864570319076138`*^9}, {
   3.868089844329937*^9, 3.86808991983256*^9}, {3.87406425568817*^9, 
   3.874064261939286*^9}, 3.896505354090805*^9},
 CellTags->"p: 205",
 CellID->1852368988,ExpressionUUID->"90568f0c-1c96-4bfa-a9a5-d46a6f5b0488"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#sex", "&"}], "]"}], "/*", 
     RowBox[{"KeyTake", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<male\>\"", ",", "\"\<female\>\""}], "}"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], "/*", 
     RowBox[{"KeyTake", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<2nd\>\"", ",", "\"\<3rd\>\"", ",", "\"\<1st\>\""}], "}"}],
       "]"}]}], ",", "Length"}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.7417954861446123`*^9, 3.74179555700445*^9}, {
   3.749483189707055*^9, 3.7494832233346367`*^9}, {3.749483256893145*^9, 
   3.749483284791348*^9}, 3.749483418744911*^9, {3.749483742785493*^9, 
   3.7494837468339033`*^9}, {3.768742116594059*^9, 3.768742133003207*^9}, 
   3.770030538578814*^9},
 CellLabel->"In[37]:=",
 CellID->330229644,ExpressionUUID->"c2228f37-f999-461a-b4f4-006c6ebb2b08"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "male" -> <|"2nd" -> 3, "3rd" -> 7, "1st" -> 2|>, 
       "female" -> <|"2nd" -> 3, "3rd" -> 6, "1st" -> 1|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[6]} -> 1, {All, "2nd"} -> 
        1, {All, "3rd"} -> 1, {All, "1st"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "2nd" -> TypeSystem`PackageScope`AtomShape[34], "3rd" -> 
             TypeSystem`PackageScope`AtomShape[34], "1st" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 3, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"2nd", "3rd", "1st"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[6]} -> 1, {All, "2nd"} -> 
        1, {All, "3rd"} -> 1, {All, "1st"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "2nd" -> TypeSystem`PackageScope`AtomShape[34], "3rd" -> 
             TypeSystem`PackageScope`AtomShape[34], "1st" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 3, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"2nd", "3rd", "1st"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 3, "DataRowCount" -> 2, "DataColumnCount" -> 
     3, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "2nd"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{All, "2nd"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "3rd"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{All, "3rd"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "1st"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{All, "1st"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{
                 Key["male"], 
                 Key["2nd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["7"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{
                 Key["male"], 
                 Key["3rd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{
                 Key["male"], 
                 Key["1st"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{
                 Key["female"], 
                 Key["2nd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{
                 Key["female"], 
                 Key["3rd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "091c2fd9-45e3-458b-b4ac-d788a5a77445"]][{
                 Key["female"], 
                 Key["1st"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{204., {46.3837890625, 53.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{204., {46.3837890625, 53.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867142928279718*^9, 3.8817575448211393`*^9},
 CellLabel->"Out[37]=",
 CellID->886373020,ExpressionUUID->"61efa995-5199-4f77-ac96-70586053faf5"]
}, Open  ]],

Cell["\<\
Conceptually, sorting on groupings isn\[CloseCurlyQuote]t really any \
different than sorting on rows or columns.\
\>", "Text",
 CellChangeTimes->{{3.770137444887093*^9, 3.7701374626281023`*^9}, {
  3.7863779326921935`*^9, 3.7863779345161934`*^9}},
 CellID->1665557741,ExpressionUUID->"cb2767e3-f670-489e-a00b-e79cfd67c8aa"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sample the Rows", "Subsection",
 CellChangeTimes->{{3.768749054954907*^9, 3.7687490632268353`*^9}, {
  3.768749473666507*^9, 3.7687494742816153`*^9}, {3.768833082830418*^9, 
  3.7688330882135477`*^9}},
 CellID->789584674,ExpressionUUID->"7ce8f98c-524f-41d5-8075-b5a03517d6ff"],

Cell[TextData[{
 "Sometimes one just wants a random sample of the data in a large ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". One can use ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 " to get this. Here, I get every fourth row in the lifeboat ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.768749066504508*^9, 3.768749126998021*^9}, {
   3.7688158826595583`*^9, 3.768815895385522*^9}, {3.76885013524295*^9, 
   3.7688501357592382`*^9}, {3.771932123086906*^9, 3.771932169935253*^9}, {
   3.786457175376614*^9, 3.786457210601614*^9}, 3.8169420003213167`*^9, 
   3.8671430098968363`*^9, {3.868090027263905*^9, 3.8680900366909847`*^9}, {
   3.8740545300916524`*^9, 3.874054546517518*^9}},
 CellTags->"i:9",
 CellID->1825189603,ExpressionUUID->"9a60e0cb-eecd-485b-8cd4-6c44ed1e0881"],

Cell[TextData[{
 "Use ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 " to get a regular sampling of rows in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7700416501112947`*^9, 3.770041672117136*^9}, {
   3.770041707592093*^9, 3.7700417131524973`*^9}, {3.77013535551057*^9, 
   3.770135355850164*^9}, {3.786457219552614*^9, 3.786457223936614*^9}, 
   3.868090045925309*^9},
 CellID->181486155,ExpressionUUID->"cafc6b4f-d173-4e53-a1f8-3aeb9b18988f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"1", ";;", 
    RowBox[{"-", "1"}], ";;", "4"}], "]"}], "[", "lifeboatDS", "]"}]], "Input",\

 CellChangeTimes->{{3.768749109159968*^9, 3.7687491292593927`*^9}, 
   3.770030538619699*^9, {3.8671430029491587`*^9, 3.867143003001225*^9}},
 CellLabel->"In[38]:=",
 CellID->243698544,ExpressionUUID->"2dc5b2af-d9fd-4031-a9d8-eacd3a6b50b3"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 6], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 6], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     6, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["14"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["19"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c58c9825-c264-4d30-8e08-ddffe23b8d23"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {100.3837890625, 107.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {100.3837890625, 107.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.867142999815649*^9, 3.86714300352269*^9}, 
   3.881757552789886*^9},
 CellLabel->"Out[38]=",
 CellID->777570823,ExpressionUUID->"583314ea-4659-49d6-8d94-cba3d9efefdc"]
}, Open  ]],

Cell[TextData[{
 "One can also write this as ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Span",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Span.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"], "[", 
   RowBox[{"1", ",", " ", 
    ButtonBox[
     StyleBox["All",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/All.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/All.html"], ",", 
    " ", "4"}], "]"}]], "InlineCode",ExpressionUUID->
  "8f5dea68-1032-4b29-8854-e449657fe494"],
 ", ",
 Cell[BoxData[
  RowBox[{"1", " ", 
   ButtonBox[
    StyleBox[";;",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->"https://reference.wolfram.com/language/ref/Span.html"], " ", 
   ButtonBox[
    StyleBox["All",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/All.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/All.html"], " ", 
   ButtonBox[
    StyleBox[";;",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->"https://reference.wolfram.com/language/ref/Span.html"], " ", 
   "4"}]], "InlineCode",ExpressionUUID->
  "b75d9ea5-95d6-422b-9961-b5dc3856ccc4"],
 " or even ",
 Cell[BoxData[
  RowBox[{"1", " ", 
   ButtonBox[
    StyleBox[";;",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->"https://reference.wolfram.com/language/ref/Span.html"], " ", 
   ButtonBox[
    StyleBox[";;",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->"https://reference.wolfram.com/language/ref/Span.html"], " ", 
   "4"}]], "InlineCode",ExpressionUUID->
  "683d140e-80ef-4fd1-9efa-9595cbbd6374"],
 " (in which there is nothing between the two sequences of semicolons)."
}], "Note",
 CellID->1322864494,ExpressionUUID->"4761a2bd-4ef8-41a9-bbab-4ec13297daa1"],

Cell[TextData[{
 "I can also use ",
 ButtonBox["Range",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Range.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Range.html"],
 ", although for long Datasets this can require more memory."
}], "Text",
 CellChangeTimes->{{3.768749324080393*^9, 3.768749327493462*^9}, {
   3.76881590820923*^9, 3.7688159091902847`*^9}, {3.770041683676725*^9, 
   3.770041697093953*^9}, 3.786457233466614*^9, 3.816942240757826*^9},
 CellTags->{"LastCellOfAPage", "i:10"},
 CellID->1754728438,ExpressionUUID->"833c9288-7da1-4aa7-b03d-fdf8bfc7e2cf"],

Cell[TextData[{
 "Use ",
 ButtonBox["Range",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Range.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Range.html"],
 " to get a regular sampling of rows in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770041675851946*^9, 3.770041722268701*^9}, 
   3.7857835017141623`*^9, {3.786457243247614*^9, 3.786457247818614*^9}, 
   3.868090277767611*^9},
 CellTags->"p: 206",
 CellID->2121046457,ExpressionUUID->"82ec2eb7-8084-4cd4-aecb-64c1d5f65efb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"Range", "[", 
    RowBox[{"1", ",", 
     RowBox[{"Length", "[", "lifeboatDS", "]"}], ",", "4"}], "]"}], "]"}], 
  "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.768749294969191*^9, 3.768749347710435*^9}, {
  3.7700305386644163`*^9, 3.7700305386665993`*^9}},
 CellLabel->"In[39]:=",
 CellID->2123319212,ExpressionUUID->"7ca530d5-333b-46b2-a0fd-01415c49a720"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 6], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 6], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     6, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["14"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["19"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8686301b-3663-4908-aac4-acf9fa2553b5"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {100.3837890625, 107.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {100.3837890625, 107.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867143213353897*^9, 3.8817575583706427`*^9},
 CellLabel->"Out[39]=",
 CellID->520490235,ExpressionUUID->"6a7e61b4-9bd8-4959-908b-c18e137759f0"]
}, Open  ]],

Cell[TextData[{
 "Instead of regularly sampling a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", one can do so randomly. Here, I get a random sample of six rows. "
}], "Text",
 CellChangeTimes->{{3.768749134338073*^9, 3.768749148619931*^9}, {
   3.768815930452333*^9, 3.768815935246801*^9}, {3.77193222711674*^9, 
   3.771932269366577*^9}, {3.786457251533614*^9, 3.7864572519656143`*^9}, 
   3.786457306642614*^9, {3.867145727602798*^9, 3.8671457422827272`*^9}, 
   3.867145787905081*^9, {3.8738962534918704`*^9, 3.873896253969822*^9}, {
   3.8762335884664106`*^9, 3.8762335897081847`*^9}},
 CellTags->"i:11",
 CellID->337509690,ExpressionUUID->"0e98cbee-b502-43a0-ae7d-826d144f254c"],

Cell[TextData[{
 "Seed the random number generator and then use ",
 ButtonBox["RandomSample",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RandomSample.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RandomSample.html"],
 " to get a random sample of rows in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770041725448526*^9, 3.770041736736511*^9}, {
   3.786458033904632*^9, 3.7864580381820602`*^9}, 3.8680902917095423`*^9, {
   3.882460543184855*^9, 3.882460553548747*^9}},
 CellID->1863538339,ExpressionUUID->"45921469-fcf8-4f71-8793-41300ce2ef73"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{"SeedRandom", "[", "20230110", "]"}], ";", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"RandomSample", "[", 
       RowBox[{"#", ",", "6"}], "]"}], "&"}], "]"}], "[", "lifeboatDS", 
    "]"}]}], ")"}]], "Input",
 CellChangeTimes->{{3.768749150832651*^9, 3.768749186989883*^9}, {
   3.770030538711447*^9, 3.770030538713776*^9}, {3.7719322737351017`*^9, 
   3.771932294605523*^9}, 3.8169423255055943`*^9, 3.816942403005466*^9, {
   3.867145702958336*^9, 3.867145706847604*^9}, {3.8824605062999563`*^9, 
   3.882460528943115*^9}},
 CellLabel->"In[26]:=",
 CellID->502003864,ExpressionUUID->"91ad03fa-59e8-4f9f-a105-cf4fb40e4516"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 6, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 6], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 6, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 6], "Path" -> {}, 
     "DisplayedRowCount" -> 6, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     6, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["56"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["46"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "688e8c8d-ac33-4b35-b414-918804447f3e"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {100.3837890625, 107.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {100.3837890625, 107.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.768749187502604*^9, 3.7687687191728773`*^9, 3.768819310071978*^9, 
   3.768821512185803*^9, 3.768821708517124*^9, 3.7688332861710176`*^9, 
   3.768833326982575*^9, 3.768833410104328*^9, 3.768833545058484*^9, 
   3.768905483630907*^9, 3.768905777907083*^9, 3.770108500816807*^9, 
   3.770122595883649*^9, 3.770212775690634*^9, 3.770289127740962*^9, 
   3.7719308429387703`*^9, 3.771932296112063*^9, {3.816942392936561*^9, 
   3.816942405111721*^9}, 3.867145711098403*^9, 3.881757563810438*^9, 
   3.8824605319153643`*^9},
 CellLabel->"Out[26]=",
 CellID->271998079,ExpressionUUID->"8626b9cf-f5b3-4477-a36d-6277be1a12d0"]
}, Open  ]],

Cell[TextData[{
 "It would be somewhat unusual to randomly sample columns, but here is how to \
do it. Remembering that columns can be selected by their position in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " rather than by column names, I take three random numbers from a ",
 ButtonBox["Range",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Range.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Range.html"],
 " going from 1 to the number of columns in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". I can use the same technique at even lower levels of a more deeply nested \
dataset."
}], "Text",
 CellChangeTimes->{{3.7687492275835047`*^9, 3.7687492482394533`*^9}, {
  3.768749401586814*^9, 3.7687494552803802`*^9}, {3.768816160362351*^9, 
  3.7688161630305634`*^9}, {3.7688501468917027`*^9, 3.768850148056012*^9}, {
  3.7700417661936483`*^9, 3.7700417791686163`*^9}, {3.8671459047125797`*^9, 
  3.867145911120915*^9}},
 CellTags->{"LastCellOfAPage", "i:12"},
 CellID->1904588641,ExpressionUUID->"fe488726-5027-4cb2-80e3-ad96ed46a6ab"],

Cell[TextData[{
 "Randomly sample lower levels of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770041742405705*^9, 3.770041757773385*^9}, 
   3.7864582780030394`*^9, 3.868090342349421*^9},
 CellTags->"p: 207",
 CellID->266503124,ExpressionUUID->"cb6f675f-f9c3-4cc1-a1c9-e9fec4e64141"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{"SeedRandom", "[", "20230110", "]"}], ";", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", 
      RowBox[{"RandomSample", "[", 
       RowBox[{
        RowBox[{"Range", "[", 
         RowBox[{
          RowBox[{"Dimensions", "[", "lifeboatDS", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", "3"}], "]"}]}], "]"}], 
    "[", "lifeboatDS", "]"}]}], ")"}]], "Input",
 CellChangeTimes->{{3.768749249788485*^9, 3.7687492807604227`*^9}, {
  3.768749363106786*^9, 3.768749388546267*^9}, {3.768816158310996*^9, 
  3.768816158399147*^9}, {3.770030538759902*^9, 3.7700305387620153`*^9}, {
  3.882460602166977*^9, 3.882460619064836*^9}},
 CellLabel->"In[29]:=",
 CellID->1725362000,ExpressionUUID->"ad14dfa5-040b-41d2-8a21-3d783e76af49"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "sex" -> "female", "age" -> 16, "survived" -> True|>, <|
       "sex" -> "male", "age" -> 65, "survived" -> False|>, <|
       "sex" -> "female", "age" -> 2, "survived" -> False|>, <|
       "sex" -> "female", "age" -> Missing[], "survived" -> True|>, <|
       "sex" -> "female", "age" -> 18, "survived" -> False|>, <|
       "sex" -> "male", "age" -> Missing[], "survived" -> False|>, <|
       "sex" -> "female", "age" -> 22, "survived" -> True|>, <|
       "sex" -> "female", "age" -> 48, "survived" -> True|>, <|
       "sex" -> "male", "age" -> 14, "survived" -> False|>, <|
       "sex" -> "female", "age" -> 44, "survived" -> False|>, <|
       "sex" -> "male", "age" -> 33, "survived" -> False|>, <|
       "sex" -> "male", "age" -> 39, "survived" -> False|>, <|
       "sex" -> "female", "age" -> 19, "survived" -> True|>, <|
       "sex" -> "male", "age" -> 29, "survived" -> True|>, <|
       "sex" -> "male", "age" -> 46, "survived" -> False|>, <|
       "sex" -> "male", "age" -> Missing[], "survived" -> False|>, <|
       "sex" -> "female", "age" -> Missing[], "survived" -> True|>, <|
       "sex" -> "male", "age" -> 22, "survived" -> False|>, <|
       "sex" -> "male", "age" -> 22, "survived" -> True|>, <|
       "sex" -> "male", "age" -> 56, "survived" -> False|>, <|
       "sex" -> "male", "age" -> Missing[], "survived" -> False|>, <|
       "sex" -> "female", "age" -> 50, "survived" -> True|>}, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "sex"} -> 1, {All, "age"} -> 
        1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "sex" -> TypeSystem`PackageScope`AtomShape[63.], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 3, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"sex", "age", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "sex"} -> 1, {All, "age"} -> 
        1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "sex" -> TypeSystem`PackageScope`AtomShape[63.], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 3, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"sex", "age", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 3, "DataRowCount" -> 
     22, "DataColumnCount" -> 3, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "abf86f7a-e2f3-4d67-9184-0dd900212375"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{191., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{191., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.882460620157693*^9, 3.882460642813365*^9}},
 CellLabel->"Out[29]=",
 CellID->717163427,ExpressionUUID->"686a0b26-b3d4-4d6b-8aa0-25668aad820b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Replace Some Key-Value Pairs in an ",
 StyleBox[ButtonBox["Association",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 ": The ",
 StyleBox[ButtonBox["Association",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Override Feature"
}], "Subsection",
 CellID->307858684,ExpressionUUID->"7d81fe61-a4c7-4edf-9af8-628e144c574f"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s grab the first row of the lifeboat and call its ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form ",
 Cell[BoxData[
 "passenger1"], "InlineCodeText",ExpressionUUID->
  "dc1ae5cb-4c01-43b5-828a-7ee5c5e7d478"],
 "."
}], "Text",
 CellChangeTimes->{{3.7702329110106697`*^9, 3.770232927551963*^9}, {
  3.7702329908392143`*^9, 3.7702330256005573`*^9}, {3.7864583127955184`*^9, 
  3.7864583222594647`*^9}, {3.786458358334072*^9, 3.786458358335072*^9}, {
  3.86714602882095*^9, 3.867146029246406*^9}, {3.868090390640444*^9, 
  3.868090394633943*^9}, {3.873896333231732*^9, 3.8738963341524787`*^9}},
 CellID->1822909945,ExpressionUUID->"b538374f-f4ad-4dbc-8bc7-7a5dc79e41d5"],

Cell[TextData[{
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " extracts the first row; ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " lets the result escape the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.869145929739362*^9, 3.8691459584800463`*^9}},
 CellID->182688771,ExpressionUUID->"e840353d-2042-4965-93d8-8ad6fc9f180b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"passenger1", "=", 
  RowBox[{"Normal", "[", 
   RowBox[{"lifeboatDS", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7702329305193043`*^9, 3.7702329381207323`*^9}, {
  3.770232971066975*^9, 3.7702330304879913`*^9}},
 CellLabel->"In[42]:=",
 CellID->2137619143,ExpressionUUID->"149ad2bb-d549-4700-974b-3ca49d81ea6d"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.770233014751081*^9, 3.770233030826662*^9}, 
   3.7702891279593973`*^9, 3.771930843159012*^9, 3.816979443327918*^9, 
   3.867146032581564*^9, 3.881757616024892*^9},
 CellLabel->"Out[42]=",
 CellID->1087461269,ExpressionUUID->"eb9868dc-b63b-42f6-acc9-36685b996aea"]
}, Open  ]],

Cell[TextData[{
 "Suppose I learn there is a mistake and I want to change the age of ",
 Cell[BoxData[
 "passenger1"], "InlineCodeText",ExpressionUUID->
  "2b156770-f45d-4880-8aab-b176a4d8a9f4"],
 " from 16 to 19. Here are several ways I could do it. "
}], "Text",
 CellChangeTimes->{{3.770232941036119*^9, 3.770232962827901*^9}, {
   3.7702330343564873`*^9, 3.770233072026401*^9}, {3.770233114848757*^9, 
   3.770233117907195*^9}, {3.7719323755903893`*^9, 3.771932376450239*^9}, 
   3.786460576921609*^9, 3.786460762775609*^9, {3.867146042677465*^9, 
   3.867146043403865*^9}, {3.8680904195295353`*^9, 3.868090431282185*^9}, {
   3.874064294013587*^9, 3.874064295368742*^9}},
 CellTags->"i:13",
 CellID->756725510,ExpressionUUID->"f24eae1f-9493-4802-8868-f1cacd2173e0"],

Cell[TextData[{
 "I could use ",
 ButtonBox["ReplacePart",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ReplacePart.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/ReplacePart.html"],
 ":"
}], "Text",
 CellChangeTimes->{{3.786460765600609*^9, 3.786460771398609*^9}},
 CellID->771053232,ExpressionUUID->"8298144d-a521-4a98-ad4a-04189f8b6757"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReplacePart", "[", 
  RowBox[{"passenger1", ",", 
   RowBox[{"\"\<age\>\"", "\[Rule]", "19"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.770233074830234*^9, 3.770233084471861*^9}},
 CellLabel->"In[43]:=",
 CellID->140261162,ExpressionUUID->"b55248f1-e2e6-4452-9f8a-1948b8c18005"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "19"}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.770233084985314*^9, 3.770289127995542*^9, 
  3.771930843171384*^9, 3.816979579675993*^9, 3.881757619885906*^9},
 CellLabel->"Out[43]=",
 CellID->1153981903,ExpressionUUID->"dd057c5c-1fd7-49de-8c9e-3b75c2ef4bb2"]
}, Open  ]],

Cell[TextData[{
 "I could also use what I call the \[OpenCurlyDoubleQuote]Association \
Override Feature.\[CloseCurlyDoubleQuote] When ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " encounters a duplicate key, it takes the last value for the key that it \
finds:"
}], "CodeText",
 CellChangeTimes->{{3.770233120351636*^9, 3.7702331632850943`*^9}, {
   3.7864607962456093`*^9, 3.786460833133609*^9}, 3.868090454582856*^9, {
   3.8738964189729185`*^9, 3.8738964210849113`*^9}},
 CellID->1210434466,ExpressionUUID->"af82d0e3-77dc-41d5-b930-d423579a587e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Association", "[", 
  RowBox[{"passenger1", ",", 
   RowBox[{"\"\<age\>\"", "\[Rule]", "19"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.770233103260323*^9, 3.770233111791215*^9}},
 CellLabel->"In[44]:=",
 CellID->1748749524,ExpressionUUID->"c9c2aaac-c56f-423c-93f0-400ef9a4927f"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "19"}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.77023315671873*^9, 3.770289128039616*^9, 
  3.771930843208027*^9, 3.816979584743538*^9, 3.881757624502685*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[44]=",
 CellID->1339068970,ExpressionUUID->"daf92816-8cf6-481b-ae04-98705433bdb9"]
}, Open  ]],

Cell[TextData[{
 "I could combine this with the fact that ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " automatically flattens when it evaluates:"
}], "CodeText",
 CellChangeTimes->{{3.770233167069006*^9, 3.770233176762384*^9}, {
   3.771932405396084*^9, 3.771932413729932*^9}, {3.7864608407386093`*^9, 
   3.786460841082609*^9}, 3.786460901343609*^9, 3.8169792879156237`*^9, {
   3.868090515583366*^9, 3.868090547654861*^9}},
 CellTags->"p: 208",
 CellID->963898010,ExpressionUUID->"24830f48-1694-4467-9514-73119f108c66"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Association", "[", 
  RowBox[{"passenger1", ",", 
   RowBox[{"Association", "[", 
    RowBox[{"\"\<age\>\"", "\[Rule]", "19"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.770233178311173*^9, 3.7702331876580753`*^9}},
 CellLabel->"In[45]:=",
 CellID->717460478,ExpressionUUID->"80ff21c8-6bb8-4595-a870-cb0d9a72150b"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "19"}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.77023318816877*^9, 3.770289128050129*^9, 
  3.771930843220696*^9, 3.881757634011834*^9},
 CellLabel->"Out[45]=",
 CellID->1112871730,ExpressionUUID->"5f72ae82-efbd-4c1a-826c-8fb763d00163"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Append",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Append.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Append.html"],
 " also works, but the order of the keys is changed:"
}], "CodeText",
 CellChangeTimes->{{3.867146105326683*^9, 3.867146122669463*^9}, 
   3.868090507789016*^9},
 CellID->2110830692,ExpressionUUID->"4af47f68-4c7e-4df4-bcec-5317d2cd8b7d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Append", "[", 
  RowBox[{"passenger1", ",", 
   RowBox[{"\"\<age\>\"", "\[Rule]", "19"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.816979427008232*^9, 3.816979427915259*^9}},
 CellLabel->"In[46]:=",
 CellID->293245138,ExpressionUUID->"02533d9d-7db9-4026-8794-aad3efb6d14c"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "19"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.816979429190339*^9, 3.816979448400828*^9}, 
   3.881757638953786*^9},
 CellLabel->"Out[46]=",
 CellID->232774396,ExpressionUUID->"27773535-6070-430e-8d91-3bf7b319527e"]
}, Open  ]],

Cell[TextData[{
 "Note that none of these versions change the actual value for ",
 Cell[BoxData[
 "passenger1"], "InlineCode",ExpressionUUID->
  "140c84c6-040b-4d86-9381-a3d3c734e3d9"],
 ". To do that, I need to make an assignment:"
}], "CodeText",
 CellChangeTimes->{{3.7702331964899597`*^9, 3.770233216272032*^9}, {
   3.786460893678609*^9, 3.786460894151609*^9}, 3.868090586234871*^9},
 CellID->444189627,ExpressionUUID->"98786f6d-6251-4766-ab9b-5b7169793320"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"passenger1", "=", 
  RowBox[{"Association", "[", 
   RowBox[{"passenger1", ",", 
    RowBox[{"\"\<age\>\"", "\[Rule]", "19"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.770233218146393*^9, 3.7702332255790873`*^9}},
 CellLabel->"In[47]:=",
 CellID->1243857454,ExpressionUUID->"02aead2c-5ffc-4ab9-aa26-07e813531c97"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "19"}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7702332273338833`*^9, 3.770289128090932*^9, 
  3.771930843256399*^9, 3.881757644920233*^9},
 CellLabel->"Out[47]=",
 CellID->1048689824,ExpressionUUID->"6c2b3d39-6f61-48ec-9b87-b194af7d1c42"]
}, Open  ]],

Cell[TextData[{
 "Changing ",
 Cell[BoxData[
 "passenger1"], "InlineCodeText",ExpressionUUID->
  "3869f615-109a-4c63-8f4c-cfa6f3dbb1d6"],
 " doesn\[CloseCurlyQuote]t change the first row of ",
 Cell[BoxData[
 "lifeboatDS"], "InlineCodeText",ExpressionUUID->
  "1cdc75fa-ad7f-4bd6-8ca8-8af77565dc90"],
 ". To do that, I\[CloseCurlyQuote]d have to run the following code. I\
\[CloseCurlyQuote]m going to comment it out, however, so it doesn\
\[CloseCurlyQuote]t mess up the remainder of this chapter. "
}], "Text",
 CellChangeTimes->{{3.77023323141014*^9, 3.770233320417101*^9}, 
   3.771932432620311*^9, {3.786377939204193*^9, 3.7863779397171936`*^9}, {
   3.786460957427609*^9, 3.786460958563609*^9}, {3.867146194237218*^9, 
   3.867146203635903*^9}, 3.868090606633003*^9, {3.876233626659544*^9, 
   3.8762336386978927`*^9}, 3.898093739329776*^9},
 CellID->1857966511,ExpressionUUID->"82d4ed49-f7bf-494f-9760-3d4903395fa0"],

Cell[TextData[{
 "Use ",
 ButtonBox["ReplacePart",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ReplacePart.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/ReplacePart.html"],
 " to change items in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". The code doesn\[CloseCurlyQuote]t execute because it is wrapped in ",
 StyleBox["(* ", "InlineCode"],
 StyleBox["\[Ellipsis]", "InlineCode",
  FontColor->GrayLevel[0.6]],
 StyleBox[" *)", "InlineCode"],
 ", which is how the Wolfram Language denotes comments:"
}], "CodeText",
 CellChangeTimes->{{3.870360779117614*^9, 3.870360823558571*^9}, {
  3.873896553430919*^9, 3.8738965536534243`*^9}},
 CellID->1806176418,ExpressionUUID->"f9f85557-1063-4495-b2a1-e5b510084140"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"lifeboatDS", "=", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{"lifeboatDS", ",", 
      RowBox[{"1", "\[Rule]", "passenger1"}]}], "]"}]}], "*)"}], 
  ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1921199006,ExpressionUUID->"fec37980-823b-4671-90d6-94922858e9ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Keep and Drop Rows or Columns", "Subsection",
 CellChangeTimes->{{3.7702072808588543`*^9, 3.77020729924925*^9}},
 CellID->724014945,ExpressionUUID->"cb23f979-d0fa-435d-9fca-5e561be1e07e"],

Cell[TextData[{
 "Often, one just wants part of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " shown. If the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " does not contain an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " at the relevant level, ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " and ",
 ButtonBox["Drop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Drop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Drop.html"],
 " often come in handy. If the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " does contain Associations at the relevant levels, the cognate functions ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " and ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " are frequently used. "
}], "Text",
 CellChangeTimes->{{3.7702073023316803`*^9, 3.7702074031041183`*^9}, {
  3.786461088905609*^9, 3.786461092741609*^9}, {3.786461301757609*^9, 
  3.7864613048776093`*^9}, {3.867147297811356*^9, 3.8671473079128437`*^9}},
 CellTags->"i:14",
 CellID->1441667132,ExpressionUUID->"5bf954d6-6c50-4a0d-a7a0-6f631bd8d78c"],

Cell[TextData[{
 "Suppose, for example, I just want the first three rows of ",
 Cell[BoxData[
 "lifeboatDS"], "InlineCodeText",ExpressionUUID->
  "da3404a3-bf02-4396-a06a-686d5e7ef5ae"],
 ", which is structured as a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations. "
}], "Text",
 CellChangeTimes->{{3.770207405191001*^9, 3.7702074424369383`*^9}, {
   3.7864613106396093`*^9, 3.786461326214609*^9}, {3.786461422657609*^9, 
   3.786461423913609*^9}, 3.868090674786047*^9, {3.876233664990487*^9, 
   3.8762336780297155`*^9}, {3.8762337254699354`*^9, 3.8762337266198363`*^9}, 
   3.8980937179132433`*^9},
 CellID->1093437906,ExpressionUUID->"404af5af-88da-4ff6-8861-992f76019349"],

Cell[TextData[{
 "The data wrapped in ",
 StyleBox["lifeboatDS", "InlineCode"],
 " is a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " at its top level:"
}], "CodeText",
 CellChangeTimes->{{3.770217806004343*^9, 3.7702178258431997`*^9}, {
   3.786461404553609*^9, 3.786461410715609*^9}, 3.816980190655859*^9, 
   3.8680907399056168`*^9, {3.876233792564698*^9, 3.8762337956104183`*^9}, {
   3.884873631356393*^9, 3.884873631856099*^9}},
 CellID->381348453,ExpressionUUID->"59e93413-004f-41ad-ad9c-ab3bb651e9f5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Head", "[", 
  RowBox[{"Normal", "[", "lifeboatDS", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8169805325169477`*^9, 3.8169805460921926`*^9}},
 CellLabel->"In[48]:=",
 CellID->607601183,ExpressionUUID->"27f1140d-6967-4edd-b11c-911ed3879042"],

Cell[BoxData["List"], "Output",
 CellChangeTimes->{3.8169805472388077`*^9, 3.881757677226741*^9},
 CellLabel->"Out[48]=",
 CellID->971623032,ExpressionUUID->"4bddb705-dfe4-4823-988f-90d916e5535f"]
}, Open  ]],

Cell[TextData[{
 "Use ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " to get contiguous elements:"
}], "CodeText",
 CellChangeTimes->{{3.770207475354414*^9, 3.7702074824485826`*^9}, {
   3.7702178336826563`*^9, 3.770217836777438*^9}, {3.786461432744609*^9, 
   3.786461438657609*^9}, 3.8762338166457567`*^9},
 CellID->1676362870,ExpressionUUID->"626d18fa-d308-4e08-9aaa-eddf9ce0e1b7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{"lifeboatDS", ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{{3.770207485236988*^9, 3.770207489947525*^9}},
 CellLabel->"In[49]:=",
 CellID->677542649,ExpressionUUID->"14a10eb8-e86a-4a54-ab37-31463fb09cc3"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[33.6], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[67.2], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[String], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 3], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[33.6], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[67.2], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[String], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 3], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     3, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bda135d7-bad0-4567-96d7-62f02e78cf43"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{220., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{220., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8671473912144737`*^9, 3.881757681261222*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[49]=",
 CellID->314552838,ExpressionUUID->"79df6fcb-7050-46b5-9464-626c7efaf5eb"]
}, Open  ]],

Cell[TextData[{
 "Use ",
 ButtonBox["Drop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Drop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Drop.html"],
 " to get rid of the first 17 rows of ",
 StyleBox["lifeboatDS", "InlineCode"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7702075021105957`*^9, 3.770207526857773*^9}, {
  3.7863779440591936`*^9, 3.7863779445711937`*^9}, {3.786461794596609*^9, 
  3.786461800550609*^9}, {3.876234168275095*^9, 3.876234198278305*^9}, {
  3.8762342289820905`*^9, 3.876234255277951*^9}, {3.876234411489436*^9, 
  3.8762344149079123`*^9}},
 CellTags->"p: 209",
 CellID->2067761447,ExpressionUUID->"bb9b4818-29cd-4f3e-a675-5120c5ca213a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Drop", "[", 
  RowBox[{"lifeboatDS", ",", "17"}], "]"}]], "Input",
 CellChangeTimes->{{3.770207518796558*^9, 3.770207522714032*^9}},
 CellLabel->"In[50]:=",
 CellID->973624588,ExpressionUUID->"0bdc9c37-1b5e-4e83-b9bd-416b3461f182"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["56"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["50"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce27b5d8-f586-4d2b-a4bf-745e771f37fd"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867147394414205*^9, 3.8817576885390673`*^9},
 CellLabel->"Out[50]=",
 CellID->1083087868,ExpressionUUID->"5c5449ec-14d7-4ded-a274-c2d4599d7f52"]
}, Open  ]],

Cell[TextData[{
 "If the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " was structured as Lists rather than Associations at the first level, I \
could use ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " and ",
 ButtonBox["Drop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Drop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Drop.html"],
 " there too. Here, I take the first four rows and first two columns of the \
stripped lifeboat ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.7702075398774967`*^9, 3.770207608219586*^9}, {
   3.786461806483609*^9, 3.786461818376609*^9}, 3.816980677269464*^9, {
   3.867147570840835*^9, 3.8671475722577868`*^9}, {3.867147608615262*^9, 
   3.867147611656844*^9}, 3.868090795953382*^9, {3.8738983105213327`*^9, 
   3.8738983109766474`*^9}, {3.8762344382113647`*^9, 3.876234458551823*^9}, 
   3.896505843946309*^9},
 CellID->2110285593,ExpressionUUID->"ef86b627-6ed7-4b08-9077-2945be6624bb"],

Cell[TextData[{
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " can be used at multiple levels of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " where the levels are Lists:"
}], "CodeText",
 CellChangeTimes->{{3.770217854964123*^9, 3.770217890890464*^9}, {
   3.786461845601609*^9, 3.7864618495296087`*^9}, 3.868090830232428*^9},
 CellID->1135973124,ExpressionUUID->"2c98791b-3712-41c8-a3b2-3b48d89093a8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lifeboat", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", "Values"}], "]"}], "[", "lifeboatDS", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.867147712229988*^9, 3.867147735538521*^9}},
 CellLabel->"In[51]:=",
 CellID->1989826780,ExpressionUUID->"84ff6d23-98c0-4afc-9061-e992c91d2172"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {{"3rd", 16, "female", True}, {
       "1st", 65, "male", False}, {"3rd", 2, "female", False}, {"3rd", 
        Missing[], "female", True}, {"3rd", 18, "female", False}, {"3rd", 
        Missing[], "male", False}, {"3rd", 22, "female", True}, {
       "2nd", 48, "female", True}, {"3rd", 14, "male", False}, {
       "2nd", 44, "female", False}, {"3rd", 33, "male", False}, {
       "3rd", 39, "male", False}, {"1st", 19, "female", True}, {
       "3rd", 29, "male", True}, {"1st", 46, "male", False}, {"2nd", 
        Missing[], "male", False}, {"3rd", 
        Missing[], "female", True}, {"3rd", 22, "male", False}, {
       "2nd", 22, "male", True}, {"3rd", 56, "male", False}, {"2nd", 
        Missing[], "male", False}, {"2nd", 50, "female", True}}, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34], 
           TypeSystem`PackageScope`AtomShape[63.], 
           TypeSystem`PackageScope`AtomShape[36]}], 
         DirectedInfinity[1], 4, {All}]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34], 
           TypeSystem`PackageScope`AtomShape[63.], 
           TypeSystem`PackageScope`AtomShape[36]}], 
         DirectedInfinity[1], 4, {All}]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{1, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{1, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{1, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{1, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{2, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{2, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{2, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{2, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{3, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{3, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{3, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{3, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{4, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{4, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{4, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{4, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{5, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{5, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{5, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{5, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{6, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{6, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{6, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{6, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{7, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{7, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{7, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{7, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{8, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{8, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{8, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a6fb51c9-9a9c-423d-b357-c7f6dc2cd079"]][{8, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{217., {124.3837890625, 131.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{217., {124.3837890625, 131.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.867147708392659*^9, 3.867147736354683*^9}, 
   3.881757694251252*^9},
 CellLabel->"Out[51]=",
 CellID->1000022185,ExpressionUUID->"1707846b-9124-40e6-8cb1-5232cca0ffb1"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " gets the first four rows and then the first two columns:"
}], "CodeText",
 CellChangeTimes->{{3.8691460440544786`*^9, 3.869146062466942*^9}, 
   3.870185958797772*^9},
 CellID->915792560,ExpressionUUID->"b76ba667-da70-47d2-894e-3013da3a2dea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{"lifeboat", ",", "4", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.77020756933479*^9, 3.770207582431508*^9}, {
  3.7702076141577187`*^9, 3.770207616576497*^9}, {3.867147741505804*^9, 
  3.867147743054925*^9}},
 CellLabel->"In[52]:=",
 CellID->608067166,ExpressionUUID->"cc831381-f2d2-4b67-9b42-c3bb3d8912a6"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {{"3rd", 16}, {"1st", 65}, {"3rd", 2}, {"3rd", 
        Missing[]}}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34]}], 
         DirectedInfinity[1], 2, {All}]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer]}], 4], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34]}], 
         DirectedInfinity[1], 2, {All}]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer]}], 4], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 4, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ac5a0dc-aa67-49eb-a74f-ea024ce17ba8"]][{1, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ac5a0dc-aa67-49eb-a74f-ea024ce17ba8"]][{1, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ac5a0dc-aa67-49eb-a74f-ea024ce17ba8"]][{2, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ac5a0dc-aa67-49eb-a74f-ea024ce17ba8"]][{2, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ac5a0dc-aa67-49eb-a74f-ea024ce17ba8"]][{3, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ac5a0dc-aa67-49eb-a74f-ea024ce17ba8"]][{3, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ac5a0dc-aa67-49eb-a74f-ea024ce17ba8"]][{4, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ac5a0dc-aa67-49eb-a74f-ea024ce17ba8"]][{4, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{84., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{84., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.86714762561237*^9, 3.867147743463325*^9, 
  3.8817577165131817`*^9},
 CellLabel->"Out[52]=",
 CellID->2144607605,ExpressionUUID->"1c8394ff-ea8f-4616-bfa8-c748b0cd6c49"]
}, Open  ]],

Cell["Here, I get rid of the first 18 rows and the last column.", "Text",
 CellChangeTimes->{{3.770207626619647*^9, 3.770207675587056*^9}, 
   3.786461861176609*^9},
 CellTags->"LastCellOfAPage",
 CellID->2007187232,ExpressionUUID->"1b0d0c38-700d-4c05-a383-9fcf538d283f"],

Cell[TextData[{
 ButtonBox["Drop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Drop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Drop.html"],
 " can be used at multiple levels of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " where the levels are Lists:"
}], "CodeText",
 CellChangeTimes->{{3.770217866328586*^9, 3.7702178932622633`*^9}, {
   3.7864618760476093`*^9, 3.786461879788609*^9}, 3.868090883834383*^9},
 CellTags->"p: 210",
 CellID->1903388912,ExpressionUUID->"9d42bda9-cc3f-48ef-9e7d-9bb4029bc6bd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Drop", "[", 
  RowBox[{"lifeboat", ",", "18", ",", 
   RowBox[{"-", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.770207658047374*^9, 3.770207670859189*^9}, {
  3.867147752389542*^9, 3.8671477535956182`*^9}},
 CellLabel->"In[53]:=",
 CellID->588607347,ExpressionUUID->"be2badd8-6ffd-41e1-b284-56e7caafa9e6"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {{"2nd", 22, "male"}, {"3rd", 56, "male"}, {"2nd", 
        Missing[], "male"}, {"2nd", 50, "female"}}, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34], 
           TypeSystem`PackageScope`AtomShape[63.]}], 
         DirectedInfinity[1], 3, {All}]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]]}], 4], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34], 
           TypeSystem`PackageScope`AtomShape[63.]}], 
         DirectedInfinity[1], 3, {All}]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]]}], 4], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 3, "DataRowCount" -> 
     4, "DataColumnCount" -> 3, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{1, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{1, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{1, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{2, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["56"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{2, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{2, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{3, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{3, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{3, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{4, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["50"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{4, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2b6a32f-a7cc-426d-b333-ae5ab2603e25"]][{4, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{155., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{155., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867147754216814*^9, 3.881757721769809*^9},
 CellLabel->"Out[53]=",
 CellID->768677925,ExpressionUUID->"69ddce81-9b1f-4f15-9817-e1c44b092838"]
}, Open  ]],

Cell[TextData[{
 "Now let\[CloseCurlyQuote]s work with levels of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that contain Associations. Here, I get just the ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCodeText",ExpressionUUID->
  "18363744-1a39-4f93-b95c-ec04963c3c8f"],
 " and ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "694b2a87-5480-4632-ac36-9088c4a1a918"],
 " of the first four lifeboat passengers. There\[CloseCurlyQuote]s no \
operator form of ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 ", so I use ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 ", though I could equally well have used ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Take",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Take.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"], "[", 
    RowBox[{
     ButtonBox[
      StyleBox["#",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
      ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
     ",", "4"}], "]"}], 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"a97d992a-11cf-4a17-84a8-c56c5e202884"],
 " or a ",
 ButtonBox["Range",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Range.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Range.html"],
 " as the first argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.770207678664668*^9, 3.770207754287442*^9}, {
   3.7702077897385063`*^9, 3.770207815203005*^9}, {3.7702079066765413`*^9, 
   3.770207929525984*^9}, {3.771932492236581*^9, 3.771932492778762*^9}, {
   3.786377949027193*^9, 3.7863779495631933`*^9}, {3.786461888262609*^9, 
   3.786461925571982*^9}, 3.8169809307980423`*^9, {3.86714776568793*^9, 
   3.867147767272339*^9}, {3.867148802268032*^9, 3.867148827867703*^9}, {
   3.868090907311714*^9, 3.86809091646871*^9}, {3.868090998988894*^9, 
   3.868091028194861*^9}, {3.8680910812056017`*^9, 3.868091131218692*^9}, {
   3.868091163310763*^9, 3.868091190830303*^9}, {3.868091226437468*^9, 
   3.868091287842404*^9}, {3.868093134001978*^9, 3.8680931803621473`*^9}, {
   3.870360859294792*^9, 3.870360861683816*^9}, 3.8738984010666747`*^9},
 CellID->59837820,ExpressionUUID->"c235c80d-dc30-4060-b06d-2691dfb15ace"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " to extract key-value pairs from lower levels of the data in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770217897203085*^9, 3.770217918585783*^9}, {
   3.7864544870376225`*^9, 3.786454487262623*^9}, 3.7864622650453353`*^9, {
   3.868091326271654*^9, 3.868091333737059*^9}},
 CellID->1939372146,ExpressionUUID->"2479b4bd-6fcd-4df5-9062-6deee66f47a1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"1", ";;", "4"}], ",", 
    RowBox[{"KeyTake", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<sex\>\"", ",", "\"\<age\>\""}], "}"}], "]"}]}], "]"}], "[",
   "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.770207725349174*^9, 3.770207746958077*^9}, {
  3.770207818390655*^9, 3.7702078502327547`*^9}, {3.770207933558393*^9, 
  3.7702079418193913`*^9}},
 CellLabel->"In[54]:=",
 CellID->803887681,ExpressionUUID->"560db711-8b5d-440e-9058-050a2f20c256"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|"sex" -> "female", "age" -> 16|>, <|
       "sex" -> "male", "age" -> 65|>, <|"sex" -> "female", "age" -> 2|>, <|
       "sex" -> "female", "age" -> Missing[]|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "sex"} -> 1, {All, "age"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "sex" -> TypeSystem`PackageScope`AtomShape[63.], "age" -> 
            TypeSystem`PackageScope`AtomShape[34]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"sex", "age"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[Integer]}], 4], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "sex"} -> 1, {All, "age"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "sex" -> TypeSystem`PackageScope`AtomShape[63.], "age" -> 
            TypeSystem`PackageScope`AtomShape[34]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"sex", "age"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[Integer]}], 4], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 4, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "68cce99c-2bb8-4fcf-9f6c-9b900f8123d3"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{115., {73.3837890625, 80.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{115., {73.3837890625, 80.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8671601102307453`*^9, 3.881757728731958*^9},
 CellLabel->"Out[54]=",
 CellID->394781768,ExpressionUUID->"3603ebe3-6d26-48d5-afbd-cbf78d26b4a9"]
}, Open  ]],

Cell["\<\
Or suppose I wanted the last three passengers, but I didn\[CloseCurlyQuote]t \
want the result to contain their age or survival.\
\>", "Text",
 CellChangeTimes->{{3.770207949437224*^9, 3.770207981828273*^9}, {
  3.7863779541951933`*^9, 3.7863779546591935`*^9}, {3.867160101319929*^9, 
  3.8671601041014442`*^9}, {3.8680913485559483`*^9, 3.868091354295624*^9}, {
  3.87406452481376*^9, 3.874064526206183*^9}},
 CellID->1416566524,ExpressionUUID->"b3d445c3-9331-4fd0-898a-6d25fe5aa905"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " to eliminate key-value pairs from lower levels of the data in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770217897203085*^9, 3.770217935630427*^9}, {
   3.7864544920866227`*^9, 3.7864544922706223`*^9}, {3.7864622782786584`*^9, 
   3.786462282082039*^9}, 3.786462391739003*^9, 3.8680913648613358`*^9},
 CellID->489504796,ExpressionUUID->"fb5d7b23-6c59-4a94-8a17-1e186a81054a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "3"}], ";;", 
     RowBox[{"-", "1"}]}], ",", 
    RowBox[{"KeyDrop", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<age\>\"", ",", "\"\<survived\>\""}], "}"}], "]"}]}], "]"}],
   "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.81698109613074*^9, 3.8169810966931953`*^9}},
 CellLabel->"In[55]:=",
 CellID->705759246,ExpressionUUID->"f1682e8b-ded8-42ca-b41a-fd8ca1ce94c8"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|"class" -> "3rd", "sex" -> "male"|>, <|
       "class" -> "2nd", "sex" -> "male"|>, <|
       "class" -> "2nd", "sex" -> "female"|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "sex"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[33.6], "sex" -> 
            TypeSystem`PackageScope`AtomShape[67.2]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "sex"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[String]}], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "sex"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[33.6], "sex" -> 
            TypeSystem`PackageScope`AtomShape[67.2]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "sex"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[String]}], 3], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 3, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a27b2d5d-aee1-4468-be6f-9f64a513e0e6"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a27b2d5d-aee1-4468-be6f-9f64a513e0e6"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a27b2d5d-aee1-4468-be6f-9f64a513e0e6"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a27b2d5d-aee1-4468-be6f-9f64a513e0e6"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a27b2d5d-aee1-4468-be6f-9f64a513e0e6"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a27b2d5d-aee1-4468-be6f-9f64a513e0e6"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a27b2d5d-aee1-4468-be6f-9f64a513e0e6"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a27b2d5d-aee1-4468-be6f-9f64a513e0e6"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{120., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{120., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.816981097661765*^9, 3.881757734719816*^9},
 CellLabel->"Out[55]=",
 CellID->13668429,ExpressionUUID->"0ed45109-eb93-43e9-bd83-51d03d4b9a01"]
}, Open  ]],

Cell[TextData[{
 "If I wanted all the passengers without ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "a16569fd-46a2-4e0a-a4eb-f94480a20601"],
 ", I would write the following."
}], "Text",
 CellChangeTimes->{{3.7702080150839853`*^9, 3.7702080269670887`*^9}, {
  3.7864623726910987`*^9, 3.7864624034601755`*^9}, {3.86809148330767*^9, 
  3.868091489507389*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1474041794,ExpressionUUID->"d27aca53-5280-4e0e-8e04-ed6f6c43a262"],

Cell[TextData[{
 "Delete the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCode",ExpressionUUID->
  "058d1024-f98b-4fe6-b347-07cd6cd7c41c"],
 " column in ",
 StyleBox["lifeboatDS", "InlineCode"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770217946120805*^9, 3.770217954723198*^9}, 
   3.786462412428072*^9, {3.868091496816435*^9, 3.868091505912931*^9}, {
   3.8762351486097746`*^9, 3.8762351575759263`*^9}},
 CellTags->"p: 211",
 CellID->680111158,ExpressionUUID->"818dee61-090c-4598-9539-4ec11c53a460"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"KeyDrop", "[", "\"\<age\>\"", "]"}]}], "]"}], "[", "lifeboatDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.770208029457735*^9, 3.770208038410036*^9}},
 CellLabel->"In[56]:=",
 CellID->375638119,ExpressionUUID->"7578234d-23ff-47c0-a745-87fe909535b0"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "sex" -> "female", "survived" -> True|>, <|
       "class" -> "1st", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "sex" -> "female", "survived" -> False|>, <|
       "class" -> "3rd", "sex" -> "female", "survived" -> True|>, <|
       "class" -> "3rd", "sex" -> "female", "survived" -> False|>, <|
       "class" -> "3rd", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "sex" -> "female", "survived" -> True|>, <|
       "class" -> "2nd", "sex" -> "female", "survived" -> True|>, <|
       "class" -> "3rd", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "sex" -> "female", "survived" -> False|>, <|
       "class" -> "3rd", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "sex" -> "female", "survived" -> True|>, <|
       "class" -> "3rd", "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "sex" -> "female", "survived" -> True|>, <|
       "class" -> "3rd", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "sex" -> "female", "survived" -> True|>}, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "sex"} -> 
        1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 3, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "sex"} -> 
        1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 3, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 3, "DataRowCount" -> 
     22, "DataColumnCount" -> 3, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b47e63e4-cbb5-4c6c-a313-903511742a24"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{189., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{189., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867160208331657*^9, 3.881757743867092*^9},
 CellLabel->"Out[56]=",
 CellID->1499899078,ExpressionUUID->"1eeb400a-c4a0-44b6-b8d7-b49c23e08011"]
}, Open  ]],

Cell[TextData[{
 "Suppose I want to find rows in ",
 Cell[BoxData[
 "titanicDS"], "InlineCodeText",ExpressionUUID->
  "154b19ed-b664-4eb4-9ff7-bd020f7dfe9b"],
 " where the person is male and in first class. I can use ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " in conjunction with an anonymous function as follows."
}], "Text",
 CellChangeTimes->{{3.740493654172344*^9, 3.740493680702524*^9}, {
   3.740493830044635*^9, 3.740493838403755*^9}, {3.7404938950537157`*^9, 
   3.740493898920034*^9}, {3.7418686471932783`*^9, 3.741868660315446*^9}, {
   3.741868762224904*^9, 3.741868766692374*^9}, {3.741868810364279*^9, 
   3.7418688755676813`*^9}, {3.770114060696966*^9, 3.770114069175578*^9}, {
   3.7701161268986597`*^9, 3.770116144057719*^9}, {3.770116300950245*^9, 
   3.7701163042619667`*^9}, {3.77011635487394*^9, 3.7701163645359383`*^9}, {
   3.7864624347633057`*^9, 3.7864624427991085`*^9}, 3.816981277630404*^9, {
   3.8169813524198008`*^9, 3.816981367742733*^9}, {3.8671602145630608`*^9, 
   3.867160224047475*^9}, {3.867160256936387*^9, 3.8671602587625513`*^9}, {
   3.868091574308178*^9, 3.868091582628695*^9}, {3.874064578520237*^9, 
   3.874064579624919*^9}, {3.876235173909941*^9, 3.8762351826515293`*^9}},
 CellTags->"i:15",
 CellID->1995021247,ExpressionUUID->"1e81ee95-cd6b-4158-81b6-9ef5ce9d04de"],

Cell[TextData[{
 "Use ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " at the top level to find Associations with certain key-value \
combinations:"
}], "CodeText",
 CellChangeTimes->{{3.77021795952067*^9, 3.770217981617757*^9}, {
   3.786462450669896*^9, 3.786462461399969*^9}, {3.8739007254610863`*^9, 
   3.8739007256445*^9}, 3.876235219974045*^9},
 CellID->1146236736,ExpressionUUID->"37f3960e-5cbd-4e61-946a-10b13353da4e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#class", "===", "\"\<1st\>\""}], " ", "&&", " ", 
      RowBox[{"#sex", "===", "\"\<male\>\""}]}], "&"}], "]"}], "]"}], "[", 
  "titanicDS", "]"}]], "Input",
 CellChangeTimes->{{3.770116306802951*^9, 3.770116349177513*^9}, {
  3.770137928443746*^9, 3.770137928570053*^9}},
 CellLabel->"In[57]:=",
 CellID->1335823933,ExpressionUUID->"5b92dcff-08cc-4ca6-8425-e18a8287dfba"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 80, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 11, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 70, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 13, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 6, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 67, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> False|>},
      "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[42.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 179], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[42.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 179], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     179, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["30"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["39"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["71"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["47"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["80"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "158fd221-f724-4434-b9df-a1b4735a0ac9"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 179, 1], {1, 179 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 179, 1], {1, 179 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[179, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[179, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 179, 1], {1, 179 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 179, 1], {1, 179 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{210., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{210., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867160271177809*^9, 3.88175776430158*^9},
 CellLabel->"Out[57]=",
 CellID->1245137766,ExpressionUUID->"87369b41-a4cf-4908-810a-3edf9a1cf718"]
}, Open  ]],

Cell["\<\
Another way, however, is to create a pattern that conforms to the desired \
output. Here, I create a pattern that corresponds to males in first class. I \
don\[CloseCurlyQuote]t care what the other values are.\
\>", "Text",
 CellChangeTimes->{{3.770116163789794*^9, 3.770116214172131*^9}, 
   3.7864626188527126`*^9, 3.7867218765621605`*^9, {3.868091610895405*^9, 
   3.86809161735985*^9}, {3.874064614335709*^9, 3.874064616915929*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1790912781,ExpressionUUID->"ecdd6118-c03b-44e4-9284-6114962ef138"],

Cell[TextData[{
 "Create a key-value pattern that can be used by ",
 ButtonBox["Cases",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Cases.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Cases.html"],
 " to find data: "
}], "CodeText",
 CellChangeTimes->{{3.77021799374648*^9, 3.770218021901205*^9}, {
  3.7864625321620445`*^9, 3.786462549378766*^9}},
 CellTags->"p: 212",
 CellID->663806488,ExpressionUUID->"8d7a0579-0efc-4397-a63d-bb72fca6ac29"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"male1st", "=", 
  RowBox[{"AssociationThread", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<class\>\"", ",", "\"\<age\>\"", ",", "\"\<sex\>\"", ",", 
      "\"\<survived\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<1st\>\"", ",", "_", ",", "\"\<male\>\"", ",", "_"}], 
     "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[58]:=",
 CellID->111076775,ExpressionUUID->"11109794-9e18-45a4-bbae-151e4c6de3ea"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", " ", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "_"}], ",", " ", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", " ", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", "_"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7701162178012953`*^9, 3.770122634200741*^9, 
  3.770212776915156*^9, 3.770289129703072*^9, 3.7719308442461348`*^9, 
  3.867331704964857*^9, 3.870360944534072*^9, 3.881757777558543*^9},
 CellLabel->"Out[58]=",
 CellID->1371745828,ExpressionUUID->"b312e168-9aec-49f8-aaca-be4b39825bfc"]
}, Open  ]],

Cell[TextData[{
 "If you don\[CloseCurlyQuote]t like ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 ", you can also just write the pattern directly as ",
 Cell[BoxData[
  RowBox[{"\[LeftAssociation]", 
   RowBox[{
    RowBox[{"class", " ", "\[Rule]", " ", 
     RowBox[{"1", "st"}]}], ",", " ", 
    RowBox[{"age", " ", "\[Rule]", "_"}], ",", " ", 
    RowBox[{"sex", " ", "\[Rule]", " ", "male"}], ",", " ", 
    RowBox[{"survived", " ", "\[Rule]", "_"}]}], "\[RightAssociation]"}]], 
  "InlineCode",ExpressionUUID->"f1ebd25e-fca2-4820-b3f2-d8937693760c"],
 "."
}], "Note",
 CellChangeTimes->{{3.8671606199935713`*^9, 3.86716065457454*^9}, {
  3.8738867369178047`*^9, 3.873886738391528*^9}, {3.873901025240862*^9, 
  3.8739010366922874`*^9}, {3.873901208346653*^9, 3.87390123203155*^9}, {
  3.8977505395976133`*^9, 3.8977505702873087`*^9}},
 CellID->602776015,ExpressionUUID->"fc798862-97a1-48bf-9ba7-63ca50bb1bff"],

Cell[TextData[{
 "Now I use that pattern as an argument to ",
 ButtonBox["Cases",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Cases.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Cases.html"],
 ". I wrap it in ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " here, but one doesn\[CloseCurlyQuote]t really need to do so."
}], "Text",
 CellChangeTimes->{{3.770116220449255*^9, 3.770116246797214*^9}, {
  3.770116394845764*^9, 3.77011640546693*^9}, {3.7864625570155296`*^9, 
  3.7864625807018976`*^9}, {3.873901272765112*^9, 3.8739012772882304`*^9}},
 CellID->1402582644,ExpressionUUID->"5f0dc3fb-557d-4b99-821a-6c795298b8d3"],

Cell[TextData[{
 "Use ",
 ButtonBox["Cases",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Cases.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Cases.html"],
 " in combination with a key-value pattern to find data in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770218025465102*^9, 3.770218039636958*^9}, {
   3.7864625962044477`*^9, 3.7864626013899665`*^9}, 3.868091693511777*^9},
 CellID->2018182445,ExpressionUUID->"24547085-fd64-4bc5-b4f2-5743c645643a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"Cases", "[", "male1st", "]"}], "]"}], "[", "titanicDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.770116377511806*^9, 3.770116385178515*^9}, {
  3.770137934312359*^9, 3.770137934466157*^9}},
 CellLabel->"In[59]:=",
 CellID->819776972,ExpressionUUID->"70b4e36c-b95d-43db-a890-aa05b36c8b6e"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 80, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 11, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 70, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 13, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 6, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 67, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> False|>},
      "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[42.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 179], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[42.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 179], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     179, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["30"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["39"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["71"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["47"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["80"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c7235d59-783c-445d-8221-2b90f0def660"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 179, 1], {1, 179 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 179, 1], {1, 179 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[179, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[179, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 179, 1], {1, 179 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 179, 1], {1, 179 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{210., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{210., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.870360949084774*^9, 3.881757785329302*^9},
 CellLabel->"Out[59]=",
 CellID->720765588,ExpressionUUID->"0ee25ee2-0b4a-4a09-b78b-e00b398993f2"]
}, Open  ]],

Cell[TextData[{
 "Or I can combine ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " and an operator form of ",
 ButtonBox["MatchQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MatchQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MatchQ.html"],
 ". Here, I show it without the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " wrapping, although I could wrap it in ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.770116252844026*^9, 3.770116292306245*^9}, {
   3.770116411540291*^9, 3.7701164212156563`*^9}, {3.7864626094277697`*^9, 
   3.786462613120139*^9}, {3.786462659774804*^9, 3.786462662970124*^9}, 
   3.7867218814141607`*^9, {3.8762354202516365`*^9, 3.8762354281249685`*^9}},
 CellID->1664331311,ExpressionUUID->"bca5b285-f955-49c1-95bf-4c86d9f40add"],

Cell[TextData[{
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " with ",
 ButtonBox["MatchQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MatchQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MatchQ.html"],
 " can likewise be used with a key-value pattern to find data in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770218046436892*^9, 3.7702180643441133`*^9}, {
   3.786462875164341*^9, 3.7864628846172867`*^9}, 3.868091756198124*^9},
 CellID->70049204,ExpressionUUID->"517f9757-496f-4443-9735-598c94216875"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{"MatchQ", "[", "male1st", "]"}], "]"}], "[", "titanicDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.770116269376514*^9, 3.770116281834499*^9}, {
  3.7701379385821743`*^9, 3.77013793871259*^9}},
 CellLabel->"In[60]:=",
 CellID->1624754285,ExpressionUUID->"50c632bf-514e-4bb5-bdb7-d4bf86b5511a"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 80, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 11, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 70, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 13, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 6, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 67, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> False|>},
      "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[42.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 179], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[42.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 179], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     179, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["30"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["39"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["71"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["47"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["80"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{42., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5367d049-48f2-4bc1-919b-472006cb303a"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 179, 1], {1, 179 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 179, 1], {1, 179 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[179, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[179, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 179, 1], {1, 179 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 179, 1], {1, 179 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{210., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{210., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.867331528540985*^9, {3.867331698467037*^9, 3.8673317075191813`*^9}, 
   3.8817577931312304`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[60]=",
 CellID->47421800,ExpressionUUID->"c74c97c4-38fc-47bb-b217-23b009a645d6"]
}, Open  ]],

Cell["\<\
If I trust that the keys in various associations are in the same order, I can \
do something even simpler. Here, I get the surviving females on the Titanic \
over age 60 for which we have information on cabin class.\
\>", "Text",
 CellChangeTimes->{{3.770137761598041*^9, 3.77013777776828*^9}, {
   3.7701378506382847`*^9, 3.770137887306552*^9}, 3.7867218853221607`*^9},
 CellTags->"p: 213",
 CellID->696251159,ExpressionUUID->"338e76dc-5049-45fe-8629-685f1758375e"],

Cell[TextData[{
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " can combine with ",
 ButtonBox["MatchQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MatchQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MatchQ.html"],
 " on the ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " to find an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " whose ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " follow a pattern:"
}], "CodeText",
 CellChangeTimes->{{3.770218076717845*^9, 3.770218149639485*^9}, {
  3.7864629117539997`*^9, 3.7864629229871225`*^9}, {3.868091786097386*^9, 
  3.8680918054130487`*^9}},
 CellID->1706308599,ExpressionUUID->"6ee62119-2f30-4ab5-bc01-26f5b65106b8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"MatchQ", "[", 
     RowBox[{
      RowBox[{"Values", "[", "#", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"_String", ",", 
        RowBox[{"x_", "/;", 
         RowBox[{"x", ">", "60"}]}], ",", "\"\<female\>\"", ",", "True"}], 
       "}"}]}], "]"}], "&"}], "]"}], "[", "titanicDS", "]"}]], "Input",
 CellChangeTimes->{{3.7701377814599257`*^9, 3.770137873331567*^9}},
 CellLabel->"In[61]:=",
 CellID->890552844,ExpressionUUID->"20f99f22-2db9-4358-a533-d270fa028240"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 63, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 76, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 63, "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 6], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 6], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     6, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["63"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["76"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["64"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["64"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["62"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["63"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cd2ba637-cb0e-423f-8bbc-ab169a758fe8"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {100.3837890625, 107.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {100.3837890625, 107.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.86716073731678*^9, 3.881757800125984*^9},
 CellLabel->"Out[61]=",
 CellID->1773923342,ExpressionUUID->"440c6976-edff-4d75-b28d-dc84d63b0406"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["Join",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Columns Based on Precomputed Data"
}], "Subsection",
 CellID->66798924,ExpressionUUID->"4fa593e2-03f5-4218-bba1-d7188a2a9883"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s some additional data about the passengers on the \
lifeboat. It\[CloseCurlyQuote]s in the form of a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations in which the keys are ",
 Cell[BoxData[
 "\"\<id\>\""], "InlineCodeText",ExpressionUUID->
  "99bc51a7-bb06-427b-9bdc-f512d835a7b2"],
 " and ",
 Cell[BoxData[
 "\"\<weight\>\""], "InlineCodeText",ExpressionUUID->
  "c08f6006-67dd-42b2-bb59-1712e0bdb681"],
 "."
}], "Text",
 CellChangeTimes->{{3.710858411116494*^9, 3.7108584279772577`*^9}, {
  3.7122450867579*^9, 3.7122450954823713`*^9}, {3.7403105540113373`*^9, 
  3.740310554603307*^9}, {3.740310758628978*^9, 3.740310779613497*^9}, {
  3.74948387785308*^9, 3.749483880001432*^9}, {3.749483939312583*^9, 
  3.749483964872307*^9}, {3.7494841165350723`*^9, 3.749484125535379*^9}, {
  3.77003512173464*^9, 3.770035125125643*^9}, {3.7863779605081935`*^9, 
  3.786377961058193*^9}, {3.7864630014699707`*^9, 3.7864630021110344`*^9}, {
  3.868091847261359*^9, 3.868091861186173*^9}},
 CellID->25142839,ExpressionUUID->"3e3350d1-08ad-4d2b-ae66-cc62a058a861"],

Cell["Load in ID and weight information on lifeboat passengers:", "CodeText",
 CellChangeTimes->{{3.770218160157296*^9, 3.770218170938727*^9}, 
   3.7864630183336563`*^9, {3.8680918779821873`*^9, 3.868091892787212*^9}},
 CellID->1317040004,ExpressionUUID->"a3102a2f-8a20-43a3-8106-4be5b1071a7e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"preComputedAssociationData", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<IDWeight List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.710858419135991*^9, 3.710858423363286*^9}, {
  3.74031073809562*^9, 3.7403107475406437`*^9}, {3.741795785227578*^9, 
  3.7417957867939177`*^9}, {3.7417961562856913`*^9, 3.741796159945508*^9}, {
  3.749483915563793*^9, 3.7494839205050793`*^9}, {3.749484106692114*^9, 
  3.749484113317699*^9}, {3.7689051430266323`*^9, 3.768905158031726*^9}, {
  3.771930644998054*^9, 3.771930647401091*^9}},
 CellLabel->"In[31]:=",
 CellID->65019288,ExpressionUUID->"ae30f9cc-6344-49ea-8e92-b60e5f80a031"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "1"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "111"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "92"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "3"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "163"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "4"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "95"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "5"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "128"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "6"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "163"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "7"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "200"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "8"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "180"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "9"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "149"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "10"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "145"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "11"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "140"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "12"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "144"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "13"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "110"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "14"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "167"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "15"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "169"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "144"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "17"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "186"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "174"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "19"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "175"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "20"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "153"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "21"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "200"}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"id\"\>", "\[Rule]", "22"}], ",", 
     RowBox[{"\<\"weight\"\>", "\[Rule]", "192"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7689051591983852`*^9, 3.768905484913138*^9, 
  3.7689057790757093`*^9, 3.7700351143686523`*^9, 3.770108501986753*^9, 
  3.770122597050596*^9, 3.770212777482873*^9, 3.7702891302004633`*^9, 
  3.771930844787388*^9, 3.8169824414276333`*^9, 3.8671645749419394`*^9, 
  3.881757811640785*^9, 3.8824607553146544`*^9},
 CellLabel->"Out[31]=",
 CellID->354060864,ExpressionUUID->"77ef6e9c-2e3e-431b-bdd1-44ca67a605a2"]
}, Open  ]],

Cell[TextData[{
 "Assume that the ordering of the rows in this precomputed data corresponds \
to the ordering of the rows of data we have already seen about the lifeboat. \
I\[CloseCurlyQuote]d like to join the two pieces of information together into \
a single data structure. You might think I could use ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 ", but that won\[CloseCurlyQuote]t work because there\[CloseCurlyQuote]s no \
column in ",
 Cell[BoxData[
 "lifeboatDS"], "InlineCodeText",ExpressionUUID->
  "902471cd-43b1-4102-9571-0eaa893b266e"],
 " whose meaning corresponds with a column in the new data. "
}], "Text",
 CellChangeTimes->{{3.7122451031187973`*^9, 3.7122451105750003`*^9}, {
   3.7403107926167383`*^9, 3.7403108544005013`*^9}, {3.749483968506104*^9, 
   3.749484148890551*^9}, {3.74948418427274*^9, 3.749484230791606*^9}, {
   3.768818426617526*^9, 3.768818427445897*^9}, {3.770035151844792*^9, 
   3.770035156044977*^9}, {3.7700352228333473`*^9, 3.77003528514259*^9}, 
   3.77013798600777*^9, 3.786463039797803*^9, 3.868091917562848*^9, {
   3.87405776837322*^9, 3.874057769859155*^9}, {3.8762354781843977`*^9, 
   3.876235491733673*^9}, 3.898093783745645*^9},
 CellTags->"i:16",
 CellID->4562025,ExpressionUUID->"79b1d6f7-c5ab-48d0-a451-7971405bead8"],

Cell[TextData[{
 "When there\[CloseCurlyQuote]s no common column among the datasets but I \
know from external information that the rows of the data are in the same \
order, I can use ",
 ButtonBox["Join",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
 " at level 2 to put the pieces together. I do so by wrapping ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " around the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations in ",
 Cell[BoxData[
 "preComputedAssociationData"], "InlineCodeText",ExpressionUUID->
  "f37f0938-88f3-4279-a861-bfa855b53d58"],
 " to make sure that both Joined expressions have the same ",
 ButtonBox["Head",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Head.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Head.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.7122451031187973`*^9, 3.7122451105750003`*^9}, {
   3.7403107926167383`*^9, 3.7403108544005013`*^9}, {3.749483968506104*^9, 
   3.749484148890551*^9}, {3.74948418427274*^9, 3.749484230791606*^9}, {
   3.768818426617526*^9, 3.768818427445897*^9}, {3.770035151844792*^9, 
   3.770035156044977*^9}, {3.7700352228333473`*^9, 3.770035243875498*^9}, {
   3.770035295667245*^9, 3.770035356232367*^9}, {3.78646305827265*^9, 
   3.7864630888777103`*^9}, 3.8671646386639757`*^9, {3.8680919536276207`*^9, 
   3.868091972375101*^9}, {3.87623552589078*^9, 3.876235526803356*^9}, {
   3.8762355619930286`*^9, 3.8762355698540077`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->125055792,ExpressionUUID->"624ed07a-ed7c-4ba3-8998-ac686ea1cc5e"],

Cell[TextData[{
 ButtonBox["Join",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
 " Datasets that are each Lists of Associations where the ",
 ButtonBox["Length",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Length.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Length.html"],
 " of each ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " is the same:"
}], "CodeText",
 CellChangeTimes->{{3.770218180553988*^9, 3.770218235574555*^9}, 
   3.7864636118239994`*^9, {3.868091980652832*^9, 3.868092001931864*^9}},
 CellTags->"p: 214",
 CellID->358705252,ExpressionUUID->"70126238-3818-4288-a03f-7e2702bf945b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"augmentedDsLifeboat", "=", 
  RowBox[{"Join", "[", 
   RowBox[{"lifeboatDS", ",", 
    RowBox[{"Dataset", "[", "preComputedAssociationData", "]"}], ",", "2"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.710858246526887*^9, 3.7108582961204767`*^9}, {
   3.7108583326124787`*^9, 3.7108583995520725`*^9}, {3.7108584327582307`*^9, 
   3.710858445535618*^9}, {3.740310810861754*^9, 3.740310813157797*^9}, {
   3.741795799546528*^9, 3.7417958152132196`*^9}, {3.749484152490499*^9, 
   3.749484200056054*^9}, 3.76885609201807*^9, 3.770030539402102*^9},
 CellLabel->"In[63]:=",
 CellID->174309678,ExpressionUUID->"8614f112-bbe2-459b-a508-751da23283f3"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
        "id" -> 1, "weight" -> 111|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False, 
        "id" -> 2, "weight" -> 92|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
        "id" -> 3, "weight" -> 163|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True, "id" -> 4, "weight" -> 95|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False, 
        "id" -> 5, "weight" -> 128|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "id" -> 6, "weight" -> 163|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> True, 
        "id" -> 7, "weight" -> 200|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> True, 
        "id" -> 8, "weight" -> 180|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False, 
        "id" -> 9, "weight" -> 149|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> False, 
        "id" -> 10, "weight" -> 145|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> False, 
        "id" -> 11, "weight" -> 140|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> False, 
        "id" -> 12, "weight" -> 144|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> True, 
        "id" -> 13, "weight" -> 110|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True, 
        "id" -> 14, "weight" -> 167|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> False, 
        "id" -> 15, "weight" -> 169|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "id" -> 16, "weight" -> 144|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True, "id" -> 17, "weight" -> 186|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> False, 
        "id" -> 18, "weight" -> 174|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True, 
        "id" -> 19, "weight" -> 175|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False, 
        "id" -> 20, "weight" -> 153|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "id" -> 21, "weight" -> 200|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> True, 
        "id" -> 22, "weight" -> 192|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "id"} -> 
        1, {All, "weight"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "id" -> 
            TypeSystem`PackageScope`AtomShape[34], "weight" -> 
            TypeSystem`PackageScope`AtomShape[34]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived", "id", "weight"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 22], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "id"} -> 
        1, {All, "weight"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "id" -> 
            TypeSystem`PackageScope`AtomShape[34], "weight" -> 
            TypeSystem`PackageScope`AtomShape[34]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived", "id", "weight"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 22], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 6, "DataRowCount" -> 22, "DataColumnCount" -> 
     6, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["id", 
                  Style[
                  "id", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "id"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{All, "id"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["weight", 
                  Style[
                  "weight", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "weight"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{All, "weight"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{1, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["111"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{1, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{2, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["92"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{2, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{3, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["163"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{3, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["4"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{4, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["95"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{4, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["5"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{5, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["128"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{5, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{6, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["163"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{6, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["7"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{7, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["200"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{7, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["8"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{8, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["180"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "87209af1-a5d0-4960-975e-4bf03a0bf865"]][{8, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{321., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{321., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8671645693806467`*^9, 3.867164755178884*^9, 
  3.8817578212858763`*^9},
 CellLabel->"Out[63]=",
 CellID->1229921307,ExpressionUUID->"5035214a-bb37-4ed5-b27f-0155d2a5b59c"]
}, Open  ]],

Cell[TextData[{
 "Alternatively, I could have converted ",
 Cell[BoxData[
 "lifeboatDS"], "InlineCodeText",ExpressionUUID->
  "44a35551-4f2a-4d21-83f7-08fc546c3c9a"],
 " into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations and then joined it with the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations in ",
 Cell[BoxData[
 "preComputedAssociationData"], "InlineCodeText",ExpressionUUID->
  "602ce2d2-5629-44ba-b60f-4bd05b0d5949"],
 ". "
}], "Text",
 CellChangeTimes->{{3.749484256298464*^9, 3.749484294928297*^9}, 
   3.7494843723079977`*^9, {3.786463622057023*^9, 3.786463622440061*^9}, {
   3.867164655890801*^9, 3.8671646605188723`*^9}, {3.86809202765942*^9, 
   3.8680920525110826`*^9}, {3.876236059498497*^9, 3.876236062563326*^9}, 
   3.898093822628089*^9},
 CellID->1570874646,ExpressionUUID->"2f7792e8-c7d2-4747-9d59-816189bf4d63"],

Cell[TextData[{
 ButtonBox["Join",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
 " Lists of Associations where the ",
 ButtonBox["Length",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Length.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Length.html"],
 " of each ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " is the same:"
}], "CodeText",
 CellChangeTimes->{{3.770218245844563*^9, 3.7702182612535763`*^9}, 
   3.7864636983796544`*^9, {3.8680920603167458`*^9, 3.8680920709619207`*^9}},
 CellID->1617619358,ExpressionUUID->"f23909dd-4681-4fdf-8038-5b9160dbcab8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"augmentedDsLifeboat", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"Normal", "@", "lifeboatDS"}], ",", "preComputedAssociationData",
      ",", "2"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.710858246526887*^9, 3.7108582961204767`*^9}, {
   3.7108583326124787`*^9, 3.7108583995520725`*^9}, {3.7108584327582307`*^9, 
   3.710858445535618*^9}, {3.740310810861754*^9, 3.740310813157797*^9}, {
   3.741795799546528*^9, 3.7417958152132196`*^9}, {3.749484152490499*^9, 
   3.749484200056054*^9}, {3.7494842353150177`*^9, 3.7494842522359457`*^9}, {
   3.7494843016804447`*^9, 3.7494843047496567`*^9}, 3.770030539532662*^9},
 CellLabel->"In[64]:=",
 CellID->1148427420,ExpressionUUID->"f21f03dc-b3af-401a-a734-90ab6ab0ad10"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
        "id" -> 1, "weight" -> 111|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False, 
        "id" -> 2, "weight" -> 92|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
        "id" -> 3, "weight" -> 163|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True, "id" -> 4, "weight" -> 95|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False, 
        "id" -> 5, "weight" -> 128|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "id" -> 6, "weight" -> 163|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> True, 
        "id" -> 7, "weight" -> 200|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> True, 
        "id" -> 8, "weight" -> 180|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False, 
        "id" -> 9, "weight" -> 149|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> False, 
        "id" -> 10, "weight" -> 145|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> False, 
        "id" -> 11, "weight" -> 140|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> False, 
        "id" -> 12, "weight" -> 144|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> True, 
        "id" -> 13, "weight" -> 110|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True, 
        "id" -> 14, "weight" -> 167|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> False, 
        "id" -> 15, "weight" -> 169|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "id" -> 16, "weight" -> 144|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True, "id" -> 17, "weight" -> 186|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> False, 
        "id" -> 18, "weight" -> 174|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True, 
        "id" -> 19, "weight" -> 175|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False, 
        "id" -> 20, "weight" -> 153|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "id" -> 21, "weight" -> 200|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> True, 
        "id" -> 22, "weight" -> 192|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "id"} -> 
        1, {All, "weight"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "id" -> 
            TypeSystem`PackageScope`AtomShape[34], "weight" -> 
            TypeSystem`PackageScope`AtomShape[34]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived", "id", "weight"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 22], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "id"} -> 
        1, {All, "weight"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "id" -> 
            TypeSystem`PackageScope`AtomShape[34], "weight" -> 
            TypeSystem`PackageScope`AtomShape[34]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived", "id", "weight"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 22], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 6, "DataRowCount" -> 22, "DataColumnCount" -> 
     6, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["id", 
                  Style[
                  "id", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "id"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{All, "id"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["weight", 
                  Style[
                  "weight", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "weight"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{All, "weight"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{1, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["111"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{1, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{2, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["92"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{2, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{3, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["163"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{3, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["4"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{4, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["95"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{4, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["5"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{5, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["128"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{5, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{6, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["163"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{6, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["7"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{7, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["200"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{7, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["8"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{8, 
                 Key["id"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["180"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82f3bc1d-5ece-421e-a718-ae27a6c00998"]][{8, 
                 Key["weight"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{321., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{321., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867164677325426*^9, 3.8671647617471733`*^9, 
  3.881757827870162*^9},
 CellLabel->"Out[64]=",
 CellID->1526884863,ExpressionUUID->"4171a8a5-da2c-4712-a0ee-57bbd1962091"]
}, Open  ]],

Cell[TextData[{
 "I could also ",
 ButtonBox["Join",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
 " the values of ",
 Cell[BoxData[
 "lifeboatDS"], "InlineCodeText",ExpressionUUID->
  "7c0f7a66-afd2-456f-8c5c-864b8a8ba0ec"],
 " with the values of the ",
 Cell[BoxData[
 "preComputedAssociationData"], "InlineCodeText",ExpressionUUID->
  "0373f4bf-405f-4ddd-bc52-6087540f0554"],
 ". ",
 ButtonBox["Join",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
 " at level 2 works just fine when both data structures are Lists of Lists \
with the same number of rows."
}], "Text",
 CellTags->"LastCellOfAPage",
 CellID->103426814,ExpressionUUID->"2c1ade3a-fbb9-441f-8313-0a1a8e1ce8e9"],

Cell[TextData[{
 "Strip the precomputed data of its keys and turn it into a nested ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7494895517084*^9, 3.749489565219634*^9}, {
  3.7864656396639977`*^9, 3.786465642949998*^9}, {3.868092097117549*^9, 
  3.868092109191574*^9}},
 CellTags->"p: 215",
 CellID->1497318086,ExpressionUUID->"0cd24166-c927-4615-8dbb-a5266a25e220"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"preComputedDataList", "=", 
  RowBox[{"Map", "[", 
   RowBox[{"Values", ",", "preComputedAssociationData"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.740311228549934*^9, 3.740311247210594*^9}, {
  3.741795890732806*^9, 3.741795894394261*^9}, {3.749484480562552*^9, 
  3.749484495114214*^9}, {3.770139720374588*^9, 3.7701397270726023`*^9}},
 CellLabel->"In[32]:=",
 CellID->966802289,ExpressionUUID->"b7508454-f8c0-4a8d-9563-e9589c99ebc3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "111"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "92"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "163"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "95"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "128"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "163"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "200"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "180"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "149"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "145"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"11", ",", "140"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"12", ",", "144"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"13", ",", "110"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"14", ",", "167"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", "169"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"16", ",", "144"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"17", ",", "186"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"18", ",", "174"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"19", ",", "175"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20", ",", "153"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"21", ",", "200"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"22", ",", "192"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.740414744395811*^9, 3.7404242659479427`*^9, 3.740496201865024*^9, 
   3.740500488840435*^9, 3.7417880192103653`*^9, {3.7417958807129927`*^9, 
   3.741795894945339*^9}, 3.741876437808083*^9, 3.741879493707487*^9, 
   3.741956472564084*^9, {3.749484477564333*^9, 3.749484495498311*^9}, 
   3.768819341967864*^9, 3.768821544722371*^9, 3.7688334453698187`*^9, 
   3.768833578641644*^9, 3.768905485291431*^9, 3.7689057794772577`*^9, 
   3.770035182752903*^9, 3.770108502378928*^9, 3.770122597460281*^9, 
   3.7701397275071697`*^9, 3.7702127778825703`*^9, 3.7702891305749702`*^9, 
   3.771930845171289*^9, 3.8817578352323837`*^9, {3.882460746010337*^9, 
   3.882460759926634*^9}},
 CellLabel->"Out[32]=",
 CellID->471097441,ExpressionUUID->"48996f3d-333e-40d5-ac05-0cf0a34a4223"]
}, Open  ]],

Cell[TextData[{
 "Strip the existing information on the passengers in the lifeboat of its \
keys and combine it with the nested ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of precomputed data:"
}], "CodeText",
 CellChangeTimes->{{3.7494895700813627`*^9, 3.7494896117562923`*^9}, {
  3.786465659605998*^9, 3.7864656653169975`*^9}, {3.868092117971986*^9, 
  3.868092125454341*^9}},
 CellID->1357655958,ExpressionUUID->"30bfb2f1-bbe8-4ee7-834e-f9f04774f229"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"Values", ",", "lifeboatDS"}], "]"}], ",", "preComputedDataList",
     ",", "2"}], "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.74948444934932*^9, 3.749484468370962*^9}, {
  3.749484504024392*^9, 3.749484506880134*^9}, {3.7700351870098343`*^9, 
  3.770035187141667*^9}, {3.770138051583028*^9, 3.770138063639386*^9}, {
  3.770139733038871*^9, 3.770139757482271*^9}, {3.7704065935305758`*^9, 
  3.770406604171856*^9}, {3.8703609688923073`*^9, 3.8703609875354*^9}},
 CellLabel->"In[66]:=",
 CellID->1603028737,ExpressionUUID->"49a4b2cc-46aa-4e39-908f-d647c5b5427f"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "16", ",", "\<\"female\"\>", ",", "True", 
      ",", "1", ",", "111"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"1st\"\>", ",", "65", ",", "\<\"male\"\>", ",", "False", ",",
       "2", ",", "92"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "2", ",", "\<\"female\"\>", ",", "False", 
      ",", "3", ",", "163"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "\<\"female\"\>", ",", "True", ",", 
      "4", ",", "95"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "18", ",", "\<\"female\"\>", ",", "False", 
      ",", "5", ",", "128"}], "}"}], ",", 
    RowBox[{"\[LeftSkeleton]", "12", "\[RightSkeleton]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "22", ",", "\<\"male\"\>", ",", "False", ",",
       "18", ",", "174"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"2nd\"\>", ",", "22", ",", "\<\"male\"\>", ",", "True", ",", 
      "19", ",", "175"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "56", ",", "\<\"male\"\>", ",", "False", ",",
       "20", ",", "153"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"2nd\"\>", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "\<\"male\"\>", ",", "False", ",", 
      "21", ",", "200"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"2nd\"\>", ",", "50", ",", "\<\"female\"\>", ",", "True", 
      ",", "22", ",", "192"}], "}"}]}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{3.882460776695382*^9},
 CellLabel->"Out[33]//Short=",
 CellID->1486188942,ExpressionUUID->"ae881796-3a48-4558-b5f0-3baa626d08dd"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Join a Column to a Dataset Based on Values in the Existing Columns \
\>", "Subsection",
 CellChangeTimes->{{3.7108575226930056`*^9, 3.7108575546781983`*^9}, {
   3.740321246056775*^9, 3.740321256921339*^9}, {3.7494902257077417`*^9, 
   3.7494902383203983`*^9}, {3.7864660700550413`*^9, 3.786466075111052*^9}, {
   3.7864661375595393`*^9, 3.786466142233474*^9}, 3.8169831360554733`*^9, {
   3.867164769152121*^9, 3.86716477053867*^9}},
 CellID->36246528,ExpressionUUID->"a26c1c59-505a-46b6-8256-d1612bb6be00"],

Cell[TextData[{
 "To join a column to a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " based not on external data but\[LongDash]as is often the case in \
spreadsheets\[LongDash]on the values in one or more existing columns, one \
simply applies a function to the rows as shown in the following code. "
}], "Text",
 CellChangeTimes->{{3.740311457408334*^9, 3.7403115218278503`*^9}, {
   3.768742273565474*^9, 3.768742292647537*^9}, {3.7700351970198193`*^9, 
   3.7700351995843287`*^9}, {3.770035942099403*^9, 3.7700359451320553`*^9}, {
   3.770036084324225*^9, 3.770036120597578*^9}, {3.770139814429105*^9, 
   3.77014001484273*^9}, {3.771932640096911*^9, 3.771932658469674*^9}, {
   3.7864661474095087`*^9, 3.7864661530896444`*^9}, 3.81698326297824*^9, {
   3.867164777732678*^9, 3.867164779215816*^9}, 3.86716486038264*^9, {
   3.873887227082127*^9, 3.8738872309665985`*^9}, {3.8739037606902885`*^9, 
   3.873903765444026*^9}, {3.8762362294275627`*^9, 3.8762362310913625`*^9}},
 CellTags->"i:17",
 CellID->84138705,ExpressionUUID->"356535c1-f2b9-421a-93d1-2ffb473ce87d"],

Cell[TextData[{
 "Add columns to a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " whose values derive from existing columns:"
}], "CodeText",
 CellChangeTimes->{{3.770043275503448*^9, 3.770043296564146*^9}, 
   3.7864661660762415`*^9, 3.8169832995954657`*^9, 3.817060830480336*^9, {
   3.817060875930879*^9, 3.8170608830960827`*^9}, {3.867164822308936*^9, 
   3.867164824040163*^9}, 3.873903803006559*^9},
 CellID->1833282639,ExpressionUUID->"92d3f007-bcc4-44b7-9beb-3dcbd21f4096"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{
     RowBox[{"Association", "[", 
      RowBox[{"#1", ",", 
       RowBox[{"\"\<over50Q\>\"", "\[Rule]", 
        RowBox[{"TrueQ", "[", 
         RowBox[{"#age", ">", "50"}], "]"}]}], ",", 
       RowBox[{"\"\<childQ\>\"", "\[Rule]", 
        RowBox[{"TrueQ", "[", 
         RowBox[{"#age", "\[LessEqual]", "18"}], "]"}]}], ",", 
       RowBox[{"\"\<girlQ\>\"", "\[Rule]", 
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"#age", "<", "18"}], "&&", 
          RowBox[{"#sex", "===", "\"\<female\>\""}]}], "]"}]}]}], "]"}], 
     "&"}]}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.7403116816252127`*^9, 3.740311683062148*^9}, {
   3.741796236943802*^9, 3.741796245766238*^9}, {3.749489646375102*^9, 
   3.749489692607832*^9}, 3.770030539671864*^9, {3.770035954836157*^9, 
   3.770035966356861*^9}, {3.770036145421266*^9, 3.770036182327643*^9}, 
   3.770139891360922*^9, {3.770208190549945*^9, 3.770208191035528*^9}},
 CellLabel->"In[67]:=",
 CellID->1216745597,ExpressionUUID->"73bccb5c-19fc-4fae-bba2-7c0c0491f58d"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
        "over50Q" -> False, "childQ" -> True, "girlQ" -> True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False, 
        "over50Q" -> True, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
        "over50Q" -> False, "childQ" -> True, "girlQ" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True, "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False, 
        "over50Q" -> False, "childQ" -> True, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> True, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> True, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False, 
        "over50Q" -> False, "childQ" -> True, "girlQ" -> False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> False, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> False, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> False, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> True, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> False, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True, "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> False, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False, 
        "over50Q" -> True, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> True, 
        "over50Q" -> False, "childQ" -> False, "girlQ" -> False|>}, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "over50Q"} -> 
        1, {All, "childQ"} -> 1, {All, "girlQ"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "over50Q" -> 
            TypeSystem`PackageScope`AtomShape[36], "childQ" -> 
            TypeSystem`PackageScope`AtomShape[36], "girlQ" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 7, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "class", "age", "sex", "survived", "over50Q", "childQ", "girlQ"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "over50Q"} -> 
        1, {All, "childQ"} -> 1, {All, "girlQ"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "over50Q" -> 
            TypeSystem`PackageScope`AtomShape[36], "childQ" -> 
            TypeSystem`PackageScope`AtomShape[36], "girlQ" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 7, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "class", "age", "sex", "survived", "over50Q", "childQ", "girlQ"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 7, "DataRowCount" -> 
     22, "DataColumnCount" -> 7, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["over50Q", 
                  Style[
                  "over50Q", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "over50Q"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{All, "over50Q"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["childQ", 
                  Style[
                  "childQ", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "childQ"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{All, "childQ"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["girlQ", 
                  Style[
                  "girlQ", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "girlQ"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{All, "girlQ"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{1, 
                 Key["over50Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{1, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{1, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{2, 
                 Key["over50Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{2, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{2, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{3, 
                 Key["over50Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{3, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{3, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{4, 
                 Key["over50Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{4, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{4, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{5, 
                 Key["over50Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{5, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{5, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{6, 
                 Key["over50Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{6, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{6, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{7, 
                 Key["over50Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{7, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{7, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{8, 
                 Key["over50Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{8, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f83488b-1428-454b-8f6a-8b82caeefac8"]][{8, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{378., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{378., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.7404147447840157`*^9, 3.740424266334724*^9, 3.7404962030830393`*^9, 
   3.74050048930249*^9, 3.7417880196001368`*^9, 3.74179624923796*^9, 
   3.741876438155943*^9, 3.7418794939981213`*^9, 3.741956472886333*^9, 
   3.749489650437318*^9, {3.749489684966681*^9, 3.749489695204117*^9}, 
   3.768742310843446*^9, 3.768819342087031*^9, 3.7688215448899097`*^9, 
   3.768833445534974*^9, 3.768833578742814*^9, 3.768905485421011*^9, 
   3.768905779576108*^9, {3.770036175072956*^9, 3.770036182851079*^9}, 
   3.770108502483786*^9, 3.7701225975695753`*^9, 3.7701398952209053`*^9, 
   3.770212778035853*^9, 3.770289130666712*^9, 3.771930845286665*^9, 
   3.817060923515298*^9, 3.8817578775772667`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[67]=",
 CellID->336431063,ExpressionUUID->"5baa37b5-78ac-46bc-8d27-585394f6a48f"]
}, Open  ]],

Cell["\<\
There are three features of that code that I want to highlight.\
\>", "Text",
 CellChangeTimes->{{3.770140016503022*^9, 3.770140019679041*^9}, {
  3.770140082922551*^9, 3.7701400837355213`*^9}},
 CellTags->"p: 216",
 CellID->811687563,ExpressionUUID->"aab75a38-63a8-4b06-bb35-11eead2aeaa7"],

Cell[CellGroupData[{

Cell[TextData[{
 "Notice that I can use functions that rely on only one column of the data \
(",
 Cell[BoxData[
 "over50Q"], "InlineCode",ExpressionUUID->
  "76fedeb0-a77f-47b6-865b-ae0c82e017a4"],
 " and ",
 Cell[BoxData[
 "childQ"], "InlineCode",ExpressionUUID->
  "f340b955-edb9-421b-9898-86bbc9722fe0"],
 ") or that rely on multiple columns of the data (",
 Cell[BoxData[
 "girlQ"], "InlineCode",ExpressionUUID->
  "4714793e-0be9-4fe5-8591-412a7aa1de29"],
 "). "
}], "ItemNumbered",
 CellChangeTimes->{{3.740311457408334*^9, 3.7403115218278503`*^9}, {
  3.768742273565474*^9, 3.768742292647537*^9}, {3.7700351970198193`*^9, 
  3.7700351995843287`*^9}, {3.770035942099403*^9, 3.7700359451320553`*^9}, {
  3.770036084324225*^9, 3.770036120597578*^9}, {3.770139814429105*^9, 
  3.7701400096161222`*^9}, {3.771932678578742*^9, 3.771932685689569*^9}, {
  3.868092275851858*^9, 3.868092285480034*^9}},
 CellID->1422618101,ExpressionUUID->"39f237c9-5dd9-47f6-a770-e5017bf6e60a"],

Cell[TextData[{
 "I can wrap ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " around the original ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " and then just splice in a sequence of key-value pairs. I don\
\[CloseCurlyQuote]t need ",
 ButtonBox["Append",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Append.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Append.html"],
 " or ",
 ButtonBox["Join",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
 " or other such constructs. This technique works because ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " behaves as if it has the attribute ",
 ButtonBox["Flat",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Flat.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Flat.html"],
 ". As set forth in the ",
 ButtonBox["Wolfram Language documentation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/"], None},
  ButtonNote->"https://reference.wolfram.com/language/"],
 ", for a symbol ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"a745fcd9-0659-49c3-b0e4-7326628185aa"],
 " with attribute ",
 ButtonBox["Flat",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Flat.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Flat.html"],
 ", ",
 Cell[BoxData[
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"a", ",", " ", "b"}], "]"}], ",", " ", 
    RowBox[{"f", "[", "c", "]"}]}], "]"}]], "InlineCode",ExpressionUUID->
  "b29a6b16-c2be-4f7e-a11e-66ae7471b9cc"],
 " is automatically reduced to ",
 Cell[BoxData[
  RowBox[{"f", "[", 
   RowBox[{"a", ",", " ", "b", ",", " ", "c"}], "]"}]], "InlineCode",
  ExpressionUUID->"1296e02b-f39c-408a-b79f-f2e5ec3775c9"],
 "."
}], "ItemNumbered",
 CellChangeTimes->{{3.740311457408334*^9, 3.7403115218278503`*^9}, {
   3.768742273565474*^9, 3.768742292647537*^9}, {3.7700351970198193`*^9, 
   3.7700351995843287`*^9}, {3.770035942099403*^9, 3.7700359451320553`*^9}, {
   3.770036084324225*^9, 3.770036120597578*^9}, {3.770139814429105*^9, 
   3.7701400027373867`*^9}, {3.770140056263936*^9, 3.770140057868802*^9}, {
   3.7863779666181936`*^9, 3.7863779704341936`*^9}, {3.78646668275628*^9, 
   3.7864666873077345`*^9}, 3.817060984607574*^9, {3.8671649959469223`*^9, 
   3.867165019130856*^9}, {3.867165337104639*^9, 3.867165350283113*^9}, {
   3.867165387818734*^9, 3.867165436981248*^9}, {3.868092323461247*^9, 
   3.868092396456115*^9}, {3.873903868594357*^9, 3.8739039087763805`*^9}, {
   3.896506308338398*^9, 3.8965063085867233`*^9}, {3.896506361975628*^9, 
   3.896506392612707*^9}},
 CellTags->"i:18",
 CellID->2006981456,ExpressionUUID->"a451faef-62ca-451f-b908-12ce17139685"],

Cell[TextData[{
 "Use of ",
 ButtonBox["TrueQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/TrueQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/TrueQ.html"],
 " prevents propagation of ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " values. If the row does not contain information on age, the comparison \
operations now yield \[OpenCurlyDoubleQuote]False.\[CloseCurlyDoubleQuote] "
}], "ItemNumbered",
 CellChangeTimes->{{3.770036023239739*^9, 3.7700360531549253`*^9}, {
  3.770140061117449*^9, 3.7701400614865913`*^9}, {3.78646669116012*^9, 
  3.7864667023172355`*^9}, {3.868092537259963*^9, 3.868092588897956*^9}, {
  3.8739039646551113`*^9, 3.873903976436161*^9}, {3.876236278036708*^9, 
  3.8762362795334473`*^9}, {3.8762363111396112`*^9, 3.8762363134454503`*^9}},
 CellID->1060611789,ExpressionUUID->"87672fa5-ca32-4ded-9c1b-e6140be8a0ae"]
}, Open  ]],

Cell[TextData[{
 "Sometimes, one wants columns in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to be based not on the original columns but on computed columns. One can \
use localizing functions, such as ",
 ButtonBox["With",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/With.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/With.html"],
 " or ",
 ButtonBox["Module",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Module.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Module.html"],
 ", to get doubly derived columns in a single pass through the data."
}], "Text",
 CellChangeTimes->{{3.7700432989425287`*^9, 3.7700433540504208`*^9}, {
   3.770043498456667*^9, 3.7700435081641197`*^9}, {3.770140075139464*^9, 
   3.770140107631905*^9}, {3.786466808360839*^9, 3.786466811834186*^9}, 
   3.86716514358071*^9, {3.8739040058896513`*^9, 3.873904009403595*^9}, {
   3.8762363306722794`*^9, 3.876236338287383*^9}, 3.896506429194109*^9},
 CellID->2077181470,ExpressionUUID->"d1a16a01-8f2f-421e-a01c-c581dc443ff5"],

Cell[TextData[{
 "For efficiency, use ",
 ButtonBox["With",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/With.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/With.html"],
 " or ",
 ButtonBox["Module",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Module.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Module.html"],
 " to create local variables within a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770232540347591*^9, 3.770232578095961*^9}, {
   3.786466831088111*^9, 3.78646683687169*^9}, 3.86809263416152*^9},
 CellID->1672473187,ExpressionUUID->"d5d62624-eee5-453f-a534-6c37384e85bb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"over40", "=", 
         RowBox[{"TrueQ", "[", 
          RowBox[{"#age", ">", "40"}], "]"}]}], "}"}], ",", 
       RowBox[{"Association", "[", 
        RowBox[{"#1", ",", 
         RowBox[{"\"\<over40Q\>\"", "\[Rule]", "over40"}], ",", 
         RowBox[{"\"\<oldSurvivor\>\"", "\[Rule]", 
          RowBox[{"TrueQ", "[", 
           RowBox[{"over40", " ", "&&", " ", "#survived"}], "]"}]}]}], 
        "]"}]}], "]"}], "&"}]}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.770043363995391*^9, 3.7700434854807167`*^9}, {
  3.770043632969221*^9, 3.770043648933028*^9}},
 CellLabel->"In[68]:=",
 CellID->1122445575,ExpressionUUID->"cb3e776b-326c-4ba6-8aeb-d35c9f6181cb"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False, 
        "over40Q" -> True, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True, "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> True, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> True, 
        "over40Q" -> True, "oldSurvivor" -> True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> False, 
        "over40Q" -> True, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> False, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> False, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> True, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> False, 
        "over40Q" -> True, "oldSurvivor" -> False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True, "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> False, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True, 
        "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False, 
        "over40Q" -> True, "oldSurvivor" -> False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False, "over40Q" -> False, "oldSurvivor" -> False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> True, 
        "over40Q" -> True, "oldSurvivor" -> True|>}, "AllowEmbedding" -> True,
      "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "over40Q"} -> 
        1, {All, "oldSurvivor"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "over40Q" -> 
            TypeSystem`PackageScope`AtomShape[36], "oldSurvivor" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "class", "age", "sex", "survived", "over40Q", "oldSurvivor"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "over40Q"} -> 
        1, {All, "oldSurvivor"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "over40Q" -> 
            TypeSystem`PackageScope`AtomShape[36], "oldSurvivor" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "class", "age", "sex", "survived", "over40Q", "oldSurvivor"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 6, "DataRowCount" -> 
     22, "DataColumnCount" -> 6, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["over40Q", 
                  Style[
                  "over40Q", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "over40Q"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{All, "over40Q"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["oldSurvivor", 
                  Style[
                  "oldSurvivor", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "oldSurvivor"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{All, "oldSurvivor"},
                 "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{1, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{1, 
                 Key["oldSurvivor"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{2, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{2, 
                 Key["oldSurvivor"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{3, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{3, 
                 Key["oldSurvivor"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{4, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{4, 
                 Key["oldSurvivor"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{5, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{5, 
                 Key["oldSurvivor"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{6, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{6, 
                 Key["oldSurvivor"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{7, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{7, 
                 Key["oldSurvivor"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{8, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "29a8c841-2b5f-4c94-8dfc-1cf9a551c8d4"]][{8, 
                 Key["oldSurvivor"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{364., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{364., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.7700434558600817`*^9, 3.770043486744248*^9, {3.77004364135807*^9, 
   3.7700436495203857`*^9}, 3.770108502653451*^9, 3.77012259775563*^9, 
   3.770212778281755*^9, 3.7702891308994713`*^9, 3.771930845455001*^9, 
   3.817061352809431*^9, 3.8817578909389277`*^9},
 CellLabel->"Out[68]=",
 CellID->1620346252,ExpressionUUID->"97ee2ada-fc99-4fdd-8317-fb5f7cb42fd7"]
}, Open  ]],

Cell[TextData[{
 "If I want to add an additional column and take only some existing columns \
or, equivalently, drop some existing columns, I can combine this technique \
with the recipe for Keep and Drop Rows or Columns, discussed in a previous \
section in this chapter. Suppose, for example, I want the new columns ",
 Cell[BoxData[
 "over40Q"], "InlineCodeText",ExpressionUUID->
  "60f8f1f6-dced-47a7-9a18-f26f6719af4a"],
 ", ",
 Cell[BoxData[
 "childQ"], "InlineCodeText",ExpressionUUID->
  "57bc8789-952e-491e-a152-527db04d067a"],
 " and ",
 Cell[BoxData[
 "girlQ"], "InlineCodeText",ExpressionUUID->
  "a18ffdc9-73b3-4022-8230-8e4eb5d50991"],
 " as before but, in light of that data, I no longer want to keep ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCodeText",ExpressionUUID->
  "939aeba7-34b6-4ab4-9d44-f169ef6a3f96"],
 " and ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "79a07ed1-9fc3-430d-902b-c0c9585d5f5a"],
 ". I use ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " inside the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " as follows. Notice I can no longer use the operator form of ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " because it is inside another function."
}], "Text",
 CellChangeTimes->{{3.770208112263802*^9, 3.770208173562171*^9}, {
   3.77020821388645*^9, 3.7702083043767557`*^9}, 3.7864676543544292`*^9, {
   3.7864677888888817`*^9, 3.786467796702663*^9}, 3.817061584590034*^9, 
   3.86716511597235*^9, {3.867165262118367*^9, 3.8671652622624893`*^9}, {
   3.8680926881686983`*^9, 3.8680927220143127`*^9}, {3.8762368274052725`*^9, 
   3.876236835245734*^9}},
 CellTags->"LastCellOfAPage",
 CellID->28799025,ExpressionUUID->"7e49510c-f15b-4247-9513-25a99d571a9d"],

Cell[TextData[{
 "Combine ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " with the fact that ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " behaves as if it is ",
 ButtonBox["Flat",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Flat.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Flat.html"],
 " to retain some old columns and compute new ones:"
}], "CodeText",
 CellChangeTimes->{{3.770232600572782*^9, 3.770232648797368*^9}, {
   3.770232815763294*^9, 3.770232841196191*^9}, {3.7702334695623617`*^9, 
   3.770233474536314*^9}, 3.7864678033773303`*^9, 3.7864678531303053`*^9, {
   3.786469076418386*^9, 3.7864690807373857`*^9}, 3.817061786907076*^9, {
   3.8671654624951878`*^9, 3.867165470583935*^9}, {3.86809279249734*^9, 
   3.868092797577951*^9}},
 CellTags->"p: 217",
 CellID->1477865550,ExpressionUUID->"3ce7f9c2-5720-4337-b78d-3c1070fa678a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{
     RowBox[{"Association", "[", 
      RowBox[{
       RowBox[{"KeyDrop", "[", 
        RowBox[{"#", ",", 
         RowBox[{"{", 
          RowBox[{"\"\<sex\>\"", ",", "\"\<age\>\""}], "}"}]}], "]"}], ",", 
       RowBox[{"\"\<over40Q\>\"", "\[Rule]", 
        RowBox[{"TrueQ", "[", 
         RowBox[{"#age", ">", "40"}], "]"}]}], ",", 
       RowBox[{"\"\<childQ\>\"", "\[Rule]", 
        RowBox[{"TrueQ", "[", 
         RowBox[{"#age", "\[LessEqual]", "18"}], "]"}]}], ",", 
       RowBox[{"\"\<girlQ\>\"", "\[Rule]", 
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"#age", "<", "18"}], "&&", 
          RowBox[{"#sex", "===", "\"\<female\>\""}]}], "]"}]}]}], "]"}], 
     "&"}]}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.7403116816252127`*^9, 3.740311683062148*^9}, {
   3.741796236943802*^9, 3.741796245766238*^9}, {3.749489646375102*^9, 
   3.749489692607832*^9}, 3.770030539671864*^9, {3.770035954836157*^9, 
   3.770035966356861*^9}, {3.770036145421266*^9, 3.770036182327643*^9}, 
   3.770139891360922*^9, {3.770208190549945*^9, 3.770208211252987*^9}, {
   3.770208315815897*^9, 3.7702083227860603`*^9}, {3.867165291730192*^9, 
   3.867165295404722*^9}},
 CellLabel->"In[69]:=",
 CellID->369533157,ExpressionUUID->"a23174b9-fca3-426d-8c25-5f5117a26291"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "survived" -> True, "over40Q" -> False, "childQ" -> 
        True, "girlQ" -> True|>, <|
       "class" -> "1st", "survived" -> False, "over40Q" -> True, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        True, "girlQ" -> True|>, <|
       "class" -> "3rd", "survived" -> True, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        True, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> True, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "2nd", "survived" -> True, "over40Q" -> True, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        True, "girlQ" -> False|>, <|
       "class" -> "2nd", "survived" -> False, "over40Q" -> True, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "1st", "survived" -> True, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> True, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "1st", "survived" -> False, "over40Q" -> True, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "2nd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> True, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "2nd", "survived" -> True, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "3rd", "survived" -> False, "over40Q" -> True, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "2nd", "survived" -> False, "over40Q" -> False, "childQ" -> 
        False, "girlQ" -> False|>, <|
       "class" -> "2nd", "survived" -> True, "over40Q" -> True, "childQ" -> 
        False, "girlQ" -> False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "survived"} -> 1, {All, "over40Q"} -> 1, {All, "childQ"} -> 
        1, {All, "girlQ"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "over40Q" -> 
            TypeSystem`PackageScope`AtomShape[36], "childQ" -> 
            TypeSystem`PackageScope`AtomShape[36], "girlQ" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 5, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "survived", "over40Q", "childQ", "girlQ"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "survived"} -> 1, {All, "over40Q"} -> 1, {All, "childQ"} -> 
        1, {All, "girlQ"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36], "over40Q" -> 
            TypeSystem`PackageScope`AtomShape[36], "childQ" -> 
            TypeSystem`PackageScope`AtomShape[36], "girlQ" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 5, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "survived", "over40Q", "childQ", "girlQ"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 5, "DataRowCount" -> 
     22, "DataColumnCount" -> 5, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["over40Q", 
                  Style[
                  "over40Q", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "over40Q"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{All, "over40Q"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["childQ", 
                  Style[
                  "childQ", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "childQ"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{All, "childQ"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["girlQ", 
                  Style[
                  "girlQ", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "girlQ"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{All, "girlQ"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{1, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{1, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{1, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{2, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{2, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{2, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{3, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{3, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{3, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{4, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{4, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{4, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{5, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{5, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{5, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{6, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{6, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{6, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{7, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{7, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{7, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{8, 
                 Key["over40Q"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{8, 
                 Key["childQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d5e3cf1b-129e-4966-8e37-35733960bb6e"]][{8, 
                 Key["girlQ"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{265., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{265., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.77020830592421*^9, 3.770208324220436*^9}, 
   3.7702127785755444`*^9, 3.770289131170331*^9, 3.771930845691545*^9, 
   3.817062062946262*^9, 3.867165296785057*^9, 3.881757898152348*^9},
 CellLabel->"Out[69]=",
 CellID->1739406999,ExpressionUUID->"6a88656c-408b-40a0-a9e9-b95b95b2f4e4"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Change the Value of an Existing Column: Row-Wise", "Subsection",
 CellChangeTimes->{{3.710857704533907*^9, 3.710857733833717*^9}, {
  3.740321260607978*^9, 3.740321264201213*^9}, {3.770126069489479*^9, 
  3.770126070423727*^9}, {3.786469166628386*^9, 3.786469172227386*^9}, {
  3.7864695461193857`*^9, 3.786469551096386*^9}},
 CellID->33158609,ExpressionUUID->"02c08412-d2c2-4f28-9867-0246a30abaeb"],

Cell[TextData[{
 "Remember the Association Override Feature: Associations cannot have \
duplicate keys, so when a duplicate key is encountered, the kernel just \
tosses out the old key-value pair and keeps the latest one. One can exploit \
the Association Override Feature to redefine the values in a column. Here, I \
age everyone in the lifeboat by one year. Remember, though, that this \
operation won\[CloseCurlyQuote]t change the values of ",
 Cell[BoxData[
 "lifeboatDS"], "InlineCodeText",ExpressionUUID->
  "0793f42a-6f03-427a-9ce3-6c2563d84559"],
 ". For that, I would need to assign the result to some variable."
}], "Text",
 CellChangeTimes->{{3.7108579257333746`*^9, 3.7108579371588187`*^9}, {
   3.740312307755856*^9, 3.740312392391432*^9}, {3.740313963860277*^9, 
   3.740313972023572*^9}, {3.749489835103284*^9, 3.749489837026937*^9}, {
   3.768818472217291*^9, 3.768818473178032*^9}, {3.770043998675087*^9, 
   3.770044026530683*^9}, {3.770232749325336*^9, 3.7702327550741453`*^9}, {
   3.770233491758945*^9, 3.7702334987127953`*^9}, {3.786469086672386*^9, 
   3.786469105665386*^9}, {3.786469563790386*^9, 3.786469571220386*^9}, 
   3.78672189985616*^9, 3.8170625866760397`*^9, 3.868092871165654*^9, {
   3.8739056464705153`*^9, 3.8739056487581015`*^9}, {3.873905702346243*^9, 
   3.873905703366984*^9}, {3.8762375034988875`*^9, 3.8762375146757035`*^9}},
 CellTags->"i:19",
 CellID->95153701,ExpressionUUID->"7cc0f17c-f0bf-4138-af90-50454af9daaf"],

Cell["\<\
Change the values in an existing column by exploiting the Association \
Override Feature:\
\>", "CodeText",
 CellChangeTimes->{{3.770043956200405*^9, 3.7700439908752003`*^9}, {
  3.770232768320936*^9, 3.770232775471266*^9}, {3.786469128982386*^9, 
  3.786469134006386*^9}},
 CellID->1746918863,ExpressionUUID->"f8d43b6d-9833-472f-a0f1-8d6290093b3f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{
     RowBox[{"Association", "[", 
      RowBox[{"#", ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", 
        RowBox[{"#age", "+", "1"}]}]}], "]"}], "&"}]}], "]"}], "[", 
  "titanicDS", "]"}]], "Input",
 CellChangeTimes->{{3.710857930930173*^9, 3.7108579443272247`*^9}, {
   3.741796674948051*^9, 3.741796676042053*^9}, {3.749489838846424*^9, 
   3.7494898422473583`*^9}, 3.770030540157814*^9, {3.770140296701342*^9, 
   3.770140305234404*^9}, {3.7701407126722927`*^9, 3.7701407160960493`*^9}},
 CellLabel->"In[70]:=",
 CellID->437248167,ExpressionUUID->"6408bb99-b404-4695-a32b-c214dfbec4ab"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 72, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 81, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 12, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 77, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 5, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 72, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 66, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 66, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 14, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 7, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 68, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 13, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 53, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 9, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 53, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 7, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 63, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 61, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 58, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 63, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 9, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 13, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 67, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 72, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 66, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 49, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 75, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> False|>},
      "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 1309], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 1309], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     1309, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["30"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["31"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["26"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["49"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["64"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["40"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "816a7c98-bded-4e8d-9137-c4eea3e3e788"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 1309, 1], {1, 1309 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 1309, 1], {1, 1309 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 1309, 1], {1, 1309 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 1309, 1], {1, 1309 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8671659515731564`*^9, 3.8817579080938387`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[70]=",
 CellID->1202421239,ExpressionUUID->"8b811eed-ebdd-46ef-b965-7a0e7a5c126f"]
}, Open  ]],

Cell[TextData[{
 "I could also use ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " as the second argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". This method can sometimes be a little faster. "
}], "Text",
 CellChangeTimes->{{3.770140153197338*^9, 3.770140159380673*^9}, {
  3.77014026220529*^9, 3.770140286170169*^9}, {3.770140621757346*^9, 
  3.770140696828123*^9}, {3.7864697160523863`*^9, 3.786469723283386*^9}},
 CellTags->{"i:20", "p: 218"},
 CellID->780508266,ExpressionUUID->"79206345-683e-441d-8245-598c69090f2c"],

Cell[TextData[{
 "Use ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " to change the values in various parts of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770233515704327*^9, 3.7702335276211443`*^9}, 
   3.7702336399839582`*^9, {3.786469733627386*^9, 3.7864697410853863`*^9}, 
   3.868092927446157*^9},
 CellID->1997304791,ExpressionUUID->"61b69e9a-04e2-4b87-b282-e78acbde8216"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"MapAt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "+", "1"}], "&"}], ",", "\"\<age\>\""}], "]"}]}], "]"}], 
  "[", "titanicDS", "]"}]], "Input",
 CellChangeTimes->{{3.770140166632142*^9, 3.770140180101037*^9}, 
   3.770140233127489*^9, {3.770140310237508*^9, 3.7701403166996183`*^9}, {
   3.770140361509768*^9, 3.770140437601239*^9}, {3.770140475313859*^9, 
   3.770140529859683*^9}, {3.770140595561005*^9, 3.770140597765092*^9}, {
   3.770140705238676*^9, 3.770140707079138*^9}, {3.867165970309235*^9, 
   3.86716597307547*^9}},
 CellLabel->"In[71]:=",
 CellID->1848140588,ExpressionUUID->"83ce4b97-bdc5-4c79-b5e3-9b0b027f7cfe"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 72, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 81, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 12, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 77, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 5, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 72, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 66, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 66, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 14, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 7, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 68, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 13, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 53, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 9, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 53, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 7, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 63, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 61, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 58, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 63, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 9, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 13, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 67, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 72, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 66, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 49, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 75, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> False|>},
      "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 1309], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 1309], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     1309, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["30"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["31"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["26"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["49"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["64"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["40"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c5beb48d-0180-4907-a5c7-df1f317c0bee"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 1309, 1], {1, 1309 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 1309, 1], {1, 1309 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 1309, 1], {1, 1309 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 1309, 1], {1, 1309 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867165974121543*^9, 3.88175791601742*^9},
 CellLabel->"Out[71]=",
 CellID->1921798889,ExpressionUUID->"0aecde1e-3895-4423-8d3a-414e8ced3fb3"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Add Row Headers (Indexing) ", "Subsection",
 CellChangeTimes->{{3.740331961619939*^9, 3.740331974815857*^9}, {
   3.741810812331361*^9, 3.7418108176778517`*^9}, 3.7419723448783283`*^9, {
   3.7701321150029716`*^9, 3.770132115369351*^9}},
 CellID->924270635,ExpressionUUID->"bd37c5e8-d4b9-4c42-bb63-98a2464863b9"],

Cell[CellGroupData[{

Cell["Sequential Integer Headers", "Subsubsection",
 CellChangeTimes->{{3.770140979286085*^9, 3.770140985969071*^9}, {
  3.7864697585383863`*^9, 3.786469763930386*^9}},
 CellID->1654368666,ExpressionUUID->"f41e7f6d-7e79-4c7c-8aa2-ad2d69455b31"],

Cell[TextData[{
 "Suppose one wants to add row headers to a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that does not have them already. One might want to do this to clarify the \
meaning of each row. Or, as discussed later, one might want to do this, \
whether the data is wrapped in ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " or not, to retrieve information more swiftly. "
}], "Text",
 CellChangeTimes->{{3.7403319808059807`*^9, 3.740331984016994*^9}, {
   3.7404279441287327`*^9, 3.740427974914534*^9}, {3.740428070709173*^9, 
   3.740428091230171*^9}, {3.740428136845117*^9, 3.740428181460373*^9}, {
   3.7404289117389727`*^9, 3.7404289420246267`*^9}, {3.740476067914774*^9, 
   3.740476377464768*^9}, 3.741807941815667*^9, {3.770063472095118*^9, 
   3.770063474605247*^9}, {3.7701218518515673`*^9, 3.7701218537896214`*^9}, 
   3.785783576776162*^9, {3.786469979646386*^9, 3.786469981502386*^9}, {
   3.867166240595298*^9, 3.867166260643628*^9}, {3.867238353175961*^9, 
   3.867238356568235*^9}, {3.873887236971593*^9, 3.8738872382632823`*^9}},
 CellID->1467343694,ExpressionUUID->"dd430669-560a-46ad-a07d-3f23d121d452"],

Cell[TextData[{
 "If the row headers are going to be sequential values, there are several \
ways to do it. One way is to ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " a ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " operator with ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". Remember that ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " produces part specifications wrapped in a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ", so if you want just an integer, you need to just take the first part of \
the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ". This is why the function is ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
    RowBox[{"2", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "->", 
   RowBox[{
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], "1", 
    ButtonBox[
     StyleBox["&",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Function.html"], None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/Function.html"]}]}]], 
  "InlineCodeText",ExpressionUUID->"b70f5858-bbcc-4648-bcd8-bec011e73119"],
 " and not ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
    "2"}], "->", 
   RowBox[{
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], "1", 
    ButtonBox[
     StyleBox["&",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Function.html"], None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/Function.html"]}]}]], 
  "InlineCodeText",ExpressionUUID->"5ba3d039-a8d6-4b9e-b22d-e029b66683c9"],
 "."
}], "Text",
 CellChangeTimes->{{3.7418080763668203`*^9, 3.741808083001464*^9}, {
   3.741808163984006*^9, 3.741808209068719*^9}, {3.741972630248514*^9, 
   3.741972648686781*^9}, {3.749563736170856*^9, 3.74956374784616*^9}, {
   3.770063570244689*^9, 3.7700635864605703`*^9}, {3.770063621197854*^9, 
   3.770063643290283*^9}, {3.7701087142965393`*^9, 3.770108804800878*^9}, {
   3.7864700024093857`*^9, 3.786470032591386*^9}, {3.8671662819684362`*^9, 
   3.8671663346799726`*^9}, 3.868092995155892*^9, {3.868093077637567*^9, 
   3.868093106197975*^9}, {3.8692364448232203`*^9, 3.869236467229101*^9}, 
   3.873906660092388*^9},
 CellTags->"i:21",
 CellID->2090746557,ExpressionUUID->"85a73d92-9bc3-4b7c-a49a-f81925fbfe13"],

Cell[TextData[{
 "Use ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " to create integer row keys (headers) in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770233646451653*^9, 3.770233663372363*^9}, {
   3.786470148810666*^9, 3.7864701548442698`*^9}, 3.8680932126004143`*^9},
 CellID->720967592,ExpressionUUID->"02e09e40-4857-4ec8-bd37-851ff1c1e07f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"MapIndexed", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#2", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", "#1"}], "&"}], "]"}], "/*",
     "Association"}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.770063523321261*^9, 3.770063553177082*^9}, 
   3.885657067355173*^9},
 CellLabel->"In[72]:=",
 CellID->1800253183,ExpressionUUID->"a2d8fdf4-1e1f-4d7c-a1b1-579e1a2c326e"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      1 -> <|"class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         True|>, 2 -> <|
        "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>,
        3 -> <|"class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         False|>, 
       4 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "female", 
         "survived" -> True|>, 
       5 -> <|"class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         False|>, 
       6 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       7 -> <|"class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
         True|>, 8 -> <|
        "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
         True|>, 9 -> <|
        "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False|>,
        10 -> <|"class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
         False|>, 
       11 -> <|"class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
         False|>, 
       12 -> <|"class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
         False|>, 
       13 -> <|"class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
         True|>, 14 -> <|
        "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, 
       15 -> <|"class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
         False|>, 
       16 -> <|"class" -> "2nd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       17 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "female", 
         "survived" -> True|>, 
       18 -> <|"class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
         False|>, 
       19 -> <|"class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
         True|>, 20 -> <|
        "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False|>,
        21 -> <|"class" -> "2nd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       22 -> <|"class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
         True|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[7]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[34], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[Integer], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[7]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[34], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[Integer], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["1"], 
                  Style[
                   RawBoxes["1"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[1]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[1]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[1], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[1], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[1], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[1], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["2"], 
                  Style[
                   RawBoxes["2"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[2]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[2]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[2], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[2], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[2], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[2], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["3"], 
                  Style[
                   RawBoxes["3"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[3]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[3]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[3], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[3], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[3], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[3], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["4"], 
                  Style[
                   RawBoxes["4"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[4]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[4]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[4], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[4], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[4], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[4], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["5"], 
                  Style[
                   RawBoxes["5"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[5]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[5]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[5], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[5], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[5], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[5], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["6"], 
                  Style[
                   RawBoxes["6"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[6]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[6]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[6], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[6], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[6], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[6], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["7"], 
                  Style[
                   RawBoxes["7"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[7]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[7]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[7], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[7], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[7], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[7], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["8"], 
                  Style[
                   RawBoxes["8"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[8]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[8]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[8], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[8], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[8], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a7ad5fe-a0eb-4740-92a3-1dbc8d9e1245"]][{
                 Key[8], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{273., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{273., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7700635555269213`*^9, 3.7701226052822638`*^9, 
  3.770140873051674*^9, 3.770212779137574*^9, 3.770289132178666*^9, 
  3.7719308462070923`*^9, 3.81706322670124*^9, 3.881757928478448*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[72]=",
 CellID->2083463451,ExpressionUUID->"18e85f8d-4f36-49b2-b58e-c365d814a8cb"]
}, Open  ]],

Cell[TextData[{
 "The ",
 ButtonBox["MapSlice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapSlice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapSlice"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " can make the code somewhat more readable because it produces a sequence of \
parts rather than a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of parts."
}], "Text",
 CellChangeTimes->{{3.87450473142741*^9, 3.87450473244669*^9}},
 CellTags->"p: 219",
 CellID->1661654876,ExpressionUUID->"bac310d1-bbcb-4b7e-9418-658e819b89df"],

Cell[TextData[{
 "Use ",
 ButtonBox["MapSlice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapSlice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapSlice"],
 " to create integer row keys (headers) in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770233646451653*^9, 3.770233663372363*^9}, {
   3.786470148810666*^9, 3.7864701548442698`*^9}, {3.867166492274905*^9, 
   3.867166494031435*^9}, {3.8680932501319*^9, 3.868093260678587*^9}, {
   3.8692365012535677`*^9, 3.869236504559368*^9}, 3.873906888733392*^9},
 CellID->666101127,ExpressionUUID->"dd528b0c-4914-4bfe-bda2-6b42cf9f3036"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["MapSlice", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["MapSlice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/MapSlice"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "MapSlice"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "MapSlice", "ShortName" -> "MapSlice", "UUID" -> 
         "f3da3843-eca4-49a1-a10f-ae495c5a085e", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Provide the part specifications to a mapped function as a sequence \
of arguments after the first one", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$fc34d7cb86b4477286abcf1aeedb1cac`MapSlice", 
         "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/obj/2edb34b0-5ba9-472e-9991-\
7a8746a6c7a5"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", 
     RowBox[{
      RowBox[{"#2", "\[Rule]", "#"}], "&"}], "]"}], "/*", "Association"}], 
   "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.770063523321261*^9, 3.770063553177082*^9}, {
  3.8671664742790728`*^9, 3.867166484624022*^9}},
 CellLabel->"In[73]:=",
 CellID->329389678,ExpressionUUID->"291301cf-6a3e-4964-9a1e-8556c01bb2d9"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      1 -> <|"class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         True|>, 2 -> <|
        "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>,
        3 -> <|"class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         False|>, 
       4 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "female", 
         "survived" -> True|>, 
       5 -> <|"class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         False|>, 
       6 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       7 -> <|"class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
         True|>, 8 -> <|
        "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
         True|>, 9 -> <|
        "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False|>,
        10 -> <|"class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
         False|>, 
       11 -> <|"class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
         False|>, 
       12 -> <|"class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
         False|>, 
       13 -> <|"class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
         True|>, 14 -> <|
        "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, 
       15 -> <|"class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
         False|>, 
       16 -> <|"class" -> "2nd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       17 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "female", 
         "survived" -> True|>, 
       18 -> <|"class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
         False|>, 
       19 -> <|"class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
         True|>, 20 -> <|
        "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False|>,
        21 -> <|"class" -> "2nd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       22 -> <|"class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
         True|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[8]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[34], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[Integer], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[8]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[34], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[Integer], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["1"], 
                  Style[
                   RawBoxes["1"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[1]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[1]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[1], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[1], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[1], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[1], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["2"], 
                  Style[
                   RawBoxes["2"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[2]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[2]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[2], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[2], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[2], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[2], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["3"], 
                  Style[
                   RawBoxes["3"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[3]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[3]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[3], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[3], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[3], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[3], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["4"], 
                  Style[
                   RawBoxes["4"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[4]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[4]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[4], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[4], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[4], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[4], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["5"], 
                  Style[
                   RawBoxes["5"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[5]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[5]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[5], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[5], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[5], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[5], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["6"], 
                  Style[
                   RawBoxes["6"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[6]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[6]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[6], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[6], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[6], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[6], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["7"], 
                  Style[
                   RawBoxes["7"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[7]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[7]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[7], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[7], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[7], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[7], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["8"], 
                  Style[
                   RawBoxes["8"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[8]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[8]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[8], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[8], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[8], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d37304ea-2336-4862-8494-22370ca48358"]][{
                 Key[8], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{273., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{273., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7700635555269213`*^9, 3.7701226052822638`*^9, 
  3.770140873051674*^9, 3.770212779137574*^9, 3.770289132178666*^9, 
  3.7719308462070923`*^9, 3.81706322670124*^9, 3.867166487106645*^9, 
  3.8817579353815393`*^9},
 CellLabel->"Out[73]=",
 CellID->374587339,ExpressionUUID->"1757edd2-479a-4c1b-bf13-bf327dbd21b8"]
}, Open  ]],

Cell[TextData[{
 "A third way of producing integer keys would be to get the lifeboat data out \
of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " using ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 ". Then use ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " to add an integer key to each of the rows and put the resulting data back \
inside the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.770063590464362*^9, 3.7700636064995003`*^9}, 
   3.770063650985238*^9, {3.770140919877388*^9, 3.770140952664473*^9}, {
   3.771932859705917*^9, 3.771932921271962*^9}, {3.7864701620109863`*^9, 
   3.78647020405519*^9}, {3.867166519726139*^9, 3.867166529761262*^9}, {
   3.868093271679158*^9, 3.868093282013504*^9}, {3.873908319617042*^9, 
   3.8739083345262985`*^9}, {3.876238173222457*^9, 3.8762381863503532`*^9}},
 CellID->108787486,ExpressionUUID->"e37898de-5278-4073-a155-91f630a30925"],

Cell[TextData[{
 "Alternatively, ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " the row keys with the rows: "
}], "CodeText",
 CellChangeTimes->{{3.770233672192029*^9, 3.7702336875280733`*^9}, 
   3.7864702140211864`*^9, 3.8680932884312363`*^9},
 CellID->2074828964,ExpressionUUID->"d3414ab8-04fd-4a37-937c-2d7da76fa518"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"AssociationThread", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Length", "/*", "Range"}], ")"}], "[", "lifeboatDS", "]"}], ",", 
    RowBox[{"Normal", "[", "lifeboatDS", "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.768744947880588*^9, 3.768744948052575*^9}, {
  3.77003054135464*^9, 3.770030541357389*^9}, {3.770288451178466*^9, 
  3.770288459305504*^9}, {3.771932806955611*^9, 3.7719328441651077`*^9}, {
  3.771932925487969*^9, 3.771932954994125*^9}},
 CellLabel->"In[74]:=",
 CellID->232585134,ExpressionUUID->"63f2d497-1c1e-4d00-b09d-2e4146d26c2c"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      1 -> <|"class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         True|>, 2 -> <|
        "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>,
        3 -> <|"class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         False|>, 
       4 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "female", 
         "survived" -> True|>, 
       5 -> <|"class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         False|>, 
       6 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       7 -> <|"class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
         True|>, 8 -> <|
        "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
         True|>, 9 -> <|
        "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False|>,
        10 -> <|"class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
         False|>, 
       11 -> <|"class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
         False|>, 
       12 -> <|"class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
         False|>, 
       13 -> <|"class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
         True|>, 14 -> <|
        "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, 
       15 -> <|"class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
         False|>, 
       16 -> <|"class" -> "2nd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       17 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "female", 
         "survived" -> True|>, 
       18 -> <|"class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
         False|>, 
       19 -> <|"class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
         True|>, 20 -> <|
        "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False|>,
        21 -> <|"class" -> "2nd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       22 -> <|"class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
         True|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[9]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[34], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[Integer], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[9]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[34], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[Integer], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["1"], 
                  Style[
                   RawBoxes["1"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[1]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[1]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[1], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[1], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[1], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[1], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["2"], 
                  Style[
                   RawBoxes["2"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[2]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[2]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[2], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[2], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[2], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[2], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["3"], 
                  Style[
                   RawBoxes["3"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[3]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[3]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[3], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[3], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[3], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[3], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["4"], 
                  Style[
                   RawBoxes["4"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[4]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[4]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[4], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[4], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[4], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[4], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["5"], 
                  Style[
                   RawBoxes["5"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[5]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[5]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[5], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[5], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[5], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[5], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["6"], 
                  Style[
                   RawBoxes["6"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[6]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[6]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[6], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[6], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[6], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[6], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["7"], 
                  Style[
                   RawBoxes["7"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[7]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[7]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[7], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[7], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[7], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[7], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["8"], 
                  Style[
                   RawBoxes["8"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[8]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[8]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[8], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[8], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[8], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5799c64b-4325-46ae-a9c8-75b485561145"]][{
                 Key[8], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{273., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{273., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.869236691163845*^9, 3.881757943410548*^9},
 CellLabel->"Out[74]=",
 CellID->964657858,ExpressionUUID->"0b5011bd-78fe-4fb8-9f67-732ce38834a9"]
}, Open  ]],

Cell[TextData[{
 "Instead of using the composition ",
 Cell[BoxData[
  RowBox[{"(", 
   RowBox[{
    ButtonBox[
     StyleBox["Length",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Length.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Length.html"], 
    ButtonBox[
     StyleBox["/*",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL[
       "https://reference.wolfram.com/language/ref/RightComposition.html"], 
       None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/RightComposition.html"], 
    ButtonBox[
     StyleBox["Range",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Range.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Range.html"]}], 
   ")"}]], "InlineCodeText",ExpressionUUID->
  "dd54dff8-9be6-41cc-b937-c1770636f364"],
 ", I could use the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["CorrespondingIntegers",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
CorrespondingIntegers"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
CorrespondingIntegers"],
 ", which produces a ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    ButtonBox["List",
     BaseStyle->"FunctionHyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/List.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/List.html"], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      StyleBox["...",
       FontColor->GrayLevel[0.6]], ",", 
      StyleBox["n", "CodeVariable"]}], "}"}]}], TraditionalForm]], 
  "InlineCodeText",ExpressionUUID->"9f5d17de-7287-436e-86ef-8e99a37f5571"],
 ", where ",
 Cell[BoxData[
  StyleBox["n", "CodeVariable"]], "InlineCodeText",ExpressionUUID->
  "13353b47-4246-4b20-a3c3-839b276c9fbe"],
 " is the length of the expression it confronts."
}], "Text",
 CellChangeTimes->{{3.8977521990530767`*^9, 3.897752214398831*^9}},
 CellTags->"LastCellOfAPage",
 CellID->397831151,ExpressionUUID->"781d9eff-d5ec-4435-badd-e0168679d75c"],

Cell[TextData[{
 "Use the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["CorrespondingIntegers",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
CorrespondingIntegers"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
CorrespondingIntegers"],
 " to index the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770288415917741*^9, 3.770288434543795*^9}, {
   3.770288577888747*^9, 3.770288589102407*^9}, {3.786470666409421*^9, 
   3.786470672826062*^9}, {3.7864707455403333`*^9, 3.7864707589566746`*^9}, {
   3.8671666023672123`*^9, 3.86716660628603*^9}, {3.8680935434270372`*^9, 
   3.868093555839951*^9}, {3.869237633207211*^9, 3.869237641083205*^9}, 
   3.873970914201446*^9},
 CellTags->"p: 220",
 CellID->1791974851,ExpressionUUID->"9dddb556-9444-409a-8bed-54226be3c3ca"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"AssociationThread", "[", 
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["CorrespondingIntegers", "ResourceFunctionLabel"],
                    " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["CorrespondingIntegers", "ResourceFunctionLabel"],
                     " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/CorrespondingIntegers"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "CorrespondingIntegers"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "CorrespondingIntegers", "ShortName" -> 
         "CorrespondingIntegers", "UUID" -> 
         "6ab51ca6-bbd1-4798-9b76-682bf65dc1f7", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Creates a list of positive integers containing as many elements as \
the expression to which it is applied.", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/objects/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$a1516f15fde549e2b639715d1918e6d1`\
CorrespondingIntegers"|>, {ResourceSystemBase -> Automatic}]],
      Selectable->False], "[", "lifeboatDS", "]"}], ",", 
    RowBox[{"Normal", "[", "lifeboatDS", "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.770108876281435*^9, 3.770108924066433*^9}, 
   3.7701090992059307`*^9, 3.817063285274127*^9},
 CellLabel->"In[75]:=",
 CellID->1059949625,ExpressionUUID->"f99f363a-2b7e-403e-bb52-72feac687b42"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      1 -> <|"class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         True|>, 2 -> <|
        "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>,
        3 -> <|"class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         False|>, 
       4 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "female", 
         "survived" -> True|>, 
       5 -> <|"class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         False|>, 
       6 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       7 -> <|"class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
         True|>, 8 -> <|
        "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
         True|>, 9 -> <|
        "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False|>,
        10 -> <|"class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
         False|>, 
       11 -> <|"class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
         False|>, 
       12 -> <|"class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
         False|>, 
       13 -> <|"class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
         True|>, 14 -> <|
        "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, 
       15 -> <|"class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
         False|>, 
       16 -> <|"class" -> "2nd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       17 -> <|"class" -> "3rd", "age" -> Missing[], "sex" -> "female", 
         "survived" -> True|>, 
       18 -> <|"class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
         False|>, 
       19 -> <|"class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
         True|>, 20 -> <|
        "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False|>,
        21 -> <|"class" -> "2nd", "age" -> Missing[], "sex" -> "male", 
         "survived" -> False|>, 
       22 -> <|"class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
         True|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[10]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[34], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[Integer], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[10]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[34], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[Integer], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["1"], 
                  Style[
                   RawBoxes["1"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[1]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[1]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[1], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[1], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[1], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[1], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["2"], 
                  Style[
                   RawBoxes["2"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[2]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[2]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[2], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[2], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[2], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[2], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["3"], 
                  Style[
                   RawBoxes["3"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[3]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[3]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[3], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[3], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[3], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[3], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["4"], 
                  Style[
                   RawBoxes["4"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[4]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[4]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[4], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[4], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[4], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[4], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["5"], 
                  Style[
                   RawBoxes["5"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[5]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[5]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[5], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[5], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[5], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[5], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["6"], 
                  Style[
                   RawBoxes["6"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[6]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[6]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[6], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[6], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[6], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[6], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["7"], 
                  Style[
                   RawBoxes["7"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[7]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[7]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[7], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[7], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[7], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[7], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  RawBoxes["8"], 
                  Style[
                   RawBoxes["8"], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key[8]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[8]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[8], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[8], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[8], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ac10689f-3219-41c9-997e-30b2e878660d"]][{
                 Key[8], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{273., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{273., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8671666306007957`*^9, 3.8671666502107363`*^9}, 
   3.881757953834594*^9},
 CellLabel->"Out[75]=",
 CellID->1292915317,ExpressionUUID->"85a7894d-f8ac-4d3c-bac4-d182fe875111"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Computed Headers", "Subsubsection",
 CellChangeTimes->{{3.770140991206477*^9, 3.770140996295409*^9}, {
   3.786469943296386*^9, 3.786469943816386*^9}, 3.8170654804378357`*^9, {
   3.867168525540749*^9, 3.867168526822158*^9}},
 CellID->1377436983,ExpressionUUID->"607623e6-e279-424d-a753-9ece47e35dca"],

Cell[TextData[{
 "I can also make the row headers a function of the data and its position in \
the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". Here\[CloseCurlyQuote]s an example taken from a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " on Major League Soccer (MLS)."
}], "Text",
 CellChangeTimes->{{3.768745013726492*^9, 3.768745025835416*^9}, {
   3.7687451303756657`*^9, 3.768745208691493*^9}, {3.770063710381645*^9, 
   3.7700638524350224`*^9}, {3.770064846506555*^9, 3.77006488338719*^9}, {
   3.7701092008415337`*^9, 3.770109308774358*^9}, 3.770141007313685*^9, {
   3.770141062190591*^9, 3.770141135773478*^9}, {3.77014116995905*^9, 
   3.770141245591825*^9}, {3.7701413288728228`*^9, 3.770141353426257*^9}, {
   3.770142318901615*^9, 3.7701423732501373`*^9}, {3.770142679319215*^9, 
   3.770142680505494*^9}, {3.8673146604630337`*^9, 3.8673146649072857`*^9}, {
   3.873886301201936*^9, 3.873886302879486*^9}},
 CellTags->"i:22",
 CellID->587827225,ExpressionUUID->"0ac882cc-6ff7-4261-95fe-463a8790fa81"],

Cell[TextData[{
 "Get the MLS ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " out of the book\[CloseCurlyQuote]s repository:"
}], "CodeText",
 CellChangeTimes->{{3.770288597436594*^9, 3.770288610336053*^9}, {
   3.7863779787061934`*^9, 3.786377979204193*^9}, 3.7864707998707657`*^9, 
   3.8680935903948193`*^9, {3.873886312026603*^9, 3.8738863132169533`*^9}},
 CellID->1854806747,ExpressionUUID->"ef44064c-3787-419f-804e-7aed5f5a3aa3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mlsDS", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<MLS List of Associations Dataset\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.770141257346919*^9, 3.770141283486734*^9}, {
  3.771930656180972*^9, 3.77193065888444*^9}},
 CellLabel->"In[10]:=",
 CellID->482436950,ExpressionUUID->"05322701-7cf3-411d-835c-6cd8c75cd95b"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9618051415352995008571675726458041897707270604852107014152], 
         "AllowEmbedding" -> True, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "Club" -> TypeSystem`PackageScope`AtomShape[56.00000000000001],
                 "LastName" -> 
                TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                "FirstName" -> 
                TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                "GuaranteedCompensation" -> 
                TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                TypeSystem`PackageScope`AtomShape[75]|>], 
              DirectedInfinity[1], 7, {All}]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Meta" -> <||>, 
         "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "Club" -> TypeSystem`PackageScope`AtomShape[56.00000000000001],
                 "LastName" -> 
                TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                "FirstName" -> 
                TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                "GuaranteedCompensation" -> 
                TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                TypeSystem`PackageScope`AtomShape[75]|>], 
              DirectedInfinity[1], 7, {All}]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 7, 
         "DataRowCount" -> 5553, "DataColumnCount" -> 7, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Club"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{All, "Club"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "LastName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{
                    All, "LastName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "FirstName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{
                    All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Position"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{
                    All, "Position"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "BaseSalary"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{
                    All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GuaranteedCompensation"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{
                    All, "GuaranteedCompensation"}, "ColumnHeader", True], 
                   "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Year"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{All, "Year"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{1, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{1, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{1, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{1, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{1, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{1, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{1, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{2, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{2, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{2, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{2, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{2, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{2, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{2, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{3, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{3, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{3, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{3, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"41\[ThinSpace]212.50\"", ShowStringCharacters -> 
                    False], 41212.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 41212.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{3, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"48\[ThinSpace]712.50\"", ShowStringCharacters -> 
                    False], 48712.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 48712.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{3, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{3, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{4, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{4, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{4, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{4, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.492316`*^6", 2.492316*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{4, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.666778`*^6", 2.666778*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{4, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{4, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{5, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{5, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{5, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{5, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{5, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{5, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{5, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{6, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{6, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{6, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["GK", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{6, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{6, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{6, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{6, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{7, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{7, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{7, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{7, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"38\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 38000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 38000., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{7, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"50\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 50500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 50500., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{7, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{7, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{8, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{8, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{8, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{8, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"144\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 144000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 144000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{8, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"151\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 151500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 151500., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{8, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "488a0bff-b491-4231-ab2a-77d498b6782d"]][{8, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             
             Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {709., {141.3837890625, 148.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {709., {141.3837890625, 148.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9618051415352995008571675726458041897707270604852107014152,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 PageWidth->1000,
 CellChangeTimes->{3.8671685509341516`*^9, 3.880552398478552*^9, 
  3.880636897057596*^9, 3.881757964323114*^9, 3.8826174218518047`*^9},
 CellLabel->"Out[10]=",
 CellID->789054500,ExpressionUUID->"8b21f2e2-23d6-4bb5-90f8-205194b42713"]
}, Open  ]],

Cell["\<\
My first guess for an indexing function is the last name, the team, and the \
year. (You\[CloseCurlyQuote]ll see that this doesn\[CloseCurlyQuote]t work \
perfectly, but the failure is instructive.)\
\>", "Text",
 CellChangeTimes->{{3.768745013726492*^9, 3.768745025835416*^9}, {
   3.7687451303756657`*^9, 3.768745208691493*^9}, {3.770063710381645*^9, 
   3.7700638524350224`*^9}, {3.770064846506555*^9, 3.77006488338719*^9}, {
   3.7701092008415337`*^9, 3.770109308774358*^9}, 3.770141007313685*^9, {
   3.770141062190591*^9, 3.770141135773478*^9}, {3.77014116995905*^9, 
   3.770141245591825*^9}, {3.7701413288728228`*^9, 3.770141353426257*^9}, {
   3.770142318901615*^9, 3.7701423732501373`*^9}, {3.770142679319215*^9, 
   3.770142734405962*^9}, {3.7863779827451935`*^9, 3.7863779874741936`*^9}, {
   3.880552660561833*^9, 3.8805526634529943`*^9}, {3.881235503529027*^9, 
   3.8812355174519477`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->93499581,ExpressionUUID->"762e25b0-9692-42b0-8dca-2539c137d317"],

Cell[TextData[{
 "Creating an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " based on nonunique keys is usually a bad idea:"
}], "CodeText",
 CellChangeTimes->{{3.770288619926264*^9, 3.7702886469808483`*^9}, {
  3.786471127461381*^9, 3.786471136949381*^9}, {3.868093616137574*^9, 
  3.868093622863846*^9}},
 CellTags->"p: 221",
 CellID->1167947200,ExpressionUUID->"41785939-cb40-4f52-a241-161aa70b7a37"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"Association", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#LastName", ",", "#Club", ",", "#Year"}], "}"}], "\[Rule]", 
       "#"}], "&"}]}], "]"}], "[", "mlsDS", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "FormatDataset"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
       "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "Format a dataset using a given set of option values", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"HeaderSize", "\[Rule]", "6"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7701423768619337`*^9, 3.770142526509027*^9}, {
  3.770142716528199*^9, 3.770142724020796*^9}, {3.770142803150773*^9, 
  3.7701428283868628`*^9}, {3.867168602040861*^9, 3.867168619747931*^9}, {
  3.880552429052726*^9, 3.88055243147167*^9}, {3.880552651464182*^9, 
  3.8805526532379436`*^9}},
 CellLabel->"In[77]:=",
 CellID->1616072853,ExpressionUUID->"e7a866c4-8405-40f3-989d-16bca39727ca"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9616123480242765898374179435987398665001995733822329701504], 
         "AllowEmbedding" -> True, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[11]} -> 3, {All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`RowShape[{
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 TypeSystem`PackageScope`AtomShape[33.6], 
                 TypeSystem`PackageScope`AtomShape[75]}], 
               DirectedInfinity[1], 3, {All}], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "Club" -> TypeSystem`PackageScope`AtomShape[33.6], "LastName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "FirstName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                 "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                 "GuaranteedCompensation" -> 
                 TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                 TypeSystem`PackageScope`AtomShape[75]|>], 
               DirectedInfinity[1], 7, {All}]]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
           TypeSystem`Tuple[{
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[DateObject]}], 
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5527], 
         "Meta" -> <|$CellContext`HeaderSize -> 6|>, "RowTarget" -> 20, 
         "ColumnTarget" -> 10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[11]} -> 3, {All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`RowShape[{
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 TypeSystem`PackageScope`AtomShape[33.6], 
                 TypeSystem`PackageScope`AtomShape[75]}], 
               DirectedInfinity[1], 3, {All}], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "Club" -> TypeSystem`PackageScope`AtomShape[33.6], "LastName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "FirstName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                 "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                 "GuaranteedCompensation" -> 
                 TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                 TypeSystem`PackageScope`AtomShape[75]|>], 
               DirectedInfinity[1], 7, {All}]]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
           TypeSystem`Tuple[{
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[DateObject]}], 
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5527], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 7, 
         "DataRowCount" -> 5527, "DataColumnCount" -> 7, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   Mouseover[
                    
                    Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]], 
                    Graphics[{
                    GrayLevel[0.6], 
                    
                    Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{All, Keys}, 
                    "KeyDummy", False], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Center, Baseline}], 
                SpanFromLeft, SpanFromLeft, 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Club"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{All, "Club"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "LastName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    All, "LastName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "FirstName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Position"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    All, "Position"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "BaseSalary"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GuaranteedCompensation"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    All, "GuaranteedCompensation"}, "ColumnHeader", True], 
                   "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Year"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{All, "Year"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Armas", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Banner", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"41\[ThinSpace]212.50\"", ShowStringCharacters -> 
                    False], 41212.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 41212.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"48\[ThinSpace]712.50\"", ShowStringCharacters -> 
                    False], 48712.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 48712.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Barrett", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.492316`*^6", 2.492316*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.666778`*^6", 2.666778*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Blanco", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Brown", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["GK", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Busch", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"38\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 38000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 38000., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"50\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 50500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 50500., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Carr", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"144\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 144000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 144000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"151\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 151500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 151500., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "57580281-815a-450c-8bb7-22502964eb8c"]][{
                    Key[{"Conde", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 5527, 1], {1, 5527 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 5527, 1], {1, 5527 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5527, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5527, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 5527, 1], {1, 5527 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 5527, 1], {1, 5527 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             
             Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {836., {141.3837890625, 148.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {836., {141.3837890625, 148.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9616123480242765898374179435987398665001995733822329701504,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 PageWidth->1000,
 CellChangeTimes->{{3.867168595068344*^9, 3.867168620825563*^9}, {
   3.8805524044537287`*^9, 3.880552432220757*^9}, 3.8805526537450647`*^9, 
   3.880636905701125*^9, 3.8817579861974697`*^9},
 CellLabel->"Out[77]=",
 CellID->1902875960,ExpressionUUID->"401a47d9-5e53-40dc-b5d1-a256723b42a5"]
}, Open  ]],

Cell[TextData[{
 "If you look carefully, you\[CloseCurlyQuote]ll see that there are 5527 rows \
of the indexed ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " whereas there were 5553 to begin with. What\[CloseCurlyQuote]s happened is \
that there may be two people with the same last name on a team in a given \
year. Because the data has now been transformed at its outer layer, an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", it\[CloseCurlyQuote]s dropped entries with duplicate keys. Here\
\[CloseCurlyQuote]s a better indexing function in which I include first names."
}], "Text",
 CellChangeTimes->{{3.768745013726492*^9, 3.768745025835416*^9}, {
   3.7687451303756657`*^9, 3.768745208691493*^9}, {3.770063710381645*^9, 
   3.7700638524350224`*^9}, {3.770064846506555*^9, 3.77006488338719*^9}, {
   3.7701092008415337`*^9, 3.770109308774358*^9}, 3.770141007313685*^9, {
   3.770141062190591*^9, 3.770141135773478*^9}, {3.77014116995905*^9, 
   3.770141245591825*^9}, {3.7701413288728228`*^9, 3.770141353426257*^9}, {
   3.770142318901615*^9, 3.770142337345449*^9}, {3.770142739272892*^9, 
   3.770142790230999*^9}, {3.770142834864874*^9, 3.7701429044249372`*^9}, {
   3.786471518337381*^9, 3.786471526577381*^9}, {3.8680936458266287`*^9, 
   3.868093664111054*^9}, {3.880552460865383*^9, 3.880552470237661*^9}},
 CellID->1678712813,ExpressionUUID->"856b36c7-c50a-4b1b-8c87-a39e0468d5c3"],

Cell[TextData[{
 "Use a combination of keys whose values are collectively unique to index a \
",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "; use the ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " so that the new row headers are displayed properly:"
}], "CodeText",
 CellChangeTimes->{{3.770288654001943*^9, 3.7702886698982143`*^9}, 
   3.7864716794713807`*^9, {3.867168895599275*^9, 3.86716892115705*^9}, {
   3.8680936816604223`*^9, 3.868093691656304*^9}, {3.870186320065383*^9, 
   3.870186340867992*^9}},
 CellID->211000428,ExpressionUUID->"eba84dab-8fe2-453b-bb9b-a761a159a402"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"indexedMLS", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"Association", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#LastName", ",", "#FirstName", ",", "#Club", ",", "#Year"}],
          "}"}], "\[Rule]", "#"}], "&"}]}], "]"}], "[", "mlsDS", "]"}], "//", 
   RowBox[{
    InterpretationBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "FormatDataset"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
        "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Format a dataset using a given set of option values", 
        "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], "[", 
    RowBox[{"HeaderSize", "\[Rule]", "6"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7701423768619337`*^9, 3.770142526509027*^9}, {
   3.770142716528199*^9, 3.770142724020796*^9}, {3.770142803150773*^9, 
   3.7701428283868628`*^9}, {3.770142928560391*^9, 3.770142933418768*^9}, {
   3.77014308860297*^9, 3.770143090426138*^9}, 3.8671686693739443`*^9, {
   3.88055263193681*^9, 3.880552644297208*^9}},
 CellLabel->"In[78]:=",
 CellID->309312063,ExpressionUUID->"ce52a662-3046-4eed-846c-fe8eea52b43b"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9616123480242765898374179435987398665020442477896043551680], 
         "AllowEmbedding" -> True, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[12]} -> 4, {All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`RowShape[{
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 TypeSystem`PackageScope`AtomShape[56.00000000000001], 
                 TypeSystem`PackageScope`AtomShape[75]}], 
               DirectedInfinity[1], 4, {All}], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "Club" -> TypeSystem`PackageScope`AtomShape[
                  56.00000000000001], "LastName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "FirstName" -> 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                 "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                 "GuaranteedCompensation" -> 
                 TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                 TypeSystem`PackageScope`AtomShape[75]|>], 
               DirectedInfinity[1], 7, {All}]]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
           TypeSystem`Tuple[{
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[DateObject]}], 
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], 
         "Meta" -> <|$CellContext`HeaderSize -> 6|>, "RowTarget" -> 20, 
         "ColumnTarget" -> 10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[12]} -> 4, {All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`RowShape[{
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 TypeSystem`PackageScope`AtomShape[56.00000000000001], 
                 TypeSystem`PackageScope`AtomShape[75]}], 
               DirectedInfinity[1], 4, {All}], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "Club" -> TypeSystem`PackageScope`AtomShape[
                  56.00000000000001], "LastName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "FirstName" -> 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                 "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                 "GuaranteedCompensation" -> 
                 TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                 TypeSystem`PackageScope`AtomShape[75]|>], 
               DirectedInfinity[1], 7, {All}]]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
           TypeSystem`Tuple[{
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[DateObject]}], 
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 7, 
         "DataRowCount" -> 5553, "DataColumnCount" -> 7, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   Mouseover[
                    
                    Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]], 
                    Graphics[{
                    GrayLevel[0.6], 
                    
                    Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{All, Keys}, 
                    "KeyDummy", False], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Center, Baseline}], 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Club"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{All, "Club"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "LastName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    All, "LastName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "FirstName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Position"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    All, "Position"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "BaseSalary"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GuaranteedCompensation"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    All, "GuaranteedCompensation"}, "ColumnHeader", True], 
                   "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Year"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{All, "Year"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"41\[ThinSpace]212.50\"", ShowStringCharacters -> 
                    False], 41212.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 41212.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"48\[ThinSpace]712.50\"", ShowStringCharacters -> 
                    False], 48712.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 48712.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.492316`*^6", 2.492316*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.666778`*^6", 2.666778*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["GK", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], ImageSize -> 
                  {{75, Full}, Automatic}, ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"38\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 38000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 38000., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"50\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 50500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 50500., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"144\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 144000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 144000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"151\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 151500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 151500., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "b807e58b-469c-4c68-ad85-319371916433"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             Module[{
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {953., {141.3837890625, 148.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {953., {141.3837890625, 148.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9616123480242765898374179435987398665020442477896043551680,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 PageWidth->1000,
 CellChangeTimes->{
  3.867168671047879*^9, {3.880552635477681*^9, 3.880552644878405*^9}, 
   3.8806369177255507`*^9, 3.881758004952112*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[78]=",
 CellID->1831767386,ExpressionUUID->"70c68e9b-b4cb-4f71-a809-a7c806c51e4d"]
}, Open  ]],

Cell[TextData[{
 "There\[CloseCurlyQuote]s also a ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " called ",
 ButtonBox["ValueMap",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMap"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/ValueMap"],
 " designed to do exactly what I just displayed. You will notice that the \
argument inside the ",
 ButtonBox["ValueMap",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMap"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/ValueMap"],
 " function is exactly the same as the second argument I gave ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " in the preceding example."
}], "Text",
 CellChangeTimes->{{3.77193299812327*^9, 3.771933010365219*^9}, {
   3.7719332457213507`*^9, 3.7719332591855993`*^9}, {3.7719334764666033`*^9, 
   3.7719334995118437`*^9}, {3.7863779959441934`*^9, 3.7863779965541935`*^9}, 
   3.786471834120381*^9, {3.867168937003243*^9, 3.867168945404931*^9}, {
   3.8680937061691628`*^9, 3.868093712813199*^9}, {3.870186346099421*^9, 
   3.870186373747575*^9}},
 CellTags->"p: 222",
 CellID->95999124,ExpressionUUID->"54237547-d133-465d-93a7-cde707919529"],

Cell[TextData[{
 "Use ",
 ButtonBox["ValueMap",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMap"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/ValueMap"],
 " to produce Keys for a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.874504893319119*^9, 3.874504915503336*^9}},
 CellID->956772274,ExpressionUUID->"eade6f66-082a-46bc-afdb-32fe000507fd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     InterpretationBox[
      TagBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ValueMap", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["ValueMap", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/ec811401-31d3-48af-94ad-2b37839f3c46/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        #& ,
        TagBoxNote->" "],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "ValueMap"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "ValueMap", "ShortName" -> "ValueMap", "UUID" -> 
         "ec811401-31d3-48af-94ad-2b37839f3c46", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Similar to AssociationMap but maps over a given set of values to \
obtain keys rather than vice versa", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$b19ca6fbb4ba4d70be8e42e3476a7758`ValueMap", 
         "FunctionLocation" -> 
         CloudObject[
          
          "https://www.wolframcloud.com/obj/4c88f3e2-ebf5-4ce2-a9c6-\
89b6da02bb2f"]|>, {
        ResourceSystemBase -> 
         "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
      Selectable->False], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#LastName", ",", "#FirstName", ",", "#Club", ",", "#Year"}], 
       "}"}], "&"}], "]"}], "]"}], "[", "mlsDS", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/76670bca-1587-4e7e-9e89-5b698a30759d/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "FormatDataset"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
       "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "Format a dataset using a given set of option values", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"HeaderSize", "\[Rule]", "6"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.771933282737467*^9, 3.771933357555318*^9}, {
  3.771933453274084*^9, 3.771933463503726*^9}, {3.817126501718094*^9, 
  3.817126509630163*^9}, {3.867168701137505*^9, 3.8671687241163473`*^9}, {
  3.880552677003338*^9, 3.880552681523682*^9}, {3.881758037039242*^9, 
  3.881758126595574*^9}},
 CellLabel->"In[83]:=",
 CellID->47084472,ExpressionUUID->"297278e0-696e-4138-a27b-035583825da8"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9616123480242765898374179435987398665038889221969756656096], 
         "AllowEmbedding" -> True, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[13]} -> 4, {All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`RowShape[{
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 TypeSystem`PackageScope`AtomShape[56.00000000000001], 
                 TypeSystem`PackageScope`AtomShape[75]}], 
               DirectedInfinity[1], 4, {All}], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "Club" -> TypeSystem`PackageScope`AtomShape[
                  56.00000000000001], "LastName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "FirstName" -> 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                 "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                 "GuaranteedCompensation" -> 
                 TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                 TypeSystem`PackageScope`AtomShape[75]|>], 
               DirectedInfinity[1], 7, {All}]]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
           TypeSystem`Tuple[{
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[DateObject]}], 
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], 
         "Meta" -> <|$CellContext`HeaderSize -> 6|>, "RowTarget" -> 20, 
         "ColumnTarget" -> 10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[13]} -> 4, {All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`RowShape[{
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 TypeSystem`PackageScope`AtomShape[56.00000000000001], 
                 TypeSystem`PackageScope`AtomShape[75]}], 
               DirectedInfinity[1], 4, {All}], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "Club" -> TypeSystem`PackageScope`AtomShape[
                  56.00000000000001], "LastName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "FirstName" -> 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                 "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                 "GuaranteedCompensation" -> 
                 TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                 TypeSystem`PackageScope`AtomShape[75]|>], 
               DirectedInfinity[1], 7, {All}]]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
           TypeSystem`Tuple[{
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[DateObject]}], 
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 7, 
         "DataRowCount" -> 5553, "DataColumnCount" -> 7, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   Mouseover[
                    
                    Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]], 
                    Graphics[{
                    GrayLevel[0.6], 
                    
                    Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{All, Keys}, 
                    "KeyDummy", False], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Center, Baseline}], 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Club"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{All, "Club"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "LastName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    All, "LastName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "FirstName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Position"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    All, "Position"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "BaseSalary"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GuaranteedCompensation"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    All, "GuaranteedCompensation"}, "ColumnHeader", True], 
                   "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Year"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{All, "Year"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Armas", "Chris", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Banner", "Michael", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"41\[ThinSpace]212.50\"", ShowStringCharacters -> 
                    False], 41212.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 41212.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"48\[ThinSpace]712.50\"", ShowStringCharacters -> 
                    False], 48712.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 48712.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Barrett", "Chad", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.492316`*^6", 2.492316*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.666778`*^6", 2.666778*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Blanco", "Cuauhtemoc", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Brown", "C.J.", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["GK", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], ImageSize -> 
                  {{75, Full}, Automatic}, ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Busch", "Jon", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"38\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 38000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 38000., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"50\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 50500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 50500., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Carr", "Calen", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 1}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 2}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 3}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 4}, 
                    "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 6, 
                 Background -> GrayLevel[0.95], 
                 Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"144\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 144000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 144000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"151\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 151500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 151500., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "98c06000-243d-4d40-a4a2-f1f079280a82"]][{
                    Key[{"Conde", "Wilman", "CHI", 
                    DateObject[{2007}, "Year", "Gregorian", -5.]}], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             Module[{
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {953., {141.3837890625, 148.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {953., {141.3837890625, 148.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9616123480242765898374179435987398665038889221969756656096,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 PageWidth->1000,
 CellChangeTimes->{{3.867168704713537*^9, 3.867168725763932*^9}, {
   3.8805526721941137`*^9, 3.880552682066167*^9}, 3.880636923539995*^9, 
   3.881758025783957*^9, 3.881758129781748*^9},
 CellLabel->"Out[83]=",
 CellID->1477010681,ExpressionUUID->"ddd711e4-855e-464e-ad51-6caef607ebef"]
}, Open  ]],

Cell[TextData[{
 "Regardless of which method you use to create the keys, \
it\[CloseCurlyQuote]s now often faster to look up players. Compare these \
timings from first looking up a player with a conventional ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and then looking up the same player after indexing."
}], "Text",
 CellChangeTimes->{{3.77014294157038*^9, 3.770142943790968*^9}, {
   3.770143043815126*^9, 3.77014305139773*^9}, {3.770143219394335*^9, 
   3.770143233327351*^9}, {3.7719335203452797`*^9, 3.771933551217535*^9}, {
   3.77193367925849*^9, 3.771933704689406*^9}, {3.7863780005441933`*^9, 
   3.7863780010571938`*^9}, {3.7864718764913807`*^9, 3.786471880003381*^9}, 
   3.817127193863873*^9, {3.867168802624669*^9, 3.8671688043098803`*^9}, 
   3.867168958857018*^9, {3.8680937427688713`*^9, 3.86809374367831*^9}},
 CellID->349490744,ExpressionUUID->"4fab9350-e7a0-40aa-b5e8-c7feaf0f5485"],

Cell["Looking up data in indexed Datasets is often faster:", "CodeText",
 CellChangeTimes->{{3.770288682259892*^9, 3.770288693171685*^9}, 
   3.786471907976381*^9, {3.867168856722897*^9, 3.867168861030312*^9}},
 CellID->1949660123,ExpressionUUID->"5e66878f-8ece-4e50-92a3-2e1ae95dcd51"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"(", "EchoTiming", ")"}], "[", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{"Key", "@", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Bradley\>\"", ",", "\"\<Michael\>\"", ",", "\"\<TOR\>\"", ",", 
         RowBox[{"DateObject", "[", 
          RowBox[{"{", "2016", "}"}], "]"}]}], "}"}]}], "]"}], "[", 
     "indexedMLS", "]"}], "]"}], ",", 
   RowBox[{
    RowBox[{"(", "EchoTiming", ")"}], "[", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{"SelectFirst", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "#LastName", ",", "#FirstName", ",", "#Club", ",", "#Year"}], "}"}],
          "===", 
         RowBox[{"{", 
          RowBox[{
          "\"\<Bradley\>\"", ",", "\"\<Michael\>\"", ",", "\"\<TOR\>\"", ",", 
           
           RowBox[{"DateObject", "[", 
            RowBox[{"{", "2016", "}"}], "]"}]}], "}"}]}], "&"}], "]"}], "]"}],
      "[", "mlsDS", "]"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.770143286818445*^9, 3.770143299969058*^9}, {
  3.771933585506887*^9, 3.771933647725367*^9}, {3.771933710282407*^9, 
  3.771933744907441*^9}, {3.817127027136058*^9, 3.817127033868959*^9}, {
  3.880551193370599*^9, 3.880551194174924*^9}, {3.880552699618181*^9, 
  3.880552701176136*^9}, {3.880552815808601*^9, 3.880552820798967*^9}, {
  3.880636934427329*^9, 3.880636946583564*^9}, {3.898875615159778*^9, 
  3.898875626564505*^9}},
 CellLabel->"In[18]:=",
 CellID->1365677237,ExpressionUUID->"55ee291d-7c8a-4d3c-b7a9-0676b36b73a0"],

Cell[CellGroupData[{

Cell[BoxData["0.0008`"], "EchoTiming",
 CellChangeTimes->{3.89887567503973*^9},
 CellID->1867027366,ExpressionUUID->"563bc680-5f53-47d7-a902-740fdf37dc2f"],

Cell[BoxData["0.034074`"], "EchoTiming",
 CellChangeTimes->{3.898875675087698*^9},
 CellID->97890398,ExpressionUUID->"5f56732b-cfef-476a-a1ea-8d220e647d6e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> <|
        "Club" -> "TOR", "LastName" -> "Bradley", "FirstName" -> "Michael", 
         "Position" -> "M", "BaseSalary" -> Quantity[6.*^6, "USDollars"], 
         "GuaranteedCompensation" -> Quantity[6.5*^6, "USDollars"], "Year" -> 
         DateObject[{2016}, "Year"]|>, "AllowEmbedding" -> True, 
       "InitialShape" -> 
       TypeSystem`PackageScope`DocumentShape[<|{"Club"} -> 
          TypeSystem`PackageScope`AtomShape[33.6], {"LastName"} -> 
          TypeSystem`PackageScope`AtomShape[78.4], {"FirstName"} -> 
          TypeSystem`PackageScope`AtomShape[78.4], {"Position"} -> 
          TypeSystem`PackageScope`AtomShape[33.6], {"BaseSalary"} -> 
          TypeSystem`PackageScope`AtomShape[75], {"GuaranteedCompensation"} -> 
          TypeSystem`PackageScope`AtomShape[75], {"Year"} -> 
          TypeSystem`PackageScope`AtomShape[75]|>, 1], "InitialType" -> 
       TypeSystem`Struct[{
         "Club", "LastName", "FirstName", "Position", "BaseSalary", 
          "GuaranteedCompensation", "Year"}, {
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[
           Quantity[1, "USDollars"]], 
          TypeSystem`Atom[
           Quantity[1, "USDollars"]], 
          TypeSystem`Atom[DateObject]}], "Meta" -> <||>, "RowTarget" -> 20, 
       "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`DocumentShape[<|{"Club"} -> 
          TypeSystem`PackageScope`AtomShape[33.6], {"LastName"} -> 
          TypeSystem`PackageScope`AtomShape[78.4], {"FirstName"} -> 
          TypeSystem`PackageScope`AtomShape[78.4], {"Position"} -> 
          TypeSystem`PackageScope`AtomShape[33.6], {"BaseSalary"} -> 
          TypeSystem`PackageScope`AtomShape[75], {"GuaranteedCompensation"} -> 
          TypeSystem`PackageScope`AtomShape[75], {"Year"} -> 
          TypeSystem`PackageScope`AtomShape[75]|>, 1], "Type" -> 
       TypeSystem`Struct[{
         "Club", "LastName", "FirstName", "Position", "BaseSalary", 
          "GuaranteedCompensation", "Year"}, {
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[
           Quantity[1, "USDollars"]], 
          TypeSystem`Atom[
           Quantity[1, "USDollars"]], 
          TypeSystem`Atom[DateObject]}], "Path" -> {}, "DisplayedRowCount" -> 
       20, "DisplayedColumnCount" -> 10, "DataRowCount" -> 7, 
       "DataColumnCount" -> 1, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Club"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["Club"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["TOR", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["Club"]}, "Item", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["LastName"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["LastName"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["Bradley", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["LastName"]}, "Item", False], "Mouse"], 
                ImageSize -> {{78.4, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["FirstName"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["FirstName"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["Michael", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["FirstName"]}, "Item", False], "Mouse"], 
                ImageSize -> {{78.4, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Position"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["Position"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["M", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["Position"]}, "Item", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["BaseSalary"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["BaseSalary"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes[
                  RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.`*^6", 6.*^6, Selectable -> False]}]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["BaseSalary"]}, "Item", False], "Mouse"], 
                ImageSize -> {{75, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["GuaranteedCompensation"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["GuaranteedCompensation"]}, "RowHeader", False], 
                 "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes[
                  RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.5`*^6", 6.5*^6, Selectable -> False]}]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{75, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Year"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["Year"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"2016\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a2df7739-1dd3-438a-97f9-b404d954d8a4"]][{
                   Key["Year"]}, "Item", False], "Mouse"], 
                ImageSize -> {{75, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{252., {100.3837890625, 107.6162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{252., {100.3837890625, 107.6162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> <|
        "Club" -> "TOR", "LastName" -> "Bradley", "FirstName" -> "Michael", 
         "Position" -> "M", "BaseSalary" -> Quantity[6.*^6, "USDollars"], 
         "GuaranteedCompensation" -> Quantity[6.5*^6, "USDollars"], "Year" -> 
         DateObject[{2016}, "Year"]|>, "AllowEmbedding" -> True, 
       "InitialShape" -> 
       TypeSystem`PackageScope`DocumentShape[<|{"Club"} -> 
          TypeSystem`PackageScope`AtomShape[33.6], {"LastName"} -> 
          TypeSystem`PackageScope`AtomShape[78.4], {"FirstName"} -> 
          TypeSystem`PackageScope`AtomShape[78.4], {"Position"} -> 
          TypeSystem`PackageScope`AtomShape[33.6], {"BaseSalary"} -> 
          TypeSystem`PackageScope`AtomShape[75], {"GuaranteedCompensation"} -> 
          TypeSystem`PackageScope`AtomShape[75], {"Year"} -> 
          TypeSystem`PackageScope`AtomShape[75]|>, 1], "InitialType" -> 
       TypeSystem`Struct[{
         "Club", "LastName", "FirstName", "Position", "BaseSalary", 
          "GuaranteedCompensation", "Year"}, {
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[
           Quantity[1, "USDollars"]], 
          TypeSystem`Atom[
           Quantity[1, "USDollars"]], 
          TypeSystem`Atom[DateObject]}], "Meta" -> <||>, "RowTarget" -> 20, 
       "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`DocumentShape[<|{"Club"} -> 
          TypeSystem`PackageScope`AtomShape[33.6], {"LastName"} -> 
          TypeSystem`PackageScope`AtomShape[78.4], {"FirstName"} -> 
          TypeSystem`PackageScope`AtomShape[78.4], {"Position"} -> 
          TypeSystem`PackageScope`AtomShape[33.6], {"BaseSalary"} -> 
          TypeSystem`PackageScope`AtomShape[75], {"GuaranteedCompensation"} -> 
          TypeSystem`PackageScope`AtomShape[75], {"Year"} -> 
          TypeSystem`PackageScope`AtomShape[75]|>, 1], "Type" -> 
       TypeSystem`Struct[{
         "Club", "LastName", "FirstName", "Position", "BaseSalary", 
          "GuaranteedCompensation", "Year"}, {
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[String], 
          TypeSystem`Atom[
           Quantity[1, "USDollars"]], 
          TypeSystem`Atom[
           Quantity[1, "USDollars"]], 
          TypeSystem`Atom[DateObject]}], "Path" -> {}, "DisplayedRowCount" -> 
       20, "DisplayedColumnCount" -> 10, "DataRowCount" -> 7, 
       "DataColumnCount" -> 1, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Club"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["Club"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["TOR", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["Club"]}, "Item", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["LastName"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["LastName"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["Bradley", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["LastName"]}, "Item", False], "Mouse"], 
                ImageSize -> {{78.4, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["FirstName"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["FirstName"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["Michael", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["FirstName"]}, "Item", False], "Mouse"], 
                ImageSize -> {{78.4, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Position"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["Position"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["M", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["Position"]}, "Item", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["BaseSalary"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["BaseSalary"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes[
                  RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.`*^6", 6.*^6, Selectable -> False]}]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["BaseSalary"]}, "Item", False], "Mouse"], 
                ImageSize -> {{75, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["GuaranteedCompensation"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["GuaranteedCompensation"]}, "RowHeader", False], 
                 "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes[
                  RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.5`*^6", 6.5*^6, Selectable -> False]}]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{75, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Year"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["Year"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"2016\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "70de3ef8-f9c5-41d8-969c-adbfd481d682"]][{
                   Key["Year"]}, "Item", False], "Mouse"], 
                ImageSize -> {{75, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{252., {100.3837890625, 107.6162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{252., {100.3837890625, 107.6162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.771933649406186*^9, {3.7719337149500113`*^9, 3.771933751816928*^9}, 
   3.817127149455584*^9, {3.8671687691562023`*^9, 3.867168793388246*^9}, 
   3.8671688661320763`*^9, {3.880552691855073*^9, 3.880552702492021*^9}, 
   3.880552821568308*^9, 3.880636947070496*^9, 3.881758148259232*^9, 
   3.898875675116455*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[18]=",
 CellID->271445584,ExpressionUUID->"6e10d868-cf9f-4b48-aa82-c76fed4a5a58"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Headers from External Data", "Subsubsection",
 CellChangeTimes->{{3.7701437690924463`*^9, 3.770143773561257*^9}, {
  3.786469951655386*^9, 3.786469954186386*^9}},
 CellTags->"p: 223",
 CellID->315007673,ExpressionUUID->"51a1be13-733e-467c-a837-cc5c2cc1ccd5"],

Cell[TextData[{
 "If the row headers are taken from some external data, the process is \
similar. There are at least four alternative methods shown in the code that \
follows. I can either: (1) use ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " and a ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function; (2) use ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " and ",
 ButtonBox["Extract",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Extract.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Extract.html"],
 " rather than ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " to take account of the index; (3) use the ",
 ButtonBox["MapSlice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapSlice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapSlice"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 "; or (4) take the external data and use it as the first argument to ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.741808721824419*^9, 3.741808737312323*^9}, {
   3.741808816256775*^9, 3.7418088239710913`*^9}, {3.749564364993931*^9, 
   3.749564381857708*^9}, {3.770064038056896*^9, 3.770064045208605*^9}, {
   3.770109365068858*^9, 3.770109403682623*^9}, {3.7864719217673807`*^9, 
   3.7864719599773808`*^9}, {3.867172497325428*^9, 3.867172527347849*^9}, {
   3.8671726962417727`*^9, 3.867172704120079*^9}, {3.868093800014093*^9, 
   3.86809387892092*^9}, {3.869237754303773*^9, 3.869237755733934*^9}, {
   3.869237930922695*^9, 3.869237963814972*^9}, {3.8701864107627897`*^9, 
   3.870186425442504*^9}, {3.870361048801244*^9, 3.870361058356513*^9}, {
   3.870361200869289*^9, 3.870361211763541*^9}, {3.870361321162147*^9, 
   3.870361351445003*^9}, {3.870361395618932*^9, 3.870361426764975*^9}, {
   3.8739722378204403`*^9, 3.8739722841650543`*^9}, 3.8739812118174973`*^9},
 CellTags->"i:23",
 CellID->2016436396,ExpressionUUID->"db03461e-d607-4724-916c-2bce3e782259"],

Cell[TextData[{
 "Use ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " or ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " to use precomputed data as row headers for indexing:"
}], "CodeText",
 CellChangeTimes->{{3.770288715377872*^9, 3.770288717871128*^9}, {
  3.770288958551388*^9, 3.770288987035522*^9}, {3.786471972341381*^9, 
  3.7864719841913805`*^9}},
 CellID->49491575,ExpressionUUID->"664a7225-3e89-41a0-b942-0404c58f2290"],

Cell[BoxData[
 RowBox[{
  RowBox[{"names", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<miss olivia heikkila\>\"", ",", "\"\<mr noah eike\>\"", ",", 
     "\"\<miss lucy mogstad\>\"", ",", "\"\<mr patrick hughes\>\"", ",", 
     "\"\<mr miguel gordon\>\"", ",", "\"\<mrs scarlett jensen\>\"", ",", 
     "\"\<mr fletcher white\>\"", ",", "\"\<mr dennis bishop\>\"", ",", 
     "\"\<mrs ferdinanda almeida\>\"", ",", "\"\<mrs florence walker\>\"", 
     ",", "\"\<mr mae deschamps\>\"", ",", "\"\<ms teresa santiago\>\"", ",", 
     "\"\<mr arthur simmons\>\"", ",", "\"\<mr noah robinson\>\"", ",", 
     "\"\<mr rafael lozano\>\"", ",", "\"\<ms lise lecomte\>\"", ",", 
     "\"\<mrs hannah bell\>\"", ",", "\"\<mr nicolas knight\>\"", ",", 
     "\"\<mr alfonso fuentes\>\"", ",", "\"\<miss juanita remijnse\>\"", ",", 
     "\"\<mr felix morris\>\"", ",", "\"\<monsieur kaspar lefebvre\>\""}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.749564321882128*^9, 3.749564323593562*^9}, {
  3.7700641600352583`*^9, 3.770064167871375*^9}},
 CellLabel->"In[35]:=",
 CellID->1518088848,ExpressionUUID->"b33caa8b-3bbb-4e67-be54-482f753ba823"],

Cell[TextData[{
 "Create a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with headers in four different ways, use ",
 ButtonBox["SameQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/SameQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/SameQ.html"],
 " to show that the methods yield the same result, and use ",
 ButtonBox["Echo",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Echo.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Echo.html"],
 " to display one of the identical results:"
}], "CodeText",
 CellChangeTimes->{{3.870361719946972*^9, 3.87036175386786*^9}},
 CellTags->"i:24",
 CellID->190838816,ExpressionUUID->"a956e825-4e5a-4b54-bb73-3096c0c6b48d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SameQ", "[", 
  RowBox[{
   RowBox[{"Echo", "[", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"MapIndexed", "[", 
        RowBox[{
         RowBox[{"Association", "[", 
          RowBox[{
           RowBox[{"Part", "[", 
            RowBox[{"names", ",", 
             RowBox[{"#2", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "\[Rule]", "#1"}], 
          "]"}], "&"}], "]"}], "/*", 
       RowBox[{"Apply", "[", "Association", "]"}]}], "]"}], "[", "lifeboatDS",
      "]"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{"Association", "[", 
         RowBox[{
          RowBox[{"Extract", "[", 
           RowBox[{"names", ",", "#2"}], "]"}], "\[Rule]", "#1"}], "]"}], 
        "&"}], "]"}], "/*", 
      RowBox[{"Apply", "[", "Association", "]"}]}], "]"}], "[", "lifeboatDS", 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{
       InterpretationBox[
        TagBox[
         DynamicModuleBox[{Typeset`open = False}, 
          FrameBox[
           PaneSelectorBox[{False->GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["MapSlice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"],
                   ImageSizeCache->{11., {2., 9.}}], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"],
                   ImageSizeCache->{11., {2., 9.}}]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
            GridBox[{
              {GridBox[{
                 {
                  PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["MapSlice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                    },
                    GridBoxSpacings->{"Columns" -> {{0.25}}}],
                   Alignment->Left,
                   
                   BaseStyle->{
                    LineSpacing -> {0, 0}, LineBreakWithin -> False},
                   BaselinePosition->Baseline,
                   FrameMargins->{{3, 0}, {0, 0}}], 
                  ItemBox[
                   PaneBox[
                    TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                    Alignment->Left,
                    BaselinePosition->Baseline,
                    FrameMargins->{{1, 1}, {0, 0}}],
                   Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
                },
                BaselinePosition->{1, 1},
                
                GridBoxAlignment->{
                 "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
              {
               StyleBox[
                PaneBox[GridBox[{
                   {
                    RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                   {
                    TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/f3da3843-eca4-49a1-a10f-ae495c5a085e/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                  },
                  DefaultBaseStyle->"Column",
                  GridBoxAlignment->{"Columns" -> {{Left}}},
                  
                  GridBoxItemSize->{
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
                FontFamily->"Roboto",
                FontSize->11]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                  GrayLevel[0.8]}, False}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
            Typeset`open],
            BaselinePosition->Baseline,
            ImageSize->Automatic],
           Background->RGBColor[
            0.9686274509803922, 0.9764705882352941, 0.984313725490196],
           BaselinePosition->Baseline,
           DefaultBaseStyle->{},
           FrameMargins->{{0, 0}, {1, 0}},
           
           FrameStyle->RGBColor[
            0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
           RoundingRadius->4]],
         {"FunctionResourceBox", 
          RGBColor[
          0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
          "MapSlice"},
         TagBoxNote->"FunctionResourceBox"],
        ResourceFunction[
         ResourceObject[<|
          "Name" -> "MapSlice", "ShortName" -> "MapSlice", "UUID" -> 
           "f3da3843-eca4-49a1-a10f-ae495c5a085e", "ResourceType" -> 
           "Function", "Version" -> "1.0.0", "Description" -> 
           "Provide the part specifications to a mapped function as a \
sequence of arguments after the first one", "RepositoryLocation" -> 
           URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
           "SymbolName" -> 
           "FunctionRepository`$fc34d7cb86b4477286abcf1aeedb1cac`MapSlice", 
           "FunctionLocation" -> 
           CloudObject[
            "https://www.wolframcloud.com/obj/2edb34b0-5ba9-472e-9991-\
7a8746a6c7a5"]|>, ResourceSystemBase -> Automatic]],
        Selectable->False], "[", 
       RowBox[{
        RowBox[{"Association", "[", 
         RowBox[{
          RowBox[{"Part", "[", 
           RowBox[{"names", ",", "#2"}], "]"}], "\[Rule]", "#1"}], "]"}], 
        "&"}], "]"}], "/*", 
      RowBox[{"Apply", "[", "Association", "]"}]}], "]"}], "[", "lifeboatDS", 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Dataset", "[", 
    RowBox[{"AssociationThread", "[", 
     RowBox[{"names", ",", 
      RowBox[{"Normal", "[", "lifeboatDS", "]"}]}], "]"}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.77006435823592*^9, 3.7700643824045753`*^9}, {
   3.770109409298856*^9, 3.7701094555274687`*^9}, {3.867169035655267*^9, 
   3.86716903663708*^9}, {3.867172541063732*^9, 3.8671726126962442`*^9}, {
   3.867172672668435*^9, 3.867172759023303*^9}, {3.867172800426263*^9, 
   3.867172856895114*^9}, {3.867172893411397*^9, 3.8671730662700043`*^9}, 
   3.867173100656762*^9, {3.8672285836915503`*^9, 3.867228599445243*^9}, {
   3.867229012834156*^9, 3.867229022198292*^9}, {3.867229053541583*^9, 
   3.867229085150097*^9}, 3.867229120232609*^9, {3.867229288311212*^9, 
   3.867229304005548*^9}, {3.867229360506815*^9, 3.8672293814959993`*^9}, {
   3.867232940962269*^9, 3.8672329846558857`*^9}, {3.870361780806425*^9, 
   3.870361806792819*^9}, {3.870361932635796*^9, 3.8703619552932873`*^9}, {
   3.870362075793803*^9, 3.870362094893627*^9}},
 CellLabel->"In[36]:=",
 CellID->1913840789,ExpressionUUID->"0a93e9ed-0ddd-47ed-9219-bd163ccb32ed"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "miss olivia heikkila" -> <|
        "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         True|>, "mr noah eike" -> <|
        "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>,
        "miss lucy mogstad" -> <|
        "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         False|>, 
       "mr patrick hughes" -> <|
        "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
         True|>, "mr miguel gordon" -> <|
        "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         False|>, 
       "mrs scarlett jensen" -> <|
        "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
         False|>, 
       "mr fletcher white" -> <|
        "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
         True|>, "mr dennis bishop" -> <|
        "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
         True|>, "mrs ferdinanda almeida" -> <|
        "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False|>,
        "mrs florence walker" -> <|
        "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
         False|>, 
       "mr mae deschamps" -> <|
        "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> False|>,
        "ms teresa santiago" -> <|
        "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> False|>,
        "mr arthur simmons" -> <|
        "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
         True|>, "mr noah robinson" -> <|
        "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, 
       "mr rafael lozano" -> <|
        "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> False|>,
        "ms lise lecomte" -> <|
        "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
         False|>, 
       "mrs hannah bell" -> <|
        "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
         True|>, "mr nicolas knight" -> <|
        "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> False|>,
        "mr alfonso fuentes" -> <|
        "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, 
       "miss juanita remijnse" -> <|
        "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False|>,
        "mr felix morris" -> <|
        "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
         False|>, 
       "monsieur kaspar lefebvre" -> <|
        "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
         True|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[0]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[268.8], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[0]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[268.8], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["miss olivia heikkila", 
                  Style[
                  "miss olivia heikkila", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["miss olivia heikkila"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss olivia heikkila"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss olivia heikkila"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss olivia heikkila"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss olivia heikkila"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss olivia heikkila"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr noah eike", 
                  Style[
                  "mr noah eike", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr noah eike"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr noah eike"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr noah eike"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr noah eike"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr noah eike"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr noah eike"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["miss lucy mogstad", 
                  Style[
                  "miss lucy mogstad", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["miss lucy mogstad"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss lucy mogstad"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss lucy mogstad"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss lucy mogstad"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss lucy mogstad"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["miss lucy mogstad"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr patrick hughes", 
                  Style[
                  "mr patrick hughes", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr patrick hughes"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr patrick hughes"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr patrick hughes"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr patrick hughes"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr patrick hughes"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr patrick hughes"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr miguel gordon", 
                  Style[
                  "mr miguel gordon", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr miguel gordon"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr miguel gordon"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr miguel gordon"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr miguel gordon"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr miguel gordon"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr miguel gordon"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mrs scarlett jensen", 
                  Style[
                  "mrs scarlett jensen", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mrs scarlett jensen"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mrs scarlett jensen"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mrs scarlett jensen"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mrs scarlett jensen"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mrs scarlett jensen"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mrs scarlett jensen"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr fletcher white", 
                  Style[
                  "mr fletcher white", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr fletcher white"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr fletcher white"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr fletcher white"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr fletcher white"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr fletcher white"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr fletcher white"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr dennis bishop", 
                  Style[
                  "mr dennis bishop", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr dennis bishop"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr dennis bishop"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr dennis bishop"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr dennis bishop"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr dennis bishop"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7692527c-ae34-4c50-8ca3-cfec51a903c9"]][{
                 Key["mr dennis bishop"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{508., {138.65869140625, 144.34130859375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{508., {138.65869140625, 144.34130859375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Echo",
 CellChangeTimes->{3.882460993537395*^9},
 CellID->1524934147,ExpressionUUID->"4fb5a2b1-b5f4-4aeb-b42f-ccc6e16f491d"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.870361908713909*^9, {3.870361939349262*^9, 3.8703619565670424`*^9}, {
   3.870362079080846*^9, 3.870362097603734*^9}, 3.881758191911668*^9, {
   3.8824609767033043`*^9, 3.882460994230589*^9}},
 CellLabel->"Out[36]=",
 CellID->1498365331,ExpressionUUID->"7762b368-37ce-47da-a564-f76a584fd569"]
}, Open  ]],

Cell[TextData[{
 "I could also use a ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " called ",
 ButtonBox["ValueMapIndexed",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMapIndexed"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMapIndexed"],
 " tailor made for this problem. It creates an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " from a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of values (\[ScriptL]). The values of the new ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " are the same list of values (\[ScriptL]). The keys of the new ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " are formed by MapIndexing a function over \[ScriptL]. There\
\[CloseCurlyQuote]s also an operator form, used here, created by giving ",
 ButtonBox["ValueMapIndexed",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMapIndexed"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMapIndexed"],
 " the function it will ultimately apply when it encounters a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.771933788190813*^9, 3.771933799957732*^9}, {
   3.771934618512528*^9, 3.7719346659206343`*^9}, {3.7719347366751003`*^9, 
   3.7719348649818897`*^9}, 3.7864723206454496`*^9, {3.8672330685283737`*^9, 
   3.867233119813777*^9}, {3.867233151817441*^9, 3.867233175121098*^9}, {
   3.867233213107255*^9, 3.867233251976804*^9}, {3.867233284522941*^9, 
   3.867233338200692*^9}, {3.867238149393421*^9, 3.8672382083145933`*^9}, 
   3.868094057694593*^9, {3.868094105925436*^9, 3.868094130294877*^9}, {
   3.869238001394906*^9, 3.869238019888229*^9}},
 CellTags->{"LastCellOfAPage", "i:25"},
 CellID->1770823466,ExpressionUUID->"273a4da3-1a4d-490b-a817-332d2f9a47a0"],

Cell[TextData[{
 "Use ",
 ButtonBox["ValueMapIndexed",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMapIndexed"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ValueMapIndexed"],
 " to take a list of names and make them appropriate keys to the ",
 Cell[BoxData[
 "lifeboatDS"], "InlineCode",ExpressionUUID->
  "1c1bbffb-1e27-4060-bf18-957b3b1df8f9"],
 " ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.869240140785472*^9, 3.8692401778838243`*^9}, {
   3.870186526106083*^9, 3.870186543807373*^9}, 3.873885519302519*^9, {
   3.873972452697175*^9, 3.873972463307927*^9}},
 CellTags->"p: 224",
 CellID->716348855,ExpressionUUID->"7af44273-ea09-45f7-a59c-a42dc1346040"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lifeboatDSWithNames", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["ValueMapIndexed", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["ValueMapIndexed", "ResourceFunctionLabel"], 
                    " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/7d1d4ddc-616f-409c-bda4-e90058c019ae/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "ValueMapIndexed"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "ValueMapIndexed", "ShortName" -> "ValueMapIndexed", "UUID" -> 
         "7d1d4ddc-616f-409c-bda4-e90058c019ae", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Create an association from a set of values, using a map-indexed \
function on those values to form the keys", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$74c214fb486a4c278f6d04cf83b6b7e4`\
ValueMapIndexed", "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/obj/c1399b25-6e26-4680-8e3c-\
9b846c63ee96"]|>, {
        ResourceSystemBase -> 
         "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
      Selectable->False], "[", 
     RowBox[{
      RowBox[{"Extract", "[", 
       RowBox[{"names", ",", "#2"}], "]"}], "&"}], "]"}], "]"}], "[", 
   "lifeboatDS", "]"}]}]], "Input",
 CellChangeTimes->{{3.8173098205488863`*^9, 3.817309844292495*^9}, {
   3.867233419156012*^9, 3.867233431051187*^9}, 3.867233468159935*^9, {
   3.8672335224288683`*^9, 3.8672335252397346`*^9}, {3.868094048603622*^9, 
   3.868094048645644*^9}},
 CellLabel->"In[37]:=",
 CellID->1948323003,ExpressionUUID->"119c50cd-2237-4406-b1a4-f8b74ae50194"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "miss olivia heikkila" -> <|
        "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         True|>, "mr noah eike" -> <|
        "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>,
        "miss lucy mogstad" -> <|
        "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         False|>, 
       "mr patrick hughes" -> <|
        "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
         True|>, "mr miguel gordon" -> <|
        "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         False|>, 
       "mrs scarlett jensen" -> <|
        "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
         False|>, 
       "mr fletcher white" -> <|
        "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
         True|>, "mr dennis bishop" -> <|
        "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
         True|>, "mrs ferdinanda almeida" -> <|
        "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> False|>,
        "mrs florence walker" -> <|
        "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
         False|>, 
       "mr mae deschamps" -> <|
        "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> False|>,
        "ms teresa santiago" -> <|
        "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> False|>,
        "mr arthur simmons" -> <|
        "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
         True|>, "mr noah robinson" -> <|
        "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, 
       "mr rafael lozano" -> <|
        "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> False|>,
        "ms lise lecomte" -> <|
        "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
         False|>, 
       "mrs hannah bell" -> <|
        "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
         True|>, "mr nicolas knight" -> <|
        "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> False|>,
        "mr alfonso fuentes" -> <|
        "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, 
       "miss juanita remijnse" -> <|
        "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> False|>,
        "mr felix morris" -> <|
        "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
         False|>, 
       "monsieur kaspar lefebvre" -> <|
        "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
         True|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[1]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[268.8], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[1]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[268.8], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["miss olivia heikkila", 
                  Style[
                  "miss olivia heikkila", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["miss olivia heikkila"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss olivia heikkila"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss olivia heikkila"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss olivia heikkila"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss olivia heikkila"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss olivia heikkila"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr noah eike", 
                  Style[
                  "mr noah eike", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr noah eike"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr noah eike"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr noah eike"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr noah eike"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr noah eike"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr noah eike"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["miss lucy mogstad", 
                  Style[
                  "miss lucy mogstad", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["miss lucy mogstad"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss lucy mogstad"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss lucy mogstad"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss lucy mogstad"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss lucy mogstad"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["miss lucy mogstad"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr patrick hughes", 
                  Style[
                  "mr patrick hughes", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr patrick hughes"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr patrick hughes"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr patrick hughes"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr patrick hughes"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr patrick hughes"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr patrick hughes"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr miguel gordon", 
                  Style[
                  "mr miguel gordon", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr miguel gordon"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr miguel gordon"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr miguel gordon"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr miguel gordon"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr miguel gordon"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr miguel gordon"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mrs scarlett jensen", 
                  Style[
                  "mrs scarlett jensen", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mrs scarlett jensen"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mrs scarlett jensen"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mrs scarlett jensen"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mrs scarlett jensen"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mrs scarlett jensen"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mrs scarlett jensen"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr fletcher white", 
                  Style[
                  "mr fletcher white", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr fletcher white"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr fletcher white"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr fletcher white"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr fletcher white"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr fletcher white"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr fletcher white"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr dennis bishop", 
                  Style[
                  "mr dennis bishop", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr dennis bishop"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr dennis bishop"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr dennis bishop"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr dennis bishop"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr dennis bishop"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9ab39b55-bfcd-436a-9244-1fdaacc09a27"]][{
                 Key["mr dennis bishop"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{508., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{508., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.867233414212076*^9, 3.867233433012948*^9}, 
   3.8672334686320553`*^9, {3.86723350305057*^9, 3.867233525706171*^9}, 
   3.881758263968112*^9, 3.882461078304509*^9},
 CellLabel->"Out[37]=",
 CellID->2101282112,ExpressionUUID->"bb925805-231a-435e-b44f-18eca5639f44"]
}, Open  ]],

Cell[TextData[{
 "I can now retrieve data on various individuals simply by making the desired \
keys the first argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.749564413717812*^9, 3.7495644257011347`*^9}, {
   3.749564486360256*^9, 3.749564506846568*^9}, {3.76874499707517*^9, 
   3.76874500097379*^9}, 3.786472368565241*^9, {3.876239302497113*^9, 
   3.8762393033837347`*^9}},
 CellID->855791417,ExpressionUUID->"26005452-5038-4654-8ee3-bce277b9f617"],

Cell[TextData[{
 "Use the indices to retrieve data swiftly from a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770288993288103*^9, 3.7702890109497967`*^9}, 
   3.786472375141898*^9, 3.8680941878581257`*^9},
 CellID->1663727354,ExpressionUUID->"1cb6fb06-8bef-487b-a59e-db8d8d79b32f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"{", 
    RowBox[{
    "\"\<miss olivia heikkila\>\"", ",", "\"\<miss lucy mogstad\>\"", ",", 
     "\"\<mr miguel gordon\>\"", ",", "\"\<mr dennis bishop\>\"", ",", 
     "\"\<mrs hannah bell\>\""}], "}"}], "]"}], "[", "lifeboatDSWithNames", 
  "]"}]], "Input",
 CellChangeTimes->{{3.749564446624316*^9, 3.749564477664115*^9}, {
   3.7687449866697493`*^9, 3.7687449891844463`*^9}, 3.770030541759759*^9},
 CellLabel->"In[38]:=",
 CellID->114144411,ExpressionUUID->"e34004c6-3ac3-467b-8711-3757752e0a72"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "miss olivia heikkila" -> <|
        "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         True|>, "miss lucy mogstad" -> <|
        "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         False|>, 
       "mr miguel gordon" -> <|
        "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         False|>, 
       "mr dennis bishop" -> <|
        "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
         True|>, "mrs hannah bell" -> <|
        "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
         True|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[2]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[224.00000000000003`], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[2]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[224.00000000000003`], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 4, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["miss olivia heikkila", 
                  Style[
                  "miss olivia heikkila", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["miss olivia heikkila"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss olivia heikkila"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{224.00000000000003`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss olivia heikkila"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss olivia heikkila"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss olivia heikkila"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss olivia heikkila"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["miss lucy mogstad", 
                  Style[
                  "miss lucy mogstad", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["miss lucy mogstad"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss lucy mogstad"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{224.00000000000003`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss lucy mogstad"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss lucy mogstad"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss lucy mogstad"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["miss lucy mogstad"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr miguel gordon", 
                  Style[
                  "mr miguel gordon", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr miguel gordon"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr miguel gordon"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{224.00000000000003`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr miguel gordon"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr miguel gordon"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr miguel gordon"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr miguel gordon"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr dennis bishop", 
                  Style[
                  "mr dennis bishop", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr dennis bishop"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr dennis bishop"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{224.00000000000003`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr dennis bishop"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr dennis bishop"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr dennis bishop"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mr dennis bishop"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mrs hannah bell", 
                  Style[
                  "mrs hannah bell", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mrs hannah bell"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mrs hannah bell"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{224.00000000000003`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mrs hannah bell"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mrs hannah bell"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mrs hannah bell"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c333aaab-6061-436b-8f25-17c71c951c38"]][{
                 Key["mrs hannah bell"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   With[{
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{446., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{446., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.749564477960661*^9, 3.7687449902530327`*^9, 
  3.768833582850244*^9, 3.7689054898953257`*^9, 3.768905783630432*^9, 
  3.770064430195055*^9, 3.7701094757728577`*^9, 3.770122607470872*^9, 
  3.770143796059908*^9, 3.770212785235422*^9, 3.7702891378468027`*^9, 
  3.771930852177321*^9, 3.817310122542036*^9, 3.81731015822127*^9, 
  3.8672335280702953`*^9, 3.881758279883502*^9, 3.882461083475425*^9},
 CellLabel->"Out[38]=",
 CellID->559247467,ExpressionUUID->"73e361f7-6a8e-4b9e-800e-08e67dc2db75"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Delete Row Headers", "Subsection",
 CellChangeTimes->{{3.740332337282737*^9, 3.740332343124918*^9}, {
  3.749562791991599*^9, 3.749562792802004*^9}},
 CellID->1230569357,ExpressionUUID->"1d480122-c4db-4715-9b94-27168752f381"],

Cell[TextData[{
 "This is easy. To delete row headers, just apply ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " to the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " (or ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ")."
}], "Text",
 CellChangeTimes->{{3.7403323473665123`*^9, 3.740332378355007*^9}, {
   3.771934876035143*^9, 3.7719348844220552`*^9}, {3.786472385403925*^9, 
   3.7864723903944235`*^9}, 3.86809420101089*^9},
 CellTags->{"LastCellOfAPage", "i:26"},
 CellID->1911662489,ExpressionUUID->"3ceef297-91ed-41ce-9b3e-5488a4893994"],

Cell[TextData[{
 "Use ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " at the top level of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to get rid of row headers:"
}], "CodeText",
 CellChangeTimes->{{3.7702890159822702`*^9, 3.770289027468072*^9}, {
   3.7864723977741613`*^9, 3.786472415704954*^9}, 3.868094206324152*^9},
 CellTags->"p: 225",
 CellID->1232568316,ExpressionUUID->"91dd4292-6d55-41db-ac00-d64eff2f663b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Values", "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.740332354193942*^9, 3.740332358620219*^9}, {
   3.7495627960758667`*^9, 3.74956279905811*^9}, {3.768748929282401*^9, 
   3.768748943612876*^9}, 3.770030542662005*^9},
 CellLabel->"In[39]:=",
 CellID->808609856,ExpressionUUID->"a27a2a78-828b-49f9-b8d4-ac1ebff4d4c1"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {{"3rd", 16, "female", True}, {
       "1st", 65, "male", False}, {"3rd", 2, "female", False}, {"3rd", 
        Missing[], "female", True}, {"3rd", 18, "female", False}, {"3rd", 
        Missing[], "male", False}, {"3rd", 22, "female", True}, {
       "2nd", 48, "female", True}, {"3rd", 14, "male", False}, {
       "2nd", 44, "female", False}, {"3rd", 33, "male", False}, {
       "3rd", 39, "male", False}, {"1st", 19, "female", True}, {
       "3rd", 29, "male", True}, {"1st", 46, "male", False}, {"2nd", 
        Missing[], "male", False}, {"3rd", 
        Missing[], "female", True}, {"3rd", 22, "male", False}, {
       "2nd", 22, "male", True}, {"3rd", 56, "male", False}, {"2nd", 
        Missing[], "male", False}, {"2nd", 50, "female", True}}, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34], 
           TypeSystem`PackageScope`AtomShape[63.], 
           TypeSystem`PackageScope`AtomShape[36]}], 
         DirectedInfinity[1], 4, {All}]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34], 
           TypeSystem`PackageScope`AtomShape[63.], 
           TypeSystem`PackageScope`AtomShape[36]}], 
         DirectedInfinity[1], 4, {All}]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{1, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{1, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{1, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{1, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{2, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{2, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{2, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{2, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{3, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{3, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{3, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{3, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{4, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{4, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{4, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{4, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{5, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{5, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{5, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{5, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{6, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{6, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{6, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{6, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{7, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{7, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{7, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{7, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{8, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{8, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{8, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2004e818-0026-4778-b218-b178b412bf52"]][{8, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{217., {124.3837890625, 131.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{217., {124.3837890625, 131.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.74041474930338*^9, 3.7404242684796124`*^9, 3.740496211331238*^9, 
   3.740500505274342*^9, 3.7417880257994757`*^9, 3.74180781580632*^9, 
   3.741876441892416*^9, 3.741879497567416*^9, 3.741956478154998*^9, 
   3.749562800197996*^9, {3.768748939358247*^9, 3.768748944167223*^9}, 
   3.7688335844091454`*^9, 3.768905491530266*^9, 3.768905785116317*^9, 
   3.770122610696316*^9, 3.770212785364993*^9, 3.770289137962863*^9, 
   3.771930852310796*^9, 3.81731067674673*^9, 3.8817582889492483`*^9, 
   3.882461096429682*^9},
 CellLabel->"Out[39]=",
 CellID->1050744877,ExpressionUUID->"edeed4e9-fc3d-459e-be99-824c705edecc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Turn Row Headers into Columns", "Subsection",
 CellChangeTimes->{{3.74033200655788*^9, 3.740332015187825*^9}, {
  3.749562784027031*^9, 3.749562784397853*^9}, {3.873885999251294*^9, 
  3.8738860002725077`*^9}},
 CellID->1721681699,ExpressionUUID->"9e435d35-3ac9-4704-adaf-1e1fad155a3a"],

Cell[TextData[{
 "It is sometimes useful for the row headers of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " (the keys to the underlying ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ") also to be columns (key-value pairs) in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". This structure lets one engage in various ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " joins using a function such as ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 ". The best function to accomplish this goal is ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 ", which, as discussed in a previous chapter, runs over key-value pairs and \
treats the key as the first argument and the value as the second argument. \
Accordingly, I use ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 " here over the rows of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and append a new key-value pair in which the new key is ",
 Cell[BoxData[
 "\"\<name\>\""], "InlineCodeText",ExpressionUUID->
  "68f08342-f2e3-4830-aab7-80915d72dd65"],
 " and the value is the original key. Notice that by doing it this way, I \
(deliberately) destroy the row keys."
}], "Text",
 CellChangeTimes->{{3.740332017339457*^9, 3.7403320784129744`*^9}, {
   3.74033212555541*^9, 3.74033214738126*^9}, {3.7495622435603237`*^9, 
   3.749562263011902*^9}, {3.749562429333179*^9, 3.7495624700702868`*^9}, {
   3.749565319543393*^9, 3.749565386020364*^9}, {3.7687452327807293`*^9, 
   3.768745233877809*^9}, {3.7700645548781023`*^9, 3.7700645734342947`*^9}, {
   3.770109523495694*^9, 3.770109583684361*^9}, 3.770109640318808*^9, {
   3.77014669801616*^9, 3.770146710087627*^9}, {3.7719349120939817`*^9, 
   3.771934922533036*^9}, {3.7864545110696225`*^9, 3.7864545192866225`*^9}, 
   3.786472835236903*^9, 3.8173108354658813`*^9, 3.8173108888925657`*^9, {
   3.86723355419459*^9, 3.867233577384492*^9}, {3.867238617408926*^9, 
   3.8672386178505487`*^9}, 3.868094247257412*^9, {3.868094278777996*^9, 
   3.8680942929513597`*^9}, {3.873972903548416*^9, 3.873972904370367*^9}},
 CellTags->"i:27",
 CellID->1109655415,ExpressionUUID->"55b0874d-6d51-4438-80ec-784436fc2bfc"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 " to convert row headers into a column (or columns) with values:"
}], "CodeText",
 CellChangeTimes->{{3.7702890438892403`*^9, 3.770289080568534*^9}, {
  3.786472863426722*^9, 3.7864728680481844`*^9}},
 CellID->1905716021,ExpressionUUID->"201f827a-61c2-499b-86d1-207a0d820b1e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"KeyValueMap", "[", 
    RowBox[{
     RowBox[{"Association", "[", 
      RowBox[{
       RowBox[{"\"\<name\>\"", "\[Rule]", "#1"}], ",", "#2"}], "]"}], "&"}], 
    "]"}], "]"}], "[", "lifeboatDSWithNames", "]"}]], "Input",
 CellChangeTimes->{{3.7495625076466303`*^9, 3.7495626156917686`*^9}, {
   3.749562671920752*^9, 3.749562677162203*^9}, {3.74956529667343*^9, 
   3.749565303241827*^9}, 3.770030541814253*^9, {3.770109630663405*^9, 
   3.7701096353423634`*^9}},
 CellLabel->"In[40]:=",
 CellID->427782913,ExpressionUUID->"1d30763a-ca03-4396-8406-745ade9dcc47"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "name" -> "miss olivia heikkila", "class" -> "3rd", "age" -> 16, "sex" -> 
        "female", "survived" -> True|>, <|
       "name" -> "mr noah eike", "class" -> "1st", "age" -> 65, "sex" -> 
        "male", "survived" -> False|>, <|
       "name" -> "miss lucy mogstad", "class" -> "3rd", "age" -> 2, "sex" -> 
        "female", "survived" -> False|>, <|
       "name" -> "mr patrick hughes", "class" -> "3rd", "age" -> Missing[], 
        "sex" -> "female", "survived" -> True|>, <|
       "name" -> "mr miguel gordon", "class" -> "3rd", "age" -> 18, "sex" -> 
        "female", "survived" -> False|>, <|
       "name" -> "mrs scarlett jensen", "class" -> "3rd", "age" -> Missing[], 
        "sex" -> "male", "survived" -> False|>, <|
       "name" -> "mr fletcher white", "class" -> "3rd", "age" -> 22, "sex" -> 
        "female", "survived" -> True|>, <|
       "name" -> "mr dennis bishop", "class" -> "2nd", "age" -> 48, "sex" -> 
        "female", "survived" -> True|>, <|
       "name" -> "mrs ferdinanda almeida", "class" -> "3rd", "age" -> 14, 
        "sex" -> "male", "survived" -> False|>, <|
       "name" -> "mrs florence walker", "class" -> "2nd", "age" -> 44, "sex" -> 
        "female", "survived" -> False|>, <|
       "name" -> "mr mae deschamps", "class" -> "3rd", "age" -> 33, "sex" -> 
        "male", "survived" -> False|>, <|
       "name" -> "ms teresa santiago", "class" -> "3rd", "age" -> 39, "sex" -> 
        "male", "survived" -> False|>, <|
       "name" -> "mr arthur simmons", "class" -> "1st", "age" -> 19, "sex" -> 
        "female", "survived" -> True|>, <|
       "name" -> "mr noah robinson", "class" -> "3rd", "age" -> 29, "sex" -> 
        "male", "survived" -> True|>, <|
       "name" -> "mr rafael lozano", "class" -> "1st", "age" -> 46, "sex" -> 
        "male", "survived" -> False|>, <|
       "name" -> "ms lise lecomte", "class" -> "2nd", "age" -> Missing[], 
        "sex" -> "male", "survived" -> False|>, <|
       "name" -> "mrs hannah bell", "class" -> "3rd", "age" -> Missing[], 
        "sex" -> "female", "survived" -> True|>, <|
       "name" -> "mr nicolas knight", "class" -> "3rd", "age" -> 22, "sex" -> 
        "male", "survived" -> False|>, <|
       "name" -> "mr alfonso fuentes", "class" -> "2nd", "age" -> 22, "sex" -> 
        "male", "survived" -> True|>, <|
       "name" -> "miss juanita remijnse", "class" -> "3rd", "age" -> 56, 
        "sex" -> "male", "survived" -> False|>, <|
       "name" -> "mr felix morris", "class" -> "2nd", "age" -> Missing[], 
        "sex" -> "male", "survived" -> False|>, <|
       "name" -> "monsieur kaspar lefebvre", "class" -> "2nd", "age" -> 50, 
        "sex" -> "female", "survived" -> True|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "name"} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "name" -> TypeSystem`PackageScope`AtomShape[268.8], "class" -> 
            TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 5, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"name", "class", "age", "sex", "survived"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "name"} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "name" -> TypeSystem`PackageScope`AtomShape[268.8], "class" -> 
            TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 5, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"name", "class", "age", "sex", "survived"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 5, "DataRowCount" -> 
     22, "DataColumnCount" -> 5, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["name", 
                  Style[
                  "name", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "name"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{All, "name"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["miss olivia heikkila", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{1, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr noah eike", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{2, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["miss lucy mogstad", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{3, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr patrick hughes", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{4, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr miguel gordon", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{5, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mrs scarlett jensen", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{6, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr fletcher white", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{7, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr dennis bishop", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{8, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ffc70b2d-6fcd-4ace-8c04-4000f6af66f8"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   With[{
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{508., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{508., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.749562541426651*^9, 3.749562616103497*^9}, 
   3.749562677870199*^9, 3.749565303813313*^9, 3.7687687665038548`*^9, 
   3.768833582980461*^9, 3.768905489993043*^9, 3.7689057837596416`*^9, 
   3.7700645125491943`*^9, 3.770109635666411*^9, 3.770122609193058*^9, 
   3.770212785539956*^9, 3.770289138107028*^9, 3.771930852462785*^9, 
   3.8173107978997602`*^9, 3.817310932468787*^9, 3.867238630812187*^9, 
   3.881758313359128*^9, 3.882461113082294*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[40]=",
 CellID->739334695,ExpressionUUID->"7d6f888e-f865-454a-bd59-ac729e6cc450"]
}, Open  ]],

Cell["\<\
You can create more than one column from the key. Here\[CloseCurlyQuote]s an \
example.\
\>", "Text",
 CellChangeTimes->{{3.770289086665571*^9, 3.77028910671343*^9}, {
   3.770289251782339*^9, 3.7702892593920317`*^9}, {3.7863780070551934`*^9, 
   3.7863780120231934`*^9}, 3.8173113197815247`*^9, {3.867238676098465*^9, 
   3.867238694013523*^9}, {3.873973741799942*^9, 3.873973742518488*^9}},
 CellTags->"p: 226",
 CellID->507207280,ExpressionUUID->"98c7592b-b1aa-4f4f-b1f9-f4a63622edee"],

Cell["Create more than one column from the row headers:", "CodeText",
 CellChangeTimes->{{3.770289313747726*^9, 3.7702893200770407`*^9}, 
   3.786472883475727*^9},
 CellID->1248351319,ExpressionUUID->"611a592e-3c60-4765-bd9e-66373eab4a26"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"KeyValueMap", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"AssociationThread", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<title\>\"", ",", "\"\<name\>\""}], "}"}], ",", 
         RowBox[{"StringSplit", "[", 
          RowBox[{"#1", ",", "\"\< \>\"", ",", "2"}], "]"}]}], "]"}], ",", 
       "#2"}], "]"}], "&"}], "]"}], "]"}], "[", "lifeboatDSWithNames", 
  "]"}]], "Input",
 CellLabel->"In[41]:=",
 CellID->1778070035,ExpressionUUID->"5a9e4b6a-eee2-4403-83c6-50da61a90ffe"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "title" -> "miss", "name" -> "olivia heikkila", "class" -> "3rd", 
        "age" -> 16, "sex" -> "female", "survived" -> True|>, <|
       "title" -> "mr", "name" -> "noah eike", "class" -> "1st", "age" -> 65, 
        "sex" -> "male", "survived" -> False|>, <|
       "title" -> "miss", "name" -> "lucy mogstad", "class" -> "3rd", "age" -> 
        2, "sex" -> "female", "survived" -> False|>, <|
       "title" -> "mr", "name" -> "patrick hughes", "class" -> "3rd", "age" -> 
        Missing[], "sex" -> "female", "survived" -> True|>, <|
       "title" -> "mr", "name" -> "miguel gordon", "class" -> "3rd", "age" -> 
        18, "sex" -> "female", "survived" -> False|>, <|
       "title" -> "mrs", "name" -> "scarlett jensen", "class" -> "3rd", "age" -> 
        Missing[], "sex" -> "male", "survived" -> False|>, <|
       "title" -> "mr", "name" -> "fletcher white", "class" -> "3rd", "age" -> 
        22, "sex" -> "female", "survived" -> True|>, <|
       "title" -> "mr", "name" -> "dennis bishop", "class" -> "2nd", "age" -> 
        48, "sex" -> "female", "survived" -> True|>, <|
       "title" -> "mrs", "name" -> "ferdinanda almeida", "class" -> "3rd", 
        "age" -> 14, "sex" -> "male", "survived" -> False|>, <|
       "title" -> "mrs", "name" -> "florence walker", "class" -> "2nd", "age" -> 
        44, "sex" -> "female", "survived" -> False|>, <|
       "title" -> "mr", "name" -> "mae deschamps", "class" -> "3rd", "age" -> 
        33, "sex" -> "male", "survived" -> False|>, <|
       "title" -> "ms", "name" -> "teresa santiago", "class" -> "3rd", "age" -> 
        39, "sex" -> "male", "survived" -> False|>, <|
       "title" -> "mr", "name" -> "arthur simmons", "class" -> "1st", "age" -> 
        19, "sex" -> "female", "survived" -> True|>, <|
       "title" -> "mr", "name" -> "noah robinson", "class" -> "3rd", "age" -> 
        29, "sex" -> "male", "survived" -> True|>, <|
       "title" -> "mr", "name" -> "rafael lozano", "class" -> "1st", "age" -> 
        46, "sex" -> "male", "survived" -> False|>, <|
       "title" -> "ms", "name" -> "lise lecomte", "class" -> "2nd", "age" -> 
        Missing[], "sex" -> "male", "survived" -> False|>, <|
       "title" -> "mrs", "name" -> "hannah bell", "class" -> "3rd", "age" -> 
        Missing[], "sex" -> "female", "survived" -> True|>, <|
       "title" -> "mr", "name" -> "nicolas knight", "class" -> "3rd", "age" -> 
        22, "sex" -> "male", "survived" -> False|>, <|
       "title" -> "mr", "name" -> "alfonso fuentes", "class" -> "2nd", "age" -> 
        22, "sex" -> "male", "survived" -> True|>, <|
       "title" -> "miss", "name" -> "juanita remijnse", "class" -> "3rd", 
        "age" -> 56, "sex" -> "male", "survived" -> False|>, <|
       "title" -> "mr", "name" -> "felix morris", "class" -> "2nd", "age" -> 
        Missing[], "sex" -> "male", "survived" -> False|>, <|
       "title" -> "monsieur", "name" -> "kaspar lefebvre", "class" -> "2nd", 
        "age" -> 50, "sex" -> "female", "survived" -> True|>}, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "title"} -> 1, {All, "name"} -> 
        1, {All, "class"} -> 1, {All, "age"} -> 1, {All, "sex"} -> 
        1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "title" -> TypeSystem`PackageScope`AtomShape[84.], "name" -> 
            TypeSystem`PackageScope`AtomShape[201.60000000000002`], "class" -> 
            TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "title", "name", "class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["miss", "monsieur", "mr", "mrs", "ms"]], 
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "title"} -> 1, {All, "name"} -> 
        1, {All, "class"} -> 1, {All, "age"} -> 1, {All, "sex"} -> 
        1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "title" -> TypeSystem`PackageScope`AtomShape[84.], "name" -> 
            TypeSystem`PackageScope`AtomShape[201.60000000000002`], "class" -> 
            TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "title", "name", "class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["miss", "monsieur", "mr", "mrs", "ms"]], 
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 6, "DataRowCount" -> 
     22, "DataColumnCount" -> 6, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["title", 
                  Style[
                  "title", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "title"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{All, "title"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["name", 
                  Style[
                  "name", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "name"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{All, "name"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["miss", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{1, 
                 Key["title"]}, "Item", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["olivia heikkila", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{1, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{201.60000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{2, 
                 Key["title"]}, "Item", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["noah eike", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{2, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{201.60000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["miss", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{3, 
                 Key["title"]}, "Item", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["lucy mogstad", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{3, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{201.60000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{4, 
                 Key["title"]}, "Item", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["patrick hughes", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{4, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{201.60000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{5, 
                 Key["title"]}, "Item", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["miguel gordon", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{5, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{201.60000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mrs", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{6, 
                 Key["title"]}, "Item", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["scarlett jensen", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{6, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{201.60000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{7, 
                 Key["title"]}, "Item", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["fletcher white", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{7, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{201.60000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["mr", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{8, 
                 Key["title"]}, "Item", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["dennis bishop", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{8, 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{201.60000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "11fd05d8-fef6-4792-9270-49cfe552eeaa"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{533., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{533., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.867238754068482*^9, 3.8817583301322107`*^9, 
  3.8824611188272123`*^9},
 CellLabel->"Out[41]=",
 CellID->913628925,ExpressionUUID->"d00f90eb-8db5-474f-bb25-77c476ec4ad5"]
}, Open  ]],

Cell[TextData[{
 "If instead I want to preserve the row keys ",
 StyleBox["and",
  FontSlant->"Italic"],
 " add a column, I just change the function in ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 " a little bit and ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " function."
}], "Text",
 CellChangeTimes->{{3.770109587035997*^9, 3.770109604909988*^9}, {
   3.7701096430408487`*^9, 3.7701096602354937`*^9}, {3.770146717377571*^9, 
   3.770146724564344*^9}, 3.786472911320511*^9, 3.817311643257628*^9, {
   3.8672387963613157`*^9, 3.867238797243696*^9}, {3.867238846012039*^9, 
   3.867238850238049*^9}, {3.8680943906255503`*^9, 3.868094398243001*^9}, {
   3.869240188260723*^9, 3.86924018940662*^9}, 3.8701865950068083`*^9},
 CellID->1736475252,ExpressionUUID->"8132db37-e820-4ee6-a9e0-128755d5f910"],

Cell["\<\
Create a column from the row headers but keep the row headers:\
\>", "CodeText",
 CellChangeTimes->{{3.770289325175652*^9, 3.770289342606905*^9}, 
   3.7864729188852673`*^9},
 CellID->1534411524,ExpressionUUID->"9b443e43-552f-4ef3-9dd1-daa2947bc09f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"KeyValueMap", "[", 
      RowBox[{
       RowBox[{"#", "->", 
        RowBox[{"Association", "[", 
         RowBox[{
          RowBox[{"\"\<name\>\"", "\[Rule]", "#1"}], ",", "#2"}], "]"}]}], 
       "&"}], "]"}], ")"}], "/*", "Association"}], "]"}], "[", 
  "lifeboatDSWithNames", "]"}]], "Input",
 CellChangeTimes->{{3.770109615976162*^9, 3.77010961662296*^9}, {
  3.770109663753667*^9, 3.770109746109559*^9}},
 CellLabel->"In[42]:=",
 CellID->391213275,ExpressionUUID->"88384a89-8dfb-4323-8b53-fc5ed58e1854"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "miss olivia heikkila" -> <|
        "name" -> "miss olivia heikkila", "class" -> "3rd", "age" -> 16, 
         "sex" -> "female", "survived" -> True|>, 
       "mr noah eike" -> <|
        "name" -> "mr noah eike", "class" -> "1st", "age" -> 65, "sex" -> 
         "male", "survived" -> False|>, 
       "miss lucy mogstad" -> <|
        "name" -> "miss lucy mogstad", "class" -> "3rd", "age" -> 2, "sex" -> 
         "female", "survived" -> False|>, 
       "mr patrick hughes" -> <|
        "name" -> "mr patrick hughes", "class" -> "3rd", "age" -> Missing[], 
         "sex" -> "female", "survived" -> True|>, 
       "mr miguel gordon" -> <|
        "name" -> "mr miguel gordon", "class" -> "3rd", "age" -> 18, "sex" -> 
         "female", "survived" -> False|>, 
       "mrs scarlett jensen" -> <|
        "name" -> "mrs scarlett jensen", "class" -> "3rd", "age" -> Missing[],
          "sex" -> "male", "survived" -> False|>, 
       "mr fletcher white" -> <|
        "name" -> "mr fletcher white", "class" -> "3rd", "age" -> 22, "sex" -> 
         "female", "survived" -> True|>, 
       "mr dennis bishop" -> <|
        "name" -> "mr dennis bishop", "class" -> "2nd", "age" -> 48, "sex" -> 
         "female", "survived" -> True|>, 
       "mrs ferdinanda almeida" -> <|
        "name" -> "mrs ferdinanda almeida", "class" -> "3rd", "age" -> 14, 
         "sex" -> "male", "survived" -> False|>, 
       "mrs florence walker" -> <|
        "name" -> "mrs florence walker", "class" -> "2nd", "age" -> 44, "sex" -> 
         "female", "survived" -> False|>, 
       "mr mae deschamps" -> <|
        "name" -> "mr mae deschamps", "class" -> "3rd", "age" -> 33, "sex" -> 
         "male", "survived" -> False|>, 
       "ms teresa santiago" -> <|
        "name" -> "ms teresa santiago", "class" -> "3rd", "age" -> 39, "sex" -> 
         "male", "survived" -> False|>, 
       "mr arthur simmons" -> <|
        "name" -> "mr arthur simmons", "class" -> "1st", "age" -> 19, "sex" -> 
         "female", "survived" -> True|>, 
       "mr noah robinson" -> <|
        "name" -> "mr noah robinson", "class" -> "3rd", "age" -> 29, "sex" -> 
         "male", "survived" -> True|>, 
       "mr rafael lozano" -> <|
        "name" -> "mr rafael lozano", "class" -> "1st", "age" -> 46, "sex" -> 
         "male", "survived" -> False|>, 
       "ms lise lecomte" -> <|
        "name" -> "ms lise lecomte", "class" -> "2nd", "age" -> Missing[], 
         "sex" -> "male", "survived" -> False|>, 
       "mrs hannah bell" -> <|
        "name" -> "mrs hannah bell", "class" -> "3rd", "age" -> Missing[], 
         "sex" -> "female", "survived" -> True|>, 
       "mr nicolas knight" -> <|
        "name" -> "mr nicolas knight", "class" -> "3rd", "age" -> 22, "sex" -> 
         "male", "survived" -> False|>, 
       "mr alfonso fuentes" -> <|
        "name" -> "mr alfonso fuentes", "class" -> "2nd", "age" -> 22, "sex" -> 
         "male", "survived" -> True|>, 
       "miss juanita remijnse" -> <|
        "name" -> "miss juanita remijnse", "class" -> "3rd", "age" -> 56, 
         "sex" -> "male", "survived" -> False|>, 
       "mr felix morris" -> <|
        "name" -> "mr felix morris", "class" -> "2nd", "age" -> Missing[], 
         "sex" -> "male", "survived" -> False|>, 
       "monsieur kaspar lefebvre" -> <|
        "name" -> "monsieur kaspar lefebvre", "class" -> "2nd", "age" -> 50, 
         "sex" -> "female", "survived" -> True|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[3]} -> 1, {All, "name"} -> 
        1, {All, "class"} -> 1, {All, "age"} -> 1, {All, "sex"} -> 
        1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[268.8], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "name" -> TypeSystem`PackageScope`AtomShape[268.8], "class" -> 
             TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 5, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"name", "class", "age", "sex", "survived"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[3]} -> 1, {All, "name"} -> 
        1, {All, "class"} -> 1, {All, "age"} -> 1, {All, "sex"} -> 
        1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[268.8], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "name" -> TypeSystem`PackageScope`AtomShape[268.8], "class" -> 
             TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`AtomShape[34], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[36]|>], 
           DirectedInfinity[1], 5, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"name", "class", "age", "sex", "survived"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 5, "DataRowCount" -> 
     22, "DataColumnCount" -> 5, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["name", 
                  Style[
                  "name", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "name"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{All, "name"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["miss olivia heikkila", 
                  Style[
                  "miss olivia heikkila", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["miss olivia heikkila"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss olivia heikkila"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["miss olivia heikkila", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss olivia heikkila"], 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss olivia heikkila"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss olivia heikkila"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss olivia heikkila"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss olivia heikkila"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr noah eike", 
                  Style[
                  "mr noah eike", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr noah eike"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr noah eike"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["mr noah eike", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr noah eike"], 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr noah eike"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr noah eike"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr noah eike"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr noah eike"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["miss lucy mogstad", 
                  Style[
                  "miss lucy mogstad", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["miss lucy mogstad"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss lucy mogstad"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["miss lucy mogstad", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss lucy mogstad"], 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss lucy mogstad"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss lucy mogstad"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss lucy mogstad"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["miss lucy mogstad"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr patrick hughes", 
                  Style[
                  "mr patrick hughes", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr patrick hughes"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr patrick hughes"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["mr patrick hughes", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr patrick hughes"], 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr patrick hughes"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr patrick hughes"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr patrick hughes"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr patrick hughes"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr miguel gordon", 
                  Style[
                  "mr miguel gordon", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr miguel gordon"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr miguel gordon"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["mr miguel gordon", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr miguel gordon"], 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr miguel gordon"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr miguel gordon"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr miguel gordon"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr miguel gordon"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mrs scarlett jensen", 
                  Style[
                  "mrs scarlett jensen", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mrs scarlett jensen"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mrs scarlett jensen"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["mrs scarlett jensen", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mrs scarlett jensen"], 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mrs scarlett jensen"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mrs scarlett jensen"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mrs scarlett jensen"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mrs scarlett jensen"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr fletcher white", 
                  Style[
                  "mr fletcher white", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr fletcher white"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr fletcher white"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["mr fletcher white", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr fletcher white"], 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr fletcher white"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr fletcher white"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr fletcher white"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr fletcher white"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mr dennis bishop", 
                  Style[
                  "mr dennis bishop", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["mr dennis bishop"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr dennis bishop"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["mr dennis bishop", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr dennis bishop"], 
                 Key["name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{268.8, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr dennis bishop"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr dennis bishop"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr dennis bishop"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d935f22d-577a-4fa6-a2ec-69ccccd898e0"]][{
                 Key["mr dennis bishop"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{785., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{785., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 PageWidth->1000,
 CellChangeTimes->{{3.770109724261182*^9, 3.770109746715394*^9}, 
   3.7701226093694983`*^9, 3.770212785742292*^9, 3.770289138562983*^9, 
   3.771930852935858*^9, 3.771935776286384*^9, 3.817311726853217*^9, 
   3.881758337612718*^9, 3.882461125054714*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[42]=",
 CellID->518245459,ExpressionUUID->"2363fee2-09c5-44ec-a8ce-0fcc283c001d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Give a Column Orientation to a ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellTags->"p: 227",
 CellID->1291368151,ExpressionUUID->"234dd36e-9ae4-4e01-89e1-8a1007135d44"],

Cell["\<\
Other computer languages and platforms, such as R, tend to create their \
Datasets as the equivalent of Associations between column names and columns. \
This \[OpenCurlyDoubleQuote]column-oriented\[CloseCurlyDoubleQuote] method is \
in contrast to the default Wolfram Language way of emphasizing rows of data, \
but it is easy enough in the Wolfram Language to shift from a row orientation \
to a column orientation, and, as will be discussed, it is frequently useful \
to do so.\
\>", "Text",
 CellChangeTimes->{{3.7688195706327057`*^9, 3.768819726424243*^9}, 
   3.7701468723262987`*^9, {3.771935793918083*^9, 3.771935816219886*^9}, {
   3.7857836221401625`*^9, 3.7857836222991624`*^9}, {3.786472939334312*^9, 
   3.78647297641702*^9}},
 CellID->122668383,ExpressionUUID->"1b787a1d-bc7c-4fd4-83a9-7d77cb8638f9"],

Cell[CellGroupData[{

Cell[TextData[{
 "The ",
 StyleBox[ButtonBox["Transpose",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Method"
}], "Subsubsection",
 CellID->1610858835,ExpressionUUID->"ffafaed9-191b-4f91-94f8-946b6f1e3de9"],

Cell[TextData[{
 "There are several methods to switch between row orientation and column \
orientation. The first is the ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " method. The code is incredibly simple. Here it is used on ",
 Cell[BoxData[
 "lifeboatDST"], "InlineCodeText",ExpressionUUID->
  "fde6610f-963a-4a4a-85ef-c52f3a05894e"],
 ". I show it in ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form to make the structure more apparent."
}], "Text",
 CellChangeTimes->{{3.7688195706327057`*^9, 3.768819726424243*^9}, {
   3.770146877621098*^9, 3.7701468927075768`*^9}, {3.7864733623483753`*^9, 
   3.7864733762613754`*^9}, 3.817311873923924*^9, {3.867238968656928*^9, 
   3.867238969738249*^9}, {3.868094850339278*^9, 3.868094866948176*^9}},
 CellTags->"i:28",
 CellID->1416202285,ExpressionUUID->"a4358d70-441e-453c-bdc0-5f61d33ceb87"],

Cell[TextData[{
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " converts a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that is a row-oriented ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations into a column-oriented ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " in which the ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " are Lists:"
}], "CodeText",
 CellChangeTimes->{{3.770041791112213*^9, 3.7700418607823143`*^9}, {
  3.7857836286191626`*^9, 3.7857836338111625`*^9}, {3.786473388833376*^9, 
  3.7864733971673756`*^9}, {3.868094882253397*^9, 3.868094894993973*^9}},
 CellID->2049064156,ExpressionUUID->"701c75c1-ad0a-4d87-8c1d-325d108e277e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"lifeboatDST", "=", 
    RowBox[{"Transpose", "[", "lifeboatDS", "]"}]}], ")"}], "//", 
  "Normal"}]], "Input",
 CellChangeTimes->{{3.768819666059482*^9, 3.768819668496479*^9}, {
   3.76881970737576*^9, 3.7688197098538857`*^9}, 3.770030538871539*^9, {
   3.770042246522345*^9, 3.77004225274981*^9}, {3.770146808097065*^9, 
   3.7701468149736013`*^9}},
 CellLabel->"In[48]:=",
 CellID->996205505,ExpressionUUID->"1ec563e4-22ef-4503-a769-2d30697cdc22"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"3rd\"\>", ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", ",", "\<\"1st\"\>", 
      ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"2nd\"\>", 
      ",", "\<\"2nd\"\>"}], "}"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"16", ",", "65", ",", "2", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "18", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "22", ",", "48", ",", "14", ",", 
      "44", ",", "33", ",", "39", ",", "19", ",", "29", ",", "46", ",", 
      RowBox[{"Missing", "[", "]"}], ",", 
      RowBox[{"Missing", "[", "]"}], ",", "22", ",", "22", ",", "56", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "50"}], "}"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"male\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"female\"\>"}], "}"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "True", ",", "False", ",", "False", ",", "True", ",", "False", ",", 
      "False", ",", "True", ",", "True", ",", "False", ",", "False", ",", 
      "False", ",", "False", ",", "True", ",", "True", ",", "False", ",", 
      "False", ",", "True", ",", "False", ",", "True", ",", "False", ",", 
      "False", ",", "True"}], "}"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.7688196691271887`*^9, 3.768819710118833*^9, 3.768821543100312*^9, 
   3.76883344359837*^9, 3.76883357714958*^9, 3.7689054838835*^9, 
   3.768905778166197*^9, {3.770042250371874*^9, 3.77004225301467*^9}, 
   3.770108501130846*^9, 3.770122596137396*^9, 3.770146815380391*^9, 
   3.7702127859263144`*^9, 3.7702891387101707`*^9, 3.7719308530971107`*^9, 
   3.81731359804134*^9, 3.881758361700062*^9, 3.882461484455007*^9},
 CellLabel->"Out[48]=",
 CellID->1001715581,ExpressionUUID->"23a35bf0-0109-4bcb-8f8b-f5237195e764"]
}, Open  ]],

Cell[TextData[{
 "If the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " has no column headers, one just gets a list of columns."
}], "Text",
 CellChangeTimes->{{3.768819758176524*^9, 3.768819773596054*^9}, {
  3.868094903532757*^9, 3.868094909732654*^9}},
 CellID->466882064,ExpressionUUID->"0ec28ea5-28f0-438f-84de-c3b5c7c9fa25"],

Cell[TextData[{
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " converts a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that is a row-oriented ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists into a column-oriented ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists:"
}], "CodeText",
 CellChangeTimes->{{3.770041791112213*^9, 3.770041882769919*^9}, {
  3.785783665177162*^9, 3.7857836687451625`*^9}, {3.7864736342533755`*^9, 
  3.7864736395303755`*^9}, {3.86723900248571*^9, 3.8672390096861*^9}},
 CellID->1723195895,ExpressionUUID->"2da15cd0-cbbc-4394-939f-5206a478bd18"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"Transpose", "[", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{"All", ",", "Values"}], "]"}], "[", "lifeboatDS", "]"}], "]"}], 
   ")"}], "//", "Normal"}]], "Input",
 CellChangeTimes->{{3.768819735854314*^9, 3.768819753227551*^9}, 
   3.770030538877665*^9, {3.770146820298908*^9, 3.770146824311021*^9}},
 CellLabel->"In[96]:=",
 CellID->106355601,ExpressionUUID->"c1e1caf5-9fff-4d36-8fb0-ce79317488d8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
     ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
     ",", "\<\"3rd\"\>", ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", 
     ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
     ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", ",", "\<\"1st\"\>", 
     ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
     ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"2nd\"\>", 
     ",", "\<\"2nd\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"16", ",", "65", ",", "2", ",", 
     RowBox[{"Missing", "[", "]"}], ",", "18", ",", 
     RowBox[{"Missing", "[", "]"}], ",", "22", ",", "48", ",", "14", ",", 
     "44", ",", "33", ",", "39", ",", "19", ",", "29", ",", "46", ",", 
     RowBox[{"Missing", "[", "]"}], ",", 
     RowBox[{"Missing", "[", "]"}], ",", "22", ",", "22", ",", "56", ",", 
     RowBox[{"Missing", "[", "]"}], ",", "50"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
     ",", "\<\"female\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
     ",", "\<\"female\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
     ",", "\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
     ",", "\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
     ",", "\<\"male\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
     ",", "\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
     ",", "\<\"female\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "True", ",", "False", ",", "False", ",", "True", ",", "False", ",", 
     "False", ",", "True", ",", "True", ",", "False", ",", "False", ",", 
     "False", ",", "False", ",", "True", ",", "True", ",", "False", ",", 
     "False", ",", "True", ",", "False", ",", "True", ",", "False", ",", 
     "False", ",", "True"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.768819743378272*^9, 3.768819753716071*^9}, 
   3.768821543149198*^9, 3.768833443646797*^9, 3.7688335771607647`*^9, 
   3.768905483924677*^9, 3.76890577817662*^9, 3.770108501144731*^9, 
   3.770122596185643*^9, 3.770146824886746*^9, 3.7702127859711733`*^9, 
   3.770289138754409*^9, 3.771930853110303*^9, 3.8817584258707943`*^9},
 CellLabel->"Out[96]=",
 CellID->1459810852,ExpressionUUID->"a27196af-82b7-4bd6-ae49-64dd5eb70bcf"]
}, Open  ]],

Cell[TextData[{
 "One can ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " the top levels of Datasets with more deeply nested data. Here, I obtain \
the planets ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " it. The result is an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " between characteristics of the planets (mass, radius, moons) and values \
for that data."
}], "Text",
 CellChangeTimes->{{3.77003453089332*^9, 3.770034631749234*^9}, {
   3.770034677276129*^9, 3.7700346997828608`*^9}, {3.770041947507825*^9, 
   3.770041960646173*^9}, {3.786473816432376*^9, 3.7864738247663755`*^9}, 
   3.7867219263911605`*^9, {3.867239016842358*^9, 3.8672390246593857`*^9}, {
   3.868094926317872*^9, 3.8680949313089*^9}, {3.8977528641629353`*^9, 
   3.897752864636352*^9}},
 CellTags->"LastCellOfAPage",
 CellID->125871474,ExpressionUUID->"b4631769-b55a-40a2-8c51-2e364abec43f"],

Cell[TextData[{
 "You can ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " deeply nested Datasets at the top level:"
}], "CodeText",
 CellChangeTimes->{{3.77004196752065*^9, 3.7700419787843924`*^9}, 
   3.786473842637376*^9, 3.868094943129747*^9},
 CellTags->"p: 228",
 CellID->452488862,ExpressionUUID->"9ea6af3f-e9e6-4750-887c-f7c7797f599b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"planets", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Planets Deeply Nested Structure Dataset\>\""}], 
   "]"}]}]], "Input",
 CellLabel->"In[97]:=",
 CellID->874624415,ExpressionUUID->"d16ae3f1-f570-411f-bcf4-9c78a3e20db6"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "Mercury" -> <|
        "Mass" -> Quantity[3.30104`6.*^23, "Kilograms"], "Radius" -> 
         Quantity[2439.7`5., "Kilometers"], "Moons" -> <||>|>, 
       "Venus" -> <|
        "Mass" -> Quantity[4.867320000000000000000001`6.*^24, "Kilograms"], 
         "Radius" -> Quantity[6051.85`5., "Kilometers"], "Moons" -> <||>|>, 
       "Earth" -> <|
        "Mass" -> Quantity[5.9721986`8.*^24, "Kilograms"], "Radius" -> 
         Quantity[6367.4446571000000000001`8.299868708313456, "Kilometers"], 
         "Moons" -> <|
          "Moon" -> <|
            "Mass" -> Quantity[
              7.3459006322855173653772`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1737.5`5., "Kilometers"]|>|>|>, 
       "Mars" -> <|
        "Mass" -> Quantity[6.41693`6.*^23, "Kilograms"], "Radius" -> 
         Quantity[3385.595`4.298042852900571, "Kilometers"], 
         "Moons" -> <|
          "Phobos" -> <|
            "Mass" -> Quantity[
              1.0724880884600402`3.9586073148417724*^16, "Kilograms"], 
             "Radius" -> Quantity[11.1`3., "Kilometers"]|>, 
           "Deimos" -> <|
            "Mass" -> Quantity[
              1.468340774924336`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[6.2`2., "Kilometers"]|>|>|>, 
       "Jupiter" -> <|
        "Mass" -> Quantity[1.89813`6.*^27, "Kilograms"], "Radius" -> 
         Quantity[69173.`5., "Kilometers"], 
         "Moons" -> <|
          "Metis" -> <|
            "Mass" -> Quantity[
              1.19864553055047796`0.9999565727231415*^17, "Kilograms"], 
             "Radius" -> Quantity[21.5`3., "Kilometers"]|>, 
           "Adrastea" -> <|
            "Mass" -> Quantity[
              7.491534565940487`0.9999565727231415*^15, "Kilograms"], 
             "Radius" -> Quantity[8.2`2., "Kilometers"]|>, 
           "Amalthea" -> <|
            "Mass" -> Quantity[
              2.067663540199574478`2.995678626217367*^18, "Kilograms"], 
             "Radius" -> Quantity[83.45`4., "Kilometers"]|>, 
           "Thebe" -> <|
            "Mass" -> Quantity[
              1.49830691318809745`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[49.3`3., "Kilometers"]|>, 
           "Io" -> <|
            "Mass" -> Quantity[
              8.9297833448203530011087`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1821.6`5., "Kilometers"]|>, 
           "Europa" -> <|
            "Mass" -> Quantity[
              4.7986859848371340385365`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1560.8`5., "Kilometers"]|>, 
           "Ganymede" -> <|
            "Mass" -> Quantity[
              1.48150100386563183602529`4.995678626217362*^23, "Kilograms"], 
             "Radius" -> Quantity[2631.2`5., "Kilometers"]|>, 
           "Callisto" -> <|
            "Mass" -> Quantity[
              1.07567783404752629528633`4.995678626217362*^23, "Kilograms"], 
             "Radius" -> Quantity[2410.3`5., "Kilometers"]|>, 
           "Themisto" -> <|
            "Mass" -> Quantity[
              6.89221180066526`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Leda" -> <|
            "Mass" -> Quantity[
              1.0937640466273112`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[10.`2., "Kilometers"]|>, 
           "Himalia" -> <|
            "Mass" -> Quantity[
              6.742381109346438525`1.999565922520683*^18, "Kilograms"], 
             "Radius" -> Quantity[85.`2., "Kilometers"]|>, 
           "Lysithea" -> <|
            "Mass" -> Quantity[
              6.2928890353900092`1.999565922520683*^16, "Kilograms"], 
             "Radius" -> Quantity[18.`2., "Kilometers"]|>, 
           "Elara" -> <|
            "Mass" -> Quantity[
              8.6901800964909652`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[43.`2., "Kilometers"]|>, 
           "S/2000 J11" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J12" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Carpo" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Euporie" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "S/2003 J3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J18" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Orthosie" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Euanthe" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Harpalyke" -> <|
            "Mass" -> Quantity[
              1.19864553055047`0.9999565727231415*^14, "Kilograms"], "Radius" -> 
             Quantity[2.2`2., "Kilometers"]|>, 
           "Praxidike" -> <|
            "Mass" -> Quantity[
              4.34509004824548`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.4`2., "Kilometers"]|>, 
           "Thyone" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J16" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Iocaste" -> <|
            "Mass" -> Quantity[
              1.94779898714453`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Mneme" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Hermippe" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Thelxinoe" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Helike" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Ananke" -> <|
            "Mass" -> Quantity[
              2.9966138263761948`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[14.`2., "Kilometers"]|>, 
           "S/2003 J15" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Eurydome" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Arche" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Herse" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Pasithee" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "S/2003 J10" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Chaldene" -> <|
            "Mass" -> Quantity[
              7.4915345659396`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.9`2., "Kilometers"]|>, 
           "Isonoe" -> <|
            "Mass" -> Quantity[
              7.4915345659396`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.9`2., "Kilometers"]|>, 
           "Erinome" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.6`2., "Kilometers"]|>, 
           "Kale" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Aitne" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Taygete" -> <|
            "Mass" -> Quantity[
              1.6481376045069`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.5`2., "Kilometers"]|>, 
           "S/2003 J9" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Carme" -> <|
            "Mass" -> Quantity[
              1.31851008360552575`1.9995659225206786*^17, "Kilograms"], 
             "Radius" -> Quantity[23.`2., "Kilometers"]|>, 
           "Sponde" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Megaclite" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.7`2., "Kilometers"]|>, 
           "S/2003 J5" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "S/2003 J19" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J23" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Kalyke" -> <|
            "Mass" -> Quantity[
              1.94779898714453`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Kore" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Pasiphae" -> <|
            "Mass" -> Quantity[
              2.9966138263761949`1.9995659225206786*^17, "Kilograms"], 
             "Radius" -> Quantity[30.`2., "Kilometers"]|>, 
           "Eukelade" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "S/2003 J4" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Sinope" -> <|
            "Mass" -> Quantity[
              7.4915345659404873`1.9995659225206786*^16, "Kilograms"], 
             "Radius" -> Quantity[19.`2., "Kilometers"]|>, 
           "Hegemone" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Aoede" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Kallichore" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Autonoe" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Callirrhoe" -> <|
            "Mass" -> Quantity[
              8.69018009649097`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[4.3`2., "Kilometers"]|>, 
           "Cyllene" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J2" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>|>|>, 
       "Saturn" -> <|
        "Mass" -> Quantity[5.68319`6.*^26, "Kilograms"], "Radius" -> 
         Quantity[57316.`5., "Kilometers"], 
         "Moons" -> <|
          "Tarqeq" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Pan" -> <|
            "Mass" -> Quantity[
              4.944412813520729`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[12.8`3., "Kilometers"]|>, 
           "Daphnis" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.9`2., "Kilometers"]|>, 
           "Atlas" -> <|
            "Mass" -> Quantity[
              2.097629678463337`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[10.`2., "Kilometers"]|>, 
           "Prometheus" -> <|
            "Mass" -> Quantity[
              1.86689041383236942`3.9586073148417764*^17, "Kilograms"], 
             "Radius" -> Quantity[46.8`3., "Kilometers"]|>, 
           "Pandora" -> <|
            "Mass" -> Quantity[
              1.49081537862215657`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[40.6`3., "Kilometers"]|>, 
           "Epimetheus" -> <|
            "Mass" -> Quantity[
              5.25905726529022205`2.9956786262173543*^17, "Kilograms"], 
             "Radius" -> Quantity[58.3`3., "Kilometers"]|>, 
           "Janus" -> <|
            "Mass" -> Quantity[
              1.896856552096131371`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[90.4`3., "Kilometers"]|>, 
           "Aegaeon" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[0.25`2., "Kilometers"]|>, 
           "Mimas" -> <|
            "Mass" -> Quantity[
              3.7907164903658865482`3.9586073148417764*^19, "Kilograms"], 
             "Radius" -> Quantity[198.8`4., "Kilometers"]|>, 
           "Methone" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.6`2., "Kilometers"]|>, 
           "Anthe" -> <|
            "Mass" -> Quantity[5.`1.*^12, "Kilograms"], "Radius" -> 
             Quantity[1.`1., "Kilometers"]|>, 
           "Pallene" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Enceladus" -> <|
            "Mass" -> Quantity[
              1.08027928440861826137`3.9586073148417764*^20, "Kilograms"], 
             "Radius" -> Quantity[252.3`4., "Kilometers"]|>, 
           "Tethys" -> <|
            "Mass" -> Quantity[
              6.17452278924814959099`4.6989700043360205*^20, "Kilograms"], 
             "Radius" -> Quantity[536.3`4., "Kilometers"]|>, 
           "Calypso" -> <|
            "Mass" -> Quantity[
              3.595936591651433`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[9.5`2., "Kilometers"]|>, 
           "Telesto" -> <|
            "Mass" -> Quantity[
              7.191873183302868`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[12.`2., "Kilometers"]|>, 
           "Polydeuces" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.2`2., "Kilometers"]|>, 
           "Dione" -> <|
            "Mass" -> Quantity[
              1.095457133439213688532`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[562.5`4., "Kilometers"]|>, 
           "Helene" -> <|
            "Mass" -> Quantity[
              2.5471217524197656`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[16.`2., "Kilometers"]|>, 
           "Rhea" -> <|
            "Mass" -> Quantity[
              2.308441461148901741032`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[764.5`4., "Kilometers"]|>, 
           "Titan" -> <|
            "Mass" -> Quantity[
              1.34520841449162446435527`4.958607314841778*^23, "Kilograms"], 
             "Radius" -> Quantity[2575.5`5., "Kilometers"]|>, 
           "Hyperion" -> <|
            "Mass" -> Quantity[
              5.543735578795960565`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[133.`4., "Kilometers"]|>, 
           "Iapetus" -> <|
            "Mass" -> Quantity[
              1.805459830391657427108`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[734.5`4., "Kilometers"]|>, 
           "Kiviuq" -> <|
            "Mass" -> Quantity[
              3.296275209013815`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[8.`1., "Kilometers"]|>, 
           "Ijiraq" -> <|
            "Mass" -> Quantity[
              1.198645530550478`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[6.`1., "Kilometers"]|>, 
           "Phoebe" -> <|
            "Mass" -> Quantity[
              8.287135536843366995`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[106.6`4., "Kilometers"]|>, 
           "Paaliaq" -> <|
            "Mass" -> Quantity[
              8.240688022534537`1.999565922520683*^15, "Kilograms"], "Radius" -> 
             Quantity[11.`3., "Kilometers"]|>, 
           "Skathi" -> <|
            "Mass" -> Quantity[
              3.146444517695`1.9995659225206786*^14, "Kilograms"], "Radius" -> 
             Quantity[4.`1., "Kilometers"]|>, 
           "Albiorix" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[16.`2., "Kilometers"]|>, 
           "S/2007 S2" -> <|
            "Mass" -> Quantity[1.5`2.*^14, "Kilograms"], "Radius" -> 
             Quantity[3.`1., "Kilometers"]|>, 
           "Bebhionn" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Erriapo" -> <|
            "Mass" -> Quantity[
              7.64136525725929`1.9995659225206914*^14, "Kilograms"], "Radius" -> 
             Quantity[5.`1., "Kilometers"]|>, 
           "Siarnaq" -> <|
            "Mass" -> Quantity[
              3.8955979742890535`1.999565922520683*^16, "Kilograms"], 
             "Radius" -> Quantity[20.`2., "Kilometers"]|>, 
           "Skoll" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Tarvos" -> <|
            "Mass" -> Quantity[
              2.696952443738576`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[7.5`2., "Kilometers"]|>, 
           "Greip" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S13" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Hyrrokkin" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Mundilfari" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "S/2006 S1" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Jarnsaxa" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Narvi" -> <|
            "Mass" -> Quantity[
              3.44610590033262`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Bergelmir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S17" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Suttungr" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Hati" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S12" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Bestla" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Farbauti" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Thrymr" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "S/2007 S3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.5`2., "Kilometers"]|>, 
           "Aegir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S7" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2006 S3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Kari" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Fenrir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Surtur" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Ymir" -> <|
            "Mass" -> Quantity[
              4.944412813520729`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[9.`1., "Kilometers"]|>, 
           "Loge" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Fornjot" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>|>|>, 
       "Uranus" -> <|
        "Mass" -> Quantity[8.68103`6.*^25, "Kilograms"], "Radius" -> 
         Quantity[25266.`5., "Kilometers"], 
         "Moons" -> <|
          "Cordelia" -> <|
            "Mass" -> Quantity[
              4.4949207395642923`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[20.1`3., "Kilometers"]|>, 
           "Ophelia" -> <|
            "Mass" -> Quantity[
              5.3939048874771508`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[21.4`3., "Kilometers"]|>, 
           "Bianca" -> <|
            "Mass" -> Quantity[
              9.2895028617662042`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[25.7`3., "Kilometers"]|>, 
           "Cressida" -> <|
            "Mass" -> Quantity[
              3.43112283120074311`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[39.8`3., "Kilometers"]|>, 
           "Desdemona" -> <|
            "Mass" -> Quantity[
              1.78298522669383596`2.995678626217367*^17, "Kilograms"], 
             "Radius" -> Quantity[32.`3., "Kilometers"]|>, 
           "Juliet" -> <|
            "Mass" -> Quantity[
              5.57370171705972251`2.9956786262173543*^17, "Kilograms"], 
             "Radius" -> Quantity[46.8`3., "Kilometers"]|>, 
           "Portia" -> <|
            "Mass" -> Quantity[
              1.681100356597045339`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[67.6`3., "Kilometers"]|>, 
           "Rosalind" -> <|
            "Mass" -> Quantity[
              2.54712175241976567`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[36.`2., "Kilometers"]|>, 
           "Cupid" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[5.`2., "Kilometers"]|>, 
           "Belinda" -> <|
            "Mass" -> Quantity[
              3.56597045338767194`2.995678626217367*^17, "Kilograms"], 
             "Radius" -> Quantity[40.3`3., "Kilometers"]|>, 
           "Perdita" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Puck" -> <|
            "Mass" -> Quantity[
              2.893230649366216176`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[81.`2., "Kilometers"]|>, 
           "Mab" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[5.`2., "Kilometers"]|>, 
           "Miranda" -> <|
            "Mass" -> Quantity[
              6.5925504180276287794`1.9995659225206872*^19, "Kilograms"], 
             "Radius" -> Quantity[235.8`4., "Kilometers"]|>, 
           "Ariel" -> <|
            "Mass" -> Quantity[
              1.352971142608851997243`2.9956786262173587*^21, "Kilograms"], 
             "Radius" -> Quantity[578.9`4., "Kilometers"]|>, 
           "Umbriel" -> <|
            "Mass" -> Quantity[
              1.171676006113092205807`2.9956786262173587*^21, "Kilograms"], 
             "Radius" -> Quantity[584.7`4., "Kilometers"]|>, 
           "Titania" -> <|
            "Mass" -> Quantity[
              3.525516166731593299572`3.9586073148417764*^21, "Kilograms"], 
             "Radius" -> Quantity[788.9`4., "Kilometers"]|>, 
           "Oberon" -> <|
            "Mass" -> Quantity[
              3.013095202421263971712`3.9586073148417764*^21, "Kilograms"], 
             "Radius" -> Quantity[761.4`4., "Kilometers"]|>, 
           "Francisco" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[11.`2., "Kilometers"]|>, 
           "Caliban" -> <|
            "Mass" -> Quantity[
              7.34170387462167751`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[49.`2., "Kilometers"]|>, 
           "Stephano" -> <|
            "Mass" -> Quantity[
              5.99322765275239`0.9999565727231373*^15, "Kilograms"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Trinculo" -> <|
            "Mass" -> Quantity[
              7.49153456594048`0.9999565727231373*^14, "Kilograms"], "Radius" -> 
             Quantity[5.`1., "Kilometers"]|>, 
           "Sycorax" -> <|
            "Mass" -> Quantity[
              5.378921818345269844`2.9956786262173627*^18, "Kilograms"], 
             "Radius" -> Quantity[95.`2., "Kilometers"]|>, 
           "Margaret" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Prospero" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[15.`2., "Kilometers"]|>, 
           "Setebos" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[15.`2., "Kilometers"]|>, 
           "Ferdinand" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>|>|>, 
       "Neptune" -> <|
        "Mass" -> Quantity[1.0241`6.*^26, "Kilograms"], "Radius" -> 
         Quantity[24552.5`5., "Kilometers"], 
         "Moons" -> <|
          "Naiad" -> <|
            "Mass" -> Quantity[
              1.94779898714452669`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[33.`2., "Kilometers"]|>, 
           "Thalassa" -> <|
            "Mass" -> Quantity[
              3.74576728297024363`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[41.`2., "Kilometers"]|>, 
           "Despina" -> <|
            "Mass" -> Quantity[
              2.09762967846333643`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[75.`2., "Kilometers"]|>, 
           "Galatea" -> <|
            "Mass" -> Quantity[
              3.745767282970243625`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[88.`2., "Kilometers"]|>, 
           "Larissa" -> <|
            "Mass" -> Quantity[
              4.944412813520721585`1.999565922520683*^18, "Kilograms"], 
             "Radius" -> Quantity[97.`2., "Kilometers"]|>, 
           "Proteus" -> <|
            "Mass" -> Quantity[
              5.0343112283120074311`2.995678626217367*^19, "Kilograms"], 
             "Radius" -> Quantity[210.`3., "Kilometers"]|>, 
           "Triton" -> <|
            "Mass" -> Quantity[
              2.139432441341284348686`4.6989700043360205*^22, "Kilograms"], 
             "Radius" -> Quantity[1353.4`5., "Kilometers"]|>, 
           "Nereid" -> <|
            "Mass" -> Quantity[
              3.0865122411674807466`2.9956786262173587*^19, "Kilograms"], 
             "Radius" -> Quantity[170.`3., "Kilometers"]|>, 
           "Halimede" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[30.`2., "Kilometers"]|>, 
           "Sao" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Laomedeia" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Psamathe" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Neso" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[30.`2., "Kilometers"]|>|>|>|>, "AllowEmbedding" -> True,
      "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[20]} -> 1, {All, "Mass"} -> 
        1, {All, "Radius"} -> 1, {All, "Moons"} -> <|{All, "Moons", All, 
            TypeSystem`PackageScope`KeyDummy[19]} -> 
          1, {All, "Moons", All, "Mass"} -> 1, {All, "Moons", All, "Radius"} -> 
          1|>|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[78.4], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
             TypeSystem`PackageScope`AtomShape[75], "Moons" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[78.4], 
                 TypeSystem`PackageScope`Limited[
                  
                  TypeSystem`PackageScope`RowShape[<|
                   "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
                    TypeSystem`PackageScope`AtomShape[75]|>], 
                  DirectedInfinity[1], 2, {All, "Moons", All}]]], 4, 
               DirectedInfinity[1], {All, "Moons"}]|>], 
           DirectedInfinity[1], 3, {All}]]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"Mass", "Radius", "Moons"}, {
         TypeSystem`Atom[
          Quantity[1, "Kilograms"]], 
         TypeSystem`Atom[
          Quantity[1, "Kilometers"]], 
         TypeSystem`Assoc[
          TypeSystem`Atom[String], 
          TypeSystem`Struct[{"Mass", "Radius"}, {
            TypeSystem`Atom[
             Quantity[1, "Kilograms"]], 
            TypeSystem`Atom[
             Quantity[1, "Kilometers"]]}], TypeSystem`AnyLength]}], 8], 
     "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[20]} -> 1, {All, "Mass"} -> 
        1, {All, "Radius"} -> 1, {All, "Moons"} -> <|{All, "Moons", All, 
            TypeSystem`PackageScope`KeyDummy[19]} -> 
          1, {All, "Moons", All, "Mass"} -> 1, {All, "Moons", All, "Radius"} -> 
          1|>|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[78.4], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
             TypeSystem`PackageScope`AtomShape[75], "Moons" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[78.4], 
                 TypeSystem`PackageScope`Limited[
                  
                  TypeSystem`PackageScope`RowShape[<|
                   "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
                    TypeSystem`PackageScope`AtomShape[75]|>], 
                  DirectedInfinity[1], 2, {All, "Moons", All}]]], 4, 
               DirectedInfinity[1], {All, "Moons"}]|>], 
           DirectedInfinity[1], 3, {All}]]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"Mass", "Radius", "Moons"}, {
         TypeSystem`Atom[
          Quantity[1, "Kilograms"]], 
         TypeSystem`Atom[
          Quantity[1, "Kilometers"]], 
         TypeSystem`Assoc[
          TypeSystem`Atom[String], 
          TypeSystem`Struct[{"Mass", "Radius"}, {
            TypeSystem`Atom[
             Quantity[1, "Kilograms"]], 
            TypeSystem`Atom[
             Quantity[1, "Kilometers"]]}], TypeSystem`AnyLength]}], 8], 
     "Path" -> {}, "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 3, 
     "DataRowCount" -> 8, "DataColumnCount" -> 3, "SortPaths" -> {}, 
     "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mass", 
                  Style[
                  "Mass", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Mass"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{All, "Mass"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Radius", 
                  Style[
                  "Radius", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Radius"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{All, "Radius"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Moons", 
                  Style[
                  "Moons", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Moons"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{All, "Moons"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], SpanFromLeft, 
            SpanFromLeft}, {SpanFromAbove, SpanFromAbove, SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                All, "Moons", All, Keys}, "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mass", 
                  Style[
                  "Mass", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Moons", All, "Mass"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                All, "Moons", All, "Mass"}, "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Radius", 
                  Style[
                  "Radius", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Moons", All, "Radius"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                All, "Moons", All, "Radius"}, "ColumnHeader", True], "Mouse"],
               ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mercury", 
                  Style[
                  "Mercury", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Mercury"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mercury"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"3.30104`6.*^23", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mercury"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"2439.7`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mercury"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Spacer[10], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Spacer[10], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Mercury"], 
                    Key["Moons"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mercury"], 
                 Key["Moons"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5], 8}], SpanFromLeft, SpanFromLeft}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Venus", 
                  Style[
                  "Venus", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Venus"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Venus"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"4.867320000000000000000001`6.*^24", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Venus"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"6051.85`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Venus"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Spacer[10], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Spacer[10], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Venus"], 
                    Key["Moons"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Venus"], 
                 Key["Moons"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5], 8}], SpanFromLeft, SpanFromLeft}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Earth", 
                  Style[
                  "Earth", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Earth"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Earth"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"5.9721986`8.*^24", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Earth"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "6367.4446571000000000001`8.299868708313456", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Earth"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Moon", 
                  Style[
                  "Moon", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Earth"], 
                    Key["Moons"], 
                    Key["Moon"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Earth"], 
                 Key["Moons"], 
                 Key["Moon"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "7.3459006322855173653772`4.995678626217362*^22", 
                  "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Earth"], 
                 Key["Moons"], 
                 Key["Moon"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"1737.5`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Earth"], 
                 Key["Moons"], 
                 Key["Moon"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mars", 
                  Style[
                  "Mars", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Mars"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"6.41693`6.*^23", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"3385.595`4.298042852900571", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Phobos", 
                  Style[
                  "Phobos", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Mars"], 
                    Key["Moons"], 
                    Key["Phobos"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"], 
                 Key["Moons"], 
                 Key["Phobos"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "1.0724880884600402`3.9586073148417724*^16", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"], 
                 Key["Moons"], 
                 Key["Phobos"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"11.1`3", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"], 
                 Key["Moons"], 
                 Key["Phobos"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
           SpanFromAbove, SpanFromAbove, SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Deimos", 
                  Style[
                  "Deimos", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Mars"], 
                    Key["Moons"], 
                    Key["Deimos"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"], 
                 Key["Moons"], 
                 Key["Deimos"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "1.468340774924336`1.9995659225206786*^15", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"], 
                 Key["Moons"], 
                 Key["Deimos"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"6.2`2", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Mars"], 
                 Key["Moons"], 
                 Key["Deimos"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Jupiter", 
                  Style[
                  "Jupiter", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Jupiter"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"1.89813`6.*^27", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"69173.`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Metis", 
                  Style[
                  "Metis", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Jupiter"], 
                    Key["Moons"], 
                    Key["Metis"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Metis"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "1.19864553055047796`0.9999565727231415*^17", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Metis"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"21.5`3", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Metis"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
           SpanFromAbove, SpanFromAbove, SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Adrastea", 
                  Style[
                  "Adrastea", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Jupiter"], 
                    Key["Moons"], 
                    Key["Adrastea"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Adrastea"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "7.491534565940487`0.9999565727231415*^15", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Adrastea"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"8.2`2", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Adrastea"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
           SpanFromAbove, SpanFromAbove, SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Amalthea", 
                  Style[
                  "Amalthea", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Jupiter"], 
                    Key["Moons"], 
                    Key["Amalthea"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Amalthea"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "2.067663540199574478`2.995678626217367*^18", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Amalthea"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"83.45`4", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Amalthea"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
           SpanFromAbove, SpanFromAbove, SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Thebe", 
                  Style[
                  "Thebe", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Jupiter"], 
                    Key["Moons"], 
                    Key["Thebe"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Thebe"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "1.49830691318809745`1.9995659225206872*^18", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Thebe"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"49.3`3", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"], 
                 Key["Thebe"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
           SpanFromAbove, SpanFromAbove, SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Superscript["63 total \:203a ", ""], 
                  Style[
                   Superscript["63 total \:203a ", ""], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Jupiter"], 
                    Key["Moons"]}, 2]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ed2c2b13-be8b-454a-ab7e-f8b94460b75e"]][{
                 Key["Jupiter"], 
                 Key["Moons"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {{
                RGBColor[
                0.5098039215686274, 0.5098039215686274, 0.5098039215686274], 
                8}, ContextMenu -> {
                 MenuItem["Show 1 More Row at This Level", 
                  KernelExecute[
                   
                   TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimitBy[#, 
                    1]& , {All, "Moons"}]], MenuEvaluator -> Automatic], 
                 MenuItem["Show 5 More Rows at This Level", 
                  KernelExecute[
                   
                   TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimitBy[#, 
                    5]& , {All, "Moons"}]], MenuEvaluator -> Automatic], 
                 Delimiter, 
                 MenuItem["Show 1 Fewer Row at This Level", 
                  KernelExecute[
                   
                   TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimitBy[#, -1]& \
, {All, "Moons"}]], MenuEvaluator -> Automatic], 
                 MenuItem["Show 5 Fewer Rows at This Level", 
                  KernelExecute[
                   
                   TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimitBy[#, -5]& \
, {All, "Moons"}]], MenuEvaluator -> Automatic]}}, 
             Alignment -> {Left, Baseline}, Background -> GrayLevel[0.98]], 
            SpanFromLeft, SpanFromLeft}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 5 
                    If[True, 8, 1], {1, 8 - -5 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 5 
                    If[False, 8, 1], {1, 8 - -5 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 5, " of ", 
                    Style[8, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 5, " of ", 
                    Style[8, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    5 If[False, 8, 1], {1, 8 - 5 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    5 If[True, 8, 1], {1, 8 - 5 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{584., {174.8837890625, 182.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{584., {174.8837890625, 182.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.771935855446124*^9, 3.817311976655416*^9, 
  3.867324049283935*^9, 3.881758436162444*^9},
 CellLabel->"Out[97]=",
 CellID->1831981583,ExpressionUUID->"7838150c-9bc6-49f9-8bf8-6091e5da5f13"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"planetsT", "=", 
  RowBox[{"Transpose", "[", "planets", "]"}]}]], "Input",
 CellChangeTimes->{{3.768819780111807*^9, 3.768819791336686*^9}, {
  3.7689050885934258`*^9, 3.76890512804287*^9}, {3.7700345750985107`*^9, 
  3.7700346186142683`*^9}, {3.770041994998034*^9, 3.7700419963173656`*^9}, {
  3.771930667279923*^9, 3.7719306709273167`*^9}, {3.77193586013955*^9, 
  3.771935861288859*^9}},
 CellLabel->"In[98]:=",
 CellID->793219121,ExpressionUUID->"06ab6fc0-0171-4b7a-bd20-cfb577bb3bb7"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "Mass" -> <|
        "Mercury" -> Quantity[3.30104`6.*^23, "Kilograms"], "Venus" -> 
         Quantity[4.867320000000000000000001`6.*^24, "Kilograms"], "Earth" -> 
         Quantity[5.9721986`8.*^24, "Kilograms"], "Mars" -> 
         Quantity[6.41693`6.*^23, "Kilograms"], "Jupiter" -> 
         Quantity[1.89813`6.*^27, "Kilograms"], "Saturn" -> 
         Quantity[5.68319`6.*^26, "Kilograms"], "Uranus" -> 
         Quantity[8.68103`6.*^25, "Kilograms"], "Neptune" -> 
         Quantity[1.0241`6.*^26, "Kilograms"]|>, 
       "Radius" -> <|
        "Mercury" -> Quantity[2439.7`5., "Kilometers"], "Venus" -> 
         Quantity[6051.85`5., "Kilometers"], "Earth" -> 
         Quantity[6367.4446571000000000001`8.299868708313456, "Kilometers"], 
         "Mars" -> Quantity[3385.595`4.298042852900571, "Kilometers"], 
         "Jupiter" -> Quantity[69173.`5., "Kilometers"], "Saturn" -> 
         Quantity[57316.`5., "Kilometers"], "Uranus" -> 
         Quantity[25266.`5., "Kilometers"], "Neptune" -> 
         Quantity[24552.5`5., "Kilometers"]|>, 
       "Moons" -> <|
        "Mercury" -> <||>, "Venus" -> <||>, 
         "Earth" -> <|
          "Moon" -> <|
            "Mass" -> Quantity[
              7.3459006322855173653772`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1737.5`5., "Kilometers"]|>|>, 
         "Mars" -> <|
          "Phobos" -> <|
            "Mass" -> Quantity[
              1.0724880884600402`3.9586073148417724*^16, "Kilograms"], 
             "Radius" -> Quantity[11.1`3., "Kilometers"]|>, 
           "Deimos" -> <|
            "Mass" -> Quantity[
              1.468340774924336`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[6.2`2., "Kilometers"]|>|>, 
         "Jupiter" -> <|
          "Metis" -> <|
            "Mass" -> Quantity[
              1.19864553055047796`0.9999565727231415*^17, "Kilograms"], 
             "Radius" -> Quantity[21.5`3., "Kilometers"]|>, 
           "Adrastea" -> <|
            "Mass" -> Quantity[
              7.491534565940487`0.9999565727231415*^15, "Kilograms"], 
             "Radius" -> Quantity[8.2`2., "Kilometers"]|>, 
           "Amalthea" -> <|
            "Mass" -> Quantity[
              2.067663540199574478`2.995678626217367*^18, "Kilograms"], 
             "Radius" -> Quantity[83.45`4., "Kilometers"]|>, 
           "Thebe" -> <|
            "Mass" -> Quantity[
              1.49830691318809745`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[49.3`3., "Kilometers"]|>, 
           "Io" -> <|
            "Mass" -> Quantity[
              8.9297833448203530011087`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1821.6`5., "Kilometers"]|>, 
           "Europa" -> <|
            "Mass" -> Quantity[
              4.7986859848371340385365`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1560.8`5., "Kilometers"]|>, 
           "Ganymede" -> <|
            "Mass" -> Quantity[
              1.48150100386563183602529`4.995678626217362*^23, "Kilograms"], 
             "Radius" -> Quantity[2631.2`5., "Kilometers"]|>, 
           "Callisto" -> <|
            "Mass" -> Quantity[
              1.07567783404752629528633`4.995678626217362*^23, "Kilograms"], 
             "Radius" -> Quantity[2410.3`5., "Kilometers"]|>, 
           "Themisto" -> <|
            "Mass" -> Quantity[
              6.89221180066526`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Leda" -> <|
            "Mass" -> Quantity[
              1.0937640466273112`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[10.`2., "Kilometers"]|>, 
           "Himalia" -> <|
            "Mass" -> Quantity[
              6.742381109346438525`1.999565922520683*^18, "Kilograms"], 
             "Radius" -> Quantity[85.`2., "Kilometers"]|>, 
           "Lysithea" -> <|
            "Mass" -> Quantity[
              6.2928890353900092`1.999565922520683*^16, "Kilograms"], 
             "Radius" -> Quantity[18.`2., "Kilometers"]|>, 
           "Elara" -> <|
            "Mass" -> Quantity[
              8.6901800964909652`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[43.`2., "Kilometers"]|>, 
           "S/2000 J11" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J12" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Carpo" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Euporie" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "S/2003 J3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J18" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Orthosie" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Euanthe" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Harpalyke" -> <|
            "Mass" -> Quantity[
              1.19864553055047`0.9999565727231415*^14, "Kilograms"], "Radius" -> 
             Quantity[2.2`2., "Kilometers"]|>, 
           "Praxidike" -> <|
            "Mass" -> Quantity[
              4.34509004824548`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.4`2., "Kilometers"]|>, 
           "Thyone" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J16" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Iocaste" -> <|
            "Mass" -> Quantity[
              1.94779898714453`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Mneme" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Hermippe" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Thelxinoe" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Helike" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Ananke" -> <|
            "Mass" -> Quantity[
              2.9966138263761948`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[14.`2., "Kilometers"]|>, 
           "S/2003 J15" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Eurydome" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Arche" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Herse" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Pasithee" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "S/2003 J10" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Chaldene" -> <|
            "Mass" -> Quantity[
              7.4915345659396`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.9`2., "Kilometers"]|>, 
           "Isonoe" -> <|
            "Mass" -> Quantity[
              7.4915345659396`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.9`2., "Kilometers"]|>, 
           "Erinome" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.6`2., "Kilometers"]|>, 
           "Kale" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Aitne" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Taygete" -> <|
            "Mass" -> Quantity[
              1.6481376045069`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.5`2., "Kilometers"]|>, 
           "S/2003 J9" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Carme" -> <|
            "Mass" -> Quantity[
              1.31851008360552575`1.9995659225206786*^17, "Kilograms"], 
             "Radius" -> Quantity[23.`2., "Kilometers"]|>, 
           "Sponde" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Megaclite" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.7`2., "Kilometers"]|>, 
           "S/2003 J5" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "S/2003 J19" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J23" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Kalyke" -> <|
            "Mass" -> Quantity[
              1.94779898714453`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Kore" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Pasiphae" -> <|
            "Mass" -> Quantity[
              2.9966138263761949`1.9995659225206786*^17, "Kilograms"], 
             "Radius" -> Quantity[30.`2., "Kilometers"]|>, 
           "Eukelade" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "S/2003 J4" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Sinope" -> <|
            "Mass" -> Quantity[
              7.4915345659404873`1.9995659225206786*^16, "Kilograms"], 
             "Radius" -> Quantity[19.`2., "Kilometers"]|>, 
           "Hegemone" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Aoede" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Kallichore" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Autonoe" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Callirrhoe" -> <|
            "Mass" -> Quantity[
              8.69018009649097`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[4.3`2., "Kilometers"]|>, 
           "Cyllene" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J2" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>|>, 
         "Saturn" -> <|
          "Tarqeq" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Pan" -> <|
            "Mass" -> Quantity[
              4.944412813520729`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[12.8`3., "Kilometers"]|>, 
           "Daphnis" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.9`2., "Kilometers"]|>, 
           "Atlas" -> <|
            "Mass" -> Quantity[
              2.097629678463337`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[10.`2., "Kilometers"]|>, 
           "Prometheus" -> <|
            "Mass" -> Quantity[
              1.86689041383236942`3.9586073148417764*^17, "Kilograms"], 
             "Radius" -> Quantity[46.8`3., "Kilometers"]|>, 
           "Pandora" -> <|
            "Mass" -> Quantity[
              1.49081537862215657`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[40.6`3., "Kilometers"]|>, 
           "Epimetheus" -> <|
            "Mass" -> Quantity[
              5.25905726529022205`2.9956786262173543*^17, "Kilograms"], 
             "Radius" -> Quantity[58.3`3., "Kilometers"]|>, 
           "Janus" -> <|
            "Mass" -> Quantity[
              1.896856552096131371`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[90.4`3., "Kilometers"]|>, 
           "Aegaeon" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[0.25`2., "Kilometers"]|>, 
           "Mimas" -> <|
            "Mass" -> Quantity[
              3.7907164903658865482`3.9586073148417764*^19, "Kilograms"], 
             "Radius" -> Quantity[198.8`4., "Kilometers"]|>, 
           "Methone" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.6`2., "Kilometers"]|>, 
           "Anthe" -> <|
            "Mass" -> Quantity[5.`1.*^12, "Kilograms"], "Radius" -> 
             Quantity[1.`1., "Kilometers"]|>, 
           "Pallene" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Enceladus" -> <|
            "Mass" -> Quantity[
              1.08027928440861826137`3.9586073148417764*^20, "Kilograms"], 
             "Radius" -> Quantity[252.3`4., "Kilometers"]|>, 
           "Tethys" -> <|
            "Mass" -> Quantity[
              6.17452278924814959099`4.6989700043360205*^20, "Kilograms"], 
             "Radius" -> Quantity[536.3`4., "Kilometers"]|>, 
           "Calypso" -> <|
            "Mass" -> Quantity[
              3.595936591651433`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[9.5`2., "Kilometers"]|>, 
           "Telesto" -> <|
            "Mass" -> Quantity[
              7.191873183302868`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[12.`2., "Kilometers"]|>, 
           "Polydeuces" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.2`2., "Kilometers"]|>, 
           "Dione" -> <|
            "Mass" -> Quantity[
              1.095457133439213688532`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[562.5`4., "Kilometers"]|>, 
           "Helene" -> <|
            "Mass" -> Quantity[
              2.5471217524197656`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[16.`2., "Kilometers"]|>, 
           "Rhea" -> <|
            "Mass" -> Quantity[
              2.308441461148901741032`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[764.5`4., "Kilometers"]|>, 
           "Titan" -> <|
            "Mass" -> Quantity[
              1.34520841449162446435527`4.958607314841778*^23, "Kilograms"], 
             "Radius" -> Quantity[2575.5`5., "Kilometers"]|>, 
           "Hyperion" -> <|
            "Mass" -> Quantity[
              5.543735578795960565`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[133.`4., "Kilometers"]|>, 
           "Iapetus" -> <|
            "Mass" -> Quantity[
              1.805459830391657427108`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[734.5`4., "Kilometers"]|>, 
           "Kiviuq" -> <|
            "Mass" -> Quantity[
              3.296275209013815`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[8.`1., "Kilometers"]|>, 
           "Ijiraq" -> <|
            "Mass" -> Quantity[
              1.198645530550478`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[6.`1., "Kilometers"]|>, 
           "Phoebe" -> <|
            "Mass" -> Quantity[
              8.287135536843366995`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[106.6`4., "Kilometers"]|>, 
           "Paaliaq" -> <|
            "Mass" -> Quantity[
              8.240688022534537`1.999565922520683*^15, "Kilograms"], "Radius" -> 
             Quantity[11.`3., "Kilometers"]|>, 
           "Skathi" -> <|
            "Mass" -> Quantity[
              3.146444517695`1.9995659225206786*^14, "Kilograms"], "Radius" -> 
             Quantity[4.`1., "Kilometers"]|>, 
           "Albiorix" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[16.`2., "Kilometers"]|>, 
           "S/2007 S2" -> <|
            "Mass" -> Quantity[1.5`2.*^14, "Kilograms"], "Radius" -> 
             Quantity[3.`1., "Kilometers"]|>, 
           "Bebhionn" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Erriapo" -> <|
            "Mass" -> Quantity[
              7.64136525725929`1.9995659225206914*^14, "Kilograms"], "Radius" -> 
             Quantity[5.`1., "Kilometers"]|>, 
           "Siarnaq" -> <|
            "Mass" -> Quantity[
              3.8955979742890535`1.999565922520683*^16, "Kilograms"], 
             "Radius" -> Quantity[20.`2., "Kilometers"]|>, 
           "Skoll" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Tarvos" -> <|
            "Mass" -> Quantity[
              2.696952443738576`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[7.5`2., "Kilometers"]|>, 
           "Greip" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S13" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Hyrrokkin" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Mundilfari" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "S/2006 S1" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Jarnsaxa" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Narvi" -> <|
            "Mass" -> Quantity[
              3.44610590033262`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Bergelmir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S17" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Suttungr" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Hati" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S12" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Bestla" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Farbauti" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Thrymr" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "S/2007 S3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.5`2., "Kilometers"]|>, 
           "Aegir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S7" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2006 S3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Kari" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Fenrir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Surtur" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Ymir" -> <|
            "Mass" -> Quantity[
              4.944412813520729`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[9.`1., "Kilometers"]|>, 
           "Loge" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Fornjot" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>|>, 
         "Uranus" -> <|
          "Cordelia" -> <|
            "Mass" -> Quantity[
              4.4949207395642923`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[20.1`3., "Kilometers"]|>, 
           "Ophelia" -> <|
            "Mass" -> Quantity[
              5.3939048874771508`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[21.4`3., "Kilometers"]|>, 
           "Bianca" -> <|
            "Mass" -> Quantity[
              9.2895028617662042`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[25.7`3., "Kilometers"]|>, 
           "Cressida" -> <|
            "Mass" -> Quantity[
              3.43112283120074311`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[39.8`3., "Kilometers"]|>, 
           "Desdemona" -> <|
            "Mass" -> Quantity[
              1.78298522669383596`2.995678626217367*^17, "Kilograms"], 
             "Radius" -> Quantity[32.`3., "Kilometers"]|>, 
           "Juliet" -> <|
            "Mass" -> Quantity[
              5.57370171705972251`2.9956786262173543*^17, "Kilograms"], 
             "Radius" -> Quantity[46.8`3., "Kilometers"]|>, 
           "Portia" -> <|
            "Mass" -> Quantity[
              1.681100356597045339`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[67.6`3., "Kilometers"]|>, 
           "Rosalind" -> <|
            "Mass" -> Quantity[
              2.54712175241976567`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[36.`2., "Kilometers"]|>, 
           "Cupid" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[5.`2., "Kilometers"]|>, 
           "Belinda" -> <|
            "Mass" -> Quantity[
              3.56597045338767194`2.995678626217367*^17, "Kilograms"], 
             "Radius" -> Quantity[40.3`3., "Kilometers"]|>, 
           "Perdita" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Puck" -> <|
            "Mass" -> Quantity[
              2.893230649366216176`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[81.`2., "Kilometers"]|>, 
           "Mab" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[5.`2., "Kilometers"]|>, 
           "Miranda" -> <|
            "Mass" -> Quantity[
              6.5925504180276287794`1.9995659225206872*^19, "Kilograms"], 
             "Radius" -> Quantity[235.8`4., "Kilometers"]|>, 
           "Ariel" -> <|
            "Mass" -> Quantity[
              1.352971142608851997243`2.9956786262173587*^21, "Kilograms"], 
             "Radius" -> Quantity[578.9`4., "Kilometers"]|>, 
           "Umbriel" -> <|
            "Mass" -> Quantity[
              1.171676006113092205807`2.9956786262173587*^21, "Kilograms"], 
             "Radius" -> Quantity[584.7`4., "Kilometers"]|>, 
           "Titania" -> <|
            "Mass" -> Quantity[
              3.525516166731593299572`3.9586073148417764*^21, "Kilograms"], 
             "Radius" -> Quantity[788.9`4., "Kilometers"]|>, 
           "Oberon" -> <|
            "Mass" -> Quantity[
              3.013095202421263971712`3.9586073148417764*^21, "Kilograms"], 
             "Radius" -> Quantity[761.4`4., "Kilometers"]|>, 
           "Francisco" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[11.`2., "Kilometers"]|>, 
           "Caliban" -> <|
            "Mass" -> Quantity[
              7.34170387462167751`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[49.`2., "Kilometers"]|>, 
           "Stephano" -> <|
            "Mass" -> Quantity[
              5.99322765275239`0.9999565727231373*^15, "Kilograms"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Trinculo" -> <|
            "Mass" -> Quantity[
              7.49153456594048`0.9999565727231373*^14, "Kilograms"], "Radius" -> 
             Quantity[5.`1., "Kilometers"]|>, 
           "Sycorax" -> <|
            "Mass" -> Quantity[
              5.378921818345269844`2.9956786262173627*^18, "Kilograms"], 
             "Radius" -> Quantity[95.`2., "Kilometers"]|>, 
           "Margaret" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Prospero" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[15.`2., "Kilometers"]|>, 
           "Setebos" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[15.`2., "Kilometers"]|>, 
           "Ferdinand" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>|>, 
         "Neptune" -> <|
          "Naiad" -> <|
            "Mass" -> Quantity[
              1.94779898714452669`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[33.`2., "Kilometers"]|>, 
           "Thalassa" -> <|
            "Mass" -> Quantity[
              3.74576728297024363`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[41.`2., "Kilometers"]|>, 
           "Despina" -> <|
            "Mass" -> Quantity[
              2.09762967846333643`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[75.`2., "Kilometers"]|>, 
           "Galatea" -> <|
            "Mass" -> Quantity[
              3.745767282970243625`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[88.`2., "Kilometers"]|>, 
           "Larissa" -> <|
            "Mass" -> Quantity[
              4.944412813520721585`1.999565922520683*^18, "Kilograms"], 
             "Radius" -> Quantity[97.`2., "Kilometers"]|>, 
           "Proteus" -> <|
            "Mass" -> Quantity[
              5.0343112283120074311`2.995678626217367*^19, "Kilograms"], 
             "Radius" -> Quantity[210.`3., "Kilometers"]|>, 
           "Triton" -> <|
            "Mass" -> Quantity[
              2.139432441341284348686`4.6989700043360205*^22, "Kilograms"], 
             "Radius" -> Quantity[1353.4`5., "Kilometers"]|>, 
           "Nereid" -> <|
            "Mass" -> Quantity[
              3.0865122411674807466`2.9956786262173587*^19, "Kilograms"], 
             "Radius" -> Quantity[170.`3., "Kilometers"]|>, 
           "Halimede" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[30.`2., "Kilometers"]|>, 
           "Sao" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Laomedeia" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Psamathe" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Neso" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[30.`2., "Kilometers"]|>|>|>|>, "AllowEmbedding" -> True,
      "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[21]} -> 1, {All, "Mercury"} -> 
        1, {All, "Venus"} -> 1, {All, "Earth"} -> 1, {All, "Mars"} -> 
        1, {All, "Jupiter"} -> 1, {All, "Saturn"} -> 1, {All, "Uranus"} -> 
        1, {All, "Neptune"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "Mercury" -> TypeSystem`PackageScope`UnknownShape[False], "Venus" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Earth" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Mars" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Jupiter" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Saturn" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Uranus" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Neptune" -> 
             TypeSystem`PackageScope`UnknownShape[False]|>], 
           DirectedInfinity[1], 8, {All}]]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{
        "Mercury", "Venus", "Earth", "Mars", "Jupiter", "Saturn", "Uranus", 
         "Neptune"}, {
        TypeSystem`AnyType, TypeSystem`AnyType, TypeSystem`AnyType, 
         TypeSystem`AnyType, TypeSystem`AnyType, TypeSystem`AnyType, 
         TypeSystem`AnyType, TypeSystem`AnyType}], 3], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[21]} -> 1, {All, "Mercury"} -> 
        1, {All, "Venus"} -> 1, {All, "Earth"} -> 1, {All, "Mars"} -> 
        1, {All, "Jupiter"} -> 1, {All, "Saturn"} -> 1, {All, "Uranus"} -> 
        1, {All, "Neptune"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "Mercury" -> TypeSystem`PackageScope`UnknownShape[False], "Venus" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Earth" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Mars" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Jupiter" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Saturn" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Uranus" -> 
             TypeSystem`PackageScope`UnknownShape[False], "Neptune" -> 
             TypeSystem`PackageScope`UnknownShape[False]|>], 
           DirectedInfinity[1], 8, {All}]]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{
        "Mercury", "Venus", "Earth", "Mars", "Jupiter", "Saturn", "Uranus", 
         "Neptune"}, {
        TypeSystem`AnyType, TypeSystem`AnyType, TypeSystem`AnyType, 
         TypeSystem`AnyType, TypeSystem`AnyType, TypeSystem`AnyType, 
         TypeSystem`AnyType, TypeSystem`AnyType}], 3], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 8, "DataRowCount" -> 
     3, "DataColumnCount" -> 8, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mercury", 
                  Style[
                  "Mercury", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Mercury"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, "Mercury"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Venus", 
                  Style[
                  "Venus", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Venus"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, "Venus"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Earth", 
                  Style[
                  "Earth", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Earth"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, "Earth"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mars", 
                  Style[
                  "Mars", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Mars"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, "Mars"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Jupiter", 
                  Style[
                  "Jupiter", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Jupiter"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, "Jupiter"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Saturn", 
                  Style[
                  "Saturn", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Saturn"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, "Saturn"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Uranus", 
                  Style[
                  "Uranus", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Uranus"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, "Uranus"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Neptune", 
                  Style[
                  "Neptune", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Neptune"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{All, "Neptune"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mass", 
                  Style[
                  "Mass", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Mass"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"3.30104`6.*^23", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"], 
                 Key["Mercury"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"4.867320000000000000000001`6.*^24", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"], 
                 Key["Venus"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"5.9721986`8.*^24", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"], 
                 Key["Earth"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"6.41693`6.*^23", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"], 
                 Key["Mars"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"1.89813`6.*^27", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"], 
                 Key["Jupiter"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"5.68319`6.*^26", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"], 
                 Key["Saturn"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"8.68103`6.*^25", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"], 
                 Key["Uranus"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"1.0241`6.*^26", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Mass"], 
                 Key["Neptune"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Radius", 
                  Style[
                  "Radius", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Radius"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"2439.7`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"], 
                 Key["Mercury"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"6051.85`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"], 
                 Key["Venus"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "6367.4446571000000000001`8.299868708313456", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"], 
                 Key["Earth"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"3385.595`4.298042852900571", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"], 
                 Key["Mars"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"69173.`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"], 
                 Key["Jupiter"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"57316.`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"], 
                 Key["Saturn"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"25266.`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"], 
                 Key["Uranus"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"24552.5`5", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Radius"], 
                 Key["Neptune"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Moons", 
                  Style[
                  "Moons", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Moons"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Moons"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[<||>, ImageMargins -> {{5, 3}, {4, 5}}]], 
            Item[
             Pane[<||>, ImageMargins -> {{5, 3}, {4, 5}}]], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  
                  Style[<|"Moon" -> <|
                    "Mass" -> Quantity[
                    7.3459006322855173653772`4.995678626217362*^22, 
                    "Kilograms"], "Radius" -> 
                    Quantity[1737.5`5., "Kilometers"]|>|>, 
                   ShowStringCharacters -> False], 
                  Style[
                   
                   Style[<|"Moon" -> <|
                    "Mass" -> Quantity[
                    7.3459006322855173653772`4.995678626217362*^22, 
                    "Kilograms"], "Radius" -> 
                    Quantity[1737.5`5., "Kilometers"]|>|>, 
                    ShowStringCharacters -> False], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Moons"], 
                    Key["Earth"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Moons"], 
                 Key["Earth"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}]], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  
                  Style[<|"Phobos" -> <|
                    "Mass" -> Quantity[
                    1.0724880884600402`3.9586073148417724*^16, "Kilograms"], 
                    "Radius" -> Quantity[11.1`3., "Kilometers"]|>, 
                    "Deimos" -> <|
                    "Mass" -> Quantity[
                    1.468340774924336`1.9995659225206786*^15, "Kilograms"], 
                    "Radius" -> Quantity[6.2`2., "Kilometers"]|>|>, 
                   ShowStringCharacters -> False], 
                  Style[
                   
                   Style[<|"Phobos" -> <|
                    "Mass" -> Quantity[
                    1.0724880884600402`3.9586073148417724*^16, "Kilograms"], 
                    "Radius" -> Quantity[11.1`3., "Kilometers"]|>, 
                    "Deimos" -> <|
                    "Mass" -> Quantity[
                    1.468340774924336`1.9995659225206786*^15, "Kilograms"], 
                    "Radius" -> Quantity[6.2`2., "Kilometers"]|>|>, 
                    ShowStringCharacters -> False], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Moons"], 
                    Key["Mars"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Moons"], 
                 Key["Mars"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}]], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Row[{"\[LeftAssociation] ", 
                    Subscript["\[Ellipsis]", 63], "\[RightAssociation]"}], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Row[{"\[LeftAssociation] ", 
                    Subscript["\[Ellipsis]", 63], "\[RightAssociation]"}], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Moons"], 
                    Key["Jupiter"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Moons"], 
                 Key["Jupiter"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5]}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Row[{"\[LeftAssociation] ", 
                    Subscript["\[Ellipsis]", 61], "\[RightAssociation]"}], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Row[{"\[LeftAssociation] ", 
                    Subscript["\[Ellipsis]", 61], "\[RightAssociation]"}], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Moons"], 
                    Key["Saturn"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Moons"], 
                 Key["Saturn"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5]}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Row[{"\[LeftAssociation] ", 
                    Subscript["\[Ellipsis]", 27], "\[RightAssociation]"}], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Row[{"\[LeftAssociation] ", 
                    Subscript["\[Ellipsis]", 27], "\[RightAssociation]"}], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Moons"], 
                    Key["Uranus"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Moons"], 
                 Key["Uranus"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5]}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Row[{"\[LeftAssociation] ", 
                    Subscript["\[Ellipsis]", 13], "\[RightAssociation]"}], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Row[{"\[LeftAssociation] ", 
                    Subscript["\[Ellipsis]", 13], "\[RightAssociation]"}], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Moons"], 
                    Key["Neptune"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b0d9a293-076c-48b8-9bdf-37355557be99"]][{
                 Key["Moons"], 
                 Key["Neptune"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5]}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{1804., {62.3837890625, 69.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{1804., {62.3837890625, 69.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 PageWidth->1000,
 CellChangeTimes->{{3.768819781221916*^9, 3.76881979428412*^9}, 
   3.768821543257843*^9, 3.768833443857563*^9, 3.7688335772966137`*^9, 
   3.7689050958759108`*^9, 3.768905128654195*^9, 3.768905484014721*^9, 
   3.768905778256577*^9, {3.7700345647518044`*^9, 3.770034619633417*^9}, 
   3.770041996927952*^9, 3.770108501222541*^9, 3.77012259624185*^9, 
   3.770212786031995*^9, 3.770289138840809*^9, 3.771930853165711*^9, 
   3.771935861740494*^9, 3.8173119820936947`*^9, 3.881758441753311*^9},
 CellLabel->"Out[98]=",
 CellID->597176561,ExpressionUUID->"c81803ca-c1ac-4a95-8fca-8aeb23c09d58"]
}, Open  ]],

Cell[TextData[{
 "In a hierarchical ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " such as planets, ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " by default operates on the first two levels. Notice here, for example, \
that the data on each moon is presented as a row."
}], "Text",
 CellChangeTimes->{{3.7688198168290653`*^9, 3.768819834473318*^9}, {
   3.7688198772584887`*^9, 3.7688199028777533`*^9}, {3.7864739441193757`*^9, 
   3.7864739507463756`*^9}, 3.8173120954923964`*^9, {3.86723937879535*^9, 
   3.86723938055906*^9}, 3.868094980450426*^9, {3.869240212312601*^9, 
   3.86924021862162*^9}, {3.87450501982656*^9, 3.87450502483355*^9}, 
   3.897752882843289*^9},
 CellID->557153968,ExpressionUUID->"89701eec-b8aa-41ab-991a-eb18674d0c33"],

Cell[TextData[{
 "Extract parts of a Transposed ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7700420323023567`*^9, 3.770042047253669*^9}, 
   3.7864739622063756`*^9, 3.868094994975662*^9},
 CellID->582314360,ExpressionUUID->"2c88038c-387d-4551-8a46-b46456cdea65"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"\"\<Moons\>\"", ",", "\"\<Mars\>\""}], "]"}], "[", "planetsT", 
  "]"}]], "Input",
 CellChangeTimes->{{3.768819797308593*^9, 3.768819805573338*^9}, {
  3.768819852098242*^9, 3.768819866938339*^9}, {3.7688199150798798`*^9, 
  3.7688199166265*^9}, {3.770034716684744*^9, 3.7700347183187017`*^9}},
 CellLabel->"In[99]:=",
 CellID->599156799,ExpressionUUID->"f30c506a-ba83-4227-a0b0-31e1f665f312"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "Phobos" -> <|
        "Mass" -> Quantity[
          1.0724880884600402`3.9586073148417724*^16, "Kilograms"], "Radius" -> 
         Quantity[11.1`3., "Kilometers"]|>, 
       "Deimos" -> <|
        "Mass" -> Quantity[
          1.468340774924336`1.9995659225206786*^15, "Kilograms"], "Radius" -> 
         Quantity[6.2`2., "Kilometers"]|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[22]} -> 1, {All, "Mass"} -> 
        1, {All, "Radius"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
             TypeSystem`PackageScope`AtomShape[75]|>], 
           DirectedInfinity[1], 2, {All}]]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"Mass", "Radius"}, {
         TypeSystem`Atom[
          Quantity[1, "Kilograms"]], 
         TypeSystem`Atom[
          Quantity[1, "Kilometers"]]}], 2], "Meta" -> <||>, "RowTarget" -> 20,
      "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[22]} -> 1, {All, "Mass"} -> 
        1, {All, "Radius"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
             TypeSystem`PackageScope`AtomShape[75]|>], 
           DirectedInfinity[1], 2, {All}]]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"Mass", "Radius"}, {
         TypeSystem`Atom[
          Quantity[1, "Kilograms"]], 
         TypeSystem`Atom[
          Quantity[1, "Kilometers"]]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     5, "DisplayedColumnCount" -> 2, "DataRowCount" -> 2, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mass", 
                  Style[
                  "Mass", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Mass"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{All, "Mass"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Radius", 
                  Style[
                  "Radius", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Radius"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{All, "Radius"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Phobos", 
                  Style[
                  "Phobos", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Phobos"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{
                 Key["Phobos"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "1.0724880884600402`3.9586073148417724*^16", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{
                 Key["Phobos"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"11.1`3", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{
                 Key["Phobos"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Deimos", 
                  Style[
                  "Deimos", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Deimos"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{
                 Key["Deimos"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "1.468340774924336`1.9995659225206786*^15", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{
                 Key["Deimos"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"6.2`2", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "15533a50-3c26-4d16-8502-646af90a050f"]][{
                 Key["Deimos"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{253., {46.3837890625, 53.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{253., {46.3837890625, 53.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.881758454678405*^9},
 CellLabel->"Out[99]=",
 CellID->1678745764,ExpressionUUID->"b2764cd9-8226-4b4d-8aaf-d289e6c6f8a5"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " has its limits, however, when used with Datasets. Although, as shown next, \
",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " can rearrange deeply nested ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 "-based and certain other conventional Wolfram Language data structures, \
these more elaborate operations do not (yet) work on more deeply nested \
Datasets."
}], "Text",
 CellChangeTimes->{{3.7700418936513767`*^9, 3.770041935371969*^9}, 
   3.770041986290203*^9, 3.7864741153053756`*^9, {3.78647433286546*^9, 
   3.786474333281502*^9}, 3.78672193441516*^9, 3.817312052425624*^9, 
   3.867239420469667*^9, {3.867239706155076*^9, 3.867239766769669*^9}, {
   3.868095015919076*^9, 3.8680950205737333`*^9}, {3.873887250986895*^9, 
   3.87388725262578*^9}, 3.8739742715798163`*^9, {3.8848753910890512`*^9, 
   3.8848753918569813`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1060547653,ExpressionUUID->"cb1372eb-ef34-4d98-a966-773822db98a0"],

Cell[TextData[{
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " (successfully) a ",
 Cell[BoxData[
  RowBox[{"4", "\[Times]", "3", "\[Times]", "2"}]], "InlineMath",
  ExpressionUUID->"b0962ff5-f347-4dd8-9e95-e4eb74c59dbd"],
 " array into a ",
 Cell[BoxData[
  RowBox[{"3", "\[Times]", "2", "\[Times]", "4"}]], "InlineMath",
  ExpressionUUID->"5e9cb38e-751c-4035-8007-4649254a39d3"],
 " array:"
}], "CodeText",
 CellTags->"p: 229",
 CellID->1994311824,ExpressionUUID->"d18be936-dfef-4719-9d4d-eee387d7270e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"array", "=", 
      RowBox[{"Outer", "[", 
       RowBox[{"List", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<A\>\"", ",", "\"\<B\>\"", ",", "\"\<C\>\""}], "}"}]}], 
       "]"}]}], ",", "tarray"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tarray", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"array", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "1", ",", "2"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Echo", "[", 
     RowBox[{"Labeled", "[", 
      RowBox[{
       RowBox[{"MatrixForm", "@", "array"}], ",", 
       RowBox[{
        RowBox[{"StringTemplate", "[", "\"\<Dimensions are: `1`\>\"", "]"}], 
        "[", 
        RowBox[{"Dimensions", "[", "array", "]"}], "]"}]}], "]"}], "]"}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"Labeled", "[", 
     RowBox[{
      RowBox[{"MatrixForm", "@", "tarray"}], ",", 
      RowBox[{
       RowBox[{
       "StringTemplate", "[", "\"\<After Transpose, Dimensions are: `1`\>\"", 
        "]"}], "[", 
       RowBox[{"Dimensions", "[", "tarray", "]"}], "]"}]}], "]"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.867239808115452*^9, 3.86723982207176*^9}, {
   3.867239864045514*^9, 3.867239889008947*^9}, {3.86723992292236*^9, 
   3.8672400962316647`*^9}, 3.8680950589677563`*^9},
 CellLabel->"In[100]:=",
 CellID->846631417,ExpressionUUID->"80299130-d406-4c7a-9b36-cb7aae4d51a7"],

Cell[BoxData[
 TemplateBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", 
      GridBox[{{
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"1"}, {"\"A\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", ")"}], 
         
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"1"}, {"\"B\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", ")"}], 
         
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"1"}, {"\"C\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", 
           ")"}]}, {
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"2"}, {"\"A\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", ")"}], 
         
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"2"}, {"\"B\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", ")"}], 
         
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"2"}, {"\"C\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", 
           ")"}]}, {
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"3"}, {"\"A\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", ")"}], 
         
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"3"}, {"\"B\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", ")"}], 
         
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"3"}, {"\"C\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", 
           ")"}]}, {
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"4"}, {"\"A\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", ")"}], 
         
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"4"}, {"\"B\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", ")"}], 
         
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"4"}, {"\"C\""}}, RowSpacings -> 1, ColumnAlignments -> 
             Center, ColumnAlignments -> Left], Column], "\[NoBreak]", 
           ")"}]}}, RowSpacings -> 1, ColumnSpacings -> 1, RowAlignments -> 
       Baseline, ColumnAlignments -> Center], "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "\"Dimensions are: {4, 3, 2}\""},
  "Labeled",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"]}, {
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, 
    GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
    BaselinePosition -> {1, 1}]& ),
  InterpretationFunction->(RowBox[{"Labeled", "[", 
     RowBox[{#, ",", #2, ",", 
       RowBox[{"{", "}"}]}], "]"}]& )]], "Echo",
 CellChangeTimes->{3.881758474141947*^9},
 CellID->7862799,ExpressionUUID->"e417ba16-2818-4698-b7c0-9e058976c45b"],

Cell[BoxData[
 TemplateBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", 
      GridBox[{{
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"1"}, {"2"}, {"3"}, {"4"}}, ColumnAlignments -> Center, 
             RowSpacings -> 1, ColumnAlignments -> Left], Column], 
           "\[NoBreak]", ")"}], 
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"\"A\""}, {"\"A\""}, {"\"A\""}, {"\"A\""}}, RowSpacings -> 
             1, ColumnAlignments -> Center, ColumnAlignments -> Left], 
            Column], "\[NoBreak]", ")"}]}, {
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"1"}, {"2"}, {"3"}, {"4"}}, ColumnAlignments -> Center, 
             RowSpacings -> 1, ColumnAlignments -> Left], Column], 
           "\[NoBreak]", ")"}], 
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"\"B\""}, {"\"B\""}, {"\"B\""}, {"\"B\""}}, RowSpacings -> 
             1, ColumnAlignments -> Center, ColumnAlignments -> Left], 
            Column], "\[NoBreak]", ")"}]}, {
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"1"}, {"2"}, {"3"}, {"4"}}, ColumnAlignments -> Center, 
             RowSpacings -> 1, ColumnAlignments -> Left], Column], 
           "\[NoBreak]", ")"}], 
         RowBox[{"(", "\[NoBreak]", 
           TagBox[
            
            GridBox[{{"\"C\""}, {"\"C\""}, {"\"C\""}, {"\"C\""}}, RowSpacings -> 
             1, ColumnAlignments -> Center, ColumnAlignments -> Left], 
            Column], "\[NoBreak]", ")"}]}}, RowSpacings -> 1, ColumnSpacings -> 
       1, RowAlignments -> Baseline, ColumnAlignments -> Center], 
      "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], 
   "\"After Transpose, Dimensions are: {3, 2, 4}\""},
  "Labeled",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"]}, {
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, 
    GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
    BaselinePosition -> {1, 1}]& ),
  InterpretationFunction->(RowBox[{"Labeled", "[", 
     RowBox[{#, ",", #2, ",", 
       RowBox[{"{", "}"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.867240061162087*^9, 3.867240096791544*^9}, 
   3.881758474453196*^9},
 CellLabel->"Out[100]=",
 CellID->1153560326,ExpressionUUID->"81228bba-75b4-4f28-95c6-b977c3d74fae"]
}, Open  ]],

Cell[TextData[{
 "Try, unsuccessfully to use the same ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " on a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.867240159651449*^9, 3.8672401773311653`*^9}, 
   3.868095071173881*^9},
 CellID->930360194,ExpressionUUID->"2ed27813-9c4b-44cd-819f-99ae16dab5f2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Transpose", "[", 
  RowBox[{"planets", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.768819780111807*^9, 3.768819791336686*^9}, {
   3.7689050885934258`*^9, 3.76890512804287*^9}, {3.7700345750985107`*^9, 
   3.7700346186142683`*^9}, {3.770041903507545*^9, 3.770041911027432*^9}, {
   3.770041999116012*^9, 3.770042000157205*^9}, 3.817312287077435*^9},
 CellLabel->"In[101]:=",
 CellID->1724452427,ExpressionUUID->"af1a1779-7d1e-4a79-911d-a390c9ed992d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Dataset objects do not support arbitrary transpose \
operations.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Dataset", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Dataset objects do not support arbitrary transpose \
operations.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Dataset", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Dataset, <|
   "MessageTemplate" :> MessageName[Dataset, "trans"], 
    "MessageParameters" -> <|"Symbol" -> Dataset|>|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7700419113939667`*^9, 3.770042000589768*^9, 
  3.7701085013664093`*^9, 3.770122596381152*^9, 3.770212786192409*^9, 
  3.7702891392053947`*^9, 3.771930853348249*^9, 3.7719358867492743`*^9, 
  3.881758487388687*^9},
 CellLabel->"Out[101]=",
 CellID->1715061111,ExpressionUUID->"fe510f14-1775-4e3e-a400-32c5f33c0157"]
}, Open  ]],

Cell[TextData[{
 "If the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is highly regular, however, the ",
 ButtonBox["AssociationTranspose",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " can perform arbitrary transpose operations."
}], "Text",
 CellChangeTimes->{{3.8673257349127893`*^9, 3.8673257970239553`*^9}, {
   3.8673258445504093`*^9, 3.867325859644746*^9}, {3.8673260553480473`*^9, 
   3.867326064650159*^9}, {3.8680951104293633`*^9, 3.868095121433441*^9}, {
   3.870362163193657*^9, 3.870362198371252*^9}, 3.8739748228228035`*^9},
 CellTags->{"LastCellOfAPage", "i:29"},
 CellID->1239008905,ExpressionUUID->"ee6812c7-bebc-4cfc-9ed8-c32f7e54b542"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that has dimensions ",
 Cell[BoxData[
  RowBox[{"3", "\[Times]", "4", "\[Times]", "2"}]], "InlineMath",
  ExpressionUUID->"0e3ae455-afeb-4624-b535-d5c2791e40d6"],
 ":"
}], "CodeText",
 CellTags->"p: 230",
 CellID->739716233,ExpressionUUID->"b9b6db67-74bf-44e2-b29b-7bed08b267c8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{"SeedRandom", "[", "20230110", "]"}], ";", 
   RowBox[{"asc", "=", 
    RowBox[{
     InterpretationBox[
      TagBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    
                    StyleBox["AssociationKeyDeflatten", 
                    "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    
                    StyleBox["AssociationKeyDeflatten", 
                    "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/e8662614-c2e7-483a-ad65-d44c35c9224e/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        #& ,
        TagBoxNote->" "],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "AssociationKeyDeflatten"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "AssociationKeyDeflatten", "ShortName" -> 
         "AssociationKeyDeflatten", "UUID" -> 
         "e8662614-c2e7-483a-ad65-d44c35c9224e", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Deflatten the keys in a flat Association to create a nested \
Association", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$a5b096a82d754179aaf6b245897ad2fa`\
AssociationKeyDeflatten", "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/obj/12ecac2e-7661-4c9c-a757-\
3cb216139675"]|>, {
        ResourceSystemBase -> 
         "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
      Selectable->False], "@", 
     RowBox[{"AssociationThread", "[", 
      RowBox[{
       RowBox[{"Tuples", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "\"\<\[Mars]\>\"", ",", "\"\<\[Venus]\>\"", ",", 
            "\"\<\:26a7\>\""}], "}"}], ",", 
          RowBox[{"CharacterRange", "[", 
           RowBox[{"\"\<a\>\"", ",", "\"\<d\>\""}], "]"}], ",", 
          RowBox[{"CharacterRange", "[", 
           RowBox[{"\"\<\[Alpha]\>\"", ",", "\"\<\[Beta]\>\""}], "]"}]}], 
         "}"}], "]"}], ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{"1", ",", "24"}], "]"}]}], "]"}]}]}], ";", "\n", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"ds", "=", 
      RowBox[{"Dataset", "[", "asc", "]"}]}], ")"}], "//", 
    RowBox[{
     RowBox[{"Labeled", "[", 
      RowBox[{"#", ",", 
       RowBox[{
        RowBox[{
        "StringTemplate", "[", "\"\<Dimensions of this Dataset are: `1`\>\"", 
         "]"}], "[", 
        RowBox[{"Dimensions", "[", "#", "]"}], "]"}]}], "]"}], "&"}]}]}], 
  ")"}]], "Input",
 CellChangeTimes->{{3.867325809420638*^9, 3.867325840204986*^9}, {
  3.8817585080246077`*^9, 3.8817585477757807`*^9}, {3.882461355626782*^9, 
  3.882461403262587*^9}},
 CellLabel->"In[44]:=",
 CellID->1567537896,ExpressionUUID->"282af622-634f-4311-bf1d-f5decb8af8a8"],

Cell[BoxData[
 TemplateBox[{
   TagBox[
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> <|
          "\[Mars]" -> <|
            "a" -> <|"\[Alpha]" -> 0.6091648539882464, "\[Beta]" -> 
               0.7674166041107833|>, 
             "b" -> <|"\[Alpha]" -> 0.2179780532840805, "\[Beta]" -> 
               0.007191538068280323|>, 
             "c" -> <|"\[Alpha]" -> 0.3234816748069682, "\[Beta]" -> 
               0.22390764620749715`|>, 
             "d" -> <|"\[Alpha]" -> 0.2955377452717438, "\[Beta]" -> 
               0.17694013924893204`|>|>, 
           "\[Venus]" -> <|
            "a" -> <|"\[Alpha]" -> 0.024057407348425652`, "\[Beta]" -> 
               0.8174910587768416|>, 
             "b" -> <|"\[Alpha]" -> 0.31621591835312035`, "\[Beta]" -> 
               0.2848871686971197|>, 
             "c" -> <|"\[Alpha]" -> 0.8232074581628257, "\[Beta]" -> 
               0.30686336339060616`|>, 
             "d" -> <|"\[Alpha]" -> 0.4970862589051932, "\[Beta]" -> 
               0.1292543215594677|>|>, 
           "\:26a7" -> <|
            "a" -> <|"\[Alpha]" -> 0.13882224692905076`, "\[Beta]" -> 
               0.06103038362393853|>, 
             "b" -> <|"\[Alpha]" -> 0.9836824196453424, "\[Beta]" -> 
               0.3187793599251265|>, 
             "c" -> <|"\[Alpha]" -> 0.9395452238837005, "\[Beta]" -> 
               0.25086120936489653`|>, 
             "d" -> <|"\[Alpha]" -> 0.5125243189640638, "\[Beta]" -> 
               0.23409829831790807`|>|>|>, "AllowEmbedding" -> True, 
         "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[5]} -> 
            1, {All, "a"} -> <|{All, "a", "\[Alpha]"} -> 
              1, {All, "a", "\[Beta]"} -> 1|>, {
             All, "b"} -> <|{All, "b", "\[Alpha]"} -> 
              1, {All, "b", "\[Beta]"} -> 1|>, {
             All, "c"} -> <|{All, "c", "\[Alpha]"} -> 
              1, {All, "c", "\[Beta]"} -> 1|>, {
             All, "d"} -> <|{All, "d", "\[Alpha]"} -> 
              1, {All, "d", "\[Beta]"} -> 1|>|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`AtomShape[33.6], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "a" -> TypeSystem`PackageScope`Limited[
                   
                   TypeSystem`PackageScope`RowShape[<|
                    "\[Alpha]" -> TypeSystem`PackageScope`AtomShape[60], 
                    "\[Beta]" -> TypeSystem`PackageScope`AtomShape[60]|>], 
                   DirectedInfinity[1], 2, {All, "a"}], "b" -> 
                 TypeSystem`PackageScope`Limited[
                   
                   TypeSystem`PackageScope`RowShape[<|
                    "\[Alpha]" -> TypeSystem`PackageScope`AtomShape[60], 
                    "\[Beta]" -> TypeSystem`PackageScope`AtomShape[60]|>], 
                   DirectedInfinity[1], 2, {All, "b"}], "c" -> 
                 TypeSystem`PackageScope`Limited[
                   
                   TypeSystem`PackageScope`RowShape[<|
                    "\[Alpha]" -> TypeSystem`PackageScope`AtomShape[60], 
                    "\[Beta]" -> TypeSystem`PackageScope`AtomShape[60]|>], 
                   DirectedInfinity[1], 2, {All, "c"}], "d" -> 
                 TypeSystem`PackageScope`Limited[
                   
                   TypeSystem`PackageScope`RowShape[<|
                    "\[Alpha]" -> TypeSystem`PackageScope`AtomShape[60], 
                    "\[Beta]" -> TypeSystem`PackageScope`AtomShape[60]|>], 
                   DirectedInfinity[1], 2, {All, "d"}]|>], 
               DirectedInfinity[1], 4, {All}]]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
           TypeSystem`Atom[String], 
           TypeSystem`Struct[{"a", "b", "c", "d"}, {
             TypeSystem`Struct[{"\[Alpha]", "\[Beta]"}, {
               TypeSystem`Atom[Real], 
               TypeSystem`Atom[Real]}], 
             TypeSystem`Struct[{"\[Alpha]", "\[Beta]"}, {
               TypeSystem`Atom[Real], 
               TypeSystem`Atom[Real]}], 
             TypeSystem`Struct[{"\[Alpha]", "\[Beta]"}, {
               TypeSystem`Atom[Real], 
               TypeSystem`Atom[Real]}], 
             TypeSystem`Struct[{"\[Alpha]", "\[Beta]"}, {
               TypeSystem`Atom[Real], 
               TypeSystem`Atom[Real]}]}], 3], "Meta" -> <||>, "RowTarget" -> 
         20, "ColumnTarget" -> 10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[5]} -> 
            1, {All, "a"} -> <|{All, "a", "\[Alpha]"} -> 
              1, {All, "a", "\[Beta]"} -> 1|>, {
             All, "b"} -> <|{All, "b", "\[Alpha]"} -> 
              1, {All, "b", "\[Beta]"} -> 1|>, {
             All, "c"} -> <|{All, "c", "\[Alpha]"} -> 
              1, {All, "c", "\[Beta]"} -> 1|>, {
             All, "d"} -> <|{All, "d", "\[Alpha]"} -> 
              1, {All, "d", "\[Beta]"} -> 1|>|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`AtomShape[33.6], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "a" -> TypeSystem`PackageScope`Limited[
                   
                   TypeSystem`PackageScope`RowShape[<|
                    "\[Alpha]" -> TypeSystem`PackageScope`AtomShape[60], 
                    "\[Beta]" -> TypeSystem`PackageScope`AtomShape[60]|>], 
                   DirectedInfinity[1], 2, {All, "a"}], "b" -> 
                 TypeSystem`PackageScope`Limited[
                   
                   TypeSystem`PackageScope`RowShape[<|
                    "\[Alpha]" -> TypeSystem`PackageScope`AtomShape[60], 
                    "\[Beta]" -> TypeSystem`PackageScope`AtomShape[60]|>], 
                   DirectedInfinity[1], 2, {All, "b"}], "c" -> 
                 TypeSystem`PackageScope`Limited[
                   
                   TypeSystem`PackageScope`RowShape[<|
                    "\[Alpha]" -> TypeSystem`PackageScope`AtomShape[60], 
                    "\[Beta]" -> TypeSystem`PackageScope`AtomShape[60]|>], 
                   DirectedInfinity[1], 2, {All, "c"}], "d" -> 
                 TypeSystem`PackageScope`Limited[
                   
                   TypeSystem`PackageScope`RowShape[<|
                    "\[Alpha]" -> TypeSystem`PackageScope`AtomShape[60], 
                    "\[Beta]" -> TypeSystem`PackageScope`AtomShape[60]|>], 
                   DirectedInfinity[1], 2, {All, "d"}]|>], 
               DirectedInfinity[1], 4, {All}]]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
           TypeSystem`Atom[String], 
           TypeSystem`Struct[{"a", "b", "c", "d"}, {
             TypeSystem`Struct[{"\[Alpha]", "\[Beta]"}, {
               TypeSystem`Atom[Real], 
               TypeSystem`Atom[Real]}], 
             TypeSystem`Struct[{"\[Alpha]", "\[Beta]"}, {
               TypeSystem`Atom[Real], 
               TypeSystem`Atom[Real]}], 
             TypeSystem`Struct[{"\[Alpha]", "\[Beta]"}, {
               TypeSystem`Atom[Real], 
               TypeSystem`Atom[Real]}], 
             TypeSystem`Struct[{"\[Alpha]", "\[Beta]"}, {
               TypeSystem`Atom[Real], 
               TypeSystem`Atom[Real]}]}], 3], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, 
         "DataRowCount" -> 3, "DataColumnCount" -> 4, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   Mouseover[
                    
                    Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]], 
                    Graphics[{
                    GrayLevel[0.6], 
                    
                    Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{All, Keys}, 
                    "KeyDummy", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["a", 
                    Style[
                    "a", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "a"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{All, "a"}, 
                    "ColumnHeader", False], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Center, Baseline}], 
                SpanFromLeft, 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["b", 
                    Style[
                    "b", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "b"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{All, "b"}, 
                    "ColumnHeader", False], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Center, Baseline}], 
                SpanFromLeft, 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["c", 
                    Style[
                    "c", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "c"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{All, "c"}, 
                    "ColumnHeader", False], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Center, Baseline}], 
                SpanFromLeft, 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["d", 
                    Style[
                    "d", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "d"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{All, "d"}, 
                    "ColumnHeader", False], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Center, Baseline}], 
                SpanFromLeft}, {SpanFromAbove, 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Alpha]", 
                    Style[
                    "\[Alpha]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "a", "\[Alpha]"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    All, "a", "\[Alpha]"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Beta]", 
                    Style[
                    "\[Beta]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "a", "\[Beta]"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    All, "a", "\[Beta]"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Alpha]", 
                    Style[
                    "\[Alpha]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "b", "\[Alpha]"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    All, "b", "\[Alpha]"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Beta]", 
                    Style[
                    "\[Beta]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "b", "\[Beta]"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    All, "b", "\[Beta]"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Alpha]", 
                    Style[
                    "\[Alpha]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "c", "\[Alpha]"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    All, "c", "\[Alpha]"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Beta]", 
                    Style[
                    "\[Beta]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "c", "\[Beta]"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    All, "c", "\[Beta]"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Alpha]", 
                    Style[
                    "\[Alpha]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "d", "\[Alpha]"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    All, "d", "\[Alpha]"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Beta]", 
                    Style[
                    "\[Beta]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "d", "\[Beta]"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    All, "d", "\[Beta]"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Mars]", 
                    Style[
                    "\[Mars]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Mars]"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.609165"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"], 
                    Key["a"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.767417"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"], 
                    Key["a"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.217978"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"], 
                    Key["b"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.00719154"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"], 
                    Key["b"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.323482"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"], 
                    Key["c"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.223908"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"], 
                    Key["c"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.295538"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"], 
                    Key["d"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.17694"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Mars]"], 
                    Key["d"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\[Venus]", 
                    Style[
                    "\[Venus]", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Venus]"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.0240574"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"], 
                    Key["a"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.817491"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"], 
                    Key["a"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.316216"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"], 
                    Key["b"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.284887"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"], 
                    Key["b"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.823207"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"], 
                    Key["c"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.306863"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"], 
                    Key["c"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.497086"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"], 
                    Key["d"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.129254"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\[Venus]"], 
                    Key["d"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["\:26a7", 
                    Style[
                    "\:26a7", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\:26a7"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.138822"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"], 
                    Key["a"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.0610304"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"], 
                    Key["a"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.983682"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"], 
                    Key["b"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.318779"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"], 
                    Key["b"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.939545"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"], 
                    Key["c"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.250861"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"], 
                    Key["c"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.512524"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"], 
                    Key["d"], 
                    Key["\[Alpha]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["0.234098"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "20c0c946-d58c-4984-a9dc-3de87f4059d7"]][{
                    Key["\:26a7"], 
                    Key["d"], 
                    Key["\[Beta]"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{60, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             
             Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {594., {73.3837890625, 80.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {594., {73.3837890625, 80.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"], 
    Dataset`InterpretDataset[1], Editable -> False, SelectWithContents -> 
    True, Selectable -> False], 
   "\"Dimensions of this Dataset are: {3, 4, 2}\""},
  "Labeled",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"]}, {
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, 
    GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
    BaselinePosition -> {1, 1}]& ),
  InterpretationFunction->(RowBox[{"Labeled", "[", 
     RowBox[{#, ",", #2, ",", 
       RowBox[{"{", "}"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.867325821659563*^9, 3.8673258405721073`*^9}, 
   3.881758496785671*^9, 3.881758550187031*^9, {3.882461406519333*^9, 
   3.882461412548254*^9}},
 CellLabel->"Out[44]=",
 CellID->634280015,ExpressionUUID->"e1929fcc-314e-4fdb-b3df-800e185cf382"]
}, Open  ]],

Cell[TextData[{
 "If I want the ",
 ButtonBox["Dimensions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dimensions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dimensions.html"],
 " of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to instead be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Times]", "3", "\[Times]", "4"}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"63160e7a-42bf-4df7-9af7-1e49921708a9"],
 ", I can get the contents of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 ", use an ",
 ButtonBox["AssociationTranspose",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"],
 " on it with ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"2", ",", "3", ",", "1"}], "}"}]], "InlineCodeText",ExpressionUUID->
  "3dbb8376-4235-459d-9021-fff660aa48d5"],
 " as the second argument, and then re-convert the resulting expression into \
a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellID->223644140,ExpressionUUID->"acfd293e-e2cf-4270-b5d7-6344c6712698"],

Cell[TextData[{
 "Use ",
 ButtonBox["AssociationTranspose",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"],
 " to perform an arbitrary transposition on the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and then convert the result back into a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.874505068696203*^9, 3.874505148943097*^9}},
 CellID->1956603799,ExpressionUUID->"eb56f59d-c43b-422e-a257-81b623d50500"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["AssociationTranspose", "ResourceFunctionLabel"], 
                 " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["AssociationTranspose", "ResourceFunctionLabel"],
                     " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/AssociationTranspose"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "AssociationTranspose"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "AssociationTranspose", "ShortName" -> "AssociationTranspose",
        "UUID" -> "975b0a86-6135-4959-97ac-9d46e97dbdaf", "ResourceType" -> 
       "Function", "Version" -> "1.0.0", "Description" -> 
       "Transpose the levels of an Association with nested levels", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$5ca0c0e6ee5c4521a1ead97f2c19c656`\
AssociationTranspose", "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/acb613c2-d806-458b-b1d2-\
137c5a321e22"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{
    RowBox[{"Normal", "[", "ds", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8673258694729958`*^9, 3.867325898552699*^9}, {
  3.8673259333304987`*^9, 3.867325934326414*^9}},
 CellLabel->"In[46]:=",
 CellID->1021383639,ExpressionUUID->"3eb8472e-49a7-40f3-bfef-881d87fba405"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "\[Alpha]" -> <|
        "\[Mars]" -> <|
          "a" -> 0.6091648539882464, "b" -> 0.2179780532840805, "c" -> 
           0.3234816748069682, "d" -> 0.2955377452717438|>, 
         "\[Venus]" -> <|
          "a" -> 0.024057407348425652`, "b" -> 0.31621591835312035`, "c" -> 
           0.8232074581628257, "d" -> 0.4970862589051932|>, 
         "\:26a7" -> <|
          "a" -> 0.13882224692905076`, "b" -> 0.9836824196453424, "c" -> 
           0.9395452238837005, "d" -> 0.5125243189640638|>|>, 
       "\[Beta]" -> <|
        "\[Mars]" -> <|
          "a" -> 0.7674166041107833, "b" -> 0.007191538068280323, "c" -> 
           0.22390764620749715`, "d" -> 0.17694013924893204`|>, 
         "\[Venus]" -> <|
          "a" -> 0.8174910587768416, "b" -> 0.2848871686971197, "c" -> 
           0.30686336339060616`, "d" -> 0.1292543215594677|>, 
         "\:26a7" -> <|
          "a" -> 0.06103038362393853, "b" -> 0.3187793599251265, "c" -> 
           0.25086120936489653`, "d" -> 0.23409829831790807`|>|>|>, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[7]} -> 1, {All, "\[Mars]"} -> 
        2, {All, "\[Venus]"} -> 2, {All, "\:26a7"} -> 2|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "\[Mars]" -> TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[31.5], 
                 TypeSystem`PackageScope`AtomShape[60]]], 4, 
               DirectedInfinity[1], {All, "\[Mars]"}], "\[Venus]" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[31.5], 
                 TypeSystem`PackageScope`AtomShape[60]]], 4, 
               DirectedInfinity[1], {All, "\[Venus]"}], "\:26a7" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[31.5], 
                 TypeSystem`PackageScope`AtomShape[60]]], 4, 
               DirectedInfinity[1], {All, "\:26a7"}]|>], 
           DirectedInfinity[1], 3, {All}]]], 2, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"\[Mars]", "\[Venus]", "\:26a7"}, {
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["a", "b", "c", "d"]], 
          TypeSystem`Atom[Real], 4], 
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["a", "b", "c", "d"]], 
          TypeSystem`Atom[Real], 4], 
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["a", "b", "c", "d"]], 
          TypeSystem`Atom[Real], 4]}], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[7]} -> 1, {All, "\[Mars]"} -> 
        2, {All, "\[Venus]"} -> 2, {All, "\:26a7"} -> 2|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "\[Mars]" -> TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[31.5], 
                 TypeSystem`PackageScope`AtomShape[60]]], 4, 
               DirectedInfinity[1], {All, "\[Mars]"}], "\[Venus]" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[31.5], 
                 TypeSystem`PackageScope`AtomShape[60]]], 4, 
               DirectedInfinity[1], {All, "\[Venus]"}], "\:26a7" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[31.5], 
                 TypeSystem`PackageScope`AtomShape[60]]], 4, 
               DirectedInfinity[1], {All, "\:26a7"}]|>], 
           DirectedInfinity[1], 3, {All}]]], 2, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"\[Mars]", "\[Venus]", "\:26a7"}, {
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["a", "b", "c", "d"]], 
          TypeSystem`Atom[Real], 4], 
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["a", "b", "c", "d"]], 
          TypeSystem`Atom[Real], 4], 
         TypeSystem`Assoc[
          TypeSystem`Atom[
           TypeSystem`Enumeration["a", "b", "c", "d"]], 
          TypeSystem`Atom[Real], 4]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     2, "DisplayedColumnCount" -> 3, "DataRowCount" -> 2, "DataColumnCount" -> 
     3, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\[Mars]", 
                  Style[
                  "\[Mars]", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "\[Mars]"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{All, "\[Mars]"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], SpanFromLeft, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\[Venus]", 
                  Style[
                  "\[Venus]", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "\[Venus]"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{All, "\[Venus]"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], SpanFromLeft, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\:26a7", 
                  Style[
                  "\:26a7", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "\:26a7"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{All, "\:26a7"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], 
            SpanFromLeft}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\[Alpha]", 
                  Style[
                  "\[Alpha]", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\[Mars]"], 
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Mars]"], 
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.609165"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Mars]"], 
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\[Venus]"], 
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Venus]"], 
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.0240574"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Venus]"], 
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\:26a7"], 
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\:26a7"], 
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.138822"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\:26a7"], 
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\[Mars]"], 
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Mars]"], 
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.217978"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Mars]"], 
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\[Venus]"], 
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Venus]"], 
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.316216"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Venus]"], 
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\:26a7"], 
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\:26a7"], 
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.983682"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\:26a7"], 
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["c", 
                  Style[
                  "c", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\[Mars]"], 
                    Key["c"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Mars]"], 
                 Key["c"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.323482"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Mars]"], 
                 Key["c"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["c", 
                  Style[
                  "c", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\[Venus]"], 
                    Key["c"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Venus]"], 
                 Key["c"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.823207"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Venus]"], 
                 Key["c"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["c", 
                  Style[
                  "c", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\:26a7"], 
                    Key["c"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\:26a7"], 
                 Key["c"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.939545"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\:26a7"], 
                 Key["c"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["d", 
                  Style[
                  "d", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\[Mars]"], 
                    Key["d"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Mars]"], 
                 Key["d"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.295538"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Mars]"], 
                 Key["d"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["d", 
                  Style[
                  "d", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\[Venus]"], 
                    Key["d"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Venus]"], 
                 Key["d"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.497086"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\[Venus]"], 
                 Key["d"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["d", 
                  Style[
                  "d", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Alpha]"], 
                    Key["\:26a7"], 
                    Key["d"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\:26a7"], 
                 Key["d"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.512524"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Alpha]"], 
                 Key["\:26a7"], 
                 Key["d"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\[Beta]", 
                  Style[
                  "\[Beta]", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\[Mars]"], 
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Mars]"], 
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.767417"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Mars]"], 
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\[Venus]"], 
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Venus]"], 
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.817491"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Venus]"], 
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\:26a7"], 
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\:26a7"], 
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.0610304"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\:26a7"], 
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\[Mars]"], 
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Mars]"], 
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.00719154"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Mars]"], 
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\[Venus]"], 
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Venus]"], 
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.284887"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Venus]"], 
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\:26a7"], 
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\:26a7"], 
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.318779"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\:26a7"], 
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["c", 
                  Style[
                  "c", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\[Mars]"], 
                    Key["c"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Mars]"], 
                 Key["c"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.223908"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Mars]"], 
                 Key["c"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["c", 
                  Style[
                  "c", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\[Venus]"], 
                    Key["c"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Venus]"], 
                 Key["c"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.306863"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Venus]"], 
                 Key["c"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["c", 
                  Style[
                  "c", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\:26a7"], 
                    Key["c"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\:26a7"], 
                 Key["c"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.250861"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\:26a7"], 
                 Key["c"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["d", 
                  Style[
                  "d", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\[Mars]"], 
                    Key["d"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Mars]"], 
                 Key["d"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.17694"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Mars]"], 
                 Key["d"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["d", 
                  Style[
                  "d", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\[Venus]"], 
                    Key["d"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Venus]"], 
                 Key["d"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.129254"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\[Venus]"], 
                 Key["d"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["d", 
                  Style[
                  "d", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["\[Beta]"], 
                    Key["\:26a7"], 
                    Key["d"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\:26a7"], 
                 Key["d"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["0.234098"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bba166de-399d-453f-a97c-74b9fa7b7ada"]][{
                 Key["\[Beta]"], 
                 Key["\:26a7"], 
                 Key["d"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{374., {127.3837890625, 134.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{374., {127.3837890625, 134.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.867325891589857*^9, 3.8673258989097567`*^9}, 
   3.867325934806929*^9, 3.881758599351853*^9, {3.8824614251132917`*^9, 
   3.882461428082458*^9}},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[46]=",
 CellID->1038292147,ExpressionUUID->"8eae2867-e99d-4953-b9e1-0745652aa312"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "The ",
 StyleBox[ButtonBox["Merge",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Method"
}], "Subsubsection",
 CellTags->"p: 231",
 CellID->953359415,ExpressionUUID->"6f7ac768-fb3f-445a-a141-905640dc34ba"],

Cell[TextData[{
 "A second method for switching to a column orientation is to rely on ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Merge",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"], 
   "\[ThickSpace]", 
   StyleBox["[", "InlineCodeText"], 
   ButtonBox[
    RowBox[{"\[ThickSpace]", "Identity"}],
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"], 
   "\[ThickSpace]", 
   StyleBox["]", "InlineCodeText",
    FontSize->16]}]],ExpressionUUID->"00d9613c-f931-4943-87b9-4fa6d2d8f35e"],
 "."
}], "Text",
 CellTags->"i:30",
 CellID->353071623,ExpressionUUID->"965e0500-a084-42d3-905c-5679ec34e334"],

Cell[TextData[{
 "Use ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " with an ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 " combiner to turn row-oriented Datasets that are Lists of Associations into \
column-oriented Datasets that are Associations of Lists:"
}], "CodeText",
 CellChangeTimes->{{3.770042118341312*^9, 3.770042198197192*^9}, {
   3.7864743833265057`*^9, 3.786474402245397*^9}, {3.78647443717389*^9, 
   3.786474446798852*^9}, 3.8173132250875053`*^9, 3.8673147193194942`*^9},
 CellID->1751340149,ExpressionUUID->"47759668-ad40-4591-900b-8056b4f9e36d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"Merge", "[", "Identity", "]"}], "]"}], "[", "lifeboatDS", "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7688200303605337`*^9, 3.768820085048698*^9}, 
   3.77003053903196*^9},
 CellLabel->"In[108]:=",
 CellID->1803517045,ExpressionUUID->"a44700aa-2924-4446-aa01-793d62dff294"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"3rd\"\>", ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", ",", "\<\"1st\"\>", 
      ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"2nd\"\>", ",", "\<\"3rd\"\>", ",", "\<\"2nd\"\>", 
      ",", "\<\"2nd\"\>"}], "}"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"16", ",", "65", ",", "2", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "18", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "22", ",", "48", ",", "14", ",", 
      "44", ",", "33", ",", "39", ",", "19", ",", "29", ",", "46", ",", 
      RowBox[{"Missing", "[", "]"}], ",", 
      RowBox[{"Missing", "[", "]"}], ",", "22", ",", "22", ",", "56", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "50"}], "}"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"male\"\>", ",", "\<\"female\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>", 
      ",", "\<\"female\"\>"}], "}"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "True", ",", "False", ",", "False", ",", "True", ",", "False", ",", 
      "False", ",", "True", ",", "True", ",", "False", ",", "False", ",", 
      "False", ",", "False", ",", "True", ",", "True", ",", "False", ",", 
      "False", ",", "True", ",", "False", ",", "True", ",", "False", ",", 
      "False", ",", "True"}], "}"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.768820040801571*^9, 3.768820085820689*^9}, 
   3.768821543524212*^9, 3.768833444043025*^9, 3.768833577558429*^9, 
   3.7689054841982937`*^9, 3.768905778444178*^9, 3.770034943983425*^9, 
   3.770108501384218*^9, 3.7701225964246492`*^9, 3.770212786238183*^9, 
   3.770289139271175*^9, 3.771930853399838*^9, 3.771935898073023*^9, 
   3.881758618961185*^9},
 CellLabel->"Out[108]=",
 CellID->1134670178,ExpressionUUID->"f02a56e1-6c15-4bc2-88e0-01dcd27a70d3"]
}, Open  ]],

Cell[TextData[{
 "Reliance on ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " provides some additional capabilities. Here, I get the frequency \
distribution of each column. In the Wolfram Language front end, the output is \
dynamic and one can click on the rows or individual data items to drill down \
and get detailed information."
}], "Text",
 CellChangeTimes->{{3.7688200975764236`*^9, 3.768820126636682*^9}, {
   3.770034984157349*^9, 3.770035020083218*^9}, 3.7864745626344347`*^9, 
   3.7867219400391607`*^9, 3.8739751555239964`*^9, 3.896513430402348*^9},
 CellID->1279832958,ExpressionUUID->"507caf16-d14b-4b9a-bf44-90b61995bf6b"],

Cell[TextData[{
 "Use ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " with the ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " combiner to get the distribution of values for each column; compose the ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " with KeySorts to order the values:"
}], "CodeText",
 CellChangeTimes->{{3.770042202999752*^9, 3.770042218171712*^9}, {
   3.7864746929724674`*^9, 3.786474698872057*^9}, {3.867314788343539*^9, 
   3.867314808572509*^9}, 3.868105250390728*^9},
 CellID->1330780807,ExpressionUUID->"e0a9c93c-7dbc-4f9e-bdcd-f65da819ec34"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"Merge", "[", 
    RowBox[{"Counts", "/*", "KeySort"}], "]"}], "]"}], "[", "lifeboatDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.768820128506627*^9, 3.768820147896583*^9}, 
   3.7700305390365963`*^9, {3.770034970096018*^9, 3.770034979621286*^9}, {
   3.867314765680797*^9, 3.8673147834546547`*^9}},
 CellLabel->"In[109]:=",
 CellID->1788500394,ExpressionUUID->"ebd4d2ba-e7c0-4171-8cbe-a8fe1d622d15"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "class" -> <|"1st" -> 3, "2nd" -> 6, "3rd" -> 13|>, 
       "age" -> <|
        2 -> 1, 14 -> 1, 16 -> 1, 18 -> 1, 19 -> 1, 22 -> 3, 29 -> 1, 33 -> 1,
          39 -> 1, 44 -> 1, 46 -> 1, 48 -> 1, 50 -> 1, 56 -> 1, 65 -> 1, 
         Missing[] -> 5|>, "sex" -> <|"female" -> 10, "male" -> 12|>, 
       "survived" -> <|False -> 13, True -> 9|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[89.60000000000001], 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`KeyValueShape[
            TypeSystem`PackageScope`UnknownShape[True], 
            TypeSystem`PackageScope`AtomShape[34]]], 5, 
          DirectedInfinity[1], {All}]]], 4, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Assoc[TypeSystem`AnyType, 
        TypeSystem`Atom[Integer], TypeSystem`AnyLength], 4], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[89.60000000000001], 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`KeyValueShape[
            TypeSystem`PackageScope`UnknownShape[True], 
            TypeSystem`PackageScope`AtomShape[34]]], 5, 
          DirectedInfinity[1], {All}]]], 4, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Assoc[TypeSystem`AnyType, 
        TypeSystem`Atom[Integer], TypeSystem`AnyLength], 4], "Path" -> {}, 
     "DisplayedRowCount" -> 4, "DisplayedColumnCount" -> 1, "DataRowCount" -> 
     4, "DataColumnCount" -> 1, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["class"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["class"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{89.60000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["class"], 
                 Key["1st"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["class"], 
                 Key["1st"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["class"], 
                 Key["2nd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["class"], 
                 Key["2nd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["class"], 
                 Key["3rd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["13"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["class"], 
                 Key["3rd"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["age"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{89.60000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[2]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[2]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               RawBoxes["14"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[14]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[14]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[16]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[16]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[18]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[18]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               RawBoxes["19"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[19]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"], 
                 Key[19]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Superscript["16 total \:203a ", ""], 
                  Style[
                   Superscript["16 total \:203a ", ""], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["age"]}, 2]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {{
                RGBColor[
                0.5098039215686274, 0.5098039215686274, 0.5098039215686274], 
                8}, ContextMenu -> {
                 MenuItem["Show 1 More Row at This Level", 
                  KernelExecute[
                   
                   TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimitBy[#, 
                    1]& , {All}]], MenuEvaluator -> Automatic], 
                 MenuItem["Show 5 More Rows at This Level", 
                  KernelExecute[
                   
                   TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimitBy[#, 
                    5]& , {All}]], MenuEvaluator -> Automatic], Delimiter, 
                 MenuItem["Show 1 Fewer Row at This Level", 
                  KernelExecute[
                   
                   TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimitBy[#, -1]& \
, {All}]], MenuEvaluator -> Automatic], 
                 MenuItem["Show 5 Fewer Rows at This Level", 
                  KernelExecute[
                   
                   TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimitBy[#, -5]& \
, {All}]], MenuEvaluator -> Automatic]}}, Alignment -> {Left, Baseline}, 
             Background -> GrayLevel[0.98]], SpanFromLeft}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["sex"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["sex"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{89.60000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["sex"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["10"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["sex"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["sex"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["12"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["sex"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["survived"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["survived"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{89.60000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["survived"], 
                 Key[False]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["13"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["survived"], 
                 Key[False]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["survived"], 
                 Key[True]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["9"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "1c651630-0049-4d85-af6a-e4f32ecf6971"]][{
                 Key["survived"], 
                 Key[True]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{218., {177.8837890625, 185.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{218., {177.8837890625, 185.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.7700349800591087`*^9, 3.7701085014560127`*^9, 3.770122596491406*^9, 
   3.770212786298349*^9, 3.770289139391468*^9, 3.771930853444422*^9, 
   3.7719359109233093`*^9, 3.817313362081889*^9, {3.8673147546698627`*^9, 
   3.8673147838264217`*^9}, 3.88175863974756*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[109]=",
 CellID->1139651230,ExpressionUUID->"dc9e08ad-b099-42aa-bd65-21a02fa8bcde"]
}, Open  ]],

Cell[TextData[{
 "A disadvantage of the ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " method is that it does not work when the rows are not Associations."
}], "Text",
 CellChangeTimes->{{3.768820168506955*^9, 3.768820192675351*^9}, 
   3.78647470440061*^9},
 CellTags->"p: 232",
 CellID->682333756,ExpressionUUID->"afddf6dd-d440-406e-92a7-0db125f65660"],

Cell[TextData[{
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " fails when the rows are not Associations:"
}], "CodeText",
 CellChangeTimes->{{3.770289371574419*^9, 3.7702893800514517`*^9}, {
  3.7864747148886585`*^9, 3.786474722344404*^9}},
 CellID->1477656143,ExpressionUUID->"529681c2-5b3a-472b-82cf-ddb198e582ec"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Merge", "[", "Identity", "]"}], ",", "Values"}], "]"}], "[", 
  "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.768820195135551*^9, 3.768820234702561*^9}, 
   3.770030539073945*^9},
 CellLabel->"In[110]:=",
 CellID->836444729,ExpressionUUID->"0632e005-79fb-45ae-be6c-b1d14be22ff9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The argument \
\\!\\(\\*TagBox[\\\"\\\\\\\"3rd\\\\\\\"\\\", Function[Short[Slot[1], 5]]]\\) \
is not a valid list of Associations or rules or lists of rules.\"", 
                    "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Merge", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The argument \
\\!\\(\\*TagBox[\\\"\\\\\\\"3rd\\\\\\\"\\\", Function[Short[Slot[1], 5]]]\\) \
is not a valid list of Associations or rules or lists of rules.\"", 
                    "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Merge", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Merge, <|"MessageTemplate" :> MessageName[Merge, "list1"], 
    "MessageParameters" -> {
      HoldForm["3rd"]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.768820205900703*^9, 3.768820235190811*^9}, 
   3.768821543679956*^9, 3.768833444212946*^9, 3.768833577685749*^9, 
   3.76890548433279*^9, 3.768905778567794*^9, 3.770108501527347*^9, 
   3.7701225965363483`*^9, 3.770212786342737*^9, 3.770289139551094*^9, 
   3.771930853511874*^9, 3.817313468258924*^9, 3.881758645763502*^9},
 CellLabel->"Out[110]=",
 CellID->1791250292,ExpressionUUID->"46c00437-4ebf-48b0-a4df-6403bb4eae28"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Give a Row Orientation to a ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellID->182583020,ExpressionUUID->"5f59656a-e252-4caa-a1fd-ee08e8fe5f10"],

Cell[TextData[{
 "Suppose one confronts a dataset that is in a column orientation. How does \
one convert it to a row orientation? Again, ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " often works. Here, I re-",
 ButtonBox["Transpose",
  BaseStyle->"FunctionLink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " the column-oriented variant of the lifeboat ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.76882057617741*^9, 3.76882065568023*^9}, {
   3.770035033124181*^9, 3.770035039983445*^9}, {3.770042263859515*^9, 
   3.770042280729951*^9}, 3.7857836744321623`*^9, {3.7867132233142576`*^9, 
   3.7867132498419104`*^9}, {3.786713341021027*^9, 3.786713343508276*^9}, 
   3.7867219483171606`*^9, {3.868105292220372*^9, 3.8681053095123997`*^9}, {
   3.8739753146282654`*^9, 3.8739753148132534`*^9}, {3.8740606556182413`*^9, 
   3.8740606570092545`*^9}, {3.8762394253694735`*^9, 3.876239434672061*^9}, {
   3.897752939044381*^9, 3.897752939588731*^9}, 3.89809499464121*^9},
 CellTags->"i:31",
 CellID->1900876391,ExpressionUUID->"e5c85db2-caed-48ca-864f-241715f73e31"],

Cell[TextData[{
 "Two nested Transposes get the original ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " back:"
}], "CodeText",
 CellChangeTimes->{{3.770042286059219*^9, 3.77004231358321*^9}, {
   3.786713257519678*^9, 3.786713263320258*^9}, 3.8681053175875177`*^9},
 CellID->1235282274,ExpressionUUID->"947c6e0c-0b49-44e5-a8cf-27f5586afb95"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Transpose", "[", "lifeboatDST", "]"}]], "Input",
 CellChangeTimes->{{3.768820614288073*^9, 3.768820624204713*^9}, {
   3.768820673450383*^9, 3.768820677087638*^9}, 3.77003053912396*^9},
 CellLabel->"In[49]:=",
 CellID->1313563947,ExpressionUUID->"4389fc5c-db60-479f-9b67-3d28f82ef0d1"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f62dea82-5ae6-4beb-a074-afbc66c21a0e"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.768820624627243*^9, 3.768820677651083*^9, 
  3.768821543854521*^9, 3.768833444407383*^9, 3.7688335778513937`*^9, 
  3.7689054844792757`*^9, 3.7689057786963797`*^9, 3.770035047976812*^9, 
  3.77010850158344*^9, 3.770122596620585*^9, 3.770212786430788*^9, 
  3.770289139685795*^9, 3.771930853576674*^9, 3.817313612740921*^9, 
  3.881758654757883*^9, 3.882461447573883*^9, 3.882461493756422*^9},
 CellLabel->"Out[49]=",
 CellID->707144685,ExpressionUUID->"544a7f96-80f5-41c3-8999-7ee7440b0f82"]
}, Open  ]],

Cell[TextData[{
 "And this works if the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is just a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists rather than an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of key-value pairs in which the values are Lists."
}], "Text",
 CellChangeTimes->{{3.768821012722165*^9, 3.7688210421608763`*^9}, {
  3.76882107587432*^9, 3.768821096010886*^9}, {3.867314870084943*^9, 
  3.867314875662199*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1851132716,ExpressionUUID->"671b5a11-5eeb-4178-936e-b2a349f95b99"],

Cell[TextData[{
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " works on Datasets containing Lists of Lists:"
}], "CodeText",
 CellChangeTimes->{{3.770043217794148*^9, 3.770043228998657*^9}, {
  3.7867132800879345`*^9, 3.7867132840963354`*^9}},
 CellTags->"p: 233",
 CellID->1112948299,ExpressionUUID->"66fed4e1-049a-4c2b-a872-d4b1bf8be289"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Transpose", "[", 
  RowBox[{"Values", "[", "lifeboatDST", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.768821099736497*^9, 3.7688211092469797`*^9}, 
   3.7700305392434464`*^9},
 CellLabel->"In[50]:=",
 CellID->887817817,ExpressionUUID->"a0408eac-2d65-4839-9e59-95afa325cda5"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {{"3rd", 16, "female", True}, {
       "1st", 65, "male", False}, {"3rd", 2, "female", False}, {"3rd", 
        Missing[], "female", True}, {"3rd", 18, "female", False}, {"3rd", 
        Missing[], "male", False}, {"3rd", 22, "female", True}, {
       "2nd", 48, "female", True}, {"3rd", 14, "male", False}, {
       "2nd", 44, "female", False}, {"3rd", 33, "male", False}, {
       "3rd", 39, "male", False}, {"1st", 19, "female", True}, {
       "3rd", 29, "male", True}, {"1st", 46, "male", False}, {"2nd", 
        Missing[], "male", False}, {"3rd", 
        Missing[], "female", True}, {"3rd", 22, "male", False}, {
       "2nd", 22, "male", True}, {"3rd", 56, "male", False}, {"2nd", 
        Missing[], "male", False}, {"2nd", 50, "female", True}}, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34], 
           TypeSystem`PackageScope`AtomShape[63.], 
           TypeSystem`PackageScope`AtomShape[36]}], 
         DirectedInfinity[1], 4, {All}]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34], 
           TypeSystem`PackageScope`AtomShape[63.], 
           TypeSystem`PackageScope`AtomShape[36]}], 
         DirectedInfinity[1], 4, {All}]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{1, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{1, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{1, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{1, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{2, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{2, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{2, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{2, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{3, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{3, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{3, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{3, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{4, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{4, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{4, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{4, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{5, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{5, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{5, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{5, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{6, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{6, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{6, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{6, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{7, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{7, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{7, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{7, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{8, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{8, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{8, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "419ec524-e8b7-449c-9929-ffcbafa3a310"]][{8, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{217., {124.3837890625, 131.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{217., {124.3837890625, 131.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.768821103689004*^9, 3.768821109599346*^9}, 
   3.7688215440539713`*^9, 3.7688334446156263`*^9, 3.768833578004751*^9, 
   3.768905484654436*^9, 3.768905778863991*^9, 3.7700350602643127`*^9, 
   3.7701085017712593`*^9, 3.770122596783669*^9, 3.770212786665908*^9, 
   3.770289139922121*^9, 3.771930853777906*^9, 3.8173136364179583`*^9, 
   3.881758676544982*^9, 3.882461501871851*^9},
 CellLabel->"Out[50]=",
 CellID->597319610,ExpressionUUID->"02b26f36-c467-4d57-80a8-f7354cb6e57f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Transpose Datasets and the Double Transpose Trick", "Subsection",
 CellChangeTimes->{{3.770132394204358*^9, 3.770132437750247*^9}, {
  3.770132608815626*^9, 3.7701326151882343`*^9}},
 CellTags->"Double-Transpose",
 CellID->1236424223,ExpressionUUID->"2da1ddcb-eb38-4f1a-a0a5-18e33cdc0737"],

Cell[TextData[{
 "Previously in this chapter, I discussed functions that essentially ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " over rows or undertake some variant of Mapping over the rows. These \
methods work satisfactorily if the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is small. If the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is large, however, the process of mapping over each row can be time \
consuming. An alternative method is to first ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", perform the needed operation on what is now a row of data, and then re-",
 ButtonBox["Transpose",
  BaseStyle->"FunctionLink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " the dataset back to the original form. I call this the \
\[OpenCurlyDoubleQuote]Double Transpose Trick.\[CloseCurlyDoubleQuote] \
Mathematically, it is akin to a conjugation."
}], "Text",
 CellChangeTimes->{{3.7494133006095953`*^9, 3.749413381726791*^9}, {
   3.749413462879125*^9, 3.749413467496211*^9}, 3.74941357116053*^9, {
   3.768736428923252*^9, 3.768736448952656*^9}, {3.768849870490219*^9, 
   3.768849877440444*^9}, {3.7689055509198313`*^9, 3.768905576445546*^9}, {
   3.7700296858404512`*^9, 3.7700296946175337`*^9}, {3.7700303113550253`*^9, 
   3.770030351394785*^9}, {3.7701324397511587`*^9, 3.7701324624908648`*^9}, {
   3.770133935591424*^9, 3.770133937870178*^9}, {3.770146982170282*^9, 
   3.770147063612015*^9}, 3.771935953014249*^9, 3.7867133494768724`*^9, 
   3.8173136911406593`*^9, {3.867315086527074*^9, 3.867315128987955*^9}, 
   3.868105398452629*^9, {3.873975997213282*^9, 3.8739759975529213`*^9}, {
   3.876239473671597*^9, 3.8762394877349653`*^9}, 3.898095000644888*^9},
 CellTags->"i:32",
 CellID->1352420434,ExpressionUUID->"1a429042-57be-4cac-af07-aeee52cf9a0a"],

Cell[CellGroupData[{

Cell["Change the Keys Using the Double Transpose Trick", "Subsubsection",
 CellChangeTimes->{{3.770147146306014*^9, 3.770147161368567*^9}, {
  3.786713358730798*^9, 3.7867133588678117`*^9}},
 CellID->1674411251,ExpressionUUID->"80b19556-1443-42c8-8c64-c6e2078600a2"],

Cell[TextData[{
 "To show the advantages, I first retrieve the entire Titanic ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " from the repository for this book and then use ",
 ButtonBox["Apply",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Apply.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Apply.html"],
 " and ",
 ButtonBox["Join",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
 " to generate a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that is one thousand times bigger than the Titanic ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.7494133006095953`*^9, 3.749413381726791*^9}, {
   3.749413462879125*^9, 3.749413467496211*^9}, 3.74941357116053*^9, {
   3.768736428923252*^9, 3.768736448952656*^9}, {3.768849870490219*^9, 
   3.768849877440444*^9}, {3.7689055509198313`*^9, 3.768905576445546*^9}, {
   3.7700296858404512`*^9, 3.7700296946175337`*^9}, {3.7700303113550253`*^9, 
   3.770030351394785*^9}, {3.7701324397511587`*^9, 3.7701324624908648`*^9}, {
   3.770133935591424*^9, 3.770133937870178*^9}, {3.770146982170282*^9, 
   3.770147058619038*^9}, {3.78671336695662*^9, 3.786713380246949*^9}, 
   3.867315199104836*^9, {3.868105428475687*^9, 3.868105430129342*^9}, {
   3.873976087498398*^9, 3.8739761066715975`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->2001368307,ExpressionUUID->"14eb71ea-d4ce-48bc-a94d-50292e96405f"],

Cell["To show this trick, I need a bigger boat:", "CodeText",
 CellChangeTimes->{{3.770289391777832*^9, 3.770289438897852*^9}, 
   3.7867133887477994`*^9, {3.8762398182267246`*^9, 3.876239822494525*^9}},
 CellTags->"p: 234",
 CellID->718250717,ExpressionUUID->"e4f42bef-dbee-4d7d-b041-afd2e49a21e9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"oneThousandTitanics", "=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Join", ",", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{"titanicDS", ",", "1000"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.768741407632258*^9, 3.768741444070263*^9}, {
  3.7689048904410887`*^9, 3.768904901943132*^9}, {3.770030367610173*^9, 
  3.770030374899048*^9}, {3.770137613870665*^9, 3.770137613992961*^9}, {
  3.817314245556015*^9, 3.817314248798628*^9}},
 CellLabel->"In[53]:=",
 CellID->799115712,ExpressionUUID->"fd0a1462-d102-43b0-a4c3-8a5633c3e68c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9617714241984132232709958990473922974475483326090371141672], 
         "AllowEmbedding" -> False, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
            1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "class" -> TypeSystem`PackageScope`AtomShape[33.6], "age" -> 
                TypeSystem`PackageScope`AtomShape[34], "sex" -> 
                TypeSystem`PackageScope`AtomShape[67.2], "survived" -> 
                TypeSystem`PackageScope`AtomShape[36]|>], 
              DirectedInfinity[1], 4, {All}]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
           TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[Integer], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[TypeSystem`Boolean]}], 1309000], "Meta" -> <||>, 
         "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
            1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "class" -> TypeSystem`PackageScope`AtomShape[33.6], "age" -> 
                TypeSystem`PackageScope`AtomShape[34], "sex" -> 
                TypeSystem`PackageScope`AtomShape[67.2], "survived" -> 
                TypeSystem`PackageScope`AtomShape[36]|>], 
              DirectedInfinity[1], 4, {All}]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
           TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[Integer], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[TypeSystem`Boolean]}], 1309000], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, 
         "DataRowCount" -> 1309000, "DataColumnCount" -> 4, "SortPaths" -> {},
          "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{All, "class"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{All, "age"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["sex", 
                    Style[
                    "sex", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{All, "sex"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{
                    All, "survived"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation["1st", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{1, 
                    Key["class"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["29"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{1, 
                    Key["age"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{34, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["female", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{1, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{67.2, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["True"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{1, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{36, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["1st", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{2, 
                    Key["class"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["1"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{2, 
                    Key["age"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{34, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["male", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{2, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{67.2, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["True"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{2, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{36, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["1st", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{3, 
                    Key["class"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["2"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{3, 
                    Key["age"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{34, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["female", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{3, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{67.2, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["False"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{3, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{36, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["1st", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{4, 
                    Key["class"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["30"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{4, 
                    Key["age"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{34, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["male", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{4, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{67.2, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["False"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{4, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{36, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["1st", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{5, 
                    Key["class"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["25"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{5, 
                    Key["age"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{34, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["female", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{5, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{67.2, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["False"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{5, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{36, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["1st", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{6, 
                    Key["class"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["48"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{6, 
                    Key["age"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{34, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["male", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{6, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{67.2, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["True"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{6, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{36, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["1st", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{7, 
                    Key["class"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["63"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{7, 
                    Key["age"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{34, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["female", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{7, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{67.2, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["True"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{7, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{36, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["1st", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{8, 
                    Key["class"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["39"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{8, 
                    Key["age"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{34, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["male", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{8, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{67.2, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["False"], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5cfe3d4f-888c-4974-b726-7eff45807924"]][{8, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{36, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 1309000, 1], {1, 1309000 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 1309000, 1], {1, 1309000 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309000, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309000, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 1309000, 1], {1, 1309000 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 1309000, 1], {1, 1309000 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             
             Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {238., {141.3837890625, 148.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {238., {141.3837890625, 148.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9617714241984132232709958990473922974475483326090371141672,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.86732360947058*^9, 3.881758692131399*^9, 
  3.88246151426871*^9, 3.8824616367212048`*^9},
 CellLabel->"Out[53]=",
 CellID->1699186802,ExpressionUUID->"f1e5e481-8cde-47d2-975e-cb2e0f4b7596"]
}, Open  ]],

Cell[TextData[{
 "Now, with the Double Transpose Trick, changing the names of the columns \
takes a few seconds on my machine. It takes about three times longer when I \
do not ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " the data."
}], "Text",
 CellChangeTimes->{{3.768741512991379*^9, 3.768741559796652*^9}, {
  3.768741626912293*^9, 3.76874164479268*^9}, {3.7688164111095467`*^9, 
  3.768816412412798*^9}, {3.770030693581934*^9, 3.770030703292094*^9}, {
  3.770030779903159*^9, 3.770030795902132*^9}, {3.867315218605611*^9, 
  3.867315241169581*^9}, {3.867323771255584*^9, 3.867323777019635*^9}, {
  3.867323807033613*^9, 3.867323807085259*^9}, {3.882461711310792*^9, 
  3.8824617399354486`*^9}},
 CellID->1952184150,ExpressionUUID->"42ac7516-6c7e-4b05-8170-819b9d7b3fff"],

Cell["\<\
The Double Transpose Trick speeds up changing the names of columns:\
\>", "CodeText",
 CellChangeTimes->{{3.770289446803772*^9, 3.770289457320677*^9}, 
   3.786713410389963*^9},
 CellID->609257698,ExpressionUUID->"f3fed664-935f-4d7e-92cc-f07af197594b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"columnNameChanger", "=", 
   RowBox[{"Association", "[", 
    RowBox[{
     RowBox[{"\"\<cabin\>\"", "\[Rule]", "\"\<class\>\""}], ",", 
     RowBox[{"\"\<years\>\"", "\[Rule]", "\"\<age\>\""}], ",", 
     RowBox[{"\"\<gender\>\"", "\[Rule]", "\"\<sex\>\""}], ",", 
     RowBox[{"\"\<survival\>\"", "\[Rule]", "\"\<survived\>\""}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.867323683389921*^9},
 CellLabel->"In[54]:=",
 CellID->476084924,ExpressionUUID->"c5f63f2f-f0d8-40d5-b6de-60a63cb1ba53"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RepeatedTiming", "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{
    RowBox[{"Query", "[", "columnNameChanger", "]"}], "[", 
    RowBox[{"Transpose", "[", "oneThousandTitanics", "]"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.749413397549296*^9, 3.7494134411459703`*^9}, {
   3.749413485871667*^9, 3.749413539354006*^9}, {3.76874148278651*^9, 
   3.768741489267723*^9}, {3.768741545505705*^9, 3.76874159758667*^9}, {
   3.770030395076044*^9, 3.7700304250503798`*^9}, {3.770030708737215*^9, 
   3.77003075401227*^9}, 3.817314290374761*^9, {3.867323781877596*^9, 
   3.867323795334997*^9}},
 CellLabel->"In[55]:=",
 CellID->1610190416,ExpressionUUID->"5dd209da-c0c7-4ebc-9ee4-a74ce064abd2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.829903`", ",", 
   TagBox[
    TemplateBox[{
      TagBox[
       DynamicModuleBox[{
        TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
          "InitialData" -> 
           TypeSystem`CacheKey[
            9617714241984132232709958990473922974493930070164139368488], 
           "AllowEmbedding" -> False, "InitialShape" -> 
           TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
              1, {All, "years"} -> 1, {All, "gender"} -> 1, {All, "survival"} -> 
              1|>, 
             TypeSystem`PackageScope`Limited[
              TypeSystem`PackageScope`ColumnShape[
               TypeSystem`PackageScope`Limited[
                
                TypeSystem`PackageScope`RowShape[<|
                 "cabin" -> TypeSystem`PackageScope`AtomShape[33.6], "years" -> 
                  TypeSystem`PackageScope`AtomShape[34], "gender" -> 
                  TypeSystem`PackageScope`AtomShape[67.2], "survival" -> 
                  TypeSystem`PackageScope`AtomShape[36]|>], 
                DirectedInfinity[1], 4, {All}]], 8, 
              DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
             TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
               TypeSystem`Atom[String], 
               TypeSystem`Atom[Integer], 
               TypeSystem`Atom[String], 
               TypeSystem`Atom[TypeSystem`Boolean]}], 1309000], 
           "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
           TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
              1, {All, "years"} -> 1, {All, "gender"} -> 1, {All, "survival"} -> 
              1|>, 
             TypeSystem`PackageScope`Limited[
              TypeSystem`PackageScope`ColumnShape[
               TypeSystem`PackageScope`Limited[
                
                TypeSystem`PackageScope`RowShape[<|
                 "cabin" -> TypeSystem`PackageScope`AtomShape[33.6], "years" -> 
                  TypeSystem`PackageScope`AtomShape[34], "gender" -> 
                  TypeSystem`PackageScope`AtomShape[67.2], "survival" -> 
                  TypeSystem`PackageScope`AtomShape[36]|>], 
                DirectedInfinity[1], 4, {All}]], 8, 
              DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
             TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
               TypeSystem`Atom[String], 
               TypeSystem`Atom[Integer], 
               TypeSystem`Atom[String], 
               TypeSystem`Atom[TypeSystem`Boolean]}], 1309000], "Path" -> {}, 
           "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, 
           "DataRowCount" -> 1309000, "DataColumnCount" -> 4, 
           "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> 
           Null, "UpdateType" -> 1|>, 
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
         TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
         TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
         DynamicModule[{
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
              Style[
               Grid[{{
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["cabin", 
                    Style[
                    "cabin", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "cabin"}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{All, "cabin"}, 
                    "ColumnHeader", True], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["years", 
                    Style[
                    "years", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "years"}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{All, "years"}, 
                    "ColumnHeader", True], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["gender", 
                    Style[
                    "gender", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "gender"}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{All, "gender"}, 
                    "ColumnHeader", True], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["survival", 
                    Style[
                    "survival", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survival"}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{
                    All, "survival"}, "ColumnHeader", True], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
                  Item[
                   Pane[
                    Annotation["1st", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{1, 
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{33.6, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["29"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{1, 
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{34, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation["female", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{1, 
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{67.2, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["True"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{1, 
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{36, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}]}, {
                  Item[
                   Pane[
                    Annotation["1st", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{2, 
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{33.6, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["1"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{2, 
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{34, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation["male", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{2, 
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{67.2, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["True"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{2, 
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{36, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}]}, {
                  Item[
                   Pane[
                    Annotation["1st", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{3, 
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{33.6, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["2"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{3, 
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{34, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation["female", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{3, 
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{67.2, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["False"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{3, 
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{36, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}]}, {
                  Item[
                   Pane[
                    Annotation["1st", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{4, 
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{33.6, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["30"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{4, 
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{34, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation["male", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{4, 
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{67.2, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["False"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{4, 
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{36, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}]}, {
                  Item[
                   Pane[
                    Annotation["1st", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{5, 
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{33.6, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["25"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{5, 
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{34, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation["female", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{5, 
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{67.2, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["False"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{5, 
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{36, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}]}, {
                  Item[
                   Pane[
                    Annotation["1st", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{6, 
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{33.6, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["48"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{6, 
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{34, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation["male", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{6, 
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{67.2, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["True"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{6, 
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{36, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}]}, {
                  Item[
                   Pane[
                    Annotation["1st", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{7, 
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{33.6, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["63"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{7, 
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{34, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation["female", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{7, 
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{67.2, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["True"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{7, 
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{36, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}]}, {
                  Item[
                   Pane[
                    Annotation["1st", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{8, 
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{33.6, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["39"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{8, 
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{34, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation["male", 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{8, 
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{67.2, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}], 
                  Item[
                   Pane[
                    Annotation[
                    RawBoxes["False"], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "2e847043-185c-4d18-85e0-8746c2e91c62"]][{8, 
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageSize -> {{36, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], 
                   ItemSize -> {Full, Automatic}]}, {
                  Item[
                   Deploy[
                    Pane[
                    Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 1309000, 1], {1, 1309000 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 1309000, 1], {1, 1309000 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309000, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309000, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 1309000, 1], {1, 1309000 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 1309000, 1], {1, 1309000 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                    ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                   RGBColor[
                    0.9764705882352941, 0.9764705882352941, 
                    0.9764705882352941], Alignment -> {Left, Top}], 
                  SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
                BaseStyle -> {
                 ContextMenu -> 
                  Dynamic[
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> Which[
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> Which[
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                  "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
                Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
                Spacings -> {0, 0}, Alignment -> Left, 
                BaseStyle -> {
                 FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                  Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
               NumberMarks -> False, ShowAutoStyles -> False]], 
            TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
           Dynamic[
            TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
            TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
               Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
               
               Module[{
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
                 TypeSystem`NestedGrid`PackagePrivate`datasetData[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                   FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                   TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                   TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                   TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                   TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                  Not[
                   FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                  TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                  TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
             TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
               TypeSystem`SparseGrid[
                TypeSystem`H["(data no longer present)"]], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
            TrackedSymbols :> {
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
           DynamicModuleValues :> {}], 
         TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
           TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
            TypeSystem`PackageScope`SubViewPathbar[
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`updateState[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
           TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
         TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
           Framed[
            Dynamic[
             Replace[
             TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
                 Blank[]] -> "", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                  Blank[]], 
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                  Blank[]], 
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                  Blank[]]] :> (
                Increment[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
                 TypeSystem`NestedGrid`PackagePrivate`path$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
                 TypeSystem`NestedGrid`PackagePrivate`pathType$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
                 TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
                TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
                 TypeSystem`NestedGrid`PackagePrivate`path$, 
                  TypeSystem`NestedGrid`PackagePrivate`makePathElements]), 
               Null :> Spacer[10], Blank[] :> Spacer[10]}], 
             TrackedSymbols :> {
              TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
            FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, 
            Alignment -> Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
        DynamicWrapperBox[
         DynamicBox[
          ToBoxes[
           Dataset`DatasetContent[
           2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
            "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
            "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
            "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
            "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
            "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
            "BottomBar" -> 
            Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], 
            "OutputID" -> Hold[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
           StandardForm], 
          ImageSizeCache -> {233., {141.3837890625, 148.6162109375}}, 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
         MouseAnnotation[], 
         ImageSizeCache -> {233., {141.3837890625, 148.6162109375}}], 
        BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
        Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
         CreateUUID[]), 
        UnsavedVariables :> {
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$}], Deploy, 
       DefaultBaseStyle -> "Deploy"]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->("Dataset[<>]"& )],
    False,
    BoxID -> 9617714241984132232709958990473922974493930070164139368488,
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8673236151874123`*^9, 3.867323691095902*^9, {3.867323791038536*^9, 
   3.867323802950512*^9}, 3.88175872365589*^9, 3.882461687983107*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[55]=",
 CellID->748953334,ExpressionUUID->"14515e5e-5e05-487e-8410-88348e07970d"]
}, Open  ]],

Cell[TextData[{
 "The computational work in this method comes mostly from Transposing the \
data. If the data is already in Transposed form and one wishes to keep it \
that way, changing the column names in this way takes well less than ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", "1000"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "fec2991d-c069-43a9-afe4-46779f5b6248"],
 " of a second on my machine. Notice, by the way, that the output is elided \
because the Wolfram Language front end does not want to present a nightmarish \
list of one million values."
}], "Text",
 CellChangeTimes->{{3.768741686316443*^9, 3.768741734801146*^9}, {
  3.768816422754274*^9, 3.768816443795381*^9}, {3.7700308356697197`*^9, 
  3.7700308683004923`*^9}, {3.786713420815006*^9, 3.7867134323191557`*^9}, {
  3.786713464288353*^9, 3.7867134938914623`*^9}, {3.867323836237496*^9, 
  3.867323836687385*^9}, {3.8762400029187922`*^9, 3.876240013426865*^9}, {
  3.8965136439195147`*^9, 3.8965136563325443`*^9}},
 CellTags->"p: 235",
 CellID->1702520704,ExpressionUUID->"ecf43f5f-5e06-431a-8c77-f12e76d31c19"],

Cell[TextData[{
 "If the ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " is already done and can be preserved, changing the names of columns is \
very fast:"
}], "CodeText",
 CellChangeTimes->{{3.770289468998445*^9, 3.770289495210775*^9}, 
   3.7867135098874626`*^9, 3.8681054797134666`*^9},
 CellID->1704103657,ExpressionUUID->"4b866db2-ec6f-4939-9366-c8db1bd92110"],

Cell[BoxData[
 RowBox[{
  RowBox[{"oneThousandTitanicsT", "=", 
   RowBox[{"Transpose", "[", "oneThousandTitanics", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.76874164989229*^9, 3.7687416565892878`*^9}},
 CellLabel->"In[56]:=",
 CellID->122334851,ExpressionUUID->"10a25871-06db-4904-abf7-04b3127bd4bb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RepeatedTiming", "[", 
  RowBox[{
   RowBox[{"Query", "[", "columnNameChanger", "]"}], "[", 
   "oneThousandTitanicsT", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7687416599927187`*^9, 3.768741682155571*^9}, {
   3.7700308159325027`*^9, 3.770030821670074*^9}, 3.817314422189197*^9, {
   3.867323813223543*^9, 3.867323815036008*^9}},
 CellLabel->"In[57]:=",
 CellID->971692299,ExpressionUUID->"def03d97-63e1-4ed5-ab90-81f784635f6a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.0004076611328125`", ",", 
   TagBox[
    TemplateBox[{
      TagBox[
       DynamicModuleBox[{
        TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
          "InitialData" -> 
           TypeSystem`CacheKey[
            9617714241984132232709958990473922974512376673852173901632], 
           "AllowEmbedding" -> False, "InitialShape" -> 
           TypeSystem`PackageScope`DocumentShape[<|{"cabin"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"years"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"gender"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"survival"} -> 
              TypeSystem`PackageScope`ElidedShape[1]|>, 1], "InitialType" -> 
           TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
              TypeSystem`Vector[
               TypeSystem`Atom[String], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[Integer], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[String], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[TypeSystem`Boolean], 1309000]}], 
           "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
           TypeSystem`PackageScope`DocumentShape[<|{"cabin"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"years"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"gender"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"survival"} -> 
              TypeSystem`PackageScope`ElidedShape[1]|>, 1], "Type" -> 
           TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
              TypeSystem`Vector[
               TypeSystem`Atom[String], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[Integer], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[String], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[TypeSystem`Boolean], 1309000]}], "Path" -> {}, 
           "DisplayedRowCount" -> 20, "DisplayedColumnCount" -> 10, 
           "DataRowCount" -> 4, "DataColumnCount" -> 1, "SortPaths" -> {}, 
           "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
           1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
         TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
         TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
         DynamicModule[{
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
              Style[
               Grid[{{
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["cabin", 
                    Style[
                    "cabin", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["cabin"]}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "69d14bc1-245e-487c-a89d-52929f0dd66e"]][{
                    Key["cabin"]}, "RowHeader", False], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], 
                    Style[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["cabin"]}, 4]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "69d14bc1-245e-487c-a89d-52929f0dd66e"]][{
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
                    GrayLevel[0.5]}]}, {
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["years", 
                    Style[
                    "years", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["years"]}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "69d14bc1-245e-487c-a89d-52929f0dd66e"]][{
                    Key["years"]}, "RowHeader", False], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], 
                    Style[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["years"]}, 4]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "69d14bc1-245e-487c-a89d-52929f0dd66e"]][{
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
                    GrayLevel[0.5]}]}, {
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["gender", 
                    Style[
                    "gender", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["gender"]}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "69d14bc1-245e-487c-a89d-52929f0dd66e"]][{
                    Key["gender"]}, "RowHeader", False], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], 
                    Style[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["gender"]}, 4]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "69d14bc1-245e-487c-a89d-52929f0dd66e"]][{
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
                    GrayLevel[0.5]}]}, {
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["survival", 
                    Style[
                    "survival", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["survival"]}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "69d14bc1-245e-487c-a89d-52929f0dd66e"]][{
                    Key["survival"]}, "RowHeader", False], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], 
                    Style[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["survival"]}, 4]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "69d14bc1-245e-487c-a89d-52929f0dd66e"]][{
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
                    GrayLevel[0.5]}]}}, 
                BaseStyle -> {
                 ContextMenu -> 
                  Dynamic[
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> Which[
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> Which[
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                  "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
                Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
                Spacings -> {0, 0}, Alignment -> Left, 
                BaseStyle -> {
                 FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                  Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
               NumberMarks -> False, ShowAutoStyles -> False]], 
            TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
           Dynamic[
            TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
            TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
               Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
               
               Module[{
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
                 TypeSystem`NestedGrid`PackagePrivate`datasetData[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                   FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                   TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                   TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                   TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                   TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                  Not[
                   FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                  TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                  TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
             TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
               TypeSystem`SparseGrid[
                TypeSystem`H["(data no longer present)"]], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
            TrackedSymbols :> {
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
           DynamicModuleValues :> {}], 
         TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
           TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
            TypeSystem`PackageScope`SubViewPathbar[
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`updateState[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
           TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
         TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
           Framed[
            Dynamic[
             Replace[
             TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
                 Blank[]] -> "", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                  Blank[]], 
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                  Blank[]], 
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                  Blank[]]] :> (
                Increment[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
                 TypeSystem`NestedGrid`PackagePrivate`path$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
                 TypeSystem`NestedGrid`PackagePrivate`pathType$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
                 TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
                TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
                 TypeSystem`NestedGrid`PackagePrivate`path$, 
                  TypeSystem`NestedGrid`PackagePrivate`makePathElements]), 
               Null :> Spacer[10], Blank[] :> Spacer[10]}], 
             TrackedSymbols :> {
              TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
            FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, 
            Alignment -> Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
        DynamicWrapperBox[
         DynamicBox[
          ToBoxes[
           Dataset`DatasetContent[
           2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
            "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
            "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
            "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
            "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
            "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
            "BottomBar" -> 
            Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], 
            "OutputID" -> Hold[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
           StandardForm], 
          ImageSizeCache -> {132., {63.3837890625, 70.6162109375}}, 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
         MouseAnnotation[], 
         ImageSizeCache -> {132., {63.3837890625, 70.6162109375}}], 
        BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
        Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
         CreateUUID[]), 
        UnsavedVariables :> {
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$}], Deploy, 
       DefaultBaseStyle -> "Deploy"]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->("Dataset[<>]"& )],
    False,
    BoxID -> 9617714241984132232709958990473922974512376673852173901632,
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.867323746840455*^9, {3.867323817355382*^9, 3.867323830031201*^9}, 
   3.881758762754108*^9, 3.88246178092645*^9},
 CellLabel->"Out[57]=",
 CellID->1288851268,ExpressionUUID->"5a3dfd2e-3e1a-48d9-875f-116775c0abeb"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s a variant relying on the ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " applied to the Transposed ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". It\[CloseCurlyQuote]s much slower than using the \
\[OpenCurlyDoubleQuote]official method\[CloseCurlyDoubleQuote] on the \
Transposed data but still has the virtue of a more lucid syntax."
}], "Text",
 CellChangeTimes->{{3.768736338484828*^9, 3.768736350599884*^9}, {
   3.76874177245144*^9, 3.768741803188999*^9}, {3.768816564022008*^9, 
   3.768816588098526*^9}, {3.770030905337761*^9, 3.7700309593072567`*^9}, {
   3.7719360497834673`*^9, 3.771936058821147*^9}, {3.786378018105193*^9, 
   3.7863780186391935`*^9}, {3.867317420273134*^9, 3.8673174251857977`*^9}, {
   3.867323867417005*^9, 3.867323905981029*^9}, 3.8681055822988997`*^9, {
   3.8692402463337927`*^9, 3.8692402531826763`*^9}, {3.8739765118000827`*^9, 
   3.8739765181517425`*^9}},
 CellTags->"i:33",
 CellID->1642776715,ExpressionUUID->"4a89fe9c-5ee5-45c6-8a58-cc5013b56beb"],

Cell[TextData[{
 "Use the ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " on a Transposed ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to change column names:"
}], "CodeText",
 CellChangeTimes->{{3.770289502532858*^9, 3.7702895301311893`*^9}, 
   3.7867135515334625`*^9, {3.868105594121015*^9, 3.868105603939651*^9}, {
   3.869240256884804*^9, 3.869240262937421*^9}, 3.873976476800846*^9},
 CellID->1624311729,ExpressionUUID->"c80568df-7f59-48d0-870c-32cf5ac0da4e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RepeatedTiming", "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/KeyReplace"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "KeyReplace"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "KeyReplace", "UUID" -> 
         "f08fa72b-f05b-4d12-b1c4-1e140d332123", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Replace keys in an association", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/objects/resourcesystem/api/1.0"], 
         "WolframLanguageVersionRequired" -> "11.3", "SymbolName" -> 
         "FunctionRepository`$b7fbb364305d4f709d93d157687413d0`KeyReplace", 
         "ShortName" -> "KeyReplace"|>, ResourceSystemBase -> 
        "https://www.wolframcloud.com/objects/resourcesystem/api/1.0"]],
      Selectable->False], "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<cabin\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "\"\<years\>\""}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<gender\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "\"\<survival\>\""}]}], "}"}], 
     "]"}], "]"}], "[", "oneThousandTitanicsT", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.768736353719534*^9, 3.76873639457712*^9}, 
   3.768741541708997*^9, {3.768741742783947*^9, 3.768741762142955*^9}, {
   3.7688164836577044`*^9, 3.768816497089333*^9}, {3.768816542580269*^9, 
   3.7688165437429953`*^9}, {3.768816596752425*^9, 3.7688165974471197`*^9}, {
   3.770030884554267*^9, 3.770030889586895*^9}, {3.817314542521933*^9, 
   3.817314551303927*^9}, {3.867323845847416*^9, 3.86732384809123*^9}},
 CellLabel->"In[58]:=",
 CellID->308126493,ExpressionUUID->"b8abf08d-e96c-4d31-b42b-9dbe3b089efc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"4.594385`", ",", 
   TagBox[
    TemplateBox[{
      TagBox[
       DynamicModuleBox[{
        TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
          "InitialData" -> 
           TypeSystem`CacheKey[
            9617714241984132232709958990473922974530823417925950846240], 
           "AllowEmbedding" -> False, "InitialShape" -> 
           TypeSystem`PackageScope`DocumentShape[<|{"cabin"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"years"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"gender"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"survival"} -> 
              TypeSystem`PackageScope`ElidedShape[1]|>, 1], "InitialType" -> 
           TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
              TypeSystem`Vector[
               TypeSystem`Atom[String], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[Integer], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[String], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[TypeSystem`Boolean], 1309000]}], 
           "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
           TypeSystem`PackageScope`DocumentShape[<|{"cabin"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"years"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"gender"} -> 
              TypeSystem`PackageScope`ElidedShape[1], {"survival"} -> 
              TypeSystem`PackageScope`ElidedShape[1]|>, 1], "Type" -> 
           TypeSystem`Struct[{"cabin", "years", "gender", "survival"}, {
              TypeSystem`Vector[
               TypeSystem`Atom[String], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[Integer], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[String], 1309000], 
              TypeSystem`Vector[
               TypeSystem`Atom[TypeSystem`Boolean], 1309000]}], "Path" -> {}, 
           "DisplayedRowCount" -> 20, "DisplayedColumnCount" -> 10, 
           "DataRowCount" -> 4, "DataColumnCount" -> 1, "SortPaths" -> {}, 
           "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
           1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
         TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
         TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
         DynamicModule[{
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
              Style[
               Grid[{{
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["cabin", 
                    Style[
                    "cabin", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["cabin"]}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "ed493a9c-03aa-4164-984f-da7f60b287d6"]][{
                    Key["cabin"]}, "RowHeader", False], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], 
                    Style[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["cabin"]}, 4]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "ed493a9c-03aa-4164-984f-da7f60b287d6"]][{
                    Key["cabin"]}, "Item", False], "Mouse"], 
                    ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
                    GrayLevel[0.5]}]}, {
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["years", 
                    Style[
                    "years", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["years"]}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "ed493a9c-03aa-4164-984f-da7f60b287d6"]][{
                    Key["years"]}, "RowHeader", False], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], 
                    Style[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["years"]}, 4]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "ed493a9c-03aa-4164-984f-da7f60b287d6"]][{
                    Key["years"]}, "Item", False], "Mouse"], 
                    ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
                    GrayLevel[0.5]}]}, {
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["gender", 
                    Style[
                    "gender", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["gender"]}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "ed493a9c-03aa-4164-984f-da7f60b287d6"]][{
                    Key["gender"]}, "RowHeader", False], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], 
                    Style[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["gender"]}, 4]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "ed493a9c-03aa-4164-984f-da7f60b287d6"]][{
                    Key["gender"]}, "Item", False], "Mouse"], 
                    ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
                    GrayLevel[0.5]}]}, {
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover["survival", 
                    Style[
                    "survival", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["survival"]}, 1]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "ed493a9c-03aa-4164-984f-da7f60b287d6"]][{
                    Key["survival"]}, "RowHeader", False], "Mouse"], 
                    ImageSize -> {{1, Full}, Automatic}, 
                    ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                   GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                  Item[
                   Pane[
                    Annotation[
                    EventHandler[
                    MouseAppearance[
                    Mouseover[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], 
                    Style[
                    Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 1309000], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["survival"]}, 4]]], 
                    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "ed493a9c-03aa-4164-984f-da7f60b287d6"]][{
                    Key["survival"]}, "Item", False], "Mouse"], 
                    ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
                    GrayLevel[0.5]}]}}, 
                BaseStyle -> {
                 ContextMenu -> 
                  Dynamic[
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> Which[
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> Which[
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                  "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
                Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
                Spacings -> {0, 0}, Alignment -> Left, 
                BaseStyle -> {
                 FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                  Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
               NumberMarks -> False, ShowAutoStyles -> False]], 
            TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
           Dynamic[
            TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
            TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
               Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
               
               Module[{
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
                 TypeSystem`NestedGrid`PackagePrivate`datasetData[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                   FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                   TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                   TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                   TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                   TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                  Not[
                   FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                  TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                  TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
             TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
               TypeSystem`SparseGrid[
                TypeSystem`H["(data no longer present)"]], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
            TrackedSymbols :> {
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
           DynamicModuleValues :> {}], 
         TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
           TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
            TypeSystem`PackageScope`SubViewPathbar[
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`updateState[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
           TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
         TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
           Framed[
            Dynamic[
             Replace[
             TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
                 Blank[]] -> "", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                  Blank[]], 
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                  Blank[]], 
                 Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                  Blank[]]] :> (
                Increment[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
                 TypeSystem`NestedGrid`PackagePrivate`path$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
                 TypeSystem`NestedGrid`PackagePrivate`pathType$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
                 TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
                TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
                TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
                 TypeSystem`NestedGrid`PackagePrivate`path$, 
                  TypeSystem`NestedGrid`PackagePrivate`makePathElements]), 
               Null :> Spacer[10], Blank[] :> Spacer[10]}], 
             TrackedSymbols :> {
              TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
            FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, 
            Alignment -> Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
        DynamicWrapperBox[
         DynamicBox[
          ToBoxes[
           Dataset`DatasetContent[
           2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
            "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
            "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
            "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
            "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
            "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
            "BottomBar" -> 
            Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], 
            "OutputID" -> Hold[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
           StandardForm], 
          ImageSizeCache -> {132., {63.3837890625, 70.6162109375}}, 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
         MouseAnnotation[], 
         ImageSizeCache -> {132., {63.3837890625, 70.6162109375}}], 
        BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
        Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
         CreateUUID[]), 
        UnsavedVariables :> {
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$}], Deploy, 
       DefaultBaseStyle -> "Deploy"]},
     "CopyTag",
     DisplayFunction->(#& ),
     InterpretationFunction->("Dataset[<>]"& )],
    False,
    BoxID -> 9617714241984132232709958990473922974530823417925950846240,
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.86732385275499*^9, 3.881758793136799*^9, 
  3.8824618355821323`*^9},
 CellLabel->"Out[58]=",
 CellID->1046965577,ExpressionUUID->"5b21767d-69d9-4a23-ae6c-309c3d9fc711"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Double Transpose Trick with Listable Functions", "Subsubsection",
 CellChangeTimes->{{3.7701471300195017`*^9, 3.770147138671812*^9}},
 CellID->778706123,ExpressionUUID->"9b63dcdd-c603-499d-b83d-5b2ac73e6a14"],

Cell[TextData[{
 "Note that the Double Transpose Trick doesn\[CloseCurlyQuote]t just work to \
fiddle with the keys. If one has a function that gains significant speed from \
listability or working on Lists, the Double Transpose Trick may likewise \
greatly speed up one\[CloseCurlyQuote]s work. To see this, consider the \
following ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " containing one hundred random positions in the United States."
}], "Text",
 CellChangeTimes->{{3.770132480715293*^9, 3.770132527927512*^9}, 
   3.7701326001427927`*^9, {3.77013291718029*^9, 3.770132939265601*^9}, {
   3.770133040443493*^9, 3.77013304122281*^9}, {3.7867148964275665`*^9, 
   3.7867148966995935`*^9}, {3.867318917059127*^9, 3.8673189280865297`*^9}, {
   3.868107783057324*^9, 3.868107806448263*^9}, 3.868107935700789*^9, {
   3.869240274838347*^9, 3.869240288168982*^9}, {3.873886229999343*^9, 
   3.8738862303320932`*^9}, {3.873977091167577*^9, 3.8739770929747114`*^9}, {
   3.8740607330340357`*^9, 3.8740607406931863`*^9}},
 CellTags->{"LastCellOfAPage", "i:34"},
 CellID->1234361617,ExpressionUUID->"19c06cbd-3b9e-4056-9103-ebc17043dc88"],

Cell["A display of random spots in the United States:", "CodeText",
 CellChangeTimes->{{3.7702895402862167`*^9, 3.770289545176084*^9}, {
   3.770289691085968*^9, 3.770289697976404*^9}, 3.786714904508374*^9, 
   3.867319201759076*^9, 3.8738857865902963`*^9},
 CellTags->"p: 236",
 CellID->817524071,ExpressionUUID->"133eb746-84a6-4a11-a524-7224faedcbfa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"spots", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"SeedRandom", "[", "20220720", "]"}], ";", 
     RowBox[{
      RowBox[{"RandomGeoPosition", "[", 
       RowBox[{
        TemplateBox[{"\"United States\"", 
          RowBox[{"Entity", "[", 
            RowBox[{"\"Country\"", ",", "\"UnitedStates\""}], "]"}], 
          "\"Entity[\\\"Country\\\", \\\"UnitedStates\\\"]\"", "\"country\""},
         
         "Entity"], ",", "100"}], "]"}], "//", "Thread"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"GeoListPlot", "[", "spots", "]"}]}], "Input",
 CellChangeTimes->{{3.86731890887566*^9, 3.867318989207058*^9}, 
   3.8673191879807673`*^9, {3.8673192367551622`*^9, 3.867319237641217*^9}},
 CellLabel->"In[119]:=",
 CellID->38228414,ExpressionUUID->"3a668aa8-7d46-4ebc-b6d0-6ca8faae4271"],

Cell[BoxData[
 GraphicsBox[{{
    TagBox[
     {Texture[
       GraphicsBox[
        TagBox[
         RasterBox[CompressedData["
1:eJzsvVmTHFeW59daHvQmfQV9C73qUa8j0weYMbXG9NIy65GZTGaaMY1a1mOy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          "], {{0, 417.}, {783., 0}}, {0, 255}, ColorFunction -> RGBColor], 
         BoxForm`ImageTag[
         "Byte", ColorSpace -> "RGB", Interleaving -> True, 
          MetaInformation -> <|
           "Exif" -> <|
             "Software" -> 
              "Created with the Wolfram Language: www.wolfram.com"|>, 
            "GeoMetaInformation" -> <|
             "GeoModel" -> "ITRF00", 
              "LonLatBox" -> {{-133.65479284454466`, -60.66273929825715}, {
               24.332587356423897`, 52.78211453594021}}, 
              "PlotRange" -> {{-0.4128381835174759, 
               0.41283818351747553`}, {-0.19620816900245794`, 
               0.24372829145056063`}}, 
              "Projection" -> {
               "LambertAzimuthal", "Centering" -> 
                GeoPosition[{38.78271461891551, -97.15876607140089}], 
                "LongitudeDetermination" -> -97.15876607140089}, "Software" -> 
              "Created with the Wolfram Language: www.wolfram.com", 
              "TileSources" -> {"Wolfram", "OSM"}|>|>], Selectable -> False], 
        DefaultBaseStyle -> "ImageGraphics", ImageSizeRaw -> {783., 417.}, 
        PlotRange -> {{0, 783.}, {0, 417.}}]], 
      PolygonBox[{{-0.4128381835174759, -0.19620816900245794`}, \
{-0.4128381835174759, 0.24372829145056063`}, {0.41283818351747553`, 
       0.24372829145056063`}, {
       0.41283818351747553`, -0.19620816900245794`}, {-0.4128381835174759, \
-0.19620816900245794`}},
       VertexTextureCoordinates->{{0., 0.}, {0., 1.}, {1., 1.}, {1., 0.}, {0.,
         0.}}]},
     Annotation[#, "GeoBackground", "WolframGeoGraphics"]& ], 
    TagBox[
     TagBox[
      TooltipBox[
       {Opacity[0], RectangleBox[Scaled[{0.8, 0}], Scaled[{1, 0.2}]]},
       TagBox[
        GridBox[{{
           StyleBox["\"Geo data sources\"", Bold, StripOnInput -> False]}, {
           
           TemplateBox[{
            "\"Wolfram Knowledgebase\"", "\" (\"", 
             "\"https://www.wolfram.com/\"", "\")\""}, "RowDefault"]}, {
           
           TemplateBox[{
            "\"\[Copyright] OpenStreetMap contributors\"", "\" (\"", 
             "\"https://www.openstreetmap.org/copyright\"", "\")\""}, 
            "RowDefault"]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
         DefaultBaseStyle -> "Column", 
         GridBoxItemSize -> {
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Column"]],
      Annotation[#, 
       Column[{
         Style["Geo data sources", Bold], 
         Row[{
          "Wolfram Knowledgebase", " (", "https://www.wolfram.com/", ")"}], 
         Row[{
          "\[Copyright] OpenStreetMap contributors", " (", 
           "https://www.openstreetmap.org/copyright", ")"}]}], "Tooltip"]& ],
     Annotation[#, "Metadata", "WolframGeoGraphics"]& ], {{{
       {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
        EdgeForm[{Opacity[0.4], Thickness[Tiny]}], FaceForm[{RGBColor[
        1., 0.607843, 0.], Opacity[0.5]}], {}, {}}, 
       {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
        EdgeForm[{Opacity[0.4], Thickness[Tiny]}], FaceForm[{RGBColor[
        1., 0.607843, 0.], Opacity[0.5]}], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.00041313335116632366, -0.09320443071505602},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.007881012863971413, -0.09870275874028729},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.043075780082750315, 0.005447561722672391},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.15960249960634826, -0.060549888146186476},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.2738394932141897, 0.06265654313917378},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.11124641501170066, -0.014125005665435356},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.019516870879850684, 0.00868361166169286},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.06596433405544884, -0.14409908293469081},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.007728336419940021, 0.0340163318372704},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.23234277376979498, -0.02620736355823974},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.1282311849862845, -0.13262261478793955},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.30188423053493285, 0.13819139693478513},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.15809343399011944, 0.1212436664491887},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.27051685357289096, -0.05529554383757792},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.3190229307004812, 0.002199778799985988},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.0338632266040372, 0.03540115595685405},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.04880746304909926, 0.06241958703393801},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.16631507141813448, -0.08083465674530309},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.24124559590109101, -0.15463847945176368},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.0700776257187756, 0.14234125740800377},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.07963919419192807, -0.08498831942101928},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.14578582720053118, -0.0447656771847079},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.1466969103037604, 0.14164103030490852},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.2944585593413119, 0.08320797976902594},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.09734425629404159, -0.09290456932230791},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.2731922304474726, -0.047377756552078466},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.2279097161910723, 0.2010097677425132},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.23484986765387572, 0.04147144253262543},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.08068218120749841, -0.1239055361184907},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.0553958791259525, -0.14342829263579354},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.22222978815026995, -0.08809367877005415},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.27612829395026695, 0.07065388265997145},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.1344273586025926, -0.046809096468385214},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.004593760020088139, -0.08672509915493648},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.18404672086335916, 0.046570822911845465},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.2286839772581399, -0.04736786104506448},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.03521895627905906, -0.09844446146024878},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.010766040765202068, 0.08391482505117079},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.3035488089701431, 0.13261775482061708},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.1106284529874609, -0.016541969269760717},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.22792154960923536, 0.13439318945148598},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.11634847359790243, 0.12983495721861774},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.23914967065324155, 0.03189942660098325},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.12111969180644837, 0.0378298638407499},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.14056796984362419, 0.18123207284545256},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.271486460517887, 0.20031282253673993},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.2450343886252922, 0.10674918448485056},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.008059363475402504, 0.11063304843215443},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.15428147248453417, -0.0891952934673168},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.1485630589554326, 0.05811666726925459},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.011781260785065011, -0.001206001905069003},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.03698818517064281, 0.12101470990307972},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.25795221436750326, 0.12059974026783721},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.05249419679360004, 0.136386995096479},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.17770922845825052, -0.03784751954788192},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.11045991903809065, 0.04925825493756856},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.21751239909248551, -0.13304325054783978},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.20407863942950535, -0.08878527122563291},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.1661859813956782, 0.10483952881335293},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.05641847999096875, -0.07971899500753096},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.11270979589219463, -0.07179774872802645},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.16314708964760405, 0.08474397941554075},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.29930300900146406, 0.09577605290831012},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.298384021382493, 0.11450581446371152},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.07915337951987615, 0.12236890927499468},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.07679047686657652, -0.04967364037755513},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.09718342388911752, -0.06067984866251475},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.013494216428321323, -0.1677560425768763},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.1861400391289264, -0.11668842261567505},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.059901296917069746, 0.11992270413504268},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.13690192676029742, -0.01570501639394005},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.2641851076719376, 0.11435657983679644},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.20701614884709135, 0.07531596556868285},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.04496604859659245, 0.11184858119413442},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.20587447875339754, 0.12192452547417618},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.05093225510685011, 0.14133158719586383},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.21269680728684845, -0.02240154115973571},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.007131118602193298, 0.14471250920801043},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.1637468862268975, 0.019090790153759533},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.22216312323734316, -0.08223546761634365},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.17504018159244106, 0.18781853464398734},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.24549395151775805, -0.05997310242155372},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.10737054190402585, -0.12884030508863806},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.28661786350652735, 0.12348636820543686},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.107811872026004, -0.150652163918846},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.14451838818937207, -0.012686071069733875},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.07044881333079385, -0.05953872561173705},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.16922073107045899, 0.15197213203611865},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.013335557119698378, 0.1120011068278196},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.2598560854552134, -0.080650972957482},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.11717810235000344, 0.13562623794106976},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.13078515118024736, -0.020141244302129498},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.11379949693624701, -0.07770584336732657},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.04324954846280225, 0.1675502580225938},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.07311765125682215, 0.126553080475273},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.10895201621331371, -0.1444550108453912},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.23386327521501346, -0.039904206247265525},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.1262977937831513, 0.15818675269373395},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {-0.23194405299788995, -0.037651181830772276},
          Automatic, Offset[6.272]], InsetBox[
         GraphicsBox[
          {RGBColor[0.790588, 0.201176, 0.], PointSize[Large], Opacity[1], 
           EdgeForm[None], DiskBox[{0, 0}]}], {0.006571914711492715, -0.16820090228804527},
          Automatic, Offset[6.272]]}}, {}}, 
     TagBox[{},
      Annotation[#, "GeoGridLines", "WolframGeoGraphics"]& ]}}, 
   TagBox[{},
    Annotation[#, "GeoScaleBar", "WolframGeoGraphics"]& ]},
  CoordinatesToolOptions:>{
   "DisplayFunction" -> (
     GeoGraphics`GeoGridPositionDisplay[#, {
      "LambertAzimuthal", "LongitudeDetermination" -> -97.15876607140089, 
       "Centering" -> GeoPosition[{38.78271461891551, -97.15876607140089}]}, 
      "ITRF00"]& ), 
    "CopiedValueFunction" -> (
     GeoGraphics`GeoGridPositionCopiedValue[#, {
      "LambertAzimuthal", "LongitudeDetermination" -> -97.15876607140089, 
       "Centering" -> GeoPosition[{38.78271461891551, -97.15876607140089}]}, 
      "ITRF00"]& )},
  DefaultBaseStyle->"GeoGraphics",
  Method->{"VectorMapRemoveLabels" -> True, "OriginalInput" -> HoldForm[
      GeoGraphics[{
        GeoStyling[], {
         Directive[
          Opacity[1], 
          RGBColor[0.790588, 0.201176, 0.], 
          EdgeForm[
           Directive[
            Thickness[Tiny], 
            Opacity[0.4]]], 
          PointSize[Large], 
          FaceForm[{
            Opacity[0.5], 
            RGBColor[1., 0.607843, 0.]}]], {}, {}, 
         Directive[
          Opacity[1], 
          RGBColor[0.790588, 0.201176, 0.], 
          EdgeForm[
           Directive[
            Thickness[Tiny], 
            Opacity[0.4]]], 
          PointSize[Large], 
          FaceForm[{
            Opacity[0.5], 
            RGBColor[1., 0.607843, 0.]}]], {
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.440555699805984`, -97.18710192528691}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.12387510812335, -96.6202508653094}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.051876457970536`, -100.33777971113312`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.765197215759734`, -108.3201907082938}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.542532094226324`, -76.25625000399123}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.6934645208135, -89.0896866709683}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.27139700916673, -98.6032921978391}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.432761863057955`, -101.53263490894898`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.73037154399605, -96.5745115753337}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{36.083072955960965`, -80.56864140844145}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.84839502526201, -88.6057148222052}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{44.27278808659148, -121.72606349312723`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.070788050353904`, -110.02885122785275`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.04202427297818, -116.0236698886807}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{36.59718623173311, -120.25499612493765`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.78367667636824, -94.59625573876089}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{42.300729353007576`, -93.37806062595001}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.5673259183128, -108.62241785456708`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{28.773684991782936`, -81.35228668527932}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.81052694940291, -103.01704180941252`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.77837499413083, -91.6700131665593}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.752871253078816`, -86.84043926573095}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.3179360372288, -109.35704061557567`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{41.38722786305531, -119.97989672308836`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.260074951824386`, -90.48878974590734}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.4520177085541, -116.31246757728182`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.79174424604809, -117.15333735847413`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.84060164912728, -79.48001912248884}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{31.547037860272447`, -91.74112248176327}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.496752869412962`, -100.83392300433924`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{32.70352987361118, -112.35949455845115`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.95305100449727, -118.3745551537746}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.706022441698586`, -87.6541773546699}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.81173049395585, -96.8422833983025}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.63365943997332, -83.18803402355458}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.93282456255678, -81.07546858908974}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.11422008804944, -99.5653700467098}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.589145079298895`, -96.30785196890837}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.94395841419415, -72.59146864967457}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.558799710008884`, -105.16817064450044`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.09554650020949, -115.82354420521465`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.862799540034246`, -106.73968724111626`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.25870893574825, -115.01351741296239`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.59862902272273, -87.99851527034808}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.610915009504645`, -109.35160273414867`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.12735048250567, -120.7936005907019}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.35077993322302, -116.66745205262754`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.12304969840038, -96.50531438046727}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.17299782064713, -86.57990785075233}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{41.57177497572826, -108.57574406812466`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{38.71042512436973, -98.02383841096089}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.68410624897988, -100.1876300846843}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.94977768705441, -76.38722557383491}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.52820213659971, -92.79456634213875}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.91952390841557, -109.78144780173706`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{41.30867006379528, -88.7182530349223}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.208180429092724`, -82.70269898268371}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{32.825052099369884`, -111.12483054792895`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{44.075588328279665`, -110.46770195852547`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.14661404475773, -101.06303027043276`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.39760326268359, -104.99198510137288`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{42.96598344734687, -84.3317560614887}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{42.003242552195715`, -73.71996023293833}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.03867662304179, -120.92459348764952`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.631160802014485`, -90.6766762330261}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.80777139398576, -91.73110574675596}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.10199235509995, -90.34790272613637}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{29.156149311759986`, -96.27653308260786}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{31.388728865232903`, -109.67590249355453`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.56242054326076, -92.26176478898276}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.460062853901, -107.06632366702587`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.52179675159255, -118.29230476110787`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{42.0303374621652, -81.07724006942131}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.141255928872646`, -93.5103959496825}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{44.6520620816705, -113.85633870216161`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.816107059353435`, -92.90265381506542}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{36.48986556972557, -112.40950864460032`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{47.079982076214726`, -97.75719595912138}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.24873586201194, -109.32382255920145`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.03420034153687, -112.4150127558893}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.67043285832038, -112.39878271465011`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.055210445061874`, -114.25256990484645`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{31.16327235963551, -104.34156935463827`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.705094834517865`, -120.21431954552583`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{29.913223772412525`, -104.27294641385379`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.58329562060359, -107.63832164179378`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.263772224876966`, -102.10318712772879`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.70771532060785, -111.35106571046649`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.19857728141916, -96.07610301951979}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{32.74483078679399, -114.9819215261023}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.187272927895165`, -87.45365918064546}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.24456201295439, -87.72364437741626}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.055237937547226`, -89.28274655061479}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.34073590128672, -93.44211391558207}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.89505444994947, -91.14444741107062}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.263061208035207`, -89.94189327291724}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.29978084974356, -113.68921737882471`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{47.40988366777201, -107.85872879203706`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.44555988062895, -113.58247548723674`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{29.133275363284145`, -96.72921264251502}], Automatic, 
           
           Offset[6.272]]}}, {}}, {
       GeoBackground -> GeoStyling["GeoPlotMap"], 
        Method -> {"VectorMapRemoveLabels" -> True}}]], 
    "BasicGeoRange" -> {{28.773684991782936`, 
     48.79174424604809}, {-121.72606349312724`, -72.59146864967455}}, 
    "OriginalInput" -> HoldForm[
      GeoGraphics[{
        GeoStyling[], {
         Directive[
          Opacity[1], 
          RGBColor[0.790588, 0.201176, 0.], 
          EdgeForm[
           Directive[
            Thickness[Tiny], 
            Opacity[0.4]]], 
          PointSize[Large], 
          FaceForm[{
            Opacity[0.5], 
            RGBColor[1., 0.607843, 0.]}]], {}, {}, 
         Directive[
          Opacity[1], 
          RGBColor[0.790588, 0.201176, 0.], 
          EdgeForm[
           Directive[
            Thickness[Tiny], 
            Opacity[0.4]]], 
          PointSize[Large], 
          FaceForm[{
            Opacity[0.5], 
            RGBColor[1., 0.607843, 0.]}]], {
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.440555699805984`, -97.18710192528691}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.12387510812335, -96.6202508653094}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.051876457970536`, -100.33777971113312`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.765197215759734`, -108.3201907082938}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.542532094226324`, -76.25625000399123}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.6934645208135, -89.0896866709683}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.27139700916673, -98.6032921978391}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.432761863057955`, -101.53263490894898`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.73037154399605, -96.5745115753337}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{36.083072955960965`, -80.56864140844145}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.84839502526201, -88.6057148222052}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{44.27278808659148, -121.72606349312723`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.070788050353904`, -110.02885122785275`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.04202427297818, -116.0236698886807}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{36.59718623173311, -120.25499612493765`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.78367667636824, -94.59625573876089}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{42.300729353007576`, -93.37806062595001}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.5673259183128, -108.62241785456708`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{28.773684991782936`, -81.35228668527932}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.81052694940291, -103.01704180941252`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.77837499413083, -91.6700131665593}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.752871253078816`, -86.84043926573095}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.3179360372288, -109.35704061557567`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{41.38722786305531, -119.97989672308836`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.260074951824386`, -90.48878974590734}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.4520177085541, -116.31246757728182`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.79174424604809, -117.15333735847413`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.84060164912728, -79.48001912248884}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{31.547037860272447`, -91.74112248176327}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.496752869412962`, -100.83392300433924`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{32.70352987361118, -112.35949455845115`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.95305100449727, -118.3745551537746}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.706022441698586`, -87.6541773546699}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.81173049395585, -96.8422833983025}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.63365943997332, -83.18803402355458}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.93282456255678, -81.07546858908974}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.11422008804944, -99.5653700467098}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.589145079298895`, -96.30785196890837}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.94395841419415, -72.59146864967457}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.558799710008884`, -105.16817064450044`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.09554650020949, -115.82354420521465`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.862799540034246`, -106.73968724111626`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.25870893574825, -115.01351741296239`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{40.59862902272273, -87.99851527034808}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.610915009504645`, -109.35160273414867`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.12735048250567, -120.7936005907019}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.35077993322302, -116.66745205262754`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.12304969840038, -96.50531438046727}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.17299782064713, -86.57990785075233}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{41.57177497572826, -108.57574406812466`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{38.71042512436973, -98.02383841096089}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.68410624897988, -100.1876300846843}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.94977768705441, -76.38722557383491}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.52820213659971, -92.79456634213875}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.91952390841557, -109.78144780173706`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{41.30867006379528, -88.7182530349223}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.208180429092724`, -82.70269898268371}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{32.825052099369884`, -111.12483054792895`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{44.075588328279665`, -110.46770195852547`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.14661404475773, -101.06303027043276`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.39760326268359, -104.99198510137288`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{42.96598344734687, -84.3317560614887}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{42.003242552195715`, -73.71996023293833}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.03867662304179, -120.92459348764952`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.631160802014485`, -90.6766762330261}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.80777139398576, -91.73110574675596}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.10199235509995, -90.34790272613637}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{29.156149311759986`, -96.27653308260786}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{31.388728865232903`, -109.67590249355453`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.56242054326076, -92.26176478898276}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.460062853901, -107.06632366702587`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.52179675159255, -118.29230476110787`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{42.0303374621652, -81.07724006942131}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.141255928872646`, -93.5103959496825}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{44.6520620816705, -113.85633870216161`}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.816107059353435`, -92.90265381506542}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{36.48986556972557, -112.40950864460032`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{47.079982076214726`, -97.75719595912138}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{39.24873586201194, -109.32382255920145`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{33.03420034153687, -112.4150127558893}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.67043285832038, -112.39878271465011`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.055210445061874`, -114.25256990484645`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{31.16327235963551, -104.34156935463827`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{43.705094834517865`, -120.21431954552583`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{29.913223772412525`, -104.27294641385379`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.58329562060359, -107.63832164179378`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.263772224876966`, -102.10318712772879`}], 
           Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.70771532060785, -111.35106571046649`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.19857728141916, -96.07610301951979}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{32.74483078679399, -114.9819215261023}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{46.187272927895165`, -87.45365918064546}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{37.24456201295439, -87.72364437741626}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{34.055237937547226`, -89.28274655061479}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{48.34073590128672, -93.44211391558207}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{45.89505444994947, -91.14444741107062}], Automatic, 
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{30.263061208035207`, -89.94189327291724}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.29978084974356, -113.68921737882471`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{47.40988366777201, -107.85872879203706`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{35.44555988062895, -113.58247548723674`}], Automatic, 
           
           Offset[6.272]], 
          Inset[
           Graphics[{
             Directive[
              Opacity[1], 
              RGBColor[0.790588, 0.201176, 0.], 
              PointSize[Large]], 
             EdgeForm[], 
             Disk[{0, 0}]}], 
           GeoPosition[{29.133275363284145`, -96.72921264251502}], Automatic, 
           
           Offset[6.272]]}}, {}}, {
       GeoBackground -> GeoStyling["GeoPlotMap"], 
        Method -> {"VectorMapRemoveLabels" -> True}}]], 
    "BasicGeoRange" -> {{27.52270330062427, 
     50.042725937206754`}, {-124.18279323529988`, -70.1347389075019}}, 
    "GeoGraphicsOptions" -> {
     GeoBackground -> GeoStyling["StreetMapNoLabels"], GeoCenter -> 
      GeoPosition[{38.78271461891551, -97.15876607140089}], GeoGridLines -> 
      None, GeoGridLinesStyle -> 
      GrayLevel[0.4, 0.3], $CellContext`GeoGridRange -> {{-0.4128381835174759,
        0.41283818351747553`}, {-0.19620816900245794`, 
       0.24372829145056063`}}, $CellContext`GeoGridRangePadding -> None, 
      GeoModel -> "ITRF00", 
      GeoProjection -> {
       "LambertAzimuthal", "Centering" -> 
        GeoPosition[{38.78271461891551, -97.15876607140089}]}, 
      GeoRange -> {{27.52270330062427, 
       50.042725937206754`}, {-124.18279323529988`, -70.1347389075019}}, 
      GeoRangePadding -> Full, $CellContext`GeoResolution -> Automatic, 
      GeoServer -> {Automatic}, GeoZoomLevel -> 4, 
      MetaInformation -> <|"GeoMetaInformation" -> <|"Attribution" -> Row[{
             Hyperlink["Wolfram Knowledgebase", "https://www.wolfram.com/"], 
             ", ", 
             Hyperlink[
             "\[Copyright] OpenStreetMap contributors", 
              "https://www.openstreetmap.org/copyright"]}], "GeoModel" -> 
          "ITRF00", 
          "LonLatBox" -> {{-133.65479284454466`, -60.66273929825715}, {
           24.332587356423897`, 52.78211453594021}}, 
          "PlotRange" -> {{-0.4128381835174759, 
           0.41283818351747553`}, {-0.19620816900245794`, 
           0.24372829145056063`}}, 
          "Projection" -> {
           "LambertAzimuthal", "LongitudeDetermination" -> -97.15876607140089,
             "Centering" -> 
            GeoPosition[{38.78271461891551, -97.15876607140089}]}, "Software" -> 
          "Created with the Wolfram Language: www.wolfram.com", 
          "TileSources" -> {"Wolfram", "OSM"}|>|>}},
  PlotRange->{{-0.4128381835174759, 
   0.41283818351747553`}, {-0.19620816900245794`, 0.24372829145056063`}},
  PlotRangeClipping->True,
  PlotRangePadding->None]], "Output",
 CellChangeTimes->{3.867319023344327*^9, 3.867319238165022*^9, 
  3.881758808059561*^9},
 CellLabel->"Out[120]=",
 CellID->613199548,ExpressionUUID->"0be42603-ba6d-475b-bff9-2709496f8508"]
}, Open  ]],

Cell[TextData[{
 "Consider the following ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " containing some other locations\[LongDash]they are from a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " I will use later in this chapter involving American Indian reservations. I \
will explain this kind of code in more detail later in the chapter."
}], "Text",
 CellChangeTimes->{{3.770133044488524*^9, 3.770133069263712*^9}, {
  3.77013432080042*^9, 3.7701343405040073`*^9}, {3.77028973904804*^9, 
  3.770289751614586*^9}, {3.786714908678791*^9, 3.7867149125241756`*^9}, {
  3.868107831242832*^9, 3.868107835065259*^9}, {3.873977103911495*^9, 
  3.8739771057625885`*^9}},
 CellID->171206917,ExpressionUUID->"0fbbea1e-7b96-4faf-9496-f04dc50ee312"],

Cell["\<\
Get reservation location data from the Wolfram Data Repository:\
\>", "CodeText",
 CellChangeTimes->{{3.770289719025668*^9, 3.770289733559375*^9}, 
   3.7867149283897624`*^9, {3.868107869209443*^9, 3.868107869214402*^9}},
 CellID->443873053,ExpressionUUID->"586a3b19-6615-4a6e-a677-2548bc6aef46"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"locationsDS", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"1", ";;", "All", ";;", "40"}], ",", 
     RowBox[{"KeyTake", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<Name\>\"", ",", "\"\<GeoLocation\>\""}], "}"}], "]"}]}], 
    "]"}], "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"1", ",", 
      RowBox[{
       RowBox[{"ResourceData", "[", 
        RowBox[{"#ResourceObject", ",", "\"\<Dataset\>\""}], "]"}], "&"}]}], 
     "]"}], "[", 
    RowBox[{"ResourceSearch", "[", "\"\<Indian Reservations\>\"", "]"}], 
    "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7701178415005093`*^9, 3.7701178560887003`*^9}, {
  3.770117935603736*^9, 3.770117937468815*^9}, {3.770117978483942*^9, 
  3.770117992745603*^9}, {3.770133112274194*^9, 3.770133196015984*^9}, {
  3.770133564008309*^9, 3.7701335830341187`*^9}, {3.86731749364089*^9, 
  3.8673174940093718`*^9}},
 CellTags->"i:35",
 CellLabel->"In[4]:=",
 CellID->259391128,ExpressionUUID->"3d71b01f-c6e7-4d52-93c1-0a10cb435eb7"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "Name" -> "Coos, Lower Umpqua, and Siuslaw", "GeoLocation" -> 
        GeoPosition[{42.8103663, -124.4476014}]|>, <|
       "Name" -> "Iowa (KS-NE)", "GeoLocation" -> 
        GeoPosition[{39.9689409, -95.3821032}]|>, <|
       "Name" -> "Hoolehua-Palaau", "GeoLocation" -> 
        GeoPosition[{21.1660288, -157.0957799}]|>, <|
       "Name" -> "Susanville", "GeoLocation" -> 
        GeoPosition[{40.1395119, -120.1373767}]|>, <|
       "Name" -> "Nisqually", "GeoLocation" -> 
        GeoPosition[{47.0210629, -122.6608433}]|>, <|
       "Name" -> "Tyonek", "GeoLocation" -> 
        GeoPosition[{61.087207, -151.1605486}]|>, <|
       "Name" -> "Lower Kalskag", "GeoLocation" -> 
        GeoPosition[{61.5158128, -160.3576352}]|>, <|
       "Name" -> "Chefornak", "GeoLocation" -> 
        GeoPosition[{60.1512201, -164.2513642}]|>, <|
       "Name" -> "Hanapepe", "GeoLocation" -> 
        GeoPosition[{21.9158321, -159.5957766}]|>, <|
       "Name" -> "Panaewa (Agricultural)", "GeoLocation" -> 
        GeoPosition[{19.6855873, -155.0499937}]|>, <|
       "Name" -> "Table Mountain", "GeoLocation" -> 
        GeoPosition[{36.9848914, -119.6359563}]|>, <|
       "Name" -> "Isabella", "GeoLocation" -> 
        GeoPosition[{43.6761118, -84.7807446}]|>, <|
       "Name" -> "Miccosukee", "GeoLocation" -> 
        GeoPosition[{26.0637699, -80.8224485}]|>, <|
       "Name" -> "Blackfeet", "GeoLocation" -> 
        GeoPosition[{48.6512884, -112.8912475}]|>, <|
       "Name" -> "Swinomish", "GeoLocation" -> 
        GeoPosition[{48.4154021, -122.5363955}]|>, <|
       "Name" -> "Schaghticoke", "GeoLocation" -> 
        GeoPosition[{41.692509, -73.5091255}]|>, <|
       "Name" -> "Eastern Cherokee", "GeoLocation" -> 
        GeoPosition[{35.5364437, -83.2478205}]|>, <|
       "Name" -> "Point Hope", "GeoLocation" -> 
        GeoPosition[{68.3437315, -166.6693685}]|>, <|
       "Name" -> "Koyukuk", "GeoLocation" -> 
        GeoPosition[{64.9022127, -157.6943354}]|>, <|
       "Name" -> "Crow", "GeoLocation" -> 
        GeoPosition[{45.3984594, -107.7128062}]|>, <|
       "Name" -> "Waccamaw Siouan", "GeoLocation" -> 
        GeoPosition[{34.3969741, -78.5512349}]|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "Name"} -> 
        1, {All, "GeoLocation"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "Name" -> TypeSystem`PackageScope`AtomShape[347.20000000000005`], 
            "GeoLocation" -> TypeSystem`PackageScope`AtomShape[106]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"Name", "GeoLocation"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[GeoPosition]}], 21], "Meta" -> <||>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "Name"} -> 
        1, {All, "GeoLocation"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "Name" -> TypeSystem`PackageScope`AtomShape[347.20000000000005`], 
            "GeoLocation" -> TypeSystem`PackageScope`AtomShape[106]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"Name", "GeoLocation"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[GeoPosition]}], 21], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 
     21, "DataColumnCount" -> 2, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Name", 
                  Style[
                  "Name", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Name"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{All, "Name"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["GeoLocation", 
                  Style[
                  "GeoLocation", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "GeoLocation"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{All, "GeoLocation"},
                 "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["Coos, Lower Umpqua, and Siuslaw", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{1, 
                 Key["Name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"42.81\[Degree]N 124.4\[Degree]W\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{1, 
                 Key["GeoLocation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{106, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Iowa (KS-NE)", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{2, 
                 Key["Name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"39.97\[Degree]N 95.38\[Degree]W\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{2, 
                 Key["GeoLocation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{106, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Hoolehua-Palaau", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{3, 
                 Key["Name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"21.17\[Degree]N 157.1\[Degree]W\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{3, 
                 Key["GeoLocation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{106, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Susanville", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{4, 
                 Key["Name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"40.14\[Degree]N 120.1\[Degree]W\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{4, 
                 Key["GeoLocation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{106, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Nisqually", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{5, 
                 Key["Name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"47.02\[Degree]N 122.7\[Degree]W\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{5, 
                 Key["GeoLocation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{106, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Tyonek", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{6, 
                 Key["Name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"61.09\[Degree]N 151.2\[Degree]W\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{6, 
                 Key["GeoLocation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{106, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Lower Kalskag", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{7, 
                 Key["Name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"61.52\[Degree]N 160.4\[Degree]W\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{7, 
                 Key["GeoLocation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{106, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Chefornak", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{8, 
                 Key["Name"]}, "Item", False], "Mouse"], 
              ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"60.15\[Degree]N 164.3\[Degree]W\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c47bf0c2-149a-4d8a-a7cc-bf022e1d4169"]][{8, 
                 Key["GeoLocation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{106, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 21, 1], {1, 21 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 21, 1], {1, 21 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[21, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[21, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 21, 1], {1, 21 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 21, 1], {1, 21 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{490., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{490., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.7701331478622713`*^9, 3.770133200107624*^9, 3.7701332833792133`*^9, {
   3.770133571530931*^9, 3.770133585163403*^9}, 3.770134003608697*^9, 
   3.7702128028944893`*^9, 3.770289152983452*^9, 3.7719308694609756`*^9, 
   3.771936206187801*^9, 3.817316421509984*^9, 3.8673177158772097`*^9, 
   3.881758837010468*^9, 3.881760988128619*^9, 3.88246191067241*^9, {
   3.88261690476399*^9, 3.8826169323656883`*^9}},
 CellLabel->"Out[4]=",
 CellID->724131871,ExpressionUUID->"9472e585-9121-4cbb-b533-0b3c9a8e0ccf"]
}, Open  ]],

Cell[TextData[{
 "Now what I want to do is compute, for each location in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", the spot in the original ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " to which they are closest. I could do this as follows."
}], "Text",
 CellChangeTimes->{{3.770132999210719*^9, 3.77013300210706*^9}, {
   3.770133208185746*^9, 3.770133229071678*^9}, {3.7701343531071653`*^9, 
   3.770134354910222*^9}, 3.786714938005724*^9, {3.868107889428789*^9, 
   3.868107905552717*^9}, {3.869240293715548*^9, 3.869240299249486*^9}},
 CellTags->{"LastCellOfAPage", "i:36"},
 CellID->578146987,ExpressionUUID->"832e5e50-eae7-4922-860e-93874cf6d28f"],

Cell[TextData[{
 "Compute the closest spot to each reservation one reservation at a time and \
use ",
 ButtonBox["RepeatedTiming",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RepeatedTiming.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RepeatedTiming.html"],
 " to determine code efficiency:"
}], "CodeText",
 CellChangeTimes->{{3.770289761832549*^9, 3.770289773162181*^9}, 
   3.7867149517731004`*^9, {3.86731934338223*^9, 3.867319354466906*^9}, 
   3.868107958716188*^9},
 CellTags->"p: 237",
 CellID->904330493,ExpressionUUID->"fce05236-f23c-4b43-a492-0512a9e6727f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"op1", "=", 
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{
      RowBox[{"Association", "[", 
       RowBox[{"#", ",", 
        RowBox[{"\"\<NearestSpot\>\"", "->", 
         RowBox[{
          RowBox[{"GeoNearest", "[", 
           RowBox[{"spots", ",", "#GeoLocation"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], "&"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"RepeatedTiming", "[", 
   RowBox[{"op1", "[", "locationsDS", "]"}], "]"}], "//", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"#", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       InterpretationBox[
        TagBox[
         DynamicModuleBox[{Typeset`open = False}, 
          FrameBox[
           PaneSelectorBox[{False->GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"],
                   ImageSizeCache->{11., {2., 9.}}], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"],
                   ImageSizeCache->{11., {2., 9.}}]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
            GridBox[{
              {GridBox[{
                 {
                  PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                    },
                    GridBoxSpacings->{"Columns" -> {{0.25}}}],
                   Alignment->Left,
                   
                   BaseStyle->{
                    LineSpacing -> {0, 0}, LineBreakWithin -> False},
                   BaselinePosition->Baseline,
                   FrameMargins->{{3, 0}, {0, 0}}], 
                  ItemBox[
                   PaneBox[
                    TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                    Alignment->Left,
                    BaselinePosition->Baseline,
                    FrameMargins->{{1, 1}, {0, 0}}],
                   Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
                },
                BaselinePosition->{1, 1},
                
                GridBoxAlignment->{
                 "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
              {
               StyleBox[
                PaneBox[GridBox[{
                   {
                    RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                   {
                    TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/76670bca-1587-4e7e-9e89-5b698a30759d/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                  },
                  DefaultBaseStyle->"Column",
                  GridBoxAlignment->{"Columns" -> {{Left}}},
                  
                  GridBoxItemSize->{
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
                FontFamily->"Roboto",
                FontSize->11]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                  GrayLevel[0.8]}, False}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
            Typeset`open],
            BaselinePosition->Baseline,
            ImageSize->Automatic],
           
           Background->RGBColor[
            0.9686274509803922, 0.9764705882352941, 0.984313725490196],
           BaselinePosition->Baseline,
           DefaultBaseStyle->{},
           FrameMargins->{{0, 0}, {1, 0}},
           
           FrameStyle->RGBColor[
            0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
           RoundingRadius->4]],
         {"FunctionResourceBox", 
          RGBColor[
          0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
          "FormatDataset"},
         TagBoxNote->"FunctionResourceBox"],
        ResourceFunction[
         ResourceObject[<|
          "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
           "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> 
           "Function", "Version" -> "1.0.0", "Description" -> 
           "Format a dataset using a given set of option values", 
           "RepositoryLocation" -> 
           URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
           "SymbolName" -> 
           "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`\
FormatDataset", "FunctionLocation" -> 
           CloudObject[
            "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
        Selectable->False], "[", 
       RowBox[{"HeaderSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", 
          RowBox[{"{", 
           RowBox[{"24", ",", "12", ",", "12"}], "}"}]}], "}"}]}], "]"}], "[", 
      RowBox[{"#", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.867318787134207*^9, 3.867318793264882*^9}, 
   3.867318840956956*^9, {3.881758878828875*^9, 3.881758958855915*^9}, 
   3.881760966482089*^9},
 CellLabel->"In[60]:=",
 CellID->788119329,ExpressionUUID->"e6a594a1-a1cf-461a-89df-036d27ae5022"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.03509475`", ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "Name" -> "Coos, Lower Umpqua, and Siuslaw", "GeoLocation" -> 
          GeoPosition[{42.8103663, -124.4476014}], "NearestSpot" -> 
          GeoPosition[{44.27278808659148, -121.72606349312723`}]|>, <|
         "Name" -> "Iowa (KS-NE)", "GeoLocation" -> 
          GeoPosition[{39.9689409, -95.3821032}], "NearestSpot" -> 
          GeoPosition[{40.78367667636824, -94.59625573876089}]|>, <|
         "Name" -> "Hoolehua-Palaau", "GeoLocation" -> 
          GeoPosition[{21.1660288, -157.0957799}], "NearestSpot" -> 
          GeoPosition[{36.59718623173311, -120.25499612493765`}]|>, <|
         "Name" -> "Susanville", "GeoLocation" -> 
          GeoPosition[{40.1395119, -120.1373767}], "NearestSpot" -> 
          GeoPosition[{41.38722786305531, -119.97989672308836`}]|>, <|
         "Name" -> "Nisqually", "GeoLocation" -> 
          GeoPosition[{47.0210629, -122.6608433}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Tyonek", "GeoLocation" -> 
          GeoPosition[{61.087207, -151.1605486}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Lower Kalskag", "GeoLocation" -> 
          GeoPosition[{61.5158128, -160.3576352}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Chefornak", "GeoLocation" -> 
          GeoPosition[{60.1512201, -164.2513642}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Hanapepe", "GeoLocation" -> 
          GeoPosition[{21.9158321, -159.5957766}], "NearestSpot" -> 
          GeoPosition[{36.59718623173311, -120.25499612493765`}]|>, <|
         "Name" -> "Panaewa (Agricultural)", "GeoLocation" -> 
          GeoPosition[{19.6855873, -155.0499937}], "NearestSpot" -> 
          GeoPosition[{36.59718623173311, -120.25499612493765`}]|>, <|
         "Name" -> "Table Mountain", "GeoLocation" -> 
          GeoPosition[{36.9848914, -119.6359563}], "NearestSpot" -> 
          GeoPosition[{36.59718623173311, -120.25499612493765`}]|>, <|
         "Name" -> "Isabella", "GeoLocation" -> 
          GeoPosition[{43.6761118, -84.7807446}], "NearestSpot" -> 
          GeoPosition[{42.96598344734687, -84.3317560614887}]|>, <|
         "Name" -> "Miccosukee", "GeoLocation" -> 
          GeoPosition[{26.0637699, -80.8224485}], "NearestSpot" -> 
          GeoPosition[{28.773684991782936`, -81.35228668527932}]|>, <|
         "Name" -> "Blackfeet", "GeoLocation" -> 
          GeoPosition[{48.6512884, -112.8912475}], "NearestSpot" -> 
          GeoPosition[{48.67043285832038, -112.39878271465011`}]|>, <|
         "Name" -> "Swinomish", "GeoLocation" -> 
          GeoPosition[{48.4154021, -122.5363955}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Schaghticoke", "GeoLocation" -> 
          GeoPosition[{41.692509, -73.5091255}], "NearestSpot" -> 
          GeoPosition[{42.003242552195715`, -73.71996023293833}]|>, <|
         "Name" -> "Eastern Cherokee", "GeoLocation" -> 
          GeoPosition[{35.5364437, -83.2478205}], "NearestSpot" -> 
          GeoPosition[{34.93282456255678, -81.07546858908974}]|>, <|
         "Name" -> "Point Hope", "GeoLocation" -> 
          GeoPosition[{68.3437315, -166.6693685}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Koyukuk", "GeoLocation" -> 
          GeoPosition[{64.9022127, -157.6943354}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Crow", "GeoLocation" -> 
          GeoPosition[{45.3984594, -107.7128062}], "NearestSpot" -> 
          GeoPosition[{45.862799540034246`, -106.73968724111626`}]|>, <|
         "Name" -> "Waccamaw Siouan", "GeoLocation" -> 
          GeoPosition[{34.3969741, -78.5512349}], "NearestSpot" -> 
          GeoPosition[{34.93282456255678, -81.07546858908974}]|>}, 
       "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "Name"} -> 
          1, {All, "GeoLocation"} -> 1, {All, "NearestSpot"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "Name" -> TypeSystem`PackageScope`AtomShape[347.20000000000005`],
               "GeoLocation" -> TypeSystem`PackageScope`AtomShape[106], 
              "NearestSpot" -> TypeSystem`PackageScope`AtomShape[106]|>], 
            DirectedInfinity[1], 3, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"Name", "GeoLocation", "NearestSpot"}, {
           TypeSystem`Atom[String], 
           TypeSystem`Atom[GeoPosition], 
           TypeSystem`Atom[GeoPosition]}], 21], 
       "Meta" -> <|$CellContext`HeaderSize -> {Automatic, {24, 12, 12}}|>, 
       "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "Name"} -> 
          1, {All, "GeoLocation"} -> 1, {All, "NearestSpot"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "Name" -> TypeSystem`PackageScope`AtomShape[347.20000000000005`],
               "GeoLocation" -> TypeSystem`PackageScope`AtomShape[106], 
              "NearestSpot" -> TypeSystem`PackageScope`AtomShape[106]|>], 
            DirectedInfinity[1], 3, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"Name", "GeoLocation", "NearestSpot"}, {
           TypeSystem`Atom[String], 
           TypeSystem`Atom[GeoPosition], 
           TypeSystem`Atom[GeoPosition]}], 21], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 3, "DataRowCount" -> 
       21, "DataColumnCount" -> 3, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["Name", 
                    Style[
                    "Name", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Name"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{All, "Name"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
               Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["GeoLocation", 
                    Style[
                    "GeoLocation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GeoLocation"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{
                  All, "GeoLocation"}, "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {12, None}, 
               Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["NearestSpot", 
                    Style[
                    "NearestSpot", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "NearestSpot"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{
                  All, "NearestSpot"}, "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {12, None}, 
               Background -> GrayLevel[0.95], 
               Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["Coos, Lower Umpqua, and Siuslaw", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{1, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"42.81\[Degree]N 124.4\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{1, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"44.27\[Degree]N 121.7\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{1, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Iowa (KS-NE)", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{2, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"39.97\[Degree]N 95.38\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{2, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"40.78\[Degree]N 94.6\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{2, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Hoolehua-Palaau", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{3, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"21.17\[Degree]N 157.1\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{3, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"36.6\[Degree]N 120.3\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{3, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Susanville", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{4, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"40.14\[Degree]N 120.1\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{4, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"41.39\[Degree]N 120.0\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{4, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Nisqually", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{5, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"47.02\[Degree]N 122.7\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{5, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"48.13\[Degree]N 120.8\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{5, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Tyonek", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{6, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"61.09\[Degree]N 151.2\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{6, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"48.13\[Degree]N 120.8\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{6, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Lower Kalskag", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{7, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"61.52\[Degree]N 160.4\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{7, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"48.13\[Degree]N 120.8\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{7, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Chefornak", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{8, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"60.15\[Degree]N 164.3\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{8, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"48.13\[Degree]N 120.8\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c4318337-bbe9-48fd-99a6-eaecf9157a01"]][{8, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Deploy[
                Pane[
                 Row[{
                   Spacer[2], 
                   Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 21, 1], {1, 21 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 21, 1], {1, 21 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[21, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[21, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 21, 1], {1, 21 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 21, 1], {1, 21 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                 ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
               RGBColor[
                0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
               Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    With[{
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{604., {137.8837890625, 145.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{604., {137.8837890625, 145.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 PageWidth->1000,
 CellChangeTimes->{3.884862137310977*^9, 3.884862176629138*^9},
 CellLabel->"Out[10]=",
 CellID->806654774,ExpressionUUID->"db5de41b-c3f5-4b91-bc32-a6903b87f3c4"]
}, Open  ]],

Cell[TextData[{
 "It works, but it takes longer than desired because the machine has to \
recompute the nearest function each time. But now let\[CloseCurlyQuote]s ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", apply ",
 ButtonBox["GeoNearest",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GeoNearest.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GeoNearest.html"],
 " to the entire list of locations in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and re-",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " back. The conjugation speeds up execution by roughly a factor of three."
}], "Text",
 CellChangeTimes->{{3.7701333161163*^9, 3.770133350970352*^9}, {
   3.770133681586811*^9, 3.770133727621565*^9}, {3.7701338594928627`*^9, 
   3.770133868217414*^9}, {3.770134036709034*^9, 3.770134049976234*^9}, {
   3.78671516419034*^9, 3.7867151763435555`*^9}, {3.817316745630352*^9, 
   3.81731675126901*^9}, {3.867318717674767*^9, 3.867318761277986*^9}, {
   3.867320946378356*^9, 3.8673209938194523`*^9}, 3.8681080252997103`*^9, {
   3.876240036671146*^9, 3.8762400387235365`*^9}},
 CellID->237178235,ExpressionUUID->"27ea5eaf-c2ee-43ea-af4c-4d95ee7f5a27"],

Cell["\<\
Use the Double Transpose Trick to compute all the nearest spots all at once \
and much faster:\
\>", "CodeText",
 CellChangeTimes->{{3.770289781325431*^9, 3.7702898048782377`*^9}, {
  3.7867152360025206`*^9, 3.7867152445703773`*^9}},
 CellID->1891311543,ExpressionUUID->"ece5066f-5427-44f0-b7ab-8158aefd6d56"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"op2", "=", 
   RowBox[{"Query", "[", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Association", "[", 
       RowBox[{"#", ",", 
        RowBox[{"\"\<NearestSpot\>\"", "\[Rule]", 
         RowBox[{"Map", "[", 
          RowBox[{"First", ",", 
           RowBox[{"GeoNearest", "[", 
            RowBox[{"spots", ",", "#GeoLocation"}], "]"}]}], "]"}]}]}], "]"}],
       "&"}], ")"}], "]"}]}], ";", 
  RowBox[{"RepeatedTiming", "[", 
   RowBox[{"Transpose", "[", 
    RowBox[{"op2", "[", 
     RowBox[{"Transpose", "[", "locationsDS", "]"}], "]"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.86731855635713*^9, 3.867318701815975*^9}, {
  3.867318856973782*^9, 3.867318863072566*^9}},
 CellLabel->"In[137]:=",
 CellID->1423109001,ExpressionUUID->"fcf1cb27-daa0-4d0b-b923-9540d2f4e7b8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.007606171875`", ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "Name" -> "Coos, Lower Umpqua, and Siuslaw", "GeoLocation" -> 
          GeoPosition[{42.8103663, -124.4476014}], "NearestSpot" -> 
          GeoPosition[{44.27278808659148, -121.72606349312723`}]|>, <|
         "Name" -> "Iowa (KS-NE)", "GeoLocation" -> 
          GeoPosition[{39.9689409, -95.3821032}], "NearestSpot" -> 
          GeoPosition[{40.78367667636824, -94.59625573876089}]|>, <|
         "Name" -> "Hoolehua-Palaau", "GeoLocation" -> 
          GeoPosition[{21.1660288, -157.0957799}], "NearestSpot" -> 
          GeoPosition[{36.59718623173311, -120.25499612493765`}]|>, <|
         "Name" -> "Susanville", "GeoLocation" -> 
          GeoPosition[{40.1395119, -120.1373767}], "NearestSpot" -> 
          GeoPosition[{41.38722786305531, -119.97989672308836`}]|>, <|
         "Name" -> "Nisqually", "GeoLocation" -> 
          GeoPosition[{47.0210629, -122.6608433}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Tyonek", "GeoLocation" -> 
          GeoPosition[{61.087207, -151.1605486}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Lower Kalskag", "GeoLocation" -> 
          GeoPosition[{61.5158128, -160.3576352}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Chefornak", "GeoLocation" -> 
          GeoPosition[{60.1512201, -164.2513642}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Hanapepe", "GeoLocation" -> 
          GeoPosition[{21.9158321, -159.5957766}], "NearestSpot" -> 
          GeoPosition[{36.59718623173311, -120.25499612493765`}]|>, <|
         "Name" -> "Panaewa (Agricultural)", "GeoLocation" -> 
          GeoPosition[{19.6855873, -155.0499937}], "NearestSpot" -> 
          GeoPosition[{36.59718623173311, -120.25499612493765`}]|>, <|
         "Name" -> "Table Mountain", "GeoLocation" -> 
          GeoPosition[{36.9848914, -119.6359563}], "NearestSpot" -> 
          GeoPosition[{36.59718623173311, -120.25499612493765`}]|>, <|
         "Name" -> "Isabella", "GeoLocation" -> 
          GeoPosition[{43.6761118, -84.7807446}], "NearestSpot" -> 
          GeoPosition[{42.96598344734687, -84.3317560614887}]|>, <|
         "Name" -> "Miccosukee", "GeoLocation" -> 
          GeoPosition[{26.0637699, -80.8224485}], "NearestSpot" -> 
          GeoPosition[{28.773684991782936`, -81.35228668527932}]|>, <|
         "Name" -> "Blackfeet", "GeoLocation" -> 
          GeoPosition[{48.6512884, -112.8912475}], "NearestSpot" -> 
          GeoPosition[{48.67043285832038, -112.39878271465011`}]|>, <|
         "Name" -> "Swinomish", "GeoLocation" -> 
          GeoPosition[{48.4154021, -122.5363955}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Schaghticoke", "GeoLocation" -> 
          GeoPosition[{41.692509, -73.5091255}], "NearestSpot" -> 
          GeoPosition[{42.003242552195715`, -73.71996023293833}]|>, <|
         "Name" -> "Eastern Cherokee", "GeoLocation" -> 
          GeoPosition[{35.5364437, -83.2478205}], "NearestSpot" -> 
          GeoPosition[{34.93282456255678, -81.07546858908974}]|>, <|
         "Name" -> "Point Hope", "GeoLocation" -> 
          GeoPosition[{68.3437315, -166.6693685}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Koyukuk", "GeoLocation" -> 
          GeoPosition[{64.9022127, -157.6943354}], "NearestSpot" -> 
          GeoPosition[{48.12735048250567, -120.7936005907019}]|>, <|
         "Name" -> "Crow", "GeoLocation" -> 
          GeoPosition[{45.3984594, -107.7128062}], "NearestSpot" -> 
          GeoPosition[{45.862799540034246`, -106.73968724111626`}]|>, <|
         "Name" -> "Waccamaw Siouan", "GeoLocation" -> 
          GeoPosition[{34.3969741, -78.5512349}], "NearestSpot" -> 
          GeoPosition[{34.93282456255678, -81.07546858908974}]|>}, 
       "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "Name"} -> 
          1, {All, "GeoLocation"} -> 1, {All, "NearestSpot"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "Name" -> TypeSystem`PackageScope`AtomShape[347.20000000000005`],
               "GeoLocation" -> TypeSystem`PackageScope`AtomShape[106], 
              "NearestSpot" -> TypeSystem`PackageScope`AtomShape[106]|>], 
            DirectedInfinity[1], 3, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"Name", "GeoLocation", "NearestSpot"}, {
           TypeSystem`Atom[String], 
           TypeSystem`Atom[GeoPosition], 
           TypeSystem`Atom[GeoPosition]}], 21], "Meta" -> <||>, "RowTarget" -> 
       20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "Name"} -> 
          1, {All, "GeoLocation"} -> 1, {All, "NearestSpot"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "Name" -> TypeSystem`PackageScope`AtomShape[347.20000000000005`],
               "GeoLocation" -> TypeSystem`PackageScope`AtomShape[106], 
              "NearestSpot" -> TypeSystem`PackageScope`AtomShape[106]|>], 
            DirectedInfinity[1], 3, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"Name", "GeoLocation", "NearestSpot"}, {
           TypeSystem`Atom[String], 
           TypeSystem`Atom[GeoPosition], 
           TypeSystem`Atom[GeoPosition]}], 21], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 3, "DataRowCount" -> 
       21, "DataColumnCount" -> 3, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["Name", 
                    Style[
                    "Name", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Name"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{All, "Name"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["GeoLocation", 
                    Style[
                    "GeoLocation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GeoLocation"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{
                  All, "GeoLocation"}, "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["NearestSpot", 
                    Style[
                    "NearestSpot", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "NearestSpot"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{
                  All, "NearestSpot"}, "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["Coos, Lower Umpqua, and Siuslaw", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{1, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"42.81\[Degree]N 124.4\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{1, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"44.27\[Degree]N 121.7\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{1, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Iowa (KS-NE)", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{2, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"39.97\[Degree]N 95.38\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{2, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"40.78\[Degree]N 94.6\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{2, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Hoolehua-Palaau", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{3, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"21.17\[Degree]N 157.1\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{3, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"36.6\[Degree]N 120.3\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{3, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Susanville", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{4, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"40.14\[Degree]N 120.1\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{4, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"41.39\[Degree]N 120.0\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{4, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Nisqually", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{5, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"47.02\[Degree]N 122.7\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{5, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"48.13\[Degree]N 120.8\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{5, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Tyonek", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{6, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"61.09\[Degree]N 151.2\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{6, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"48.13\[Degree]N 120.8\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{6, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Lower Kalskag", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{7, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"61.52\[Degree]N 160.4\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{7, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], ImageSize -> 
                {{106, Full}, Automatic}, ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"48.13\[Degree]N 120.8\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{7, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["Chefornak", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{8, 
                   Key["Name"]}, "Item", False], "Mouse"], 
                ImageSize -> {{347.20000000000005`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"60.15\[Degree]N 164.3\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{8, 
                   Key["GeoLocation"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["\"48.13\[Degree]N 120.8\[Degree]W\""], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "86122b7e-cb0f-408f-911a-ccefaa4954e5"]][{8, 
                   Key["NearestSpot"]}, "Item", False], "Mouse"], 
                ImageSize -> {{106, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Deploy[
                Pane[
                 Row[{
                   Spacer[2], 
                   Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 21, 1], {1, 21 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 21, 1], {1, 21 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[21, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[21, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 21, 1], {1, 21 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 21, 1], {1, 21 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                 ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
               RGBColor[
                0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
               Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{604., {137.8837890625, 145.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{604., {137.8837890625, 145.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 PageWidth->1000,
 CellChangeTimes->{3.8848624165378733`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[11]=",
 CellID->477548398,ExpressionUUID->"7d069b55-cacb-4ea3-b544-ed0d21194fe6"]
}, Open  ]],

Cell[TextData[{
 "One caveat: as of Version 13, you can\[CloseCurlyQuote]t ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations using built-in functions, so if you have data in ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form and you need to ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 ", consider either wrapping it in ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " first or using the ",
 ButtonBox["AssociationTranspose",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " as shown previously."
}], "Text",
 CellChangeTimes->{{3.7701343824006653`*^9, 3.7701344286991377`*^9}, {
   3.7863780235831933`*^9, 3.7863780240711937`*^9}, {3.7867152524991703`*^9, 
   3.7867152730102205`*^9}, {3.867317779338107*^9, 3.867317823704454*^9}, {
   3.867327739284753*^9, 3.867327758153879*^9}, 3.8681085925532837`*^9, {
   3.870362223516474*^9, 3.8703622275014687`*^9}, {3.8738872129196444`*^9, 
   3.873887214981432*^9}},
 CellTags->"p: 238",
 CellID->330256751,ExpressionUUID->"41405a8b-d0be-49e5-88ad-ef0adadbf433"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Defer Operation of a Descending Operator", "Subsection",
 CellChangeTimes->{{3.7404800496885433`*^9, 3.740480056233458*^9}, {
  3.740490872180801*^9, 3.7404908830998783`*^9}, {3.7701265132885723`*^9, 
  3.7701265153238487`*^9}},
 CellID->1967261171,ExpressionUUID->"b36ba29e-d57b-4b44-8ff4-2da2be7bae19"],

Cell[TextData[{
 "Suppose I want a sorted ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of the values in a particular column of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " for a particular subset of rows. Sometimes, this is easy. On other \
occasions, however, it will require a more exact understanding of the order \
of operations in ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". To see the challenge, consider a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " like the Titanic ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " but in which the columns are not in the same order as we have seen them. "
}], "Text",
 CellChangeTimes->{{3.7404912154634113`*^9, 3.7404912447022867`*^9}, {
   3.740491548459656*^9, 3.740491571818307*^9}, {3.741868202263379*^9, 
   3.7418682051717052`*^9}, {3.867327846563282*^9, 3.8673279315183783`*^9}, {
   3.86732800137683*^9, 3.86732807913702*^9}, {3.8681097718544607`*^9, 
   3.868109789286364*^9}, {3.868109838669379*^9, 3.8681098534081583`*^9}, 
   3.870362256973424*^9, {3.873977351609907*^9, 3.8739773739091835`*^9}},
 CellTags->"i:37",
 CellID->1100271785,ExpressionUUID->"16cc21ed-442c-44a0-94bf-c86a45255650"],

Cell[TextData[{
 "Reverse the order of key-value pairs in the Titanic ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.770289813889876*^9, 3.770289843761158*^9}, {
   3.7867155011490326`*^9, 3.7867155153094482`*^9}, 3.8681098631126347`*^9},
 CellID->1014435866,ExpressionUUID->"1e0f840b-caeb-45cc-a5a6-30219eaad896"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"titanicReversed", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", "Reverse"}], "]"}], "[", "titanicDS", "]"}], "//", 
   RowBox[{
    InterpretationBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "FormatDataset"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
        "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Format a dataset using a given set of option values", 
        "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], "[", 
    RowBox[{"MaxItems", "\[Rule]", "10"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.740491573724905*^9, 3.7404916021595163`*^9}, {
   3.7702128728542423`*^9, 3.770212872993552*^9}, {3.8673282296350393`*^9, 
   3.867328294253819*^9}, 3.882617005200646*^9},
 CellLabel->"In[8]:=",
 CellID->286206178,ExpressionUUID->"8dde42e7-f125-4069-885c-580f3addcbed"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "survived" -> True, "sex" -> "female", "age" -> 29, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 2, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 25, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 48, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 63, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 53, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 71, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 26, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 80, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 50, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 32, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 37, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 47, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 26, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 42, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 29, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 25, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 28, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 45, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 40, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 58, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 48, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 44, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 59, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 60, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 41, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 45, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 42, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 53, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 36, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 58, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 11, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 14, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 36, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 49, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 76, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 46, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 47, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 27, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 45, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 26, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 37, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 64, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 55, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 70, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 64, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 38, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 51, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 27, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 27, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 31, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 17, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 53, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 4, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 54, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 50, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 27, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 48, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 48, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 49, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 23, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 38, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 54, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 36, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 36, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 28, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 23, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 64, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 60, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 50, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 43, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 60, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 48, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 37, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 49, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 71, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 53, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 38, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 58, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 23, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 46, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 25, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 25, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 48, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 49, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 45, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 27, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 55, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 52, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 55, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 16, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 44, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 51, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 35, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 38, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 38, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 50, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 49, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 46, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 50, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 58, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 42, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 49, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 35, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 55, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 16, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 51, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 21, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 58, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 15, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 16, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 46, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 54, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 36, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 65, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 44, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 37, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 30, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 55, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 37, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 31, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 23, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 58, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 64, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 65, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 46, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 17, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 52, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 56, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 38, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 43, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 45, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 46, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 55, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 54, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 13, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 21, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 61, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 48, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 34, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 40, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 35, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 50, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 56, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 28, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 56, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 56, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 24, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 23, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 6, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 45, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 40, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 57, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 62, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 54, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 43, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 52, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 62, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 67, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 63, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 61, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 48, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 52, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 48, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 49, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 17, "class" -> "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 39, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 31, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 61, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 64, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 60, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 60, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 54, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 55, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 31, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 57, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 50, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 50, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 21, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 51, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 21, "class" -> "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 31, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 62, "class" -> 
        "1st"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "1st"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 57, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 51, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 4, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 12, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 34, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 15, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 60, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 40, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 20, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 42, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 26, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 44, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 54, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 52, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 37, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 24, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 8, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 31, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 8, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 48, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 54, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 8, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 27, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 38, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 38, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 52, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 44, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 6, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 62, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 7, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 43, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 49, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 48, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 55, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 20, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 54, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 50, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 44, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 42, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 63, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 60, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 17, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 22, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 57, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 26, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 1, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 3, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 17, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 61, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 50, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 42, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 57, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 46, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 13, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 41, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 19, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 48, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 70, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 54, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 62, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 14, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 2, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 3, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 37, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 20, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 22, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 29, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 50, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 21, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 43, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 32, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 30, "class" -> "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 2, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 8, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 3, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 50, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 21, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 20, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 59, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 40, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 14, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 50, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 28, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 27, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 27, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 31, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 31, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 12, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 40, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 2, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 4, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 29, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 1, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 5, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 66, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 31, "class" -> "2nd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "2nd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 26, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 24, "class" -> 
        "2nd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 13, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 25, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 20, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 40, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 26, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 4, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 6, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 2, "class" -> "3rd"|>,
        <|"survived" -> True, "sex" -> "female", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 38, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 9, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 11, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 27, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 39, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 5, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 9, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 3, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 13, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 5, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 23, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 38, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 13, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 1, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 1, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 5, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 20, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 45, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 6, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 9, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 21, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 38, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 37, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 18, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 71, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 43, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 9, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 3, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 59, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 44, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 45, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 29, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 1, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 37, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 30, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 1, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 43, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 19, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 65, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 24, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 45, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 15, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 5, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 9, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 48, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 9, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 38, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 9, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 1, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 11, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 10, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 14, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 43, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 51, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 37, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 45, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 11, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 27, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 2, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 43, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 29, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 21, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 48, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 26, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 4, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 1, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 49, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 21, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 4, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 39, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 44, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 4, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 29, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 1, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 25, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 37, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 26, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 22, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 45, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 20, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 27, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 51, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 24, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 15, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 56, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 21, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 6, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 15, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 1, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 20, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 12, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 14, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 39, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 61, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 9, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 42, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 2, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 6, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 3, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 8, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 1, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 7, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 2, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 14, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 41, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 1, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 3, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 26, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 25, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 32, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 17, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 38, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 10, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 4, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 7, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 2, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 8, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 39, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 35, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 50, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 47, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 2, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 41, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 50, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 15, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 39, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 1, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 4, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 25, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 29, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 4, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 10, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 9, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 2, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 40, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 45, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 23, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 61, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 19, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 31, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 2, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 16, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 44, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 25, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 74, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 14, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 24, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 25, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 34, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 1, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 32, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 44, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 25, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 7, "class" -> "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 9, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 63, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 12, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 41, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 10, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 30, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 28, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 47, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 16, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 31, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "male", "age" -> 22, "class" -> "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 20, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 14, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 22, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 33, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 38, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 51, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 18, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 47, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 21, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 36, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> True, "sex" -> "female", "age" -> 15, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 46, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> 15, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "female", "age" -> Missing[], "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 27, "class" -> 
        "3rd"|>, <|
       "survived" -> False, "sex" -> "male", "age" -> 29, "class" -> "3rd"|>},
      "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "survived"} -> 
        1, {All, "sex"} -> 1, {All, "age"} -> 1, {All, "class"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "survived" -> TypeSystem`PackageScope`AtomShape[36], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "class" -> 
            TypeSystem`PackageScope`AtomShape[31.5]|>], 
          DirectedInfinity[1], 4, {All}]], 10, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"survived", "sex", "age", "class"}, {
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]]}], 1309], 
     "Meta" -> <|MaxItems -> 10|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "survived"} -> 
        1, {All, "sex"} -> 1, {All, "age"} -> 1, {All, "class"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "survived" -> TypeSystem`PackageScope`AtomShape[36], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "class" -> 
            TypeSystem`PackageScope`AtomShape[31.5]|>], 
          DirectedInfinity[1], 4, {All}]], 10, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"survived", "sex", "age", "class"}, {
         TypeSystem`Atom[TypeSystem`Boolean], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]]}], 1309], "Path" -> {},
      "DisplayedRowCount" -> 10, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     1309, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["29"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["30"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["25"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["63"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["39"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{9, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{9, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["53"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{9, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{9, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{10, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{10, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["71"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{10, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eeba5526-7eb3-4cf2-800a-ddea3cc5bff8"]][{10, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 10 
                    If[True, 1309, 1], {1, 1309 - -10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 10 
                    If[False, 1309, 1], {1, 1309 - -10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 10, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 10, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    10 If[False, 1309, 1], {1, 1309 - 10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    10 If[True, 1309, 1], {1, 1309 - 10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {164.8837890625, 172.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {164.8837890625, 172.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.7404915970791883`*^9, 3.740491602829239*^9}, 
   3.740496228726027*^9, 3.740500521407385*^9, 3.74178803921087*^9, 
   3.741868144185657*^9, 3.741876455372053*^9, 3.741879510217443*^9, 
   3.741956500506065*^9, 3.7687676598948402`*^9, 3.7688336005024014`*^9, 
   3.768905503958774*^9, 3.768905801316378*^9, 3.7701226108723927`*^9, 
   3.7702128097474318`*^9, 3.770212873514351*^9, 3.770289155313513*^9, 
   3.771930877632872*^9, 3.77193626053053*^9, 3.817317336030876*^9, 
   3.867327856723805*^9, 3.867328082365753*^9, 3.867328132197193*^9, {
   3.8673282316265574`*^9, 3.8673282951532173`*^9}, 3.88176106058241*^9, 
   3.882617121379053*^9},
 CellLabel->"Out[8]=",
 CellID->1185034316,ExpressionUUID->"09876db1-3cb6-48ed-8bd6-a3937a133d29"]
}, Open  ]],

Cell[TextData[{
 "If I now run this query, the results are not what I expect. The value 17, \
for example, comes after 63 even though 17 is definitely less than 63. \
Moreover, the values for ages do not match the ages seen in the first ten \
rows of the preceding ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.740491639677456*^9, 3.740491653395639*^9}, {
  3.770147206551434*^9, 3.7701472279195013`*^9}, {3.882617213399469*^9, 
  3.8826172768749*^9}},
 CellID->2051348013,ExpressionUUID->"37aebb5d-fdef-45df-8f13-85102c79900c"],

Cell["\<\
If you forget about order of operations, Sorts can yield unexpected results:\
\>", "CodeText",
 CellChangeTimes->{{3.7702900448148117`*^9, 3.770290056147097*^9}, 
   3.786715531319049*^9},
 CellID->9878665,ExpressionUUID->"ba5b4db5-dbb1-46a7-bc14-133d4c6cd61e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#class", "===", "\"\<1st\>\""}], "&"}], "]"}], "/*", "Sort"}],
     ",", 
    RowBox[{"#age", "&"}]}], "]"}], "[", "titanicReversed", "]"}]], "Input",
 CellChangeTimes->{{3.768767636809739*^9, 3.768767640857615*^9}, {
  3.867327803604169*^9, 3.8673278063151484`*^9}, {3.8673281032492933`*^9, 
  3.8673281052165003`*^9}},
 CellLabel->"In[9]:=",
 CellID->84223280,ExpressionUUID->"f09b255a-3309-4152-a79d-a045a840e146"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {
      2, 25, 36, 50, 63, 17, 18, 19, 19, 21, 22, 23, 24, 24, 24, 25, 27, 27, 
       28, 28, 29, 29, 29, 30, 30, 30, 30, 31, 31, 33, 33, 33, 36, 36, 36, 37,
        37, 37, 38, 38, 39, 39, 39, 40, 40, 41, 41, 42, 42, 42, 42, 44, 45, 
       45, 45, 46, 46, 46, 46, 46, 46, 47, 47, 47, 47, 47, 47, 48, 49, 49, 50,
        50, 50, 50, 51, 52, 54, 54, 55, 55, 55, 55, 56, 56, 57, 57, 58, 58, 
       60, 61, 61, 61, 62, 62, 64, 64, 64, 65, 65, 67, 70, 71, 71, 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 14, 15, 16, 16, 16, 17, 17, 18, 18, 18, 18, 18, 19, 19, 19, 
       21, 21, 21, 22, 22, 22, 22, 22, 22, 23, 23, 23, 23, 24, 24, 24, 24, 24,
        25, 26, 26, 27, 27, 28, 29, 29, 30, 30, 30, 30, 30, 30, 31, 31, 31, 
       32, 33, 33, 33, 33, 33, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36,
        37, 38, 38, 38, 39, 39, 39, 39, 39, 39, 40, 40, 41, 42, 43, 43, 44, 
       44, 45, 45, 45, 45, 45, 47, 47, 48, 48, 48, 48, 48, 49, 49, 50, 50, 51,
        51, 52, 52, 53, 53, 54, 54, 54, 55, 55, 55, 56, 58, 58, 58, 58, 59, 
       60, 60, 60, 62, 63, 64, 64, 76, 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 1, 4, 6, 11, 13, 17, 21, 23, 24, 25, 25, 26, 27, 27, 27, 28,
        28, 30, 31, 31, 32, 34, 35, 35, 35, 36, 36, 36, 36, 37, 38, 40, 42, 
       42, 43, 45, 45, 45, 48, 48, 48, 49, 49, 49, 50, 51, 52, 53, 53, 54, 56,
        60, 80, 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[]}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[54, 6, 323, 34], 12, 6, {
       All}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 323], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[54, 6, 323, 34], 12, 6, {
       All}], "Type" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 323], "Path" -> {}, "DisplayedRowCount" -> 2,
      "DisplayedColumnCount" -> 6, "DataRowCount" -> 54, "DataColumnCount" -> 
     6, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{1}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["25"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{2}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["36"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{3}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["50"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{4}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["63"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{5}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["17"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{6}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{7}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["19"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{8}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["19"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{9}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["21"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{10}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{11}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["23"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "5efe13b4-7fc1-434a-9e36-035ed7b7a481"]][{12}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 2 
                    If[True, 54, 1], {1, 54 - -2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 2 
                    If[False, 54, 1], {1, 54 - -2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"elements ", 1, "\[Dash]", 12, " of ", 
                    Style[323, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"elements ", 1, "\[Dash]", 12, " of ", 
                    Style[323, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {All}]], MenuEvaluator -> Automatic]}],
                     " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    2 If[False, 54, 1], {1, 54 - 2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    2 If[True, 54, 1], {1, 54 - 2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{272., {43.3837890625, 50.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{272., {43.3837890625, 50.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.768767641317005*^9, 3.7687676619418488`*^9}, 
   3.768833600677438*^9, 3.7689055041141987`*^9, 3.76890580154766*^9, 
   3.770122611045149*^9, 3.770212809802966*^9, 3.770212876378697*^9, 
   3.7702891555663757`*^9, 3.771930877781687*^9, 3.771936279496488*^9, {
   3.817317330485145*^9, 3.817317339431883*^9}, {3.867327807842874*^9, 
   3.867327828268516*^9}, {3.867328094171639*^9, 3.86732810567038*^9}, 
   3.867328144240991*^9, 3.867328203910153*^9, 3.867328307992619*^9, 
   3.88176109115862*^9, 3.881761556643401*^9, 3.882617145653253*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[9]=",
 CellID->329318376,ExpressionUUID->"d7a588c1-8b89-4e22-8b76-d68a08f2e6cc"]
}, Open  ]],

Cell[TextData[{
 "A look at the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " shows the problem. The sorting is done ",
 StyleBox["before",
  FontSlant->"Italic"],
 " the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "83d88593-6760-4329-aa9d-cdefbdc6d273"],
 " is extracted. This precedence occurs because ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 " (along with its predecessor ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 ") is a descending operator. "
}], "Text",
 CellChangeTimes->{{3.7404916571136217`*^9, 3.740491707118257*^9}, {
   3.7404918629513407`*^9, 3.740491878931095*^9}, {3.7418684548201523`*^9, 
   3.741868456291451*^9}, {3.770147233695846*^9, 3.770147261379858*^9}, {
   3.771936292826877*^9, 3.7719362998785353`*^9}, 3.786715541422059*^9, {
   3.786715592756192*^9, 3.7867156108199987`*^9}, {3.8681098892230873`*^9, 
   3.868109907500119*^9}},
 CellTags->{"i:38", "p: 239"},
 CellID->1303585553,ExpressionUUID->"c0975f39-9c8b-4ede-a927-dc106bed0e68"],

Cell["Here, I would actually like it to be ascending:", "CodeText",
 CellChangeTimes->{{3.7867156173476515`*^9, 3.7867156187627926`*^9}, {
  3.8740607714648924`*^9, 3.874060771928035*^9}},
 CellID->30783469,ExpressionUUID->"578a3f03-8094-4cca-835f-2e7516f43a41"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#class", "===", "\"\<1st\>\""}], "&"}], "]"}], "/*", "Sort"}],
     ",", 
    RowBox[{"#age", "&"}]}], "]"}], "//", "Normal"}]], "Input",
 CellChangeTimes->{{3.7404916781344233`*^9, 3.740491686562443*^9}},
 CellLabel->"In[140]:=",
 CellID->734222577,ExpressionUUID->"6d06427e-1c72-4e17-8d04-d47828809fc9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#class", "===", "\<\"1st\"\>"}], "&"}], "]"}], "/*", "Sort", "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"#age", "&"}], "]"}]}]], "Output",
 CellChangeTimes->{3.7404916872263117`*^9, 3.740496229729001*^9, 
  3.740500521703415*^9, 3.741788039660166*^9, 3.741868428691469*^9, 
  3.741876455534881*^9, 3.741879510406073*^9, 3.741956500772727*^9, 
  3.768833600851264*^9, 3.7689055042462463`*^9, 3.7689058017888947`*^9, 
  3.770122611232211*^9, 3.7702128098770323`*^9, 3.770289155716875*^9, 
  3.7719308779351063`*^9, 3.771936287378667*^9, 3.817317403356654*^9, 
  3.881761135722025*^9},
 CellLabel->"Out[140]=",
 CellID->676639344,ExpressionUUID->"400469dc-8708-4ec3-b967-03ac3dd39966"]
}, Open  ]],

Cell["I need the order to be the following:", "CodeText",
 CellChangeTimes->{{3.74049171110402*^9, 3.74049171711033*^9}, {
  3.786715625298446*^9, 3.786715625642481*^9}, {3.874060775625412*^9, 
  3.8740607761098623`*^9}},
 CellID->637815977,ExpressionUUID->"f4c54c31-e0b8-45a4-9a8f-862920475267"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"#class", "===", "\"\<1st\>\""}], "&"}], "]"}], "/*", 
   RowBox[{"Map", "[", 
    RowBox[{"#age", "&"}], "]"}], "/*", "Sort"}], ";"}]], "Input",
 CellChangeTimes->{{3.740491727782962*^9, 3.740491734193823*^9}, {
  3.817317472074009*^9, 3.817317499393518*^9}, {3.8173175485448112`*^9, 
  3.817317551404951*^9}},
 CellLabel->"In[141]:=",
 CellID->1682243262,ExpressionUUID->"586b844f-d639-4a60-9024-da770482f0b1"],

Cell[TextData[{
 "Here, I should probably just skip the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " business altogether and write the operator, just as I have previously, so \
that I have precise control over order of operations."
}], "Text",
 CellChangeTimes->{{3.7404917374890957`*^9, 3.740491793257*^9}, {
   3.740491835816457*^9, 3.74049184554313*^9}, {3.740492054184477*^9, 
   3.74049209437505*^9}, {3.770147271464336*^9, 3.770147282778764*^9}, {
   3.786715628412758*^9, 3.7867156541553316`*^9}, {3.7867158242383385`*^9, 
   3.786715828818796*^9}, 3.817317567985654*^9, 3.86732834999436*^9, 
   3.874505202885084*^9, 3.89651383827969*^9},
 CellID->1840291679,ExpressionUUID->"353f424b-0ae4-4e48-8ca4-1f1a7deabb53"],

Cell[TextData[{
 "Explicitly create a ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of functions in which one first Selects, then Maps ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCode",ExpressionUUID->
  "21fc0dbd-f1ab-4790-927c-499fcf642cb3"],
 ", and then Sorts the ages:"
}], "CodeText",
 CellChangeTimes->{{3.8701867343166513`*^9, 3.870186741983261*^9}, {
  3.873980509944275*^9, 3.8739805444506435`*^9}, {3.874505272467012*^9, 
  3.874505273661903*^9}, {3.896513883667457*^9, 3.8965138836737537`*^9}, {
  3.897752977071992*^9, 3.8977529792839193`*^9}},
 CellID->1660719727,ExpressionUUID->"3a96ebed-e4fe-41f2-9536-695e9945d86d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"#class", "===", "\"\<1st\>\""}], "&"}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{"#age", "&"}], "]"}], "/*", "Sort"}], ")"}], "[", 
  "titanicReversed", "]"}]], "Input",
 CellChangeTimes->{{3.8673284256957397`*^9, 3.8673284482622137`*^9}},
 CellLabel->"In[167]:=",
 CellID->327990917,ExpressionUUID->"67582c8f-5768-48b8-b469-f9194d38e371"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {
      1, 2, 4, 6, 11, 13, 14, 15, 16, 16, 16, 17, 17, 17, 17, 18, 18, 18, 18, 
       18, 18, 19, 19, 19, 19, 19, 21, 21, 21, 21, 21, 22, 22, 22, 22, 22, 22,
        22, 23, 23, 23, 23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 
       25, 25, 25, 25, 26, 26, 26, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28,
        28, 29, 29, 29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 
       31, 31, 31, 31, 31, 31, 31, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
        35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 36, 
       36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 38, 38, 38, 38, 38, 38, 39,
        39, 39, 39, 39, 39, 39, 39, 39, 40, 40, 40, 40, 40, 41, 41, 41, 42, 
       42, 42, 42, 42, 42, 42, 43, 43, 43, 44, 44, 44, 45, 45, 45, 45, 45, 45,
        45, 45, 45, 45, 45, 46, 46, 46, 46, 46, 46, 47, 47, 47, 47, 47, 47, 
       47, 47, 48, 48, 48, 48, 48, 48, 48, 48, 48, 49, 49, 49, 49, 49, 49, 49,
        50, 50, 50, 50, 50, 50, 50, 50, 51, 51, 51, 51, 52, 52, 52, 52, 53, 
       53, 53, 53, 54, 54, 54, 54, 54, 54, 55, 55, 55, 55, 55, 55, 55, 56, 56,
        56, 56, 57, 57, 58, 58, 58, 58, 58, 58, 59, 60, 60, 60, 60, 60, 61, 
       61, 61, 62, 62, 62, 63, 63, 64, 64, 64, 64, 64, 65, 65, 67, 70, 71, 71,
        76, 80, 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[]}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[54, 6, 323, 34], 12, 6, {
       All}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 323], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[54, 6, 323, 34], 12, 6, {
       All}], "Type" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 323], "Path" -> {}, "DisplayedRowCount" -> 2,
      "DisplayedColumnCount" -> 6, "DataRowCount" -> 54, "DataColumnCount" -> 
     6, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{1}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{2}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["4"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{3}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{4}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["11"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{5}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["13"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{6}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["14"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{7}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["15"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{8}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{9}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{10}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{11}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["17"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9e97f625-920c-4621-b530-d6776c8a6906"]][{12}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 2 
                    If[True, 54, 1], {1, 54 - -2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 2 
                    If[False, 54, 1], {1, 54 - -2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"elements ", 1, "\[Dash]", 12, " of ", 
                    Style[323, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"elements ", 1, "\[Dash]", 12, " of ", 
                    Style[323, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {All}]], MenuEvaluator -> Automatic]}],
                     " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    2 If[False, 54, 1], {1, 54 - 2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    2 If[True, 54, 1], {1, 54 - 2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{272., {43.3837890625, 50.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{272., {43.3837890625, 50.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.867328443526293*^9, 3.867328448920308*^9}, 
   3.8817611465730047`*^9, 3.881761547129506*^9},
 CellLabel->"Out[167]=",
 CellID->332586373,ExpressionUUID->"00c3938b-1239-4c1c-841a-d1176fc96ae3"]
}, Open  ]],

Cell[TextData[{
 "If one feels one must use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", however, the best bet is to create two queries and force ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 " to be applied later in the process."
}], "Text",
 CellChangeTimes->{{3.7404917374890957`*^9, 3.740491793257*^9}, {
   3.740491835816457*^9, 3.74049184554313*^9}, {3.740492054184477*^9, 
   3.74049209437505*^9}, {3.770147271464336*^9, 3.770147282778764*^9}, {
   3.786715628412758*^9, 3.7867156541553316`*^9}, {3.7867158242383385`*^9, 
   3.786715828818796*^9}, 3.817317567985654*^9},
 CellID->918518430,ExpressionUUID->"13a0b7a8-6012-40f1-8faf-975e07f4ecd2"],

Cell["Using two Queries fixes the order of operations problem:", "CodeText",
 CellChangeTimes->{{3.77029006453281*^9, 3.770290074019237*^9}, {
  3.7867158346523795`*^9, 3.7867158427151856`*^9}},
 CellID->1500796861,ExpressionUUID->"bd0eb44c-62a1-40d8-b48a-b3694034a63d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", "Sort", "]"}], "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#class", "===", "\"\<1st\>\""}], "&"}], "]"}], ",", 
     RowBox[{"#age", "&"}]}], "]"}], "[", "titanicReversed", "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.770147286274398*^9, 3.770147323872307*^9}, {
  3.770147356834072*^9, 3.77014735705488*^9}},
 CellLabel->"In[166]:=",
 CellID->2036036179,ExpressionUUID->"638a9116-fe8e-4f7c-b799-ac779e4de258"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {
      1, 2, 4, 6, 11, 13, 14, 15, 16, 16, 16, 17, 17, 17, 17, 18, 18, 18, 18, 
       18, 18, 19, 19, 19, 19, 19, 21, 21, 21, 21, 21, 22, 22, 22, 22, 22, 22,
        22, 23, 23, 23, 23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 
       25, 25, 25, 25, 26, 26, 26, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28,
        28, 29, 29, 29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 
       31, 31, 31, 31, 31, 31, 31, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
        35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 36, 
       36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 38, 38, 38, 38, 38, 38, 39,
        39, 39, 39, 39, 39, 39, 39, 39, 40, 40, 40, 40, 40, 41, 41, 41, 42, 
       42, 42, 42, 42, 42, 42, 43, 43, 43, 44, 44, 44, 45, 45, 45, 45, 45, 45,
        45, 45, 45, 45, 45, 46, 46, 46, 46, 46, 46, 47, 47, 47, 47, 47, 47, 
       47, 47, 48, 48, 48, 48, 48, 48, 48, 48, 48, 49, 49, 49, 49, 49, 49, 49,
        50, 50, 50, 50, 50, 50, 50, 50, 51, 51, 51, 51, 52, 52, 52, 52, 53, 
       53, 53, 53, 54, 54, 54, 54, 54, 54, 55, 55, 55, 55, 55, 55, 55, 56, 56,
        56, 56, 57, 57, 58, 58, 58, 58, 58, 58, 59, 60, 60, 60, 60, 60, 61, 
       61, 61, 62, 62, 62, 63, 63, 64, 64, 64, 64, 64, 65, 65, 67, 70, 71, 71,
        76, 80, 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[]}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[54, 6, 323, 34], 12, 6, {
       All}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 323], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[54, 6, 323, 34], 12, 6, {
       All}], "Type" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 323], "Path" -> {}, "DisplayedRowCount" -> 2,
      "DisplayedColumnCount" -> 6, "DataRowCount" -> 54, "DataColumnCount" -> 
     6, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{1}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{2}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["4"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{3}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{4}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["11"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{5}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["13"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{6}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["14"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{7}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["15"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{8}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{9}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{10}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{11}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["17"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ea7886d8-4a90-4c1d-9ed3-57b9d31297dc"]][{12}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 2 
                    If[True, 54, 1], {1, 54 - -2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 2 
                    If[False, 54, 1], {1, 54 - -2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"elements ", 1, "\[Dash]", 12, " of ", 
                    Style[323, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"elements ", 1, "\[Dash]", 12, " of ", 
                    Style[323, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {All}]], MenuEvaluator -> Automatic]}],
                     " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    2 If[False, 54, 1], {1, 54 - 2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    2 If[True, 54, 1], {1, 54 - 2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{272., {43.3837890625, 50.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{272., {43.3837890625, 50.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.770147302851054*^9, 3.770147324242506*^9}, 
   3.77014735765596*^9, 3.770212809994576*^9, 3.770212885934122*^9, 
   3.770289155861368*^9, 3.7719308780191793`*^9, 3.817317696726097*^9, 
   3.867328460801992*^9, 3.881761157666246*^9, 3.8817615408710127`*^9},
 CellLabel->"Out[166]=",
 CellID->1210953632,ExpressionUUID->"4744ec7b-eda5-41ee-9db3-3826953c5dcf"]
}, Open  ]],

Cell[TextData[{
 "Alternatively, one could form a nested ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " in which the last operator is ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.740492162792322*^9, 3.740492222967095*^9}, 
   3.7857837007191625`*^9, {3.786715854441358*^9, 3.786715877302644*^9}},
 CellID->1722764859,ExpressionUUID->"11ee4843-c3eb-4e1b-8d10-f1b0b06345e8"],

Cell[TextData[{
 "Wrapping ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " operators in ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " sometimes fixes order of operations problems:"
}], "CodeText",
 CellChangeTimes->{{3.7702900780910673`*^9, 3.770290100956168*^9}, {
  3.7867158842383375`*^9, 3.7867158981897326`*^9}},
 CellID->1577410154,ExpressionUUID->"4a44f295-0cf4-45b9-8449-f8694f21fc3b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"#class", "===", "\"\<1st\>\""}], "&"}], "]"}], ",", 
      RowBox[{"#age", "&"}]}], "]"}], "/*", "Sort"}], "]"}], "//", 
  "Normal"}]], "Input",
 CellChangeTimes->{{3.740492106082024*^9, 3.740492121537925*^9}, {
  3.740492176746743*^9, 3.740492192088459*^9}},
 CellLabel->"In[144]:=",
 CellID->2134456359,ExpressionUUID->"1726499b-3a65-4de6-bfca-78754e06805f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#class", "===", "\<\"1st\"\>"}], "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"#age", "&"}], "]"}], "/*", "Sort"}]], "Output",
 CellChangeTimes->{
  3.7404921223882103`*^9, {3.740492179022388*^9, 3.7404921930625134`*^9}, 
   3.740496230088419*^9, 3.740500521949892*^9, 3.741788039882457*^9, 
   3.74186848313826*^9, 3.741876455624645*^9, 3.741879510458631*^9, 
   3.741956500854808*^9, 3.768767695771188*^9, 3.768833600903874*^9, 
   3.768905504291197*^9, 3.7689058018785963`*^9, 3.770122611283094*^9, 
   3.770147336322344*^9, 3.770212810095757*^9, 3.770289156023797*^9, 
   3.771930878187202*^9, 3.817317722932907*^9, 3.867328474747843*^9, 
   3.881761164651112*^9},
 CellLabel->"Out[144]=",
 CellID->1460726886,ExpressionUUID->"468906fb-d47a-45e6-a04d-bd9aa3752132"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"#class", "===", "\"\<1st\>\""}], "&"}], "]"}], ",", 
      RowBox[{"#age", "&"}]}], "]"}], "/*", "Sort"}], "]"}], "[", 
  "titanicReversed", "]"}]], "Input",
 CellChangeTimes->{{3.740492106082024*^9, 3.740492121537925*^9}, {
  3.740492176746743*^9, 3.740492192088459*^9}, {3.740492229966865*^9, 
  3.740492237138603*^9}},
 CellLabel->"In[165]:=",
 CellID->93702578,ExpressionUUID->"d9fbde6e-922e-4b6a-afa9-cee77ce72bdd"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {
      1, 2, 4, 6, 11, 13, 14, 15, 16, 16, 16, 17, 17, 17, 17, 18, 18, 18, 18, 
       18, 18, 19, 19, 19, 19, 19, 21, 21, 21, 21, 21, 22, 22, 22, 22, 22, 22,
        22, 23, 23, 23, 23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 
       25, 25, 25, 25, 26, 26, 26, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28,
        28, 29, 29, 29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 
       31, 31, 31, 31, 31, 31, 31, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
        35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 36, 
       36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 38, 38, 38, 38, 38, 38, 39,
        39, 39, 39, 39, 39, 39, 39, 39, 40, 40, 40, 40, 40, 41, 41, 41, 42, 
       42, 42, 42, 42, 42, 42, 43, 43, 43, 44, 44, 44, 45, 45, 45, 45, 45, 45,
        45, 45, 45, 45, 45, 46, 46, 46, 46, 46, 46, 47, 47, 47, 47, 47, 47, 
       47, 47, 48, 48, 48, 48, 48, 48, 48, 48, 48, 49, 49, 49, 49, 49, 49, 49,
        50, 50, 50, 50, 50, 50, 50, 50, 51, 51, 51, 51, 52, 52, 52, 52, 53, 
       53, 53, 53, 54, 54, 54, 54, 54, 54, 55, 55, 55, 55, 55, 55, 55, 56, 56,
        56, 56, 57, 57, 58, 58, 58, 58, 58, 58, 59, 60, 60, 60, 60, 60, 61, 
       61, 61, 62, 62, 62, 63, 63, 64, 64, 64, 64, 64, 65, 65, 67, 70, 71, 71,
        76, 80, 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[], 
       Missing[]}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[54, 6, 323, 34], 12, 6, {
       All}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 323], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[54, 6, 323, 34], 12, 6, {
       All}], "Type" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 323], "Path" -> {}, "DisplayedRowCount" -> 2,
      "DisplayedColumnCount" -> 6, "DataRowCount" -> 54, "DataColumnCount" -> 
     6, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{1}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{2}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["4"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{3}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["6"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{4}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["11"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{5}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["13"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{6}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["14"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{7}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["15"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{8}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{9}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{10}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{11}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["17"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "86a2516c-8171-47fa-b344-d0086d46acfe"]][{12}, "Item", False],
                "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 2 
                    If[True, 54, 1], {1, 54 - -2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 2 
                    If[False, 54, 1], {1, 54 - -2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"elements ", 1, "\[Dash]", 12, " of ", 
                    Style[323, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"elements ", 1, "\[Dash]", 12, " of ", 
                    Style[323, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {All}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {All}]], MenuEvaluator -> Automatic]}],
                     " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    2 If[False, 54, 1], {1, 54 - 2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    2 If[True, 54, 1], {1, 54 - 2 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{272., {43.3837890625, 50.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{272., {43.3837890625, 50.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7404922378657017`*^9, 3.740496230380872*^9, 
  3.740500522219665*^9, 3.7417880399826736`*^9, 3.7418684852949038`*^9, 
  3.741876455709757*^9, 3.741879510524416*^9, 3.741956500969352*^9, 
  3.76876771395123*^9, 3.768833600980904*^9, 3.7689055043802557`*^9, 
  3.768905801960329*^9, 3.770122611358962*^9, 3.770147338924159*^9, 
  3.770212810195446*^9, 3.770212890396101*^9, 3.770289156127082*^9, 
  3.771930878265909*^9, 3.8173177313487797`*^9, 3.8673284763948927`*^9, 
  3.881761167548319*^9, 3.881761534513199*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[165]=",
 CellID->1533311824,ExpressionUUID->"f35089e1-cd98-40a3-a738-21de61a38217"]
}, Open  ]],

Cell[TextData[{
 "In my experience, unexpected results from complex queries are frequently \
the result of order of operations issues. It\[CloseCurlyQuote]s good practice \
to generate the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that is creating problems. If the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form reveals that the operations are in an undesired sequence, one needs \
to: (1) use nested Queries to change the order; (2) use the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form as a basis for starting a program; (3) run multiple Queries instead \
of trying to get every operator into a single ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "; or (4) dispense with ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and manually change the order of operations."
}], "Text",
 CellChangeTimes->{{3.7687677257597933`*^9, 3.768767825359473*^9}, {
  3.7719376965062017`*^9, 3.7719377333409433`*^9}, {3.786716363083217*^9, 
  3.7867164330002084`*^9}, {3.868110019328376*^9, 3.8681100408305893`*^9}},
 CellTags->{"i:39", "p: 240"},
 CellID->285476179,ExpressionUUID->"019568eb-baf7-4def-a424-d6aedec88132"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox["Exercises",
  $Line = 0; Null]], "ExerciseSection",
 CellLabel->"In[118]:=",
 CellID->814524763,ExpressionUUID->"a96c998b-9dad-49f4-9b88-47a943f74d82"],

Cell[CellGroupData[{

Cell[TextData[{
 "Here\[CloseCurlyQuote]s a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". The column headers are ",
 Cell[BoxData[
 "\"\<a\>\""], "InlineCode",ExpressionUUID->
  "e4df3cd1-7167-4773-8403-6e8e6cec75a0"],
 ",",
 Cell[BoxData[
  RowBox[{" ", "\"\<b\>\""}]], "InlineCode",ExpressionUUID->
  "cfade82c-7680-41b0-beca-7b47bceb9df6"],
 ", and ",
 Cell[BoxData[
 "\"\<c\>\""], "InlineCode",ExpressionUUID->
  "37d648fa-2949-4d35-aa6c-070a6248383c"],
 ". Change them so that they are ",
 Cell[BoxData[
 "\"\<Alpha\>\""], "InlineCode",ExpressionUUID->
  "77651fcc-1b6b-4073-820d-b80bac7aebc3"],
 ", ",
 Cell[BoxData[
 "\"\<b\>\""], "InlineCode",ExpressionUUID->
  "22c25eec-ed66-4079-ab74-ed44c61f1ece"],
 ", and ",
 Cell[BoxData[
 "\"\<Charlie\>\""], "InlineCode",ExpressionUUID->
  "05dc8d75-b447-4a7e-a38e-ce8f75a53cbd"],
 "."
}], "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.770126711352169*^9, 3.770126756841174*^9}, 
   3.7857837103761625`*^9, {3.7863780335421934`*^9, 3.7863780340311937`*^9}, {
   3.86811028839038*^9, 3.868110345819664*^9}, {3.873985167560013*^9, 
   3.873985168766078*^9}, {3.896513922870644*^9, 3.896513927982745*^9}},
 CellTags->"Exercise",
 CellID->1575861236,ExpressionUUID->"928095ae-3d93-4229-afea-79748c161925"],

Cell[BoxData[
 RowBox[{
  RowBox[{"abcDS", "=", 
   RowBox[{"Dataset", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<a\>\"", "\[Rule]", "9"}], ",", 
        RowBox[{"\"\<b\>\"", "\[Rule]", "8"}], ",", 
        RowBox[{"\"\<c\>\"", "\[Rule]", "9"}]}], "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<a\>\"", "\[Rule]", "2"}], ",", 
        RowBox[{"\"\<b\>\"", "\[Rule]", "7"}], ",", 
        RowBox[{"\"\<c\>\"", "\[Rule]", "5"}]}], "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<a\>\"", "\[Rule]", "7"}], ",", 
        RowBox[{"\"\<b\>\"", "\[Rule]", "7"}], ",", 
        RowBox[{"\"\<c\>\"", "\[Rule]", "2"}]}], "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<a\>\"", "\[Rule]", "7"}], ",", 
        RowBox[{"\"\<b\>\"", "\[Rule]", "3"}], ",", 
        RowBox[{"\"\<c\>\"", "\[Rule]", "4"}]}], "\[RightAssociation]"}]}], 
     "}"}], "]"}]}], ";"}]], "ExerciseInput",
 CellChangeTimes->{{3.770126818542313*^9, 3.770126821520562*^9}, 
   3.7702119441066093`*^9, {3.8173206415210133`*^9, 3.8173206466450663`*^9}},
 CellTags->"Answer",
 CellLabel->"In[146]:=",
 CellID->731396008,ExpressionUUID->"e4a87ea7-e633-4c93-a051-5db67d06ecc3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Use this code to retrieve the MLS ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " from the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " for this book. Call it ",
 Cell[BoxData[
 "mlsDS"], "InlineCode",ExpressionUUID->
  "4a5ddf90-95e8-4a0d-9895-4a68100bfe3a"],
 ". Now find out how many rows and columns it has."
}], "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.770126898932919*^9, 3.7701269251474237`*^9}, {
  3.770161551190937*^9, 3.7701615543369226`*^9}, {3.770211952707906*^9, 
  3.770211967568531*^9}, {3.770212538903606*^9, 3.770212545919499*^9}, {
  3.7867172820831723`*^9, 3.7867172903311725`*^9}, {3.868110360770858*^9, 
  3.8681103875504208`*^9}, {3.873887098617696*^9, 3.873887099737691*^9}},
 CellTags->"Exercise",
 CellID->1808537942,ExpressionUUID->"6d2d5f7a-4365-4d53-8786-d2336c029cc7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mlsDS", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<MLS List of Associations Dataset\>\""}], 
   "]"}]}]], "ExerciseInput",
 CellChangeTimes->{{3.770126926748953*^9, 3.7701269833452177`*^9}, {
  3.771930706939456*^9, 3.771930710780456*^9}, {3.8805528734682093`*^9, 
  3.880552875289055*^9}},
 CellTags->"Exercise",
 CellLabel->"In[164]:=",
 CellID->1455581065,ExpressionUUID->"4b1af063-d5aa-4847-ac56-2a02171a83fb"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9616123480242765898374179435987398665186463315089774362632], 
         "AllowEmbedding" -> True, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "Club" -> TypeSystem`PackageScope`AtomShape[56.00000000000001],
                 "LastName" -> 
                TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                "FirstName" -> 
                TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                "GuaranteedCompensation" -> 
                TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                TypeSystem`PackageScope`AtomShape[75]|>], 
              DirectedInfinity[1], 7, {All}]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Meta" -> <||>, 
         "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "Club" -> TypeSystem`PackageScope`AtomShape[56.00000000000001],
                 "LastName" -> 
                TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                "FirstName" -> 
                TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                "GuaranteedCompensation" -> 
                TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                TypeSystem`PackageScope`AtomShape[75]|>], 
              DirectedInfinity[1], 7, {All}]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 7, 
         "DataRowCount" -> 5553, "DataColumnCount" -> 7, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Club"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{All, "Club"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "LastName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{
                    All, "LastName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "FirstName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{
                    All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Position"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{
                    All, "Position"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "BaseSalary"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{
                    All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GuaranteedCompensation"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{
                    All, "GuaranteedCompensation"}, "ColumnHeader", True], 
                   "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Year"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{All, "Year"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{1, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{1, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{1, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{1, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{1, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{1, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{1, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{2, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{2, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{2, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{2, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{2, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{2, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{2, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{3, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{3, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{3, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{3, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"41\[ThinSpace]212.50\"", ShowStringCharacters -> 
                    False], 41212.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 41212.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{3, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"48\[ThinSpace]712.50\"", ShowStringCharacters -> 
                    False], 48712.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 48712.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{3, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{3, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{4, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{4, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{4, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{4, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.492316`*^6", 2.492316*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{4, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.666778`*^6", 2.666778*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{4, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{4, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{5, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{5, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{5, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{5, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{5, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{5, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{5, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{6, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{6, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{6, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["GK", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{6, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{6, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{6, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{6, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{7, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{7, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{7, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{7, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"38\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 38000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 38000., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{7, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"50\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 50500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 50500., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{7, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{7, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{8, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{8, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{8, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{8, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"144\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 144000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 144000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{8, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"151\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 151500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 151500., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{8, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "1363a856-e2fa-4f7c-b94f-2eccacc71f82"]][{8, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             
             Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {709., {141.64208984375, 148.35791015625}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {709., {141.64208984375, 148.35791015625}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9616123480242765898374179435987398665186463315089774362632,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "ExerciseOutput",
 PageWidth->1000,
 CellChangeTimes->{
  3.8673321534130907`*^9, 3.8673322015825872`*^9, {3.8805528585236683`*^9, 
   3.880552876426538*^9}, 3.880636981153133*^9, 3.881761198211783*^9, 
   3.881761516630952*^9},
 CellTags->"Exercise",
 CellLabel->"Out[164]=",
 CellID->1623612392,ExpressionUUID->"1545422d-b3e8-41e3-98f4-388d1e65294b"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "Get rid of any rows in the MLS ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " where the guaranteed compensation is ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 ". Sort the remaining rows in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " from highest guaranteed compensation to lowest. If there is a tie, sort it \
alphabetically by last name (A to Z), and if there is still a tie, sort it by \
year, earliest first. Hint 1: Sorting by the negative of a number is akin to \
a reverse sort. Hint 2: My code uses the ",
 ButtonBox["MissingQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MissingQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MissingQ.html"],
 " function and the ",
 ButtonBox["Not",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Not.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Not.html"],
 " function."
}], "Exercise",
 CellChangeTimes->{{3.7702041346281853`*^9, 3.770204192216701*^9}, {
   3.7702042815032988`*^9, 3.770204289249918*^9}, {3.7702043675395393`*^9, 
   3.770204384856336*^9}, {3.770204417200629*^9, 3.7702044700779448`*^9}, {
   3.770212914208242*^9, 3.770212920674362*^9}, {3.7867175121211724`*^9, 
   3.7867175333561726`*^9}, {3.868110760218089*^9, 3.8681107867763977`*^9}, 
   3.868110856057794*^9, 3.868111135876857*^9, {3.87398522639286*^9, 
   3.873985253703212*^9}, {3.873985305358717*^9, 3.873985309594401*^9}},
 CellTags->"Exercise",
 CellID->169822851,ExpressionUUID->"1debe3a7-070a-45b7-a053-fc464600de54"],

Cell[CellGroupData[{

Cell[TextData[{
 "Here is some code that groups the data by team and year and computes the \
total salary. Run it. ",
 ButtonBox["StringTemplate",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StringTemplate.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/StringTemplate.html"],
 " creates a ",
 ButtonBox["TemplateObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/TemplateObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/TemplateObject.html"],
 " expression that is similar to a function: when applied to arguments, it \
creates strings. "
}], "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{
  3.868111318934978*^9, {3.873985394766867*^9, 3.8739853948982916`*^9}},
 CellTags->"Exercise",
 CellID->208656310,ExpressionUUID->"67e7959a-bf59-4a33-a56e-d4b8130cc442"],

Cell[BoxData[
 RowBox[{"compensationByTeamYear", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"StringTemplate", "[", "\"\<`1`-`2`\>\"", "]"}], "[", 
        RowBox[{"#Club", ",", 
         RowBox[{"DateString", "[", 
          RowBox[{"#Year", ",", "\"\<Year\>\""}], "]"}]}], "]"}], "&"}], 
      "]"}], ",", "Total", ",", 
     RowBox[{"#GuaranteedCompensation", "&"}]}], "]"}], "[", "mlsDS", 
   "]"}]}]], "ExerciseInput",
 CellChangeTimes->{{3.7702046161025543`*^9, 3.7702046849325943`*^9}, {
   3.7702047443090897`*^9, 3.770204747399514*^9}, {3.7702047972265577`*^9, 
   3.7702048446323023`*^9}, {3.770204950014352*^9, 3.770204971472274*^9}, 
   3.770205024755372*^9, {3.880637039406337*^9, 3.8806370414759407`*^9}, {
   3.880637358555738*^9, 3.880637366681164*^9}},
 CellTags->{"Answer", "LastCellOfAPage"},
 CellLabel->"In[162]:=",
 CellID->1978871925,ExpressionUUID->"16383803-8e5d-4fcc-8dc8-6af9d6a64fba"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Suppose I want to look at the previous data and compare just LA in 2010 with \
ORL in 2016 and TOR in 2016. My answer looks like this. Write the code to \
accomplish this.\
\>", "Exercise",
 CellDingbat->None,
 ShowGroupOpener->False,
 CellChangeTimes->{{3.7702046883645983`*^9, 3.770204738848694*^9}, {
  3.7702049829697742`*^9, 3.770205000038413*^9}, {3.7702050376651382`*^9, 
  3.770205047038364*^9}, {3.770205137324235*^9, 3.770205148445177*^9}, {
  3.786719967538164*^9, 3.7867199872021637`*^9}},
 CellTags->{"Exercise", "p: 241"},
 CellID->1503765094,ExpressionUUID->"1d6860e2-b352-466d-95f0-5e21de76ab71"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "LA-2010" -> Quantity[1.097859361*^7, "USDollars"], "ORL-2016" -> 
       Quantity[1.155442083*^7, "USDollars"], "TOR-2016" -> 
       Quantity[2.179850857*^7, "USDollars"]|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[84.], 
         TypeSystem`PackageScope`AtomShape[75]]], 5, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["LA-2010", "ORL-2016", "TOR-2016"]], 
       TypeSystem`Atom[
        Quantity[1, "USDollars"]], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[84.], 
         TypeSystem`PackageScope`AtomShape[75]]], 5, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["LA-2010", "ORL-2016", "TOR-2016"]], 
       TypeSystem`Atom[
        Quantity[1, "USDollars"]], 3], "Path" -> {}, "DisplayedRowCount" -> 5,
      "DisplayedColumnCount" -> 1, "DataRowCount" -> 3, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["LA-2010", 
                  Style[
                  "LA-2010", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["LA-2010"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "16aa4e37-3385-4ff6-b3f2-907d795ab9b0"]][{
                 Key["LA-2010"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.097859361`*^7", 1.097859361*^7, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "16aa4e37-3385-4ff6-b3f2-907d795ab9b0"]][{
                 Key["LA-2010"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["ORL-2016", 
                  Style[
                  "ORL-2016", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["ORL-2016"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "16aa4e37-3385-4ff6-b3f2-907d795ab9b0"]][{
                 Key["ORL-2016"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.155442083`*^7", 1.155442083*^7, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "16aa4e37-3385-4ff6-b3f2-907d795ab9b0"]][{
                 Key["ORL-2016"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["TOR-2016", 
                  Style[
                  "TOR-2016", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["TOR-2016"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "16aa4e37-3385-4ff6-b3f2-907d795ab9b0"]][{
                 Key["TOR-2016"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.179850857`*^7", 2.179850857*^7, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "16aa4e37-3385-4ff6-b3f2-907d795ab9b0"]][{
                 Key["TOR-2016"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, -0.35}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
    "60197951-20a7-442f-87dd-906a80be6370"][{8, 
      Key["Year"]}, "Item", False]}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{187., {39.64208984375, 46.35791015625}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{187., {39.64208984375, 46.35791015625}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "ExerciseOutput",
 CellMargins->{{108, 10}, {-5, 4}},
 CellTags->"Answer",
 CellLabel->"Out[152]=",
 CellID->1628245746,ExpressionUUID->"3125c2a9-7822-4e05-b68e-595caf07d410"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A pure defender in the MLS data is designated by having a \
\[OpenCurlyDoubleQuote]D\[CloseCurlyDoubleQuote] in the position column. Find \
all the pure defenders with a guaranteed compensation of over $1 million in \
any year. Produce a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " showing only their club, year, last name, first name, and guaranteed \
compensation (in that order). Sort the results by guaranteed compensation \
from high to low. Do as little computational work as possible, remembering \
that sorting on a lot of data takes a good deal of work. Here\
\[CloseCurlyQuote]s my answer."
}], "Exercise",
 ShowGroupOpener->False,
 CounterAssignments->{{$CellContext`Exercise, 4}},
 CellTags->"Exercise",
 CellID->1478363851,ExpressionUUID->"5ebb0de8-f7ce-4191-a071-fb056202332c"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "Club" -> "NY", "Year" -> DateObject[{2010}, "Year"], "LastName" -> 
        "Marquez", "FirstName" -> "Rafael", "GuaranteedCompensation" -> 
        Quantity[5.544*^6, "USDollars"]|>, <|
       "Club" -> "NY", "Year" -> DateObject[{2012}, "Year"], "LastName" -> 
        "Marquez", "FirstName" -> "Rafael", "GuaranteedCompensation" -> 
        Quantity[4.6*^6, "USDollars"]|>, <|
       "Club" -> "NY", "Year" -> DateObject[{2011}, "Year"], "LastName" -> 
        "Marquez", "FirstName" -> "Rafael", "GuaranteedCompensation" -> 
        Quantity[4.6*^6, "USDollars"]|>, <|
       "Club" -> "LA", "Year" -> DateObject[{2015}, "Year"], "LastName" -> 
        "Gonzalez", "FirstName" -> "Omar", "GuaranteedCompensation" -> 
        Quantity[1.45*^6, "USDollars"]|>, <|
       "Club" -> "POR", "Year" -> DateObject[{2016}, "Year"], "LastName" -> 
        "Ridgewell", "FirstName" -> "Liam", "GuaranteedCompensation" -> 
        Quantity[1.25*^6, "USDollars"]|>, <|
       "Club" -> "LA", "Year" -> DateObject[{2014}, "Year"], "LastName" -> 
        "Gonzalez", "FirstName" -> "Omar", "GuaranteedCompensation" -> 
        Quantity[1.25*^6, "USDollars"]|>, <|
       "Club" -> "POR", "Year" -> DateObject[{2014}, "Year"], "LastName" -> 
        "Ridgewell", "FirstName" -> "Liam", "GuaranteedCompensation" -> 
        Quantity[1.2*^6, "USDollars"]|>, <|
       "Club" -> "POR", "Year" -> DateObject[{2015}, "Year"], "LastName" -> 
        "Ridgewell", "FirstName" -> "Liam", "GuaranteedCompensation" -> 
        Quantity[1.15*^6, "USDollars"]|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 1, {All, "Year"} -> 
        1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
        1, {All, "GuaranteedCompensation"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "Club" -> TypeSystem`PackageScope`AtomShape[31.5], "Year" -> 
            TypeSystem`PackageScope`AtomShape[75], "LastName" -> 
            TypeSystem`PackageScope`AtomShape[94.5], "FirstName" -> 
            TypeSystem`PackageScope`AtomShape[63.], "GuaranteedCompensation" -> 
            TypeSystem`PackageScope`AtomShape[75]|>], 
          DirectedInfinity[1], 5, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "Club", "Year", "LastName", "FirstName", "GuaranteedCompensation"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["LA", "NY", "POR"]], 
         TypeSystem`Atom[DateObject], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["Gonzalez", "Marquez", "Ridgewell"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["Liam", "Omar", "Rafael"]], 
         TypeSystem`Atom[
          Quantity[1, "USDollars"]]}], 8], 
     "Meta" -> <|
      ItemSize -> {{All, "Club"} -> 4, {All, "Year"} -> 4, {All, "LastName"} -> 
         7, {All, "FirstName"} -> 7}|>, "RowTarget" -> 20, "ColumnTarget" -> 
     10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 1, {All, "Year"} -> 
        1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
        1, {All, "GuaranteedCompensation"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "Club" -> TypeSystem`PackageScope`AtomShape[31.5], "Year" -> 
            TypeSystem`PackageScope`AtomShape[75], "LastName" -> 
            TypeSystem`PackageScope`AtomShape[94.5], "FirstName" -> 
            TypeSystem`PackageScope`AtomShape[63.], "GuaranteedCompensation" -> 
            TypeSystem`PackageScope`AtomShape[75]|>], 
          DirectedInfinity[1], 5, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "Club", "Year", "LastName", "FirstName", "GuaranteedCompensation"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["LA", "NY", "POR"]], 
         TypeSystem`Atom[DateObject], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["Gonzalez", "Marquez", "Ridgewell"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["Liam", "Omar", "Rafael"]], 
         TypeSystem`Atom[
          Quantity[1, "USDollars"]]}], 8], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 5, "DataRowCount" -> 8, "DataColumnCount" -> 
     5, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Club", 
                  Style[
                  "Club", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Club"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{All, "Club"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Year", 
                  Style[
                  "Year", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Year"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{All, "Year"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["LastName", 
                  Style[
                  "LastName", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "LastName"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{All, "LastName"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["FirstName", 
                  Style[
                  "FirstName", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "FirstName"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{All, "FirstName"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["GuaranteedCompensation", 
                  Style[
                  "GuaranteedCompensation", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "GuaranteedCompensation"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{
                All, "GuaranteedCompensation"}, "ColumnHeader", True], 
               "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["NY", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{1, 
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2010\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{1, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Marquez", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{1, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{94.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Rafael", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{1, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "5.544`*^6", 5.544*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{1, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["NY", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{2, 
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2012\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{2, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Marquez", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{2, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{94.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Rafael", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{2, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "4.6`*^6", 4.6*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{2, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["NY", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{3, 
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2011\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{3, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Marquez", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{3, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{94.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Rafael", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{3, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "4.6`*^6", 4.6*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{3, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["LA", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{4, 
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2015\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{4, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Gonzalez", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{4, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{94.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Omar", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{4, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.45`*^6", 1.45*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{4, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["POR", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{5, 
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2016\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{5, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Ridgewell", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{5, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{94.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Liam", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{5, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.25`*^6", 1.25*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{5, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["LA", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{6, 
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2014\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{6, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Gonzalez", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{6, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{94.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Omar", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{6, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.25`*^6", 1.25*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{6, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["POR", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{7, 
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2014\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{7, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Ridgewell", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{7, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{94.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Liam", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{7, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.2`*^6", 1.2*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{7, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["POR", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{8, 
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2015\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{8, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 4, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Ridgewell", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{8, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{94.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Liam", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{8, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 7, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.15`*^6", 1.15*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "60197951-20a7-442f-87dd-906a80be6370"]][{8, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{389., {127.64208984375, 134.35791015625}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{389., {127.64208984375, 134.35791015625}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "ExerciseOutput",
 PageWidth->1000,
 CellMargins->{{108, 10}, {-15, 4}},
 CellTags->"Answer",
 CellLabel->"Out[161]=",
 CellID->542139301,ExpressionUUID->"4f471a29-b4fa-4498-a6b8-3e14c025b4ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Compute the ratio of guaranteed compensation to base salary for all players \
on the Houston Dynamo (HOU) in 2016. Sort the ratio from highest to lowest. \
Do not show the club or year in your output. My output looks like the \
following.\
\>", "Exercise",
 ShowGroupOpener->False,
 CellTags->"Exercise",
 CellID->1661057546,ExpressionUUID->"b022ae43-a440-4443-90a9-222e3d48b3a3"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "LastName" -> "Steinberger", "FirstName" -> "Zach", "Position" -> "M", 
        "BaseSalary" -> Quantity[63000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[79250., "USDollars"], 
        "SalaryRatio" -> 1.257936507936508|>, <|
       "LastName" -> "Warner", "FirstName" -> "Collen", "Position" -> "M", 
        "BaseSalary" -> Quantity[149934., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[177434., "USDollars"], 
        "SalaryRatio" -> 1.1834140355089573`|>, <|
       "LastName" -> "Torres", "FirstName" -> "Erick", "Position" -> "F", 
        "BaseSalary" -> Quantity[575000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[650000., "USDollars"], 
        "SalaryRatio" -> 1.1304347826086958`|>, <|
       "LastName" -> "Clark", "FirstName" -> "Ricardo", "Position" -> "M", 
        "BaseSalary" -> Quantity[319200., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[356700., "USDollars"], 
        "SalaryRatio" -> 1.1174812030075187`|>, <|
       "LastName" -> "Garcia", "FirstName" -> "Boniek", "Position" -> "M", 
        "BaseSalary" -> Quantity[225000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[247500., "USDollars"], 
        "SalaryRatio" -> 1.0999999999999999`|>, <|
       "LastName" -> "Beasley", "FirstName" -> "DaMarcus", "Position" -> "D", 
        "BaseSalary" -> Quantity[750000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[813333.33, "USDollars"], 
        "SalaryRatio" -> 1.08444444|>, <|
       "LastName" -> "Mansally", "FirstName" -> "Kenny", "Position" -> "D", 
        "BaseSalary" -> Quantity[77500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[84000., "USDollars"], 
        "SalaryRatio" -> 1.0838709677419354`|>, <|
       "LastName" -> "Rodriguez", "FirstName" -> "Raul", "Position" -> "D", 
        "BaseSalary" -> Quantity[350000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[379333.33, "USDollars"], 
        "SalaryRatio" -> 1.0838095142857145`|>, <|
       "LastName" -> "Barnes", "FirstName" -> "Giles", "Position" -> "F-M", 
        "BaseSalary" -> Quantity[700000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[756250., "USDollars"], 
        "SalaryRatio" -> 1.0803571428571428`|>, <|
       "LastName" -> "Maidana", "FirstName" -> "Cristian", "Position" -> "M", 
        "BaseSalary" -> Quantity[223850., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[237600., "USDollars"], 
        "SalaryRatio" -> 1.0614250614250615`|>, <|
       "LastName" -> "Williams", "FirstName" -> "Sheanon", "Position" -> "D", 
        "BaseSalary" -> Quantity[162500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[171500., "USDollars"], 
        "SalaryRatio" -> 1.0553846153846154`|>, <|
       "LastName" -> "Horst", "FirstName" -> "David", "Position" -> "D", 
        "BaseSalary" -> Quantity[88593.75, "USDollars"], 
        "GuaranteedCompensation" -> Quantity[91343.75, "USDollars"], 
        "SalaryRatio" -> 1.0310405643738978`|>, <|
       "LastName" -> "Bruin", "FirstName" -> "Will", "Position" -> "F", 
        "BaseSalary" -> Quantity[310000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[311666.67, "USDollars"], 
        "SalaryRatio" -> 1.0053763548387096`|>, <|
       "LastName" -> "Lucatero", "FirstName" -> "Christian", "Position" -> 
        "M", "BaseSalary" -> Quantity[51500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[51750., "USDollars"], 
        "SalaryRatio" -> 1.0048543689320388`|>, <|
       "LastName" -> "Willis", "FirstName" -> "Joe", "Position" -> "GK", 
        "BaseSalary" -> Quantity[94500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[94500., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Wenger", "FirstName" -> "Andrew", "Position" -> "M-F", 
        "BaseSalary" -> Quantity[190000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[190000., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Rocha", "FirstName" -> "David Mateos", "Position" -> 
        "M", "BaseSalary" -> Quantity[100000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[100000., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Monteiro de Lima", "FirstName" -> "Alex", "Position" -> 
        "M", "BaseSalary" -> Quantity[152000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[152000., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Miranda", "FirstName" -> "Leonel", "Position" -> "M", 
        "BaseSalary" -> Quantity[62500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[62500., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Manotas", "FirstName" -> "Mauro", "Position" -> "F", 
        "BaseSalary" -> Quantity[85000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[85000., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Iniguez", "FirstName" -> "Agustin", "Position" -> "D", 
        "BaseSalary" -> Quantity[132000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[132000., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Ibeagha", "FirstName" -> "Sebastien", "Position" -> "D",
         "BaseSalary" -> Quantity[62500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[62500., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Deric", "FirstName" -> "Tyler", "Position" -> "GK", 
        "BaseSalary" -> Quantity[170000., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[170000., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Brown", "FirstName" -> "Calle", "Position" -> "GK", 
        "BaseSalary" -> Quantity[51500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[51500., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Bourgeois", "FirstName" -> "Bradley", "Position" -> "D",
         "BaseSalary" -> Quantity[51500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[51500., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Anibaba", "FirstName" -> "Jalil", "Position" -> "M", 
        "BaseSalary" -> Quantity[62500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[62500., "USDollars"], 
        "SalaryRatio" -> 1.|>, <|
       "LastName" -> "Lovejoy", "FirstName" -> "Rob", "Position" -> "M", 
        "BaseSalary" -> Quantity[52500., "USDollars"], 
        "GuaranteedCompensation" -> Quantity[52500., "USDollars"], 
        "SalaryRatio" -> 0.9999999999999999|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "LastName"} -> 
        1, {All, "FirstName"} -> 1, {All, "Position"} -> 
        1, {All, "BaseSalary"} -> 1, {All, "GuaranteedCompensation"} -> 
        1, {All, "SalaryRatio"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "LastName" -> 
            TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
            "FirstName" -> TypeSystem`PackageScope`AtomShape[134.4], 
            "Position" -> TypeSystem`PackageScope`AtomShape[31.5], 
            "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
            "GuaranteedCompensation" -> TypeSystem`PackageScope`AtomShape[75],
             "SalaryRatio" -> TypeSystem`PackageScope`AtomShape[60]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "LastName", "FirstName", "Position", "BaseSalary", 
         "GuaranteedCompensation", "SalaryRatio"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["D", "F", "F-M", "GK", "M", "M-F"]], 
         TypeSystem`Atom[
          Quantity[1, "USDollars"]], 
         TypeSystem`Atom[
          Quantity[1, "USDollars"]], 
         TypeSystem`Atom[Real]}], 27], 
     "Meta" -> <|$CellContext`HeaderSize -> 8.5, 
       ItemSize -> {{All, "LastName"} -> 10, {All, "FirstName"} -> 
         8, {All, "BaseSalary"} -> 10}|>, "RowTarget" -> 20, "ColumnTarget" -> 
     10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "LastName"} -> 
        1, {All, "FirstName"} -> 1, {All, "Position"} -> 
        1, {All, "BaseSalary"} -> 1, {All, "GuaranteedCompensation"} -> 
        1, {All, "SalaryRatio"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`RowShape[<|
           "LastName" -> 
            TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
            "FirstName" -> TypeSystem`PackageScope`AtomShape[134.4], 
            "Position" -> TypeSystem`PackageScope`AtomShape[31.5], 
            "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
            "GuaranteedCompensation" -> TypeSystem`PackageScope`AtomShape[75],
             "SalaryRatio" -> TypeSystem`PackageScope`AtomShape[60]|>], 
          DirectedInfinity[1], 6, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{
        "LastName", "FirstName", "Position", "BaseSalary", 
         "GuaranteedCompensation", "SalaryRatio"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["D", "F", "F-M", "GK", "M", "M-F"]], 
         TypeSystem`Atom[
          Quantity[1, "USDollars"]], 
         TypeSystem`Atom[
          Quantity[1, "USDollars"]], 
         TypeSystem`Atom[Real]}], 27], "Path" -> {}, "DisplayedRowCount" -> 8,
      "DisplayedColumnCount" -> 6, "DataRowCount" -> 27, "DataColumnCount" -> 
     6, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["LastName", 
                  Style[
                  "LastName", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "LastName"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{All, "LastName"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8.5, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["FirstName", 
                  Style[
                  "FirstName", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "FirstName"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{All, "FirstName"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8.5, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Position", 
                  Style[
                  "Position", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Position"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{All, "Position"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8.5, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["BaseSalary", 
                  Style[
                  "BaseSalary", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "BaseSalary"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{All, "BaseSalary"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8.5, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["GuaranteedCompensation", 
                  Style[
                  "GuaranteedCompensation", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "GuaranteedCompensation"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{
                All, "GuaranteedCompensation"}, "ColumnHeader", True], 
               "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8.5, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["SalaryRatio", 
                  Style[
                  "SalaryRatio", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "SalaryRatio"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{All, "SalaryRatio"},
                 "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8.5, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["Steinberger", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{1, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Zach", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{1, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{134.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["M", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{1, 
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"63\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 63000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 63000., Selectable -> 
                   False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{1, 
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"79\[ThinSpace]250.00\"", ShowStringCharacters -> 
                    False], 79250., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 79250., Selectable -> 
                   False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{1, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1.25794"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{1, 
                 Key["SalaryRatio"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Warner", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{2, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Collen", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{2, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{134.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["M", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{2, 
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"149\[ThinSpace]934.00\"", ShowStringCharacters -> 
                    False], 149934., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 149934., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{2, 
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"177\[ThinSpace]434.00\"", ShowStringCharacters -> 
                    False], 177434., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 177434., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{2, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1.18341"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{2, 
                 Key["SalaryRatio"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Torres", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{3, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Erick", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{3, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{134.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["F", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{3, 
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"575\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 575000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 575000., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{3, 
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"650\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 650000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 650000., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{3, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1.13043"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{3, 
                 Key["SalaryRatio"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Clark", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{4, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Ricardo", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{4, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{134.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["M", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{4, 
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"319\[ThinSpace]200.00\"", ShowStringCharacters -> 
                    False], 319200., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 319200., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{4, 
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"356\[ThinSpace]700.00\"", ShowStringCharacters -> 
                    False], 356700., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 356700., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{4, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1.11748"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{4, 
                 Key["SalaryRatio"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Garcia", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{5, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Boniek", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{5, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{134.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["M", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{5, 
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{5, 
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"247\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 247500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 247500., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{5, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1.1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{5, 
                 Key["SalaryRatio"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Beasley", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{6, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["DaMarcus", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{6, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{134.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["D", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{6, 
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"750\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 750000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 750000., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{6, 
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"813\[ThinSpace]333.33\"", ShowStringCharacters -> 
                    False], 813333.33, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 813333.33, 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{6, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1.08444"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{6, 
                 Key["SalaryRatio"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Mansally", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{7, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Kenny", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{7, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{134.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["D", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{7, 
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"77\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 77500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 77500., Selectable -> 
                   False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{7, 
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"84\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 84000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 84000., Selectable -> 
                   False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{7, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1.08387"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{7, 
                 Key["SalaryRatio"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Rodriguez", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{8, 
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Raul", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{8, 
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{134.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 8, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["D", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{8, 
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"350\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 350000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 350000., 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{8, 
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> 10, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                   TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"379\[ThinSpace]333.33\"", ShowStringCharacters -> 
                    False], 379333.33, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 379333.33, 
                   Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{8, 
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1.08381"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "587037ec-71b2-4bd9-838d-a02ca9baa05d"]][{8, 
                 Key["SalaryRatio"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 27, 1], {1, 27 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 27, 1], {1, 27 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[27, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[27, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 27, 1], {1, 27 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 27, 1], {1, 27 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{605., {138.14208984375, 144.85791015625}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{605., {138.14208984375, 144.85791015625}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "ExerciseOutput",
 PageWidth->1000,
 ShowCellLabel->False,
 CellTags->{"Exercise", "LastCellOfAPage"},
 CellID->1597927271,ExpressionUUID->"8ea52589-d188-4cdd-a66b-308e2d791351"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Here\[CloseCurlyQuote]s some code that computes the total base salary for \
each team and year combination.\
\>", "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.770209856915173*^9, 3.770209863417603*^9}, {
  3.770209976747814*^9, 3.770209990352429*^9}, {3.7863780387341933`*^9, 
  3.7863780392551937`*^9}},
 CellTags->{"Exercise", "p: 242"},
 CellID->1329505952,ExpressionUUID->"b59fc020-4c5c-43bb-8f8a-2c8aa878966e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"baseByTeamYear", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"StringQ", "[", "#Club", "]"}], "&"}], "]"}], "/*", 
      RowBox[{"GroupBy", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"StringTemplate", "[", "\"\<`1`-`2`\>\"", "]"}], "[", 
         RowBox[{"#Club", ",", 
          RowBox[{"DateString", "[", 
           RowBox[{"#Year", ",", "\"\<Year\>\""}], "]"}]}], "]"}], "&"}], 
       "]"}]}], ",", "Total", ",", 
     RowBox[{"#BaseSalary", "&"}]}], "]"}], "[", "mlsDS", 
   "]"}]}]], "ExerciseInput",
 CellChangeTimes->{{3.770209872690593*^9, 3.770209943871552*^9}, {
  3.770210085324094*^9, 3.770210088966176*^9}, {3.770210315484864*^9, 
  3.770210330303749*^9}, {3.880650752687347*^9, 3.880650762935533*^9}},
 CellTags->"Exercise",
 CellLabel->"In[159]:=",
 CellID->944551117,ExpressionUUID->"c01cb706-b4d3-47a8-af46-ca7563bfae65"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "CHI-2007" -> Quantity[4.4125175*^6, "USDollars"], "CHV-2007" -> 
       Quantity[1.6782707*^6, "USDollars"], "CLB-2007" -> 
       Quantity[1.88955106*^6, "USDollars"], "COL-2007" -> 
       Quantity[2.181153*^6, "USDollars"], "DAL-2007" -> 
       Quantity[2.79073975*^6, "USDollars"], "DC-2007" -> 
       Quantity[2.101315*^6, "USDollars"], "HOU-2007" -> 
       Quantity[2.35004709*^6, "USDollars"], "KC-2007" -> 
       Quantity[2.441925*^6, "USDollars"], "LA-2007" -> 
       Quantity[8.22954883*^6, "USDollars"], "NE-2007" -> 
       Quantity[1.850848*^6, "USDollars"], "NY-2007" -> 
       Quantity[4.3607355*^6, "USDollars"], "Pool-2007" -> 
       Quantity[83100., "USDollars"], "RSL-2007" -> 
       Quantity[1.798531*^6, "USDollars"], "TFC-2007" -> 
       Quantity[2.31005*^6, "USDollars"], "LA-2008" -> 
       Quantity[8.06960408*^6, "USDollars"], "NE-2008" -> 
       Quantity[2.0900455*^6, "USDollars"], "HOU-2008" -> 
       Quantity[2.38665696*^6, "USDollars"], "SJ-2008" -> 
       Quantity[2.40158775*^6, "USDollars"], "NY-2008" -> 
       Quantity[3.1905175*^6, "USDollars"], "Pool-2008" -> 
       Quantity[127200., "USDollars"], "KC-2008" -> 
       Quantity[2.314179*^6, "USDollars"], "TFC-2008" -> 
       Quantity[2.35487463*^6, "USDollars"], "DAL-2008" -> 
       Quantity[2.28705*^6, "USDollars"], "COL-2008" -> 
       Quantity[2.3187441799999997`*^6, "USDollars"], "CHI-2008" -> 
       Quantity[4.38254692*^6, "USDollars"], "RSL-2008" -> 
       Quantity[2.17109096*^6, "USDollars"], "CHV-2008" -> 
       Quantity[2.29444917*^6, "USDollars"], "DC-2008" -> 
       Quantity[4.33577*^6, "USDollars"], "CLB-2008" -> 
       Quantity[2.08818081*^6, "USDollars"], "SEA-2008" -> 
       Quantity[117000., "USDollars"], "NE-2009" -> 
       Quantity[2.58700375*^6, "USDollars"], "RSL-2009" -> 
       Quantity[1.945372*^6, "USDollars"], "DC-2009" -> 
       Quantity[2.981654*^6, "USDollars"], "SEA-2009" -> 
       Quantity[3.221212*^6, "USDollars"], "SJ-2009" -> 
       Quantity[2.00376*^6, "USDollars"], "NY-2009" -> 
       Quantity[3.0976*^6, "USDollars"], "KC-2009" -> 
       Quantity[2.08492338*^6, "USDollars"], "HOU-2009" -> 
       Quantity[2.48970505*^6, "USDollars"], "TFC-2009" -> 
       Quantity[3.577074*^6, "USDollars"], "DAL-2009" -> 
       Quantity[2.346619*^6, "USDollars"], "COL-2009" -> 
       Quantity[2.22853795*^6, "USDollars"], "CHI-2009" -> 
       Quantity[4.72158375*^6, "USDollars"], "LA-2009" -> 
       Quantity[8.53142682*^6, "USDollars"], "Pool-2009" -> 
       Quantity[156100., "USDollars"], "CHV-2009" -> 
       Quantity[2.35328333*^6, "USDollars"], "CLB-2009" -> 
       Quantity[2.5733425*^6, "USDollars"], "NY-2010" -> 
       Quantity[1.447015104*^7, "USDollars"], "KC-2010" -> 
       Quantity[2.583878*^6, "USDollars"], "COL-2010" -> 
       Quantity[2.43405*^6, "USDollars"], "DAL-2010" -> 
       Quantity[2.51761*^6, "USDollars"], "RSL-2010" -> 
       Quantity[2.346344*^6, "USDollars"], "DC-2010" -> 
       Quantity[2.54093904*^6, "USDollars"], "SEA-2010" -> 
       Quantity[2.98051604*^6, "USDollars"], "NE-2010" -> 
       Quantity[2.79576508*^6, "USDollars"], "SJ-2010" -> 
       Quantity[2.273338*^6, "USDollars"], "HOU-2010" -> 
       Quantity[2.38850004*^6, "USDollars"], "PHI-2010" -> 
       Quantity[2.37026208*^6, "USDollars"], "TFC-2010" -> 
       Quantity[4.786124*^6, "USDollars"], "CHI-2010" -> 
       Quantity[4.836214*^6, "USDollars"], "CLB-2010" -> 
       Quantity[2.372912*^6, "USDollars"], "LA-2010" -> 
       Quantity[9.60980808*^6, "USDollars"], "CHV-2010" -> 
       Quantity[2.389825*^6, "USDollars"], "None-2010" -> 
       Quantity[292710., "USDollars"], "Pool-2010" -> 
       Quantity[120000., "USDollars"], "COL-2011" -> 
       Quantity[2.991458*^6, "USDollars"], "PHI-2011" -> 
       Quantity[2.870942*^6, "USDollars"], "RSL-2011" -> 
       Quantity[2.946031*^6, "USDollars"], "NY-2011" -> 
       Quantity[1.258303904*^7, "USDollars"], "KC-2011" -> 
       Quantity[3.10953*^6, "USDollars"], "VAN-2011" -> 
       Quantity[3.56699708*^6, "USDollars"], "POR-2011" -> 
       Quantity[2.29967008*^6, "USDollars"], "SEA-2011" -> 
       Quantity[3.033191*^6, "USDollars"], "NE-2011" -> 
       Quantity[2.698503*^6, "USDollars"], "LA-2011" -> 
       Quantity[1.283022248*^7, "USDollars"], "SJ-2011" -> 
       Quantity[2.60071204*^6, "USDollars"], "CHV-2011" -> 
       Quantity[3.346214*^6, "USDollars"], "CHI-2011" -> 
       Quantity[2.53830404*^6, "USDollars"], "CLB-2011" -> 
       Quantity[3.00412312*^6, "USDollars"], "HOU-2011" -> 
       Quantity[3.05917608*^6, "USDollars"], "TFC-2011" -> 
       Quantity[5.440626*^6, "USDollars"], "DC-2011" -> 
       Quantity[2.95888667*^6, "USDollars"], "DAL-2011" -> 
       Quantity[2.863854*^6, "USDollars"], "TOR-2011" -> 
       Quantity[123596., "USDollars"], "POOL-2011" -> 
       Quantity[126000., "USDollars"], "PHI-2012" -> 
       Quantity[2.86100608*^6, "USDollars"], "CHV-2012" -> 
       Quantity[3.047728*^6, "USDollars"], "KC-2012" -> 
       Quantity[2.893657*^6, "USDollars"], "COL-2012" -> 
       Quantity[3.11112396*^6, "USDollars"], "VAN-2012" -> 
       Quantity[4.55166596*^6, "USDollars"], "CHI-2012" -> 
       Quantity[3.600214*^6, "USDollars"], "POR-2012" -> 
       Quantity[3.77611604*^6, "USDollars"], "SJ-2012" -> 
       Quantity[2.87816629*^6, "USDollars"], "SEA-2012" -> 
       Quantity[3.789781*^6, "USDollars"], "NE-2012" -> 
       Quantity[2.28490596*^6, "USDollars"], "RSL-2012" -> 
       Quantity[3.20678504*^6, "USDollars"], "TOR-2012" -> 
       Quantity[5.455463*^6, "USDollars"], "POOL-2012" -> 
       Quantity[111606., "USDollars"], "NY-2012" -> 
       Quantity[1.581436946*^7, "USDollars"], "CLB-2012" -> 
       Quantity[3.111134*^6, "USDollars"], "MTL-2012" -> 
       Quantity[3.453853*^6, "USDollars"], "HOU-2012" -> 
       Quantity[2.90116604*^6, "USDollars"], "DC-2012" -> 
       Quantity[3.4536792*^6, "USDollars"], "LA-2012" -> 
       Quantity[1.0825821*^7, "USDollars"], "DAL-2012" -> 
       Quantity[4.86554904*^6, "USDollars"], "TFC-2012" -> 
       Quantity[374004., "USDollars"], "VAN-2013" -> 
       Quantity[4.27950804*^6, "USDollars"], "DAL-2013" -> 
       Quantity[4.0763435*^6, "USDollars"], "TOR-2013" -> 
       Quantity[3.61044986*^6, "USDollars"], "NE-2013" -> 
       Quantity[2.74243263*^6, "USDollars"], "NY-2013" -> 
       Quantity[9.98193942*^6, "USDollars"], "SJ-2013" -> 
       Quantity[3.5587415*^6, "USDollars"], "PHI-2013" -> 
       Quantity[3.322942*^6, "USDollars"], "CHI-2013" -> 
       Quantity[4.46517*^6, "USDollars"], "POR-2013" -> 
       Quantity[3.466001*^6, "USDollars"], "SEA-2013" -> 
       Quantity[9.7671*^6, "USDollars"], "CHV-2013" -> 
       Quantity[2.4098075*^6, "USDollars"], "RSL-2013" -> 
       Quantity[3.503642*^6, "USDollars"], "CLB-2013" -> 
       Quantity[3.169668*^6, "USDollars"], "HOU-2013" -> 
       Quantity[3.1848335*^6, "USDollars"], "COL-2013" -> 
       Quantity[3.0669012*^6, "USDollars"], "MTL-2013" -> 
       Quantity[4.263316*^6, "USDollars"], "KC-2013" -> 
       Quantity[3.205085*^6, "USDollars"], "LA-2013" -> 
       Quantity[9.20643*^6, "USDollars"], "DC-2013" -> 
       Quantity[3.232138*^6, "USDollars"], "POOL-2013" -> 
       Quantity[70250., "USDollars"], "DAL-2014" -> 
       Quantity[4.041037*^6, "USDollars"], "VAN-2014" -> 
       Quantity[4.542729*^6, "USDollars"], "POR-2014" -> 
       Quantity[5.28372612*^6, "USDollars"], "COL-2014" -> 
       Quantity[3.007541*^6, "USDollars"], "NE-2014" -> 
       Quantity[6.362933*^6, "USDollars"], "CHI-2014" -> 
       Quantity[3.529746*^6, "USDollars"], "NY-2014" -> 
       Quantity[1.0268811*^7, "USDollars"], "RSL-2014" -> 
       Quantity[3.647515*^6, "USDollars"], "SEA-2014" -> 
       Quantity[9.396634*^6, "USDollars"], "ORL-2014" -> 
       Quantity[6.855*^6, "USDollars"], "CLB-2014" -> 
       Quantity[3.1763615*^6, "USDollars"], "TOR-2014" -> 
       Quantity[1.56866285*^7, "USDollars"], "HOU-2014" -> 
       Quantity[4.027369*^6, "USDollars"], "DC-2014" -> 
       Quantity[3.47174692*^6, "USDollars"], "CHV-2014" -> 
       Quantity[3.07743204*^6, "USDollars"], "SJ-2014" -> 
       Quantity[3.957076*^6, "USDollars"], "MTL-2014" -> 
       Quantity[5.08091404*^6, "USDollars"], "PHI-2014" -> 
       Quantity[4.07309896*^6, "USDollars"], "KC-2014" -> 
       Quantity[4.143312*^6, "USDollars"], "NYCFC-2014" -> 
       Quantity[458504., "USDollars"], "LA-2014" -> 
       Quantity[1.2375473*^7, "USDollars"], "POOL-2014" -> 
       Quantity[36504., "USDollars"], "NY-2015" -> 
       Quantity[3.753746*^6, "USDollars"], "KC-2015" -> 
       Quantity[5.45350004*^6, "USDollars"], "CHI-2015" -> 
       Quantity[5.389775*^6, "USDollars"], "DAL-2015" -> 
       Quantity[3.66999992*^6, "USDollars"], "VAN-2015" -> 
       Quantity[5.52661504*^6, "USDollars"], "POR-2015" -> 
       Quantity[5.74812508*^6, "USDollars"], "CLB-2015" -> 
       Quantity[5.29698352*^6, "USDollars"], "NE-2015" -> 
       Quantity[5.87100504*^6, "USDollars"], "DC-2015" -> 
       Quantity[3.791509*^6, "USDollars"], "SJ-2015" -> 
       Quantity[4.82189224*^6, "USDollars"], "HOU-2015" -> 
       Quantity[4.632875*^6, "USDollars"], "MTL-2015" -> 
       Quantity[5.46753692*^6, "USDollars"], "RSL-2015" -> 
       Quantity[4.598884*^6, "USDollars"], "NYCFC-2015" -> 
       Quantity[1.692242104*^7, "USDollars"], "SEA-2015" -> 
       Quantity[1.1434048*^7, "USDollars"], "TOR-2015" -> 
       Quantity[1.976193696*^7, "USDollars"], "COL-2015" -> 
       Quantity[4.65549204*^6, "USDollars"], "PHI-2015" -> 
       Quantity[5.057423*^6, "USDollars"], "ORL-2015" -> 
       Quantity[1.0388355*^7, "USDollars"], "LA-2015" -> 
       Quantity[1.896500808*^7, "USDollars"], "POOL-2015" -> 
       Quantity[50000.04, "USDollars"], "ATL-2016" -> 
       Quantity[177012., "USDollars"], "CHI-2016" -> 
       Quantity[5.292596*^6, "USDollars"], "CLB-2016" -> 
       Quantity[5.28274984*^6, "USDollars"], "COL-2016" -> 
       Quantity[7.71525966*^6, "USDollars"], "DAL-2016" -> 
       Quantity[3.746282*^6, "USDollars"], "DC-2016" -> 
       Quantity[4.55216526*^6, "USDollars"], "HOU-2016" -> 
       Quantity[5.31257775*^6, "USDollars"], "KC-2016" -> 
       Quantity[6.309194*^6, "USDollars"], "LA-2016" -> 
       Quantity[1.61105*^7, "USDollars"], "MTL-2016" -> 
       Quantity[5.9363005*^6, "USDollars"], "NE-2016" -> 
       Quantity[5.56404687*^6, "USDollars"], "NYCFC-2016" -> 
       Quantity[2.060392254*^7, "USDollars"], "NYRB-2016" -> 
       Quantity[5.18674615*^6, "USDollars"], "ORL-2016" -> 
       Quantity[1.06565*^7, "USDollars"], "PHI-2016" -> 
       Quantity[5.2425*^6, "USDollars"], "POOL-2016" -> 
       Quantity[62500., "USDollars"], "POR-2016" -> 
       Quantity[6.547661*^6, "USDollars"], "RSL-2016" -> 
       Quantity[5.3375*^6, "USDollars"], "SEA-2016" -> 
       Quantity[9.4791135*^6, "USDollars"], "SJ-2016" -> 
       Quantity[5.82161692*^6, "USDollars"], "TOR-2016" -> 
       Quantity[1.953465*^7, "USDollars"], "VAN-2016" -> 
       Quantity[6.01244158*^6, "USDollars"], "ATL-2017" -> 
       Quantity[8.03561604*^6, "USDollars"], "CHI-2017" -> 
       Quantity[1.2272624*^7, "USDollars"], "CLB-2017" -> 
       Quantity[6.34523248*^6, "USDollars"], "COL-2017" -> 
       Quantity[7.25474875*^6, "USDollars"], "DAL-2017" -> 
       Quantity[5.99057928*^6, "USDollars"], "DC-2017" -> 
       Quantity[4.8121354399999995`*^6, "USDollars"], "HOU-2017" -> 
       Quantity[4.90404998*^6, "USDollars"], "KC-2017" -> 
       Quantity[6.223848*^6, "USDollars"], "LA-2017" -> 
       Quantity[9.83366664*^6, "USDollars"], "LAFC-2017" -> 
       Quantity[118008., "USDollars"], "MNUFC-2017" -> 
       Quantity[4.92604604*^6, "USDollars"], "MTL-2017" -> 
       Quantity[5.07467108*^6, "USDollars"], "NE-2017" -> 
       Quantity[5.40699325*^6, "USDollars"], "NYCFC-2017" -> 
       Quantity[1.737052568*^7, "USDollars"], "NYRB-2017" -> 
       Quantity[6.313982*^6, "USDollars"], "ORL-2017" -> 
       Quantity[1.23820538*^7, "USDollars"], "PHI-2017" -> 
       Quantity[6.516876*^6, "USDollars"], "POR-2017" -> 
       Quantity[9.29453204*^6, "USDollars"], "RSL-2017" -> 
       Quantity[6.8564404399999995`*^6, "USDollars"], "SEA-2017" -> 
       Quantity[8.98670289*^6, "USDollars"], "SJ-2017" -> 
       Quantity[6.429566*^6, "USDollars"], "TOR-2017" -> 
       Quantity[2.0074947*^7, "USDollars"], "VAN-2017" -> 
       Quantity[7.04036608*^6, "USDollars"]|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[112.00000000000001`], 
         TypeSystem`PackageScope`AtomShape[75]]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Atom[
        Quantity[1, "USDollars"]], 213], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[112.00000000000001`], 
         TypeSystem`PackageScope`AtomShape[75]]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Atom[
        Quantity[1, "USDollars"]], 213], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 1, "DataRowCount" -> 213, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["CHI-2007", 
                  Style[
                  "CHI-2007", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["CHI-2007"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["CHI-2007"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "4.4125175`*^6", 4.4125175*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["CHI-2007"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["CHV-2007", 
                  Style[
                  "CHV-2007", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["CHV-2007"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["CHV-2007"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.6782707`*^6", 1.6782707*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["CHV-2007"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["CLB-2007", 
                  Style[
                  "CLB-2007", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["CLB-2007"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["CLB-2007"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.88955106`*^6", 1.88955106*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["CLB-2007"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["COL-2007", 
                  Style[
                  "COL-2007", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["COL-2007"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["COL-2007"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.181153`*^6", 2.181153*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["COL-2007"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["DAL-2007", 
                  Style[
                  "DAL-2007", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["DAL-2007"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["DAL-2007"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.79073975`*^6", 2.79073975*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["DAL-2007"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["DC-2007", 
                  Style[
                  "DC-2007", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["DC-2007"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["DC-2007"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.101315`*^6", 2.101315*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["DC-2007"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["HOU-2007", 
                  Style[
                  "HOU-2007", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["HOU-2007"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["HOU-2007"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.35004709`*^6", 2.35004709*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["HOU-2007"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["KC-2007", 
                  Style[
                  "KC-2007", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["KC-2007"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["KC-2007"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.441925`*^6", 2.441925*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3d2014a9-9f86-4789-a329-368cc1a43322"]][{
                 Key["KC-2007"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 213, 1], {1, 213 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 213, 1], {1, 213 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[213, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[213, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 213, 1], {1, 213 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 213, 1], {1, 213 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
    TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
    "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{8, 
      Key["Total Base Salary"]}, "Item", False]}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{234., {124.64208984375, 131.35791015625}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{234., {124.64208984375, 131.35791015625}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "ExerciseOutput",
 CellChangeTimes->{{3.7702099249445143`*^9, 3.770209948438457*^9}, 
   3.770210094090664*^9, {3.770210327066626*^9, 3.770210334677178*^9}, 
   3.770212824731493*^9, 3.770289171426099*^9, 3.771930890798174*^9, 
   3.8173216376451473`*^9, 3.880553112599208*^9, 3.880553940010585*^9, {
   3.8806507461257763`*^9, 3.880650765297484*^9}, 3.881761319586822*^9, 
   3.8817614305059423`*^9},
 CellTags->"Exercise",
 CellLabel->"Out[159]=",
 CellID->535861801,ExpressionUUID->"64be2b9c-65fc-4e00-9c4a-ecd266cc0f27"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Suppose that you were given this ",
 Cell[BoxData[
 "baseByTeamYear"], "InlineCode",ExpressionUUID->
  "5322ab8c-bdb5-46b1-9e1e-9fba522fe41d"],
 " ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and were not given the raw MLS data. I want a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that looks like this, with the team, year, and total base salaries in \
different columns. Hint 1: My answer uses ",
 ButtonBox["With",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/With.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/With.html"],
 ". Hint 2: My answer uses ",
 ButtonBox["StringSplit",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StringSplit.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/StringSplit.html"],
 ". Hint 3: ",
 ButtonBox["StringSplit",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StringSplit.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/StringSplit.html"],
 Cell[BoxData[
  RowBox[{"[", 
   RowBox[{"\"\<HOU-2018\>\"", ",", "\"\<-\>\""}], "]"}]], "InlineCode",
  ExpressionUUID->"85bc76f8-e3c9-4292-bd9f-0980fbef25cf"],
 " yields ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"\"\<HOU\>\"", ",", "\"\<2018\>\""}], "}"}]], "InlineCode",
  ExpressionUUID->"364ffffc-66fc-4782-88d3-1af515231a5e"],
 "."
}], "Exercise",
 PageWidth->710,
 CellDingbat->None,
 ShowGroupOpener->False,
 CellTags->"Exercise",
 CellID->506042144,ExpressionUUID->"4ff4763f-ab69-4962-9b4f-2fe25103844a"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "Team" -> "CHI", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[4.4125175*^6, "USDollars"]|>, <|
       "Team" -> "CHV", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[1.6782707*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[1.88955106*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[2.181153*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[2.79073975*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[2.101315*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[2.35004709*^6, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[2.441925*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[8.22954883*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[1.850848*^6, "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[4.3607355*^6, "USDollars"]|>, <|
       "Team" -> "Pool", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[83100., "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[1.798531*^6, "USDollars"]|>, <|
       "Team" -> "TFC", "Year" -> "2007", "Total Base Salary" -> 
        Quantity[2.31005*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[8.06960408*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.0900455*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.38665696*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.40158775*^6, "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[3.1905175*^6, "USDollars"]|>, <|
       "Team" -> "Pool", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[127200., "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.314179*^6, "USDollars"]|>, <|
       "Team" -> "TFC", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.35487463*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.28705*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.3187441799999997`*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[4.38254692*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.17109096*^6, "USDollars"]|>, <|
       "Team" -> "CHV", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.29444917*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[4.33577*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[2.08818081*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2008", "Total Base Salary" -> 
        Quantity[117000., "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.58700375*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[1.945372*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.981654*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[3.221212*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.00376*^6, "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[3.0976*^6, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.08492338*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.48970505*^6, "USDollars"]|>, <|
       "Team" -> "TFC", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[3.577074*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.346619*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.22853795*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[4.72158375*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[8.53142682*^6, "USDollars"]|>, <|
       "Team" -> "Pool", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[156100., "USDollars"]|>, <|
       "Team" -> "CHV", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.35328333*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2009", "Total Base Salary" -> 
        Quantity[2.5733425*^6, "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[1.447015104*^7, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.583878*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.43405*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.51761*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.346344*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.54093904*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.98051604*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.79576508*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.273338*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.38850004*^6, "USDollars"]|>, <|
       "Team" -> "PHI", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.37026208*^6, "USDollars"]|>, <|
       "Team" -> "TFC", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[4.786124*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[4.836214*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.372912*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[9.60980808*^6, "USDollars"]|>, <|
       "Team" -> "CHV", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[2.389825*^6, "USDollars"]|>, <|
       "Team" -> "None", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[292710., "USDollars"]|>, <|
       "Team" -> "Pool", "Year" -> "2010", "Total Base Salary" -> 
        Quantity[120000., "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.991458*^6, "USDollars"]|>, <|
       "Team" -> "PHI", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.870942*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.946031*^6, "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[1.258303904*^7, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[3.10953*^6, "USDollars"]|>, <|
       "Team" -> "VAN", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[3.56699708*^6, "USDollars"]|>, <|
       "Team" -> "POR", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.29967008*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[3.033191*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.698503*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[1.283022248*^7, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.60071204*^6, "USDollars"]|>, <|
       "Team" -> "CHV", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[3.346214*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.53830404*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[3.00412312*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[3.05917608*^6, "USDollars"]|>, <|
       "Team" -> "TFC", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[5.440626*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.95888667*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[2.863854*^6, "USDollars"]|>, <|
       "Team" -> "TOR", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[123596., "USDollars"]|>, <|
       "Team" -> "POOL", "Year" -> "2011", "Total Base Salary" -> 
        Quantity[126000., "USDollars"]|>, <|
       "Team" -> "PHI", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[2.86100608*^6, "USDollars"]|>, <|
       "Team" -> "CHV", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.047728*^6, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[2.893657*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.11112396*^6, "USDollars"]|>, <|
       "Team" -> "VAN", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[4.55166596*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.600214*^6, "USDollars"]|>, <|
       "Team" -> "POR", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.77611604*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[2.87816629*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.789781*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[2.28490596*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.20678504*^6, "USDollars"]|>, <|
       "Team" -> "TOR", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[5.455463*^6, "USDollars"]|>, <|
       "Team" -> "POOL", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[111606., "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[1.581436946*^7, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.111134*^6, "USDollars"]|>, <|
       "Team" -> "MTL", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.453853*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[2.90116604*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[3.4536792*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[1.0825821*^7, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[4.86554904*^6, "USDollars"]|>, <|
       "Team" -> "TFC", "Year" -> "2012", "Total Base Salary" -> 
        Quantity[374004., "USDollars"]|>, <|
       "Team" -> "VAN", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[4.27950804*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[4.0763435*^6, "USDollars"]|>, <|
       "Team" -> "TOR", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.61044986*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[2.74243263*^6, "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[9.98193942*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.5587415*^6, "USDollars"]|>, <|
       "Team" -> "PHI", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.322942*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[4.46517*^6, "USDollars"]|>, <|
       "Team" -> "POR", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.466001*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[9.7671*^6, "USDollars"]|>, <|
       "Team" -> "CHV", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[2.4098075*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.503642*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.169668*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.1848335*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.0669012*^6, "USDollars"]|>, <|
       "Team" -> "MTL", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[4.263316*^6, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.205085*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[9.20643*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[3.232138*^6, "USDollars"]|>, <|
       "Team" -> "POOL", "Year" -> "2013", "Total Base Salary" -> 
        Quantity[70250., "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[4.041037*^6, "USDollars"]|>, <|
       "Team" -> "VAN", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[4.542729*^6, "USDollars"]|>, <|
       "Team" -> "POR", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[5.28372612*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[3.007541*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[6.362933*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[3.529746*^6, "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[1.0268811*^7, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[3.647515*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[9.396634*^6, "USDollars"]|>, <|
       "Team" -> "ORL", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[6.855*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[3.1763615*^6, "USDollars"]|>, <|
       "Team" -> "TOR", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[1.56866285*^7, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[4.027369*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[3.47174692*^6, "USDollars"]|>, <|
       "Team" -> "CHV", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[3.07743204*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[3.957076*^6, "USDollars"]|>, <|
       "Team" -> "MTL", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[5.08091404*^6, "USDollars"]|>, <|
       "Team" -> "PHI", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[4.07309896*^6, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[4.143312*^6, "USDollars"]|>, <|
       "Team" -> "NYCFC", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[458504., "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[1.2375473*^7, "USDollars"]|>, <|
       "Team" -> "POOL", "Year" -> "2014", "Total Base Salary" -> 
        Quantity[36504., "USDollars"]|>, <|
       "Team" -> "NY", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[3.753746*^6, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[5.45350004*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[5.389775*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[3.66999992*^6, "USDollars"]|>, <|
       "Team" -> "VAN", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[5.52661504*^6, "USDollars"]|>, <|
       "Team" -> "POR", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[5.74812508*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[5.29698352*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[5.87100504*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[3.791509*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[4.82189224*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[4.632875*^6, "USDollars"]|>, <|
       "Team" -> "MTL", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[5.46753692*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[4.598884*^6, "USDollars"]|>, <|
       "Team" -> "NYCFC", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[1.692242104*^7, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[1.1434048*^7, "USDollars"]|>, <|
       "Team" -> "TOR", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[1.976193696*^7, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[4.65549204*^6, "USDollars"]|>, <|
       "Team" -> "PHI", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[5.057423*^6, "USDollars"]|>, <|
       "Team" -> "ORL", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[1.0388355*^7, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[1.896500808*^7, "USDollars"]|>, <|
       "Team" -> "POOL", "Year" -> "2015", "Total Base Salary" -> 
        Quantity[50000.04, "USDollars"]|>, <|
       "Team" -> "ATL", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[177012., "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.292596*^6, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.28274984*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[7.71525966*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[3.746282*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[4.55216526*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.31257775*^6, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[6.309194*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[1.61105*^7, "USDollars"]|>, <|
       "Team" -> "MTL", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.9363005*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.56404687*^6, "USDollars"]|>, <|
       "Team" -> "NYCFC", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[2.060392254*^7, "USDollars"]|>, <|
       "Team" -> "NYRB", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.18674615*^6, "USDollars"]|>, <|
       "Team" -> "ORL", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[1.06565*^7, "USDollars"]|>, <|
       "Team" -> "PHI", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.2425*^6, "USDollars"]|>, <|
       "Team" -> "POOL", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[62500., "USDollars"]|>, <|
       "Team" -> "POR", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[6.547661*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.3375*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[9.4791135*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[5.82161692*^6, "USDollars"]|>, <|
       "Team" -> "TOR", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[1.953465*^7, "USDollars"]|>, <|
       "Team" -> "VAN", "Year" -> "2016", "Total Base Salary" -> 
        Quantity[6.01244158*^6, "USDollars"]|>, <|
       "Team" -> "ATL", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[8.03561604*^6, "USDollars"]|>, <|
       "Team" -> "CHI", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[1.2272624*^7, "USDollars"]|>, <|
       "Team" -> "CLB", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[6.34523248*^6, "USDollars"]|>, <|
       "Team" -> "COL", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[7.25474875*^6, "USDollars"]|>, <|
       "Team" -> "DAL", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[5.99057928*^6, "USDollars"]|>, <|
       "Team" -> "DC", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[4.8121354399999995`*^6, "USDollars"]|>, <|
       "Team" -> "HOU", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[4.90404998*^6, "USDollars"]|>, <|
       "Team" -> "KC", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[6.223848*^6, "USDollars"]|>, <|
       "Team" -> "LA", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[9.83366664*^6, "USDollars"]|>, <|
       "Team" -> "LAFC", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[118008., "USDollars"]|>, <|
       "Team" -> "MNUFC", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[4.92604604*^6, "USDollars"]|>, <|
       "Team" -> "MTL", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[5.07467108*^6, "USDollars"]|>, <|
       "Team" -> "NE", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[5.40699325*^6, "USDollars"]|>, <|
       "Team" -> "NYCFC", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[1.737052568*^7, "USDollars"]|>, <|
       "Team" -> "NYRB", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[6.313982*^6, "USDollars"]|>, <|
       "Team" -> "ORL", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[1.23820538*^7, "USDollars"]|>, <|
       "Team" -> "PHI", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[6.516876*^6, "USDollars"]|>, <|
       "Team" -> "POR", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[9.29453204*^6, "USDollars"]|>, <|
       "Team" -> "RSL", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[6.8564404399999995`*^6, "USDollars"]|>, <|
       "Team" -> "SEA", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[8.98670289*^6, "USDollars"]|>, <|
       "Team" -> "SJ", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[6.429566*^6, "USDollars"]|>, <|
       "Team" -> "TOR", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[2.0074947*^7, "USDollars"]|>, <|
       "Team" -> "VAN", "Year" -> "2017", "Total Base Salary" -> 
        Quantity[7.04036608*^6, "USDollars"]|>}, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "Team"} -> 1, {All, "Year"} -> 
        1, {All, "Total Base Salary"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "Team" -> TypeSystem`PackageScope`AtomShape[56.00000000000001], 
            "Year" -> TypeSystem`PackageScope`AtomShape[44.800000000000004`], 
            "Total Base Salary" -> TypeSystem`PackageScope`AtomShape[75]|>], 
          DirectedInfinity[1], 3, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"Team", "Year", "Total Base Salary"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          Quantity[1, "USDollars"]]}], 213], "Meta" -> <||>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "Team"} -> 1, {All, "Year"} -> 
        1, {All, "Total Base Salary"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "Team" -> TypeSystem`PackageScope`AtomShape[56.00000000000001], 
            "Year" -> TypeSystem`PackageScope`AtomShape[44.800000000000004`], 
            "Total Base Salary" -> TypeSystem`PackageScope`AtomShape[75]|>], 
          DirectedInfinity[1], 3, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"Team", "Year", "Total Base Salary"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[String], 
         TypeSystem`Atom[
          Quantity[1, "USDollars"]]}], 213], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 3, "DataRowCount" -> 
     213, "DataColumnCount" -> 3, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Team", 
                  Style[
                  "Team", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "5582ab42-a5a8-49ff-9e93-7418acba12b3"]][{All, "Team"}, 
                   1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{All, "Team"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Year", 
                  Style[
                  "Year", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "5582ab42-a5a8-49ff-9e93-7418acba12b3"]][{All, "Year"}, 
                   1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{All, "Year"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Total Base Salary", 
                  Style[
                  "Total Base Salary", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "5582ab42-a5a8-49ff-9e93-7418acba12b3"]][{
                   All, "Total Base Salary"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{
                All, "Total Base Salary"}, "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["CHI", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{1, 
                 Key["Team"]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2007", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{1, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "4.4125175`*^6", 4.4125175*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{1, 
                 Key["Total Base Salary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["CHV", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{2, 
                 Key["Team"]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2007", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{2, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.6782707`*^6", 1.6782707*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{2, 
                 Key["Total Base Salary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["CLB", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{3, 
                 Key["Team"]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2007", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{3, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "1.88955106`*^6", 1.88955106*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{3, 
                 Key["Total Base Salary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["COL", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{4, 
                 Key["Team"]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2007", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{4, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.181153`*^6", 2.181153*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{4, 
                 Key["Total Base Salary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["DAL", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{5, 
                 Key["Team"]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2007", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{5, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.79073975`*^6", 2.79073975*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{5, 
                 Key["Total Base Salary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["DC", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{6, 
                 Key["Team"]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2007", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{6, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.101315`*^6", 2.101315*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{6, 
                 Key["Total Base Salary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["HOU", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{7, 
                 Key["Team"]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2007", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{7, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.35004709`*^6", 2.35004709*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{7, 
                 Key["Total Base Salary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["KC", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{8, 
                 Key["Team"]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2007", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{8, 
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.441925`*^6", 2.441925*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "5582ab42-a5a8-49ff-9e93-7418acba12b3"][{8, 
                 Key["Total Base Salary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 213, 1], {1, 213 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 213, 1], {1, 213 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[213, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[213, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"}, "Rows", 1, {}]], 
                    MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"}, "Rows", 10, {}]],
                     MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"}, "Rows", 30, {}]],
                     MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"}, "Rows", 
                    100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"}, "Rows", 
                    100000000, {}]], MenuEvaluator -> Automatic]}], " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 213, 1], {1, 213 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 213, 1], {1, 213 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                "5582ab42-a5a8-49ff-9e93-7418acba12b3", {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "5582ab42-a5a8-49ff-9e93-7418acba12b3"][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              "5582ab42-a5a8-49ff-9e93-7418acba12b3"][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{246., {138.14208984375, 144.85791015625}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{246., {138.14208984375, 144.85791015625}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "ExerciseOutput",
 ShowCellLabel->False,
 CellTags->"Exercise",
 CellID->443874346,ExpressionUUID->"cc914845-5099-4e31-b062-c5e5fdb95b10"]
}, Open  ]],

Cell[TextData[{
 "Take every five hundredth row of the MLS ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and put it into a column orientation. Then get just the resulting data \
without the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " wrapper."
}], "Exercise",
 CellChangeTimes->{{3.7702104990757303`*^9, 3.770210602918707*^9}, 
   3.7857837222541623`*^9, {3.7867209684421415`*^9, 3.786720976758973*^9}, 
   3.78672136191016*^9, {3.7867246908731537`*^9, 3.786724697942154*^9}, {
   3.8681120259349318`*^9, 3.8681120263829393`*^9}, 3.8739860344350433`*^9},
 CounterAssignments->{{$CellContext`Exercise, 7}},
 CellTags->"Exercise",
 CellID->1738701600,ExpressionUUID->"63f3075a-254b-44df-99ae-a07cfb91a4d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tech Notes", "TechNoteSection",
 CellID->21466922,ExpressionUUID->"e31084b2-22c1-41f1-a2f6-d23a4f9d409f"],

Cell[TextData[{
 "One could also use the Double Transpose Trick described in this chapter to \
rename columns. This would avoid having to make one call of ",
 ButtonBox["KeyMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyMap.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyMap.html"],
 " per row. When the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is small to begin with, however, the Double Transpose Trick may be slower. \
One can use two Transposes to rename just some of the columns."
}], "TechNote",
 CellChangeTimes->{{3.749413784269305*^9, 3.749413829294517*^9}, {
   3.768741866031142*^9, 3.76874186850699*^9}, {3.768816870247699*^9, 
   3.76881691759858*^9}, {3.7688499015900097`*^9, 3.768849907552335*^9}, {
   3.768911908705352*^9, 3.768911916820313*^9}, {3.770134219899027*^9, 
   3.770134247547039*^9}, 3.7857837049281626`*^9, {3.7867164476286707`*^9, 
   3.7867164694558535`*^9}, 3.868112565573819*^9, {3.868112597615049*^9, 
   3.868112615375279*^9}, {3.869241296426113*^9, 3.8692413356431017`*^9}, 
   3.870186854451949*^9, {3.87406843449008*^9, 3.874068436968655*^9}, {
   3.876240378982283*^9, 3.8762403817638435`*^9}},
 CellTags->"i:40",
 CellID->1420928995,ExpressionUUID->"147a903f-f767-465c-8381-204275d6be15"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rename2Columns", "=", 
   RowBox[{"KeyMap", "[", 
    RowBox[{
     RowBox[{"#", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<cabin\>\""}], ",", 
        RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<gender\>\""}]}], "}"}]}], 
     "&"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7494138532251263`*^9, 3.7494138616441393`*^9}},
 CellTags->"LastCellOfAPage",
 CellLabel->"In[173]:=",
 CellID->155727354,ExpressionUUID->"2f55a4ab-444c-4053-86bf-b33fdeca15a0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RepeatedTiming", "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{
    RowBox[{"Query", "[", "rename2Columns", "]"}], "[", 
    RowBox[{"Transpose", "[", "lifeboatDS", "]"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.749413871923415*^9, 3.749413892467339*^9}, {
   3.768816856652032*^9, 3.768816861299809*^9}, 3.770030538136983*^9, {
   3.770032385416992*^9, 3.770032393652616*^9}, 3.8173178204820766`*^9, {
   3.867331454893921*^9, 3.867331457489088*^9}},
 CellTags->"p: 243",
 CellLabel->"In[174]:=",
 CellID->1057344935,ExpressionUUID->"a06a50a8-e166-4648-b853-a30a689609e7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.001711482421875`", ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "cabin" -> "3rd", "age" -> 16, "gender" -> "female", "survived" -> 
          True|>, <|
         "cabin" -> "1st", "age" -> 65, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> 2, "gender" -> "female", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> Missing[], "gender" -> "female", 
          "survived" -> True|>, <|
         "cabin" -> "3rd", "age" -> 18, "gender" -> "female", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> Missing[], "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> 22, "gender" -> "female", "survived" -> 
          True|>, <|
         "cabin" -> "2nd", "age" -> 48, "gender" -> "female", "survived" -> 
          True|>, <|
         "cabin" -> "3rd", "age" -> 14, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> 44, "gender" -> "female", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> 33, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> 39, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "1st", "age" -> 19, "gender" -> "female", "survived" -> 
          True|>, <|
         "cabin" -> "3rd", "age" -> 29, "gender" -> "male", "survived" -> 
          True|>, <|
         "cabin" -> "1st", "age" -> 46, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> Missing[], "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "3rd", "age" -> Missing[], "gender" -> "female", 
          "survived" -> True|>, <|
         "cabin" -> "3rd", "age" -> 22, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> 22, "gender" -> "male", "survived" -> 
          True|>, <|
         "cabin" -> "3rd", "age" -> 56, "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> Missing[], "gender" -> "male", "survived" -> 
          False|>, <|
         "cabin" -> "2nd", "age" -> 50, "gender" -> "female", "survived" -> 
          True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
          1, {All, "age"} -> 1, {All, "gender"} -> 1, {All, "survived"} -> 
          1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "gender" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"cabin", "age", "gender", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
       "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "cabin"} -> 
          1, {All, "age"} -> 1, {All, "gender"} -> 1, {All, "survived"} -> 
          1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "cabin" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "gender" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"cabin", "age", "gender", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["cabin", 
                    Style[
                    "cabin", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "cabin"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{All, "cabin"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["gender", 
                    Style[
                    "gender", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "gender"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{All, "gender"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{1, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{1, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{1, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{1, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["1st", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{2, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["65"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{2, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{2, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{2, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{3, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{3, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{3, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{3, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{4, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{4, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{4, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{4, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{5, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{5, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{5, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{5, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{6, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{6, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{6, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{6, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{7, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["22"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{7, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{7, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{7, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["2nd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{8, 
                   Key["cabin"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["48"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{8, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{8, 
                   Key["gender"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f8eb5fa8-956f-4fb3-b2c4-2d8eebb73e64"]][{8, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Deploy[
                Pane[
                 Row[{
                   Spacer[2], 
                   Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                 ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
               RGBColor[
                0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
               Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
              SpanFromLeft}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.749413892761801*^9, 3.749482212969059*^9, 3.768816862642796*^9, 
   3.768819340305374*^9, 3.768821542124568*^9, 3.768833442345026*^9, 
   3.76883357629221*^9, 3.7689054825240097`*^9, 3.7689057768343973`*^9, 
   3.770032396437026*^9, 3.7701084996738443`*^9, 3.770122594676725*^9, 
   3.770212810367646*^9, 3.7702891563904943`*^9, 3.77193087847239*^9, 
   3.817317821954935*^9, {3.867331440237474*^9, 3.86733145975066*^9}, 
   3.881761689534086*^9},
 CellLabel->"Out[174]=",
 CellID->69227929,ExpressionUUID->"3ea54276-dc76-4f71-be2e-8ebb5598c324"]
}, Open  ]],

Cell[TextData[{
 "I noted in the text that it can sometimes be a little faster to use ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " to change existing columns in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " rather than rely on ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " dropping all but the last value for duplicate keys. One disadvantage, \
however, of using ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " is that it\[CloseCurlyQuote]s challenging to use it to change values based \
on multiple columns. Try, for example, to use ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " to write a function that changes age upwards by one year for males and \
downwards by one year for females."
}], "TechNote",
 CellChangeTimes->{{3.77014070184857*^9, 3.7701407018515177`*^9}, {
   3.770140737506173*^9, 3.770140813229793*^9}, {3.7863780287991934`*^9, 
   3.7863780292651935`*^9}, {3.7867164931602235`*^9, 3.786716534080315*^9}, 
   3.8739871411251564`*^9, {3.873987219208465*^9, 3.873987222726841*^9}},
 CellTags->"i:41",
 CellID->218467922,ExpressionUUID->"1e0eb2af-9237-4c93-be4f-901938a9f6d5"],

Cell[TextData[{
 "One can also use ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " to index data. ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " is a function that takes any input and produces a unique string of a fixed \
length. Different input to ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " almost always produces different output, so by using ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " to include a unique row number in the input to ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 ", one is pretty much guaranteed unique keys for the resulting outer ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", avoiding undesired row deletion. Here, I create unique indices for the \
MLS players."
}], "TechNote",
 CellChangeTimes->{{3.768745013726492*^9, 3.768745025835416*^9}, {
   3.7687451303756657`*^9, 3.768745208691493*^9}, {3.770063710381645*^9, 
   3.7700638524350224`*^9}, {3.770064846506555*^9, 3.77006488338719*^9}, {
   3.7701092008415337`*^9, 3.770109308774358*^9}, 3.770141007313685*^9, {
   3.770141062190591*^9, 3.770141135773478*^9}, {3.77014116995905*^9, 
   3.770141245591825*^9}, {3.7701413288728228`*^9, 3.770141346247629*^9}, {
   3.7701433897974854`*^9, 3.770143450797854*^9}, {3.770143728554319*^9, 
   3.7701437294120893`*^9}, {3.7867165394338503`*^9, 
   3.7867165975081835`*^9}, {3.873987758547242*^9, 3.8739877810668645`*^9}},
 CellTags->"i:42",
 CellID->1156838177,ExpressionUUID->"a53eca2b-9969-46b7-8811-416f276866f2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mlsHashed", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"MapIndexed", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Hash", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"#1", ",", "#2"}], "}"}], ",", "\"\<CRC32\>\"", ",", 
           "\"\<HexString\>\""}], "]"}], "\[Rule]", "#"}], ")"}], "&"}], 
      "]"}], "/*", "Association"}], "]"}], "[", "mlsDS", "]"}]}]], "Input",
 CellChangeTimes->{{3.7687450290213213`*^9, 3.768745127343552*^9}, 
   3.770030541491*^9, {3.770063749023131*^9, 3.770063753988594*^9}, {
   3.7700638611016903`*^9, 3.77006386270961*^9}, {3.770143421211295*^9, 
   3.770143422241084*^9}, {3.770143602697361*^9, 3.7701436047938337`*^9}},
 CellLabel->"In[175]:=",
 CellID->861116478,ExpressionUUID->"32663a3d-fead-4b1c-a101-cd62c73b93d5"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9616123480242765898374179435987398665204909918634008690976], 
         "AllowEmbedding" -> True, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[25]} -> 1, {All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`AtomShape[89.60000000000001], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "Club" -> TypeSystem`PackageScope`AtomShape[
                  56.00000000000001], "LastName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "FirstName" -> 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                 "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                 "GuaranteedCompensation" -> 
                 TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                 TypeSystem`PackageScope`AtomShape[75]|>], 
               DirectedInfinity[1], 7, {All}]]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
           TypeSystem`Atom[String], 
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Meta" -> <||>, 
         "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, 
              TypeSystem`PackageScope`KeyDummy[25]} -> 1, {All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`KeyValueShape[
              TypeSystem`PackageScope`AtomShape[89.60000000000001], 
              TypeSystem`PackageScope`Limited[
               
               TypeSystem`PackageScope`RowShape[<|
                "Club" -> TypeSystem`PackageScope`AtomShape[
                  56.00000000000001], "LastName" -> 
                 TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                 "FirstName" -> 
                 TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                 "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                 "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                 "GuaranteedCompensation" -> 
                 TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                 TypeSystem`PackageScope`AtomShape[75]|>], 
               DirectedInfinity[1], 7, {All}]]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
           TypeSystem`Atom[String], 
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 7, 
         "DataRowCount" -> 5553, "DataColumnCount" -> 7, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   Mouseover[
                    
                    Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]], 
                    Graphics[{
                    GrayLevel[0.6], 
                    
                    Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                    Scaled[-0.15]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{All, Keys}, 
                    "KeyDummy", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Club"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{All, "Club"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "LastName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    All, "LastName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "FirstName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Position"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    All, "Position"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "BaseSalary"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GuaranteedCompensation"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    All, "GuaranteedCompensation"}, "ColumnHeader", True], 
                   "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Year"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{All, "Year"}, 
                    "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["73d6079a", 
                    Style[
                    "73d6079a", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["73d6079a"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["73d6079a"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["73d6079a"], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["73d6079a"], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["73d6079a"], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["73d6079a"], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["73d6079a"], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["73d6079a"], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["73d6079a"], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["c418af50", 
                    Style[
                    "c418af50", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["c418af50"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["c418af50"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["c418af50"], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["c418af50"], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["c418af50"], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["c418af50"], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["c418af50"], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["c418af50"], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["c418af50"], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["a0f35203", 
                    Style[
                    "a0f35203", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a0f35203"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["a0f35203"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["a0f35203"], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["a0f35203"], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["a0f35203"], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["a0f35203"], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"41\[ThinSpace]212.50\"", ShowStringCharacters -> 
                    False], 41212.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 41212.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["a0f35203"], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"48\[ThinSpace]712.50\"", ShowStringCharacters -> 
                    False], 48712.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 48712.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["a0f35203"], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["a0f35203"], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["629cad47", 
                    Style[
                    "629cad47", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["629cad47"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["629cad47"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["629cad47"], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["629cad47"], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["629cad47"], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["629cad47"], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.492316`*^6", 2.492316*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["629cad47"], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.666778`*^6", 2.666778*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["629cad47"], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["629cad47"], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["845804e8", 
                    Style[
                    "845804e8", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["845804e8"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["845804e8"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["845804e8"], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["845804e8"], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["845804e8"], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["845804e8"], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["845804e8"], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["845804e8"], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["845804e8"], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["45873b60", 
                    Style[
                    "45873b60", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["45873b60"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["45873b60"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["45873b60"], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["45873b60"], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["45873b60"], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["GK", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["45873b60"], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["45873b60"], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["45873b60"], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["45873b60"], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["b52c45d1", 
                    Style[
                    "b52c45d1", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b52c45d1"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["b52c45d1"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["b52c45d1"], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["b52c45d1"], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["b52c45d1"], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["b52c45d1"], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"38\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 38000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 38000., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["b52c45d1"], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"50\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 50500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 50500., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["b52c45d1"], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["b52c45d1"], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["be9a6e62", 
                    Style[
                    "be9a6e62", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["be9a6e62"]}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["be9a6e62"]}, "RowHeader", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["be9a6e62"], 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["be9a6e62"], 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["be9a6e62"], 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["be9a6e62"], 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"144\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 144000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 144000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["be9a6e62"], 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"151\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 151500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 151500., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["be9a6e62"], 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "f6a96d34-20af-4823-8aaf-85a563482271"]][{
                    Key["be9a6e62"], 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft, 
                SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             
             Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {807., {141.3837890625, 148.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {807., {141.3837890625, 148.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9616123480242765898374179435987398665204909918634008690976,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 PageWidth->1000,
 CellChangeTimes->{3.8673318808801603`*^9, 3.881761722017366*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[175]=",
 CellID->477038519,ExpressionUUID->"5bfc9f68-6091-44ea-9dbc-f4f02810c1e2"]
}, Open  ]],

Cell[TextData[{
 "If I now create a quick mapping between salient player data and ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 ", I can look up information very swiftly."
}], "TechNote",
 CellDingbat->None,
 CellChangeTimes->{{3.7701435010756807`*^9, 3.77014352874901*^9}, {
  3.786716678224037*^9, 3.7867166827731276`*^9}},
 CellTags->"p: 244",
 CellID->422400852,ExpressionUUID->"d132c061-5804-4479-977b-1f6b8c8f0841"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lookupMLS", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"KeyValueMap", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "v"}], "}"}], "\[Function]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"v", "[", "\"\<LastName\>\"", "]"}], ",", 
          RowBox[{"v", "[", "\"\<FirstName\>\"", "]"}], ",", 
          RowBox[{"v", "[", "\"\<Club\>\"", "]"}], ",", 
          RowBox[{"DateString", "[", 
           RowBox[{"v", "[", "\"\<Year\>\"", "]"}], "]"}]}], "}"}], "\[Rule]",
         "k"}]}], ",", "mlsHashed"}], "]"}], "\[IndentingNewLine]", "]"}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.770143531764041*^9, 3.7701436364166603`*^9}},
 CellLabel->"In[176]:=",
 CellID->1219594815,ExpressionUUID->"e9e0b74f-bdf8-45a3-9c91-7e1f85770c60"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    RowBox[{
      StyleBox[
       TagBox["Dispatch", "SummaryHead"], "NonInterpretableSummary"], 
      StyleBox["[", "NonInterpretableSummary"], 
      DynamicModuleBox[{
       Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
       TemplateBox[{
         TemplateBox[{
           PaneSelectorBox[{False -> GridBox[{{
                 PaneBox[
                  ButtonBox[
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SummaryBoxOpener"]], 
                   ButtonFunction :> (Typeset`open$$ = True), Appearance -> 
                   None, BaseStyle -> {}, Evaluator -> Automatic, Method -> 
                   "Preemptive"], Alignment -> {Center, Center}, ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                 GraphicsBox[{
                   GrayLevel[0.5], 
                   
                   PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35,
                     0.5}, {0.15, 0.65}, {0.05, 0.65}}], 
                   
                   PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 
                    0.5}, {0.35, 0.65}, {0.2, 0.65}}], 
                   
                   PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 
                    0.35}, {0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 
                    0.9}}]}, PlotRange -> {{-0.05, 1.05}, {-0.05, 1.05}}, 
                  Background -> GrayLevel[0.93], FrameStyle -> Directive[
                    Thickness[Tiny], 
                    GrayLevel[0.7]], Axes -> False, AspectRatio -> 1, 
                  ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}], Frame -> True, FrameTicks -> None, 
                  FrameStyle -> Directive[
                    Opacity[0.5], 
                    Thickness[Tiny], 
                    RGBColor[0.368417, 0.506779, 0.709798]]], 
                 GridBox[{{
                    RowBox[{
                    TagBox["\"Length: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["5553", "SummaryItem"]}]}}, 
                  GridBoxAlignment -> {
                   "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                  AutoDelete -> False, 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                  BaseStyle -> {
                   ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}},
                AutoDelete -> False, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               BaselinePosition -> {1, 1}], True -> GridBox[{{
                 PaneBox[
                  ButtonBox[
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SummaryBoxCloser"]], 
                   ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                   None, BaseStyle -> {}, Evaluator -> Automatic, Method -> 
                   "Preemptive"], Alignment -> {Center, Center}, ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                 GraphicsBox[{
                   GrayLevel[0.5], 
                   
                   PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35,
                     0.5}, {0.15, 0.65}, {0.05, 0.65}}], 
                   
                   PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 
                    0.5}, {0.35, 0.65}, {0.2, 0.65}}], 
                   
                   PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 
                    0.35}, {0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 
                    0.9}}]}, PlotRange -> {{-0.05, 1.05}, {-0.05, 1.05}}, 
                  Background -> GrayLevel[0.93], FrameStyle -> Directive[
                    Thickness[Tiny], 
                    GrayLevel[0.7]], Axes -> False, AspectRatio -> 1, 
                  ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}], Frame -> True, FrameTicks -> None, 
                  FrameStyle -> Directive[
                    Opacity[0.5], 
                    Thickness[Tiny], 
                    RGBColor[0.368417, 0.506779, 0.709798]]], 
                 GridBox[{{
                    RowBox[{
                    TagBox["\"Length: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["5553", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Rules:\"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"\"", "SummaryItem"]}]}, {
                    TagBox[
                    TagBox[
                    GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\"Armas\"", ",", "\"Chris\"", ",", "\"CHI\"", 
                    ",", "\"2007\""}], "}"}], "\[Rule]", "\"73d6079a\""}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\"Banner\"", ",", "\"Michael\"", ",", "\"CHI\"", 
                    ",", "\"2007\""}], "}"}], "\[Rule]", "\"c418af50\""}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\"Barrett\"", ",", "\"Chad\"", ",", "\"CHI\"", 
                    ",", "\"2007\""}], "}"}], "\[Rule]", "\"a0f35203\""}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\"Blanco\"", ",", "\"Cuauhtemoc\"", ",", 
                    "\"CHI\"", ",", "\"2007\""}], "}"}], "\[Rule]", 
                    "\"629cad47\""}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\"Brown\"", ",", "\"C.J.\"", ",", "\"CHI\"", ",",
                     "\"2007\""}], "}"}], "\[Rule]", "\"845804e8\""}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], "SummaryItem"]}}, 
                  GridBoxAlignment -> {
                   "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                  AutoDelete -> False, 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                  BaseStyle -> {
                   ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}},
                AutoDelete -> False, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               BaselinePosition -> {1, 1}]}, 
            Dynamic[Typeset`open$$], ImageSize -> Automatic]}, 
          "SummaryPanel"], 
         ButtonBox[
          DynamicBox[
           ToBoxes[
            If[
             
             Or[$VersionNumber < 11.2, CurrentValue["RunningEvaluator"] =!= 
              "Local"], 
             Style["This object cannot be used as input.", "SummaryEmbed"], 
             BoxForm`EmbedSummaryLabel[Dispatch, 1905864, 
              Dynamic[Typeset`embedState$$], Automatic]], StandardForm]], 
          ButtonFunction :> 
          BoxForm`EmbedSummaryInterpretation[
           "Choose", Dispatch, 1905864, 
            9616123480242765898374179435987398665223356662707721584384, 
            EvaluationBox[], 
            Dynamic[Typeset`embedState$$], StandardForm, 
            ElisionsDump`embedSummaryBoxes], DefaultBaseStyle -> 
          "SummaryEmbedButton", ImageSize -> Inherited, 
          BaseStyle -> {"DialogStyle"}, Enabled -> Dynamic[
            
            And[$VersionNumber >= 11.2, CurrentValue["RunningEvaluator"] === 
             "Local", Typeset`embedState$$ === "Ready"]], Appearance -> 
          Inherited, Method -> Inherited, Evaluator -> Automatic]}, 
        "SummaryEmbedGrid"], DynamicModuleValues :> {}], 
      StyleBox["]", "NonInterpretableSummary"]}]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dispatch[<5553>]"& )],
  False,
  BoxID -> 9616123480242765898374179435987398665223356662707721584384,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.770143614736568*^9, 3.770143637769967*^9}, 
   3.7702128123729067`*^9, 3.7702891586493692`*^9, 3.7719308799656487`*^9, 
   3.817318022404622*^9, 3.867331890909009*^9, 3.881761748333366*^9},
 CellLabel->"Out[176]=",
 CellID->1700026643,ExpressionUUID->"b75b9271-03bb-4898-a029-cdce99813490"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EchoTiming", "[", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<Bradley\>\"", ",", "\"\<Michael\>\"", ",", "\"\<TOR\>\"", ",", 
       "\"\<2016\>\""}], "}"}], "/.", "lookupMLS"}], "]"}], "[", "mlsHashed", 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.770143642511395*^9, 3.7701436930897913`*^9}, 
   3.817318084083878*^9, {3.8703625059798183`*^9, 3.870362525782733*^9}, {
   3.898875707224186*^9, 3.898875708667296*^9}},
 CellLabel->"In[22]:=",
 CellID->704935829,ExpressionUUID->"c6a4770c-affc-4597-bef9-17a6820e399f"],

Cell[BoxData["0.000675`"], "EchoTiming",
 CellChangeTimes->{3.8988757426931458`*^9},
 CellID->410007644,ExpressionUUID->"0623f655-644d-455f-99bf-278e4420bac6"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "Club" -> "TOR", "LastName" -> "Bradley", "FirstName" -> "Michael", 
       "Position" -> "M", "BaseSalary" -> Quantity[6.*^6, "USDollars"], 
       "GuaranteedCompensation" -> Quantity[6.5*^6, "USDollars"], "Year" -> 
       DateObject[{2016}, "Year"]|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`DocumentShape[<|{"Club"} -> 
        TypeSystem`PackageScope`AtomShape[33.6], {"LastName"} -> 
        TypeSystem`PackageScope`AtomShape[78.4], {"FirstName"} -> 
        TypeSystem`PackageScope`AtomShape[78.4], {"Position"} -> 
        TypeSystem`PackageScope`AtomShape[33.6], {"BaseSalary"} -> 
        TypeSystem`PackageScope`AtomShape[75], {"GuaranteedCompensation"} -> 
        TypeSystem`PackageScope`AtomShape[75], {"Year"} -> 
        TypeSystem`PackageScope`AtomShape[75]|>, 1], "InitialType" -> 
     TypeSystem`Struct[{
       "Club", "LastName", "FirstName", "Position", "BaseSalary", 
        "GuaranteedCompensation", "Year"}, {
        TypeSystem`Atom[String], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[
         Quantity[1, "USDollars"]], 
        TypeSystem`Atom[
         Quantity[1, "USDollars"]], 
        TypeSystem`Atom[DateObject]}], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`DocumentShape[<|{"Club"} -> 
        TypeSystem`PackageScope`AtomShape[33.6], {"LastName"} -> 
        TypeSystem`PackageScope`AtomShape[78.4], {"FirstName"} -> 
        TypeSystem`PackageScope`AtomShape[78.4], {"Position"} -> 
        TypeSystem`PackageScope`AtomShape[33.6], {"BaseSalary"} -> 
        TypeSystem`PackageScope`AtomShape[75], {"GuaranteedCompensation"} -> 
        TypeSystem`PackageScope`AtomShape[75], {"Year"} -> 
        TypeSystem`PackageScope`AtomShape[75]|>, 1], "Type" -> 
     TypeSystem`Struct[{
       "Club", "LastName", "FirstName", "Position", "BaseSalary", 
        "GuaranteedCompensation", "Year"}, {
        TypeSystem`Atom[String], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[
         Quantity[1, "USDollars"]], 
        TypeSystem`Atom[
         Quantity[1, "USDollars"]], 
        TypeSystem`Atom[DateObject]}], "Path" -> {}, "DisplayedRowCount" -> 
     20, "DisplayedColumnCount" -> 10, "DataRowCount" -> 7, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Club", 
                  Style[
                  "Club", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Club"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["Club"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["TOR", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["Club"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["LastName", 
                  Style[
                  "LastName", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["LastName"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["LastName"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["Bradley", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["LastName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["FirstName", 
                  Style[
                  "FirstName", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["FirstName"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["FirstName"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["Michael", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["FirstName"]}, "Item", False], "Mouse"], 
              ImageSize -> {{78.4, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Position", 
                  Style[
                  "Position", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Position"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["Position"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["M", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["Position"]}, "Item", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["BaseSalary", 
                  Style[
                  "BaseSalary", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["BaseSalary"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["BaseSalary"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox["6.`*^6", 6.*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["BaseSalary"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["GuaranteedCompensation", 
                  Style[
                  "GuaranteedCompensation", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["GuaranteedCompensation"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["GuaranteedCompensation"]}, "RowHeader", False], 
               "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "6.5`*^6", 6.5*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Year", 
                  Style[
                  "Year", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Year"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["Year"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["\"2016\""], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4f360a9e-4565-4d3b-9dcf-3e879beb1adf"]][{
                 Key["Year"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{252., {100.3837890625, 107.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{252., {100.3837890625, 107.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.770143667034494*^9, 3.77014369353306*^9}, 
   3.7702128127830067`*^9, 3.770289158932336*^9, 3.7719308801180573`*^9, 
   3.8173181520769777`*^9, 3.8673318955428743`*^9, 3.881761772590837*^9, {
   3.898875730247307*^9, 3.898875742737055*^9}},
 CellLabel->"Out[22]=",
 CellID->1870933132,ExpressionUUID->"428c26df-2395-47c0-bea8-fa3f0b2eef55"]
}, Open  ]],

Cell[TextData[{
 "Notice that in some of the code in the text dealing with aggregate \
measures, the columns with mean ages did not have headers; put another way, \
each row of the result was a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " rather than an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " with keys. This is because using the anonymous function ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "age", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCode",ExpressionUUID->"43b7d822-549a-4d7f-a826-8b0bf342ce90"],
 " rather than ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 Cell[BoxData[
  RowBox[{"[", "\"\<age\>\"", "]"}]], "InlineCode",ExpressionUUID->
  "a48e405e-dee8-4791-9faf-ff69b641611a"],
 " as the extractor stripped off the keys. One can continue to use the ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "age", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCode",ExpressionUUID->"e42040a2-8d15-4daa-9c86-bec43bcbfdb9"],
 " anonymous function and restore the keys by making the \
\[OpenCurlyDoubleQuote]aggregator\[CloseCurlyDoubleQuote] \
function\[LongDash]the one that operates on the aggregates produced by the \
\[OpenCurlyDoubleQuote]extractor\[CloseCurlyDoubleQuote] function (",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "age", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCode",ExpressionUUID->"f3c87138-0014-4815-a75c-da067d9b21ef"],
 ")\[LongDash]a function that itself produces an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". Notice that since ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 " is now wrapped inside an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", missing values are no longer automatically deleted; one has to write code \
to explicitly delete them."
}], "TechNote",
 CellID->679713932,ExpressionUUID->"5223c887-4022-4ade-b081-8b6a3186e394"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", 
    RowBox[{
     RowBox[{"\[LeftAssociation]", 
      RowBox[{"\"\<mean age\>\"", "\[Rule]", 
       RowBox[{"Mean", "[", 
        RowBox[{"DeleteMissing", "[", "#1", "]"}], "]"}]}], 
      "\[RightAssociation]"}], "&"}], ",", 
    RowBox[{"#age", "&"}]}], "]"}], "[", "lifeboatDS", "]"}]], "Input",
 CellChangeTimes->{{3.749491042733512*^9, 3.7494910732590513`*^9}, {
   3.749550738194644*^9, 3.7495507417611094`*^9}, 3.770030540894545*^9, 
   3.770062890981413*^9, {3.7700629254243383`*^9, 3.7700629282079906`*^9}},
 CellLabel->"In[178]:=",
 CellID->1451814987,ExpressionUUID->"81ec8671-7fa3-4424-b62c-84f22c1fd668"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "female" -> <|"mean age" -> Rational[219, 8]|>, 
       "male" -> <|"mean age" -> Rational[326, 9]|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[26]} -> 1, {All, "mean age"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "mean age" -> TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 1, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"mean age"}, {
         TypeSystem`Atom[Rational]}], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[26]} -> 1, {All, "mean age"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "mean age" -> TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 1, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"mean age"}, {
         TypeSystem`Atom[Rational]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 1, "DataRowCount" -> 2, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9eb5807b-2f9b-49f0-ac31-dddc78dd8c3a"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["mean age", 
                  Style[
                  "mean age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "mean age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9eb5807b-2f9b-49f0-ac31-dddc78dd8c3a"]][{All, "mean age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9eb5807b-2f9b-49f0-ac31-dddc78dd8c3a"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["27.375"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9eb5807b-2f9b-49f0-ac31-dddc78dd8c3a"]][{
                 Key["female"], 
                 Key["mean age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9eb5807b-2f9b-49f0-ac31-dddc78dd8c3a"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["36.2222"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9eb5807b-2f9b-49f0-ac31-dddc78dd8c3a"]][{
                 Key["male"], 
                 Key["mean age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{143., {46.3837890625, 53.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{143., {46.3837890625, 53.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.749491069005471*^9, 3.7494910736508303`*^9}, 
   3.749550742228961*^9, 3.7688215473481817`*^9, 3.7688334482043867`*^9, 
   3.768833581038712*^9, 3.768905488062392*^9, 3.768905781864623*^9, 
   3.77006289363231*^9, 3.770062928722384*^9, 3.770108504919755*^9, 
   3.7701226031949472`*^9, 3.7702128129667053`*^9, 3.770289159059484*^9, 
   3.771930880197732*^9, 3.8173183489666224`*^9, 3.817320284134137*^9, 
   3.8817617933309813`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[178]=",
 CellID->1053180910,ExpressionUUID->"9a6100bd-b853-4b75-9197-aa6a6099ff63"]
}, Open  ]],

Cell[TextData[{
 "Alternatively, one could preserve the keys using ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " rather than an anonymous function as the \[OpenCurlyDoubleQuote]extractor\
\[CloseCurlyDoubleQuote] function and then combine the list of Associations \
result using the ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Merge",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"], "[", 
   RowBox[{
    RowBox[{
     ButtonBox[
      StyleBox["Mean",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
      ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"], 
     "[", 
     RowBox[{
      ButtonBox[
       StyleBox["DeleteMissing",
        FontColor->GrayLevel[0]],
       BaseStyle->"Hyperlink",
       ButtonData->{
         URL["https://reference.wolfram.com/language/ref/DeleteMissing.html"],
          None},
       ButtonNote->
        "https://reference.wolfram.com/language/ref/DeleteMissing.html"], "[", 
      ButtonBox[
       StyleBox["#",
        FontColor->GrayLevel[0]],
       BaseStyle->"Hyperlink",
       ButtonData->{
         URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
       ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
      "]"}], "]"}], 
    ButtonBox[
     StyleBox["&",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Function.html"], None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/Function.html"]}]}]], 
  "InlineCode",ExpressionUUID->"f1e0a080-56cd-4bc7-8978-b5ab77d741c5"],
 " operator as the aggregator function. Notice that if one proceeds this way, \
one does not have control over the column header; because the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations that were fed into the ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " operator all had ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCode",ExpressionUUID->
  "75f1de4d-3a7a-4e11-b7be-96a436d29ac0"],
 " as their single key, the output of the ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " operator likewise must also have ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCode",ExpressionUUID->
  "afbc181c-c23b-43a9-8ebf-a4fe8620be08"],
 " as its single key."
}], "TechNote",
 CellTags->{"i:43", "p: 245"},
 CellID->838863635,ExpressionUUID->"c57e446b-cbd1-4e7a-91d7-f80bd5c0c2ea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", 
    RowBox[{"Merge", "[", 
     RowBox[{
      RowBox[{"Mean", "[", 
       RowBox[{"DeleteMissing", "[", "#", "]"}], "]"}], "&"}], "]"}], ",", 
    RowBox[{"KeyTake", "[", "\"\<age\>\"", "]"}]}], "]"}], "[", "lifeboatDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.749491042733512*^9, 3.7494910732590513`*^9}, {
   3.749491126803361*^9, 3.749491153286221*^9}, {3.749550797719618*^9, 
   3.749550815246011*^9}, 3.7700305409283457`*^9},
 CellLabel->"In[179]:=",
 CellID->1647596549,ExpressionUUID->"bf53cf11-13d5-4a4d-9eac-a9e7426c0a77"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "female" -> <|"age" -> Rational[219, 8]|>, 
       "male" -> <|"age" -> Rational[326, 9]|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[27]} -> 1, {All, "age"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "age" -> TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 1, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"age"}, {
         TypeSystem`Atom[Rational]}], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[27]} -> 1, {All, "age"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "age" -> TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 1, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"age"}, {
         TypeSystem`Atom[Rational]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 1, "DataRowCount" -> 2, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96f46727-0c99-407e-8b69-33bae7ebc428"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96f46727-0c99-407e-8b69-33bae7ebc428"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96f46727-0c99-407e-8b69-33bae7ebc428"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["27.375"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96f46727-0c99-407e-8b69-33bae7ebc428"]][{
                 Key["female"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96f46727-0c99-407e-8b69-33bae7ebc428"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["36.2222"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "96f46727-0c99-407e-8b69-33bae7ebc428"]][{
                 Key["male"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{131., {46.3837890625, 53.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{131., {46.3837890625, 53.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.7494911448937073`*^9, 3.749491153666548*^9}, {
   3.7495508042444*^9, 3.74955081589533*^9}, 3.768821547483214*^9, 
   3.768833448337288*^9, 3.768833581106113*^9, 3.768905488130927*^9, 
   3.768905781940379*^9, 3.7700629143381*^9, 3.770108504988387*^9, 
   3.770122603286645*^9, 3.770212813105433*^9, 3.77028915918246*^9, 
   3.771930880270906*^9, 3.817320289289888*^9, 3.8817618177327423`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[179]=",
 CellID->1627125295,ExpressionUUID->"918e6cdb-6de9-4aa4-8af0-f44bbec96c5a"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowToolbars->{},
WindowSize->{808, 911},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
WindowTitle->"6 | Basic Recipes",
DockedCells->{
  Cell[
   TagBox[
    GridBox[{{
       PaneBox[
        TagBox[
         GridBox[{{
            TemplateBox[{
              StyleBox[
               GraphicsBox[
                TagBox[
                 RasterBox[CompressedData["
1:eJztnU2O5MqSnS9aGvQwlxDaQQ01pIaaFVrQnN3Q64YmT4lXAgTNuISaacol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                  "], {{0, 36.24}, {302.88, 0}}, {0, 255}, ColorFunction -> 
                  RGBColor, ImageResolution -> {300, 300}], 
                 BoxForm`ImageTag[
                 "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                 Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                ImageSizeRaw -> {302.88, 36.24}, 
                PlotRange -> {{0, 302.88}, {0, 36.24}}, 
                ImagePadding -> {{0, 10}, {1, -10}}, ImageSize -> 
                Magnification[0.7]]], 
              TemplateBox[{
                GraphicsBox[
                 TagBox[
                  RasterBox[CompressedData["
1:eJztnUuu7Dhyhhu2Bx6eJcg7uEMP5aFniTY8VzfcbnhSPqgyYHimJZwlaAln
CVpCLiGXkEAvgL5sZrbyKUWQ8aCkf/DZXVX3JoPBn6EIiiL/6Y///fv//Lvf
/e53v/3jz//z+z/877/8+usf/u/fPn7+w7//8tt//fmXP/3Hv/7yP3/6859+
/ec//v3Pf/n5k/Hn//iHn/8/hFAvf/nt4yftCw4/6RcYCzj/JBA4F7az1Ifu
Tf8b97EBAAAAAAAAAPDMX377cVO7zdWolJoTvOY4U1sfLr7/4a4FAAAAAAAA
AFg7qcbtLvXWN+rZ6rmtk9N7Zm8NAQCABGm9jxYHvW0FdQMtAeALvZ5oBdvs
iW327v4BtqS9ybFuirUudb8wqJ8YZz7/Or7eGgMAgBxQswApoCUAfEH9C2og
1b1RF6h5t88Q8K0xAGBtoGa5+qH5yVeY8sfrmRVY44SWAFgHqH+BN+mZibp3
X5wxvwEAqwI1CyV/i7H94G5n7UBLAPiC+hd4kd75fldQiwE/4vlaeF8AAKif
vdcsaa2aGttbd3trZu9aAsAb1L/Ag1T7Hiuov4A/p4AzpAEAtbPnmiXteebF
dW+ba2bPWgKgBlD/AmtQ+4Jn4p65xl2bAADwjj3XLLx3v1ewrgktAVAnqH+B
NbjDCLwGe6Ht52I7Q+NuHwA1seeaJe9bpU93u2tlz1oCoAZQ/wJL6GMP9sng
rtGtkfKs+O7mel7rKWNcjmG61/kQUBsDC6b7xN/RGduz35olb926d7e7Vvas
JQBqAPUvsIL//RDYJ627VtdM3HOYYqz2PotYR8e7rGI9jPf2QJ5lDfbG9uy3
ZkH9Cy0BsCVQ/wIrsO8Z0Di5a3VtpJr3K+S925Ui1cLevgDbYVlzvbE9+61Z
8vZute5218qetQRADaD+BRak/Ny7rgLroXPXbO2kc+TivmbPmvcVJ4wfKIa2
X6g3tmm/NQv/GX52t7lm9qwlAGoA9S+wIL0b8s7LwXoY3TVbK6nujTH0XME4
zYE6GORDqw/6Cm3abvxKe0yo879zt7dm9q4lALxB/QssqD9XB/XRuOu2JtZT
9z4Sz85q3f0H1gXq3zqhrWXbjssagZYA8AX1L9CGHucBuKVz124tpH3Oa6t7
H4nvjnBOFqCB+rdeYmx+vg8pxqchYK0LWgJgDaD+BdrgziOQx+CuXW/SN3fS
58adLr8Zc9V+hu/Ln5Osu49/7ZO3X0H9pDWfJT31xjahZgEyQEsA+IL6F2jz
vE4MAIWju3Z95w0l/6cQY3yMuW2BLR8h5Wt9SDVsiT3nIlvAPqDlCb2xTahZ
gAzQEgC+oP4F2qx/3ybwwlu7PvMl1pql73zjmlMXtPYbJxvj75fUwp27r0G9
oP4FWwZaAsAX1L9Ak5Qn+9dRYK207hq2nS9xv3PuelHc1xxjq+03tsnm3PPd
O3efgzpB/Qu2DLQEgC+of4EmOPsKlPHprmG7uRLfp+bUvnXcM5Tua8351sHf
dlAfNC31xjahZgEyQEsA+IL6F2gi9w0j2Cf7iAGp9uX65lylf/7y2yHw63ic
iQXuoeUmvbFNqFmADNASAL6g/gWa4OxnUMbormH9OZJT+8Z3Y4277e/79BF4
74LPAXcjgVtQ/4ItAy0B4AvqX6CJ/N0tYF9s+wxofu0b68SDu930/n0x+ja6
2wvqAfUv2DLQEgC+oP4FmqD+BaV4a1hvbnBr33jWcuNut24/9/O9N5iHtoe+
N7YJNQuQAVoCwBfUv0AT79oJrB9vDevMiwPTD4O7zWX9pdbAseZp3O0F/tD0
0hvbhJoFyAAtAeAL/d6KVrBN1L97wbt2Alugddex7Jzg3nHUu9ss02/qXuhv
57HpQnpGxe+XxzfE//65Km2m87mvfXvXr6/Lf4+5ue/32DXODc2aJX0z3178
P7wZn+Fv4+Otp7VBm9vfl//eBe11OO36l6Ml77nO79vtXJmLZ7fjud0zFmmx
/frMWqcf7uevzNyl16KtYD/WWf/SNLbemELT37tnx3CZW83Dn/euncD6kYs9
3qTn9onR987dZtn+j9WNeYrVA3NcHon9uo9/NZBi8FdB345m/UrjcIW6P+Ka
1+WRZyPNLvpvxpwi596wcNGt3VxJ9ur4Vt7Ojxvfltyp/hU0agYdLR0KtPRt
riXeWB5CeZw+XX7Dvga8r9df0TF/L9YjMTYfC3TduI/tfB9/XMYrZ/5en13v
6zDUvxT/ryN/ePbxHDR7Utz5ZPZ/uPxdanwHYI7tfBPKy006d3vl+x/jCeVZ
NhrYEnPjklzqHf55ZIq91LUGKjEPaYTsG4k60CXPr5Tfntdvmge9oP6iP21y
ei3fytl3zZml9TKKzmvJ+lc2ltlpidav3Hq+rn4u1z3L45x+pxHWd6xv6npX
l9Y6cur6d7x+dqH+fWdj3fnDsv3l45k0mBNTv258qBG3aiPOU/9cbrv4xQHZ
Odkx+rydmv91XKH4YDlG5bX/I8g+W98hmy/T+yb93HqkPF/yjykJvt3UZ9r7
Pfz5z1UKnYHGdHxbblcT9Gqlx3ldXjdJ1L/pN7S05PMMSuMYawSrnOrLqF9L
dc954e9/EH4jl5OIpst9pPn8OofHXBL1r6X/p/mmvd5SEtv4d3c+cmCO89rp
Lz7j3PUCOP71jsvl8zE+06nP88HdXn1/UGKsvB/SXhZr/cZYqr++bhtvy/Il
/5iS4NtNrVn6F3+39LlKRTd+aPl2Pdp/P8Y6WhrfaEnjHbetlu77JP1ek8Mx
6Ofkyxqd14rWOseVmJ/41cB2c/j4t37S84HWoZ9l8aVe/4egvd6S69sUV0vf
jXw4+NOT/sZ/MYZrr5/sDb/zkOTmI1UTo7utNv6gng0gl5P45VYRvXubZWK2
bZ/8Y0qCb3de/cs/866UTnHu6vg2P454aP9K/tpWbv2b+qxdC73Xsk78qiFX
1K2BaX18bt/WN/Y1sN264GM/43486hxsjXWgP+/u/e+VP3RKfeL7VuYZfXSa
t5688qXFet1eGE3jsfxcpO73jXOvru9wdP1CqUdl9uDVszdDdk+hfV31ii7D
bu9xSPDt5te//Hu+pdDJY7V8mzcW3tqP5NVNdC193fydzqnPrdIYevXn/Vjq
6ZWSD7c3f97qHb+dD5594lV7TX211n9N9a/9WtorOoV+LbU5KOnwNlZbr+l4
8V6naX9FTfF9jYxm8VgnxlDji1yMXbapfaBx8Asl/yt/FvPvWtZEbozrqH1D
yHln4G9zQkezkf7y5z3XXXTyWC3f8mzwWlOQ0X+eljy+3bhyUhjDWvfJ9Uqa
pde//nWhjg/u/eHdRw6tsQ70x6Ce/CEE6bXa5fbGhz8vpcPDzW/WGt+kmdcp
vg0uxW49Uj7GUHMWvTM47u8BmavFz2Hu7OK0t/+xbr6SF79ocSf/nTj9vOlH
Pwzh3Z2R6bkRa+qeaD8tTvD6VfLsGi+2Hx7GsAspTuXep0EfJ/+YkuD7nV6z
+O63v9IpxBMd39Lbl6p94zz4DtOdGN8hL2fJ8/HetSSTHx7D/b2jfZju5Cz5
XY37rih1T7qvx78u1N2LJtfH0814S4z7O1pjHYSgWf/Wlz/I6o3Sh+nPStZm
Hze/i/r3fkxi/bCXd+KyaMUBTei1F692oLcf9TYQbXhkfLJpPgfLq99p6wNd
gQ+oz5ppLnPHYrqHcW5tQe4b9rzc4czqW95ZNPQ+Pucsj8z58nHuLP3We/i+
p9YsnDn3fdFP+2YcDqHkDkz5uOIXs+nnBrzTyleg1DbTneBLPs9ft9TR0nFG
Sx+FWjoJj2WTpecUx57797qN2N+cPJQfG5ZtoTyLltaoH3UxXPrYvJkrXWb/
Q9Ctv0rWc74vfZ6717cJsndn0fQmpwM9/9vlD9y6UjJHosUy3t7A61rpbd3/
GaY1t+ODDah/X49Nm6G/faMVhzXxOFtwim/cuu8V8Tnc3PzuXM7UZdpKyYGG
Aj9Q8zyZcz9e38Mpe64K/5nOr+nvx4cTq2S07J0jvLeLWrNQGALnu4P8c2Ks
95bpxOy8vRzXONYVtPlOi+PKtZRTg8ie4UfLkU+XMaD377mdQ4Z2pOeNxDM5
hOnsJs5+m5yc8yQ+h5MtXWa/v7M0IHOueOugg17J/9b5A6cOlPEzra2PsLzW
xKv7722grmOtnTyd1nf2Q71oxAFtaPofhduMa76Sayupdlt+71JyF86SvaeC
+UXpo0ztO7V7+72D9G9zvgGUa5ueP+SN1XN7W65/x8L5ws3lZL+t8IrZeevp
Q5BYe3peBzoV/66Mlo6FWuLWIoPwmM6taeSvW7xui7vnU7qvEvXvV7bu8t77
Sa8BNMwxCEHq7oSy/Zetgw56Ud+ntrn5g0y/7fMH6lya++9jKFtzK53rayFf
p/Wc/V830nFAG3pekT+/XrepsZ4S48R83Cyzm6L/nPU3aszNn7/z7ac9MnK/
x8kdjqLaSu1TcweJXGWr9a+Mvbw8TnYPtEfMzjv7qVMY/2tMkdgrUqolmXUN
3j7Fk4JPH8dWtu69b4uzf/4s3HZJnidTi/D3UPTCPuDWn7Lrx8mGnDyp3Pd8
HUj73n4/3H371HysE2irJK6GILH2VW7DWijXKb4NXqIRnYva0N5VlM+xqb3c
PUVU5t5lj4W2U/LANuN3qftP1nHnFP35If/sSu1T9guV6yG1tbX6V24tfRoL
Tg5nebZIwq+vkU5RA1J7Kkq0JNc/vn81Yss1ruTvtaS3xalD5fZ759e/0t/P
cHKFUbBdrt51nmPJFu4+udZBB71wn/eUP+TMsytSd26W2LAm5HSKb4PfIRd/
tKGf6yGVR2nXvkuUvYdIcXGpDX5Motk+uuuFHhf85wrdjqawnS3Vv1r5BOe9
nZwmqG3KtUfN2650pprYhpY4tZm8f1M90hj5nVPvy307kFf/fgedszGpa8NB
sE3KOwFdnT/rgOqH1kEHvWCb1JxUtq/PdljlD9x5dmUQ7GuuDWtDTqeT77T2
sq4VvTkpP3aUvHQUaotzft0tcY1lCPd3RuTqrRPox1LbvDlGq6lD0Lx3SlZT
1BqA56c8Wyh5TNka6nbqX/l96JMtnL2ccn6itinTFidvC0H6m826tKT5Pozj
Zzkt+fmeGk/lvh3g1796WuZ9T+Cx11/mHdyyXdSavHXQQe+gd/18iObzsr7z
tHZlFO5njg1rRE6n9/7Dt8ETcvFHf35T1hQ7gXa453lcz7JrFvRmf07mckzk
nY3PuVvTWy/LfaHmpqdgsZebtt+gLG/cRv0ru2/xtT3U9xeDYJu0/su0xXn+
2ejfR0sW78Oo+85Gd99Z+l6uTY6WB+X+c9bOWoH2OHs47PS1h/q3vvyB8s6m
NH+gau02vjaCfeSu264ZGZ3O+5K7B2xryMUf3bGiPFdkztXg7ZOP+qHe3car
q2X6sqTvkfl71Pe/vN/10RR1n2tnaBNFH/nP0vXXv1a5BPW5MAq2aRkXOGtx
snfz1KMl/do32UONM3Ja8vU/VVetUHvUmCZ3D6pM/0v38lCfxbL+ptm2h/qX
2l5n6Hft/IGjt3KNP7fP3e+wZmR0SvMpdb5uDbn4oztGlH1F5XtMtL/XotfA
o5DflvrDb4fmm9jHut8Z0d7xnYxtopzV1xrouzfuN/W5xterrp/k7KHGnfJ2
ON922Ph721qi7OtIMdPbdzL9ta19aotp9P6X2cM7n8Sm9vfSgIcOaPmD7Zym
rdvmr2fS9RaCzpn2qH/1tNMRNb0l5OKP7thQ4mnZWj5vb0VX0A4l/5S6g2Pp
mcDfD0OfI7bzl9cH6j412++Yaes8+X6tLVec7KqtZqG/Q5RrkxZ7ytvh7Hnq
THWwby2Vj20NWJ+pUFtMs+o/716T1lgD265/95s/UPWmoznUv9r6yf1Wc63I
a1RnXJb6UZ6H0p8n5Xs6lmvITshvy/GQ/5vrz5/pz0r9/ZH3dlHie/5afm25
Iq/fkbEye4Jgmzbtce6qtNTAdrVEX1f19p1Mf2vdhyrTnpw9Q2E71Hl8ctDA
1uvfveYPtDimpTnUv1Y6asI+vg3u3Hwsq/nBaF7J7CNabsfuLkz+b3LPxrY5
c5LXB8rz+eRgF+WbrrHg9+vKFTk6Le07zx77msWiPd75POs4w712LVmNbS2g
/qXak6+/2ufx9utfSv981g91dUfVXKfUN9S/tlpqGXN5jfj7eHkMKHGtbL7R
3v3KfNOqUZNat8X/TiDOocZdS5P9FJuHam3L/+26ckWOTq86qmkcZOeqfnu8
+1nWde4VtOTp8x8Xv38Gq+9fp7brimk29S9nHrcOeth6/Utpx/aba45tuv3O
//3l9lH/+miqC9v8NrgeH7/3PaU2bQp+n/quR+Y95vK5FaOwbuf7pfW7r4l7
Kmz3BD3bTl0793lvTdnXlv/bdeWKk12oWSzao59FLNcva6AlrT58hKnG/Qqp
xinJiXohu+qKaTb1b93zeMv1Lz1/sNHbs33L95fk/7av5lD/+rHNb4Pr8vFr
vy89Y8v2mdCeJSfB/iy1J7dfSeP85+m3OedvPLebamj7M6LptXvrpPfl3EFP
Dz5xATWLVf1LzUvt/AwtyWtJzo+flzivsfbfC9lZV0yzqX/rnsfbrn+p33/J
9U3a9/m/7RvHUP/6ktZ+OPfD1k59PubPubHw9ynPdrl3gcvxqRNsS7P+/RCY
C3EtKb4TtttrSX9OHi9jZQ1lfa1R7ntvNh7JLtQsFu3R127X+e0vtFRiY8xt
OPuXS+mF7K4rptnUv3XP423Xv1vIH/L87h3HUP/6kHL9oQKfbNfHr/1O2WuS
3wf6Xha595TLbcntD15+1zwKzAup9aDzxV7d/dGcvWP10mb2va5ccbILNYtF
e3R92Y4/tCSrJbpdzSUeUtaApZHRWG0xzab+rXseo/6tnTy/U39fT1eof+3n
ctT7lvY81+fjMr13yrFsEOxPs9ierP+WnkPl68OpBpZ+Z3AsGtcyn6yBVlHv
9nEBNUtt9e86z76Clqj2dMF/H1sv1Je6Ylpd9a/PPN52/bvn/IH2+3q6Qv1r
N4fjPn+PdVFL6rub5n4MKOcc5s1leizrhDU119ZR2H9L+pWbYzrroufL70q+
f9/z86uuXHGyCzWLdnu83CFPXzUALc3ZEeveWnKaXqhPdcU07fqXd/dRa6bx
extR/9ZNnt+pv6+nK9S/+nP3x0Y0rjcP7MaCEtPy98vSfCRZey31ZxBsi3KX
rOz6sN7ciXWw1Pnb65/buvMpBNS/qH8txx9aktXSa59Y1L1HRju9UN/qimn6
9W/98xj1b+00mX2n/b6erlD/6vl2q9/4zuETHyVjWv5vU9ZRpd/HLsVOyXO2
KLGiURq3ltDXHI6h9PvgLTy/NOdTojeZ3zythrDlmkV/7OvPm6El6XY1cppz
SDE0fjf8efF3c9OmbYypLaah/kX9Wzv5fdf9fVntr50ynfLnzla/8Z3DJz5K
xpr836acYy97h/ny2rjceCw/D8rujaLZ0Iaye5Lekb9OsO/nV1254r1OKHaN
hjbpjoV1e2vIm6ElyTabIPONb/yNWOseAmW9FPUv6l/Uv3WT33f7OHbfPmfv
/9op0ynNn12o53sYD3zio2Ss0Y2Xchqk7EeW9d1S7iNb28/b0lz8LTnXBjVN
1c2orHlZ3dPsQs2i3d4a8mZoSaq9mCeWrOfHNcuYG/G//UH9i/oX9W/N5Oku
9d02jpXYsH7KdLocQ9auYwl84qNkrNGNl3IaXH5uye21ppwz7XX2WfJD3JMn
sd9iUNHUGuZGnu/ryhXvNUGxazS0iabBNbW3lecCtDTXVlxnzVlnPIW0n7ns
vAvUv7r1L0dPqH/ldbDv/MH2mVhiw/op0+lr38W6YKigb7VQ9xz1r3/l/LN8
lvUg2Balb43z2MY8rSON8Ty8Op5+/6/c2NdCbbniZNe+axar9uhzynb8oSU5
LfHj6SnI3nGA+ldbf1rPRjkfbLn+pbYj17dasH4mltiwfsp0eu+zj7Dfb3zn
qHuO6ta/lBgt55/ldRdJvS+t/8ue61Vu7w+Cf+agn4lVW75k6+c6+773msWq
Pfrzr/xecC/2rKW0nsiJm3EtUO5+g2QD6l9t/dHH16bPz/ah/t1m/mD7TCyx
Yf3I6Aff+M5Rdpau/nzTrH8p7wElz2Ne+h63FdS7Xb9kxzvuz8g5L2tktEE5
9ywyuPtD3r91Prv3XLNYtkfPS+38DC3JaYmX53RKfUX9q60/+rlmdmd83Nu3
5fp3z/mD7TOxxIb1U6rTljEP94n3fFoeQ+/9z2Ua5M3bVqgdSg4ku+YvP+7x
GcPdq0Fby6GfIVjXO3IZv9aVK0527bdmsWyPs8fCW6vQErcNzrvfTrGvqH+1
9UfPa32eYduuf6n5w8nF97rj6v/soMe4tZOnU3zjS8d7Pi2PpXf9K7N+SsvJ
WoF2lr4xDmEt65LpOcO5v4O+Z5P+m427H2R9WleuONm1z5rFuj36+MvEIw/2
qiX6vhndd4Kofy3qX+oZFmWayrdvu/VvaosaQxsX/+uNq7/m9vNOk6dTfOPL
x3s+LY8pJablxRjaevlJoA/UuyjawnYaYjt5/vIZf849HvS1bnoM7dx9IOvP
unLFya591izW7fHuTlnnN8B71RJ9XBvlvqL+1dYfbZ37Smum88m+rde/1P7V
+Z1Zfr9tn4llvl87dJ2mWgZ1Lxfv+bQ8rpSY1mb+NjVPyvv91AanfstvJ7VF
eVc6uI8pv1/0fX2yuoqM7v2X9WVdueJk1z5rFo/26M+Hk7teoSXpPut/D4r6
16L+rXsda/v1L7WtbX1DZf1MLNPW2lnWaYoDnD2SYOLkPp+Wx5eyztkpz+cx
87c5tS9N7+/bouz3j7Y07mOa178T0YctY2yo47JOn73ud1254mTX/moWr/Z4
58u17pqFlii/T10j7A36ivrXQn/0OXwy0/lk29brX07+UPcZsxqaq0Nba+e9
TvPPiQUTo/t8WtY6JZd5r5Pl36dqqGP+bs5+hLy1Qvq37vl+8kbjzl56TT24
91/Oj3XlipNd+6tZvNrjnZNk529oKX9sa7qTFPWvVf3LqQP0xz3PNjm77HW3
x/zB9plYNs5r51mn0ze+3rZtgdF9Pi1rvVHth/SZmUmfJesyB4btsS1q7bvu
fTga+R3nDJGtrOHWlitOdu2vZvFqL8UNTkxq3XULLS39PurfWmKaXf3L+QbY
9h6kfdS/e8wfbJ+JZeO8dvqHfue8UwPvGd3nk8ycOxf89gdTU7HefI5laT/M
l4A+499vCXbHHI+6/rjefc/8mLfsu+k3KWsr65orcn60zpf2V7N4tse7H2Fd
a2d71BLqX7v25Owp0x/v+RWxqcFSTkXNTeT0aK87jv/XFUPf99n2mVg2zmun
v/S3DfjGV8+/tUNbS8yP7Xnz6Xyxawyc84k5d6c/PhtSvO2I/rilLfJ/DdDX
WhsFba1rvsz3l6o/2+f1HmsWz/Z45+esS/t71BL9GaZ7Hi3vzjoZTe21/k1t
cfJifb2n2pdjU+vgdzkd8Pb62ehPd3xtn4mvbaDmMGtnYOoL8FjHfKTVPvnP
dd56ZS7TO1jbPQydwnh8FPk7r03aM5X/u9w6QN6ftn7k9PejQrtGQ5toflpv
e9x1tM7A5x/Futujlui5/6DYx+h3m/Me8/ou056cPeX6432/FdF7bvNr3xDW
X//uLX+wfUbJ+ByAV8jFAV29U2L8WPGcijnBj5u2OHsPS9CJtdOaVMyf9Wsk
7XyWt8ZG259eK7xvP3X04zHGeTbR/LTe9rgx7z6Oyfs77m85htK993vUEr3P
Z5WYnbeHqjduW6Y9OXtk9MdfT28V+hzf++e8Q5CzxUsH/HyuM9GhjrZtn1Gv
bUD9CySQj4M6eqd+Z1H63oC7lkrh+GRX6o/mO+D42/RztHg+enzG6LU1tUl9
T5W3tp03Hp2B7j+z+zT/u9Q85aTex8mm/dUs3u2lNnP2V3UKvj48zMH8Nvao
Jd63iL1gvxpGfNaxA/Uvd+1Bdg237FweSTu86t+a8wfpvto/o0rsAOA9crFH
X++UfTXltYJsDRzXBV/X5Dq1drj4Secdzfx3FzEHahTa5Kyt5rfPO0vzyvfb
8S3rc/ugd1m/8nzaq2jpdZ8p9owm9iSbaD5aa3upTe75f1e+RLT//h7D/DP7
9qol3vu3TkA3faZ2ZGML6t/c77fK8iWZO0hbB79/KYz5PvIHizgmaQcA75Gb
F/p6p3wDfBKMHznPk8kO2hnOnPPzKcT4r7Mfmb7GGWur8vqbf4/UINBmzrP8
LOL31N+4JvJqnae8b/dtcdde9L/13mvN4tne1G7ueSLni5b42k/7JZfWYfLG
eq9a4j9P+PN6ilMlz8crvZBv913/pjZz5/AxcGvQlAuUrn1c4bUt4/eT0rhv
P3+wiGM0O3AeMihDW6Oyev9B7Fcr1N51fZvznI9/tmO287jvL4eYRzaKvs85
1+J48R+vFs5/tpb3P6+fV86XcTgE6rMsaTo+syjPTRldT/3k+ncMc/vc028e
wlTT8J7ne61ZPNu7b5u7h/Kd9l/Pw6SPOMZfzDmWU6PtU0v8+3Aip5DeXb0e
t2nsrnNb8rud3li7Mu3J2SOrv7J3safL3GzDq9id/v1nYRuvaAX7z1kD0HgH
7Jk/LM1LGT9bxDGaHaOwDsG+OKlrVF7zlNgyKrQbY38fpvuOprYS/DrvOW7m
1NrxedUY+J367nd+XFJ87y8cLn7tLv/MzYtv6QX7mrsf9NX4PPZ5uPy7nH7K
6rrsDLbjjfbHN7rtMuaYvR/mbaL5Y63tyWpiTiMlv8PfB71nLZWN4flhXr+b
25TfodRJvZBvUf+mdkvqL2nORO20gv2nviN5ZWNX2RjM5Q85MVVGa9T29OeY
9N5JsC9kY68F9G8s5GKqfR9/XPr5FZ5zkRgDY73YONlVy7P1Fvl7auvtq5yu
894VcRiY9uy3ZvFq77UNkjWwBDFH5e4h2a+W9M9WXCKd90irAXsh36L+ndr+
4Tz+txqw3deU+p/bdzlt1LUOcUv5OaXUtuqZYwC8Qn7/h77mqe/mTu62bhH+
N7napOesXl9re4aV3Qvz3EfNZ8iZact+axav9t7bUUsNHOcff1/N3rWkd7bi
El83NlDGoBfqL+rf+/Y9a+C4Tv/B8EMr3Pfc2CU7FlvNH6ht6c8xaowH4BU2
zwJ53VP3Payzf2sgvZ+uY425Hr1p86XSX93vaFqGHfuuWTzam7elc57j+XqH
lqzXME5Pc522F7UX6ivq32cbfgSZM8o49A82UPbrtQr9zrGdt15Lt2db+QO1
Pf05pr1/DWwb2bhjBU/3OvcAges4eL0nst27UH4eeAmjqo5116np44SapZ7c
YrKnCfbnjDzXUnnzdd9aSm1a5N7v8+rlv9sL9RP172s7rPZrvZ6ztHn4/PfK
+53bZ629ZNvJH6jt2swzD3+CbdCYaFRH99Tni807wj1jWwfz72qQ153VO7HR
rK96eRL922zULHXlFvd2xbPqtPO3OK9k7tmClh7HTiNmxfjULLS9pJleqI+o
f+ft0drLcZ71qV/9m7umK2/LvV2W++Z08gevOPbaFuu1WbANdPZ6WME7o1f2
m0nwbkxiHRyf+xp5coxz5Wc3yPU15hMa70yj72zO9H7dL8k6J9bTLaNt1CzW
7eXpQ3qd5Bikzl6Flt61HZ+XUmuU8Xdo75OW89NeqH+of2kaiPWXRHw/B+qd
tcu/1Sr1twn8Z7T+PffJNq38IY7LF3l+5tnuF8eeballbzlYF+uvCXlnfAzu
9u6J6Qxryr10r7jenxF/o3Hvz/t+Nhcbx8x+hiBxf5Z8v7qMsbuOWfy7/D0X
0/2wS9j5iWZPK9gezdf++mgyNXKreb25DS3N+SX6nZN758/r9ByY66/M+Cc9
Uvyro7d8e3xi/nSXM6cWnnQgq3vd/Xn0NflzsF5jn/KH3Dhqnz/UEMfudaxR
H4FtY7POpa//kdHnwd3evTLlAzGH6t/wGSxzFN1+fs70s1tVP1MOe5jpz3r6
UjvUWOZt57PdFN375fvg1Zh9LIzZAeO1A5Z10G1CB9Oa/Ou8w9u+ZOP28gdd
f30I10VgH6w/nk3656ybDe42AwDAK6hxzNtOAAAAwJu67uME9XNy16ys/rl7
IOI7Y5yJBQCoC2oM87YTAAAA8MbvrnOwTnp3zcrPAco9c7fE70Fad7sBAOAK
NX552wkAAADUgN/dUmBdxL3C23z3mXe+pcyd4PJ9qc8mAIAu1LjlbScAAABQ
AzgHC9Do3bWqOw9yauC4dtS5257sb2760LjbAwCwgxqzvO0EAAAAagHfAYN5
ju4atZkHOTVwJNXBHu9e03l+j3YP7r4EANhBjVXedgIAAAC1wD8LF+yHqItt
nPlMmwu5NfDVV4O6v6a73+buYsQ+aAD2AjVGedsJAAAA1ES64wo1MHikc9em
/VyQOBcuvhMeLr/VFNpzvWcv3uE2V/Pe0rv7EQCgD+cuQ29bAQAAgNpADQzu
6dw16TsXJM+Gi/Mq3p8Ua+Lp7vRnDmG6r3wssGG755UBACZS3KDFBG9bAQAA
gBpBDQzS+B/ctehNeq/yVcF45NK7+xAAoAt9v8robisAAABQKynvx5lY+yTu
r23cNVgT6f0Kdd9xTfTuvgMA6EI/s2BwtxUAAAConbQXE/cD74N67vKplfSe
ZQ3zIebDjbu/AAD60PdrfbrbCgAAAKyFVAfjffA2iePauWtsTaQ6uLb3wdez
pxt3/wAAbOCd1befc/wBAAAASaZzaL8rrAHAPPHd5XgZv7imgfORyudCrDk9
v5ePc/ATYwnAzuCd1YGzrwAAAABJ0n2kj2fXfl9qrdG5PtgL4w3XMegu44J1
f/05ELUfa2GL/dHXmrdx7zcAQJbrWfDzfybGds5zdXDvFwAAALBnnu98+byp
2W4ZZ1jDd5ivuN6D846vF354dVcO3vfVSloPuq4FlWoV7+wB2BP33xqNl3++
XVfOiSdYAwUAAAD2xvSOWprGvW9gHaT9ilfd3O6VeHxfj3f2AOwVjb1B3n0C
AAAAAAAAAABuSWtf0vUv1tIAAAAAAAAAANRF+v5Fsvbt3fsEAAAAAAAAAAA8
InunwuDeHwAAAAAAAAAA4JF0RgVqXwAAAAAAAAAA2yadf1da98azoQ/ufQEA
AAAAAAAAAN4R7zZLd93l7IE+Xupn3I8GAAAAAAAAAGA9pFq4DeletK/wfE/8
EKY7wRt3ewEAAIBK+X8XU4WI
                   "], {{0, 26.88}, {230.4, 0}}, {0, 255}, ColorFunction -> 
                   RGBColor, ImageResolution -> {300, 300}], 
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                  Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                 ImageSizeRaw -> {230.4, 26.88}, 
                 PlotRange -> {{0, 230.4}, {0, 26.88}}, 
                 ImagePadding -> {{2, 0}, {1, -10}}, ImageSize -> 
                 Magnification[0.7]], 
                "https://www.youtube.com/sethjchandler"}, "HyperlinkURL"]}, 
             "RowDefault"], "\[SpanFromLeft]"}, {
            GraphicsBox[
             TagBox[
              RasterBox[CompressedData["
1:eJztXQe4LEWVZkUBCYKSFIQ3BCXDImKGeQRRgoBECXKJkhQkSJYBERAQxEAU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               "], {{0, 22.08}, {236.88, 0}}, {0, 255}, ColorFunction -> 
               RGBColor, ImageResolution -> {300, 300}], 
              BoxForm`ImageTag[
              "Byte", ColorSpace -> ColorProfileData[CompressedData["
1:eJydlndUVNcWh8+9d3qhzTDSGXqvUgYQ6R2kV1EZZgYYygDDDIhdRFQwoohI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                 "], "RGB", "XYZ"], Interleaving -> True], Selectable -> 
              False], DefaultBaseStyle -> "ImageGraphics", 
             ImageSize -> {365, Automatic}, ImageSizeRaw -> {236.88, 22.08}, 
             PlotRange -> {{0, 236.88}, {0, 22.08}}, 
             ImagePadding -> {{1, 1}, {3, -10}}, ImageSize -> 
             Magnification[1]], "\[SpanFromLeft]"}, {
            TemplateBox[{
              FrameBox[
               StyleBox[
               "\"Buy on Amazon\"", 16, FontWeight -> "Bold", FontColor -> 
                RGBColor[0.768627, 0.949019, 1.], FontFamily -> 
                "Source Sans"], RoundingRadius -> 3, FrameStyle -> Directive[
                 RGBColor[0.768627, 0.949019, 1.], 
                 Thickness[Large]], FrameMargins -> {{10, 10}, {6, 6}}, 
               StripOnInput -> False], 
              "https://www.amazon.com/Query-Getting-Information-Wolfram-\
Language/dp/1579550851"}, "HyperlinkURL"], "\[SpanFromLeft]"}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {1, 1, 1}}], 
         "Grid"], ImageSize -> Full, FrameMargins -> {{20, 20}, {23, 10}}], 
       PaneBox[
        PaneBox[
         TemplateBox[{"\[ThinSpace]", "\" \"", 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
               ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                 Method -> "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"5: The Dataset\"", TooltipDelay -> 0.15, 
             LabelStyle -> "TextStyling"], 
            Annotation[#, "5: The Dataset", "Tooltip"]& ], 
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[5], Selectable -> False], 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                 Automatic, Method -> "Preemptive"], True -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                 GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                 "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"7: Advanced Recipes\"", TooltipDelay -> 
             0.15, LabelStyle -> "TextStyling"], 
            Annotation[#, "7: Advanced Recipes", "Tooltip"]& ]}, 
          "RowWithSeparators"], Alignment -> Right], ImageSize -> {100, 30}, 
        FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
       TagBox[
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> 
             RGBColor[0.0941176, 0.101961, 0.258824], ImageSize -> {35, 30}, 
             Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1: Introduction" :> 
          NotebookLocate[{"Query-01-introduction.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2: Data Structures and Functions" :> 
          NotebookLocate[{"Query-02-data-structures-and-functions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3: Association" :> 
          NotebookLocate[{"Query-03-association.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4: Query" :> 
          NotebookLocate[{"Query-04-query.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5: The Dataset" :> 
          NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6: Basic Recipes" :> 
          NotebookLocate[{"Query-06-basic-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7: Advanced Recipes" :> 
          NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8: Import and Export" :> 
          NotebookLocate[{"Query-08-import-and-export.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Answers to Exercises" :> 
          NotebookLocate[{"Query-09-answers-to-exercises.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Index" :> 
          NotebookLocate[{"Query-10-index.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None], 
        MouseAppearanceTag["LinkHand"]]}}, AutoDelete -> False, 
     GridBoxItemSize -> {
      "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
   Background -> RGBColor[0.07450980392156863, 0.1450980392156863, 0.2], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.863264, 0.898009, 0.999619], CellFrame -> {{0, 1}, {0, 0}}, 
   CellFrameMargins -> {{18, 20}, {1, 1}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, CellGroupingRules -> {"SectionGrouping", 0}, 
   CellContext -> CellGroup], 
  Cell[
   BoxData[
    DynamicModuleBox[{$CellContext`open$$ = False}, 
     PaneSelectorBox[{True -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans Pro", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UFAMiNWAmAWIN23atACIDxCBJ/z//5+BEgw0Q4FIuzYAsQMQ/ycSO1DorgNE
2lMAVT+BSPUPKHBTAJF2HEDSIwCyk0h9DWS4iVjzP4DiGk0vsfGJoZcIdzWQ
En9Y9BMbnwdIcJMBpWaSGJ8BVEzrBOOAhPgEuV+AgFkJlMQfBfGJMw9Aw/4D
EWZcoEH+AWEDCv2GVT8V4hMjvZKgl+Qyh0Q/J6Dpu0DN+KMgPj/A8gAoDdMi
/iiIkwkkpHWy4o+C+CSmrCI7/ijMnzSNPwrik+bxR0F8YsME6wcK3UZMGYAN
O9DKTVB3Eds+QMmrtHQTktuIbU/RPP4oiE+y4g8ANP3HuQ==
              "], {{0, 5.28}, {9.12, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {9.12, 5.28}, PlotRange -> {{0, 9.12}, {0, 5.28}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"], False -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans PRo", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJy1ljEOgkAQRYlaWFJZa2VLaamlndHYCxGNDRIwMXYcwSN4BMIJPIJH8Ajc
YJ1N1oQsgrOzQ/FJgPDymJ3dzCQ4rw89x3HSIVzW/nWRJP5t48LNNkpPxyjc
L6NLeAyTWdCHh1PICDKAFEWRQcZCCIczwHxCSkjcAVeoPLncNa7gcv/Brbp7
HXC/yTriyrxM3ZFcY3dDLtqdwEW5w/ud6i0K+w2Zt7BdyIPIlrlLRgt/rhzY
3RU/s6jNP/cxJKe6I/plRakNssddVRtWrlYbVL8Tz5TVv3UlcmNOrurvF/O6
3TnXrSCeHy08D7v2P1Jy/LMWuUddjUnaW19H+T213w0cYwtezbHCpXrWHC25
jY4WXPT8huQaz2wILmnGbOFazZUNXOs5WOOyze0VLtusrrg5l6PGbdwzNvkA
H9MJ6g==
              "], {{0, 9.36}, {5.28, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {5.28, 9.36}, PlotRange -> {{0, 5.28}, {0, 9.36}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"]}, 
      Dynamic[$CellGroupContext`open$$]], 
     Initialization :> ($CellGroupContext`open$$ = False), 
     DynamicModuleValues :> {}]], "Text", CellMargins -> {{0, 0}, {0, 0}}, 
   CellFrame -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {1, 3}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, Background -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], CellContext -> 
   CellGroup], 
  Cell[
   BoxData[
    TemplateBox[{
      StyleBox[
      "\"Content present in this notebook can be reused with the following \
attribution:\[LineSeparator]\"", FontSize -> 12, FontWeight -> "Regular", 
       FontFamily -> "Source Sans Pro", FontColor -> 
       RGBColor[0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
      TemplateBox[{
        TemplateBox[{
          StyleBox[
          "\"S. Chandler (2023),  \"", FontWeight -> Bold, FontSize -> 11, 
           FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\"Query: Getting Information from Data with the Wolfram \
Language\"", Selectable -> True, Copyable -> True, FontSlant -> Italic, 
           FontWeight -> Bold, FontSize -> 11, FontFamily -> 
           "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\", Wolfram \
Media.\[LineSeparator]https://www.wolfram.com/language/query-getting-\
information-from-data-with-the-wolfram-language\"", FontWeight -> Bold, 
           FontSize -> 12, FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]]}, 
         "RowDefault"], 
        "\"S. Chandler (2023), Query: Getting Information from Data with the \
Wolfram Language, Wolfram Media. \
www.wolfram.com/language/query-getting-information-from-data-with-the-wolfram-\
language\""}, "ClickToCopy2"]}, "RowDefault"]], "Text", 
   CellElementSpacings -> {"CellMinHeight" -> 4, "ClosedCellHeight" -> 1}, 
   Background -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrame -> {{0, 0}, {0, 0}}, 
   CellFrameColor -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {5, 5}}, ShowCellBracket -> False, 
   ShowStringCharacters -> False, CellOpen -> 
   Dynamic[$CellGroupContext`open$$], CellContext -> CellGroup, Copyable -> 
   True, Selectable -> True, LineSpacing -> {1, -3}]},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Query: Getting Information from Data with the Wolfram Language", 
       "Header"]}], "Header", 
    CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  Basic Recipes", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
TaggingRules->{
 "DocuToolsSettingsInternal" -> {
   "$PacletVersion" -> "0.10.2469", "CloseOpenPageDialogAutomatically" -> 
    True, "$ApplicationName" -> "Pubs", "$LinkBase" -> "Pubs", 
    "$ApplicationDirectory" -> "C:\\Users\\jayw\\Desktop\\CVSTree\\Pubs\\", 
    "$DocumentationDirectory" -> 
    "C:\\Users\\jayw\\Desktop\\CVSTree\\Pubs\\Documentation\\English\\", 
    "$UseNewPageDialog" -> "True", "$CondensedBlogMenus" -> "True"}, 
  "WelcomeScreenSettings" -> {"FEStarting" -> False}, 
  "DraftSectionsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\EIWL-3e\\Source copy\\", 
  "BlogsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\13.1-Blog\\History\\", 
  "WBTDraftSectionsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\ChandlerBook\\Print_source\\", 
  "IndexEntries" -> {{"i:1", "Dataset?{dimensions}"}, {
    "i:1", "Dimensions?{of a Dataset?}"}, {"i:2", "Dataset?{dimensions}"}, {
    "i:2", "Dataset?{dependency on regularity}"}, {
    "i:3", "Dataset{renaming columns}"}, {"i:3", "Columns{renaming}"}, {
    "i:4", "Dataset?{renaming columns using KeyReplace ResourceFunction?}"}, {
    "i:4", "KeyReplace"}, {"i:4", "ResourceFunction?{KeyReplace}"}, {
    "i:5", "Columns{partial renaming}"}, {
    "i:5", "Dataset?{renaming columns}"}, {"i:6", "Dataset?{sorting}"}, {
    "i:6", "Dataset?{sorting by key}"}, {"i:6", "KeyTake?"}, {
    "i:7", "KeySort?"}, {"i:7", "KeySortBy?"}, {"i:8", "Dataset?{sorting}"}, {
    "i:8", "Dataset?{of groupings}"}, {"i:9", "Dataset?{sampling}"}, {
    "i:9", "Span?"}, {"i:9", "Rows{sampling of}"}, {"i:10", "Range?"}, {
    "i:11", "Dataset?{sampling}"}, {"i:11", "Dataset?{random}"}, {
    "i:11", "RandomSample?"}, {"i:12", "Dataset?{random sampling}"}, {
    "i:12", "Dataset?{of columns}"}, {"i:12", "Columns{random sampling}"}, {
    "i:13", "Association?{changing values}"}, {
    "i:13", "Association?{replacing values}"}, {
    "i:14", "Dataset?{keeping parts}"}, {
    "i:14", "Dataset?{dropping parts}"}, {"i:14", "Take?"}, {
    "i:14", "Drop?"}, {"i:14", "KeyTake?"}, {"i:14", "KeyDrop?"}, {
    "i:15", "Dataset?{search}"}, {"i:15", "Select?"}, {"i:15", "Cases?"}, {
    "i:16", "Columns{joining}"}, {"i:16", "Columns{adding}"}, {
    "i:16", "JoinAcross?"}, {"i:16", "Join?{to add columns}"}, {
    "i:17", "Columns{computing additional}"}, {
    "i:18", "Association?{Flat? behavior}"}, {"i:18", "Flat?"}, {
    "i:19", "Association?{duplicate keys}"}, {
    "i:19", "Association?{override feature}"}, {"i:20", "MapAt?"}, {
    "i:21", "Rows{headers}"}, {"i:22", "Headers{computed}"}, {
    "i:22", "Rows{headers}"}, {
    "i:23", "Dataset?{headers from external data}"}, {
    "i:23", "MapIndexed?"}, {"i:23", "Extract?"}, {"i:23", "Part?"}, {
    "i:23", "MapSlice"}, {"i:23", "ResourceFunction?{MapSlice}"}, {
    "i:23", "Rows{headers}"}, {"i:24", "SameQ?"}, {"i:24", "Echo?"}, {
    "i:25", "ValueMapIndexed"}, {
    "i:25", "ResourceFunction?{ValueMapIndexed}"}, {
    "i:25", "Dataset?{headers from external data}"}, {
    "i:26", "Rows{deletion of headers}"}, {"i:26", "Values?"}, {
    "i:27", "Rows{conversion of headers into columns}"}, {
    "i:27", "Columns{creation from row headers}"}, {"i:27", "JoinAcross?"}, {
    "i:27", "KeyValueMap?"}, {"i:28", "Dataset?{orientation}"}, {
    "i:28", "Dataset?{row orientation to column orientation}Transpose?"}, {
    "i:28", "Normal?"}, {"i:28", "Transpose?{of Datasets}"}, {
    "i:29", "AssociationTranspose"}, {
    "i:29", "ResourceFunction?{AssociationTranspose}"}, {
    "i:30", "Merge?{conversion of Dataset? to column orientation}"}, {
    "i:30", "Dataset?{row orientation to column orientation}"}, {
    "i:31", "Dataset?{column orientation to row orientation}"}, {
    "i:31", "Transpose?"}, {"i:32", "Double Transpose Trick"}, {
    "i:32", "Conjugation"}, {"i:33", "KeyReplace"}, {
    "i:33", "ResourceFunction?{KeyReplace}"}, {
    "i:34", "Double Transpose Trick"}, {"i:34", "Listability"}, {
    "i:35", "Indian reservations data"}, {"i:36", "RepeatedTiming?"}, {
    "i:37", "Query?{order of operations}"}, {
    "i:37", "Query?{descending operators}"}, {"i:37", "Query?{nested}"}, {
    "i:38", "Query?{with Normal?}"}, {
    "i:38", "Normal?{to show order of operations}"}, {
    "i:39", "Normal?{to show order of operations from Query?}"}, {
    "i:39", "Query?{with Normal?}"}, {"i:40", "Double Transpose Trick"}, {
    "i:40", "Conjugation"}, {"i:41", "MapAt?"}, {"i:42", "Hash?"}, {
    "i:43", "Merge?"}}, 
  "PaginationCache" -> {{
    2023, 8, 31, 16, 24, 20.954479`9.073851801867605}, CompressedData["
1:eJxtwdURwkAUBdCFAuiBlighDVAj7u7u7rL/zGTvkzA5J+4lE17EGBOLGpNi
aS2jZP/lIA8FKLKSUhYVqAbURB0aQc0wLdFWOtBVeqIPAzEkIxiLCZmSmTNn
C7IkK1jDRtmyHeydAzmyk3OGi7jCzbmzR4gne/ne5OP7EmvtD+avwFQ=
    "], Automatic}, 
  "IndexItemsAndPageNumbers" -> {{"i:1", 194}, {"i:2", 195}, {"i:3", 196}, {
    "i:4", 197}, {"i:5", 198}, {"i:6", 200}, {"i:7", 201}, {"i:8", 204}, {
    "i:9", 205}, {"i:10", 205}, {"i:11", 206}, {"i:12", 206}, {"i:13", 207}, {
    "i:14", 208}, {"i:15", 211}, {"i:16", 213}, {"i:17", 215}, {
    "i:18", 216}, {"i:19", 217}, {"i:20", 218}, {"i:21", 218}, {
    "i:22", 220}, {"i:23", 223}, {"i:24", 223}, {"i:25", 223}, {
    "i:26", 224}, {"i:27", 225}, {"i:28", 227}, {"i:29", 229}, {
    "i:30", 231}, {"i:31", 232}, {"i:32", 233}, {"i:33", 235}, {
    "i:34", 235}, {"i:35", 236}, {"i:36", 236}, {"i:37", 238}, {
    "i:38", 239}, {"i:39", 240}, {"i:40", 242}, {"i:41", 243}, {
    "i:42", 243}, {"i:43", 245}}},
ShowCellLabel->Automatic,
CellLabelAutoDelete->Automatic,
ShowAutoSpellCheck->False,
FrontEndVersion->"13.3 for Mac OS X x86 (64-bit) (June 3, 2023)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False], 
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {"PageSize" -> {504, 720}}, 
       AutoStyleOptions -> {"UndefinedSymbolStyle" -> None}, Magnification -> 
       0.6], 
      Cell[
       StyleData[All, "Invisibles"], DockedCells -> {
         Cell[
          BoxData[
           GridBox[{{
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]], 
              ActionMenuBox[
              "\"Insert\"", {
               "\"Subsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsectionStyle[]), 
                "\"Subsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsectionStyle[]), 
                "\"Subsubsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsubsectionStyle[]), 
                Delimiter, 
                "\"Text\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToTextStyle[]), "\"CodeText\"" :> 
                Module[{$CellContext`bn = ButtonNotebook[]}, 
                  If[Developer`CellInformation[$CellContext`bn] =!= $Failed, 
                    While[
                    FreeQ[
                    Developer`CellInformation[$CellContext`bn], 
                    "CellBracket"], 
                    FrontEndExecute[
                    
                    FrontEnd`SelectionMove[$CellContext`bn, All, Cell, 
                    AutoScroll -> False]]]; 
                    SelectionMove[$CellContext`bn, After, Cell]]; 
                  NotebookWrite[$CellContext`bn, 
                    Cell["XXXX", "CodeText"], All]; 
                  SelectionMove[$CellContext`bn, All, CellContents]], 
                "\"Hyperlink\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTGenerateHyperlinkDialog[]), Delimiter, 
                "\"Vocabulary 2Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd2ColTable[]), 
                "\"Vocabulary 3Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd3ColTable[]), 
                "\"Add Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[]), 
                "\"Remove Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["RemoveRow" -> True]), 
                "\"Apply Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["AddDivider" -> True]), 
                "\"Remove Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[
                  "RemoveDivider" -> True]), Delimiter, 
                "\"Exercises\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Exercise\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Q&A | Tech Notes | More\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQAndATechNotesMore[]), 
                "\"Question\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQuestion[]), 
                "\"Answer\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertAnswer[]), 
                "\"Tech Note\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertTechNote[]), 
                "\"More to Explore\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertMoreExplore[]), 
                "\"References Section\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertReferencesSection[]), Delimiter, 
                "\"Comment\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyComment[])}, Appearance -> 
               "PopupMenu", FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              ActionMenuBox[
              "\"Function Name\"", {
               "\"Link\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTMakeSymbolLink[]), 
                "\"Format\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTFormatSymbol[])}, Appearance -> 
               "PopupMenu", Method -> "Queued", FrameMargins -> 2.4], 
              ButtonBox[
              "\"Resource Function Link\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTResourceFunctionLink[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ButtonBox[
              "\"Inline Code\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTConvertToInlineCode[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ActionMenuBox[
              "\"Mark Cells\"", {
               "\"Tentative\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyTentative[]), Delimiter, 
                "\"Print Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyPrintOnly[]), 
                "\"Web Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyWebOnly[]), Delimiter, 
                "\"Locked\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyLock[])}, Method -> "Queued", 
               FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              GridBox[{{
                 TooltipBox[
                  ButtonBox[
                  "\"Index Field\"", Appearance -> {"AbuttingRight"}, 
                   ButtonFunction :> (Needs["WolframBookTools`"]; 
                    WolframBookTools`WBTInsertIndexField[]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "First put the cursor in a cell to insert a corresponding \
field above to insert index entries.\nList main index entries corresponding \
to the cell separated by commas. Any associated sub-entries\nshould be put \
immediately after in braces.\nExample: programming{functional, rule based}, \
function, relation, lists{flat, nested}\n If $Language is \"ChineseSimplified\
\", \"ChineseTraditional\", \"Japanese\", \"Korean\" or \"Russian\"\ntwo \
index fields get inserted above a selected cell, the top one for inserting \
entries\nintended for the Englsh index and the bottom for the index in the \
language given by $Language.", TooltipDelay -> 0.3], 
                 TooltipBox[
                  ButtonBox[
                  "\"Toggle\"", Appearance -> {"AbuttingLeft"}, 
                   ButtonFunction :> (CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] = 
                    If[CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] === 
                    "Invisibles", "Working", "Invisibles"]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "Toggles index entry fields.", TooltipDelay -> 0.3]}}, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "ColumnsIndexed" -> {2 -> 0}, "Rows" -> {{Automatic}}}], 
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]]}}]], "DockedCell", 
          CellFrameMargins -> {{0, 0}, {8, 8}}]}, CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], 
       PrintingOptions -> {"PageHeaderMargins" -> {28, 28}}, StyleMenuListing -> 
       None, FontFamily -> "Source Sans Pro", FontSize -> 8, FontWeight -> 
       "Regular", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "FirstPageHeader" -> True, "InnerOuterMargins" -> {30, 30}, 
         "PaperOrientation" -> "Portrait", "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Closed]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{64, Inherited}, {12, 64}}, 
          CellGroupingRules -> {"SectionGrouping", 30}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{62, 4}, {52, 182}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]\[VeryThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionBar"], FontFamily -> "Source Sans Pro", 
          FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionBar", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumbered"], CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Subsection"]}], "SubsectionNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{98, Inherited}, {Inherited, 32}}, 
          CounterIncrements -> "Subsection", FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsectionNumbered", "Printout"], 
          CellMargins -> {{102, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumber"], FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          GrayLevel[0.25]], 
         Cell[
          StyleData["SubsectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionFirst"], 
          CellMargins -> {{64, Inherited}, {2, 72}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubsectionTopMargin"], 
          CellMargins -> {{64, Inherited}, {2, 14}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsubsectionTopMargin", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.45]], 
         Cell[
          StyleData["Subsubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsectionSM"], 
          CellFrame -> {{0, 0}, {0.75, 0}}, 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontWeight -> "Bold", FontSlant -> 
          "Regular", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 15}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsectionSM"], 
          CellMargins -> {{64, Inherited}, {4, 12}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ExerciseSubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{106, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{108, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62.}, PageBreakBelow -> 
          False, LineSpacing -> {1., 1., 2.}, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          LineSpacing -> {0.8, 1., 2.}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, PageBreakBelow -> False, 
          CounterIncrements -> "Question", MenuSortingValue -> 10030, 
          MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Bold", FontSlant -> 
          "Plain", $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Answer"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, LineSpacing -> {1.125, 1., 2.}, 
          MenuSortingValue -> 10032, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Question"], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["TechNoteSubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9},
             3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteNoDingbat"], PageWidth :> 700, 
          CellMargins -> {{82, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, LineSpacing -> {1.25, 1., 2.}, MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          CellFrameLabelMargins -> 4, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TechNote", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 1, FontSize -> 
          14], 
         Cell[
          StyleData["TechNoteInput", "Printout"], 
          CellMargins -> {{99, 10}, {3, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TechNoteOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 14], 
         Cell[
          StyleData["TechNoteOutput", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          MenuSortingValue -> 10050, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysSection"], PageWidth :> 700, 
          CellFrame -> {{1, 1}, {1, 1}}, CellMargins -> {{52, -12}, {-1, 30}},
           CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{16, 8}, {6, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "Bold", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[1], Background -> 
          RGBColor[0.901961, 0.411765, 0.027451]], 
         Cell[
          StyleData["TakeawaysSection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysHeader"], 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "SemiBold", 
          FontSlant -> "Regular", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysHeader", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysTable"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 0}}, CellMargins -> {{52, -12}, {12, -1}},
           CellFrameMargins -> {{18, 12}, {20, 12}}, CellFrameLabelMargins -> 
          6, LineSpacing -> {1.25, 1., 2.}, SpanMaxSize -> 1, FontFamily -> 
          "Source Sans Pro Light", FontColor -> GrayLevel[0.25], Background -> 
          RGBColor[1., 0.9490196078431372, 0.8509803921568627], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"TakeawaysDingbat", Inherited}, 
              "Rows" -> {{SpanFromLeft, Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0.5}}, 
              "Rows" -> {{0.75}}}}, $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TakeawaysTable", "Printout"], 
          CellMargins -> {{51.5, -12.5}, {12, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysText", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TakeawaysDingbat", StyleDefinitions -> StyleData["Text"]], 
          FontFamily -> "Source Sans Pro", FontSize -> 10, FontWeight -> 
          "SemiBold", FontColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["TakeawaysDingbat", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeText", StyleDefinitions -> StyleData["Text"]], 
          CellMargins -> {{66, 10}, {3, 15}}, LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 1540, 
          MenuCommandKey :> $CellContext`MenuKey[
           "7", $CellContext`Modifiers -> {"Shift"}], FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeText", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {
           LimitsPositioning -> True}, $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontFamily -> Automatic, FontSize -> 
            18, FontWeight -> GrayLevel[0], 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{81, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontSize -> 17, FontFamily -> 
            "Automatic", FontWeight -> "Black", 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> {
           "GroupTogetherNestedGrouping", 1.073741821*^9}, 
          CellChangeTimes -> {{3.8855684925344048`*^9, 
           3.885568495926271*^9}, {3.885643888233819*^9, 
           3.8856439007210073`*^9}}, $CellContext`CellDingbatMargin -> 2]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontColor -> GrayLevel[0.2], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], CellFrame -> {{0, 0}, {0, 1}}, 
          CellMargins -> {{66, 0}, {8, 6}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameMargins -> {{14, 14}, {12, 12}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          LineSpacing -> {1.2, 1., 2.}, MenuSortingValue -> 1600, FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontColor -> GrayLevel[0.2], 
          Background -> 
          RGBColor[
           1., 0.9647058823529412, 
            0.9411764705882353], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Note", "Printout"], CellMargins -> {{66, 0}, {10, 8}}, 
          FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Echo"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Echo", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EchoTiming"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["EchoTiming", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TextFirst"], CellMargins -> {{66, 10}, {4, 72}}, 
          FontFamily -> "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, FontFamily -> 
          "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SmallText"], CellMargins -> {{66, 10}, {6, 6}}, 
          LineSpacing -> {1, 3}, TabSpacings -> {2.5}, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "SmallText", 
          MenuSortingValue -> 1750, StyleMenuListing -> None, FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["SmallText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}, Hyphenation -> True]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Italic", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Closed]], 
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Closed]], 
      Cell[
       StyleData[
       "CellLabelExpired", StyleDefinitions -> StyleData["CellLabel"]], 
       CellLabelMargins -> 6, FontSlant -> Italic, FontTracking -> 0.4, 
       FontColor -> GrayLevel[0.6]], 
      Cell[
       StyleData["SummaryPanel"], GeneratedCell -> True, CellAutoOverwrite -> 
       True, CellChangeTimes -> {3.84753348107472*^9}, FontFamily :> 
       CurrentValue["PanelFontFamily"], FontSize :> 0.8 Inherited, FontWeight -> 
       "Plain", FontSlant -> "Plain", FontColor :> 
       CurrentValue[{"SystemColors", "DialogText"}], 
       TemplateBoxOptions -> {
        DisplayFunction -> (
          ButtonBox[#, Active -> False, Alignment -> Left, 
           Appearance -> {"Default" -> Image[CompressedData["
1:eJzNlk0KgkAUgKVatGzRAWohXqFty7ZFB1AyaWOgQXQozyIPZmCgxYBLQUQ6
gL2R/ElcBKWvgU+cQd/3ZhxnZmmdt8eRpmn+FC9b87r2PPO2m2Fl7/onx7UP
G/diO7a3ssbYOEcWyATJvyw/CFGECcNQRwIkQ3J4Eb4BrXqjDT55togdYFxd
OUs5ABj4fipllMdxnCdJ0gsqdoQOzC3FPIyGP1DtfXnbSCkLZ/ntGEDWZ7+7
xgGAPSo/Y4O5SxiDau5yAj/nrPZzTuDnlV9wMbhfCFH4Fep+cP9d1P2n9hOO
/z/MP+r/j3r9oV5/qfcf6v2X4vyB+XQenMo1sS/a5QlC6exw
               "], "Byte", ColorSpace -> "RGB", Interleaving -> True]}, 
           FrameMargins -> 7, BaseStyle -> {Deployed -> False}, 
           DefaultBaseStyle -> {"Pane", Background -> None}, BaselinePosition -> 
           Baseline]& ), Tooltip -> None}, 
       GraphicsBoxOptions -> {
        Axes -> False, 
         DefaultBaseStyle -> {"GraphicsNoFontOrMenu", CacheGraphics -> False},
          ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}, 
       Graphics3DBoxOptions -> {
        Axes -> False, DefaultBaseStyle -> {"Graphics3DNoFontOrMenu"}, 
         ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}], 
      Cell[
       StyleData["IconizedDefaultName"], FontSize -> 12, 
       PrivateFontOptions -> {"OperatorSubstitution" -> False}, FontColor -> 
       GrayLevel[0.15]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", PageBreakWithin -> False, GroupPageBreakWithin -> 
          False, GeneratedCell -> True, CellAutoOverwrite -> True, 
          ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221], $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{106, 10}, {4, 7}}, ShowCellLabel -> False, 
          SpanMaxSize -> 1, FontSize -> 
          14, $CellContext`GeneratedCellStyles -> {
           "Output" -> "ExerciseOutput"}], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{106, 10}, {4, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{106, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{106, 10}, {10, 4}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Tentative"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[
          0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
         "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
       StyleMenuListing -> None, Background -> 
       RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["PrintOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.89, 0.867, 0.99], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.89, 0.867, 0.99]], 
         Cell[
          StyleData["PrintOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["StandardForm"], LineSpacing -> {1.25, 0, 2}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["StandardForm", "Printout"], LineSpacing -> {1.25, 0, 2}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["OutputForm"], LineSpacing -> {0.6, 1}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["OutputForm", "Printout"], LineSpacing -> {0.6, 1}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputForm"], FontFamily -> "Source Sans Code"], 
         Cell[
          StyleData["InputForm", "Printout"], FontFamily -> 
          "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FormattedFunction"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]]], 
         Cell[
          StyleData["FormattedFunction", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (
             Function[$CellContext`t, 
              NotebookFind[$CellContext`t, "Notes", All, CellStyle]; 
              NotebookFind[$CellContext`t, "NotesSection", All, CellStyle, 
                AutoScroll -> Top]][
              Documentation`HelpLookup["ref/" <> #]]& ), ButtonSource -> 
            ButtonContents, Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FunctionLink", StyleDefinitions -> StyleData["Link"]], 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["FunctionLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["FunctionHyperlink", StyleDefinitions -> StyleData["Link"]], 
       FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ResourceFunctionlink", StyleDefinitions -> StyleData["Hyperlink"]],
           MenuSortingValue -> None, FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourceFunctionlink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineMath"], SpanMaxSize -> 0, FontColor -> GrayLevel[0], 
       CellID -> 644119144], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> 0.94 Inherited], 
      Cell[
       StyleData["NoLabel"], ShowCellLabel -> 
       False, $CellContext`GeneratedCellStyles -> {
        "Output" -> "ExerciseOutput"}], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["DialogElementName"], 
       CellChangeTimes -> {3.642251807158844*^9, 3.8358753610849867`*^9, 
        3.835875471581566*^9}, FontFamily -> "Source Sans Pro SemiBold", 
       FontSize -> 0.95 Inherited, FontWeight -> "Regular"], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          1.05 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          1.1 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Closed]], 
      Cell["Key Styles", "Subsubsection"], 
      Cell[
       StyleData["Key0"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {"Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key1"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
               "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key2"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key3"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589], 4 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell["Entity styles", "Subsubsection"], 
      Cell[
       StyleData["Entity"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  
                  StyleBox[#, FontSize -> 0.85 Inherited, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  PaneBox[
                   StyleBox[#4, "EntityTypeLabel"], BaselinePosition -> 
                   Baseline, ContentPadding -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 1}], False -> 
              PaneBox[#, 
                BaseStyle -> {
                 FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                BaselinePosition -> Baseline]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            Directive[
              RGBColor[1., 0.504768, 0.], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                  FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                  Selectable -> False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 1}], False -> 
             PaneBox[#, 
               BaseStyle -> {
                FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
               BaselinePosition -> Baseline]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {
              FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 1}], False -> 
            PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
              BaselinePosition -> Baseline]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                   "Source Sans Pro", FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  StyleBox[
                   RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                   "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                   Selectable -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}], False -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            RGBColor[1., 0.504768, 0.], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                  "Source Sans Pro", FontColor -> GrayLevel[0.65], Selectable -> 
                  False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}], False -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], False -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                StyleBox[#, FontColor -> GrayLevel[0]]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityProperty"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            
            PaneBox[#, 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Helvetica", FontSize -> 0.85 Inherited, FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> Directive[
              RGBColor[0.94227, 0.703639, 0.033387], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneBox[
             GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], #}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Source Sans Pro", FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> RGBColor[0.94227, 0.703639, 0.033387], 
            Background -> RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityValue"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           
           GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}}, 
            GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
            GridBoxSpacings -> {"Columns" -> {{0}}}, 
            BaselinePosition -> {1, 1}], Background -> 
           RGBColor[{0.9921568627450981, 0.9529411764705882, 
             0.8509803921568627}], BaselinePosition -> Baseline, 
           FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
           RGBColor[{0.9333333333333333, 0.8470588235294118, 
             0.5529411764705883}], RoundingRadius -> 5]& )}]}, Closed]]}, 
  Visible -> False, FrontEndVersion -> 
  "13.3 for Mac OS X x86 (64-bit) (June 3, 2023)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"bee308ec-2adb-4334-b74f-ded5d795c358"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "p: 193"->{
  Cell[611, 23, 358, 11, 110, "Section",ExpressionUUID->"f5b35416-8b79-4b83-9595-837975b116da",
   CounterAssignments->{{"Section", 5}},
   CellTags->"p: 193",
   CellID->2145722108]},
 "LastCellOfAPage"->{
  Cell[25762, 531, 1296, 27, 88, "Text",ExpressionUUID->"ee7c7c53-4654-4d87-a23b-8e727ccddcd9",
   CellTags->"LastCellOfAPage",
   CellID->525338625],
  Cell[270692, 5440, 503, 10, 37, "Output",ExpressionUUID->"ba41ecf2-458e-4b1a-a110-4b65e64fe8ef",
   CellTags->"LastCellOfAPage",
   CellID->1050166789],
  Cell[290294, 5927, 60756, 1163, 307, "Output",ExpressionUUID->"bf6c4a25-2851-40e1-a6d6-af2523a8c50f",
   CellTags->"LastCellOfAPage",
   CellID->424199924],
  Cell[421897, 8532, 1536, 33, 163, "Text",ExpressionUUID->"38b1ac88-c0b2-4de3-8641-94ccef91e724",
   CellTags->{"LastCellOfAPage", "i:3"},
   CellID->695975439],
  Cell[498904, 10083, 61393, 1173, 307, "Output",ExpressionUUID->"0a2b4ac0-9c9f-46fe-948a-1a7c40222ed3",
   CellTags->"LastCellOfAPage",
   CellID->2074283355],
  Cell[616100, 12327, 538, 14, 26, "Input",ExpressionUUID->"f05d79f4-7fe8-4cdc-a912-00d598448633",
   CellTags->"LastCellOfAPage",
   CellID->294943040],
  Cell[752885, 14987, 2376, 48, 113, "Text",ExpressionUUID->"ffc9c848-8d87-4de8-af54-3877f0579a6c",
   CellTags->"LastCellOfAPage",
   CellID->995593268],
  Cell[854819, 16955, 1196, 27, 88, "Text",ExpressionUUID->"27caea96-9619-48f7-bec1-2641c8591eca",
   CellTags->{"LastCellOfAPage", "i:6"},
   CellID->2143826245],
  Cell[931590, 18447, 923, 17, 88, "Text",ExpressionUUID->"9bcc805f-063f-4ef1-83b2-efd4310ee1cd",
   CellTags->"LastCellOfAPage",
   CellID->237141549],
  Cell[1005166, 19837, 60669, 1161, 307, "Output",ExpressionUUID->"83dd0500-0645-4652-8a80-2d93cd765e24",
   CellTags->"LastCellOfAPage",
   CellID->1691640520],
  Cell[1081414, 21373, 60837, 1164, 307, "Output",ExpressionUUID->"82b88703-5667-431a-8da9-3504953dd955",
   CellTags->"LastCellOfAPage",
   CellID->938952088],
  Cell[1222299, 24001, 491, 8, 38, "Text",ExpressionUUID->"498ee7d2-14ab-49e9-8e09-a2516b560cfc",
   CellTags->"LastCellOfAPage",
   CellID->1284012221],
  Cell[1303570, 25586, 651, 13, 38, "Text",ExpressionUUID->"833c9288-7da1-4aa7-b03d-fdf8bfc7e2cf",
   CellTags->{"LastCellOfAPage", "i:10"},
   CellID->1754728438],
  Cell[1388226, 27222, 1491, 29, 138, "Text",ExpressionUUID->"fe488726-5027-4cb2-80e3-ad96ed46a6ab",
   CellTags->{"LastCellOfAPage", "i:12"},
   CellID->1904588641],
  Cell[1452252, 28491, 587, 12, 37, "Output",ExpressionUUID->"daf92816-8cf6-481b-ae04-98705433bdb9",
   CellTags->"LastCellOfAPage",
   CellID->1339068970],
  Cell[1464932, 28815, 33536, 619, 151, "Output",ExpressionUUID->"79df6fcb-7050-46b5-9464-626c7efaf5eb",
   CellTags->"LastCellOfAPage",
   CellID->314552838],
  Cell[1616282, 31671, 271, 4, 38, "Text",ExpressionUUID->"1b0d0c38-700d-4c05-a383-9fcf538d283f",
   CellTags->"LastCellOfAPage",
   CellID->2007187232],
  Cell[1704640, 33337, 491, 11, 38, "Text",ExpressionUUID->"d27aca53-5280-4e0e-8e04-ed6f6c43a262",
   CellTags->"LastCellOfAPage",
   CellID->1474041794],
  Cell[1837247, 35881, 552, 9, 88, "Text",ExpressionUUID->"ecdd6118-c03b-44e4-9284-6114962ef138",
   CellTags->"LastCellOfAPage",
   CellID->1790912781],
  Cell[1919761, 37510, 74434, 1426, 307, "Output",ExpressionUUID->"c74c97c4-38fc-47bb-b217-23b009a645d6",
   CellTags->"LastCellOfAPage",
   CellID->47421800],
  Cell[2045595, 39983, 2101, 43, 138, "Text",ExpressionUUID->"624ed07a-ed7c-4ba3-8998-ac686ea1cc5e",
   CellTags->"LastCellOfAPage",
   CellID->125055792],
  Cell[2198585, 42971, 970, 25, 88, "Text",ExpressionUUID->"2c1ade3a-fbb9-441f-8313-0a1a8e1ce8e9",
   CellTags->"LastCellOfAPage",
   CellID->103426814],
  Cell[2217291, 43430, 80474, 1548, 307, "Output",ExpressionUUID->"5baa37b5-78ac-46bc-8d27-585394f6a48f",
   CellTags->"LastCellOfAPage",
   CellID->336431063],
  Cell[2380927, 46625, 2273, 52, 188, "Text",ExpressionUUID->"7e49510c-f15b-4247-9513-25a99d571a9d",
   CellTags->"LastCellOfAPage",
   CellID->28799025],
  Cell[2456438, 48105, 173528, 3400, 307, "Output",ExpressionUUID->"8b811eed-ebdd-46ef-b965-7a0e7a5c126f",
   CellTags->"LastCellOfAPage",
   CellID->1202421239],
  Cell[2813727, 55165, 76499, 1481, 307, "Output",ExpressionUUID->"18e85f8d-4f36-49b2-b58e-c365d814a8cb",
   CellTags->"LastCellOfAPage",
   CellID->2083463451],
  Cell[3056599, 59945, 2551, 71, 89, "Text",ExpressionUUID->"781d9eff-d5ec-4435-badd-e0168679d75c",
   CellTags->"LastCellOfAPage",
   CellID->397831151],
  Cell[3237902, 63487, 1018, 16, 63, "Text",ExpressionUUID->"762e25b0-9692-42b0-8dca-2539c137d317",
   CellTags->"LastCellOfAPage",
   CellID->93499581],
  Cell[3374706, 66180, 121356, 2279, 313, "Output",ExpressionUUID->"70c68e9b-b4cb-4f71-a809-a7c806c51e4d",
   CellTags->"LastCellOfAPage",
   CellID->1831767386],
  Cell[3640548, 71300, 75341, 1357, 231, "Output",ExpressionUUID->"6e10d868-cf9f-4b48-aa82-c76fed4a5a58",
   CellTags->"LastCellOfAPage",
   CellID->271445584],
  Cell[3811565, 74563, 3092, 69, 163, "Text",ExpressionUUID->"273a4da3-1a4d-490b-a817-332d2f9a47a0",
   CellTags->{"LastCellOfAPage", "i:25"},
   CellID->1770823466],
  Cell[3953587, 77343, 1093, 26, 38, "Text",ExpressionUUID->"3ceef297-91ed-41ce-9b3e-5488a4893994",
   CellTags->{"LastCellOfAPage", "i:26"},
   CellID->1911662489],
  Cell[4012987, 78498, 67627, 1286, 307, "Output",ExpressionUUID->"7d6f888e-f865-454a-bd59-ac729e6cc450",
   CellTags->"LastCellOfAPage",
   CellID->739334695],
  Cell[4157837, 81290, 84833, 1626, 307, "Output",ExpressionUUID->"2363fee2-09c5-44ec-a8ce-0fcc283c001d",
   CellTags->"LastCellOfAPage",
   CellID->518245459],
  Cell[4255245, 83199, 1669, 37, 88, "Text",ExpressionUUID->"b4631769-b55a-40a2-8c51-2e364abec43f",
   CellTags->"LastCellOfAPage",
   CellID->125871474],
  Cell[4508841, 88221, 1538, 31, 113, "Text",ExpressionUUID->"cb1372eb-ef34-4d98-a966-773822db98a0",
   CellTags->"LastCellOfAPage",
   CellID->1060547653],
  Cell[4525526, 88620, 1324, 31, 63, "Text",ExpressionUUID->"ee6812c7-bebc-4cfc-9ed8-c32f7e54b542",
   CellTags->{"LastCellOfAPage", "i:29"},
   CellID->1239008905],
  Cell[4618820, 90507, 90029, 1768, 285, "Output",ExpressionUUID->"8eae2867-e99d-4953-b9e1-0745652aa312",
   CellTags->"LastCellOfAPage",
   CellID->1038292147],
  Cell[4716654, 92461, 45694, 862, 387, "Output",ExpressionUUID->"dc9e08ad-b099-42aa-bd65-21a02fa8bcde",
   CellTags->"LastCellOfAPage",
   CellID->1139651230],
  Cell[4832918, 94711, 1094, 26, 63, "Text",ExpressionUUID->"671b5a11-5eeb-4178-936e-b2a349f95b99",
   CellTags->"LastCellOfAPage",
   CellID->1851132716],
  Cell[4890219, 95812, 2145, 44, 88, "Text",ExpressionUUID->"14eb71ea-d4ce-48bc-a94d-50292e96405f",
   CellTags->"LastCellOfAPage",
   CellID->2001368307],
  Cell[4956997, 97070, 62257, 1132, 313, "Output",ExpressionUUID->"14515e5e-5e05-487e-8410-88348e07970d",
   CellTags->"LastCellOfAPage",
   CellID->748953334],
  Cell[5107393, 99849, 1308, 22, 138, "Text",ExpressionUUID->"19c06cbd-3b9e-4056-9103-ebc17043dc88",
   CellTags->{"LastCellOfAPage", "i:34"},
   CellID->1234361617],
  Cell[5451881, 106697, 1015, 20, 63, "Text",ExpressionUUID->"832e5e50-eae7-4922-860e-93874cf6d28f",
   CellTags->{"LastCellOfAPage", "i:36"},
   CellID->578146987],
  Cell[5525799, 108130, 58824, 1069, 307, "Output",ExpressionUUID->"7d069b55-cacb-4ea3-b544-ed0d21194fe6",
   CellTags->"LastCellOfAPage",
   CellID->477548398],
  Cell[5781925, 113253, 45706, 859, 117, "Output",ExpressionUUID->"d7a588c1-8b89-4e22-8b76-d68a08f2e6cc",
   CellTags->"LastCellOfAPage",
   CellID->329318376],
  Cell[5929968, 116126, 45685, 860, 117, "Output",ExpressionUUID->"f35089e1-cd98-40a3-a738-21de61a38217",
   CellTags->"LastCellOfAPage",
   CellID->1533311824],
  Cell[6075627, 118932, 1001, 22, 62, "ExerciseInput",ExpressionUUID->"16383803-8e5d-4fcc-8dc8-6af9d6a64fba",
   CellTags->{"Answer", "LastCellOfAPage"},
   CellID->1978871925],
  Cell[6159618, 120524, 87563, 1670, 299, "ExerciseOutput",ExpressionUUID->"8ea52589-d188-4cdd-a66b-308e2d791351",
   CellTags->{"Exercise", "LastCellOfAPage"},
   CellID->1597927271],
  Cell[6397127, 125000, 539, 14, 26, "Input",ExpressionUUID->"2f55a4ab-444c-4053-86bf-b33fdeca15a0",
   CellTags->"LastCellOfAPage",
   CellID->155727354],
  Cell[6466412, 126337, 107130, 2017, 313, "Output",ExpressionUUID->"5bfc9f68-6091-44ea-9dbc-f4f02810c1e2",
   CellTags->"LastCellOfAPage",
   CellID->477038519],
  Cell[6627767, 129431, 28076, 506, 123, "Output",ExpressionUUID->"9a6100bd-b853-4b75-9197-aa6a6099ff63",
   CellTags->"LastCellOfAPage",
   CellID->1053180910],
  Cell[6659917, 130048, 27949, 503, 123, "Output",ExpressionUUID->"918e6cdb-6de9-4aa4-8af0-f44bbec96c5a",
   CellTags->"LastCellOfAPage",
   CellID->1627125295]},
 "p: 194"->{
  Cell[27061, 560, 238, 4, 39, "CodeText",ExpressionUUID->"da9975e2-1307-41e3-8d36-e77d37f90d7b",
   CellTags->"p: 194",
   CellID->2011985228]},
 "i:1"->{
  Cell[268794, 5393, 1051, 22, 38, "Text",ExpressionUUID->"2e82c787-ddb0-46ee-aa3d-888cb5a8ef26",
   CellTags->"i:1",
   CellID->943032812]},
 "i:2"->{
  Cell[271210, 5453, 1592, 35, 113, "Text",ExpressionUUID->"2d92404b-1b0d-43e9-81f0-52220707e7e3",
   CellTags->{"i:2", "p: 195"},
   CellID->2117004131]},
 "p: 195"->{
  Cell[271210, 5453, 1592, 35, 113, "Text",ExpressionUUID->"2d92404b-1b0d-43e9-81f0-52220707e7e3",
   CellTags->{"i:2", "p: 195"},
   CellID->2117004131]},
 "p: 196"->{
  Cell[351065, 7093, 463, 11, 89, "Text",ExpressionUUID->"11826430-7639-4456-b2c7-fe9e86ece7e8",
   CellTags->"p: 196",
   CellID->1938699959]},
 "i:3"->{
  Cell[421897, 8532, 1536, 33, 163, "Text",ExpressionUUID->"38b1ac88-c0b2-4de3-8641-94ccef91e724",
   CellTags->{"LastCellOfAPage", "i:3"},
   CellID->695975439]},
 "p: 197"->{
  Cell[423436, 8567, 897, 24, 39, "CodeText",ExpressionUUID->"c6ca5333-837b-4fdb-b573-bc33c5b1043f",
   CellTags->"p: 197",
   CellID->1449708144]},
 "i:4"->{
  Cell[487010, 9799, 2067, 46, 163, "Text",ExpressionUUID->"4bb9adae-0728-4fed-99a5-1aa0bceadb7c",
   CellTags->"i:4",
   CellID->1420758958]},
 "p: 198"->{
  Cell[560346, 11262, 505, 7, 57, "Subsection",ExpressionUUID->"a29a54b4-9744-423e-b0eb-83579d1b2645",
   CellTags->"p: 198",
   CellID->191185923]},
 "i:5"->{
  Cell[560854, 11271, 3116, 64, 238, "Text",ExpressionUUID->"c6992dcc-6432-40de-b59b-64955c8faffd",
   CellTags->"i:5",
   CellID->1880597579]},
 "p: 199"->{
  Cell[616663, 12345, 738, 14, 26, "Input",ExpressionUUID->"712b1d4b-4811-4b24-9654-279f59ada296",
   CellTags->"p: 199",
   CellID->2044534678]},
 "p: 200"->{
  Cell[755264, 15037, 540, 12, 39, "CodeText",ExpressionUUID->"4a08f04f-329b-4445-8130-0f1c6116cfa4",
   CellTags->"p: 200",
   CellID->1562599093]},
 "i:6"->{
  Cell[854819, 16955, 1196, 27, 88, "Text",ExpressionUUID->"27caea96-9619-48f7-bec1-2641c8591eca",
   CellTags->{"LastCellOfAPage", "i:6"},
   CellID->2143826245]},
 "p: 201"->{
  Cell[856018, 16984, 867, 20, 39, "CodeText",ExpressionUUID->"c911bd05-2337-45cc-b471-9ad645e799fd",
   CellTags->"p: 201",
   CellID->1370495786]},
 "i:7"->{
  Cell[890835, 17643, 2620, 61, 163, "Text",ExpressionUUID->"23399d1f-ff60-4c3f-87c1-5129bc7a26a0",
   CellTags->"i:7",
   CellID->1094395827]},
 "p: 202"->{
  Cell[932516, 18466, 731, 12, 83, "CodeText",ExpressionUUID->"ab916b68-69c4-4a9d-8155-af71baab0bb7",
   CellTags->"p: 202",
   CellID->756333428]},
 "p: 203"->{
  Cell[1065850, 21001, 1422, 30, 88, "Text",ExpressionUUID->"9e2b15e3-3823-4302-bbcc-6f2ea99fb3fc",
   CellTags->"p: 203",
   CellID->1541223947]},
 "p: 204"->{
  Cell[1142300, 22543, 248, 4, 57, "Subsection",ExpressionUUID->"6d8eaec1-76cf-4fce-98a9-e73d8cbbd1b6",
   CellTags->"p: 204",
   CellID->1466481272]},
 "i:8"->{
  Cell[1142551, 22549, 581, 10, 88, "Text",ExpressionUUID->"f08dc595-5d0e-4936-8b0e-7e05f753ca5b",
   CellTags->"i:8",
   CellID->1692155834]},
 "p: 205"->{
  Cell[1222793, 24011, 1030, 23, 83, "CodeText",ExpressionUUID->"90568f0c-1c96-4bfa-a9a5-d46a6f5b0488",
   CellTags->"p: 205",
   CellID->1852368988]},
 "i:9"->{
  Cell[1258939, 24700, 1350, 28, 63, "Text",ExpressionUUID->"9a60e0cb-eecd-485b-8cd4-6c44ed1e0881",
   CellTags->"i:9",
   CellID->1825189603]},
 "i:10"->{
  Cell[1303570, 25586, 651, 13, 38, "Text",ExpressionUUID->"833c9288-7da1-4aa7-b03d-fdf8bfc7e2cf",
   CellTags->{"LastCellOfAPage", "i:10"},
   CellID->1754728438]},
 "p: 206"->{
  Cell[1304224, 25601, 789, 19, 39, "CodeText",ExpressionUUID->"82ec2eb7-8084-4cd4-aecb-64c1d5f65efb",
   CellTags->"p: 206",
   CellID->2121046457]},
 "i:11"->{
  Cell[1345361, 26395, 865, 16, 63, "Text",ExpressionUUID->"0e98cbee-b502-43a0-ae7d-826d144f254c",
   CellTags->"i:11",
   CellID->337509690]},
 "i:12"->{
  Cell[1388226, 27222, 1491, 29, 138, "Text",ExpressionUUID->"fe488726-5027-4cb2-80e3-ad96ed46a6ab",
   CellTags->{"LastCellOfAPage", "i:12"},
   CellID->1904588641]},
 "p: 207"->{
  Cell[1389720, 27253, 508, 12, 39, "CodeText",ExpressionUUID->"cb6f675f-f9c3-4cc1-a1c9-e9fec4e64141",
   CellTags->"p: 207",
   CellID->266503124]},
 "i:13"->{
  Cell[1449073, 28411, 770, 14, 63, "Text",ExpressionUUID->"f24eae1f-9493-4802-8868-f1cacd2173e0",
   CellTags->"i:13",
   CellID->756725510]},
 "p: 208"->{
  Cell[1452854, 28506, 715, 14, 39, "CodeText",ExpressionUUID->"24830f48-1694-4467-9514-73119f108c66",
   CellTags->"p: 208",
   CellID->963898010]},
 "i:14"->{
  Cell[1459665, 28682, 2375, 56, 113, "Text",ExpressionUUID->"5bf954d6-6c50-4a0d-a7a0-6f631bd8d78c",
   CellTags->"i:14",
   CellID->1441667132]},
 "p: 209"->{
  Cell[1498483, 29437, 752, 17, 39, "CodeText",ExpressionUUID->"bb9b4818-29cd-4f3e-a675-5120c5ca213a",
   CellTags->"p: 209",
   CellID->2067761447]},
 "p: 210"->{
  Cell[1616556, 31677, 777, 17, 39, "CodeText",ExpressionUUID->"9d42bda9-cc3f-48ef-9e7d-9bb4029bc6bd",
   CellTags->"p: 210",
   CellID->1903388912]},
 "p: 211"->{
  Cell[1705134, 33350, 500, 13, 39, "CodeText",ExpressionUUID->"818dee61-090c-4598-9539-4ec11c53a460",
   CellTags->"p: 211",
   CellID->680111158]},
 "i:15"->{
  Cell[1760268, 34396, 1493, 26, 63, "Text",ExpressionUUID->"1e81ee95-cd6b-4158-81b6-9ef5ce9d04de",
   CellTags->"i:15",
   CellID->1995021247]},
 "p: 212"->{
  Cell[1837802, 35892, 529, 12, 39, "CodeText",ExpressionUUID->"8d7a0579-0efc-4397-a63d-bb72fca6ac29",
   CellTags->"p: 212",
   CellID->663806488]},
 "p: 213"->{
  Cell[1994210, 38939, 476, 8, 88, "Text",ExpressionUUID->"338e76dc-5049-45fe-8629-685f1758375e",
   CellTags->"p: 213",
   CellID->696251159]},
 "i:16"->{
  Cell[2044130, 39955, 1462, 26, 138, "Text",ExpressionUUID->"79b1d6f7-c5ab-48d0-a451-7971405bead8",
   CellTags->"i:16",
   CellID->4562025]},
 "p: 214"->{
  Cell[2047699, 40028, 1001, 23, 39, "CodeText",ExpressionUUID->"70126238-3818-4288-a03f-7e2702bf945b",
   CellTags->"p: 214",
   CellID->358705252]},
 "p: 215"->{
  Cell[2199558, 42998, 579, 13, 39, "CodeText",ExpressionUUID->"0cd24166-c927-4615-8dbb-a5266a25e220",
   CellTags->"p: 215",
   CellID->1497318086]},
 "i:17"->{
  Cell[2214205, 43363, 1251, 21, 88, "Text",ExpressionUUID->"356535c1-f2b9-421a-93d1-2ffb473ce87d",
   CellTags->"i:17",
   CellID->84138705]},
 "p: 216"->{
  Cell[2297780, 44981, 300, 6, 38, "Text",ExpressionUUID->"aab75a38-63a8-4b06-bb35-11eead2aeaa7",
   CellTags->"p: 216",
   CellID->811687563]},
 "i:18"->{
  Cell[2299083, 45015, 3597, 84, 116, "ItemNumbered",ExpressionUUID->"a451faef-62ca-451f-b908-12ce17139685",
   CellTags->"i:18",
   CellID->2006981456]},
 "p: 217"->{
  Cell[2383203, 46679, 1305, 29, 61, "CodeText",ExpressionUUID->"3ce7f9c2-5720-4337-b78d-3c1070fa678a",
   CellTags->"p: 217",
   CellID->1477865550]},
 "i:19"->{
  Cell[2453906, 48052, 1464, 23, 163, "Text",ExpressionUUID->"7cc0f17c-f0bf-4138-af90-50454af9daaf",
   CellTags->"i:19",
   CellID->95153701]},
 "i:20"->{
  Cell[2629981, 51508, 880, 19, 63, "Text",ExpressionUUID->"79206345-683e-441d-8245-598c69090f2c",
   CellTags->{"i:20", "p: 218"},
   CellID->780508266]},
 "p: 218"->{
  Cell[2629981, 51508, 880, 19, 63, "Text",ExpressionUUID->"79206345-683e-441d-8245-598c69090f2c",
   CellTags->{"i:20", "p: 218"},
   CellID->780508266]},
 "i:21"->{
  Cell[2808023, 55015, 4428, 112, 138, "Text",ExpressionUUID->"85a73d92-9bc3-4b7c-a49a-f81925fbfe13",
   CellTags->"i:21",
   CellID->2090746557]},
 "p: 219"->{
  Cell[2890241, 56649, 1054, 28, 63, "Text",ExpressionUUID->"bac310d1-bbcb-4b7e-9418-658e819b89df",
   CellTags->"p: 219",
   CellID->1661654876]},
 "p: 220"->{
  Cell[3059153, 60018, 1346, 33, 39, "CodeText",ExpressionUUID->"9dddb556-9444-409a-8bed-54226be3c3ca",
   CellTags->"p: 220",
   CellID->1791974851]},
 "i:22"->{
  Cell[3145857, 61749, 1376, 26, 63, "Text",ExpressionUUID->"0ac882cc-6ff7-4261-95fe-463a8790fa81",
   CellTags->"i:22",
   CellID->587827225]},
 "p: 221"->{
  Cell[3238923, 63505, 595, 13, 39, "CodeText",ExpressionUUID->"41785939-cb40-4f52-a241-161aa70b7a37",
   CellTags->"p: 221",
   CellID->1167947200]},
 "p: 222"->{
  Cell[3496077, 68462, 1765, 41, 88, "Text",ExpressionUUID->"54237547-d133-465d-93a7-cde707919529",
   CellTags->"p: 222",
   CellID->95999124]},
 "p: 223"->{
  Cell[3715938, 72663, 264, 4, 55, "Subsubsection",ExpressionUUID->"51a1be13-733e-467c-a837-cc5c2cc1ccd5",
   CellTags->"p: 223",
   CellID->315007673]},
 "i:23"->{
  Cell[3716205, 72669, 3274, 72, 138, "Text",ExpressionUUID->"db03461e-d607-4724-916c-2bce3e782259",
   CellTags->"i:23",
   CellID->2016436396]},
 "i:24"->{
  Cell[3721468, 72787, 1006, 23, 61, "CodeText",ExpressionUUID->"a956e825-4e5a-4b54-bb73-3096c0c6b48d",
   CellTags->"i:24",
   CellID->190838816]},
 "i:25"->{
  Cell[3811565, 74563, 3092, 69, 163, "Text",ExpressionUUID->"273a4da3-1a4d-490b-a817-332d2f9a47a0",
   CellTags->{"LastCellOfAPage", "i:25"},
   CellID->1770823466]},
 "p: 224"->{
  Cell[3814660, 74634, 1018, 26, 61, "CodeText",ExpressionUUID->"7af44273-ea09-45f7-a59c-a42dc1346040",
   CellTags->"p: 224",
   CellID->716348855]},
 "i:26"->{
  Cell[3953587, 77343, 1093, 26, 38, "Text",ExpressionUUID->"3ceef297-91ed-41ce-9b3e-5488a4893994",
   CellTags->{"LastCellOfAPage", "i:26"},
   CellID->1911662489]},
 "p: 225"->{
  Cell[3954683, 77371, 777, 18, 39, "CodeText",ExpressionUUID->"91dd4292-6d55-41db-ac00-d64eff2f663b",
   CellTags->"p: 225",
   CellID->1232568316]},
 "i:27"->{
  Cell[4008191, 78390, 3602, 74, 213, "Text",ExpressionUUID->"55b0874d-6d51-4438-80ec-784436fc2bfc",
   CellTags->"i:27",
   CellID->1109655415]},
 "p: 226"->{
  Cell[4080629, 79787, 498, 9, 38, "Text",ExpressionUUID->"98c7592b-b1aa-4f4f-b1f9-f4a63622edee",
   CellTags->"p: 226",
   CellID->507207280]},
 "p: 227"->{
  Cell[4242719, 82922, 478, 11, 57, "Subsection",ExpressionUUID->"234dd36e-9ae4-4e01-89e1-8a1007135d44",
   CellTags->"p: 227",
   CellID->1291368151]},
 "i:28"->{
  Cell[4244502, 82965, 1206, 25, 88, "Text",ExpressionUUID->"a4358d70-441e-453c-bdc0-5f61d33ceb87",
   CellTags->"i:28",
   CellID->1416202285]},
 "p: 228"->{
  Cell[4256917, 83238, 527, 12, 39, "CodeText",ExpressionUUID->"9ea6af3f-e9e6-4750-887c-f7c7797f599b",
   CellTags->"p: 228",
   CellID->452488862]},
 "p: 229"->{
  Cell[4510382, 88254, 688, 17, 39, "CodeText",ExpressionUUID->"d18be936-dfef-4719-9d4d-eee387d7270e",
   CellTags->"p: 229",
   CellID->1994311824]},
 "i:29"->{
  Cell[4525526, 88620, 1324, 31, 63, "Text",ExpressionUUID->"ee6812c7-bebc-4cfc-9ed8-c32f7e54b542",
   CellTags->{"LastCellOfAPage", "i:29"},
   CellID->1239008905]},
 "p: 230"->{
  Cell[4526853, 88653, 550, 14, 39, "CodeText",ExpressionUUID->"b9b6db67-74bf-44e2-b29b-7bed08b267c8",
   CellTags->"p: 230",
   CellID->739716233]},
 "p: 231"->{
  Cell[4708898, 92281, 459, 12, 55, "Subsubsection",ExpressionUUID->"6f7ac768-fb3f-445a-a141-905640dc34ba",
   CellTags->"p: 231",
   CellID->953359415]},
 "i:30"->{
  Cell[4709360, 92295, 910, 23, 39, "Text",ExpressionUUID->"965e0500-a084-42d3-905c-5679ec34e334",
   CellTags->"i:30",
   CellID->353071623]},
 "p: 232"->{
  Cell[4762363, 93326, 528, 12, 63, "Text",ExpressionUUID->"afddf6dd-d440-406e-92a7-0db125f65660",
   CellTags->"p: 232",
   CellID->682333756]},
 "i:31"->{
  Cell[4769419, 93487, 1594, 31, 88, "Text",ExpressionUUID->"e5c85db2-caed-48ca-864f-241715f73e31",
   CellTags->"i:31",
   CellID->1900876391]},
 "p: 233"->{
  Cell[4834015, 94739, 523, 11, 39, "CodeText",ExpressionUUID->"66fed4e1-049a-4c2b-a872-d4b1bf8be289",
   CellTags->"p: 233",
   CellID->1112948299]},
 "Double-Transpose"->{
  Cell[4886779, 95742, 295, 4, 57, "Subsection",ExpressionUUID->"2da1ddcb-eb38-4f1a-a0a5-18e33cdc0737",
   CellTags->"Double-Transpose",
   CellID->1236424223]},
 "i:32"->{
  Cell[4887077, 95748, 2848, 55, 188, "Text",ExpressionUUID->"1a429042-57be-4cac-af07-aeee52cf9a0a",
   CellTags->"i:32",
   CellID->1352420434]},
 "p: 234"->{
  Cell[4892367, 95858, 299, 4, 39, "CodeText",ExpressionUUID->"e4f42bef-dbee-4d7d-b041-afd2e49a21e9",
   CellTags->"p: 234",
   CellID->718250717]},
 "p: 235"->{
  Cell[5019269, 98205, 1099, 19, 143, "Text",ExpressionUUID->"ecf43f5f-5e06-431a-8c77-f12e76d31c19",
   CellTags->"p: 235",
   CellID->1702520704]},
 "i:33"->{
  Cell[5058462, 98911, 1705, 37, 88, "Text",ExpressionUUID->"4a89fe9c-5ee5-45c6-8a58-cc5013b56beb",
   CellTags->"i:33",
   CellID->1642776715]},
 "i:34"->{
  Cell[5107393, 99849, 1308, 22, 138, "Text",ExpressionUUID->"19c06cbd-3b9e-4056-9103-ebc17043dc88",
   CellTags->{"LastCellOfAPage", "i:34"},
   CellID->1234361617]},
 "p: 236"->{
  Cell[5108704, 99873, 353, 5, 39, "CodeText",ExpressionUUID->"133eb746-84a6-4a11-a524-7224faedcbfa",
   CellTags->"p: 236",
   CellID->817524071]},
 "i:35"->{
  Cell[5400864, 105743, 1036, 26, 65, "Input",ExpressionUUID->"3d71b01f-c6e7-4d52-93c1-0a10cb435eb7",
   CellTags->"i:35",
   CellID->259391128]},
 "i:36"->{
  Cell[5451881, 106697, 1015, 20, 63, "Text",ExpressionUUID->"832e5e50-eae7-4922-860e-93874cf6d28f",
   CellTags->{"LastCellOfAPage", "i:36"},
   CellID->578146987]},
 "p: 237"->{
  Cell[5452899, 106719, 663, 16, 61, "CodeText",ExpressionUUID->"fce05236-f23c-4b43-a492-0512a9e6727f",
   CellTags->"p: 237",
   CellID->904330493]},
 "p: 238"->{
  Cell[5584638, 109202, 2452, 57, 113, "Text",ExpressionUUID->"41405a8b-d0be-49e5-88ad-ef0adadbf433",
   CellTags->"p: 238",
   CellID->330256751]},
 "i:37"->{
  Cell[5587452, 109271, 2042, 42, 138, "Text",ExpressionUUID->"16cc21ed-442c-44a0-94bf-c86a45255650",
   CellTags->"i:37",
   CellID->1100271785]},
 "i:38"->{
  Cell[5827646, 114115, 1755, 41, 88, "Text",ExpressionUUID->"c0975f39-9c8b-4ede-a927-dc106bed0e68",
   CellTags->{"i:38", "p: 239"},
   CellID->1303585553]},
 "p: 239"->{
  Cell[5827646, 114115, 1755, 41, 88, "Text",ExpressionUUID->"c0975f39-9c8b-4ede-a927-dc106bed0e68",
   CellTags->{"i:38", "p: 239"},
   CellID->1303585553]},
 "i:39"->{
  Cell[5975668, 116989, 2229, 47, 188, "Text",ExpressionUUID->"019568eb-baf7-4def-a424-d6aedec88132",
   CellTags->{"i:39", "p: 240"},
   CellID->285476179]},
 "p: 240"->{
  Cell[5975668, 116989, 2229, 47, 188, "Text",ExpressionUUID->"019568eb-baf7-4def-a424-d6aedec88132",
   CellTags->{"i:39", "p: 240"},
   CellID->285476179]},
 "Exercise"->{
  Cell[5978132, 117048, 1446, 39, 49, "Exercise",ExpressionUUID->"928095ae-3d93-4229-afea-79748c161925",
   CellTags->"Exercise",
   CellID->1575861236],
  Cell[5980990, 117125, 1225, 28, 49, "Exercise",ExpressionUUID->"6d2d5f7a-4365-4d53-8786-d2336c029cc7",
   CellTags->"Exercise",
   CellID->1808537942],
  Cell[5982240, 117157, 460, 10, 25, "ExerciseInput",ExpressionUUID->"4b1af063-d5aa-4847-ac56-2a02171a83fb",
   CellTags->"Exercise",
   CellID->1455581065],
  Cell[5982703, 117169, 89729, 1684, 307, "ExerciseOutput",ExpressionUUID->"1545422d-b3e8-41e3-98f4-388d1e65294b",
   CellTags->"Exercise",
   CellID->1623612392],
  Cell[6072459, 118857, 2177, 44, 106, "Exercise",ExpressionUUID->"1debe3a7-070a-45b7-a053-fc464600de54",
   CellTags->"Exercise",
   CellID->169822851],
  Cell[6074661, 118905, 963, 25, 64, "Exercise",ExpressionUUID->"67e7959a-bf59-4a33-a56e-d4b8130cc442",
   CellTags->"Exercise",
   CellID->208656310],
  Cell[6076665, 118959, 622, 12, 49, "Exercise",ExpressionUUID->"1d6860e2-b352-466d-95f0-5e21de76ab71",
   CellTags->{"Exercise", "p: 241"},
   CellID->1503765094],
  Cell[6104739, 119470, 992, 19, 106, "Exercise",ExpressionUUID->"5ebb0de8-f7ce-4191-a071-fb056202332c",
   CounterAssignments->{{$CellContext`Exercise, 4}},
   CellTags->"Exercise",
   CellID->1478363851],
  Cell[6159225, 120514, 390, 8, 68, "Exercise",ExpressionUUID->"b022ae43-a440-4443-90a9-222e3d48b3a3",
   CellTags->"Exercise",
   CellID->1661057546],
  Cell[6159618, 120524, 87563, 1670, 299, "ExerciseOutput",ExpressionUUID->"8ea52589-d188-4cdd-a66b-308e2d791351",
   CellTags->{"Exercise", "LastCellOfAPage"},
   CellID->1597927271],
  Cell[6247218, 122199, 439, 9, 30, "Exercise",ExpressionUUID->"b59fc020-4c5c-43bb-8f8a-2c8aa878966e",
   CellTags->{"Exercise", "p: 242"},
   CellID->1329505952],
  Cell[6247682, 122212, 964, 24, 80, "ExerciseInput",ExpressionUUID->"c01cb706-b4d3-47a8-af46-ca7563bfae65",
   CellTags->"Exercise",
   CellID->944551117],
  Cell[6248649, 122238, 67473, 1230, 273, "ExerciseOutput",ExpressionUUID->"64be2b9c-65fc-4e00-9c4a-ecd266cc0f27",
   CellTags->"Exercise",
   CellID->535861801],
  Cell[6316171, 123474, 2022, 51, 87, "Exercise",ExpressionUUID->"4ff4763f-ab69-4962-9b4f-2fe25103844a",
   CellTags->"Exercise",
   CellID->506042144],
  Cell[6318196, 123527, 76186, 1411, 299, "ExerciseOutput",ExpressionUUID->"cc914845-5099-4e31-b062-c5e5fdb95b10",
   CellTags->"Exercise",
   CellID->443874346],
  Cell[6394397, 124941, 1068, 22, 49, "Exercise",ExpressionUUID->"63f3075a-254b-44df-99ae-a07cfb91a4d9",
   CounterAssignments->{{$CellContext`Exercise, 7}},
   CellTags->"Exercise",
   CellID->1738701600]},
 "Answer"->{
  Cell[5979581, 117089, 1372, 31, 44, "ExerciseInput",ExpressionUUID->"e4a87ea7-e633-4c93-a051-5db67d06ecc3",
   CellTags->"Answer",
   CellID->731396008],
  Cell[6075627, 118932, 1001, 22, 62, "ExerciseInput",ExpressionUUID->"16383803-8e5d-4fcc-8dc8-6af9d6a64fba",
   CellTags->{"Answer", "LastCellOfAPage"},
   CellID->1978871925],
  Cell[6077290, 118973, 27412, 492, 93, "ExerciseOutput",ExpressionUUID->"3125c2a9-7822-4e05-b68e-595caf07d410",
   CellTags->"Answer",
   CellID->1628245746],
  Cell[6105734, 119491, 53454, 1018, 269, "ExerciseOutput",ExpressionUUID->"4f471a29-b4fa-4498-a6b8-3e14c025b4ca",
   CellTags->"Answer",
   CellID->542139301]},
 "p: 241"->{
  Cell[6076665, 118959, 622, 12, 49, "Exercise",ExpressionUUID->"1d6860e2-b352-466d-95f0-5e21de76ab71",
   CellTags->{"Exercise", "p: 241"},
   CellID->1503765094]},
 "p: 242"->{
  Cell[6247218, 122199, 439, 9, 30, "Exercise",ExpressionUUID->"b59fc020-4c5c-43bb-8f8a-2c8aa878966e",
   CellTags->{"Exercise", "p: 242"},
   CellID->1329505952]},
 "i:40"->{
  Cell[6395616, 124971, 1508, 27, 77, "TechNote",ExpressionUUID->"147a903f-f767-465c-8381-204275d6be15",
   CellTags->"i:40",
   CellID->1420928995]},
 "p: 243"->{
  Cell[6397691, 125018, 613, 13, 26, "Input",ExpressionUUID->"a06a50a8-e166-4648-b853-a30a689609e7",
   CellTags->"p: 243",
   CellID->1057344935]},
 "i:41"->{
  Cell[6461014, 126215, 1994, 42, 124, "TechNote",ExpressionUUID->"1e0eb2af-9237-4c93-be4f-901938a9f6d5",
   CellTags->"i:41",
   CellID->218467922]},
 "i:42"->{
  Cell[6463011, 126259, 2511, 52, 124, "TechNote",ExpressionUUID->"a53eca2b-9969-46b7-8811-416f276866f2",
   CellTags->"i:42",
   CellID->1156838177]},
 "p: 244"->{
  Cell[6573557, 128357, 591, 13, 54, "TechNote",ExpressionUUID->"d132c061-5804-4479-977b-1f6b8c8f0841",
   CellTags->"p: 244",
   CellID->422400852]},
 "i:43"->{
  Cell[6655858, 129940, 3365, 86, 149, "TechNote",ExpressionUUID->"c57e446b-cbd1-4e7a-91d7-f80bd5c0c2ea",
   CellTags->{"i:43", "p: 245"},
   CellID->838863635]},
 "p: 245"->{
  Cell[6655858, 129940, 3365, 86, 149, "TechNote",ExpressionUUID->"c57e446b-cbd1-4e7a-91d7-f80bd5c0c2ea",
   CellTags->{"i:43", "p: 245"},
   CellID->838863635]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"p: 193", 6868615, 134059},
 {"LastCellOfAPage", 6868822, 134064},
 {"p: 194", 6877337, 134224},
 {"i:1", 6877493, 134228},
 {"i:2", 6877645, 134232},
 {"p: 195", 6877814, 134236},
 {"p: 196", 6877983, 134240},
 {"i:3", 6878138, 134244},
 {"p: 197", 6878315, 134248},
 {"i:4", 6878474, 134252},
 {"p: 198", 6878631, 134256},
 {"i:5", 6878791, 134260},
 {"p: 199", 6878949, 134264},
 {"p: 200", 6879109, 134268},
 {"i:6", 6879269, 134272},
 {"p: 201", 6879447, 134276},
 {"i:7", 6879607, 134280},
 {"p: 202", 6879765, 134284},
 {"p: 203", 6879927, 134288},
 {"p: 204", 6880088, 134292},
 {"i:8", 6880250, 134296},
 {"p: 205", 6880407, 134300},
 {"i:9", 6880569, 134304},
 {"i:10", 6880725, 134308},
 {"p: 206", 6880904, 134312},
 {"i:11", 6881066, 134316},
 {"i:12", 6881221, 134320},
 {"p: 207", 6881402, 134324},
 {"i:13", 6881563, 134328},
 {"p: 208", 6881720, 134332},
 {"i:14", 6881881, 134336},
 {"p: 209", 6882041, 134340},
 {"p: 210", 6882205, 134344},
 {"p: 211", 6882369, 134348},
 {"i:15", 6882530, 134352},
 {"p: 212", 6882689, 134356},
 {"p: 213", 6882852, 134360},
 {"i:16", 6883008, 134364},
 {"p: 214", 6883165, 134368},
 {"p: 215", 6883329, 134372},
 {"i:17", 6883491, 134376},
 {"p: 216", 6883648, 134380},
 {"i:18", 6883804, 134384},
 {"p: 217", 6883972, 134388},
 {"i:19", 6884135, 134392},
 {"i:20", 6884291, 134396},
 {"p: 218", 6884460, 134400},
 {"i:21", 6884627, 134404},
 {"p: 219", 6884788, 134408},
 {"p: 220", 6884949, 134412},
 {"i:22", 6885112, 134416},
 {"p: 221", 6885270, 134420},
 {"p: 222", 6885434, 134424},
 {"p: 223", 6885593, 134428},
 {"i:23", 6885758, 134432},
 {"i:24", 6885916, 134436},
 {"i:25", 6886076, 134440},
 {"p: 224", 6886257, 134444},
 {"i:26", 6886419, 134448},
 {"p: 225", 6886599, 134452},
 {"i:27", 6886761, 134456},
 {"p: 226", 6886921, 134460},
 {"p: 227", 6887079, 134464},
 {"i:28", 6887243, 134468},
 {"p: 228", 6887402, 134472},
 {"p: 229", 6887565, 134476},
 {"i:29", 6887727, 134480},
 {"p: 230", 6887907, 134484},
 {"p: 231", 6888070, 134488},
 {"i:30", 6888236, 134492},
 {"p: 232", 6888393, 134496},
 {"i:31", 6888550, 134500},
 {"p: 233", 6888709, 134504},
 {"Double-Transpose", 6888883, 134508},
 {"i:32", 6889056, 134512},
 {"p: 234", 6889216, 134516},
 {"p: 235", 6889378, 134520},
 {"i:33", 6889538, 134524},
 {"i:34", 6889695, 134528},
 {"p: 236", 6889876, 134532},
 {"i:35", 6890036, 134536},
 {"i:36", 6890194, 134540},
 {"p: 237", 6890374, 134544},
 {"p: 238", 6890538, 134548},
 {"i:37", 6890698, 134552},
 {"i:38", 6890857, 134556},
 {"p: 239", 6891029, 134560},
 {"i:39", 6891199, 134564},
 {"p: 240", 6891371, 134568},
 {"Exercise", 6891545, 134572},
 {"Answer", 6894211, 134623},
 {"p: 241", 6894880, 134636},
 {"p: 242", 6895059, 134640},
 {"i:40", 6895235, 134644},
 {"p: 243", 6895399, 134648},
 {"i:41", 6895559, 134652},
 {"i:42", 6895721, 134656},
 {"p: 244", 6895886, 134660},
 {"i:43", 6896048, 134664},
 {"p: 245", 6896224, 134668}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[611, 23, 358, 11, 110, "Section",ExpressionUUID->"f5b35416-8b79-4b83-9595-837975b116da",
 CounterAssignments->{{"Section", 5}},
 CellTags->"p: 193",
 CellID->2145722108],
Cell[972, 36, 1109, 23, 63, "Text",ExpressionUUID->"306bfa5f-aaf1-47d7-a600-c8e60515ebc9",
 CellID->1568556788],
Cell[2084, 61, 581, 14, 37, "CodeCaption",ExpressionUUID->"9de47b7c-e44b-4055-bfcd-d4443e1e090d",
 CellID->336964028],
Cell[CellGroupData[{
Cell[2690, 79, 297, 7, 26, "Input",ExpressionUUID->"f13f4f0a-7275-4c94-a2ef-9f2213f58f2f",
 CellID->443800812],
Cell[2990, 88, 20012, 387, 152, "Output",ExpressionUUID->"02a816e9-e7f4-4ee4-b5e4-6d8c69bb25c7",
 CellID->1590202819]
}, Open  ]],
Cell[23017, 478, 456, 7, 61, "CodeText",ExpressionUUID->"57f319c6-8659-454e-abf7-3b1b7ae0fdbe",
 CellID->1042232263],
Cell[23476, 487, 365, 8, 26, "Input",ExpressionUUID->"2d28787d-23e1-43ff-9c11-9d207abfd982",
 CellID->1457046614],
Cell[CellGroupData[{
Cell[23866, 499, 175, 2, 57, "Subsection",ExpressionUUID->"790f416e-36fd-4218-b3f1-859efd62a44e",
 CellID->160303067],
Cell[24044, 503, 1715, 26, 213, "Text",ExpressionUUID->"775c1327-d353-44a4-8c02-c691f390f7e0",
 CellID->304857126],
Cell[25762, 531, 1296, 27, 88, "Text",ExpressionUUID->"ee7c7c53-4654-4d87-a23b-8e727ccddcd9",
 CellTags->"LastCellOfAPage",
 CellID->525338625],
Cell[27061, 560, 238, 4, 39, "CodeText",ExpressionUUID->"da9975e2-1307-41e3-8d36-e77d37f90d7b",
 CellTags->"p: 194",
 CellID->2011985228],
Cell[CellGroupData[{
Cell[27324, 568, 559, 10, 26, "Input",ExpressionUUID->"eea8f72e-9d1c-4fe7-938f-979c29643242",
 CellID->446804051],
Cell[27886, 580, 61643, 1175, 307, "Output",ExpressionUUID->"7a35310b-35b7-4d75-8c9c-4a7fe5fbdc59",
 CellID->1123598229]
}, Open  ]],
Cell[89544, 1758, 537, 11, 38, "Text",ExpressionUUID->"4b3d26d4-3430-4203-9222-3315b54dcbe6",
 CellID->1541682259],
Cell[90084, 1771, 212, 3, 39, "CodeText",ExpressionUUID->"00846ec2-2f8b-4ac1-8dcc-ae7b1a83c454",
 CellID->1527873072],
Cell[CellGroupData[{
Cell[90321, 1778, 385, 8, 26, "Input",ExpressionUUID->"cb0f50a8-2a61-4071-ae15-d899f00751b9",
 CellID->897988960],
Cell[90709, 1788, 177583, 3587, 307, "Output",ExpressionUUID->"80d7f00f-1884-4ed6-838c-419118425209",
 CellID->147860689]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[268341, 5381, 450, 10, 57, "Subsection",ExpressionUUID->"cc58cdf1-a8b2-465a-808f-69c5aa66e834",
 CellID->1269882970],
Cell[268794, 5393, 1051, 22, 38, "Text",ExpressionUUID->"2e82c787-ddb0-46ee-aa3d-888cb5a8ef26",
 CellTags->"i:1",
 CellID->943032812],
Cell[269848, 5417, 480, 11, 39, "CodeText",ExpressionUUID->"8119997c-bd08-45a8-97ba-ea85574a7800",
 CellID->1717994317],
Cell[CellGroupData[{
Cell[270353, 5432, 336, 6, 26, "Input",ExpressionUUID->"6a6ba56a-6b59-42f2-8354-4b6d8f1c4bec",
 CellID->275169741],
Cell[270692, 5440, 503, 10, 37, "Output",ExpressionUUID->"ba41ecf2-458e-4b1a-a110-4b65e64fe8ef",
 CellTags->"LastCellOfAPage",
 CellID->1050166789]
}, Open  ]],
Cell[271210, 5453, 1592, 35, 113, "Text",ExpressionUUID->"2d92404b-1b0d-43e9-81f0-52220707e7e3",
 CellTags->{"i:2", "p: 195"},
 CellID->2117004131],
Cell[272805, 5490, 1640, 42, 61, "CodeText",ExpressionUUID->"0c2d2e5e-c8da-4296-b49d-1eea465f2534",
 CellID->1352818128],
Cell[CellGroupData[{
Cell[274470, 5536, 419, 10, 26, "Input",ExpressionUUID->"b155f81e-296d-45f1-96d0-eb3d490f5dcb",
 CellID->1325226904],
Cell[274892, 5548, 313, 6, 37, "Output",ExpressionUUID->"3eb9b6e4-93ea-4ad9-be0d-02ceedab6021",
 CellID->2063449339]
}, Open  ]],
Cell[275220, 5557, 1314, 28, 88, "Text",ExpressionUUID->"0ec156ab-d4d0-4b29-ba9d-3691e35aa793",
 CellID->986082779],
Cell[276537, 5587, 1566, 37, 61, "CodeText",ExpressionUUID->"01a15651-04a0-42e8-8c86-b3e5b338d7d0",
 CellID->876912779],
Cell[CellGroupData[{
Cell[278128, 5628, 8501, 207, 69, "Input",ExpressionUUID->"d3fbbddf-80aa-42e0-8527-8bdea7e66f29",
 CellID->1343117847],
Cell[286632, 5837, 1967, 44, 114, "Output",ExpressionUUID->"5287f693-a121-4969-af80-49ee8cd2a420",
 CellID->2107805297]
}, Open  ]],
Cell[288614, 5884, 918, 20, 63, "Text",ExpressionUUID->"03c869ed-0968-4ba7-b2a0-29c4c5fe3f58",
 CellID->1339881960],
Cell[289535, 5906, 437, 10, 39, "CodeText",ExpressionUUID->"060871b3-d382-4e7e-9e73-01e500105ff2",
 CellID->1598021815],
Cell[CellGroupData[{
Cell[289997, 5920, 294, 5, 26, "Input",ExpressionUUID->"8c5c1b9a-b98b-401e-941d-07e7bd7d6963",
 CellID->1128004094],
Cell[290294, 5927, 60756, 1163, 307, "Output",ExpressionUUID->"bf6c4a25-2851-40e1-a6d6-af2523a8c50f",
 CellTags->"LastCellOfAPage",
 CellID->424199924]
}, Open  ]],
Cell[351065, 7093, 463, 11, 89, "Text",ExpressionUUID->"11826430-7639-4456-b2c7-fe9e86ece7e8",
 CellTags->"p: 196",
 CellID->1938699959],
Cell[351531, 7106, 714, 17, 39, "CodeText",ExpressionUUID->"b617e675-e0f9-4329-9b13-aed3d8a08703",
 CellID->592709300],
Cell[CellGroupData[{
Cell[352270, 7127, 284, 5, 26, "Input",ExpressionUUID->"6ea314aa-9bd6-4b04-93fb-71bd6dade363",
 CellID->2020710573],
Cell[352557, 7134, 240, 5, 37, "Output",ExpressionUUID->"40b131c4-2310-4211-80b5-5b51acb2562a",
 CellID->224448895]
}, Open  ]],
Cell[352812, 7142, 2189, 46, 138, "Text",ExpressionUUID->"638af9be-b4cf-4df6-a0b9-11c854184f16",
 CellID->901802392],
Cell[355004, 7190, 480, 11, 39, "CodeText",ExpressionUUID->"17fcbf96-4bb8-4fe9-b178-86434b725fc3",
 CellID->1632051155],
Cell[CellGroupData[{
Cell[355509, 7205, 1183, 30, 84, "Input",ExpressionUUID->"187e3bc7-fa17-4577-af48-48791739f4dd",
 CellID->951392073],
Cell[356695, 7237, 61104, 1180, 177, "Output",ExpressionUUID->"ddbc61b7-6cd8-4327-a416-5f022d60da22",
 CellID->1337440322]
}, Open  ]],
Cell[417814, 8420, 279, 7, 39, "CodeText",ExpressionUUID->"15968342-069a-4498-8980-e80278c30a69",
 CellID->21458094],
Cell[CellGroupData[{
Cell[418118, 8431, 241, 4, 26, "Input",ExpressionUUID->"baaa189e-bd44-49a8-937b-5ccf22407401",
 CellID->1174160367],
Cell[418362, 8437, 238, 5, 37, "Output",ExpressionUUID->"f62760fc-2841-4b4c-bf87-79a10b8459aa",
 CellID->905033331]
}, Open  ]],
Cell[418615, 8445, 1088, 29, 64, "Text",ExpressionUUID->"7e1b7216-c4d5-4bb8-81b5-d56c3dae46ca",
 CellID->350024394],
Cell[419706, 8476, 854, 19, 61, "CodeText",ExpressionUUID->"b9e1e7de-725f-4fad-a63c-fd3916a78b13",
 CellID->1550490062],
Cell[CellGroupData[{
Cell[420585, 8499, 401, 9, 26, "Input",ExpressionUUID->"1176a212-3536-4a82-81a5-8defb0704624",
 CellID->972293364],
Cell[420989, 8510, 326, 7, 37, "Output",ExpressionUUID->"0c891a8b-339f-444b-ba57-dc5fa403378d",
 CellID->1433443516]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[421364, 8523, 530, 7, 57, "Subsection",ExpressionUUID->"6cb8f62f-cf5b-41da-81bf-06ab104313fa",
 CellID->162569137],
Cell[421897, 8532, 1536, 33, 163, "Text",ExpressionUUID->"38b1ac88-c0b2-4de3-8641-94ccef91e724",
 CellTags->{"LastCellOfAPage", "i:3"},
 CellID->695975439],
Cell[423436, 8567, 897, 24, 39, "CodeText",ExpressionUUID->"c6ca5333-837b-4fdb-b573-bc33c5b1043f",
 CellTags->"p: 197",
 CellID->1449708144],
Cell[424336, 8593, 611, 13, 46, "Input",ExpressionUUID->"dc7332e9-8e13-4ee7-98b7-3b23f4fdc683",
 CellID->839758361],
Cell[CellGroupData[{
Cell[424972, 8610, 429, 9, 26, "Input",ExpressionUUID->"7f52fe53-f9cf-4e9a-ba61-308cb9a1aacf",
 CellID->156433920],
Cell[425404, 8621, 61591, 1175, 307, "Output",ExpressionUUID->"18b2fb9d-704c-4045-86a0-d89fbd9099d3",
 CellID->1874574128]
}, Open  ]],
Cell[487010, 9799, 2067, 46, 163, "Text",ExpressionUUID->"4bb9adae-0728-4fed-99a5-1aa0bceadb7c",
 CellTags->"i:4",
 CellID->1420758958],
Cell[489080, 9847, 897, 23, 39, "CodeText",ExpressionUUID->"9db93eb0-803e-4a3f-be48-0200a564560d",
 CellID->1320178606],
Cell[CellGroupData[{
Cell[490002, 9874, 8899, 207, 51, "Input",ExpressionUUID->"4c6353f4-6cd0-40b9-9dd8-2c7731799e84",
 CellID->747198550],
Cell[498904, 10083, 61393, 1173, 307, "Output",ExpressionUUID->"0a2b4ac0-9c9f-46fe-948a-1a7c40222ed3",
 CellTags->"LastCellOfAPage",
 CellID->2074283355]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[560346, 11262, 505, 7, 57, "Subsection",ExpressionUUID->"a29a54b4-9744-423e-b0eb-83579d1b2645",
 CellTags->"p: 198",
 CellID->191185923],
Cell[560854, 11271, 3116, 64, 238, "Text",ExpressionUUID->"c6992dcc-6432-40de-b59b-64955c8faffd",
 CellTags->"i:5",
 CellID->1880597579],
Cell[563973, 11337, 306, 6, 39, "CodeText",ExpressionUUID->"3a29349f-fec4-4f34-b43d-4ae4d5c5cd24",
 CellID->225889548],
Cell[CellGroupData[{
Cell[564304, 11347, 717, 15, 26, "Input",ExpressionUUID->"9a7ff5db-3361-42ad-af51-8ec3bf59350b",
 CellID->1022044242],
Cell[565024, 11364, 47999, 894, 307, "Output",ExpressionUUID->"11029eb8-acb6-48b5-becb-91cc30683ed9",
 CellID->896284492]
}, Open  ]],
Cell[613038, 12261, 2019, 37, 163, "Text",ExpressionUUID->"8162695c-ee52-423c-ba6e-437b1c23047f",
 CellID->460427085],
Cell[615060, 12300, 1037, 25, 83, "CodeText",ExpressionUUID->"37ca28fb-ea16-4b09-a717-6af668b6d422",
 CellID->1459577301],
Cell[616100, 12327, 538, 14, 26, "Input",ExpressionUUID->"f05d79f4-7fe8-4cdc-a912-00d598448633",
 CellTags->"LastCellOfAPage",
 CellID->294943040],
Cell[CellGroupData[{
Cell[616663, 12345, 738, 14, 26, "Input",ExpressionUUID->"712b1d4b-4811-4b24-9654-279f59ada296",
 CellTags->"p: 199",
 CellID->2044534678],
Cell[617404, 12361, 62816, 1180, 307, "Output",ExpressionUUID->"ea2d84a4-44b6-43c1-bcac-abb2b7a04d32",
 CellID->186414043]
}, Open  ]],
Cell[680235, 13544, 1220, 26, 63, "Text",ExpressionUUID->"b77c9dd3-8dbf-4be5-8cb8-d00a61a0d27c",
 CellID->1586831029],
Cell[681458, 13572, 925, 23, 39, "CodeText",ExpressionUUID->"f8ae38fb-3ee8-4365-acab-a05f7025946a",
 CellID->1886168439],
Cell[CellGroupData[{
Cell[682408, 13599, 9031, 209, 51, "Input",ExpressionUUID->"488aba65-7cb8-414e-af0a-ac9fde5cb712",
 CellID->1967737902],
Cell[691442, 13810, 158, 2, 21, "EchoTiming",ExpressionUUID->"32901e63-9afc-4661-afe3-000f9ba99bfc",
 CellID->1767233378],
Cell[691603, 13814, 61267, 1170, 307, "Output",ExpressionUUID->"c1552806-0c83-4d6a-b0f0-172495d03474",
 CellID->45062389]
}, Open  ]],
Cell[752885, 14987, 2376, 48, 113, "Text",ExpressionUUID->"ffc9c848-8d87-4de8-af54-3877f0579a6c",
 CellTags->"LastCellOfAPage",
 CellID->995593268],
Cell[755264, 15037, 540, 12, 39, "CodeText",ExpressionUUID->"4a08f04f-329b-4445-8130-0f1c6116cfa4",
 CellTags->"p: 200",
 CellID->1562599093],
Cell[CellGroupData[{
Cell[755829, 15053, 1052, 24, 65, "Input",ExpressionUUID->"82f137aa-c690-4934-9312-aee6febaf198",
 CellID->1396527388],
Cell[756884, 15079, 157, 2, 21, "EchoTiming",ExpressionUUID->"ea6a1804-6144-4605-a3f5-55b14fe90f81",
 CellID->2136644067],
Cell[757044, 15083, 61470, 1175, 307, "Output",ExpressionUUID->"b7112f51-a96c-4ade-aca5-6bccdfaa1daf",
 CellID->355288935]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[818563, 16264, 287, 4, 57, "Subsection",ExpressionUUID->"c732b361-8348-431e-8f87-a5ddf0dc76cb",
 CellID->11683107],
Cell[818853, 16270, 906, 20, 38, "Text",ExpressionUUID->"082465f3-2efd-43b3-ad32-119b9528aba1",
 CellID->130024327],
Cell[819762, 16292, 523, 11, 39, "CodeText",ExpressionUUID->"3d5ed794-7e06-423f-b86f-beaf9f65a978",
 CellID->955272729],
Cell[CellGroupData[{
Cell[820310, 16307, 1105, 27, 65, "Input",ExpressionUUID->"c5b200b9-ff3b-4bf1-b5f4-25a0e0e3d8db",
 CellID->1996264036],
Cell[821418, 16336, 33386, 616, 151, "Output",ExpressionUUID->"9c394e54-3361-408b-8dba-1c5813a08d48",
 CellID->1983860818]
}, Open  ]],
Cell[854819, 16955, 1196, 27, 88, "Text",ExpressionUUID->"27caea96-9619-48f7-bec1-2641c8591eca",
 CellTags->{"LastCellOfAPage", "i:6"},
 CellID->2143826245],
Cell[856018, 16984, 867, 20, 39, "CodeText",ExpressionUUID->"c911bd05-2337-45cc-b471-9ad645e799fd",
 CellTags->"p: 201",
 CellID->1370495786],
Cell[CellGroupData[{
Cell[856910, 17008, 538, 14, 46, "Input",ExpressionUUID->"14de44f7-f409-4497-9e47-dc81bf29c982",
 CellID->924641191],
Cell[857451, 17024, 33369, 616, 151, "Output",ExpressionUUID->"aebac75b-c544-4cee-a625-94679bb29c82",
 CellID->1234786290]
}, Open  ]],
Cell[890835, 17643, 2620, 61, 163, "Text",ExpressionUUID->"23399d1f-ff60-4c3f-87c1-5129bc7a26a0",
 CellTags->"i:7",
 CellID->1094395827],
Cell[893458, 17706, 779, 18, 39, "CodeText",ExpressionUUID->"b6a6b8b1-aef5-4891-8b2e-f94764e78385",
 CellID->1364076609],
Cell[CellGroupData[{
Cell[894262, 17728, 477, 12, 46, "Input",ExpressionUUID->"d5dd3f6c-1fa7-4323-95a3-40fb01b3879e",
 CellID->1543553427],
Cell[894742, 17742, 33247, 614, 151, "Output",ExpressionUUID->"6639364e-d378-4219-b09a-e469eff7cbbd",
 CellID->1068286646]
}, Open  ]],
Cell[928004, 18359, 887, 18, 63, "Text",ExpressionUUID->"a709591b-2563-4da6-85d3-bd599cf21c45",
 CellID->687780300],
Cell[928894, 18379, 549, 12, 61, "CodeText",ExpressionUUID->"24f0004c-169b-4c62-b8a1-941bc160472a",
 CellID->1479807600],
Cell[CellGroupData[{
Cell[929468, 18395, 681, 16, 46, "Input",ExpressionUUID->"394f288b-0a96-45ae-b19b-a51c783d7259",
 CellID->332873599],
Cell[930152, 18413, 1423, 31, 57, "Output",ExpressionUUID->"8e21b176-30e0-4ef8-aecc-61c2df7cb2db",
 CellID->746210633]
}, Open  ]],
Cell[931590, 18447, 923, 17, 88, "Text",ExpressionUUID->"9bcc805f-063f-4ef1-83b2-efd4310ee1cd",
 CellTags->"LastCellOfAPage",
 CellID->237141549],
Cell[932516, 18466, 731, 12, 83, "CodeText",ExpressionUUID->"ab916b68-69c4-4a9d-8155-af71baab0bb7",
 CellTags->"p: 202",
 CellID->756333428],
Cell[CellGroupData[{
Cell[933272, 18482, 679, 16, 46, "Input",ExpressionUUID->"ed96d816-65aa-4e51-8b8a-e226e5d39c17",
 CellID->823499439],
Cell[933954, 18500, 33246, 614, 151, "Output",ExpressionUUID->"b544fae2-c322-4530-8192-79e1a5d22dac",
 CellID->896902277]
}, Open  ]],
Cell[967215, 19117, 1029, 18, 63, "Text",ExpressionUUID->"2cebbb82-8e72-4627-8c0c-76d9e5c73b77",
 CellID->117828073],
Cell[968247, 19137, 480, 8, 61, "CodeText",ExpressionUUID->"9aecfe06-9ac4-41c9-abf9-819b0a9a2756",
 CellID->1742926693],
Cell[CellGroupData[{
Cell[968752, 19149, 1066, 22, 46, "Input",ExpressionUUID->"9bcc6f06-cbd1-48d3-b22e-ed7a319a951c",
 CellID->577758363],
Cell[969821, 19173, 33439, 617, 123, "Output",ExpressionUUID->"94cfffb6-aed6-46f0-85f4-c7658228184b",
 CellID->2126103170]
}, Open  ]],
Cell[1003275, 19793, 773, 12, 63, "Text",ExpressionUUID->"2bff3814-0b6d-4a93-9bc3-69c574a70aae",
 CellID->226327722],
Cell[1004051, 19807, 563, 11, 39, "CodeText",ExpressionUUID->"1c9b3d33-c901-446d-ad7a-9301eeb6f661",
 CellID->1361564564],
Cell[CellGroupData[{
Cell[1004639, 19822, 524, 13, 26, "Input",ExpressionUUID->"dc6fd69c-0f26-4cf8-873f-d1ef255d68d1",
 CellID->228988682],
Cell[1005166, 19837, 60669, 1161, 307, "Output",ExpressionUUID->"83dd0500-0645-4652-8a80-2d93cd765e24",
 CellTags->"LastCellOfAPage",
 CellID->1691640520]
}, Open  ]],
Cell[1065850, 21001, 1422, 30, 88, "Text",ExpressionUUID->"9e2b15e3-3823-4302-bbcc-6f2ea99fb3fc",
 CellTags->"p: 203",
 CellID->1541223947],
Cell[1067275, 21033, 223, 3, 39, "CodeText",ExpressionUUID->"37962d76-038c-49ba-a168-6626d9312db5",
 CellID->1311974230],
Cell[CellGroupData[{
Cell[1067523, 21040, 8410, 203, 31, "Input",ExpressionUUID->"5b9a8ab2-1625-4d22-9ef3-45033a82b284",
 CellID->1029595970],
Cell[1075936, 21245, 3297, 71, 190, "Output",ExpressionUUID->"1b18c2ca-b4c0-4ec7-8677-f8bdfa5846ae",
 CellID->1985728265]
}, Open  ]],
Cell[1079248, 21319, 1024, 23, 88, "Text",ExpressionUUID->"539c6c12-29c0-4fe2-b860-15c1cec673e7",
 CellID->1167229369],
Cell[1080275, 21344, 767, 17, 61, "CodeText",ExpressionUUID->"5e7c22bc-4506-4add-b79d-3816458a3d50",
 CellID->1310116470],
Cell[CellGroupData[{
Cell[1081067, 21365, 344, 6, 26, "Input",ExpressionUUID->"645dbcc3-714a-4fcd-83da-bd5e2a10a929",
 CellID->120861467],
Cell[1081414, 21373, 60837, 1164, 307, "Output",ExpressionUUID->"82b88703-5667-431a-8da9-3504953dd955",
 CellTags->"LastCellOfAPage",
 CellID->938952088]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1142300, 22543, 248, 4, 57, "Subsection",ExpressionUUID->"6d8eaec1-76cf-4fce-98a9-e73d8cbbd1b6",
 CellTags->"p: 204",
 CellID->1466481272],
Cell[1142551, 22549, 581, 10, 88, "Text",ExpressionUUID->"f08dc595-5d0e-4936-8b0e-7e05f753ca5b",
 CellTags->"i:8",
 CellID->1692155834],
Cell[1143135, 22561, 336, 4, 39, "CodeText",ExpressionUUID->"4289dc8f-a570-472f-864c-8edfe966814f",
 CellID->1239332814],
Cell[CellGroupData[{
Cell[1143496, 22569, 478, 11, 26, "Input",ExpressionUUID->"5d2d4d78-81ce-4cac-acc6-40b83e47b9ad",
 CellID->937164817],
Cell[1143977, 22582, 24734, 435, 97, "Output",ExpressionUUID->"5cee47f7-c081-483a-acb1-93adb0d1befc",
 CellID->569374570]
}, Open  ]],
Cell[1168726, 23020, 1857, 35, 138, "Text",ExpressionUUID->"4bc45356-79fa-4be8-b3e5-a8de9fbfbe83",
 CellID->775048055],
Cell[1170586, 23057, 861, 19, 61, "CodeText",ExpressionUUID->"54cfa957-92f3-4e9f-aea3-7a391e9f67de",
 CellID->1769370364],
Cell[CellGroupData[{
Cell[1171472, 23080, 551, 13, 26, "Input",ExpressionUUID->"76e624b6-3b10-4427-8051-5860bbb12720",
 CellID->637756469],
Cell[1172026, 23095, 24136, 426, 97, "Output",ExpressionUUID->"c1c34673-29bc-49fa-81ce-e0a33195070d",
 CellID->279564340]
}, Open  ]],
Cell[1196177, 23524, 875, 15, 88, "Text",ExpressionUUID->"d2f6a7ce-1c07-4500-8f69-529c73e7abe0",
 CellID->1283907026],
Cell[1197055, 23541, 494, 11, 39, "CodeText",ExpressionUUID->"5372ec82-19bf-4b72-b998-6c65bcebf552",
 CellID->1976435436],
Cell[CellGroupData[{
Cell[1197574, 23556, 573, 14, 26, "Input",ExpressionUUID->"27de7e29-8397-444c-bbdb-d34d09adf79b",
 CellID->1332607928],
Cell[1198150, 23572, 24134, 426, 97, "Output",ExpressionUUID->"cf51c0c8-995b-42dc-9110-8c6b3cb829b0",
 CellID->429371779]
}, Open  ]],
Cell[1222299, 24001, 491, 8, 38, "Text",ExpressionUUID->"498ee7d2-14ab-49e9-8e09-a2516b560cfc",
 CellTags->"LastCellOfAPage",
 CellID->1284012221],
Cell[1222793, 24011, 1030, 23, 83, "CodeText",ExpressionUUID->"90568f0c-1c96-4bfa-a9a5-d46a6f5b0488",
 CellTags->"p: 205",
 CellID->1852368988],
Cell[CellGroupData[{
Cell[1223848, 24038, 981, 23, 65, "Input",ExpressionUUID->"c2228f37-f999-461a-b4f4-006c6ebb2b08",
 CellID->330229644],
Cell[1224832, 24063, 33436, 617, 123, "Output",ExpressionUUID->"61efa995-5199-4f77-ac96-70586053faf5",
 CellID->886373020]
}, Open  ]],
Cell[1258283, 24683, 334, 6, 63, "Text",ExpressionUUID->"cb2767e3-f670-489e-a00b-e79cfd67c8aa",
 CellID->1665557741]
}, Open  ]],
Cell[CellGroupData[{
Cell[1258654, 24694, 282, 4, 57, "Subsection",ExpressionUUID->"7ce8f98c-524f-41d5-8075-b5a03517d6ff",
 CellID->789584674],
Cell[1258939, 24700, 1350, 28, 63, "Text",ExpressionUUID->"9a60e0cb-eecd-485b-8cd4-6c44ed1e0881",
 CellTags->"i:9",
 CellID->1825189603],
Cell[1260292, 24730, 839, 19, 39, "CodeText",ExpressionUUID->"cafc6b4f-d173-4e53-a1f8-3aeb9b18988f",
 CellID->181486155],
Cell[CellGroupData[{
Cell[1261156, 24753, 394, 9, 26, "Input",ExpressionUUID->"2dc5b2af-d9fd-4031-a9d8-eacd3a6b50b3",
 CellID->243698544],
Cell[1261553, 24764, 39900, 757, 231, "Output",ExpressionUUID->"583314ea-4659-49d6-8d94-cba3d9efefdc",
 CellID->777570823]
}, Open  ]],
Cell[1301468, 25524, 2099, 60, 84, "Note",ExpressionUUID->"4761a2bd-4ef8-41a9-bbab-4ec13297daa1",
 CellID->1322864494],
Cell[1303570, 25586, 651, 13, 38, "Text",ExpressionUUID->"833c9288-7da1-4aa7-b03d-fdf8bfc7e2cf",
 CellTags->{"LastCellOfAPage", "i:10"},
 CellID->1754728438],
Cell[1304224, 25601, 789, 19, 39, "CodeText",ExpressionUUID->"82ec2eb7-8084-4cd4-aecb-64c1d5f65efb",
 CellTags->"p: 206",
 CellID->2121046457],
Cell[CellGroupData[{
Cell[1305038, 25624, 430, 10, 26, "Input",ExpressionUUID->"7ca530d5-333b-46b2-a0fd-01415c49a720",
 CellID->2123319212],
Cell[1305471, 25636, 39875, 756, 231, "Output",ExpressionUUID->"6a7e61b4-9bd8-4959-908b-c18e137759f0",
 CellID->520490235]
}, Open  ]],
Cell[1345361, 26395, 865, 16, 63, "Text",ExpressionUUID->"0e98cbee-b502-43a0-ae7d-826d144f254c",
 CellTags->"i:11",
 CellID->337509690],
Cell[1346229, 26413, 858, 19, 61, "CodeText",ExpressionUUID->"45921469-fcf8-4f71-8793-41300ce2ef73",
 CellID->1863538339],
Cell[CellGroupData[{
Cell[1347112, 26436, 701, 16, 26, "Input",ExpressionUUID->"91ad03fa-59e8-4f9f-a105-cf4fb40e4516",
 CellID->502003864],
Cell[1347816, 26454, 40395, 765, 231, "Output",ExpressionUUID->"8626b9cf-f5b3-4477-a36d-6277be1a12d0",
 CellID->271998079]
}, Open  ]],
Cell[1388226, 27222, 1491, 29, 138, "Text",ExpressionUUID->"fe488726-5027-4cb2-80e3-ad96ed46a6ab",
 CellTags->{"LastCellOfAPage", "i:12"},
 CellID->1904588641],
Cell[1389720, 27253, 508, 12, 39, "CodeText",ExpressionUUID->"cb6f675f-f9c3-4cc1-a1c9-e9fec4e64141",
 CellTags->"p: 207",
 CellID->266503124],
Cell[CellGroupData[{
Cell[1390253, 27269, 814, 19, 66, "Input",ExpressionUUID->"ad14dfa5-040b-41d2-8a21-3d783e76af49",
 CellID->1725362000],
Cell[1391070, 27290, 54310, 1024, 307, "Output",ExpressionUUID->"686a0b26-b3d4-4d6b-8aa0-25668aad820b",
 CellID->717163427]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1445429, 28320, 830, 19, 57, "Subsection",ExpressionUUID->"7d81fe61-a4c7-4edf-9af8-628e144c574f",
 CellID->307858684],
Cell[1446262, 28341, 886, 18, 38, "Text",ExpressionUUID->"b538374f-f4ad-4dbc-8bc7-7a5dc79e41d5",
 CellID->1822909945],
Cell[1447151, 28361, 893, 21, 39, "CodeText",ExpressionUUID->"e840353d-2042-4965-93d8-8ad6fc9f180b",
 CellID->182688771],
Cell[CellGroupData[{
Cell[1448069, 28386, 375, 8, 27, "Input",ExpressionUUID->"149ad2bb-d549-4700-974b-3ca49d81ea6d",
 CellID->2137619143],
Cell[1448447, 28396, 611, 12, 37, "Output",ExpressionUUID->"eb9868dc-b63b-42f6-acc9-36685b996aea",
 CellID->1087461269]
}, Open  ]],
Cell[1449073, 28411, 770, 14, 63, "Text",ExpressionUUID->"f24eae1f-9493-4802-8868-f1cacd2173e0",
 CellTags->"i:13",
 CellID->756725510],
Cell[1449846, 28427, 426, 11, 38, "Text",ExpressionUUID->"8298144d-a521-4a98-ad4a-04189f8b6757",
 CellID->771053232],
Cell[CellGroupData[{
Cell[1450297, 28442, 302, 6, 26, "Input",ExpressionUUID->"b55248f1-e2e6-4452-9f8a-1948b8c18005",
 CellID->140261162],
Cell[1450602, 28450, 558, 11, 37, "Output",ExpressionUUID->"dd057c5c-1fd7-49de-8c9e-3b75c2ef4bb2",
 CellID->1153981903]
}, Open  ]],
Cell[1451175, 28464, 746, 15, 61, "CodeText",ExpressionUUID->"af82d0e3-77dc-41d5-b930-d423579a587e",
 CellID->1210434466],
Cell[CellGroupData[{
Cell[1451946, 28483, 303, 6, 26, "Input",ExpressionUUID->"c9c2aaac-c56f-423c-93f0-400ef9a4927f",
 CellID->1748749524],
Cell[1452252, 28491, 587, 12, 37, "Output",ExpressionUUID->"daf92816-8cf6-481b-ae04-98705433bdb9",
 CellTags->"LastCellOfAPage",
 CellID->1339068970]
}, Open  ]],
Cell[1452854, 28506, 715, 14, 39, "CodeText",ExpressionUUID->"24830f48-1694-4467-9514-73119f108c66",
 CellTags->"p: 208",
 CellID->963898010],
Cell[CellGroupData[{
Cell[1453594, 28524, 344, 7, 26, "Input",ExpressionUUID->"80ff21c8-6bb8-4595-a870-cb0d9a72150b",
 CellID->717460478],
Cell[1453941, 28533, 535, 11, 37, "Output",ExpressionUUID->"5f72ae82-efbd-4c1a-826c-8fb763d00163",
 CellID->1112871730]
}, Open  ]],
Cell[1454491, 28547, 471, 10, 39, "CodeText",ExpressionUUID->"4af47f68-4c7e-4df4-bcec-5317d2cd8b7d",
 CellID->2110830692],
Cell[CellGroupData[{
Cell[1454987, 28561, 297, 6, 26, "Input",ExpressionUUID->"02533d9d-7db9-4026-8794-aad3efb6d14c",
 CellID->293245138],
Cell[1455287, 28569, 516, 11, 37, "Output",ExpressionUUID->"27773535-6070-430e-8d91-3bf7b319527e",
 CellID->232774396]
}, Open  ]],
Cell[1455818, 28583, 463, 9, 61, "CodeText",ExpressionUUID->"98786f6d-6251-4766-ab9b-5b7169793320",
 CellID->444189627],
Cell[CellGroupData[{
Cell[1456306, 28596, 339, 7, 26, "Input",ExpressionUUID->"02aead2c-5ffc-4ab9-aa26-07e813531c97",
 CellID->1243857454],
Cell[1456648, 28605, 538, 11, 37, "Output",ExpressionUUID->"6c2b3d39-6f61-48ec-9b87-b194af7d1c42",
 CellID->1048689824]
}, Open  ]],
Cell[1457201, 28619, 923, 18, 88, "Text",ExpressionUUID->"82d4ed49-f7bf-494f-9760-3d4903395fa0",
 CellID->1857966511],
Cell[1458127, 28639, 981, 23, 64, "CodeText",ExpressionUUID->"f9f85557-1063-4495-b2a1-e5b510084140",
 CellID->1806176418],
Cell[1459111, 28664, 321, 9, 26, "Input",ExpressionUUID->"fec37980-823b-4671-90d6-94922858e9ed",
 CellID->1921199006]
}, Open  ]],
Cell[CellGroupData[{
Cell[1459469, 28678, 193, 2, 57, "Subsection",ExpressionUUID->"cb23f979-d0fa-435d-9fca-5e561be1e07e",
 CellID->724014945],
Cell[1459665, 28682, 2375, 56, 113, "Text",ExpressionUUID->"5bf954d6-6c50-4a0d-a7a0-6f631bd8d78c",
 CellTags->"i:14",
 CellID->1441667132],
Cell[1462043, 28740, 862, 18, 63, "Text",ExpressionUUID->"404af5af-88da-4ff6-8861-992f76019349",
 CellID->1093437906],
Cell[1462908, 28760, 681, 15, 39, "CodeText",ExpressionUUID->"59e93413-004f-41ad-ad9c-ab3bb651e9f5",
 CellID->381348453],
Cell[CellGroupData[{
Cell[1463614, 28779, 268, 5, 26, "Input",ExpressionUUID->"27f1140d-6967-4edd-b11c-911ed3879042",
 CellID->607601183],
Cell[1463885, 28786, 196, 3, 37, "Output",ExpressionUUID->"4bddb705-dfe4-4823-988f-90d916e5535f",
 CellID->971623032]
}, Open  ]],
Cell[1464096, 28792, 554, 12, 39, "CodeText",ExpressionUUID->"626d18fa-d308-4e08-9aaa-eddf9ce0e1b7",
 CellID->1676362870],
Cell[CellGroupData[{
Cell[1464675, 28808, 254, 5, 26, "Input",ExpressionUUID->"14a10eb8-e86a-4a54-ab37-31463fb09cc3",
 CellID->677542649],
Cell[1464932, 28815, 33536, 619, 151, "Output",ExpressionUUID->"79df6fcb-7050-46b5-9464-626c7efaf5eb",
 CellTags->"LastCellOfAPage",
 CellID->314552838]
}, Open  ]],
Cell[1498483, 29437, 752, 17, 39, "CodeText",ExpressionUUID->"bb9b4818-29cd-4f3e-a675-5120c5ca213a",
 CellTags->"p: 209",
 CellID->2067761447],
Cell[CellGroupData[{
Cell[1499260, 29458, 255, 5, 26, "Input",ExpressionUUID->"0bdc9c37-1b5e-4e83-b9bd-416b3461f182",
 CellID->973624588],
Cell[1499518, 29465, 37764, 710, 205, "Output",ExpressionUUID->"5c5449ec-14d7-4ded-a274-c2d4599d7f52",
 CellID->1083087868]
}, Open  ]],
Cell[1537297, 30178, 1576, 35, 88, "Text",ExpressionUUID->"ef86b627-6ed7-4b08-9077-2945be6624bb",
 CellID->2110285593],
Cell[1538876, 30215, 754, 16, 39, "CodeText",ExpressionUUID->"2c98791b-3712-41c8-a3b2-3b48d89093a8",
 CellID->1135973124],
Cell[CellGroupData[{
Cell[1539655, 30235, 328, 8, 26, "Input",ExpressionUUID->"84ff6d23-98c0-4afc-9061-e992c91d2172",
 CellID->1989826780],
Cell[1539986, 30245, 51553, 970, 279, "Output",ExpressionUUID->"1707846b-9124-40e6-8cb1-5232cca0ffb1",
 CellID->1000022185]
}, Open  ]],
Cell[1591554, 31218, 473, 10, 39, "CodeText",ExpressionUUID->"b76ba667-da70-47d2-894e-3013da3a2dea",
 CellID->915792560],
Cell[CellGroupData[{
Cell[1592052, 31232, 361, 7, 26, "Input",ExpressionUUID->"cc831381-f2d2-4b67-9b42-c3bb3d8912a6",
 CellID->608067166],
Cell[1592416, 31241, 23851, 427, 151, "Output",ExpressionUUID->"1c8394ff-ea8f-4616-bfa8-c748b0cd6c49",
 CellID->2144607605]
}, Open  ]],
Cell[1616282, 31671, 271, 4, 38, "Text",ExpressionUUID->"1b0d0c38-700d-4c05-a383-9fcf538d283f",
 CellTags->"LastCellOfAPage",
 CellID->2007187232],
Cell[1616556, 31677, 777, 17, 39, "CodeText",ExpressionUUID->"9d42bda9-cc3f-48ef-9e7d-9bb4029bc6bd",
 CellTags->"p: 210",
 CellID->1903388912],
Cell[CellGroupData[{
Cell[1617358, 31698, 333, 7, 26, "Input",ExpressionUUID->"be2badd8-6ffd-41e1-b284-56e7caafa9e6",
 CellID->588607347],
Cell[1617694, 31707, 25919, 470, 151, "Output",ExpressionUUID->"69ddce81-9b1f-4f15-9817-e1c44b092838",
 CellID->768677925]
}, Open  ]],
Cell[1643628, 32180, 3487, 82, 113, "Text",ExpressionUUID->"c235c80d-dc30-4060-b06d-2691dfb15ace",
 CellID->59837820],
Cell[1647118, 32264, 823, 18, 39, "CodeText",ExpressionUUID->"2479b4bd-6fcd-4df5-9062-6deee66f47a1",
 CellID->1939372146],
Cell[CellGroupData[{
Cell[1647966, 32286, 524, 13, 26, "Input",ExpressionUUID->"560db711-8b5d-440e-9058-050a2f20c256",
 CellID->803887681],
Cell[1648493, 32301, 27719, 505, 177, "Output",ExpressionUUID->"3603ebe3-6d26-48d5-afbd-cbf78d26b4a9",
 CellID->394781768]
}, Open  ]],
Cell[1676227, 32809, 494, 8, 63, "Text",ExpressionUUID->"b3d445c3-9331-4fd0-898a-6d25fe5aa905",
 CellID->1416566524],
Cell[1676724, 32819, 850, 18, 39, "CodeText",ExpressionUUID->"fb5d7b23-6c59-4a94-8a17-1e186a81054a",
 CellID->489504796],
Cell[CellGroupData[{
Cell[1677599, 32841, 470, 13, 26, "Input",ExpressionUUID->"f1682e8b-ded8-42ca-b41a-fd8ca1ce94c8",
 CellID->705759246],
Cell[1678072, 32856, 26553, 478, 151, "Output",ExpressionUUID->"0ed45109-eb93-43e9-bd83-51d03d4b9a01",
 CellID->13668429]
}, Open  ]],
Cell[1704640, 33337, 491, 11, 38, "Text",ExpressionUUID->"d27aca53-5280-4e0e-8e04-ed6f6c43a262",
 CellTags->"LastCellOfAPage",
 CellID->1474041794],
Cell[1705134, 33350, 500, 13, 39, "CodeText",ExpressionUUID->"818dee61-090c-4598-9539-4ec11c53a460",
 CellTags->"p: 211",
 CellID->680111158],
Cell[CellGroupData[{
Cell[1705659, 33367, 335, 8, 26, "Input",ExpressionUUID->"7578234d-23ff-47c0-a745-87fe909535b0",
 CellID->375638119],
Cell[1705997, 33377, 54256, 1016, 307, "Output",ExpressionUUID->"1eeb400a-c4a0-44b6-b8d7-b49c23e08011",
 CellID->1499899078]
}, Open  ]],
Cell[1760268, 34396, 1493, 26, 63, "Text",ExpressionUUID->"1e81ee95-cd6b-4158-81b6-9ef5ce9d04de",
 CellTags->"i:15",
 CellID->1995021247],
Cell[1761764, 34424, 602, 13, 39, "CodeText",ExpressionUUID->"37f3960e-5cbd-4e61-946a-10b13353da4e",
 CellID->1146236736],
Cell[CellGroupData[{
Cell[1762391, 34441, 490, 12, 26, "Input",ExpressionUUID->"5b92dcff-08cc-4ca6-8425-e18a8287dfba",
 CellID->1335823933],
Cell[1762884, 34455, 74348, 1423, 307, "Output",ExpressionUUID->"87369b41-a4cf-4908-810a-3edf9a1cf718",
 CellID->1245137766]
}, Open  ]],
Cell[1837247, 35881, 552, 9, 88, "Text",ExpressionUUID->"ecdd6118-c03b-44e4-9284-6114962ef138",
 CellTags->"LastCellOfAPage",
 CellID->1790912781],
Cell[1837802, 35892, 529, 12, 39, "CodeText",ExpressionUUID->"8d7a0579-0efc-4397-a63d-bb72fca6ac29",
 CellTags->"p: 212",
 CellID->663806488],
Cell[CellGroupData[{
Cell[1838356, 35908, 451, 12, 46, "Input",ExpressionUUID->"11109794-9e18-45a4-bbae-151e4c6de3ea",
 CellID->111076775],
Cell[1838810, 35922, 640, 12, 37, "Output",ExpressionUUID->"b312e168-9aec-49f8-aaca-be4b39825bfc",
 CellID->1371745828]
}, Open  ]],
Cell[1839465, 35937, 1133, 25, 84, "Note",ExpressionUUID->"fc798862-97a1-48bf-9ba7-63ca50bb1bff",
 CellID->602776015],
Cell[1840601, 35964, 879, 18, 63, "Text",ExpressionUUID->"5f0dc3fb-557d-4b99-821a-6c795298b8d3",
 CellID->1402582644],
Cell[1841483, 35984, 763, 17, 39, "CodeText",ExpressionUUID->"24547085-fd64-4bc5-b4f2-5743c645643a",
 CellID->2018182445],
Cell[CellGroupData[{
Cell[1842271, 36005, 350, 8, 26, "Input",ExpressionUUID->"70b4e36c-b95d-43db-a890-aa05b36c8b6e",
 CellID->819776972],
Cell[1842624, 36015, 74348, 1423, 307, "Output",ExpressionUUID->"0ee25ee2-0b4a-4a09-b78b-e00b398993f2",
 CellID->720765588]
}, Open  ]],
Cell[1916987, 37441, 1399, 31, 63, "Text",ExpressionUUID->"bca5b285-f955-49c1-95bf-4c86d9f40add",
 CellID->1664331311],
Cell[1918389, 37474, 990, 22, 39, "CodeText",ExpressionUUID->"517f9757-496f-4443-9735-598c94216875",
 CellID->70049204],
Cell[CellGroupData[{
Cell[1919404, 37500, 354, 8, 26, "Input",ExpressionUUID->"50c632bf-514e-4bb5-bdb7-d4bf86b5511a",
 CellID->1624754285],
Cell[1919761, 37510, 74434, 1426, 307, "Output",ExpressionUUID->"c74c97c4-38fc-47bb-b217-23b009a645d6",
 CellTags->"LastCellOfAPage",
 CellID->47421800]
}, Open  ]],
Cell[1994210, 38939, 476, 8, 88, "Text",ExpressionUUID->"338e76dc-5049-45fe-8629-685f1758375e",
 CellTags->"p: 213",
 CellID->696251159],
Cell[1994689, 38949, 1720, 43, 61, "CodeText",ExpressionUUID->"6ee62119-2f30-4ab5-bc01-26f5b65106b8",
 CellID->1706308599],
Cell[CellGroupData[{
Cell[1996434, 38996, 546, 14, 26, "Input",ExpressionUUID->"20f99f22-2db9-4358-a533-d270fa028240",
 CellID->890552844],
Cell[1996983, 39012, 39751, 754, 231, "Output",ExpressionUUID->"440c6976-edff-4d75-b28d-dc84d63b0406",
 CellID->1773923342]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2036783, 39772, 449, 10, 57, "Subsection",ExpressionUUID->"4fa593e2-03f5-4218-bba1-d7188a2a9883",
 CellID->66798924],
Cell[2037235, 39784, 1278, 26, 63, "Text",ExpressionUUID->"3e3350d1-08ad-4d2b-ae66-cc62a058a861",
 CellID->25142839],
Cell[2038516, 39812, 295, 3, 39, "CodeText",ExpressionUUID->"a3102a2f-8a20-43a3-8106-4be5b1071a7e",
 CellID->1317040004],
Cell[CellGroupData[{
Cell[2038836, 39819, 688, 12, 26, "Input",ExpressionUUID->"ae30f9cc-6344-49ea-8e92-b60e5f80a031",
 CellID->65019288],
Cell[2039527, 39833, 4588, 119, 171, "Output",ExpressionUUID->"77ef6e9c-2e3e-431b-bdd1-44ca67a605a2",
 CellID->354060864]
}, Open  ]],
Cell[2044130, 39955, 1462, 26, 138, "Text",ExpressionUUID->"79b1d6f7-c5ab-48d0-a451-7971405bead8",
 CellTags->"i:16",
 CellID->4562025],
Cell[2045595, 39983, 2101, 43, 138, "Text",ExpressionUUID->"624ed07a-ed7c-4ba3-8998-ac686ea1cc5e",
 CellTags->"LastCellOfAPage",
 CellID->125055792],
Cell[2047699, 40028, 1001, 23, 39, "CodeText",ExpressionUUID->"70126238-3818-4288-a03f-7e2702bf945b",
 CellTags->"p: 214",
 CellID->358705252],
Cell[CellGroupData[{
Cell[2048725, 40055, 670, 12, 26, "Input",ExpressionUUID->"8614f112-bbe2-459b-a508-751da23283f3",
 CellID->174309678],
Cell[2049398, 40069, 73083, 1412, 307, "Output",ExpressionUUID->"5035214a-bb37-4ed5-b27f-0155d2a5b59c",
 CellID->1229921307]
}, Open  ]],
Cell[2122496, 41484, 1211, 28, 63, "Text",ExpressionUUID->"2f7792e8-c7d2-4747-9d59-816189bf4d63",
 CellID->1570874646],
Cell[2123710, 41514, 964, 22, 39, "CodeText",ExpressionUUID->"f23909dd-4681-4fdf-8038-5b9160dbcab8",
 CellID->1617619358],
Cell[CellGroupData[{
Cell[2124699, 41540, 787, 14, 46, "Input",ExpressionUUID->"f21f03dc-b3af-401a-a734-90ab6ab0ad10",
 CellID->1148427420],
Cell[2125489, 41556, 73081, 1412, 307, "Output",ExpressionUUID->"4171a8a5-da2c-4712-a0ee-57bbd1962091",
 CellID->1526884863]
}, Open  ]],
Cell[2198585, 42971, 970, 25, 88, "Text",ExpressionUUID->"2c1ade3a-fbb9-441f-8313-0a1a8e1ce8e9",
 CellTags->"LastCellOfAPage",
 CellID->103426814],
Cell[2199558, 42998, 579, 13, 39, "CodeText",ExpressionUUID->"0cd24166-c927-4615-8dbb-a5266a25e220",
 CellTags->"p: 215",
 CellID->1497318086],
Cell[CellGroupData[{
Cell[2200162, 43015, 462, 8, 26, "Input",ExpressionUUID->"b7508454-f8c0-4a8d-9563-e9589c99ebc3",
 CellID->966802289],
Cell[2200627, 43025, 2204, 59, 76, "Output",ExpressionUUID->"48996f3d-333e-40d5-ac05-0cf0a34a4223",
 CellID->471097441]
}, Open  ]],
Cell[2202846, 43087, 629, 13, 61, "CodeText",ExpressionUUID->"30bfb2f1-bbe8-4ee7-834e-f9f04774f229",
 CellID->1357655958],
Cell[CellGroupData[{
Cell[2203500, 43104, 8404, 201, 31, "Input",ExpressionUUID->"49a4b2cc-46aa-4e39-908f-d647c5b5427f",
 CellID->1603028737],
Cell[2211907, 43307, 1728, 40, 114, "Output",ExpressionUUID->"ae881796-3a48-4558-b5f0-3baa626d08dd",
 CellID->1486188942]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2213684, 43353, 518, 8, 57, "Subsection",ExpressionUUID->"a26c1c59-505a-46b6-8256-d1612bb6be00",
 CellID->36246528],
Cell[2214205, 43363, 1251, 21, 88, "Text",ExpressionUUID->"356535c1-f2b9-421a-93d1-2ffb473ce87d",
 CellTags->"i:17",
 CellID->84138705],
Cell[2215459, 43386, 661, 13, 39, "CodeText",ExpressionUUID->"92d3f007-bcc4-44b7-9beb-3dcbd21f4096",
 CellID->1833282639],
Cell[CellGroupData[{
Cell[2216145, 43403, 1143, 25, 65, "Input",ExpressionUUID->"73bccb5c-19fc-4fae-bba2-7c0c0491f58d",
 CellID->1216745597],
Cell[2217291, 43430, 80474, 1548, 307, "Output",ExpressionUUID->"5baa37b5-78ac-46bc-8d27-585394f6a48f",
 CellTags->"LastCellOfAPage",
 CellID->336431063]
}, Open  ]],
Cell[2297780, 44981, 300, 6, 38, "Text",ExpressionUUID->"aab75a38-63a8-4b06-bb35-11eead2aeaa7",
 CellTags->"p: 216",
 CellID->811687563],
Cell[CellGroupData[{
Cell[2298105, 44991, 975, 22, 53, "ItemNumbered",ExpressionUUID->"39f237c9-5dd9-47f6-a770-e5017bf6e60a",
 CellID->1422618101],
Cell[2299083, 45015, 3597, 84, 116, "ItemNumbered",ExpressionUUID->"a451faef-62ca-451f-b908-12ce17139685",
 CellTags->"i:18",
 CellID->2006981456],
Cell[2302683, 45101, 1109, 21, 53, "ItemNumbered",ExpressionUUID->"87672fa5-ca32-4ded-9c1b-e6140be8a0ae",
 CellID->1060611789]
}, Open  ]],
Cell[2303807, 45125, 1352, 27, 88, "Text",ExpressionUUID->"d1a16a01-8f2f-421e-a01c-c581dc443ff5",
 CellID->2077181470],
Cell[2305162, 45154, 968, 23, 39, "CodeText",ExpressionUUID->"d5d62624-eee5-453f-a534-6c37384e85bb",
 CellID->1672473187],
Cell[CellGroupData[{
Cell[2306155, 45181, 852, 21, 84, "Input",ExpressionUUID->"cb3e776b-326c-4ba6-8aeb-d35c9f6181cb",
 CellID->1122445575],
Cell[2307010, 45204, 73902, 1418, 307, "Output",ExpressionUUID->"97ee2ada-fc99-4fdd-8317-fb5f7cb42fd7",
 CellID->1620346252]
}, Open  ]],
Cell[2380927, 46625, 2273, 52, 188, "Text",ExpressionUUID->"7e49510c-f15b-4247-9513-25a99d571a9d",
 CellTags->"LastCellOfAPage",
 CellID->28799025],
Cell[2383203, 46679, 1305, 29, 61, "CodeText",ExpressionUUID->"3ce7f9c2-5720-4337-b78d-3c1070fa678a",
 CellTags->"p: 217",
 CellID->1477865550],
Cell[CellGroupData[{
Cell[2384533, 46712, 1392, 31, 84, "Input",ExpressionUUID->"a23174b9-fca3-426d-8c25-5f5117a26291",
 CellID->369533157],
Cell[2385928, 46745, 67521, 1294, 307, "Output",ExpressionUUID->"6a88656c-408b-40a0-a9e9-b95b95b2f4e4",
 CellID->1739406999]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2453498, 48045, 405, 5, 57, "Subsection",ExpressionUUID->"02c08412-d2c2-4f28-9867-0246a30abaeb",
 CellID->33158609],
Cell[2453906, 48052, 1464, 23, 163, "Text",ExpressionUUID->"7cc0f17c-f0bf-4138-af90-50454af9daaf",
 CellTags->"i:19",
 CellID->95153701],
Cell[2455373, 48077, 359, 7, 39, "CodeText",ExpressionUUID->"f8d43b6d-9833-472f-a0f1-8d6290093b3f",
 CellID->1746918863],
Cell[CellGroupData[{
Cell[2455757, 48088, 678, 15, 26, "Input",ExpressionUUID->"6408bb99-b404-4695-a32b-c214dfbec4ab",
 CellID->437248167],
Cell[2456438, 48105, 173528, 3400, 307, "Output",ExpressionUUID->"8b811eed-ebdd-46ef-b965-7a0e7a5c126f",
 CellTags->"LastCellOfAPage",
 CellID->1202421239]
}, Open  ]],
Cell[2629981, 51508, 880, 19, 63, "Text",ExpressionUUID->"79206345-683e-441d-8245-598c69090f2c",
 CellTags->{"i:20", "p: 218"},
 CellID->780508266],
Cell[2630864, 51529, 776, 18, 39, "CodeText",ExpressionUUID->"61b69e9a-04e2-4b87-b282-e78acbde8216",
 CellID->1997304791],
Cell[CellGroupData[{
Cell[2631665, 51551, 728, 16, 26, "Input",ExpressionUUID->"83ce4b97-bdc5-4c79-b5e3-9b0b027f7cfe",
 CellID->1848140588],
Cell[2632396, 51569, 173493, 3399, 307, "Output",ExpressionUUID->"0aecde1e-3895-4423-8d3a-414e8ced3fb3",
 CellID->1921798889]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2805938, 54974, 318, 4, 57, "Subsection",ExpressionUUID->"bd37c5e8-d4b9-4c42-bb63-98a2464863b9",
 CellID->924270635],
Cell[CellGroupData[{
Cell[2806281, 54982, 244, 3, 55, "Subsubsection",ExpressionUUID->"f41e7f6d-7e79-4c7c-8aa2-ad2d69455b31",
 CellID->1654368666],
Cell[2806528, 54987, 1492, 26, 113, "Text",ExpressionUUID->"dd430669-560a-46ad-a07d-3f23d121d452",
 CellID->1467343694],
Cell[2808023, 55015, 4428, 112, 138, "Text",ExpressionUUID->"85a73d92-9bc3-4b7c-a49a-f81925fbfe13",
 CellTags->"i:21",
 CellID->2090746557],
Cell[2812454, 55129, 761, 17, 39, "CodeText",ExpressionUUID->"02e09e40-4857-4ec8-bd37-851ff1c1e07f",
 CellID->720967592],
Cell[CellGroupData[{
Cell[2813240, 55150, 484, 13, 27, "Input",ExpressionUUID->"a2d8fdf4-1e1f-4d7c-a1b1-579e1a2c326e",
 CellID->1800253183],
Cell[2813727, 55165, 76499, 1481, 307, "Output",ExpressionUUID->"18e85f8d-4f36-49b2-b58e-c365d814a8cb",
 CellTags->"LastCellOfAPage",
 CellID->2083463451]
}, Open  ]],
Cell[2890241, 56649, 1054, 28, 63, "Text",ExpressionUUID->"bac310d1-bbcb-4b7e-9418-658e819b89df",
 CellTags->"p: 219",
 CellID->1661654876],
Cell[2891298, 56679, 940, 21, 39, "CodeText",ExpressionUUID->"dd528b0c-4914-4bfe-bda2-6b42cf9f3036",
 CellID->666101127],
Cell[CellGroupData[{
Cell[2892263, 56704, 8604, 203, 31, "Input",ExpressionUUID->"291301cf-6a3e-4964-9a1e-8556c01bb2d9",
 CellID->329389678],
Cell[2900870, 56909, 76495, 1481, 307, "Output",ExpressionUUID->"1757edd2-479a-4c1b-bf13-bf327dbd21b8",
 CellID->374587339]
}, Open  ]],
Cell[2977380, 58393, 1675, 37, 88, "Text",ExpressionUUID->"e37898de-5278-4073-a155-91f630a30925",
 CellID->108787486],
Cell[2979058, 58432, 540, 13, 39, "CodeText",ExpressionUUID->"d3414ab8-04fd-4a37-937c-2d7da76fa518",
 CellID->2074828964],
Cell[CellGroupData[{
Cell[2979623, 58449, 633, 13, 26, "Input",ExpressionUUID->"63f2d497-1c1e-4d00-b09d-2e4146d26c2c",
 CellID->232585134],
Cell[2980259, 58464, 76325, 1478, 307, "Output",ExpressionUUID->"0b5011bd-78fe-4fb8-9f67-732ce38834a9",
 CellID->964657858]
}, Open  ]],
Cell[3056599, 59945, 2551, 71, 89, "Text",ExpressionUUID->"781d9eff-d5ec-4435-badd-e0168679d75c",
 CellTags->"LastCellOfAPage",
 CellID->397831151],
Cell[3059153, 60018, 1346, 33, 39, "CodeText",ExpressionUUID->"9dddb556-9444-409a-8bed-54226be3c3ca",
 CellTags->"p: 220",
 CellID->1791974851],
Cell[CellGroupData[{
Cell[3060524, 60055, 8611, 201, 51, "Input",ExpressionUUID->"f99f363a-2b7e-403e-bb52-72feac687b42",
 CellID->1059949625],
Cell[3069138, 60258, 76360, 1479, 307, "Output",ExpressionUUID->"85a7894d-f8ac-4d3c-bac4-d182fe875111",
 CellID->1292915317]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3145547, 61743, 307, 4, 55, "Subsubsection",ExpressionUUID->"607623e6-e279-424d-a753-9ece47e35dca",
 CellID->1377436983],
Cell[3145857, 61749, 1376, 26, 63, "Text",ExpressionUUID->"0ac882cc-6ff7-4261-95fe-463a8790fa81",
 CellTags->"i:22",
 CellID->587827225],
Cell[3147236, 61777, 614, 12, 39, "CodeText",ExpressionUUID->"ef44064c-3787-419f-804e-7aed5f5a3aa3",
 CellID->1854806747],
Cell[CellGroupData[{
Cell[3147875, 61793, 373, 8, 26, "Input",ExpressionUUID->"05322701-7cf3-411d-835c-6cd8c75cd95b",
 CellID->482436950],
Cell[3148251, 61803, 89636, 1681, 313, "Output",ExpressionUUID->"8b21f2e2-23d6-4bb5-90f8-205194b42713",
 CellID->789054500]
}, Open  ]],
Cell[3237902, 63487, 1018, 16, 63, "Text",ExpressionUUID->"762e25b0-9692-42b0-8dca-2539c137d317",
 CellTags->"LastCellOfAPage",
 CellID->93499581],
Cell[3238923, 63505, 595, 13, 39, "CodeText",ExpressionUUID->"41785939-cb40-4f52-a241-161aa70b7a37",
 CellTags->"p: 221",
 CellID->1167947200],
Cell[CellGroupData[{
Cell[3239543, 63522, 8542, 206, 50, "Input",ExpressionUUID->"e7a866c4-8405-40f3-989d-16bca39727ca",
 CellID->1616072853],
Cell[3248088, 63730, 114708, 2169, 313, "Output",ExpressionUUID->"401a47d9-5e53-40dc-b5d1-a256723b42a5",
 CellID->1902875960]
}, Open  ]],
Cell[3362811, 65902, 1769, 30, 138, "Text",ExpressionUUID->"856b36c7-c50a-4b1b-8c87-a39e0468d5c3",
 CellID->1678712813],
Cell[3364583, 65934, 1267, 31, 61, "CodeText",ExpressionUUID->"eba84dab-8fe2-453b-bb9b-a761a159a402",
 CellID->211000428],
Cell[CellGroupData[{
Cell[3365875, 65969, 8828, 209, 69, "Input",ExpressionUUID->"ce52a662-3046-4eed-846c-fe8eea52b43b",
 CellID->309312063],
Cell[3374706, 66180, 121356, 2279, 313, "Output",ExpressionUUID->"70c68e9b-b4cb-4f71-a809-a7c806c51e4d",
 CellTags->"LastCellOfAPage",
 CellID->1831767386]
}, Open  ]],
Cell[3496077, 68462, 1765, 41, 88, "Text",ExpressionUUID->"54237547-d133-465d-93a7-cde707919529",
 CellTags->"p: 222",
 CellID->95999124],
Cell[3497845, 68505, 700, 18, 39, "CodeText",ExpressionUUID->"eade6f66-082a-46bc-afdb-32fe000507fd",
 CellID->956772274],
Cell[CellGroupData[{
Cell[3498570, 68527, 17257, 410, 55, "Input",ExpressionUUID->"297278e0-696e-4138-a27b-035583825da8",
 CellID->47084472],
Cell[3515830, 68939, 121373, 2278, 313, "Output",ExpressionUUID->"ddd711e4-855e-464e-ad51-6caef607ebef",
 CellID->1477010681]
}, Open  ]],
Cell[3637218, 71220, 1079, 18, 88, "Text",ExpressionUUID->"4fab9350-e7a0-40aa-b5e8-c7feaf0f5485",
 CellID->349490744],
Cell[3638300, 71240, 286, 3, 39, "CodeText",ExpressionUUID->"5e66878f-8ece-4e50-92a3-2e1ae95dcd51",
 CellID->1949660123],
Cell[CellGroupData[{
Cell[3638611, 71247, 1583, 40, 160, "Input",ExpressionUUID->"55ee291d-7c8a-4d3c-b7a9-0676b36b73a0",
 CellID->1365677237],
Cell[CellGroupData[{
Cell[3640219, 71291, 155, 2, 21, "EchoTiming",ExpressionUUID->"563bc680-5f53-47d7-a902-740fdf37dc2f",
 CellID->1867027366],
Cell[3640377, 71295, 156, 2, 21, "EchoTiming",ExpressionUUID->"5f56732b-cfef-476a-a1ea-8d220e647d6e",
 CellID->97890398]
}, Open  ]],
Cell[3640548, 71300, 75341, 1357, 231, "Output",ExpressionUUID->"6e10d868-cf9f-4b48-aa82-c76fed4a5a58",
 CellTags->"LastCellOfAPage",
 CellID->271445584]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3715938, 72663, 264, 4, 55, "Subsubsection",ExpressionUUID->"51a1be13-733e-467c-a837-cc5c2cc1ccd5",
 CellTags->"p: 223",
 CellID->315007673],
Cell[3716205, 72669, 3274, 72, 138, "Text",ExpressionUUID->"db03461e-d607-4724-916c-2bce3e782259",
 CellTags->"i:23",
 CellID->2016436396],
Cell[3719482, 72743, 836, 20, 39, "CodeText",ExpressionUUID->"664a7225-3e89-41a0-b942-0404c58f2290",
 CellID->49491575],
Cell[3720321, 72765, 1144, 20, 141, "Input",ExpressionUUID->"b33caa8b-3bbb-4e67-be54-482f753ba823",
 CellID->1518088848],
Cell[3721468, 72787, 1006, 23, 61, "CodeText",ExpressionUUID->"a956e825-4e5a-4b54-bb73-3096c0c6b48d",
 CellTags->"i:24",
 CellID->190838816],
Cell[CellGroupData[{
Cell[3722499, 72814, 11116, 256, 204, "Input",ExpressionUUID->"0a93e9ed-0ddd-47ed-9219-bd163ccb32ed",
 CellID->1913840789],
Cell[3733618, 73072, 77581, 1480, 294, "Echo",ExpressionUUID->"4fb5a2b1-b5f4-4aeb-b42f-ccc6e16f491d",
 CellID->1524934147],
Cell[3811202, 74554, 348, 6, 37, "Output",ExpressionUUID->"7762b368-37ce-47da-a564-f76a584fd569",
 CellID->1498365331]
}, Open  ]],
Cell[3811565, 74563, 3092, 69, 163, "Text",ExpressionUUID->"273a4da3-1a4d-490b-a817-332d2f9a47a0",
 CellTags->{"LastCellOfAPage", "i:25"},
 CellID->1770823466],
Cell[3814660, 74634, 1018, 26, 61, "CodeText",ExpressionUUID->"7af44273-ea09-45f7-a59c-a42dc1346040",
 CellTags->"p: 224",
 CellID->716348855],
Cell[CellGroupData[{
Cell[3815703, 74664, 8935, 209, 51, "Input",ExpressionUUID->"119c50cd-2237-4406-b1a4-f8b74ae50194",
 CellID->1948323003],
Cell[3824641, 74875, 77748, 1483, 307, "Output",ExpressionUUID->"bb925805-231a-435e-b44f-18eca5639f44",
 CellID->2101282112]
}, Open  ]],
Cell[3902404, 76361, 673, 14, 63, "Text",ExpressionUUID->"26005452-5038-4654-8ee3-bce277b9f617",
 CellID->855791417],
Cell[3903080, 76377, 504, 11, 39, "CodeText",ExpressionUUID->"1cb6fb06-8bef-487b-a59e-db8d8d79b32f",
 CellID->1663727354],
Cell[CellGroupData[{
Cell[3903609, 76392, 563, 12, 46, "Input",ExpressionUUID->"e34004c6-3ac3-467b-8711-3757752e0a72",
 CellID->114144411],
Cell[3904175, 76406, 49117, 925, 205, "Output",ExpressionUUID->"73e361f7-6a8e-4b9e-800e-08e67dc2db75",
 CellID->559247467]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3953353, 77338, 231, 3, 57, "Subsection",ExpressionUUID->"1d480122-c4db-4715-9b94-27168752f381",
 CellID->1230569357],
Cell[3953587, 77343, 1093, 26, 38, "Text",ExpressionUUID->"3ceef297-91ed-41ce-9b3e-5488a4893994",
 CellTags->{"LastCellOfAPage", "i:26"},
 CellID->1911662489],
Cell[3954683, 77371, 777, 18, 39, "CodeText",ExpressionUUID->"91dd4292-6d55-41db-ac00-d64eff2f663b",
 CellTags->"p: 225",
 CellID->1232568316],
Cell[CellGroupData[{
Cell[3955485, 77393, 356, 6, 26, "Input",ExpressionUUID->"a27a2a78-828b-49f9-b8d4-ac1ebff4d4c1",
 CellID->808609856],
Cell[3955844, 77401, 52003, 977, 279, "Output",ExpressionUUID->"edeed4e9-fc3d-459e-be99-824c705edecc",
 CellID->1050744877]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4007896, 78384, 292, 4, 57, "Subsection",ExpressionUUID->"9e435d35-3ac9-4704-adaf-1e1fad155a3a",
 CellID->1721681699],
Cell[4008191, 78390, 3602, 74, 213, "Text",ExpressionUUID->"55b0874d-6d51-4438-80ec-784436fc2bfc",
 CellTags->"i:27",
 CellID->1109655415],
Cell[4011796, 78466, 538, 12, 39, "CodeText",ExpressionUUID->"201f827a-61c2-499b-86d1-207a0d820b1e",
 CellID->1905716021],
Cell[CellGroupData[{
Cell[4012359, 78482, 625, 14, 26, "Input",ExpressionUUID->"1d30763a-ca03-4396-8406-745ade9dcc47",
 CellID->427782913],
Cell[4012987, 78498, 67627, 1286, 307, "Output",ExpressionUUID->"7d6f888e-f865-454a-bd59-ac729e6cc450",
 CellTags->"LastCellOfAPage",
 CellID->739334695]
}, Open  ]],
Cell[4080629, 79787, 498, 9, 38, "Text",ExpressionUUID->"98c7592b-b1aa-4f4f-b1f9-f4a63622edee",
 CellTags->"p: 226",
 CellID->507207280],
Cell[4081130, 79798, 239, 3, 39, "CodeText",ExpressionUUID->"611a592e-3c60-4765-bd9e-66373eab4a26",
 CellID->1248351319],
Cell[CellGroupData[{
Cell[4081394, 79805, 593, 16, 84, "Input",ExpressionUUID->"5a9e4b6a-eee2-4403-83c6-50da61a90ffe",
 CellID->1778070035],
Cell[4081990, 79823, 73483, 1401, 307, "Output",ExpressionUUID->"d00f90eb-8db5-474f-bb25-77c476ec4ad5",
 CellID->913628925]
}, Open  ]],
Cell[4155488, 81227, 1454, 34, 63, "Text",ExpressionUUID->"8132db37-e820-4ee6-a9e0-128755d5f910",
 CellID->1736475252],
Cell[4156945, 81263, 260, 5, 39, "CodeText",ExpressionUUID->"9b443e43-552f-4ef3-9dd1-daa2947bc09f",
 CellID->1534411524],
Cell[CellGroupData[{
Cell[4157230, 81272, 604, 16, 46, "Input",ExpressionUUID->"88384a89-8dfb-4323-8b53-fc5ed58e1854",
 CellID->391213275],
Cell[4157837, 81290, 84833, 1626, 307, "Output",ExpressionUUID->"2363fee2-09c5-44ec-a8ce-0fcc283c001d",
 CellTags->"LastCellOfAPage",
 CellID->518245459]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4242719, 82922, 478, 11, 57, "Subsection",ExpressionUUID->"234dd36e-9ae4-4e01-89e1-8a1007135d44",
 CellTags->"p: 227",
 CellID->1291368151],
Cell[4243200, 82935, 823, 13, 163, "Text",ExpressionUUID->"1b787a1d-bc7c-4fd4-83a9-7d77cb8638f9",
 CellID->122668383],
Cell[CellGroupData[{
Cell[4244048, 82952, 451, 11, 55, "Subsubsection",ExpressionUUID->"ffafaed9-191b-4f91-94f8-946b6f1e3de9",
 CellID->1610858835],
Cell[4244502, 82965, 1206, 25, 88, "Text",ExpressionUUID->"a4358d70-441e-453c-bdc0-5f61d33ceb87",
 CellTags->"i:28",
 CellID->1416202285],
Cell[4245711, 82992, 1561, 35, 61, "CodeText",ExpressionUUID->"701c75c1-ad0a-4d87-8c1d-325d108e277e",
 CellID->2049064156],
Cell[CellGroupData[{
Cell[4247297, 83031, 501, 11, 26, "Input",ExpressionUUID->"1ec563e4-22ef-4503-a769-2d30697cdc22",
 CellID->996205505],
Cell[4247801, 83044, 2723, 48, 171, "Output",ExpressionUUID->"23a35bf0-0109-4bcb-8f8b-f5237195e764",
 CellID->1001715581]
}, Open  ]],
Cell[4250539, 83095, 510, 11, 38, "Text",ExpressionUUID->"0ec28ea5-28f0-438f-84de-c3b5c7c9fa25",
 CellID->466882064],
Cell[4251052, 83108, 1290, 29, 61, "CodeText",ExpressionUUID->"2da15cd0-cbbc-4394-939f-5206a478bd18",
 CellID->1723195895],
Cell[CellGroupData[{
Cell[4252367, 83141, 464, 11, 26, "Input",ExpressionUUID->"c1e1caf5-9fff-4d36-8fb0-ce79317488d8",
 CellID->106355601],
Cell[4252834, 83154, 2396, 42, 171, "Output",ExpressionUUID->"a27196af-82b7-4bd6-ae49-64dd5eb70bcf",
 CellID->1459810852]
}, Open  ]],
Cell[4255245, 83199, 1669, 37, 88, "Text",ExpressionUUID->"b4631769-b55a-40a2-8c51-2e364abec43f",
 CellTags->"LastCellOfAPage",
 CellID->125871474],
Cell[4256917, 83238, 527, 12, 39, "CodeText",ExpressionUUID->"9ea6af3f-e9e6-4750-887c-f7c7797f599b",
 CellTags->"p: 228",
 CellID->452488862],
Cell[CellGroupData[{
Cell[4257469, 83254, 268, 6, 26, "Input",ExpressionUUID->"d16ae3f1-f570-411f-bcf4-9c78a3e20db6",
 CellID->874624415],
Cell[4257740, 83262, 123773, 2464, 381, "Output",ExpressionUUID->"7838150c-9bc6-49f9-8bf8-6091e5da5f13",
 CellID->1831981583]
}, Open  ]],
Cell[CellGroupData[{
Cell[4381550, 85731, 513, 9, 26, "Input",ExpressionUUID->"06ab6fc0-0171-4b7a-bd20-cfb577bb3bb7",
 CellID->793219121],
Cell[4382066, 85742, 93462, 1847, 155, "Output",ExpressionUUID->"c81803ca-c1ac-4a95-8fca-8aeb23c09d58",
 CellID->597176561]
}, Open  ]],
Cell[4475543, 87592, 1112, 22, 63, "Text",ExpressionUUID->"89701eec-b8aa-41ab-991a-eb18674d0c33",
 CellID->557153968],
Cell[4476658, 87616, 485, 11, 39, "CodeText",ExpressionUUID->"2c88038c-387d-4551-8a46-b46456cdea65",
 CellID->582314360],
Cell[CellGroupData[{
Cell[4477168, 87631, 454, 9, 26, "Input",ExpressionUUID->"f30c506a-ba83-4227-a0b0-31e1f665f312",
 CellID->599156799],
Cell[4477625, 87642, 31201, 576, 123, "Output",ExpressionUUID->"b2764cd9-8226-4b4d-8aaf-d289e6c6f8a5",
 CellID->1678745764]
}, Open  ]],
Cell[4508841, 88221, 1538, 31, 113, "Text",ExpressionUUID->"cb1372eb-ef34-4d98-a966-773822db98a0",
 CellTags->"LastCellOfAPage",
 CellID->1060547653],
Cell[4510382, 88254, 688, 17, 39, "CodeText",ExpressionUUID->"d18be936-dfef-4719-9d4d-eee387d7270e",
 CellTags->"p: 229",
 CellID->1994311824],
Cell[CellGroupData[{
Cell[4511095, 88275, 1607, 42, 141, "Input",ExpressionUUID->"80299130-d406-4c7a-9b36-cb7aae4d51a7",
 CellID->846631417],
Cell[4512705, 88319, 3956, 97, 163, "Echo",ExpressionUUID->"e417ba16-2818-4698-b7c0-9e058976c45b",
 CellID->7862799],
Cell[4516664, 88418, 2755, 65, 286, "Output",ExpressionUUID->"81228bba-75b4-4f28-95c6-b977c3d74fae",
 CellID->1153560326]
}, Open  ]],
Cell[4519434, 88486, 705, 17, 39, "CodeText",ExpressionUUID->"2ed27813-9c4b-44cd-819f-99ae16dab5f2",
 CellID->930360194],
Cell[CellGroupData[{
Cell[4520164, 88507, 540, 10, 26, "Input",ExpressionUUID->"af1a1779-7d1e-4a79-911d-a390c9ed992d",
 CellID->1724452427],
Cell[4520707, 88519, 4804, 98, 73, "Output",ExpressionUUID->"fe510f14-1775-4e3e-a400-32c5f33c0157",
 CellID->1715061111]
}, Open  ]],
Cell[4525526, 88620, 1324, 31, 63, "Text",ExpressionUUID->"ee6812c7-bebc-4cfc-9ed8-c32f7e54b542",
 CellTags->{"LastCellOfAPage", "i:29"},
 CellID->1239008905],
Cell[4526853, 88653, 550, 14, 39, "CodeText",ExpressionUUID->"b9b6db67-74bf-44e2-b29b-7bed08b267c8",
 CellTags->"p: 230",
 CellID->739716233],
Cell[CellGroupData[{
Cell[4527428, 88671, 10076, 243, 165, "Input",ExpressionUUID->"282af622-634f-4311-bf1d-f5decb8af8a8",
 CellID->1567537896],
Cell[4537507, 88916, 69661, 1296, 198, "Output",ExpressionUUID->"e1929fcc-314e-4fdb-b3df-800e185cf382",
 CellID->634280015]
}, Open  ]],
Cell[4607183, 90215, 2060, 53, 89, "Text",ExpressionUUID->"acfd293e-e2cf-4270-b5d7-6344c6712698",
 CellID->223644140],
Cell[4609246, 90270, 1263, 31, 61, "CodeText",ExpressionUUID->"eb56f59d-c43b-422e-a257-81b623d50500",
 CellID->1956603799],
Cell[CellGroupData[{
Cell[4610534, 90305, 8283, 200, 31, "Input",ExpressionUUID->"3eb8472e-49a7-40f3-bfef-881d87fba405",
 CellID->1021383639],
Cell[4618820, 90507, 90029, 1768, 285, "Output",ExpressionUUID->"8eae2867-e99d-4953-b9e1-0745652aa312",
 CellTags->"LastCellOfAPage",
 CellID->1038292147]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4708898, 92281, 459, 12, 55, "Subsubsection",ExpressionUUID->"6f7ac768-fb3f-445a-a141-905640dc34ba",
 CellTags->"p: 231",
 CellID->953359415],
Cell[4709360, 92295, 910, 23, 39, "Text",ExpressionUUID->"965e0500-a084-42d3-905c-5679ec34e334",
 CellTags->"i:30",
 CellID->353071623],
Cell[4710273, 92320, 922, 19, 61, "CodeText",ExpressionUUID->"47759668-ad40-4591-900b-8056b4f9e36d",
 CellID->1751340149],
Cell[CellGroupData[{
Cell[4711220, 92343, 367, 9, 26, "Input",ExpressionUUID->"a44700aa-2924-4446-aa01-793d62dff294",
 CellID->1803517045],
Cell[4711590, 92354, 2657, 47, 171, "Output",ExpressionUUID->"f02a56e1-6c15-4bc2-88e0-01dcd27a70d3",
 CellID->1134670178]
}, Open  ]],
Cell[4714262, 92404, 811, 15, 113, "Text",ExpressionUUID->"507caf16-d14b-4b9a-bf44-90b61995bf6b",
 CellID->1279832958],
Cell[4715076, 92421, 1089, 24, 61, "CodeText",ExpressionUUID->"e0a9c93c-7dbc-4f9e-bdcd-f65da819ec34",
 CellID->1330780807],
Cell[CellGroupData[{
Cell[4716190, 92449, 461, 10, 26, "Input",ExpressionUUID->"ebd4d2ba-e7c0-4171-8cbe-a8fe1d622d15",
 CellID->1788500394],
Cell[4716654, 92461, 45694, 862, 387, "Output",ExpressionUUID->"dc9e08ad-b099-42aa-bd65-21a02fa8bcde",
 CellTags->"LastCellOfAPage",
 CellID->1139651230]
}, Open  ]],
Cell[4762363, 93326, 528, 12, 63, "Text",ExpressionUUID->"afddf6dd-d440-406e-92a7-0db125f65660",
 CellTags->"p: 232",
 CellID->682333756],
Cell[4762894, 93340, 487, 10, 39, "CodeText",ExpressionUUID->"529681c2-5b3a-472b-82cf-ddb198e582ec",
 CellID->1477656143],
Cell[CellGroupData[{
Cell[4763406, 93354, 360, 9, 26, "Input",ExpressionUUID->"0632e005-79fb-45ae-be6c-b1d14be22ff9",
 CellID->836444729],
Cell[4763769, 93365, 5133, 103, 107, "Output",ExpressionUUID->"46c00437-4ebf-48b0-a4df-6403bb4eae28",
 CellID->1791250292]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4768963, 93475, 453, 10, 57, "Subsection",ExpressionUUID->"5f59656a-e252-4caa-a1fd-ee08e8fe5f10",
 CellID->182583020],
Cell[4769419, 93487, 1594, 31, 88, "Text",ExpressionUUID->"e5c85db2-caed-48ca-864f-241715f73e31",
 CellTags->"i:31",
 CellID->1900876391],
Cell[4771016, 93520, 521, 11, 39, "CodeText",ExpressionUUID->"947c6e0c-0b49-44e5-a8cf-27f5586afb95",
 CellID->1235282274],
Cell[CellGroupData[{
Cell[4771562, 93535, 309, 5, 26, "Input",ExpressionUUID->"4389fc5c-db60-479f-9b67-3d28f82ef0d1",
 CellID->1313563947],
Cell[4771874, 93542, 61029, 1166, 307, "Output",ExpressionUUID->"544a7f96-80f5-41c3-8999-7ee7440b0f82",
 CellID->707144685]
}, Open  ]],
Cell[4832918, 94711, 1094, 26, 63, "Text",ExpressionUUID->"671b5a11-5eeb-4178-936e-b2a349f95b99",
 CellTags->"LastCellOfAPage",
 CellID->1851132716],
Cell[4834015, 94739, 523, 11, 39, "CodeText",ExpressionUUID->"66fed4e1-049a-4c2b-a872-d4b1bf8be289",
 CellTags->"p: 233",
 CellID->1112948299],
Cell[CellGroupData[{
Cell[4834563, 94754, 300, 6, 26, "Input",ExpressionUUID->"a0408eac-2d65-4839-9e59-95afa325cda5",
 CellID->887817817],
Cell[4834866, 94762, 51864, 974, 279, "Output",ExpressionUUID->"02b26f36-c467-4d57-80a8-f7354cb6e57f",
 CellID->597319610]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4886779, 95742, 295, 4, 57, "Subsection",ExpressionUUID->"2da1ddcb-eb38-4f1a-a0a5-18e33cdc0737",
 CellTags->"Double-Transpose",
 CellID->1236424223],
Cell[4887077, 95748, 2848, 55, 188, "Text",ExpressionUUID->"1a429042-57be-4cac-af07-aeee52cf9a0a",
 CellTags->"i:32",
 CellID->1352420434],
Cell[CellGroupData[{
Cell[4889950, 95807, 266, 3, 55, "Subsubsection",ExpressionUUID->"80b19556-1443-42c8-8c64-c6e2078600a2",
 CellID->1674411251],
Cell[4890219, 95812, 2145, 44, 88, "Text",ExpressionUUID->"14eb71ea-d4ce-48bc-a94d-50292e96405f",
 CellTags->"LastCellOfAPage",
 CellID->2001368307],
Cell[4892367, 95858, 299, 4, 39, "CodeText",ExpressionUUID->"e4f42bef-dbee-4d7d-b041-afd2e49a21e9",
 CellTags->"p: 234",
 CellID->718250717],
Cell[CellGroupData[{
Cell[4892691, 95866, 565, 11, 26, "Input",ExpressionUUID->"fd0a1462-d102-43b0-a4c3-8a5633c3e68c",
 CellID->799115712],
Cell[4893259, 95879, 61200, 1129, 313, "Output",ExpressionUUID->"f1e5e481-8cde-47d2-975e-cb2e0f4b7596",
 CellID->1699186802]
}, Open  ]],
Cell[4954474, 97011, 963, 18, 88, "Text",ExpressionUUID->"42ac7516-6c7e-4b05-8170-819b9d7b3fff",
 CellID->1952184150],
Cell[4955440, 97031, 262, 5, 39, "CodeText",ExpressionUUID->"f3fed664-935f-4d7e-92cc-f07af197594b",
 CellID->609257698],
Cell[4955705, 97038, 538, 12, 46, "Input",ExpressionUUID->"c5f63f2f-f0d8-40d5-b6de-60a63cb1ba53",
 CellID->476084924],
Cell[CellGroupData[{
Cell[4956268, 97054, 726, 14, 46, "Input",ExpressionUUID->"5dd209da-c0c7-4ebc-9ee4-a74ce064abd2",
 CellID->1610190416],
Cell[4956997, 97070, 62257, 1132, 313, "Output",ExpressionUUID->"14515e5e-5e05-487e-8410-88348e07970d",
 CellTags->"LastCellOfAPage",
 CellID->748953334]
}, Open  ]],
Cell[5019269, 98205, 1099, 19, 143, "Text",ExpressionUUID->"ecf43f5f-5e06-431a-8c77-f12e76d31c19",
 CellTags->"p: 235",
 CellID->1702520704],
Cell[5020371, 98226, 552, 12, 61, "CodeText",ExpressionUUID->"4b866db2-ec6f-4939-9366-c8db1bd92110",
 CellID->1704103657],
Cell[5020926, 98240, 307, 6, 26, "Input",ExpressionUUID->"10a25871-06db-4904-abf7-04b3127bd4bb",
 CellID->122334851],
Cell[CellGroupData[{
Cell[5021258, 98250, 458, 9, 26, "Input",ExpressionUUID->"def03d97-63e1-4ed5-ab90-81f784635f6a",
 CellID->971692299],
Cell[5021719, 98261, 36728, 647, 157, "Output",ExpressionUUID->"5a3dfd2e-3e1a-48d9-875f-116775c0abeb",
 CellID->1288851268]
}, Open  ]],
Cell[5058462, 98911, 1705, 37, 88, "Text",ExpressionUUID->"4a89fe9c-5ee5-45c6-8a58-cc5013b56beb",
 CellTags->"i:33",
 CellID->1642776715],
Cell[5060170, 98950, 1141, 29, 39, "CodeText",ExpressionUUID->"c80568df-7f59-48d0-870c-32cf5ac0da4e",
 CellID->1624311729],
Cell[CellGroupData[{
Cell[5061336, 98983, 9114, 208, 70, "Input",ExpressionUUID->"b8abf08d-e96c-4d31-b42b-9dbe3b089efc",
 CellID->308126493],
Cell[5070453, 99193, 36670, 646, 157, "Output",ExpressionUUID->"5b21767d-69d9-4a23-ae6c-309c3d9fc711",
 CellID->1046965577]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5107172, 99845, 218, 2, 55, "Subsubsection",ExpressionUUID->"9b63dcdd-c603-499d-b83d-5b2ac73e6a14",
 CellID->778706123],
Cell[5107393, 99849, 1308, 22, 138, "Text",ExpressionUUID->"19c06cbd-3b9e-4056-9103-ebc17043dc88",
 CellTags->{"LastCellOfAPage", "i:34"},
 CellID->1234361617],
Cell[5108704, 99873, 353, 5, 39, "CodeText",ExpressionUUID->"133eb746-84a6-4a11-a524-7224faedcbfa",
 CellTags->"p: 236",
 CellID->817524071],
Cell[CellGroupData[{
Cell[5109082, 99882, 843, 20, 79, "Input",ExpressionUUID->"3a668aa8-7d46-4ebc-b6d0-6ca8faae4271",
 CellID->38228414],
Cell[5109928, 99904, 289490, 5804, 149, "Output",ExpressionUUID->"0be42603-ba6d-475b-bff9-2709496f8508",
 CellID->613199548]
}, Open  ]],
Cell[5399433, 105711, 1097, 21, 88, "Text",ExpressionUUID->"0fbbea1e-7b96-4faf-9496-f04dc50ee312",
 CellID->171206917],
Cell[5400533, 105734, 306, 5, 39, "CodeText",ExpressionUUID->"586a3b19-6615-4a6e-a677-2548bc6aef46",
 CellID->443873053],
Cell[CellGroupData[{
Cell[5400864, 105743, 1036, 26, 65, "Input",ExpressionUUID->"3d71b01f-c6e7-4d52-93c1-0a10cb435eb7",
 CellTags->"i:35",
 CellID->259391128],
Cell[5401903, 105771, 49963, 923, 307, "Output",ExpressionUUID->"9472e585-9121-4cbb-b533-0b3c9a8e0ccf",
 CellID->724131871]
}, Open  ]],
Cell[5451881, 106697, 1015, 20, 63, "Text",ExpressionUUID->"832e5e50-eae7-4922-860e-93874cf6d28f",
 CellTags->{"LastCellOfAPage", "i:36"},
 CellID->578146987],
Cell[5452899, 106719, 663, 16, 61, "CodeText",ExpressionUUID->"fce05236-f23c-4b43-a492-0512a9e6727f",
 CellTags->"p: 237",
 CellID->904330493],
Cell[CellGroupData[{
Cell[5453587, 106739, 9790, 232, 108, "Input",ExpressionUUID->"e6a594a1-a1cf-461a-89df-036d27ae5022",
 CellID->788119329],
Cell[5463380, 106973, 58975, 1071, 307, "Output",ExpressionUUID->"db5de41b-c3f5-4b91-bc32-a6903b87f3c4",
 CellID->806654774]
}, Open  ]],
Cell[5522370, 108047, 2252, 47, 113, "Text",ExpressionUUID->"27ea5eaf-c2ee-43ea-af4c-4d95ee7f5a27",
 CellID->237178235],
Cell[5524625, 108096, 319, 6, 39, "CodeText",ExpressionUUID->"ece5066f-5427-44f0-b7ab-8158aefd6d56",
 CellID->1891311543],
Cell[CellGroupData[{
Cell[5524969, 108106, 827, 22, 103, "Input",ExpressionUUID->"fcf1cb27-daa0-4d0b-b923-9540d2f4e7b8",
 CellID->1423109001],
Cell[5525799, 108130, 58824, 1069, 307, "Output",ExpressionUUID->"7d069b55-cacb-4ea3-b544-ed0d21194fe6",
 CellTags->"LastCellOfAPage",
 CellID->477548398]
}, Open  ]],
Cell[5584638, 109202, 2452, 57, 113, "Text",ExpressionUUID->"41405a8b-d0be-49e5-88ad-ef0adadbf433",
 CellTags->"p: 238",
 CellID->330256751]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5587139, 109265, 310, 4, 57, "Subsection",ExpressionUUID->"b36ba29e-d57b-4b44-8ff4-2da2be7bae19",
 CellID->1967261171],
Cell[5587452, 109271, 2042, 42, 138, "Text",ExpressionUUID->"16cc21ed-442c-44a0-94bf-c86a45255650",
 CellTags->"i:37",
 CellID->1100271785],
Cell[5589497, 109315, 534, 11, 39, "CodeText",ExpressionUUID->"1e0f840b-caeb-45cc-a5a6-30219eaad896",
 CellID->1014435866],
Cell[CellGroupData[{
Cell[5590056, 109330, 8519, 202, 50, "Input",ExpressionUUID->"8dde42e7-f125-4069-885c-580f3addcbed",
 CellID->286206178],
Cell[5598578, 109534, 181734, 3674, 361, "Output",ExpressionUUID->"09876db1-3cb6-48ed-8bd6-a3937a133d29",
 CellID->1185034316]
}, Open  ]],
Cell[5780327, 113211, 745, 15, 88, "Text",ExpressionUUID->"37aebb5d-fdef-45df-8f13-85102c79900c",
 CellID->2051348013],
Cell[5781075, 113228, 271, 5, 39, "CodeText",ExpressionUUID->"ba5b4db5-dbb1-46a7-bc14-133d4c6cd61e",
 CellID->9878665],
Cell[CellGroupData[{
Cell[5781371, 113237, 551, 14, 26, "Input",ExpressionUUID->"f09b255a-3309-4152-a79d-a045a840e146",
 CellID->84223280],
Cell[5781925, 113253, 45706, 859, 117, "Output",ExpressionUUID->"d7a588c1-8b89-4e22-8b76-d68a08f2e6cc",
 CellTags->"LastCellOfAPage",
 CellID->329318376]
}, Open  ]],
Cell[5827646, 114115, 1755, 41, 88, "Text",ExpressionUUID->"c0975f39-9c8b-4ede-a927-dc106bed0e68",
 CellTags->{"i:38", "p: 239"},
 CellID->1303585553],
Cell[5829404, 114158, 262, 3, 39, "CodeText",ExpressionUUID->"578a3f03-8094-4cca-835f-2e7516f43a41",
 CellID->30783469],
Cell[CellGroupData[{
Cell[5829691, 114165, 439, 12, 26, "Input",ExpressionUUID->"6d06427e-1c72-4e17-8d04-d47828809fc9",
 CellID->734222577],
Cell[5830133, 114179, 755, 15, 37, "Output",ExpressionUUID->"400469dc-8708-4ec3-b967-03ac3dd39966",
 CellID->676639344]
}, Open  ]],
Cell[5830903, 114197, 296, 4, 39, "CodeText",ExpressionUUID->"f4c54c31-e0b8-45a4-9a8f-862920475267",
 CellID->637815977],
Cell[5831202, 114203, 500, 12, 26, "Input",ExpressionUUID->"586b844f-d639-4a60-9024-da770482f0b1",
 CellID->1682243262],
Cell[5831705, 114217, 898, 16, 63, "Text",ExpressionUUID->"353f424b-0ae4-4e48-8ca4-1f1a7deabb53",
 CellID->1840291679],
Cell[5832606, 114235, 848, 19, 61, "CodeText",ExpressionUUID->"3a96ebed-e4fe-41f2-9536-695e9945d86d",
 CellID->1660719727],
Cell[CellGroupData[{
Cell[5833479, 114258, 459, 12, 26, "Input",ExpressionUUID->"67582c8f-5768-48b8-b469-f9194d38e371",
 CellID->327990917],
Cell[5833941, 114272, 45234, 853, 117, "Output",ExpressionUUID->"00c3938b-1239-4c1c-841a-d1176fc96ae3",
 CellID->332586373]
}, Open  ]],
Cell[5879190, 115128, 999, 20, 63, "Text",ExpressionUUID->"13a0b7a8-6012-40f1-8faf-975e07f4ecd2",
 CellID->918518430],
Cell[5880192, 115150, 270, 3, 39, "CodeText",ExpressionUUID->"bd0eb44c-62a1-40d8-b48a-b3694034a63d",
 CellID->1500796861],
Cell[CellGroupData[{
Cell[5880487, 115157, 534, 14, 26, "Input",ExpressionUUID->"638a9116-fe8e-4f7c-b799-ac779e4de258",
 CellID->2036036179],
Cell[5881024, 115173, 45398, 855, 117, "Output",ExpressionUUID->"4744ec7b-eda5-41ee-9db3-3826953c5dcf",
 CellID->1210953632]
}, Open  ]],
Cell[5926437, 116031, 755, 17, 38, "Text",ExpressionUUID->"11ee4843-c3eb-4e1b-8d10-f1b0b06345e8",
 CellID->1722764859],
Cell[5927195, 116050, 741, 17, 39, "CodeText",ExpressionUUID->"4a44f295-0cf4-45b9-8449-f8694f21fc3b",
 CellID->1577410154],
Cell[CellGroupData[{
Cell[5927961, 116071, 525, 14, 26, "Input",ExpressionUUID->"1726499b-3a65-4de6-bfca-78754e06805f",
 CellID->2134456359],
Cell[5928489, 116087, 854, 17, 37, "Output",ExpressionUUID->"468906fb-d47a-45e6-a04d-bd9aa3752132",
 CellID->1460726886]
}, Open  ]],
Cell[CellGroupData[{
Cell[5929380, 116109, 585, 15, 26, "Input",ExpressionUUID->"d9fbde6e-922e-4b6a-afa9-cee77ce72bdd",
 CellID->93702578],
Cell[5929968, 116126, 45685, 860, 117, "Output",ExpressionUUID->"f35089e1-cd98-40a3-a738-21de61a38217",
 CellTags->"LastCellOfAPage",
 CellID->1533311824]
}, Open  ]],
Cell[5975668, 116989, 2229, 47, 188, "Text",ExpressionUUID->"019568eb-baf7-4def-a424-d6aedec88132",
 CellTags->{"i:39", "p: 240"},
 CellID->285476179],
Cell[CellGroupData[{
Cell[5977922, 117040, 185, 4, 65, "ExerciseSection",ExpressionUUID->"a96c998b-9dad-49f4-9b88-47a943f74d82",
 CellID->814524763],
Cell[CellGroupData[{
Cell[5978132, 117048, 1446, 39, 49, "Exercise",ExpressionUUID->"928095ae-3d93-4229-afea-79748c161925",
 CellTags->"Exercise",
 CellID->1575861236],
Cell[5979581, 117089, 1372, 31, 44, "ExerciseInput",ExpressionUUID->"e4a87ea7-e633-4c93-a051-5db67d06ecc3",
 CellTags->"Answer",
 CellID->731396008]
}, Open  ]],
Cell[CellGroupData[{
Cell[5980990, 117125, 1225, 28, 49, "Exercise",ExpressionUUID->"6d2d5f7a-4365-4d53-8786-d2336c029cc7",
 CellTags->"Exercise",
 CellID->1808537942],
Cell[CellGroupData[{
Cell[5982240, 117157, 460, 10, 25, "ExerciseInput",ExpressionUUID->"4b1af063-d5aa-4847-ac56-2a02171a83fb",
 CellTags->"Exercise",
 CellID->1455581065],
Cell[5982703, 117169, 89729, 1684, 307, "ExerciseOutput",ExpressionUUID->"1545422d-b3e8-41e3-98f4-388d1e65294b",
 CellTags->"Exercise",
 CellID->1623612392]
}, Open  ]]
}, Open  ]],
Cell[6072459, 118857, 2177, 44, 106, "Exercise",ExpressionUUID->"1debe3a7-070a-45b7-a053-fc464600de54",
 CellTags->"Exercise",
 CellID->169822851],
Cell[CellGroupData[{
Cell[6074661, 118905, 963, 25, 64, "Exercise",ExpressionUUID->"67e7959a-bf59-4a33-a56e-d4b8130cc442",
 CellTags->"Exercise",
 CellID->208656310],
Cell[6075627, 118932, 1001, 22, 62, "ExerciseInput",ExpressionUUID->"16383803-8e5d-4fcc-8dc8-6af9d6a64fba",
 CellTags->{"Answer", "LastCellOfAPage"},
 CellID->1978871925]
}, Open  ]],
Cell[CellGroupData[{
Cell[6076665, 118959, 622, 12, 49, "Exercise",ExpressionUUID->"1d6860e2-b352-466d-95f0-5e21de76ab71",
 CellTags->{"Exercise", "p: 241"},
 CellID->1503765094],
Cell[6077290, 118973, 27412, 492, 93, "ExerciseOutput",ExpressionUUID->"3125c2a9-7822-4e05-b68e-595caf07d410",
 CellTags->"Answer",
 CellID->1628245746]
}, Open  ]],
Cell[CellGroupData[{
Cell[6104739, 119470, 992, 19, 106, "Exercise",ExpressionUUID->"5ebb0de8-f7ce-4191-a071-fb056202332c",
 CounterAssignments->{{$CellContext`Exercise, 4}},
 CellTags->"Exercise",
 CellID->1478363851],
Cell[6105734, 119491, 53454, 1018, 269, "ExerciseOutput",ExpressionUUID->"4f471a29-b4fa-4498-a6b8-3e14c025b4ca",
 CellTags->"Answer",
 CellID->542139301]
}, Open  ]],
Cell[CellGroupData[{
Cell[6159225, 120514, 390, 8, 68, "Exercise",ExpressionUUID->"b022ae43-a440-4443-90a9-222e3d48b3a3",
 CellTags->"Exercise",
 CellID->1661057546],
Cell[6159618, 120524, 87563, 1670, 299, "ExerciseOutput",ExpressionUUID->"8ea52589-d188-4cdd-a66b-308e2d791351",
 CellTags->{"Exercise", "LastCellOfAPage"},
 CellID->1597927271]
}, Open  ]],
Cell[CellGroupData[{
Cell[6247218, 122199, 439, 9, 30, "Exercise",ExpressionUUID->"b59fc020-4c5c-43bb-8f8a-2c8aa878966e",
 CellTags->{"Exercise", "p: 242"},
 CellID->1329505952],
Cell[CellGroupData[{
Cell[6247682, 122212, 964, 24, 80, "ExerciseInput",ExpressionUUID->"c01cb706-b4d3-47a8-af46-ca7563bfae65",
 CellTags->"Exercise",
 CellID->944551117],
Cell[6248649, 122238, 67473, 1230, 273, "ExerciseOutput",ExpressionUUID->"64be2b9c-65fc-4e00-9c4a-ecd266cc0f27",
 CellTags->"Exercise",
 CellID->535861801]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6316171, 123474, 2022, 51, 87, "Exercise",ExpressionUUID->"4ff4763f-ab69-4962-9b4f-2fe25103844a",
 CellTags->"Exercise",
 CellID->506042144],
Cell[6318196, 123527, 76186, 1411, 299, "ExerciseOutput",ExpressionUUID->"cc914845-5099-4e31-b062-c5e5fdb95b10",
 CellTags->"Exercise",
 CellID->443874346]
}, Open  ]],
Cell[6394397, 124941, 1068, 22, 49, "Exercise",ExpressionUUID->"63f3075a-254b-44df-99ae-a07cfb91a4d9",
 CounterAssignments->{{$CellContext`Exercise, 7}},
 CellTags->"Exercise",
 CellID->1738701600]
}, Open  ]],
Cell[CellGroupData[{
Cell[6395502, 124968, 111, 1, 70, "TechNoteSection",ExpressionUUID->"e31084b2-22c1-41f1-a2f6-d23a4f9d409f",
 CellID->21466922],
Cell[6395616, 124971, 1508, 27, 77, "TechNote",ExpressionUUID->"147a903f-f767-465c-8381-204275d6be15",
 CellTags->"i:40",
 CellID->1420928995],
Cell[6397127, 125000, 539, 14, 26, "Input",ExpressionUUID->"2f55a4ab-444c-4053-86bf-b33fdeca15a0",
 CellTags->"LastCellOfAPage",
 CellID->155727354],
Cell[CellGroupData[{
Cell[6397691, 125018, 613, 13, 26, "Input",ExpressionUUID->"a06a50a8-e166-4648-b853-a30a689609e7",
 CellTags->"p: 243",
 CellID->1057344935],
Cell[6398307, 125033, 62692, 1179, 307, "Output",ExpressionUUID->"3ea54276-dc76-4f71-be2e-8ebb5598c324",
 CellID->69227929]
}, Open  ]],
Cell[6461014, 126215, 1994, 42, 124, "TechNote",ExpressionUUID->"1e0eb2af-9237-4c93-be4f-901938a9f6d5",
 CellTags->"i:41",
 CellID->218467922],
Cell[6463011, 126259, 2511, 52, 124, "TechNote",ExpressionUUID->"a53eca2b-9969-46b7-8811-416f276866f2",
 CellTags->"i:42",
 CellID->1156838177],
Cell[CellGroupData[{
Cell[6465547, 126315, 862, 20, 65, "Input",ExpressionUUID->"32663a3d-fead-4b1c-a101-cd62c73b93d5",
 CellID->861116478],
Cell[6466412, 126337, 107130, 2017, 313, "Output",ExpressionUUID->"5bfc9f68-6091-44ea-9dbc-f4f02810c1e2",
 CellTags->"LastCellOfAPage",
 CellID->477038519]
}, Open  ]],
Cell[6573557, 128357, 591, 13, 54, "TechNote",ExpressionUUID->"d132c061-5804-4479-977b-1f6b8c8f0841",
 CellTags->"p: 244",
 CellID->422400852],
Cell[CellGroupData[{
Cell[6574173, 128374, 878, 21, 160, "Input",ExpressionUUID->"e9e0b74f-bdf8-45a3-9c91-7e1f85770c60",
 CellID->1219594815],
Cell[6575054, 128397, 9925, 204, 93, "Output",ExpressionUUID->"b75b9271-03bb-4898-a029-cdce99813490",
 CellID->1700026643]
}, Open  ]],
Cell[CellGroupData[{
Cell[6585016, 128606, 598, 14, 46, "Input",ExpressionUUID->"c6a4770c-affc-4597-bef9-17a6820e399f",
 CellID->704935829],
Cell[6585617, 128622, 159, 2, 21, "EchoTiming",ExpressionUUID->"0623f655-644d-455f-99bf-278e4420bac6",
 CellID->410007644],
Cell[6585779, 128626, 36861, 671, 231, "Output",ExpressionUUID->"428c26df-2395-47c0-bea8-fa3f0b2eef55",
 CellID->1870933132]
}, Open  ]],
Cell[6622655, 129300, 4334, 108, 198, "TechNote",ExpressionUUID->"5223c887-4022-4ade-b081-8b6a3186e394",
 CellID->679713932],
Cell[CellGroupData[{
Cell[6627014, 129412, 750, 17, 46, "Input",ExpressionUUID->"81ec8671-7fa3-4424-b62c-84f22c1fd668",
 CellID->1451814987],
Cell[6627767, 129431, 28076, 506, 123, "Output",ExpressionUUID->"9a6100bd-b853-4b75-9197-aa6a6099ff63",
 CellTags->"LastCellOfAPage",
 CellID->1053180910]
}, Open  ]],
Cell[6655858, 129940, 3365, 86, 149, "TechNote",ExpressionUUID->"c57e446b-cbd1-4e7a-91d7-f80bd5c0c2ea",
 CellTags->{"i:43", "p: 245"},
 CellID->838863635],
Cell[CellGroupData[{
Cell[6659248, 130030, 666, 16, 46, "Input",ExpressionUUID->"bf53cf11-13d5-4a4d-9eac-a9e7426c0a77",
 CellID->1647596549],
Cell[6659917, 130048, 27949, 503, 123, "Output",ExpressionUUID->"918e6cdb-6de9-4aa4-8af0-f44bbec96c5a",
 CellTags->"LastCellOfAPage",
 CellID->1627125295]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* NotebookSignature nLjsB9wniPi8NK#mNu5I8PUc *)
