(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1909489,      38305]
NotebookOptionsPosition[   1651477,      33124]
NotebookOutlinePosition[   1854330,      37161]
CellTagsIndexPosition[   1852216,      37083]
WindowTitle->8 | Import and Export
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 
 CounterBox["Section"],
 StyleBox[" | ", "SectionBar"],
 "Import and Export"
}], "Section",
 CellChangeTimes->{
  3.652728456208679*^9, 3.652728527108994*^9, {3.822490056185255*^9, 
   3.822490059509221*^9}, 3.822492441128371*^9, {3.8734461871507463`*^9, 
   3.873446191127811*^9}},
 CounterAssignments->{{"Section", 7}},
 CellTags->"p: 295",
 CellID->1709594208,ExpressionUUID->"f8c29973-ea8c-4354-ac23-0e855fbbc14a"],

Cell[TextData[{
 "This chapter uses a data resource from the ",
 ButtonBox["Wolfram Data Repository",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://datarepository.wolframcloud.com/"], None},
  ButtonNote->"https://datarepository.wolframcloud.com/"],
 " (",
 ButtonBox["wolfr.am/WDR",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/wdr"], None},
  ButtonNote->"https://wolfr.am/wdr"],
 "). To access the data, evaluate the following code."
}], "Text",
 CellID->830269968,ExpressionUUID->"d137356a-913c-487f-bd0b-73e4f2904730"],

Cell[TextData[{
 "Acquire the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " from the Wolfram Data Repository: "
}], "CodeCaption",
 CellChangeTimes->{{3.77549691973217*^9, 3.775496924283777*^9}, {
  3.888932934911173*^9, 3.888932972321426*^9}, {3.8889358606099052`*^9, 
  3.888935860612075*^9}},
 CellID->336964028,ExpressionUUID->"07d4e310-a735-45ad-b3a8-0f1ad7fc9956"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ro", "=", 
  RowBox[{
  "ResourceObject", "[", "\"\<Sample Data for Query Book\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.888932859088291*^9, 3.8889328965549097`*^9}},
 CellLabel->"In[3]:=",
 CellID->443800812,ExpressionUUID->"c4fb7355-c6d2-4777-a641-b7f568e3882f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["ResourceObject",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxOpener"], 
               ImageSizeCache -> {12., {0., 12.}}], Appearance -> None, 
              BaseStyle -> {}, ButtonFunction :> (Typeset`open$$ = True), 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm], 
                    ImageSizeCache -> {477., {2.2265625, 8.94140625}}], 
                    Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}}, AutoDelete -> False, 
             BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True -> 
        GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxCloser"]], 
              Appearance -> None, BaseStyle -> {}, 
              ButtonFunction :> (Typeset`open$$ = False), Evaluator -> 
              Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm]],
                     Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}, {
               RowBox[{
                 TagBox["\"Categories: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Astronomy\"", "\"History\"", 
                    "\"Human Activities\""}, "RowWithSeparators"], Short], 
                  "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"ContentTypes: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Text\"", "\"Numerical Data\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Keywords: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{",", "\",\"", "\"Dataset\"", "\"Query\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Documentation: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "\"https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"], "SummaryItem"]}], 
               ""}, {
               RowBox[{
                 TagBox["\"Data Location: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  DynamicModuleBox[{
                   ResourceSystemClient`Private`typesetstorage$$ = 
                    ResourceSystemClient`Private`typesetstorageLocation, 
                    ResourceSystemClient`Private`info$$}, 
                   DynamicBox[
                    ToBoxes[
                    ResourceSystemClient`Private`info$$ = 
                    ResourceSystemClient`Private`resourceInfo[
                    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7"]; If[
                    AssociationQ[ResourceSystemClient`Private`info$$], 
                    ResourceSystemClient`Private`typesetstorage$$[
                    Lookup[
                    ResourceSystemClient`Private`info$$, 
                    "ContentElementLocations", None]], 
                    Missing["NotAvailable"]], StandardForm]], 
                   DynamicModuleValues :> {}], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"UUID: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                 "\"bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7\"", "SummaryItem"]}],
                ""}, {
               RowBox[{
                 TagBox["\"Version: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"1.0.1\"", "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Size: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "918.7280000000001`", "\"kB\"", "kilobytes", 
                    "\"Kilobytes\""}, "Quantity"], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   RowBox[{"\"aAssociation\"", ",", "\"Content\"", ",", 
                    RowBox[{"\[LeftSkeleton]", "20", "\[RightSkeleton]"}], 
                    ",", "\"Titanic List of Associations\"", ",", 
                    "\"Titanic List of Associations Dataset\""}], 
                   Short[#, 2]& ], "SummaryItem"]}], ""}}, AutoDelete -> 
             False, BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  ResourceObject[<|
   "Name" -> "Sample Data for Query Book", "UUID" -> 
    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7", "ResourceType" -> "DataResource", 
    "Version" -> "1.0.1", "Description" -> 
    "Data to support the Wolfram Media book Query: Getting Information from \
Data with the Wolfram Language", "RepositoryLocation" -> 
    URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
    "ContentSize" -> Quantity[918.7280000000001, "Kilobytes"], 
    "ContentElements" -> {
     "aAssociation", "Content", "Dinghy Association of Associations", 
      "Dinghy Association of Associations Dataset", 
      "Dinghy List of Associations", "Dinghy List of Associations Dataset", 
      "Eastern Cities List", "IDWeight List of Associations", 
      "Lifeboat List of Associations", 
      "Lifeboat List of Associations Dataset", "Mars Association", 
      "MLS List of Associations", "MLS List of Associations Dataset", 
      "MLS List of Lists", "MLS List of Lists Dataset", 
      "Planets Deeply Nested Structure", 
      "Planets Deeply Nested Structure Dataset", "Pops List", 
      "Titanic Cabins 2 List of Associations", 
      "Titanic Cabins 2 List of Associations Dataset", 
      "Titanic Cabins List of Associations", 
      "Titanic Cabins List of Associations Dataset", 
      "Titanic List of Associations", 
      "Titanic List of Associations Dataset"}|>, {
   ResourceSystemBase -> 
    "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.888932908054226*^9, 3.888933667462413*^9, 3.89946053551606*^9, 
   3.899480149933816*^9, {3.899544850701754*^9, 3.8995448729630527`*^9}},
 CellLabel->"Out[3]=",
 CellID->1590202819,ExpressionUUID->"396eea3d-28f5-429c-a36b-8638f70f8754"]
}, Open  ]],

Cell[TextData[{
 "Use ",
 ButtonBox["SetOptions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/SetOptions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/SetOptions.html"],
 " to change the default value of rows displayed in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.869301218202311*^9, 3.8693012439169188`*^9}, 
   3.870275789742787*^9, 3.870275849676017*^9},
 CellID->1855522912,ExpressionUUID->"5144945e-5c30-4d72-95d6-320e527d3cc7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Dataset", ",", 
    RowBox[{"MaxItems", "\[Rule]", "8"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.865603058322551*^9, 3.8656030834204903`*^9}, {
  3.8674001765123796`*^9, 3.867400176789679*^9}},
 CellLabel->"In[115]:=",
 CellID->925874686,ExpressionUUID->"54a76b68-b65a-499f-9557-66eaeb01ac59"],

Cell[CellGroupData[{

Cell["Introduction", "Subsection",
 CellChangeTimes->{{3.740313985581559*^9, 3.740313989770852*^9}},
 CellID->1227897148,ExpressionUUID->"6b4de447-99a0-4b1f-a084-1773b84ad524"],

Cell[TextData[{
 "Thus far in this book, I\[CloseCurlyQuote]ve gotten the data out of the \
Wolfram Data Repository or the example data distributed with the Wolfram \
Language. This is great when such data is precisely what you hope to work on, \
but in the real world, such convenience is seldom the case. Generally, you \
want to work on \[OpenCurlyDoubleQuote]wild data\[CloseCurlyDoubleQuote] that \
either lives on your file system or somewhere on the internet. Accessing this \
information is of such obvious importance that you might question the \
deferral of this topic until this late in the book. You can read this book in \
any order you choose, of course, but I have chosen to place it later because \
it helps to have a working knowledge of the transformation techniques \
described in the preceding chapters before attempting to tackle wild data. \
The main goal of this chapter is to expose the most important export and \
import formats you are likely to see as a data scientist. This skill will let \
you collaborate with colleagues who may be using different systems and will \
let you piggyback on others\[CloseCurlyQuote] efforts to collect and clean \
data. Now, as of Version 13.3, there are 242 file formats that the Wolfram \
Language knows how to capture, so I obviously can\[CloseCurlyQuote]t cover \
all of them. Instead, after a brief introduction to the concept of format and \
",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCodeText",ExpressionUUID->
  "4be807f6-75f7-4f95-9b60-a069ee276813"],
 ", I focus on the six formats I suspect most data scientists using the \
Wolfram Language will encounter, WXF, Text, CSV, Excel (XLS, XLSX), JSON and \
ZIP. I conclude the chapter with a brief look at how to get data out of a \
Google Sheet by asking it to create the equivalent of an Excel spreadsheet or \
CSV file. The skills learned in importing and exporting information from and \
to these formats should transfer to other formats you may want to use."
}], "Text",
 CellTags->{"LastCellOfAPage", "i:1", "p: 296"},
 CellID->706307534,ExpressionUUID->"0f918a00-ed69-4f2c-9215-79c5f3781fa7"],

Cell[TextData[{
 "I use internal data in this chapter because there\[CloseCurlyQuote]s a \
tricky issue of showing wild data in a static book. The internet is an ever \
changing place, and were I to provide you with a URL, the content might not \
be there when you read this book. I also don\[CloseCurlyQuote]t want to \
clutter up this book with file names that are specific to my computer. I will \
therefore periodically use ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " to show you exactly what happens when I export this data to a file. When I \
do so, I will then sometimes use ",
 ButtonBox["ImportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ImportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ImportString.html"],
 " to get the information back into the Wolfram Language kernel in a form \
requested. Other times, I will export from the kernel to a temporary file \
created by using the Wolfram Language function ",
 ButtonBox["CreateFile",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/CreateFile.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/CreateFile.html"],
 ". When I do so, I will bring it back into the kernel with the ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " function. By doing it this way I can: (1) make very clear exactly what is \
going on (there are a number of subtleties); (2) avoid the need to rely on \
internet resources that may change over time and make the lessons learned \
here non-replicable; and (3) avoid dependency on the precise content of my \
own local storage system (and preserve a little privacy)."
}], "Text",
 CellChangeTimes->{{3.771762749606429*^9, 3.771762821805023*^9}, {
   3.7719451421292458`*^9, 3.7719451880387297`*^9}, 3.812103807896711*^9, {
   3.812806765507266*^9, 3.8128067658193502`*^9}, {3.8128115878168335`*^9, 
   3.8128116187626495`*^9}, {3.8128118050982313`*^9, 
   3.8128118053471804`*^9}, {3.8128164830910563`*^9, 
   3.8128164974993305`*^9}, {3.812819568238078*^9, 3.8128195868122516`*^9}, {
   3.8128197163050423`*^9, 3.812819723373378*^9}, {3.812819865112075*^9, 
   3.8128198948637953`*^9}, {3.822938840960755*^9, 3.8229388473218956`*^9}, {
   3.822938891303485*^9, 3.8229389074456778`*^9}, {3.8693409949533443`*^9, 
   3.8693410016027107`*^9}, 3.873446521123353*^9, {3.877089417011155*^9, 
   3.8770894457641687`*^9}, {3.877103881962596*^9, 3.8771038858998127`*^9}, {
   3.8862379713249865`*^9, 3.886237971984087*^9}, {3.8862380034554844`*^9, 
   3.8862380052761583`*^9}},
 CellID->1610641579,ExpressionUUID->"0d61d5b1-8459-4267-a445-1311adbd9d72"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "The ",
 Cell[BoxData[
  FormBox["\"\<Format\>\"", TraditionalForm]],ExpressionUUID->
  "fa20ec41-4cd0-4e17-80c3-74fc83a8835c"],
 " and ",
 Cell[BoxData[
  FormBox["\"\<Elements\>\"", TraditionalForm]],ExpressionUUID->
  "018d15e5-d537-4da5-99cd-e69bcafa2112"],
 " Concept"
}], "Subsection",
 CellChangeTimes->{{3.771747611581415*^9, 3.771747629751795*^9}, {
  3.7717481129843407`*^9, 3.771748115662889*^9}, {3.878225486938102*^9, 
  3.8782254940502033`*^9}, {3.895849475862178*^9, 3.895849501023287*^9}},
 CellID->2138913977,ExpressionUUID->"cb0adeee-72c6-48f8-838d-9d3cca9a9439"],

Cell[TextData[{
 "Before addressing specific formats in which you can import or export data, \
it\[CloseCurlyQuote]s also important to explain a vital concept: ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCodeText",ExpressionUUID->
  "a8eea647-af60-4bf9-b2de-2e94598ff4ee"],
 ". When you import or export in the Wolfram Language, you usually have \
choices about what precisely is to be imported or exported, the ",
 Cell[BoxData[
 "\"\<Format\>\""], "InlineCodeText",ExpressionUUID->
  "9aff716c-fd64-451e-b922-91fc201d5941"],
 " in which it is to be imported or exported, and the ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCodeText",ExpressionUUID->
  "17a7d265-f46d-4d42-909a-f3bb6ef069f9"],
 " that are to be imported or exported. Let\[CloseCurlyQuote]s take an \
example."
}], "Text",
 CellChangeTimes->{{3.898255792124763*^9, 3.8982558056562033`*^9}},
 CellTags->"i:2",
 CellID->1304781158,ExpressionUUID->"4bf8fd73-9b84-43b9-9514-b8bd3a950ac7"],

Cell["Suppose I want to export this expression:", "CodeText",
 CellChangeTimes->{3.812105547635873*^9},
 CellID->675604613,ExpressionUUID->"c5443c11-ea78-4700-98e2-891988340c16"],

Cell[TextData[{
 "If I ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " it with the ",
 Cell[BoxData[
 "\"\<CSV\>\""], "InlineCode",ExpressionUUID->
  "df3deb4c-ed8e-4e35-9376-5b4ca4da38b4"],
 " format, I get this:"
}], "CodeText",
 CellChangeTimes->{{3.771747817351576*^9, 3.771747841086817*^9}, 
   3.771747871722636*^9, 3.812821010670083*^9, {3.812821087499241*^9, 
   3.812821105737274*^9}, 3.8230012772047176`*^9, {3.886002119479534*^9, 
   3.886002131000085*^9}, {3.8982559449581127`*^9, 3.898255945494347*^9}},
 CellTags->"i:3",
 CellID->822721998,ExpressionUUID->"8310d6a2-f695-45f2-ad42-d2dc9a7e043c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"exportedTestExpresssion", "=", 
    RowBox[{"ExportString", "[", 
     RowBox[{"testExpression", ",", "\"\<CSV\>\""}], "]"}]}], ")"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.77174784263195*^9, 3.7717478663575153`*^9}, {
   3.771748251521492*^9, 3.7717482804987288`*^9}, 3.8242235887248507`*^9, {
   3.874505489049698*^9, 3.8745055234157667`*^9}, {3.874505568442622*^9, 
   3.874505588864729*^9}},
 CellLabel->"In[35]:=",
 CellID->1781242681,ExpressionUUID->"8ddcb9b7-cbdf-4427-9a5e-ae680cc8baa2"],

Cell[BoxData[
 StyleBox["\"\<1,2,3\\n4,5,6\\n\>\"",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{{3.771747849636035*^9, 3.771747867725278*^9}, {
   3.7717482580079317`*^9, 3.771748280864788*^9}, 3.824223330715301*^9, {
   3.824223603639173*^9, 3.824223614072328*^9}, 3.869916347714425*^9, 
   3.874505476347756*^9, 3.874505527170368*^9, 3.874505594181615*^9, 
   3.881830605322171*^9, 3.899460546006792*^9},
 CellLabel->"Out[35]=",
 CellID->386812182,ExpressionUUID->"12951093-8449-475b-880a-1bf3df51e07c"]
}, Open  ]],

Cell[TextData[{
 "A few code notes before proceeding. As its name suggests, ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " creates a string. Its first argument is the Wolfram Language expression \
one seeks to convert to a string. The second argument is the format in which \
the string is to be constructed. The ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 " is a bit like ",
 ButtonBox["InputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/InputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/InputForm.html"],
 " in that it shows quotation marks around strings."
}], "Text",
 CellChangeTimes->{{3.77194527075117*^9, 3.771945378511056*^9}, 
   3.812103814894862*^9, 3.812821077620525*^9, 3.8128211703844233`*^9, {
   3.8128212264123755`*^9, 3.8128212687552404`*^9}, {3.8128214126067*^9, 
   3.8128214306029453`*^9}, {3.823001296173996*^9, 3.8230013731611176`*^9}, {
   3.8693448665013733`*^9, 3.869344872323904*^9}, 3.877020892770008*^9, {
   3.877090424631427*^9, 3.8770904498688035`*^9}, {3.878212105659599*^9, 
   3.878212107858846*^9}, {3.885985884950839*^9, 3.8859859140071645`*^9}, {
   3.8859892906510344`*^9, 3.8859893098253508`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1206253375,ExpressionUUID->"bd865b66-74d0-449d-a289-da6a32f09968"],

Cell[TextData[{
 "I can change the export format and see the results of ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " change dramatically. If, for example, I ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " the same expression with the popular JSON format, I get the following."
}], "Text",
 CellChangeTimes->{{3.771747873526025*^9, 3.771747890937356*^9}, {
   3.771945388106257*^9, 3.7719454120035954`*^9}, {3.77194544241642*^9, 
   3.7719454434062033`*^9}, {3.812105593632724*^9, 3.8121055980889025`*^9}, 
   3.8128214436136403`*^9, {3.8128214810010376`*^9, 3.8128215209168158`*^9}, {
   3.873447327151184*^9, 3.87344733628932*^9}, {3.8770905143316307`*^9, 
   3.8770905261375546`*^9}},
 CellTags->{"i:4", "p: 297"},
 CellID->1583717435,ExpressionUUID->"e278edf7-263c-4505-ad10-0962e610e6b8"],

Cell[TextData[{
 "Export an expression to JSON with ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " and use ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7719454176570063`*^9, 3.771945437909396*^9}, {
  3.8121055752195663`*^9, 3.812105577379687*^9}, {3.823001400990715*^9, 
  3.8230014294535074`*^9}, {3.869343530498027*^9, 3.8693435399924593`*^9}, {
  3.8734468255773687`*^9, 3.8734468285498533`*^9}, {3.8770905434175577`*^9, 
  3.8770905538677897`*^9}},
 CellID->1548572068,ExpressionUUID->"f980161d-90f6-4c4b-b4a4-d9d970c2c293"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ExportString", "[", 
   RowBox[{"testExpression", ",", "\"\<JSON\>\""}], "]"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771747893756064*^9, 3.771747908608219*^9}, 
   3.8242238771682377`*^9, 3.874505604468935*^9},
 CellLabel->"In[36]:=",
 CellID->1537040974,ExpressionUUID->"22d5168b-7a7a-486a-9c5c-e62dd1fbd7b8"],

Cell[BoxData[
 StyleBox[
  "\"\<[\\n\\t[\\n\\t\\t1,\\n\\t\\t2,\\n\\t\\t3\\n\\t],\\n\\t[\\n\\t\\t4,\\n\\\
t\\t5,\\n\\t\\t6\\n\\t]\\n]\>\"",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{{3.771747902894988*^9, 3.771747909587138*^9}, 
   3.824224224351947*^9, 3.86991634773787*^9, 3.881830613274021*^9, 
   3.899460551337529*^9},
 CellLabel->"Out[36]=",
 CellID->878479365,ExpressionUUID->"babd058b-ab07-4625-8026-270a780eb11b"]
}, Open  ]],

Cell["\<\
The results are very different, so the format of the export matters. \
\>", "Text",
 CellChangeTimes->{{3.771747914439066*^9, 3.7717479312208157`*^9}, {
  3.812821534498439*^9, 3.8128215450495825`*^9}},
 CellID->287819183,ExpressionUUID->"006e3013-24df-42fd-8218-ddc173619ae8"],

Cell[TextData[{
 "The same dependence on format exists for ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " operations too. The following code shows, for example, that when I import \
the identical string first as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCodeText",ExpressionUUID->
  "d7fb2a74-a9bd-450b-bde8-623f1876b782"],
 " and then as ",
 Cell[BoxData[
 "\"\<CSV\>\""], "InlineCodeText",ExpressionUUID->
  "cf58c278-5b33-4d1d-8686-ffa67a026b65"],
 ", the kernel holds, respectively, a single string or a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists."
}], "Text",
 CellChangeTimes->{{3.771747938340453*^9, 3.771747968814417*^9}, {
   3.771748086629678*^9, 3.7717481071236*^9}, {3.771748182412293*^9, 
   3.771748216555496*^9}, {3.77175914016503*^9, 3.77175914207688*^9}, {
   3.771945452735408*^9, 3.771945487630362*^9}, {3.8128215528924007`*^9, 
   3.8128215629713054`*^9}, {3.812821634426894*^9, 3.812821638339966*^9}, 
   3.869341056925571*^9, {3.869343549014876*^9, 3.8693436070955563`*^9}, 
   3.873446868142303*^9, {3.87344692312011*^9, 3.873446931383432*^9}, {
   3.8771038992247663`*^9, 3.8771038999159393`*^9}, {3.8859859299072924`*^9, 
   3.885985935353692*^9}, {3.885989319812235*^9, 3.8859893280512767`*^9}},
 CellTags->"i:5",
 CellID->2107850529,ExpressionUUID->"a03ca5a2-a7db-471d-bbdf-cd520a84f8eb"],

Cell[TextData[{
 "Create a file that holds a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists (",
 Cell[BoxData[
 "testExpression"], "InlineCode",ExpressionUUID->
  "10fe7668-5c17-459e-81b8-52b85d6cfb5e"],
 ") exported in ",
 Cell[BoxData[
 "\"\<CSV\>\""], "InlineCode",ExpressionUUID->
  "5e686425-5cf6-4798-818d-13c07efd4da9"],
 " format; if you want a purely temporary file, use ",
 StyleBox[ButtonBox["CreatFile",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/CreateFile.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/CreateFile.html"],
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  RowBox[{"[", "]"}]],ExpressionUUID->"c905683e-5783-4569-80da-82888a52e986"],
 " instead of an actual file name:"
}], "CodeText",
 CellID->1800502015,ExpressionUUID->"1108cfa0-c205-457c-9149-2b2db953aa34"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"testCSVFile", "=", 
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<testcsvfile.csv\>\"", ",", "testExpression", ",", "\"\<CSV\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.771759181875268*^9, 3.771759185066016*^9}, {
  3.7717592245955*^9, 3.7717592274069633`*^9}, {3.771760516051758*^9, 
  3.771760537048641*^9}, {3.8994606152622004`*^9, 3.899460623121982*^9}, {
  3.899464321286096*^9, 3.899464324296036*^9}, {3.899464462891098*^9, 
  3.899464466136622*^9}, {3.899464523498761*^9, 3.899464546597529*^9}},
 CellLabel->"In[121]:=",
 CellID->55554798,ExpressionUUID->"ef9a84d4-27d0-4323-ab0b-20b5f91efb05"],

Cell[BoxData["\<\"testcsvfile.csv\"\>"], "Output",
 CellChangeTimes->{{3.771759186456895*^9, 3.771759195301674*^9}, 
   3.7717592279486723`*^9, 3.771760540764412*^9, 3.824224319685788*^9, 
   3.869916347772835*^9, 3.881830628493631*^9, 3.899460626201501*^9, 
   3.8994643296684837`*^9, 3.899464470177351*^9, 3.899464549276721*^9},
 CellLabel->"Out[121]=",
 CellID->558921774,ExpressionUUID->"f87bd43f-e7a9-4486-9305-d8d2888ba7a6"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " a file exported as CSV using two different formats:"
}], "CodeText",
 CellChangeTimes->{{3.771945537068749*^9, 3.77194555571815*^9}, 
   3.8121056285953054`*^9, {3.86934361543296*^9, 3.8693436233105803`*^9}, {
   3.873447378841675*^9, 3.873447382415297*^9}, 3.8782187970344973`*^9},
 CellID->2111283356,ExpressionUUID->"3e3edf1d-49e4-4a88-8aed-27d7c2635793"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"testCSVFile", ",", "\"\<Text\>\""}], "]"}], "//", 
    InterpretationBox[
     TagBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       #& ,
       TagBoxNote->" "],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "ShowQuotes"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
        "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False]}], ",", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"testCSVFile", ",", "\"\<CSV\>\""}], "]"}], "//", 
    InterpretationBox[
     TagBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       #& ,
       TagBoxNote->" "],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "ShowQuotes"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
        "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False]}]}], "}"}]], "Input",
 CellChangeTimes->{{3.7717481272883*^9, 3.771748179088518*^9}, {
   3.7717482622312737`*^9, 3.7717482703328733`*^9}, {3.771759017256345*^9, 
   3.771759046037881*^9}, {3.771759084641149*^9, 3.771759123148494*^9}, {
   3.77175919032946*^9, 3.7717592361869793`*^9}, {3.7717605439115067`*^9, 
   3.771760550291342*^9}, 3.824223738371727*^9, {3.8242238847130003`*^9, 
   3.8242238959231358`*^9}, {3.874505611694932*^9, 3.874505613988056*^9}},
 CellLabel->"In[38]:=",
 CellID->1168953167,ExpressionUUID->"d24a7510-7a99-4f9a-9978-2594ccef71bd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   StyleBox["\"\<1,2,3\\n4,5,6\>\"",
    StripOnInput->False,
    ShowStringCharacters->True], ",", 
   StyleBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", "6"}], "}"}]}], "}"}],
    StripOnInput->False,
    ShowStringCharacters->True]}], "}"}]], "Output",
 CellChangeTimes->{{3.7717481409350557`*^9, 3.771748179424775*^9}, {
   3.771748271122588*^9, 3.771748283032302*^9}, 3.771759049545908*^9, {
   3.771759120233129*^9, 3.771759123476521*^9}, {3.771759192334303*^9, 
   3.771759197420266*^9}, 3.771759236929204*^9, 3.771760550585712*^9, 
   3.824224334303646*^9, 3.869916347808805*^9, 3.881830683606798*^9, 
   3.899460637247677*^9},
 CellLabel->"Out[38]=",
 CellID->1150448555,ExpressionUUID->"022f6e52-1b06-4b9a-8e2e-6380c4532c69"]
}, Open  ]],

Cell[TextData[{
 "This result should not shock persons with a good understanding of computer \
science. The same pattern of bits existing on my hard drive (",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
   "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
    "0"}], "}"}]], "InlineCodeText",ExpressionUUID->
  "272e9f52-8e47-41d7-863b-96050a064396"],
 ") could be interpreted as either the integer 72 or as the letter H. It all \
depends on how I direct my computer to understand the matter."
}], "Text",
 CellChangeTimes->{{3.771945564973219*^9, 3.771945590175568*^9}, {
   3.771946206941661*^9, 3.771946242744502*^9}, 3.8128217275088315`*^9},
 CellID->801909050,ExpressionUUID->"5aa9d1a1-9ff9-4a22-aa05-763e06024f7e"],

Cell["The meaning of a string depends on how it is interpreted:", "CodeText",
 CellChangeTimes->{{3.771945660860353*^9, 3.771945666512969*^9}, {
   3.7719467906634693`*^9, 3.77194680986189*^9}, 3.771947065873783*^9, 
   3.812105639050743*^9, {3.869343635019248*^9, 3.869343638404845*^9}, {
   3.8859859440324125`*^9, 3.8859859490581846`*^9}, {3.885989332101471*^9, 
   3.885989334130004*^9}},
 CellID->111749003,ExpressionUUID->"7ff742b1-9f9d-4ea5-a244-65bf97e1edbd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ImportString", "[", 
    RowBox[{"\"\<H\>\"", ",", "\"\<UnsignedInteger8\>\""}], "]"}], ",", 
   RowBox[{"ImportString", "[", 
    RowBox[{"\"\<H\>\"", ",", "\"\<Character8\>\""}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.771945899223589*^9, 3.771945914808093*^9}, {
  3.771945952270586*^9, 3.771945978700478*^9}, {3.7719460102839727`*^9, 
  3.771946044575099*^9}, {3.771946153076007*^9, 3.771946182393105*^9}, {
  3.7719462558529787`*^9, 3.771946344030261*^9}, {3.771946412927739*^9, 
  3.771946413221836*^9}},
 CellLabel->"In[39]:=",
 CellID->828806698,ExpressionUUID->"cf3adbe1-7a9f-4a87-84cb-bb5d4bcfc665"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "72", "}"}], ",", 
   RowBox[{"{", "\<\"H\"\>", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.771945907420199*^9, 3.771945915250424*^9}, {
   3.77194596169033*^9, 3.771945975468089*^9}, {3.771946021761113*^9, 
   3.771946045149282*^9}, 3.771946182928256*^9, {3.771946266909132*^9, 
   3.771946344741108*^9}, 3.771946414392211*^9, 3.824224390878718*^9, 
   3.8699163478445377`*^9, 3.881830689849347*^9, 3.899460651569549*^9},
 CellLabel->"Out[39]=",
 CellID->149433518,ExpressionUUID->"15f2a309-64f9-4012-aa60-9603d07f029f"]
}, Open  ]],

Cell[TextData[{
 "Each combination of operation (",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 ", ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 ", ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 ", and ",
 ButtonBox["ImportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ImportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ImportString.html"],
 ") and format generally has its own ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCodeText",ExpressionUUID->
  "5c62642a-fc87-44ae-8218-0c3ceef29158"],
 " that provide additional control over these operations. To discover the ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCodeText",ExpressionUUID->
  "a4097228-c7dd-4f60-b9db-1fe55569263f"],
 " relative to an operation and a format, one adjusts the final argument to \
the operation. Instead of just writing the format, one creates a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " in which the format is the first part and the word ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCodeText",ExpressionUUID->
  "707aa525-4dd1-41de-b7a3-e110a7011a0e"],
 " is the second part. Here\[CloseCurlyQuote]s an example where I try to find \
what ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCodeText",ExpressionUUID->
  "1008b0b4-463d-4451-83e3-974c339262cf"],
 " are available if I try to ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " a file as CSV."
}], "Text",
 CellChangeTimes->{{3.771748225302519*^9, 3.7717482483682632`*^9}, {
   3.771748287207724*^9, 3.771748453911175*^9}, {3.771748498509528*^9, 
   3.771748511313768*^9}, {3.7719464358483477`*^9, 3.771946530893861*^9}, {
   3.771946567969166*^9, 3.771946707486902*^9}, 3.812103818471687*^9, {
   3.812105317195386*^9, 3.8121053188987565`*^9}, {3.8128217470775747`*^9, 
   3.8128217690259533`*^9}, 3.8128237607140675`*^9, 3.812881650115428*^9, {
   3.812882695268978*^9, 3.812882700476363*^9}, {3.869341309355771*^9, 
   3.86934131054702*^9}, 3.8693432144007187`*^9, {3.869343690155595*^9, 
   3.869343739230331*^9}, {3.873447392793964*^9, 3.873447437642253*^9}, 
   3.877090924960519*^9, {3.878212159038766*^9, 3.8782121669755287`*^9}},
 CellTags->{"LastCellOfAPage", "i:6"},
 CellID->1864559062,ExpressionUUID->"1ce6ed30-aca9-4d5c-9483-a083b1aab72c"],

Cell[TextData[{
 "Discover the ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCode",ExpressionUUID->
  "4f2f9164-fa08-4b7e-8c6f-199b7997942c"],
 " available for ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " when using a CSV format:"
}], "CodeText",
 CellChangeTimes->{{3.7719468130635567`*^9, 3.771946824894043*^9}, 
   3.812123586051852*^9, {3.869343742645378*^9, 3.869343747490479*^9}, 
   3.873447040422146*^9, {3.873447409589155*^9, 3.873447417592224*^9}, {
   3.873447460244624*^9, 3.873447467028205*^9}, {3.874751570704549*^9, 
   3.874751573444722*^9}},
 CellTags->"p: 298",
 CellID->1806324323,ExpressionUUID->"3d2ac6f3-774e-4b9a-aa19-c688f271e3a3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"testCSVFile", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<CSV\>\"", ",", "\"\<Elements\>\""}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.77174834598664*^9, 3.771748361218738*^9}, {
  3.771759241748199*^9, 3.7717592477278557`*^9}, {3.771760555663383*^9, 
  3.7717605584257383`*^9}},
 CellLabel->"In[40]:=",
 CellID->485689243,ExpressionUUID->"5fead6b0-aa73-47ab-9962-f2ef98fcb1e0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Data\"\>", ",", "\<\"Dataset\"\>", ",", "\<\"Dimensions\"\>", 
   ",", "\<\"Grid\"\>", ",", "\<\"MaxColumnCount\"\>", ",", "\<\"RawData\"\>",
    ",", "\<\"RowCount\"\>", ",", "\<\"Summary\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.771748353013514*^9, 3.771748361537162*^9}, 
   3.771748458732069*^9, 3.771759252346837*^9, 3.7717605619683237`*^9, 
   3.824224610763735*^9, 3.8699163478666267`*^9, 3.881830696110343*^9, 
   3.899460683686133*^9},
 CellLabel->"Out[40]=",
 CellID->1106227447,ExpressionUUID->"c8a9ebcc-aa3a-4fbe-bed8-9a0ff1b7fc0c"]
}, Open  ]],

Cell["\<\
 I now see that there are many things I can try to get out. Here, for \
example, I determine the number of rows in this file when imported as CSV.\
\>", "Text",
 CellChangeTimes->{{3.771748461698257*^9, 3.7717485736908092`*^9}, {
  3.771946716974205*^9, 3.7719467242631207`*^9}, {3.8693413320566177`*^9, 
  3.869341364636307*^9}},
 CellTags->"i:7",
 CellID->381174699,ExpressionUUID->"74681a6b-b443-4ded-890a-2dfb857bbfda"],

Cell[TextData[{
 "Use the ",
 Cell[BoxData[
 "\"\<RowCount\>\""], "InlineCode",ExpressionUUID->
  "8629ddca-dbcb-4840-82e4-3c80eba43a16"],
 " element to find out how many rows are in a CSV file:"
}], "CodeText",
 CellChangeTimes->{{3.771946827760235*^9, 3.771946842099187*^9}, {
   3.8121235942272315`*^9, 3.8121235945387983`*^9}, 3.8128827400109825`*^9},
 CellID->689366140,ExpressionUUID->"500bab0b-7696-49d0-a153-446337b820ff"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"testCSVFile", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<CSV\>\"", ",", "\"\<RowCount\>\""}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771748581010221*^9, 3.7717485824511414`*^9}, {
  3.771759255098106*^9, 3.771759260631678*^9}, {3.771760564321341*^9, 
  3.771760566118539*^9}},
 CellLabel->"In[41]:=",
 CellID->1722619122,ExpressionUUID->"220009ad-2b02-47d0-ab09-76955ee1293c"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.771748582939101*^9, 3.771759261025031*^9, 
  3.771760566520052*^9, 3.8242247145661287`*^9, 3.869916347903779*^9, 
  3.881830707930355*^9, 3.8994606970014153`*^9},
 CellLabel->"Out[41]=",
 CellID->1098274769,ExpressionUUID->"096f3335-e28e-42ef-9c0f-7824cd549224"]
}, Open  ]],

Cell[TextData[{
 "Here I import data using the ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCodeText",ExpressionUUID->
  "3edf7110-75d0-466a-85b0-0bba50066dc6"],
 " format but as ",
 Cell[BoxData[
 "\"\<Words\>\""], "InlineCodeText",ExpressionUUID->
  "0b03cd26-513e-4225-826d-13d81e0acbc4"],
 ". Now, instead of one single string, I get two strings, each corresponding \
to what the importer believes is the equivalent of a word."
}], "Text",
 CellChangeTimes->{{3.7717485948369017`*^9, 3.7717486825898037`*^9}, {
  3.812896567760088*^9, 3.812896607640656*^9}, {3.869344940248776*^9, 
  3.869344946261495*^9}, {3.8770914132446656`*^9, 3.877091413536874*^9}, {
  3.885989340901181*^9, 3.8859893451508102`*^9}},
 CellTags->"i:8",
 CellID->1763265416,ExpressionUUID->"0bc47abd-17b5-4b1d-bb92-493a95be6d20"],

Cell[TextData[{
 "Use the ",
 Cell[BoxData[
 "\"\<Words\>\""], "InlineCode",ExpressionUUID->
  "714cd719-3ae9-4e16-a07d-5a39ddb7d0f8"],
 " element to find out how many \[OpenCurlyDoubleQuote]words\
\[CloseCurlyDoubleQuote] the kernel interprets to be in a ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "deda0acb-49a8-4d40-ab85-726d57e8a3f8"],
 " file:"
}], "CodeText",
 CellChangeTimes->{{3.771946844892333*^9, 3.771946858403264*^9}, 
   3.8121236067542863`*^9, {3.8128090351921706`*^9, 3.812809040848678*^9}, 
   3.812896624174266*^9, {3.8693449646874657`*^9, 3.869344995286455*^9}, {
   3.873447534830406*^9, 3.873447555513665*^9}, {3.8771039098630977`*^9, 
   3.877103910503415*^9}},
 CellID->81035461,ExpressionUUID->"0cadad53-b84d-40b1-bef5-776e0697870f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"testCSVFile", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<Text\>\"", ",", "\"\<Words\>\""}], "}"}]}], "]"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771748614407796*^9, 3.771748630726446*^9}, {
   3.7717592637924957`*^9, 3.771759268510693*^9}, {3.7717605705784893`*^9, 
   3.771760572474226*^9}, 3.824223902713976*^9, 3.874505618770973*^9},
 CellLabel->"In[42]:=",
 CellID->1020880020,ExpressionUUID->"6960b4a7-7511-446e-b631-25a278b6f664"],

Cell[BoxData[
 StyleBox[
  RowBox[{"{", 
   RowBox[{"\"\<1,2,3\>\"", ",", "\"\<4,5,6\>\""}], "}"}],
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{{3.7717486227009974`*^9, 3.7717486314542227`*^9}, 
   3.7717592688902082`*^9, 3.771760573030398*^9, 3.8242248457477827`*^9, 
   3.869916347927693*^9, 3.881830713047592*^9, 3.8994607185293427`*^9},
 CellLabel->"Out[42]=",
 CellID->1479445917,ExpressionUUID->"671e10d5-06f2-4887-a57a-257830ebd763"]
}, Open  ]],

Cell[TextData[{
 "Each combination of transaction and format also has its default \
specification so that when I write ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Import",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Import.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"], 
   "[", 
   RowBox[{"testStream", ",", "\"\<CSV\>\""}], "]"}]], "InlineCodeText",
  ExpressionUUID->"244623cd-c714-433f-b3e6-25d52e21add5"],
 ", what I really mean is ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Import",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Import.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"], 
   "[", 
   RowBox[{"testStream", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<CSV\>\"", ",", "\"\<Data\>\""}], "}"}]}], "]"}]], 
  "InlineCodeText",ExpressionUUID->"1d646206-7a50-4953-8f91-08a36be38f52"],
 ". Mastery over format and element specifications can be crucial to \
effectively sending data to others or receiving data from them in the desired \
form."
}], "Text",
 CellID->468841657,ExpressionUUID->"c3288209-94c3-49a0-9b94-5b82087e7761"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Using the WXF Format", "Subsection",
 CellChangeTimes->{{3.771620637125169*^9, 3.7716206395438423`*^9}, {
  3.8237912494678493`*^9, 3.823791256794289*^9}},
 CellID->369163173,ExpressionUUID->"ac9f14a5-6e31-4023-a50c-bfcc3a1e30c0"],

Cell[TextData[{
 "If you know that your data is going to be used by people using the Wolfram \
Language, the most straightforward export format is WXF, Wolfram exchange \
format. You can export virtually any Wolfram Language expression this way. To \
export to a file, use ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " followed by the name of the file you want to hold the data, followed by \
the expression you want to export, followed by the format string ",
 Cell[BoxData[
 "\"\<WXF\>\""], "InlineCodeText",ExpressionUUID->
  "dca166e0-4b87-46d8-b20d-40a5a0f96d3d"],
 ". One virtue of this method is that the reimportation should work precisely \
the same regardless of what operating system is being used; this is not \
always the case with certain other formats. I\[CloseCurlyQuote]ll show that \
method here, using ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " rather than ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " for the reasons described in the introductory material and postfixing the \
result with the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 " so you can see what the string really looks like."
}], "Text",
 CellChangeTimes->{{3.771620688028099*^9, 3.7716207587614527`*^9}, {
   3.771620900883622*^9, 3.771620978750066*^9}, {3.771621009315991*^9, 
   3.771621010581258*^9}, {3.771621396805808*^9, 3.771621415584869*^9}, {
   3.7716661683636513`*^9, 3.7716662495412416`*^9}, {3.812897239583269*^9, 
   3.8128972398371572`*^9}, {3.8128973170330753`*^9, 
   3.8128973202125397`*^9}, {3.812897406464864*^9, 3.8128974341732035`*^9}, {
   3.8128983842618876`*^9, 3.8128983887031927`*^9}, {3.812898449937398*^9, 
   3.81289846289047*^9}, {3.812898560077527*^9, 3.812898625551327*^9}, 
   3.812899280388939*^9, {3.869345024469763*^9, 3.869345030953484*^9}, {
   3.873447704413237*^9, 3.873447710362175*^9}, {3.8770940318881197`*^9, 
   3.8770940752444735`*^9}, {3.8859866842807083`*^9, 3.885986684442276*^9}, {
   3.8859871430587015`*^9, 3.885987162742049*^9}, {3.885989352715236*^9, 
   3.885989362391932*^9}},
 CellTags->{"LastCellOfAPage", "i:9"},
 CellID->1477366569,ExpressionUUID->"971cec0f-42eb-48b3-818e-afdb66a94609"],

Cell[TextData[{
 "Use ",
 ButtonBox["ResourceData",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceData.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ResourceData.html"],
 " with ",
 Cell[BoxData[
 "\"\<Dinghy List of Associations\>\""], "InlineCode",ExpressionUUID->
  "892718d5-b93d-4347-8110-7875b454b591"],
 " to extract the relevant data from the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " ",
 Cell[BoxData[
 "ro"], "InlineCode",ExpressionUUID->"a56d69b5-18e1-4d09-8317-785d76bca7bc"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.77194707382869*^9, 3.771947092108371*^9}, 
   3.8121236180268717`*^9, 3.8128994055246353`*^9, {3.873447775642083*^9, 
   3.873447797355475*^9}, {3.874506373643365*^9, 3.874506503828738*^9}, {
   3.8770941015609736`*^9, 3.8770941377977476`*^9}},
 CellTags->"p: 299",
 CellID->181528032,ExpressionUUID->"83b614c9-293f-44a7-abfd-e384faad27c8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghy", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Dinghy List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7719468636737003`*^9, 3.771946877067037*^9}},
 CellLabel->"In[43]:=",
 CellID->231251977,ExpressionUUID->"3eebf519-7eab-4dad-ba3e-1b940433bbfe"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.771946877572938*^9, 3.771955824135895*^9, 
  3.824237922992413*^9, 3.824826478252124*^9, 3.869481222059136*^9, 
  3.869916655908074*^9, 3.880709713656938*^9, 3.8818307211931763`*^9, 
  3.882620481615858*^9, 3.8994608035526953`*^9},
 CellLabel->"Out[43]=",
 CellID->1685584365,ExpressionUUID->"5211ee3c-4ce5-4e76-b209-0c41e2055e81"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations as a ",
 Cell[BoxData[
 "\"\<WXF\>\""], "InlineCode",ExpressionUUID->
  "02d513e3-be57-4473-8474-f485122c9a30"],
 " file:"
}], "CodeText",
 CellChangeTimes->{{3.771947096773054*^9, 3.7719471056605463`*^9}, 
   3.8121236252015934`*^9, {3.869345091016307*^9, 3.869345124996971*^9}},
 CellID->209286360,ExpressionUUID->"262b3c1f-0234-4f53-ba96-6138486ffe10"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"wxfString", "=", 
    RowBox[{"ExportString", "[", 
     RowBox[{"dinghy", ",", "\"\<WXF\>\""}], "]"}]}], ")"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.7716209831573677`*^9, 3.7716210063698187`*^9}, {
   3.771621044410286*^9, 3.7716210459209623`*^9}, {3.7716214185315638`*^9, 
   3.7716214278376102`*^9}, {3.7716663826897373`*^9, 3.771666383713451*^9}, 
   3.824223907094205*^9, 3.874505625988668*^9},
 CellLabel->"In[44]:=",
 CellID->442101441,ExpressionUUID->"5cbcb30d-a630-4156-a87b-3ede018fcada"],

Cell[BoxData[
 StyleBox[
  "\"\<8:f\.05s\.04ListA\.04-S\.05classS\.033rd-S\.03ageC\.10-S\.03sexS\.06\
female-S\.08surviveds\.04TrueA\.04-S\.05classS\.031st-S\.03ageCA-S\.03sexS\.04\
male-S\.08surviveds\.05FalseA\.04-S\.05classS\.033rd-S\.03ageC\.02-S\.03sexS\
\.06female-S\.08surviveds\.05FalseA\.04-S\.05classS\.033rd-S\.03agef\.00s\.07\
Missing-S\.03sexS\.06female-S\.08surviveds\.04TrueA\.04-S\.05classS\.033rd-S\
\.03ageC\.12-S\.03sexS\.06female-S\.08surviveds\.05False\>\"",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{
  3.771621006689938*^9, 3.771621046368684*^9, 3.771621428594121*^9, 
   3.771666384738455*^9, {3.771685201238488*^9, 3.771685218455475*^9}, {
   3.7716994591371613`*^9, 3.7716994676817217`*^9}, 3.771746040651791*^9, 
   3.771946774001011*^9, 3.771946880422464*^9, 3.8242379296471987`*^9, 
   3.869916381232286*^9, 3.869916662016797*^9, 3.8818307317101707`*^9, 
   3.899460808667923*^9},
 CellLabel->"Out[44]=",
 CellID->435371146,ExpressionUUID->"60a70cbb-84cd-44e5-8941-52df2db8397a"]
}, Open  ]],

Cell[TextData[{
 "There can be a significant difference in file sizes, particularly with \
data, such as ",
 Cell[BoxData[
 "titanic"], "InlineCodeText",ExpressionUUID->
  "c8ce43eb-6586-4cf2-a2c1-308f25040323"],
 ", that has a lot of repeated keys and values. I can, therefore, add an \
option ",
 Cell[BoxData[
  RowBox[{"\"\<PerformanceGoal\>\"", 
   ButtonBox["->",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
   "\"\<Size\>\""}]], "InlineCodeText",ExpressionUUID->
  "ca33754a-4865-4c32-a7e2-f182ffe19220"],
 " that, in my experience, can yield significant compression advantages."
}], "Text",
 CellChangeTimes->{{3.740743600729946*^9, 3.740743629177189*^9}, {
  3.740773413043715*^9, 3.7407734309880533`*^9}, {3.771666396017674*^9, 
  3.7716664054620667`*^9}, {3.7716664929971323`*^9, 3.771666512794093*^9}, {
  3.8128993078892255`*^9, 3.812899326079383*^9}, {3.8860023631833878`*^9, 
  3.8860023631833878`*^9}},
 CellTags->"i:10",
 CellID->591646433,ExpressionUUID->"c3e33b30-fe97-46ad-bbf3-ab934dcc5b96"],

Cell[TextData[{
 "The ",
 Cell[BoxData[
 "\"\<PerformanceGoal\>\""], "InlineCode",ExpressionUUID->
  "31afb832-a08d-4b2e-8027-b036c76ada13"],
 " option to WXF exports can significantly affect file size; again, if you \
want purely temporary files, use ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["CreateFile",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/CreateFile.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/CreateFile.html"], 
   RowBox[{"[", "]"}]}]], "InlineCode",ExpressionUUID->
  "e0109345-29a0-4b9e-b94a-11cad1ccb9fd"],
 " instead of actual file names:"
}], "CodeText",
 CellID->1183693282,ExpressionUUID->"d162eed6-65ae-434f-819d-3e6a4f37fd2a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghyExports", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Export", "[", 
     RowBox[{"\"\<file1.wxf\>\"", ",", "dinghy", ",", "\"\<WXF\>\""}], "]"}], 
    ",", 
    RowBox[{"Export", "[", 
     RowBox[{"\"\<file2.wxf\>\"", ",", "dinghy", ",", "\"\<WXF\>\"", ",", 
      RowBox[{"\"\<PerformanceGoal\>\"", "\[Rule]", "\"\<Size\>\""}]}], 
     "]"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.771759362755353*^9, 3.771759409773836*^9}, {
  3.771759479173843*^9, 3.771759522898018*^9}, {3.7717605842813*^9, 
  3.771760638870034*^9}, {3.899460871293684*^9, 3.8994608779044952`*^9}},
 CellLabel->"In[45]:=",
 CellID->1874390256,ExpressionUUID->"4c8a300f-ef6f-461b-b087-8aa683bc3c1b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"file1.wxf\"\>", ",", "\<\"file2.wxf\"\>"}], "}"}]], "Output",
 CellChangeTimes->{
  3.771759324320258*^9, {3.771759365428226*^9, 3.771759412402609*^9}, {
   3.771759483639287*^9, 3.77175948809214*^9}, 3.7717595246167707`*^9, {
   3.771760612355492*^9, 3.7717606397268953`*^9}, 3.771946885055307*^9, 
   3.8242380106647587`*^9, 3.8699163813276577`*^9, 3.869916666224551*^9, 
   3.8818307383849583`*^9, 3.899460887853394*^9},
 CellLabel->"Out[45]=",
 CellID->340135143,ExpressionUUID->"402d4cef-95dd-4510-ba32-b31c3e1732ef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"FileSize", ",", "dinghyExports"}], "]"}]], "Input",
 CellChangeTimes->{{3.771760642711976*^9, 3.771760648746622*^9}},
 CellLabel->"In[46]:=",
 CellID->1812305540,ExpressionUUID->"aa8f7eb9-6f6b-471e-b81d-1693972d192f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{"290.`", "\"B\"", "bytes", "\"Bytes\""},
    "Quantity"], ",", 
   TemplateBox[{"118.`", "\"B\"", "bytes", "\"Bytes\""},
    "Quantity"]}], "}"}]], "Output",
 CellChangeTimes->{3.771760649196796*^9, 3.771946887169166*^9, 
  3.824238025041211*^9, 3.869916381355628*^9, 3.8699166685934277`*^9, 
  3.881830768242361*^9, 3.899460892904258*^9},
 CellLabel->"Out[46]=",
 CellID->679396611,ExpressionUUID->"17eb7e0f-b99c-4790-a752-968083ef343d"]
}, Open  ]],

Cell[TextData[{
 "Just so you feel confident that this all works, I\[CloseCurlyQuote]ll \
reimport the files I have just exported and make sure they are exactly the \
same as the original ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "e264d5dd-042b-4c96-8e41-3a793329bf6a"],
 ". "
}], "Text",
 CellChangeTimes->{{3.771621014505228*^9, 3.771621058550407*^9}, {
   3.7716215856128798`*^9, 3.771621629179771*^9}, {3.771666608260812*^9, 
   3.771666629738392*^9}, {3.771685170933663*^9, 3.771685182023275*^9}, {
   3.7717595638459806`*^9, 3.771759567147513*^9}, {3.771946892693527*^9, 
   3.771946894446477*^9}, {3.812899364042101*^9, 3.8128993864091473`*^9}, 
   3.8128994612687197`*^9, 3.8734479179564962`*^9, {3.874506543486333*^9, 
   3.874506564911628*^9}, {3.877095518075467*^9, 3.8770955191336536`*^9}},
 CellID->1118920995,ExpressionUUID->"9808bc92-a4bf-4065-9906-fe554678d44e"],

Cell[TextData[{
 "The compression achieved by ",
 Cell[BoxData[
  RowBox[{"\"\<PerformanceGoal\>\"", 
   ButtonBox["\[Rule]",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
   "\"\<Size\>\""}]], "InlineCode",ExpressionUUID->
  "5377f4a2-3bba-416e-82d8-37dfe66d6f85"],
 " is non-lossy:"
}], "CodeText",
 CellChangeTimes->{{3.771947142662348*^9, 3.771947156836677*^9}, {
   3.8128994950405607`*^9, 3.812899507231086*^9}, 3.8734479788640327`*^9, {
   3.8734480215799637`*^9, 3.873448050178576*^9}, {3.886002391763318*^9, 
   3.8860024135501995`*^9}},
 CellID->1044370832,ExpressionUUID->"9447e110-6181-4103-b50e-b31be43b64d7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SameQ", "[", 
  RowBox[{
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"dinghyExports", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<WXF\>\""}], "]"}], ",", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"dinghyExports", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<WXF\>\""}], "]"}], ",", 
   "dinghy"}], "]"}]], "Input",
 CellChangeTimes->{{3.7716210485233917`*^9, 3.7716210540113564`*^9}, {
  3.771666561671935*^9, 3.7716666022399673`*^9}, {3.7716994957567387`*^9, 
  3.771699526630425*^9}, {3.771759571746726*^9, 3.771759581500703*^9}, {
  3.771760621278645*^9, 3.7717606222747297`*^9}, {3.771760654182302*^9, 
  3.771760668375198*^9}, {3.771760740358158*^9, 3.771760757966591*^9}},
 CellLabel->"In[47]:=",
 CellID->1669281834,ExpressionUUID->"d8dee394-ef75-4a7a-9d96-9384c7aa8a42"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.77162105429639*^9, 3.771621433396558*^9, 3.7716663914755583`*^9, {
   3.7716665778851852`*^9, 3.771666602686865*^9}, {3.771685201344034*^9, 
   3.771685218571649*^9}, {3.771699482033429*^9, 3.7716995273546133`*^9}, 
   3.771746040818585*^9, 3.771759547964437*^9, 3.771759591832057*^9, 
   3.7717606687867737`*^9, {3.7717607420728207`*^9, 3.7717607583700542`*^9}, 
   3.771946897506463*^9, 3.86991638139879*^9, 3.869916672950094*^9, 
   3.899460922877551*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[47]=",
 CellID->297688729,ExpressionUUID->"e710c280-0fb8-49a4-8906-80474528612f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Using the Text Export Format", "Subsection",
 CellChangeTimes->{{3.771601044130219*^9, 3.7716010486494226`*^9}, {
  3.771601252386753*^9, 3.771601254814355*^9}, {3.8230959508552103`*^9, 
  3.8230959598846283`*^9}},
 CellTags->"p: 300",
 CellID->868598734,ExpressionUUID->"fa724dc1-173f-43e7-9c32-adae70ee0c65"],

Cell[TextData[{
 "It is common for users to want to represent information as a string of \
characters. To do this, one would use the ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCodeText",ExpressionUUID->
  "9b67f673-d223-4e0e-b064-37d5dd2a07a3"],
 " export format. Here, for example, I use ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " with some text, postfixing as before with ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 "."
}], "Text",
 CellChangeTimes->{{3.771601052163188*^9, 3.771601156139045*^9}, {
   3.771601211657275*^9, 3.771601222192686*^9}, {3.771601272850401*^9, 
   3.7716012977380733`*^9}, {3.771603537241611*^9, 3.771603545833102*^9}, 
   3.7716044091729517`*^9, {3.771621654055603*^9, 3.77162170102358*^9}, 
   3.8129025281704545`*^9, 3.8129026531158695`*^9, 3.8230959356315517`*^9, 
   3.869345301609777*^9, {3.873448077471005*^9, 3.87344810026235*^9}, {
   3.877095613422835*^9, 3.877095623496652*^9}, {3.8782126532787313`*^9, 
   3.8782126615168457`*^9}, 3.8859872036023912`*^9, {3.8859872836905966`*^9, 
   3.8859872899944625`*^9}, {3.885989368079974*^9, 3.8859893703967514`*^9}},
 CellTags->"i:11",
 CellID->2013568791,ExpressionUUID->"0d9cafff-54b8-4af1-b359-b560fe6d422e"],

Cell[TextData[{
 "Export dialogue from ",
 StyleBox["Hamlet",
  FontSlant->"Italic"],
 " as text:"
}], "CodeText",
 CellChangeTimes->{{3.771947164568324*^9, 3.7719471839347*^9}, 
   3.8121237065548306`*^9, 3.898171331111095*^9},
 CellID->1241738499,ExpressionUUID->"9cb05a3b-db2f-423a-8ac2-0cfc836b587e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"textString", "=", 
    RowBox[{"ExportString", "[", 
     RowBox[{"\"\<To be or not to be\>\"", ",", "\"\<Text\>\""}], "]"}]}], 
   ")"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771621704342516*^9, 3.7716217385667763`*^9}, {
   3.771621770787919*^9, 3.771621776130864*^9}, 3.824223914978467*^9, 
   3.874505629978469*^9},
 CellLabel->"In[48]:=",
 CellID->1008593794,ExpressionUUID->"1834a881-5441-42bf-ad98-3d7c56796057"],

Cell[BoxData[
 StyleBox["\"\<To be or not to be\>\"",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{3.771621726754972*^9, 3.77162177656009*^9, 
  3.771685234107978*^9, 3.771699693672826*^9, 3.771746040876067*^9, 
  3.771759627843472*^9, 3.869916381427134*^9, 3.881830778955986*^9, 
  3.899460944222381*^9},
 CellLabel->"Out[48]=",
 CellID->2125740228,ExpressionUUID->"fd6a00ad-b217-4cea-a041-a22cb58a43ec"]
}, Open  ]],

Cell["I can import it right back.", "Text",
 CellChangeTimes->{{3.771621780989978*^9, 3.7716217992016287`*^9}},
 CellID->933061491,ExpressionUUID->"e025bf20-e02b-4522-b8b1-3bedc9da9b2f"],

Cell[TextData[{
 "Import exported dialogue from ",
 StyleBox["Hamlet",
  FontSlant->"Italic"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.77194718687274*^9, 3.77194719922403*^9}, {
   3.812123703138601*^9, 3.8121237038820343`*^9}, 3.8981713331283293`*^9},
 CellID->2054889512,ExpressionUUID->"3244e3f1-c4f9-449c-b487-f9dbce39be2c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ImportString", "[", 
   RowBox[{"textString", ",", "\"\<Text\>\""}], "]"}], "//", 
  InterpretationBox[
   TagBox[
    DynamicModuleBox[{Typeset`open = False}, 
     FrameBox[
      PaneSelectorBox[{False->GridBox[{
         {
          PaneBox[GridBox[{
             {
              StyleBox[
               StyleBox[
                AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                 BoxBaselineShift->-0.25,
                 BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                
                FontColor->RGBColor[
                 0.8745098039215686, 0.2784313725490196, 0.03137254901960784]],
               ShowStringCharacters->False,
               FontFamily->"Source Sans Pro Black",
               FontSize->0.6538461538461539 Inherited,
               FontWeight->"Heavy",
               PrivateFontOptions->{"OperatorSubstitution"->False}], 
              StyleBox[
               RowBox[{
                StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
               ShowAutoStyles->False,
               ShowStringCharacters->False,
               FontSize->Rational[12, 13] Inherited,
               FontColor->GrayLevel[0.1]]}
            },
            GridBoxSpacings->{"Columns" -> {{0.25}}}],
           Alignment->Left,
           BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
           BaselinePosition->Baseline,
           FrameMargins->{{3, 0}, {0, 0}}], 
          ItemBox[
           PaneBox[
            TogglerBox[Dynamic[Typeset`open], {True->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeCloser"],
              ImageSizeCache->{11., {2., 9.}}], False->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeOpener"],
              ImageSizeCache->{11., {2., 9.}}]},
             Appearance->None,
             BaselinePosition->Baseline,
             ContentPadding->False,
             FrameMargins->0],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{1, 1}, {0, 0}}],
           Frame->{{
              RGBColor[
              0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
               0.5], False}, {False, False}}]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
       GridBox[{
         {GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"]], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"]]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
         {
          StyleBox[
           PaneBox[GridBox[{
              {
               RowBox[{
                TagBox["\<\"Version (latest): \"\>",
                 "IconizedLabel"], " ", 
                TagBox["\<\"1.0.0\"\>",
                 "IconizedItem"]}]},
              {
               TagBox[
                
                TemplateBox[{
                 "\"Documentation \[RightGuillemet]\"", 
                  "https://resources.wolframcloud.com/FunctionRepository/\
resources/ShowQuotes"},
                 "HyperlinkURL"],
                "IconizedItem"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
           FontFamily->"Roboto",
           FontSize->11]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
             GrayLevel[0.8]}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
       Typeset`open],
       BaselinePosition->Baseline,
       ImageSize->Automatic],
      Background->RGBColor[
       0.9686274509803922, 0.9764705882352941, 0.984313725490196],
      BaselinePosition->Baseline,
      DefaultBaseStyle->{},
      FrameMargins->{{0, 0}, {1, 0}},
      FrameStyle->RGBColor[
       0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
      RoundingRadius->4]],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/objects/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, {
     ResourceSystemBase -> 
      "https://www.wolframcloud.com/objects/resourcesystem/api/1.0"}]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771621786575491*^9, 3.77162179508503*^9}, 
   3.771622682590169*^9, 3.824223918073786*^9},
 CellTags->"i:12",
 CellLabel->"In[49]:=",
 CellID->340199596,ExpressionUUID->"76f26526-d730-4426-b69b-c7fae1ace0ae"],

Cell[BoxData[
 StyleBox["\"\<To be or not to be\>\"",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{3.771621795703519*^9, 3.7716226833945103`*^9, 
  3.771685236140716*^9, 3.771699693748765*^9, 3.771746040897778*^9, 
  3.7717596279487457`*^9, 3.8699163814683847`*^9, 3.881830785502432*^9, 
  3.8994609485411158`*^9},
 CellLabel->"Out[49]=",
 CellID->1891682681,ExpressionUUID->"48869123-80d0-4ea6-923c-eead06cf19cc"]
}, Open  ]],

Cell["\<\
I can export things as text that are not strings in the Wolfram Language.\
\>", "Text",
 CellChangeTimes->{{3.771946911587442*^9, 3.771946937914446*^9}, {
  3.8859873018488913`*^9, 3.8859873025240345`*^9}, {3.8859893899885635`*^9, 
  3.885989390039419*^9}},
 CellID->1334988838,ExpressionUUID->"fda1e32e-ae45-43fc-8cd0-db68181a421d"],

Cell[TextData[{
 "You can export almost anything as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "9c043c4e-25af-4fe6-841a-3747ab6dd4b6"],
 " with ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " or ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7719472107496557`*^9, 3.77194721772294*^9}, 
   3.8121237194108696`*^9, 3.8230960254013405`*^9, {3.869345324784852*^9, 
   3.869345383984091*^9}, 3.873448164304923*^9},
 CellTags->"i:13",
 CellID->982190865,ExpressionUUID->"a94bb5b2-6975-477c-bfbf-8d26f7ab6a47"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExportString", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", "\[Pi]", "]"}], ",", "\"\<Text\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.771946925043728*^9, 3.771946964626173*^9}, 
   3.899460956630314*^9},
 CellLabel->"In[50]:=",
 CellID->1919631238,ExpressionUUID->"c7f7177b-6358-4989-91fc-ee253083f3e8"],

Cell[BoxData["\<\"Sqrt[Pi]\"\>"], "Output",
 CellChangeTimes->{3.771946965083518*^9, 3.869916381495282*^9, 
  3.881830790443556*^9, 3.899460961438551*^9},
 CellLabel->"Out[50]=",
 CellID->36111598,ExpressionUUID->"5ed1c29f-6d4b-4895-a2f3-e46507fa3219"]
}, Open  ]],

Cell[TextData[{
 "Importing as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCodeText",ExpressionUUID->
  "37607298-4816-4457-b0cb-e54c29be84d1"],
 " can be useful to see what is going on inside some other representation of \
data, such as HTML. Suppose, for example, that ",
 Cell[BoxData[
 "htmlString"], "InlineCodeText",ExpressionUUID->
  "fb259e54-acf3-404c-891f-52d8c31c14a5"],
 " represented the contents of some website."
}], "Text",
 CellTags->"i:14",
 CellID->835471156,ExpressionUUID->"8b26bdfc-b883-4c99-b41b-30c3370c357b"],

Cell["Assign verbatim HTML to a variable: ", "CodeText",
 CellChangeTimes->{{3.881409400578864*^9, 3.881409427198462*^9}},
 CellID->142330404,ExpressionUUID->"df6f8f1e-bb88-4445-b3b8-e59c2858d1e8"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "htmlString", "=", 
   "\"\<<!DOCTYPE html>\n<html>\n<body>\n\n<h1>My First Heading</h1>\n\n<p>My \
first paragraph.</p>\n\n</body>\n</html>\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.771622912655504*^9, 3.7716229169112062`*^9}},
 CellLabel->"In[51]:=",
 CellID->1142561399,ExpressionUUID->"84b90653-9e1c-4a23-adcf-490f1ecf68ee"],

Cell[TextData[{
 "I could export it to a file quite literally using the ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCodeText",ExpressionUUID->
  "473dcf0a-387d-4ed4-b6eb-86e9967d188c"],
 " format and then import it as HTML using the ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " command and the ",
 Cell[BoxData[
 "\"\<HTML\>\""], "InlineCodeText",ExpressionUUID->
  "2bd16a6b-0fab-4673-b9c5-5612660d9e56"],
 " format specifier. I\[CloseCurlyQuote]d get a reasonable looking output, \
but I wouldn\[CloseCurlyQuote]t learn much about the internals of the HTML \
encoding."
}], "Text",
 CellChangeTimes->{{3.7716229523312607`*^9, 3.771622981410213*^9}, {
  3.7716852524117603`*^9, 3.771685267087188*^9}, {3.7717596991791763`*^9, 
  3.771759729561097*^9}, {3.771946980978662*^9, 3.771946981227778*^9}, {
  3.8129030189204874`*^9, 3.812903030095434*^9}, {3.8129030838619394`*^9, 
  3.812903087779578*^9}, {3.8129032064541473`*^9, 3.812903207628137*^9}},
 CellTags->"LastCellOfAPage",
 CellID->316389399,ExpressionUUID->"f2399d12-ab09-4016-9383-928026d5377c"],

Cell[TextData[{
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " a string of characters as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "f601ec93-658d-4c0b-954f-659a6b69dfdf"],
 ", even though it might well be a representation of an HTML file:"
}], "CodeText",
 CellChangeTimes->{{3.771947229394212*^9, 3.7719472685354147`*^9}, 
   3.812123739656666*^9, {3.869345674622802*^9, 3.869345683544684*^9}, 
   3.869345715149622*^9, {3.885987315231909*^9, 3.8859873202740765`*^9}, {
   3.8859893985718775`*^9, 3.885989401043269*^9}},
 CellTags->"p: 301",
 CellID->1075370501,ExpressionUUID->"5b7dd028-63c4-4df7-88da-57c269217529"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"htmlFile", "=", 
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.txt\>\"", ",", "htmlString", ",", "\"\<Text\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7717597430430117`*^9, 3.771759744933559*^9}, {
  3.7717607771111383`*^9, 3.7717607858414392`*^9}, {3.8994610922291718`*^9, 
  3.899461095319675*^9}},
 CellTags->"i:15",
 CellLabel->"In[52]:=",
 CellID->1605450369,ExpressionUUID->"371e52b3-80f4-430e-83b7-3c27e8c6f554"],

Cell[BoxData["\<\"file.txt\"\>"], "Output",
 CellChangeTimes->{{3.771759745460312*^9, 3.771759768881316*^9}, 
   3.771760786801669*^9, 3.771947021521294*^9, 3.8699163815411243`*^9, 
   3.8818308026451063`*^9, 3.899461098703002*^9},
 CellLabel->"Out[52]=",
 CellID->1421935330,ExpressionUUID->"5e951d7f-0f13-4007-a824-2a8f1c052354"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " an HTML file as HTML:"
}], "CodeText",
 CellChangeTimes->{{3.7719477216187963`*^9, 3.771947732420574*^9}, 
   3.812123742233225*^9, 3.878218769932736*^9},
 CellTags->"i:16",
 CellID->1576568918,ExpressionUUID->"9acb9636-906c-4aa0-be00-f0e5b408a886"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"htmlFile", ",", "\"\<HTML\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.771622870412734*^9, 3.771622878600741*^9}, {
  3.771622923417591*^9, 3.771622933981318*^9}, {3.7717596068251753`*^9, 
  3.771759615463605*^9}, {3.7717596506398*^9, 3.771759674984398*^9}, {
  3.771759747860194*^9, 3.771759750048616*^9}, {3.7717607901973658`*^9, 
  3.771760792609338*^9}},
 CellLabel->"In[53]:=",
 CellID->517553801,ExpressionUUID->"2f5eb9e7-8079-427c-bfa8-2637e3b31764"],

Cell[BoxData["\<\"My First Heading  \\nMy first paragraph.\"\>"], "Output",
 CellChangeTimes->{
  3.771622879296932*^9, {3.771622929586463*^9, 3.771622934594412*^9}, 
   3.77168524896185*^9, 3.7716996975153522`*^9, 3.771746041293594*^9, {
   3.7717596205065002`*^9, 3.771759676184403*^9}, {3.771759734212254*^9, 
   3.771759764808599*^9}, 3.7717607930755577`*^9, 3.771947023298839*^9, 
   3.869916381947098*^9, 3.8818308364105997`*^9, 3.8994611182902193`*^9},
 CellLabel->"Out[53]=",
 CellID->1484154718,ExpressionUUID->"1847c075-0e0d-4fc3-822d-083e31bb2628"]
}, Open  ]],

Cell[TextData[{
 "If, however, I imported the same information as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCodeText",ExpressionUUID->
  "dcf55f7c-d86b-4a1c-8b37-02a32b8296bc"],
 ", I could see exactly what was going on. Sometimes, it\[CloseCurlyQuote]s \
useful to import a file in a format that had not been intended by its creator."
}], "Text",
 CellChangeTimes->{{3.771622984378213*^9, 3.771623015730423*^9}, {
   3.7716232748399878`*^9, 3.771623293225362*^9}, {3.771685271952622*^9, 
   3.771685277419482*^9}, 3.812903228231755*^9, 3.812903376575137*^9, 
   3.8129041909935317`*^9, 3.869345839456081*^9},
 CellID->1818278590,ExpressionUUID->"26bd76fc-18d4-4cbf-9981-85ddc2ba2111"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " an HTML file as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "ef765f17-c57a-48a4-88b0-2fce7626ee1f"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7719477372023478`*^9, 3.771947747270617*^9}, 
   3.812123751393634*^9, {3.86934585114268*^9, 3.869345867960676*^9}},
 CellID->986843328,ExpressionUUID->"d26be362-317b-4b88-ac4f-909e5db1ac32"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"htmlFile", ",", "\"\<Text\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.7716230011441603`*^9, 3.771623006225065*^9}, {
  3.7717596900497923`*^9, 3.7717596911409683`*^9}, {3.771759752989621*^9, 
  3.7717597546323633`*^9}, {3.771760796053331*^9, 3.771760797046358*^9}},
 CellTags->"i:17",
 CellLabel->"In[54]:=",
 CellID->1510020425,ExpressionUUID->"effd749e-e2a4-47b8-9582-28d9abbdb8d8"],

Cell[BoxData["\<\"<!DOCTYPE html>\\n<html>\\n<body>\\n\\n<h1>My First \
Heading</h1>\\n\\n<p>My first paragraph.</p>\\n\\n</body>\\n</html>\"\>"], \
"Output",
 CellChangeTimes->{
  3.771623006566853*^9, 3.77168527975896*^9, 3.77169969984079*^9, 
   3.7717460413537683`*^9, {3.7717597549116173`*^9, 3.771759770450591*^9}, 
   3.771760797445427*^9, 3.771947024821103*^9, 3.869916381974208*^9, 
   3.8818308452861853`*^9, 3.8994611307232847`*^9},
 CellLabel->"Out[54]=",
 CellID->1893369073,ExpressionUUID->"59e8c7a9-229a-40b1-9f5a-c3afe5dc60f2"]
}, Open  ]],

Cell[TextData[{
 "Other times, however, importing a file as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCodeText",ExpressionUUID->
  "ac33af75-4008-4967-93f3-1fc103f0de50"],
 " that had been intended for other purposes is not the best idea. Here, for \
example, I choose to import a simulated file as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCodeText",ExpressionUUID->
  "0628eded-75ba-40dd-a948-2976f146e05b"],
 " that was likely created as a CSV file."
}], "Text",
 CellChangeTimes->{{3.771623037380705*^9, 3.7716230756394978`*^9}, {
  3.771623262689011*^9, 3.771623267397159*^9}, {3.7716696939676113`*^9, 
  3.7716696954879637`*^9}, {3.771669758674522*^9, 3.7716697621115227`*^9}, {
  3.81280907934334*^9, 3.812809081034017*^9}, {3.873448325440596*^9, 
  3.873448349136447*^9}},
 CellID->1338419738,ExpressionUUID->"e295024b-a0f3-4291-b355-381d036e08f2"],

Cell[TextData[{
 "Create some text (",
 Cell[BoxData[
 "csvTextString"], "InlineCode",ExpressionUUID->
  "0928ae02-edda-49dd-8079-639052c58d6e"],
 ") that is formatted in the same way as CSV and ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " it as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "9fc5c4ab-d25e-453e-a9da-55578d92c5eb"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7719477586009903`*^9, 3.7719477748273907`*^9}, 
   3.812123760040346*^9, {3.812908405959787*^9, 3.812908406166123*^9}, {
   3.8693462175318003`*^9, 3.8693462716142178`*^9}, {3.8734483914944983`*^9, 
   3.873448404534832*^9}, {3.873448561118087*^9, 3.873448563365724*^9}, {
   3.8770961256480465`*^9, 3.8770961262833433`*^9}},
 CellID->1621989709,ExpressionUUID->"b2ef3809-3407-4273-b125-ffe848b0e0f3"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "csvTextString", "=", 
   "\"\<\\\"class\\\",\\\"age\\\",\\\"sex\\\",\\\"survived\\\"\\n\\\"3rd\\\",\
16,\\\"female\\\",\\\"True\\\"\\n\\\"1st\\\",65,\\\"male\\\",\\\"False\\\"\\n\
\\\"3rd\\\",2,\\\"male\\\",\\\"False\\\"\\n\\\"3rd\\\",\\\"Missing[]\\\",\\\"\
female\\\",\\\"True\\\"\\n\\\"3rd\\\",18,\\\"female\\\",\\\"False\\\"\\n\>\""}\
], ";"}]], "Input",
 CellChangeTimes->{{3.771623190639469*^9, 3.771623202385117*^9}, {
   3.77166967388356*^9, 3.771669679081821*^9}, 3.771669739657671*^9, {
   3.7716698651660547`*^9, 3.771669881182406*^9}, 3.869346068730193*^9, 
   3.8745066109609137`*^9},
 CellLabel->"In[55]:=",
 CellID->1741721438,ExpressionUUID->"be849e72-84cd-4bbd-a170-bd2f406c44b5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ImportString", "[", 
  RowBox[{"csvTextString", ",", "\"\<Text\>\""}], "]"}]], "Input",
 CellTags->"i:18",
 CellLabel->"In[56]:=",
 CellID->478746085,ExpressionUUID->"e4dfb8ac-c3cc-4caa-b3d5-0d947bee0052"],

Cell[BoxData["\<\"\\\"class\\\",\\\"age\\\",\\\"sex\\\",\\\"survived\\\"\\n\\\
\"3rd\\\",16,\\\"female\\\",\\\"True\\\"\\n\\\"1st\\\",65,\\\"male\\\",\\\"\
False\\\"\\n\\\"3rd\\\",2,\\\"male\\\",\\\"False\\\"\\n\\\"3rd\\\",\\\"\
Missing[]\\\",\\\"female\\\",\\\"True\\\"\\n\\\"3rd\\\",18,\\\"female\\\",\\\"\
False\\\"\"\>"], "Output",
 CellChangeTimes->{3.82424105697094*^9, 3.869916382019723*^9, 
  3.874506622382011*^9, 3.881830858786214*^9, 3.8994611592160063`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[56]=",
 CellID->910210420,ExpressionUUID->"b0eae2f7-f71b-46eb-83fe-8a94e4771915"]
}, Open  ]],

Cell[TextData[{
 "Because the information is still text, the structure of the information \
contained therein is obscure. This material is representing an array with \
five rows and four values with a header row. That\[CloseCurlyQuote]s not only \
hard to see in the text representation, it\[CloseCurlyQuote]s hard to get \
information out. If, for example, I wanted the value of the third row and \
second column, I might end up doing something ugly like first splitting the \
string by new line characters and then splitting each resulting line with \
commas. Moreover, I\[CloseCurlyQuote]d have to remember to take the header \
line into account when doing the final ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " operation."
}], "Text",
 CellChangeTimes->{{3.771623234964555*^9, 3.771623239432291*^9}, {
  3.771623300498928*^9, 3.771623425000959*^9}, {3.77162349686544*^9, 
  3.771623497448081*^9}, {3.7716700002086487`*^9, 3.771670007479241*^9}, {
  3.7716700450988092`*^9, 3.771670081373043*^9}, {3.7716853081110153`*^9, 
  3.771685329048411*^9}, {3.77169972714742*^9, 3.771699728363896*^9}, {
  3.8129084436789627`*^9, 3.812908466247283*^9}, {3.8693463006595984`*^9, 
  3.869346306669506*^9}, {3.8859873335289497`*^9, 3.885987342825997*^9}, {
  3.8859894118204994`*^9, 3.8859894139787683`*^9}},
 CellTags->"p: 302",
 CellID->1553815041,ExpressionUUID->"c9d0bd14-ad56-4253-a373-9cea9dfccb08"],

Cell[TextData[{
 "Extract information out of a CSV file imported as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "e7ba6660-9ac0-45b4-b947-8806c448bcd8"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.771947777657229*^9, 3.771947791292289*^9}, 
   3.8121237674642334`*^9, {3.87344856936089*^9, 3.8734485739815893`*^9}},
 CellID->441713722,ExpressionUUID->"554b3d59-ea1e-417a-b93b-14b8b6713e3d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Part", "[", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"StringSplit", "[", 
       RowBox[{"#", ",", "\"\<,\>\""}], "]"}], "&"}], ",", 
     RowBox[{"StringSplit", "[", 
      RowBox[{"csvTextString", ",", "\"\<\\n\>\""}], "]"}]}], "]"}], ",", 
   RowBox[{"1", "+", "3"}], ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.7716699795655527`*^9, 3.771669980863016*^9}, {
  3.771670072085579*^9, 3.771670076938264*^9}},
 CellLabel->"In[57]:=",
 CellID->1044953313,ExpressionUUID->"6f3c1dfe-2efc-4de0-a24b-2061ecc9b156"],

Cell[BoxData["\<\"2\"\>"], "Output",
 CellChangeTimes->{3.771669981550939*^9, 3.7716700774786253`*^9, 
  3.771685332516736*^9, 3.77169982123809*^9, 3.7717460414603357`*^9, 
  3.869916382060356*^9, 3.881830865519409*^9, 3.8994611935167303`*^9},
 CellLabel->"Out[57]=",
 CellID->1437475121,ExpressionUUID->"9ecbb9e2-bd25-464c-9ffc-528fae870a50"]
}, Open  ]],

Cell["\<\
To get information that consists of rows with elements separated by commas \
into the kernel in a more structured way, I need to import in a different \
way; perhaps, as shown in the next section, in CSV format.\
\>", "Text",
 CellChangeTimes->{{3.7716036763941097`*^9, 3.7716037886332827`*^9}, 
   3.771604513671371*^9, {3.7716235279261217`*^9, 3.771623557026263*^9}, 
   3.869341061265895*^9, {3.8693463812784367`*^9, 3.869346387694954*^9}, {
   3.873448594999762*^9, 3.8734486174894133`*^9}, {3.8771039212440767`*^9, 
   3.877103922336022*^9}, {3.885990108989471*^9, 3.8859901120745144`*^9}, {
   3.8862380160775633`*^9, 3.886238017162442*^9}},
 CellID->173908865,ExpressionUUID->"78d4332b-bb09-49ee-96f1-a07f79c8c02c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Using the CSV Export Format", "Subsection",
 CellChangeTimes->{{3.771620641422961*^9, 3.7716206443737783`*^9}, {
  3.8230969454725323`*^9, 3.8230969529491987`*^9}},
 CellID->2142606995,ExpressionUUID->"9098029e-1eb8-4e9a-a341-bd18c15835d0"],

Cell["\<\
Perhaps the most common data format used today is CSV (comma-separated \
values). It\[CloseCurlyQuote]s been around since the 1970s. Basically, it\
\[CloseCurlyQuote]s a human-readable string in which elements are separated \
by commas and \[OpenCurlyDoubleQuote]rows\[CloseCurlyDoubleQuote] are \
separated by new line characters. It\[CloseCurlyQuote]s not well suited to \
exporting general Wolfram Language expressions. It\[CloseCurlyQuote]s best \
used for tabular data, such as arrays with numbers or strings in them, and \
although it can represent ragged arrays in which different lines have \
different numbers of elements, I would not recommend using it for that \
purpose. \
\>", "Text",
 CellChangeTimes->{{3.771621115083309*^9, 3.771621144622624*^9}, {
   3.771621189472309*^9, 3.7716213359200993`*^9}, {3.7716213758519287`*^9, 
   3.771621388203074*^9}, {3.7716214443458147`*^9, 3.771621453838356*^9}, 
   3.771625472152671*^9, {3.7716853565919857`*^9, 3.771685372165001*^9}, {
   3.812908640502565*^9, 3.812908688535337*^9}, {3.87344865925473*^9, 
   3.873448662715859*^9}, {3.8859873513679953`*^9, 3.8859873666020947`*^9}, {
   3.885989420237057*^9, 3.8859894265796957`*^9}},
 CellTags->"i:19",
 CellID->2052075187,ExpressionUUID->"61a87142-a933-44fc-8ca6-642cc691219f"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s an example of a CSV export of a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists. Again, so you can see it, I\[CloseCurlyQuote]ll use the ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " function on an expression created from the ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "24194bff-dfe0-437e-aa4a-6fd9fb44da7f"],
 " data structure. If you wanted to export to an actual file, you\
\[CloseCurlyQuote]d just preface the arguments given here with the name of \
the file. I\[CloseCurlyQuote]ll again postfix with the ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " so you can see what\[CloseCurlyQuote]s inside."
}], "Text",
 CellChangeTimes->{{3.771621115083309*^9, 3.771621144622624*^9}, {
   3.771621189472309*^9, 3.7716213359200993`*^9}, {3.7716213758519287`*^9, 
   3.771621388203074*^9}, {3.7716214443458147`*^9, 3.771621453838356*^9}, {
   3.7716254757906923`*^9, 3.771625479337476*^9}, {3.771670309728109*^9, 
   3.771670320894272*^9}, {3.812806775691764*^9, 3.8128067820207467`*^9}, {
   3.8128088351745124`*^9, 3.8128088541285152`*^9}, {3.8129087020439973`*^9, 
   3.8129087210613422`*^9}, {3.869481142165954*^9, 3.869481142267633*^9}, 
   3.873448699854095*^9, {3.877105204561387*^9, 3.877105214607994*^9}, {
   3.8771053092902794`*^9, 3.877105321735902*^9}},
 CellTags->"i:20",
 CellID->781514942,ExpressionUUID->"e2d65ccd-ed78-4b71-9672-6df1bb679bc5"],

Cell[TextData[{
 "Export a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists as a CSV-format string:"
}], "CodeText",
 CellChangeTimes->{{3.7719478315642014`*^9, 3.7719478696344976`*^9}, 
   3.812123776882083*^9, {3.8734487420595837`*^9, 3.873448756904038*^9}, {
   3.8859894338925233`*^9, 3.88598943630127*^9}},
 CellID->491782654,ExpressionUUID->"d95c76e8-1f5a-47a4-a3d5-aac1a96895bd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"dinghyValuesWithHeader", "=", 
    RowBox[{"Prepend", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Query", "[", 
        RowBox[{"All", ",", "Values"}], "]"}], "[", "dinghy", "]"}], ",", 
      RowBox[{"Normal", "[", 
       RowBox[{"Keys", "[", 
        RowBox[{"dinghy", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "]"}]}], ")"}], "//", 
  InterpretationBox[
   TagBox[
    DynamicModuleBox[{Typeset`open = False}, 
     FrameBox[
      PaneSelectorBox[{False->GridBox[{
         {
          PaneBox[GridBox[{
             {
              StyleBox[
               StyleBox[
                AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                 BoxBaselineShift->-0.25,
                 BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                
                FontColor->RGBColor[
                 0.8745098039215686, 0.2784313725490196, 0.03137254901960784]],
               ShowStringCharacters->False,
               FontFamily->"Source Sans Pro Black",
               FontSize->0.6538461538461539 Inherited,
               FontWeight->"Heavy",
               PrivateFontOptions->{"OperatorSubstitution"->False}], 
              StyleBox[
               RowBox[{
                StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
               ShowAutoStyles->False,
               ShowStringCharacters->False,
               FontSize->Rational[12, 13] Inherited,
               FontColor->GrayLevel[0.1]]}
            },
            GridBoxSpacings->{"Columns" -> {{0.25}}}],
           Alignment->Left,
           BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
           BaselinePosition->Baseline,
           FrameMargins->{{3, 0}, {0, 0}}], 
          ItemBox[
           PaneBox[
            TogglerBox[Dynamic[Typeset`open], {True->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeCloser"],
              ImageSizeCache->{11., {2., 9.}}], False->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeOpener"],
              ImageSizeCache->{11., {2., 9.}}]},
             Appearance->None,
             BaselinePosition->Baseline,
             ContentPadding->False,
             FrameMargins->0],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{1, 1}, {0, 0}}],
           Frame->{{
              RGBColor[
              0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
               0.5], False}, {False, False}}]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
       GridBox[{
         {GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"]], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"]]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
         {
          StyleBox[
           PaneBox[GridBox[{
              {
               RowBox[{
                TagBox["\<\"Version (latest): \"\>",
                 "IconizedLabel"], " ", 
                TagBox["\<\"1.0.0\"\>",
                 "IconizedItem"]}]},
              {
               TagBox[
                
                TemplateBox[{
                 "\"Documentation \[RightGuillemet]\"", 
                  "https://resources.wolframcloud.com/FunctionRepository/\
resources/ShowQuotes"},
                 "HyperlinkURL"],
                "IconizedItem"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
           FontFamily->"Roboto",
           FontSize->11]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
             GrayLevel[0.8]}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
       Typeset`open],
       BaselinePosition->Baseline,
       ImageSize->Automatic],
      Background->RGBColor[
       0.9686274509803922, 0.9764705882352941, 0.984313725490196],
      BaselinePosition->Baseline,
      DefaultBaseStyle->{},
      FrameMargins->{{0, 0}, {1, 0}},
      FrameStyle->RGBColor[
       0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
      RoundingRadius->4]],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/objects/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, {
     ResourceSystemBase -> 
      "https://www.wolframcloud.com/objects/resourcesystem/api/1.0"}]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.7716702963974667`*^9, 3.7716703076774797`*^9}, {
   3.7716717681682243`*^9, 3.771671768871711*^9}, {3.771685393613308*^9, 
   3.771685431434883*^9}, {3.771947803275919*^9, 3.771947818054991*^9}, 
   3.824223933626775*^9},
 CellLabel->"In[58]:=",
 CellID->344918983,ExpressionUUID->"8fc5ae99-6ca9-4e71-9e96-78d00262e2a8"],

Cell[BoxData[
 StyleBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<class\>\"", ",", "\"\<age\>\"", ",", "\"\<sex\>\"", ",", 
      "\"\<survived\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<3rd\>\"", ",", "16", ",", "\"\<female\>\"", ",", "True"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<1st\>\"", ",", "65", ",", "\"\<male\>\"", ",", "False"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<3rd\>\"", ",", "2", ",", "\"\<female\>\"", ",", "False"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<3rd\>\"", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "\"\<female\>\"", ",", "True"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<3rd\>\"", ",", "18", ",", "\"\<female\>\"", ",", "False"}], 
     "}"}]}], "}"}],
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{{3.771685403202807*^9, 3.7716854326848288`*^9}, 
   3.7717000027140903`*^9, 3.7717464974455633`*^9, 3.7719478222826433`*^9, 
   3.824452200025304*^9, 3.8248264568344107`*^9, 3.8248264899577847`*^9, 
   3.869481236347534*^9, 3.869916382196018*^9, 3.86991668674993*^9, 
   3.881830876826622*^9, 3.899461269915051*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[58]=",
 CellID->2041289236,ExpressionUUID->"91bff843-fd17-40d9-90a8-bef87ebe3249"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists as ",
 Cell[BoxData[
 "\"\<CSV\>\""], "InlineCode",ExpressionUUID->
  "7f289d6c-d91a-4890-b1bb-4957cb23c7b0"],
 " and use ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 " to show how elements end up being placed inside quotation marks:"
}], "CodeText",
 CellChangeTimes->{{3.8694811921649237`*^9, 3.8694811987082*^9}, {
  3.869481247565687*^9, 3.869481373254323*^9}, {3.873448775021166*^9, 
  3.873448790834683*^9}, {3.8745066917970047`*^9, 3.8745067206594477`*^9}, {
  3.8771053294579473`*^9, 3.87710533860122*^9}},
 CellTags->"p: 303",
 CellID->895651280,ExpressionUUID->"d8246afd-b852-4f89-a8b9-2085e27dc729"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"csvString", "=", 
    RowBox[{"ExportString", "[", 
     RowBox[{"dinghyValuesWithHeader", ",", "\"\<CSV\>\""}], "]"}]}], ")"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771621337668673*^9, 3.771621371139765*^9}, {
   3.7716214354998713`*^9, 3.771621469192696*^9}, {3.771625584483898*^9, 
   3.771625586299218*^9}, {3.77162583046386*^9, 3.7716258556272*^9}, 
   3.771626462300125*^9, {3.771670148250396*^9, 3.771670154872123*^9}, {
   3.771670328927685*^9, 3.7716703348300667`*^9}, {3.771671771000079*^9, 
   3.7716717713760138`*^9}, 3.82422393616826*^9, {3.869481175531704*^9, 
   3.869481186368101*^9}, 3.8745056375205317`*^9},
 CellLabel->"In[59]:=",
 CellID->1180893746,ExpressionUUID->"6f6bc650-7eeb-4d4b-b940-530fce15246c"],

Cell[BoxData[
 StyleBox[
  "\"\<\\\"class\\\",\\\"age\\\",\\\"sex\\\",\\\"survived\\\"\\n\\\"3rd\\\",\
16,\\\"female\\\",\\\"True\\\"\\n\\\"1st\\\",65,\\\"male\\\",\\\"False\\\"\\n\
\\\"3rd\\\",2,\\\"female\\\",\\\"False\\\"\\n\\\"3rd\\\",\\\"Missing[]\\\",\\\
\"female\\\",\\\"True\\\"\\n\\\"3rd\\\",18,\\\"female\\\",\\\"False\\\"\\n\>\"\
",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{3.7716213714632053`*^9, 3.7716214704222918`*^9, 
  3.77162558667419*^9, 3.771625779918812*^9, 3.771625856368685*^9, 
  3.771626462978207*^9, 3.771626759649222*^9, 3.7716701566166277`*^9, 
  3.7716703352486343`*^9, 3.7716717822381697`*^9, 3.7716854429399147`*^9, 
  3.7717000028386097`*^9, 3.771746499670237*^9, 3.824452235117361*^9, 
  3.869916382219029*^9, 3.869916695083158*^9, 3.881830896491918*^9, 
  3.89946127850872*^9},
 CellLabel->"Out[59]=",
 CellID->1849054758,ExpressionUUID->"a6c18a37-605e-41b2-af58-2d93da731524"]
}, Open  ]],

Cell[TextData[{
 "Notice a few things. First, there are new line characters denoted by ",
 Cell[BoxData[
 "\\n"], "InlineCodeText",ExpressionUUID->
  "5c58a6d5-f7aa-46c7-823f-73b1524e1c71"],
 " every time one starts a new row of the underlying expression. Second, \
expressions like ",
 ButtonBox["True",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/True.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/True.html"],
 " that are not Wolfram Language strings are represented as strings once \
exported. Third, the inner quotes are shown with a ",
 Cell[BoxData[
 "\\\""], "InlineCodeText",ExpressionUUID->
  "276e9f45-01fe-4e73-803d-44a583aa428e"],
 ". Also, it\[CloseCurlyQuote]s perfectly fine to export via CSV data that \
has \[OpenCurlyDoubleQuote]types\[CloseCurlyDoubleQuote] that computer \
systems tend to treat differently, such as an integer, a string, a real \
number, or even a Wolfram Language expression. Although the Wolfram Language \
doesn\[CloseCurlyQuote]t generally use the concept of a \
\[OpenCurlyDoubleQuote]Record\[CloseCurlyDoubleQuote] or a \
\[OpenCurlyDoubleQuote]Struct\[CloseCurlyDoubleQuote] or similar ideas used \
in other computer languages, the CSV format is able to accept these \
heterogeneous data containers."
}], "Text",
 CellID->995206465,ExpressionUUID->"431cfed2-7a8d-496e-affc-95daa0414537"],

Cell["\<\
Not only can each row in a CSV format have different types, but the columns \
can have different types as well. The second column of the expression just \
exported, for example, contains strings and a missing value.\
\>", "Text",
 CellChangeTimes->{{3.771621482243989*^9, 3.771621537725987*^9}, {
  3.7716255083273907`*^9, 3.7716255689470377`*^9}, {3.771625601219247*^9, 
  3.771625683899255*^9}, {3.771670202351619*^9, 3.771670233433881*^9}, {
  3.771670354574144*^9, 3.771670386963477*^9}, {3.8129094161682053`*^9, 
  3.8129094185362124`*^9}, {3.869481431373595*^9, 3.869481431480072*^9}, {
  3.8694814884219637`*^9, 3.869481490020588*^9}, {3.873450567782423*^9, 
  3.8734505723585873`*^9}, {3.8745068177121162`*^9, 3.8745068188301487`*^9}, {
  3.885988025863946*^9, 3.8859880260265107`*^9}, {3.885989457354415*^9, 
  3.8859894573813143`*^9}},
 CellID->886759296,ExpressionUUID->"05a157d3-d563-48b1-bc41-caaa325d65a9"],

Cell[TextData[{
 "Now let\[CloseCurlyQuote]s turn to importing information contained in a CSV \
format. I first write ",
 Cell[BoxData[
 "csvString"], "InlineCodeText",ExpressionUUID->
  "45427ca4-dc4c-4dd1-a95a-dd8efa7282ac"],
 " to a file."
}], "Text",
 CellChangeTimes->{{3.771626718162888*^9, 3.771626735218916*^9}, {
  3.771626798144702*^9, 3.771626893049816*^9}, {3.771670412071281*^9, 
  3.7716705061491756`*^9}, {3.771760850203384*^9, 3.771760857078594*^9}, {
  3.8129094944339533`*^9, 3.812909517337644*^9}, {3.869481500268914*^9, 
  3.869481500740019*^9}},
 CellTags->"i:21",
 CellID->219231477,ExpressionUUID->"9fdd171d-6010-4261-8efe-e2bdeba8a726"],

Cell[TextData[{
 "Export a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists as CSV:"
}], "CodeText",
 CellChangeTimes->{{3.771947875167081*^9, 3.771947884564076*^9}, 
   3.812123787423067*^9, 3.873450724375717*^9},
 CellTags->"i:22",
 CellID->269977834,ExpressionUUID->"888a7508-d1fe-474c-8d15-1671801da36b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"csvFile", "=", 
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<dinghyfile.csv\>\"", ",", "dinghyValuesWithHeader", ",", 
    "\"\<CSV\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7717608605047417`*^9, 3.771760883411048*^9}, {
  3.899461347705667*^9, 3.899461352230282*^9}, {3.8994647497927017`*^9, 
  3.899464753784058*^9}},
 CellLabel->"In[122]:=",
 CellID->582802314,ExpressionUUID->"04af5b63-aafc-420a-aec9-321423b21f0d"],

Cell[BoxData["\<\"dinghyfile.csv\"\>"], "Output",
 CellChangeTimes->{3.7717608851151*^9, 3.771947989385948*^9, 
  3.824454718259864*^9, 3.8694821269548903`*^9, 3.869916288487348*^9, 
  3.869916382257874*^9, 3.869916700701879*^9, 3.881830927841908*^9, 
  3.8994613736076937`*^9, 3.8994647569186974`*^9},
 CellLabel->"Out[122]=",
 CellID->1310255638,ExpressionUUID->"105e91f4-9213-41ec-b712-20a10a1aca00"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FilePrint", "@", "csvFile"}]], "Input",
 CellChangeTimes->{{3.8244552092679663`*^9, 3.824455214522017*^9}, {
  3.8699162905324507`*^9, 3.869916302794476*^9}},
 CellLabel->"In[123]:=",
 CellID->1647368986,ExpressionUUID->"fdc02c51-4376-4a9e-85da-774adac3c7c3"],

Cell["\<\
\"class\",\"age\",\"sex\",\"survived\"
\"3rd\",16,\"female\",\"True\"
\"1st\",65,\"male\",\"False\"
\"3rd\",2,\"female\",\"False\"
\"3rd\",\"Missing[]\",\"female\",\"True\"
\"3rd\",18,\"female\",\"False\"\
\>", "Print",
 CellChangeTimes->{3.82445521522714*^9, 3.869916303245624*^9, 
  3.869916382330512*^9, 3.869916702626145*^9, 3.8818309405643587`*^9, 
  3.899461377955554*^9, 3.899464764916606*^9},
 CellLabel->"During evaluation of In[123]:=",
 CellID->1092744523,ExpressionUUID->"94fff623-c903-466c-939c-6bc2f2c49d2d"]
}, Open  ]],

Cell[TextData[{
 "Here I try to get back ",
 Cell[BoxData[
 "csvString"], "InlineCodeText",ExpressionUUID->
  "b8d89ccc-e45d-45c9-872c-a9b54d1d955f"],
 ", telling the kernel that the information is formatted as ",
 Cell[BoxData[
 "\"\<CSV\>\""], "InlineCodeText",ExpressionUUID->
  "38add76c-8eb2-4421-a0e6-88fe6427cbc3"],
 ". The result is mostly what I wanted, a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists; the ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " and ",
 ButtonBox["ImportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ImportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ImportString.html"],
 " have made a round trip, returning mostly what I started with. The round \
trip is not perfect, however. Because ",
 Cell[BoxData[
  RowBox[{"Missing", "[", "]"}]], "InlineCodeText",ExpressionUUID->
  "b356c9f7-d284-413f-a05a-f6884c49e15e"],
 " ends up being exported as ",
 Cell[BoxData[
 "\"\<\!\(\*ButtonBox[\"Missing\",BaseStyle->\"CodeLink\",ButtonData->{
URL[\"https://resources.wolframcloud.com/FunctionRepository/resources/Missing\
\"], None},ButtonNote->\"https://resources.wolframcloud.com/\
FunctionRepository/resources/Missing\"]\)[]\>\""], "InlineCodeText",
  ExpressionUUID->"130db9e7-6171-4616-b767-b12ec4841d88"],
 ", it ends up being ",
 Cell[BoxData[
 "\"\<\!\(\*ButtonBox[\"Missing\",BaseStyle->\"CodeLink\",ButtonData->{
URL[\"https://resources.wolframcloud.com/FunctionRepository/resources/Missing\
\"], None},ButtonNote->\"https://resources.wolframcloud.com/\
FunctionRepository/resources/Missing\"]\)[]\>\""], "InlineCodeText",
  ExpressionUUID->"58108da8-576e-4827-be67-1abae36251da"],
 " rather than ",
 Cell[BoxData[
  RowBox[{"Missing", "[", "]"}]], "InlineCodeText",ExpressionUUID->
  "bb51a626-9256-4984-91dd-c939683ee9f9"],
 " when reimported. A failure to be aware of, this point can lead to trouble \
when the imported data structure is used. If preservation of data type is \
crucial, exporting in WXF format is better."
}], "Text",
 CellChangeTimes->{{3.771626718162888*^9, 3.771626735218916*^9}, {
   3.771626798144702*^9, 3.771626893049816*^9}, {3.771670412071281*^9, 
   3.7716705061491756`*^9}, {3.771760850203384*^9, 3.771760856340536*^9}, 
   3.812103824632691*^9, {3.812909522886855*^9, 3.812909550718259*^9}, {
   3.812909647448242*^9, 3.8129096654889355`*^9}, 3.869341064248207*^9, {
   3.8694815199544153`*^9, 3.8694815476712837`*^9}, {3.869481627572266*^9, 
   3.869481662412405*^9}, {3.869481697296905*^9, 3.869481833793241*^9}, {
   3.8734507400613832`*^9, 3.873450796368855*^9}, {3.873450972623198*^9, 
   3.873451038813327*^9}, {3.873451093939127*^9, 3.8734511018762903`*^9}, {
   3.873451132281083*^9, 3.873451142194788*^9}, {3.873451281275263*^9, 
   3.873451371313488*^9}, {3.87345140371413*^9, 3.873451424492508*^9}, {
   3.873451530839815*^9, 3.873451554010211*^9}, {3.8734732025656023`*^9, 
   3.873473203887281*^9}, {3.8770961396366615`*^9, 3.8770961402560043`*^9}, {
   3.877104105623367*^9, 3.877104106192866*^9}, 3.8771083488528123`*^9, {
   3.8782143844192767`*^9, 3.878214385595147*^9}, 3.878214430176971*^9, 
   3.8981720905851307`*^9, 3.8981721326764927`*^9, {3.898172214516131*^9, 
   3.8981722353051157`*^9}},
 CellTags->{"LastCellOfAPage", "i:23"},
 CellID->1605419129,ExpressionUUID->"fe3a62c5-9e23-4b9e-901d-579a54245cfe"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " CSV-formatted information as ",
 Cell[BoxData[
 "\"\<CSV\>\""], "InlineCode",ExpressionUUID->
  "2509d385-09be-4818-9e55-3e6ec6452658"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7719478974410887`*^9, 3.771947921302257*^9}, 
   3.812123795257412*^9, {3.812909676480676*^9, 3.8129096775191565`*^9}, 
   3.873451580762472*^9, {3.8770961472690644`*^9, 3.877096147902347*^9}, 
   3.8782187480718236`*^9},
 CellTags->"p: 304",
 CellID->431990504,ExpressionUUID->"3cd0b778-c2e0-4161-b8a9-d292e9e57c49"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"csvImport", "=", 
  RowBox[{"Import", "[", 
   RowBox[{"csvFile", ",", "\"\<CSV\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8699165960423717`*^9, 3.869916604139825*^9}},
 CellLabel->"In[62]:=",
 CellID->585949526,ExpressionUUID->"e5c71659-6774-408c-95fd-8c1a9e6ed813"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"class\"\>", ",", "\<\"age\"\>", ",", "\<\"sex\"\>", 
     ",", "\<\"survived\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "16", ",", "\<\"female\"\>", 
     ",", "\<\"True\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"1st\"\>", ",", "65", ",", "\<\"male\"\>", 
     ",", "\<\"False\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "2", ",", "\<\"female\"\>", 
     ",", "\<\"False\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "\<\"Missing[]\"\>", ",", "\<\"female\"\>", 
     ",", "\<\"True\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "18", ",", "\<\"female\"\>", 
     ",", "\<\"False\"\>"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.869916604893011*^9, 3.8699167073161783`*^9, 
  3.881830948760824*^9, 3.899461421041676*^9},
 CellLabel->"Out[62]=",
 CellID->236753798,ExpressionUUID->"9ef867a5-65b1-4987-aab9-f58c11f3ef1d"]
}, Open  ]],

Cell[TextData[{
 "Use ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 " to show whether expressions are strings or not:"
}], "CodeText",
 CellChangeTimes->{{3.869929444940099*^9, 3.8699294638290977`*^9}, {
  3.8859880376557865`*^9, 3.8859880378363466`*^9}, {3.8859894647587833`*^9, 
  3.8859894648515306`*^9}},
 CellID->1792615992,ExpressionUUID->"c04a1c65-da14-429b-829d-1b75f0e9e7cc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"csvImport", "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.824455363976884*^9, 3.824455364492672*^9}, 
   3.874505641640082*^9},
 CellLabel->"In[63]:=",
 CellID->1944024820,ExpressionUUID->"82e60649-b131-4d3e-acf9-1b15644b6941"],

Cell[BoxData[
 StyleBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<class\>\"", ",", "\"\<age\>\"", ",", "\"\<sex\>\"", ",", 
      "\"\<survived\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<3rd\>\"", ",", "16", ",", "\"\<female\>\"", ",", "\"\<True\>\""}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<1st\>\"", ",", "65", ",", "\"\<male\>\"", ",", "\"\<False\>\""}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<3rd\>\"", ",", "2", ",", "\"\<female\>\"", ",", "\"\<False\>\""}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<3rd\>\"", ",", "\"\<Missing[]\>\"", ",", "\"\<female\>\"", ",", 
      "\"\<True\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<3rd\>\"", ",", "18", ",", "\"\<female\>\"", ",", "\"\<False\>\""}], 
     "}"}]}], "}"}],
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{3.824455365432411*^9, 3.8699163823668633`*^9, 
  3.869916709457828*^9, 3.881830956429552*^9, 3.899461429051805*^9},
 CellLabel->"Out[63]=",
 CellID->1758118691,ExpressionUUID->"ed06a7ac-2ac0-4a87-9089-d5de7d76f90a"]
}, Open  ]],

Cell["\<\
Now it\[CloseCurlyQuote]s easy to get back the third row and second column \
(assuming I remember about the header row).\
\>", "Text",
 CellChangeTimes->{{3.7716999238898487`*^9, 3.771699985587666*^9}, {
  3.812808860326794*^9, 3.812808860767227*^9}},
 CellID->94834432,ExpressionUUID->"9ad968a4-2449-4838-b900-67e992f4dff8"],

Cell[TextData[{
 "It\[CloseCurlyQuote]s often easier to extract information when you ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " in the \[OpenCurlyDoubleQuote]native format\[CloseCurlyDoubleQuote] of the \
file:"
}], "CodeText",
 CellChangeTimes->{{3.771947924408304*^9, 3.771947942073151*^9}, 
   3.812123802570312*^9, {3.81280886550994*^9, 3.8128088658555455`*^9}, {
   3.8128091219503403`*^9, 3.812809126551094*^9}, 3.8230972717183814`*^9},
 CellID->1860214713,ExpressionUUID->"080e1366-c863-43de-b658-daee0418ee22"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"csvImport", "[", 
  RowBox[{"[", 
   RowBox[{
    RowBox[{"1", "+", "3"}], ",", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.771699987792961*^9, 3.77169999183186*^9}},
 CellLabel->"In[64]:=",
 CellID->1192865912,ExpressionUUID->"458c7e21-5255-4545-a5dc-23dda4a4c17a"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.771699992202869*^9, 3.771700002892766*^9}, 
   3.771760899143024*^9, 3.771947989520514*^9, 3.8699163824085293`*^9, 
   3.869916712173291*^9, 3.881830961993387*^9, 3.8994614447709017`*^9},
 CellLabel->"Out[64]=",
 CellID->2083413610,ExpressionUUID->"4756968e-0471-4060-bf45-0a471b71c54e"]
}, Open  ]],

Cell[TextData[{
 "There\[CloseCurlyQuote]s a lot more that can be done when importing \
material from the CSV format. To begin with, sometimes CSV files are huge \
(think gigabytes), so one might want to get information on them before using \
up internet bandwidth. Alternatively, one can ask that the information be \
imported in a different form. Both of these tasks can be done by using a more \
complex second argument to ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 ". Here, for example, I engage in discovery, asking what forms of \
information about the CSV file are available. As noted in the introductory \
materials, one can use this ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    StyleBox[
     RowBox[{
      StyleBox["\"\<\>",
       FontSlant->"Plain"], "format", 
      StyleBox["\"\<\>",
       FontSlant->"Plain"]}], "CodeVariable"], ",", " ", "\"\<Elements\>\""}],
    "}"}]], "InlineCodeText",ExpressionUUID->
  "b3eb9581-f4ad-4f48-812a-a711c4b37fde"],
 " argument on other data formats too."
}], "Text",
 CellTags->"i:24",
 CellID->893634695,ExpressionUUID->"55366720-7122-4570-bbc4-2da97b0a1394"],

Cell[TextData[{
 "Find out what ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCode",ExpressionUUID->
  "9a4e3c07-d904-487b-9f94-51b2e0b6c40f"],
 " are available to import from a CSV file:"
}], "CodeText",
 CellChangeTimes->{{3.7719548202312193`*^9, 3.771954836669745*^9}, 
   3.812123810008709*^9, {3.874751631579721*^9, 3.874751634584096*^9}},
 CellID->1838797514,ExpressionUUID->"d099386f-0f81-453f-b872-917792b46e6a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"csvImportElements", "=", 
  RowBox[{"Import", "[", 
   RowBox[{"csvFile", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<CSV\>\"", ",", "\"\<Elements\>\""}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.771599489686638*^9, 3.7715995011298227`*^9}, {
  3.771599597543414*^9, 3.771599605429154*^9}, {3.77159979640265*^9, 
  3.771599810494626*^9}, {3.771599874173932*^9, 3.7715998780740547`*^9}, {
  3.7716053325879908`*^9, 3.771605333957314*^9}, {3.7716257554201393`*^9, 
  3.7716257601905518`*^9}, {3.771760902959937*^9, 3.771760907378262*^9}},
 CellLabel->"In[65]:=",
 CellID->736846865,ExpressionUUID->"e8efc4d2-b7d1-4afe-b9ce-6ee2bfc187c7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Data\"\>", ",", "\<\"Dataset\"\>", ",", "\<\"Dimensions\"\>", 
   ",", "\<\"Grid\"\>", ",", "\<\"MaxColumnCount\"\>", ",", "\<\"RawData\"\>",
    ",", "\<\"RowCount\"\>", ",", "\<\"Summary\"\>"}], "}"}]], "Output",
 CellChangeTimes->{
  3.771599810997036*^9, 3.771599878662588*^9, 3.771605334641631*^9, {
   3.771625760742221*^9, 3.771625782067637*^9}, 3.771625865765033*^9, 
   3.771626928663924*^9, 3.7716705579321327`*^9, 3.7717000561626987`*^9, 
   3.771760908192162*^9, {3.771947981631721*^9, 3.7719479912202787`*^9}, 
   3.824459907681491*^9, 3.869482133438878*^9, 3.8699163824456797`*^9, 
   3.8699167175993853`*^9, 3.881830967679208*^9, 3.899461516427891*^9},
 CellLabel->"Out[65]=",
 CellID->1231440190,ExpressionUUID->"90d3d31f-de7d-4fd5-8de6-c89b93d98ef8"]
}, Open  ]],

Cell[TextData[{
 "I use ",
 ButtonBox["AssociationMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationMap.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationMap.html"],
 " over all but the ",
 Cell[BoxData[
 "\"\<Dataset\>\""], "InlineCodeText",ExpressionUUID->
  "cbb6fda0-6936-4fc8-a72c-33de783aa1c9"],
 ", ",
 Cell[BoxData[
 "\"\<RawData\>\""], "InlineCodeText",ExpressionUUID->
  "fe0ee557-6ea8-4bfe-8e60-40a715c2b731"],
 ", and ",
 Cell[BoxData[
 "\"\<Grid\>\""], "InlineCodeText",ExpressionUUID->
  "e707d669-02a7-4cd2-992b-612453b00c85"],
 " elements to show what each of these elements looks like. I exclude those \
three elements at this time because, if the data were in fact to be gigabyte \
sized, attempting to import them might prove challenging."
}], "Text",
 CellChangeTimes->{{3.771599948917171*^9, 3.771599978890348*^9}, {
   3.771605359922423*^9, 3.771605379484331*^9}, 3.8129788492635756`*^9, {
   3.812978885605792*^9, 3.812978888265969*^9}, {3.869482019402536*^9, 
   3.869482093808721*^9}, {3.873451859304779*^9, 3.873451862936874*^9}, 
   3.873451921689228*^9, {3.874506896514132*^9, 3.874506945632807*^9}, {
   3.8745070379835453`*^9, 3.874507038567904*^9}, 3.877020900574173*^9, 
   3.8774331148880377`*^9},
 CellTags->{"LastCellOfAPage", "i:25"},
 CellID->1765932103,ExpressionUUID->"192500e4-fb84-4206-b584-78b096fedcfb"],

Cell[TextData[{
 "Use ",
 ButtonBox["AssociationMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationMap.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationMap.html"],
 " to find out almost all elements available via ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " for a CSV file: "
}], "CodeText",
 CellChangeTimes->{{3.7719548455497227`*^9, 3.771954861989174*^9}, {
   3.771954903159273*^9, 3.7719549142899017`*^9}, 3.8121238207763357`*^9, 
   3.8129788935871334`*^9, 3.873451916501957*^9},
 CellTags->"p: 305",
 CellID->688217742,ExpressionUUID->"3750a692-7d4c-4b78-8889-62ee939945c1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AssociationMap", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"csvFile", ",", 
      RowBox[{"{", 
       RowBox[{"\"\<CSV\>\"", ",", "#"}], "}"}]}], "]"}], "&"}], ",", 
   RowBox[{"DeleteCases", "[", 
    RowBox[{"csvImportElements", ",", 
     RowBox[{
     "\"\<Dataset\>\"", "|", "\"\<RawData\>\"", "|", "\"\<Grid\>\""}]}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771599880300314*^9, 3.771599918904673*^9}, {
  3.7715999828815603`*^9, 3.771600007079919*^9}, {3.771600059306699*^9, 
  3.77160008927402*^9}, {3.771605339585101*^9, 3.77160535062889*^9}, {
  3.7716257922078743`*^9, 3.771625801033399*^9}, {3.771760912708305*^9, 
  3.771760917491893*^9}, {3.869482098692919*^9, 3.869482106332449*^9}},
 CellLabel->"In[124]:=",
 CellID->1796853581,ExpressionUUID->"faa9751a-8454-4c15-a327-e318f774facd"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"Data\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\<\"class\"\>", ",", "\<\"age\"\>", ",", "\<\"sex\"\>", 
        ",", "\<\"survived\"\>"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\<\"3rd\"\>", ",", "16", ",", "\<\"female\"\>", 
        ",", "\<\"True\"\>"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\<\"1st\"\>", ",", "65", ",", "\<\"male\"\>", 
        ",", "\<\"False\"\>"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\<\"3rd\"\>", ",", "2", ",", "\<\"female\"\>", 
        ",", "\<\"False\"\>"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\<\"3rd\"\>", ",", "\<\"Missing[]\"\>", ",", "\<\"female\"\>",
         ",", "\<\"True\"\>"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\<\"3rd\"\>", ",", "18", ",", "\<\"female\"\>", 
        ",", "\<\"False\"\>"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"\<\"Dimensions\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"6", ",", "4"}], "}"}]}], ",", 
   RowBox[{"\<\"MaxColumnCount\"\>", "\[Rule]", "4"}], ",", 
   RowBox[{"\<\"RowCount\"\>", "\[Rule]", "6"}], ",", 
   RowBox[{"\<\"Summary\"\>", "\[Rule]", 
    TagBox[
     TagBox[
      DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
       "InitialData" -> <|
         "Format" -> "CSV", "RowCount" -> 6, "MaxColumnCount" -> 4, 
          "FileName" -> "dinghyfile.csv", "FileSize" -> 
          Quantity[165., "Bytes"]|>, "AllowEmbedding" -> True, "InitialShape" -> 
        TypeSystem`PackageScope`DocumentShape[<|{"Format"} -> 
           TypeSystem`PackageScope`AtomShape[33.6], {"RowCount"} -> 
           TypeSystem`PackageScope`AtomShape[34], {"MaxColumnCount"} -> 
           TypeSystem`PackageScope`AtomShape[34], {"FileName"} -> 
           TypeSystem`PackageScope`AtomShape[156.8], {"FileSize"} -> 
           TypeSystem`PackageScope`AtomShape[75]|>, 1], "InitialType" -> 
        TypeSystem`Struct[{
          "Format", "RowCount", "MaxColumnCount", "FileName", "FileSize"}, {
           TypeSystem`Atom[String], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[String], 
           TypeSystem`Atom[
            Quantity[1, "Bytes"]]}], "Meta" -> <||>, "RowTarget" -> 20, 
        "ColumnTarget" -> 10, "Shape" -> 
        TypeSystem`PackageScope`DocumentShape[<|{"Format"} -> 
           TypeSystem`PackageScope`AtomShape[33.6], {"RowCount"} -> 
           TypeSystem`PackageScope`AtomShape[34], {"MaxColumnCount"} -> 
           TypeSystem`PackageScope`AtomShape[34], {"FileName"} -> 
           TypeSystem`PackageScope`AtomShape[156.8], {"FileSize"} -> 
           TypeSystem`PackageScope`AtomShape[75]|>, 1], "Type" -> 
        TypeSystem`Struct[{
          "Format", "RowCount", "MaxColumnCount", "FileName", "FileSize"}, {
           TypeSystem`Atom[String], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[String], 
           TypeSystem`Atom[
            Quantity[1, "Bytes"]]}], "Path" -> {}, "DisplayedRowCount" -> 20, 
        "DisplayedColumnCount" -> 10, "DataRowCount" -> 5, "DataColumnCount" -> 
        1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> 
        Null, "UpdateType" -> 1|>, 
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
           Style[
            Grid[{{
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["Format", 
                    Style[
                    "Format", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Format"]}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["Format"]}, "RowHeader", False], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}], 
               Item[
                Pane[
                 Annotation["CSV", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["Format"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{33.6, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["RowCount", 
                    Style[
                    "RowCount", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["RowCount"]}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["RowCount"]}, "RowHeader", False], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["6"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["RowCount"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{34, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["MaxColumnCount", 
                    Style[
                    "MaxColumnCount", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["MaxColumnCount"]}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["MaxColumnCount"]}, "RowHeader", False], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["4"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["MaxColumnCount"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{34, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["FileName", 
                    Style[
                    "FileName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["FileName"]}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["FileName"]}, "RowHeader", False], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}], 
               Item[
                Pane[
                 Annotation["dinghyfile.csv", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["FileName"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{156.8, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["FileSize", 
                    Style[
                    "FileSize", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["FileSize"]}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["FileSize"]}, "RowHeader", False], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes[
                   RowBox[{"165.`", "\"B\""}]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "581be953-c0b3-40b3-b734-4059a2d8437c"]][{
                    Key["FileSize"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{75, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}}, 
             BaseStyle -> {
              ContextMenu -> 
               Dynamic[
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                 Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                   TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                    True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                   TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
               "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
             Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
             Spacings -> {0, 0}, Alignment -> Left, 
             BaseStyle -> {
              FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
               Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
            NumberMarks -> False, ShowAutoStyles -> False]], 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
        Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
         TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
            Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
            
            Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
              TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
              TypeSystem`NestedGrid`PackagePrivate`datasetData[
               TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
             TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
               Not[
                FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
               TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
            TypeSystem`SparseGrid[
             TypeSystem`H["(data no longer present)"]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
        DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
         TypeSystem`PackageScope`SubViewPathbar[
         TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`updateState[
          TypeSystem`NestedGrid`PackagePrivate`$state$$, 
           TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
        TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
        Framed[
         Dynamic[
          Replace[
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
           TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
              Blank[]] -> "", 
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
              Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
               Blank[]], 
              Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
               Blank[]], 
              Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
               Blank[]]] :> (
             Increment[
              TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
              TypeSystem`NestedGrid`PackagePrivate`path$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
              TypeSystem`NestedGrid`PackagePrivate`pathType$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
              TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
             TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
              TypeSystem`NestedGrid`PackagePrivate`path$, 
               TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
            Spacer[10], Blank[] :> Spacer[10]}], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
         FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
         Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
       DynamicWrapperBox[
        DynamicBox[ToBoxes[
          Dataset`DatasetContent[
          2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
           "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
           "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
           "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
           "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
           "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
           "BottomBar" -> 
           Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], 
           "OutputID" -> Hold[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
          StandardForm],
         ImageSizeCache->{280., {73.3837890625, 80.6162109375}},
         TrackedSymbols:>{
          TypeSystem`NestedGrid`PackagePrivate`$state$$, 
           TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
        MouseAnnotation[],
        ImageSizeCache->{280., {73.3837890625, 80.6162109375}}],
       BaseStyle->{LineBreakWithin -> False},
       DynamicModuleValues:>{},
       Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
        CreateUUID[]),
       UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy,
      DefaultBaseStyle->"Deploy"],
     Dataset`InterpretDataset[1],
     Editable->False,
     SelectWithContents->True,
     Selectable->False]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.881831106567768*^9, 3.899461589155253*^9, 
  3.8994647941119413`*^9},
 CellLabel->"Out[124]=",
 CellID->1575796730,ExpressionUUID->"c8be6b38-d862-4e17-b640-6206c391902a"]
}, Open  ]],

Cell[TextData[{
 "Once you have successfully imported information that was in a CSV format, \
you have to figure out what to do with it. I\[CloseCurlyQuote]ve covered most \
of this earlier in the book, but some timely repetition and clarification \
might be appropriate. Here, for example, I transform the Wolfram Language \
expression obtained from an ",
 ButtonBox["ImportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ImportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ImportString.html"],
 " as CSV into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations on the assumption that the first row of the data \
represents a row header and the remainder consists of information. The idea \
is to get a common ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of keys for each row of what will ultimately turn into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations. To do this, I use ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " and ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " to create key-value pairs in which the keys are consistent and the values \
are the elements of each of the remaining rows of the imported data."
}], "Text",
 CellChangeTimes->{{3.771605400466267*^9, 3.7716055219727*^9}, {
   3.771605590835412*^9, 3.771605718624455*^9}, {3.771625936079254*^9, 
   3.771625977577177*^9}, 3.771626036680241*^9, {3.7716261918176813`*^9, 
   3.7716262584864817`*^9}, {3.771626976252741*^9, 3.771627028791396*^9}, {
   3.7716705729431562`*^9, 3.771670584710669*^9}, {3.771670641526627*^9, 
   3.771670644265403*^9}, {3.771685612819845*^9, 3.77168561334122*^9}, {
   3.8129789493026505`*^9, 3.8129789709722958`*^9}, 3.8230976275594244`*^9, {
   3.869915435124755*^9, 3.8699154697065783`*^9}, 3.8774332902214727`*^9},
 CellID->1421349854,ExpressionUUID->"ff28dad4-36a6-4cc3-90b8-88498f200058"],

Cell[TextData[{
 "Convert the CSV import into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.771954942174053*^9, 3.7719549526648006`*^9}, 
   3.812123828961893*^9, {3.8129937981852407`*^9, 3.8129937983936834`*^9}, 
   3.87345202427402*^9},
 CellID->1423781019,ExpressionUUID->"5e9f14da-0015-45c3-9ae6-dacbc74aee2b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"listOfAssociationsCSV", "=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"innerKeys", "=", 
      RowBox[{"First", "[", "csvImport", "]"}]}], "}"}], ",", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"AssociationThread", "[", 
        RowBox[{"innerKeys", ",", "#"}], "]"}], "&"}], ",", 
      RowBox[{"Rest", "[", "csvImport", "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.7716054783957663`*^9, 3.7716055770833807`*^9}, {
  3.7716060184379673`*^9, 3.771606023811277*^9}, {3.7716264983629017`*^9, 
  3.771626511884293*^9}, {3.771626946872425*^9, 3.771626954462097*^9}, {
  3.771670625009256*^9, 3.771670628683527*^9}},
 CellLabel->"In[67]:=",
 CellID->18906950,ExpressionUUID->"8aae0eb8-bcaf-43f8-804c-34a704981a9a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"True\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"False\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"False\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "\<\"Missing[]\"\>"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"True\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"False\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.771605507029748*^9, 3.771605577342865*^9, 3.77160602430262*^9, {
   3.771626489959468*^9, 3.771626512327415*^9}, 3.771626954885976*^9, 
   3.77162704356673*^9, 3.7716705984713287`*^9, 3.7716706294208593`*^9, 
   3.771671802721985*^9, 3.771700103246558*^9, 3.771760930189293*^9, 
   3.824461215237192*^9, 3.869916382655102*^9, 3.869916724607967*^9, 
   3.881831125614869*^9, 3.899461692571554*^9},
 CellLabel->"Out[67]=",
 CellID->1823381784,ExpressionUUID->"4d2d744b-fded-447d-b96d-c7d0c4cc0e2c"]
}, Open  ]],

Cell[TextData[{
 "There\[CloseCurlyQuote]s now also the really simple ",
 ButtonBox["DatasetWithHeaders",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetWithHeaders"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetWithHeaders"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " that automates this process."
}], "Text",
 CellChangeTimes->{{3.869917218172821*^9, 3.869917269027622*^9}, {
  3.873452028996005*^9, 3.873452030389299*^9}, {3.8774333279840994`*^9, 
  3.87743334471231*^9}},
 CellTags->"LastCellOfAPage",
 CellID->445196547,ExpressionUUID->"54becac3-a706-41f6-acb9-c3ca512ea402"],

Cell[TextData[{
 "Use ",
 ButtonBox["DatasetWithHeaders",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetWithHeaders"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetWithHeaders"],
 " to take tabular data in which the first row is the column names and turn \
it into a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8699173170513268`*^9, 3.869917375832088*^9}, 
   3.873452045008277*^9, {3.877433407104805*^9, 3.8774334080532246`*^9}},
 CellTags->"p: 306",
 CellID->504958014,ExpressionUUID->"892022a4-ecb2-49b0-8fa1-03460f11517e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["DatasetWithHeaders", "ResourceFunctionLabel"], 
                 " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["DatasetWithHeaders", "ResourceFunctionLabel"], 
                    " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/49505a7e-f65d-423b-a1b2-53e92ab9a80b/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "DatasetWithHeaders"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "DatasetWithHeaders", "ShortName" -> "DatasetWithHeaders", 
      "UUID" -> "49505a7e-f65d-423b-a1b2-53e92ab9a80b", "ResourceType" -> 
      "Function", "Version" -> "1.0.0", "Description" -> 
      "One-step creation of a Dataset with named columns", 
      "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$3f4263244cee446ab527b0ae1f518123`\
DatasetWithHeaders", "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/50144fee-8616-4ae7-be92-\
e840f03c1dc5"]|>, {
     ResourceSystemBase -> 
      "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
   Selectable->False], "[", "csvImport", "]"}]], "Input",
 CellChangeTimes->{{3.869917186101465*^9, 3.86991721508679*^9}, {
  3.881831136453336*^9, 3.881831158720717*^9}},
 CellLabel->"In[68]:=",
 CellID->956049653,ExpressionUUID->"cd39e318-f799-4c1c-ba9d-a46577d9fcea"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        "True"|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        "False"|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        "False"|>, <|
       "class" -> "3rd", "age" -> "Missing[]", "sex" -> "female", "survived" -> 
        "True"|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        "False"|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Missing[]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "62df5793-5fad-4cc8-a4ac-dee47a873f17"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{283., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{283., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.869917215548883*^9, {3.881831131313177*^9, 3.881831160987021*^9}, 
   3.899461710069865*^9},
 CellLabel->"Out[68]=",
 CellID->824364172,ExpressionUUID->"07bf2105-efba-4ab2-9359-c2b5770a2e02"]
}, Open  ]],

Cell[TextData[{
 "If I wanted row headers (outer keys), I could use one of the basic recipes \
from ",
 ButtonBox["Chapter 7",
  BaseStyle->"Hyperlink",
  Evaluator->Automatic,
  Method->"Queued",
  ButtonFunction:>(
   NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, FrontEnd`HistoryData :> {
      EvaluationNotebook[]}]& )],
 " and proceed as follows."
}], "Text",
 CellID->823631784,ExpressionUUID->"3064690c-bd61-4693-9859-4efa6581e0e0"],

Cell[TextData[{
 "Convert the CSV import into an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.771954955839922*^9, 3.771954967621893*^9}, 
   3.8121238366088467`*^9, {3.812993803503628*^9, 3.8129938037689276`*^9}, 
   3.873452071066403*^9},
 CellID->1232760598,ExpressionUUID->"0bd9e11b-21f9-4c64-9adf-ce3dbb54df6c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"associationOfAssociationsCSV", "=", 
  RowBox[{
   RowBox[{
    InterpretationBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["ValueMapIndexed", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["ValueMapIndexed", "ResourceFunctionLabel"], 
                    " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/7d1d4ddc-616f-409c-bda4-e90058c019ae/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "ValueMapIndexed"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "ValueMapIndexed", "ShortName" -> "ValueMapIndexed", "UUID" -> 
        "7d1d4ddc-616f-409c-bda4-e90058c019ae", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Create an association from a set of values, using a map-indexed \
function on those values to form the keys", "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$74c214fb486a4c278f6d04cf83b6b7e4`\
ValueMapIndexed", "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/c1399b25-6e26-4680-8e3c-\
9b846c63ee96"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], "[", 
    RowBox[{
     RowBox[{"ToString", "[", 
      RowBox[{"#2", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}], "&"}], "]"}], "[", 
   "listOfAssociationsCSV", "]"}]}]], "Input",
 CellChangeTimes->{{3.771605983230041*^9, 3.771606067667556*^9}, {
   3.771670677135036*^9, 3.771670696384651*^9}, {3.771685644842373*^9, 
   3.771685648843382*^9}, 3.873452113102972*^9},
 CellLabel->"In[69]:=",
 CellID->99805126,ExpressionUUID->"0ac3cb24-d851-47c0-b272-05db4c57387d"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"True\"\>"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"2\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"False\"\>"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"3\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"False\"\>"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"4\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "\<\"Missing[]\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"True\"\>"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"5\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"False\"\>"}]}], 
     "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.771606041650276*^9, 3.771606068030902*^9}, 
   3.771627046558753*^9, 3.77167065804539*^9, 3.771670697419384*^9, 
   3.771671802788353*^9, 3.77168565031688*^9, 3.771700121361824*^9, 
   3.771760936942252*^9, 3.824461218000873*^9, 3.869916382689445*^9, 
   3.869916727319284*^9, 3.88183117928129*^9, 3.89946172559973*^9},
 CellLabel->"Out[69]=",
 CellID->1696730671,ExpressionUUID->"7d8594fa-9c58-4d50-9d99-9074238677bc"]
}, Open  ]],

Cell[TextData[{
 "Notice that I can wrap ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " around either of these results."
}], "Text",
 CellChangeTimes->{{3.771606045926568*^9, 3.7716060546857986`*^9}, {
   3.77168566534862*^9, 3.771685666744136*^9}, 3.8129938115607705`*^9},
 CellID->1115381559,ExpressionUUID->"0b55bfe3-8f8b-4828-95d1-d5dc106a7b91"],

Cell["Convert prior CSV imports into Datasets:", "CodeText",
 CellChangeTimes->{{3.771954985204768*^9, 3.77195500758952*^9}, 
   3.812123845129351*^9},
 CellID->922118853,ExpressionUUID->"4eb8c0c9-cbcb-4c56-8739-0da2fcbd1128"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Dataset", ",", 
   RowBox[{"{", 
    RowBox[{"listOfAssociationsCSV", ",", "associationOfAssociationsCSV"}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771606069783093*^9, 3.7716060779707117`*^9}},
 CellLabel->"In[70]:=",
 CellID->833107450,ExpressionUUID->"219be734-3a4e-4dc6-baba-48da02d698a4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
          "True"|>, <|
         "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
          "False"|>, <|
         "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
          "False"|>, <|
         "class" -> "3rd", "age" -> "Missing[]", "sex" -> "female", 
          "survived" -> "True"|>, <|
         "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
          "False"|>}, "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[52.5]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["False", "True"]]}], 5], "Meta" -> <||>, 
       "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[52.5]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["False", "True"]]}], 5], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{All, "class"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["sex", 
                    Style[
                    "sex", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{All, "sex"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{1, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{1, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{1, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["True", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{1, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["1st", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{2, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["65"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{2, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{2, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["False", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{2, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{3, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{3, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{3, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["False", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{3, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{4, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["Missing[]", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{4, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{4, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["True", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{4, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{5, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{5, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{5, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["False", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "74e23060-bb26-49d4-a918-28e6f81ede84"]][{5, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{283., {86.8837890625, 94.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{283., {86.8837890625, 94.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> <|
        "1" -> <|"class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
           "True"|>, 
         "2" -> <|"class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
           "False"|>, 
         "3" -> <|"class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
           "False"|>, 
         "4" -> <|"class" -> "3rd", "age" -> "Missing[]", "sex" -> "female", 
           "survived" -> "True"|>, 
         "5" -> <|"class" -> "3rd", "age" -> 18, "sex" -> "female", 
           "survived" -> "False"|>|>, "AllowEmbedding" -> True, 
       "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
            TypeSystem`PackageScope`KeyDummy[0]} -> 1, {All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`KeyValueShape[
            TypeSystem`PackageScope`AtomShape[33.6], 
            TypeSystem`PackageScope`Limited[
             
             TypeSystem`PackageScope`RowShape[<|
              "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
               TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
               TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
               TypeSystem`PackageScope`AtomShape[52.5]|>], 
             DirectedInfinity[1], 4, {All}]]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
         TypeSystem`Atom[String], 
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["False", "True"]]}], 5], "Meta" -> <||>, 
       "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, 
            TypeSystem`PackageScope`KeyDummy[0]} -> 1, {All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`KeyValueShape[
            TypeSystem`PackageScope`AtomShape[33.6], 
            TypeSystem`PackageScope`Limited[
             
             TypeSystem`PackageScope`RowShape[<|
              "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
               TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
               TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
               TypeSystem`PackageScope`AtomShape[52.5]|>], 
             DirectedInfinity[1], 4, {All}]]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
         TypeSystem`Atom[String], 
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["False", "True"]]}], 5], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 Mouseover[
                  
                  Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                   Scaled[-0.15]], 
                  Graphics[{
                    GrayLevel[0.6], 
                    
                    Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                   Scaled[-0.15]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{All, Keys}, 
                  "KeyDummy", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{All, "class"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["sex", 
                    Style[
                    "sex", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{All, "sex"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["1", 
                    Style[
                    "1", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["1"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["1"], 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["1"], 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["1"], 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["True", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["1"], 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["2", 
                    Style[
                    "2", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["2"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["1st", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["2"], 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["65"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["2"], 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["2"], 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["False", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["2"], 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["3", 
                    Style[
                    "3", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["3"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["3"], 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["3"], 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["3"], 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["False", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["3"], 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["4", 
                    Style[
                    "4", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["4"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["4"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["4"], 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["Missing[]", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["4"], 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["4"], 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["True", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["4"], 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["5", 
                    Style[
                    "5", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["5"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["5"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{33.6, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["5"], 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["5"], 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["5"], 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["False", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "27132bb5-e0c6-4e9f-9651-392180b3e4da"]][{
                   Key["5"], 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{52.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{325., {86.8837890625, 94.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{325., {86.8837890625, 94.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.771606079459876*^9, 3.771627050437011*^9, 
  3.7716707051386433`*^9, 3.771671802857667*^9, 3.771685668573275*^9, 
  3.7717001249932737`*^9, 3.771760939303091*^9, 3.869916382728488*^9, 
  3.869916732308476*^9, 3.8818311914753857`*^9, 3.8994617332871017`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[70]=",
 CellID->728318908,ExpressionUUID->"5ea0b7b8-91d4-417e-889f-ab2c099e01a7"]
}, Open  ]],

Cell[TextData[{
 "There\[CloseCurlyQuote]s yet another way to directly create a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " out of a CSV file: ask for it by modifying the second argument to ",
 Cell[BoxData[
 "\"\<CSV\>\""], "InlineCodeText",ExpressionUUID->
  "2a53590a-b7ef-4bc2-9e8a-d720a2c14c45"],
 ". I\[CloseCurlyQuote]m going to do it imperfectly first so you understand \
the fix I make the second time."
}], "Text",
 CellChangeTimes->{{3.771606091072198*^9, 3.771606150324017*^9}, {
   3.8128088779345484`*^9, 3.8128088783360214`*^9}, {3.8129938270015335`*^9, 
   3.8129938396190968`*^9}, {3.869917452559237*^9, 3.869917457253419*^9}, 
   3.873452137956056*^9},
 CellTags->{"i:26", "p: 307"},
 CellID->555325233,ExpressionUUID->"23b4be2a-ffbd-406f-907a-7899fc35efcb"],

Cell[TextData[{
 "Import the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " element of a CSV file:"
}], "CodeText",
 CellChangeTimes->{{3.771955010781855*^9, 3.7719550216557302`*^9}, 
   3.8121238518347816`*^9, 3.8734521666314077`*^9},
 CellID->740423293,ExpressionUUID->"50838a61-9b5c-4a55-85f0-1ddd769c296a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ImportString", "[", 
  RowBox[{"csvString", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<CSV\>\"", ",", "\"\<Dataset\>\""}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7716061267557983`*^9, 3.771606134140093*^9}, {
  3.771627067763023*^9, 3.771627078178957*^9}},
 CellLabel->"In[71]:=",
 CellID->387261169,ExpressionUUID->"fa7e2f99-1c6a-40ff-adbc-45bcef48399b"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {{"class", "age", "sex", "survived"}, {
       "3rd", 16, "female", "True"}, {"1st", 65, "male", "False"}, {
       "3rd", 2, "female", "False"}, {"3rd", "Missing[]", "female", "True"}, {
       "3rd", 18, "female", "False"}}, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[52.5], 
           TypeSystem`PackageScope`UnknownShape[False], 
           TypeSystem`PackageScope`AtomShape[63.], 
           TypeSystem`PackageScope`AtomShape[84.]}], 
         DirectedInfinity[1], 4, {All}]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd", "class"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male", "sex"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "survived", "True"]]}], 6], 
     "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[{
           TypeSystem`PackageScope`AtomShape[52.5], 
           TypeSystem`PackageScope`UnknownShape[False], 
           TypeSystem`PackageScope`AtomShape[63.], 
           TypeSystem`PackageScope`AtomShape[84.]}], 
         DirectedInfinity[1], 4, {All}]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Vector[
       TypeSystem`Tuple[{
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd", "class"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male", "sex"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "survived", "True"]]}], 6], 
     "Path" -> {}, "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, 
     "DataRowCount" -> 6, "DataColumnCount" -> 4, "SortPaths" -> {}, 
     "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation["class", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{1, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["age", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{1, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["sex", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{1, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["survived", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{1, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{2, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{2, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{2, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{2, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{3, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{3, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{3, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{3, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{4, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{4, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{4, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{4, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{5, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Missing[]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{5, 2}, "Item", 
                False], "Mouse"], 
              ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{5, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{5, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{6, 1}, "Item", 
                False], "Mouse"], ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{6, 2}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{6, 3}, "Item", 
                False], "Mouse"], ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "948de59a-3886-4b18-8a3a-fbe51bdeee40"]][{6, 4}, "Item", 
                False], "Mouse"], ImageSize -> {{84., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{335., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{335., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.771606152185979*^9, {3.7716270569602623`*^9, 3.7716270786785517`*^9}, 
   3.771670711606285*^9, 3.7716718029810257`*^9, 3.771685674430772*^9, 
   3.7717001375532513`*^9, 3.771760941707241*^9, 3.881831198533573*^9, 
   3.899461750364579*^9},
 CellLabel->"Out[71]=",
 CellID->300808263,ExpressionUUID->"815650cd-73b4-44f9-adb3-cb9eec7ab87d"]
}, Open  ]],

Cell[TextData[{
 "Yes, I\[CloseCurlyQuote]ve returned a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " object, but it is treating the headers as just another row of information. \
That\[CloseCurlyQuote]s not what I intended. To fix this, I use the ",
 ButtonBox["HeaderLines",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderLines.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderLines.html"],
 " option."
}], "Text",
 CellChangeTimes->{{3.771606155219977*^9, 3.7716062244708357`*^9}, {
   3.7716856806726723`*^9, 3.771685690331835*^9}, 3.771700145318191*^9, {
   3.812808883734375*^9, 3.812808884087726*^9}, 3.812996528104389*^9, 
   3.8699158183616257`*^9},
 CellTags->"i:27",
 CellID->1297073462,ExpressionUUID->"38027ac1-b9b1-43c3-ba5a-58c257ed4f78"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " element of a CSV file with a header line:"
}], "CodeText",
 CellChangeTimes->{{3.771955032223846*^9, 3.7719550422174664`*^9}, 
   3.8121238602109823`*^9, 3.8734706784213953`*^9, 3.87743395570825*^9},
 CellID->258340697,ExpressionUUID->"e6a7eb1e-21d7-4682-b19f-96c39501331f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"datasetCSV", "=", 
  RowBox[{"Import", "[", 
   RowBox[{"csvFile", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<CSV\>\"", ",", "\"\<Dataset\>\""}], "}"}], ",", 
    RowBox[{"HeaderLines", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.771606210344482*^9, 3.771606213467876*^9}, {
  3.7716062689519243`*^9, 3.7716062746702127`*^9}, {3.771627083341753*^9, 
  3.771627086772621*^9}, {3.7717609455725594`*^9, 3.7717609511603193`*^9}},
 CellLabel->"In[72]:=",
 CellID->807175137,ExpressionUUID->"f3b0eb2f-8faf-45c9-ad15-f3866f5bf688"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        "True"|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        "False"|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        "False"|>, <|
       "class" -> "3rd", "age" -> "Missing[]", "sex" -> "female", "survived" -> 
        "True"|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        "False"|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Missing[]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9b3cfb6f-731f-45cb-b5dd-806555ecd392"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{283., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{283., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.771606214202015*^9, 3.771606275041601*^9, {3.771627062782755*^9, 
   3.771627087162019*^9}, 3.77167071620012*^9, 3.771671803062348*^9, 
   3.771685693706625*^9, 3.77170014889961*^9, 3.771760951640573*^9, 
   3.8699162736371727`*^9, 3.8699169395423527`*^9, 3.8818312083166437`*^9, 
   3.8994617682818613`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[72]=",
 CellID->1037327571,ExpressionUUID->"1cea7af9-a0a3-41e6-85d1-bd85efdd24a2"]
}, Open  ]],

Cell[TextData[{
 "The ",
 ButtonBox["ImportCSVToDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ImportCSVToDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ImportCSVToDataset"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " works very similarly to the code just described:"
}], "CodeText",
 CellChangeTimes->{{3.869916197508304*^9, 3.869916248493991*^9}, {
  3.8699175351519203`*^9, 3.869917541019815*^9}, {3.8814095224816437`*^9, 
  3.881409547526288*^9}},
 CellTags->"p: 308",
 CellID->733118910,ExpressionUUID->"3ec5c183-825f-4d68-bf81-3a96ac489e30"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ImportCSVToDataset", "ResourceFunctionLabel"], 
                 " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ImportCSVToDataset", "ResourceFunctionLabel"], 
                    " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"2.1.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/d29f97d9-cd9b-48b4-b6e0-1beccdd1f128/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ImportCSVToDataset"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ImportCSVToDataset", "ShortName" -> "ImportCSVToDataset", 
      "UUID" -> "d29f97d9-cd9b-48b4-b6e0-1beccdd1f128", "ResourceType" -> 
      "Function", "Version" -> "2.1.0", "Description" -> 
      "Import CSV and TSV files to datasets", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$a3b50c1743b5465980c030ab5321d201`\
ImportCSVToDataset", "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/bf0c034e-99c4-408b-b639-\
170d19635a98"]|>, {
     ResourceSystemBase -> 
      "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
   Selectable->False], "[", "csvFile", "]"}]], "Input",
 CellChangeTimes->{{3.869916250528735*^9, 3.869916265422022*^9}, {
  3.88183124326867*^9, 3.881831274398415*^9}},
 CellLabel->"In[73]:=",
 CellID->1693757175,ExpressionUUID->"8ae16578-9994-4df5-8ffc-c2980b410f39"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        "True"|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        "False"|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        "False"|>, <|
       "class" -> "3rd", "age" -> "Missing[]", "sex" -> "female", "survived" -> 
        "True"|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        "False"|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Missing[]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "28d471ce-661b-4f53-8801-aca9efcadef1"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{283., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{283., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8699162662868357`*^9, 3.869916942855578*^9, 
  3.881831239217895*^9, 3.8818312767497377`*^9, 3.899461778763894*^9},
 CellLabel->"Out[73]=",
 CellID->1089302932,ExpressionUUID->"be4e761c-1d76-45af-95ef-571f05e9e465"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Importing and Fixing Ragged Data", "Subsubsection",
 CellChangeTimes->{{3.7716064507046537`*^9, 3.771606459730219*^9}, {
  3.8237892137196255`*^9, 3.823789226922874*^9}},
 CellID->805979647,ExpressionUUID->"73df2d6f-631e-4321-9d52-b96d0f6fc77f"],

Cell["\<\
All of that went just fine, but people are often sloppy in generating CSV \
files. Here\[CloseCurlyQuote]s a string representation of one, for example, \
where one of the rows has an extra element. \
\>", "Text",
 CellChangeTimes->{{3.77160642941672*^9, 3.771606445188417*^9}, {
  3.7716064758649263`*^9, 3.771606484319634*^9}, {3.7716065434824142`*^9, 
  3.771606592478326*^9}, {3.77160682973974*^9, 3.771606829918758*^9}, {
  3.771627177263253*^9, 3.771627182480975*^9}, {3.8128088896608963`*^9, 
  3.812808890095226*^9}, {3.8774344535775013`*^9, 3.877434455723841*^9}},
 CellTags->"i:28",
 CellID->1920565500,ExpressionUUID->"242ce8fb-2572-4469-a776-a6112da967e4"],

Cell[TextData[{
 "Export a ragged ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists as a CSV file:"
}], "CodeText",
 CellChangeTimes->{{3.771955067725918*^9, 3.77195507830059*^9}, 
   3.812123871240706*^9, 3.873470793846787*^9},
 CellID->215233734,ExpressionUUID->"7a9b8438-ca94-4a8e-b1e6-9ec55e6314cc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"raggedCSVFile", "=", 
  RowBox[{"Export", "[", 
   RowBox[{"\"\<raggedfile.csv\>\"", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<class\>\"", ",", "\"\<age\>\"", ",", "\"\<sex\>\"", ",", 
        "\"\<survived\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<3rd\>\"", ",", "16", ",", "\"\<female\>\"", ",", "True"}],
        "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<1st\>\"", ",", "65", ",", "\"\<male\>\"", ",", "False"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<3rd\>\"", ",", "2", ",", "\"\<male\>\"", ",", "False", ",", 
        "\"\<extra\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<3rd\>\"", ",", "47", ",", "\"\<female\>\"", ",", "True"}],
        "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<3rd\>\"", ",", "18", ",", "\"\<female\>\"", ",", "False"}], 
       "}"}]}], "}"}], ",", "\"\<CSV\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.771670741052147*^9, 3.771670837260212*^9}, {
  3.771670958023225*^9, 3.7716709752870693`*^9}, {3.771671019253126*^9, 
  3.7716710291507397`*^9}, {3.77176098620511*^9, 3.771761015869464*^9}, {
  3.824463095594441*^9, 3.8244631104394503`*^9}, {3.82446326807347*^9, 
  3.8244632682076797`*^9}, {3.869916037679072*^9, 3.8699160391920977`*^9}, {
  3.899461814058528*^9, 3.8994618198365793`*^9}, {3.899464817772962*^9, 
  3.89946483360581*^9}},
 CellLabel->"In[126]:=",
 CellID->291379253,ExpressionUUID->"7350f15d-cd91-42bb-97bd-2f977ac199bd"],

Cell[BoxData["\<\"raggedfile.csv\"\>"], "Output",
 CellChangeTimes->{
  3.771670747199354*^9, {3.7716707842467327`*^9, 3.771670807701388*^9}, 
   3.771670838006035*^9, 3.7716709768504457`*^9, 3.7716710297535133`*^9, 
   3.771671803106447*^9, 3.7716857107214746`*^9, 3.7717001823275433`*^9, 
   3.7717610173712893`*^9, 3.824462640531743*^9, 3.824463114279479*^9, 
   3.824463269789351*^9, 3.869916043650935*^9, 3.881831290707375*^9, 
   3.882620027076457*^9, 3.8994618225023737`*^9, {3.899464823443057*^9, 
   3.899464835132159*^9}},
 CellLabel->"Out[126]=",
 CellID->446418058,ExpressionUUID->"3309dc6b-fad5-4225-9137-ddef7d03e324"]
}, Open  ]],

Cell[TextData[{
 "I can ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " it back without apparent difficulty."
}], "Text",
 CellChangeTimes->{{3.7716066001630507`*^9, 3.7716066102251053`*^9}, {
   3.7716066419272223`*^9, 3.7716066705600157`*^9}, {3.771761034225779*^9, 
   3.771761058821473*^9}, 3.8130564314488587`*^9, 3.82378923892478*^9, {
   3.869916024207665*^9, 3.869916047874683*^9}},
 CellID->910887589,ExpressionUUID->"31f4ef42-5bbf-4643-b753-a4078a78995b"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " a CSV file containing a ragged ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists:"
}], "CodeText",
 CellChangeTimes->{{3.771955080516621*^9, 3.771955094824408*^9}, 
   3.812123879745057*^9, 3.873470836480955*^9, 3.877434483581664*^9},
 CellID->1037901658,ExpressionUUID->"1adcf0e3-17f4-425c-bbc1-ef860812d5fd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"csvImportRagged", "=", 
  RowBox[{"Import", "[", 
   RowBox[{"raggedCSVFile", ",", "\"\<CSV\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.771606618892054*^9, 3.7716066315940933`*^9}, {
  3.77160669520494*^9, 3.771606742501486*^9}, {3.7716068378861227`*^9, 
  3.771606839634158*^9}, {3.771761061052991*^9, 3.771761066932466*^9}},
 CellLabel->"In[75]:=",
 CellID->2024272507,ExpressionUUID->"03fcb8ff-5752-415c-9ea8-bdaed57a7c15"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"class\"\>", ",", "\<\"age\"\>", ",", "\<\"sex\"\>", 
     ",", "\<\"survived\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "16", ",", "\<\"female\"\>", 
     ",", "\<\"True\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"1st\"\>", ",", "65", ",", "\<\"male\"\>", 
     ",", "\<\"False\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "2", ",", "\<\"male\"\>", 
     ",", "\<\"False\"\>", ",", "\<\"extra\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "47", ",", "\<\"female\"\>", 
     ",", "\<\"True\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "18", ",", "\<\"female\"\>", 
     ",", "\<\"False\"\>"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.771606632025064*^9, {3.7716066999619102`*^9, 3.771606710355001*^9}, 
   3.7716067435870037`*^9, 3.771606774561056*^9, 3.77160684020201*^9, 
   3.77162720565266*^9, 3.77167084689088*^9, 3.7716709836154613`*^9, 
   3.77167103216755*^9, 3.771671803139097*^9, 3.7716857202930517`*^9, 
   3.771700186284958*^9, 3.771761067434774*^9, 3.824462703570784*^9, 
   3.824463118695622*^9, 3.824463277271954*^9, 3.869916069409936*^9, 
   3.881831327616764*^9, 3.8994618462734127`*^9},
 CellLabel->"Out[75]=",
 CellID->1198642554,ExpressionUUID->"33f0d8e5-431d-4c17-bb88-91bc39d220f4"]
}, Open  ]],

Cell[TextData[{
 "It works, but if I now try to turn this into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations using the same code as before, I get an error."
}], "Text",
 CellChangeTimes->{{3.7716066732548323`*^9, 3.771606713259432*^9}, {
   3.771606755908662*^9, 3.771606759271037*^9}, {3.771606851534642*^9, 
   3.7716068551792307`*^9}, {3.7717001923698883`*^9, 3.771700193151104*^9}, 
   3.873470847358973*^9},
 CellID->364647027,ExpressionUUID->"3f5e638f-88d8-48a5-9d0c-33c94390533d"],

Cell[TextData[{
 "A typical method of turning a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations does not succeed here:"
}], "CodeText",
 CellChangeTimes->{{3.771955102954988*^9, 3.7719551244565697`*^9}, 
   3.812123887905124*^9, {3.873470932651958*^9, 3.873470956903174*^9}, {
   3.874746980920456*^9, 3.874746994323563*^9}},
 CellID->743982697,ExpressionUUID->"200d6518-556f-4cea-9bb5-9c2d292f2120"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"listOfAssociationsCSV2", "=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"innerKeys", "=", 
      RowBox[{"First", "[", "csvImportRagged", "]"}]}], "}"}], ",", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"AssociationThread", "[", 
        RowBox[{"innerKeys", ",", "#"}], "]"}], "&"}], ",", 
      RowBox[{"Rest", "[", "csvImportRagged", "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.7716054783957663`*^9, 3.7716055770833807`*^9}, {
  3.7716060184379673`*^9, 3.771606023811277*^9}, {3.7716264983629017`*^9, 
  3.771626511884293*^9}, {3.771626946872425*^9, 3.771626954462097*^9}, {
  3.771670625009256*^9, 3.771670628683527*^9}, {3.7716708698019047`*^9, 
  3.771670879618245*^9}},
 CellLabel->"In[76]:=",
 CellID->1073899905,ExpressionUUID->"9ad156a8-9fb4-4c76-a3e2-70f860253ea7"],

Cell[BoxData[
 TemplateBox[{
  "AssociationThread", "idim", 
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{\\\"\\\\\\\"class\\\\\\\"\\\", \
\\\",\\\", \\\"\\\\\\\"age\\\\\\\"\\\", \\\",\\\", \
\\\"\\\\\\\"sex\\\\\\\"\\\", \\\",\\\", \\\"\\\\\\\"survived\\\\\\\"\\\"}], \
\\\"}\\\"}]\\) and \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{\\\"\\\\\\\"3rd\\\\\\\"\\\", \\\",\\\", \\\"2\\\", \\\",\\\", \
\\\"\\\\\\\"male\\\\\\\"\\\", \\\",\\\", \\\"\\\\\\\"False\\\\\\\"\\\", \\\",\
\\\", \\\"\\\\\\\"extra\\\\\\\"\\\"}], \\\"}\\\"}]\\) must have the same \
length.\"", 2, 241, 26, 30601291112138795612, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.771670880161029*^9, 3.771670987485742*^9, 
  3.7716710347156773`*^9, 3.7716718031488733`*^9, 3.7717001892924213`*^9, 
  3.771761072089241*^9, 3.824462753774013*^9, 3.8244631229153013`*^9, 
  3.8244632797997437`*^9, 3.8699160770549517`*^9},
 CellLabel->"During evaluation of In[241]:=",
 CellID->474192428,ExpressionUUID->"45b3bf7c-ed08-421b-90aa-385bd2d45b7d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"True\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"False\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"AssociationThread", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"class\"\>", ",", "\<\"age\"\>", ",", "\<\"sex\"\>", 
       ",", "\<\"survived\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "2", ",", "\<\"male\"\>", 
       ",", "\<\"False\"\>", ",", "\<\"extra\"\>"}], "}"}]}], "]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "47"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"True\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"False\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.771670880168972*^9, 3.7716709874998817`*^9, 
  3.771671034721272*^9, 3.771671803156991*^9, 3.77170018931117*^9, 
  3.771761072094673*^9, 3.824462753799209*^9, 3.824463122930385*^9, 
  3.824463279807872*^9, 3.869916077074965*^9, 3.881831334036786*^9, 
  3.8994618622987623`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[76]=",
 CellID->454939071,ExpressionUUID->"24435e90-1b55-4bc5-8a5a-11ca858c86a5"]
}, Open  ]],

Cell[TextData[{
 "If I try to bypass this problem by importing the file as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", I don\[CloseCurlyQuote]t get an error message, but I do get a problematic \
response."
}], "Text",
 CellChangeTimes->{{3.7716068668173523`*^9, 3.771606894693664*^9}, {
   3.8128088968466034`*^9, 3.8128088972003984`*^9}, {3.8130573895283213`*^9, 
   3.8130573896804543`*^9}, 3.873471006068495*^9, {3.874747022709971*^9, 
   3.874747023522249*^9}, {3.898172560681322*^9, 3.898172561337326*^9}},
 CellTags->"p: 309",
 CellID->83845437,ExpressionUUID->"3d52f766-5e1f-4a2c-9429-9e3ce28e1369"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " a ragged CSV file as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.771955143769519*^9, 3.771955153882121*^9}, 
   3.81212389600974*^9, 3.87347104814439*^9, 3.877434689863505*^9},
 CellID->485457120,ExpressionUUID->"8e6dc4d9-d9a1-4462-9927-6bf580be95fe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"raggedCSVFile", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<CSV\>\"", ",", "\"\<Dataset\>\""}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771606934952132*^9, 3.771606939324059*^9}, {
  3.771761076536379*^9, 3.771761082423009*^9}},
 CellLabel->"In[77]:=",
 CellID->440987227,ExpressionUUID->"ab04ddca-6cbd-404e-9ff8-b455f3179bdc"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {{"class", "age", "sex", "survived"}, {
       "3rd", 16, "female", "True"}, {"1st", 65, "male", "False"}, {
       "3rd", 2, "male", "False", "extra"}, {"3rd", 47, "female", "True"}, {
       "3rd", 18, "female", "False"}}, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`UnknownShape[False]], 6, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Vector[TypeSystem`AnyType, TypeSystem`AnyLength], 6], 
     "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`UnknownShape[False]], 6, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Vector[
       TypeSystem`Vector[TypeSystem`AnyType, TypeSystem`AnyLength], 6], 
     "Path" -> {}, "DisplayedRowCount" -> 6, "DisplayedColumnCount" -> 1, 
     "DataRowCount" -> 6, "DataColumnCount" -> 1, "SortPaths" -> {}, 
     "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  
                  Style[{"class", "age", "sex", "survived"}, 
                   ShowStringCharacters -> False], 
                  Style[
                   
                   Style[{"class", "age", "sex", "survived"}, 
                    ShowStringCharacters -> False], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{1}, 
                   4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9615730b-5a6f-4f6f-b4da-9ab6ffbf8e25"]][{1}, "Item", False], 
               "Mouse"], ImageMargins -> {{5, 3}, {4, 5}}]]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  
                  Style[{"3rd", 16, "female", "True"}, ShowStringCharacters -> 
                   False], 
                  Style[
                   
                   Style[{"3rd", 16, "female", "True"}, ShowStringCharacters -> 
                    False], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{2}, 
                   4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9615730b-5a6f-4f6f-b4da-9ab6ffbf8e25"]][{2}, "Item", False], 
               "Mouse"], ImageMargins -> {{5, 3}, {4, 5}}]]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  
                  Style[{"1st", 65, "male", "False"}, ShowStringCharacters -> 
                   False], 
                  Style[
                   
                   Style[{"1st", 65, "male", "False"}, ShowStringCharacters -> 
                    False], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{3}, 
                   4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9615730b-5a6f-4f6f-b4da-9ab6ffbf8e25"]][{3}, "Item", False], 
               "Mouse"], ImageMargins -> {{5, 3}, {4, 5}}]]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  
                  Style[{"3rd", 2, "male", "False", "extra"}, 
                   ShowStringCharacters -> False], 
                  Style[
                   
                   Style[{"3rd", 2, "male", "False", "extra"}, 
                    ShowStringCharacters -> False], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{4}, 
                   4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9615730b-5a6f-4f6f-b4da-9ab6ffbf8e25"]][{4}, "Item", False], 
               "Mouse"], ImageMargins -> {{5, 3}, {4, 5}}]]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  
                  Style[{"3rd", 47, "female", "True"}, ShowStringCharacters -> 
                   False], 
                  Style[
                   
                   Style[{"3rd", 47, "female", "True"}, ShowStringCharacters -> 
                    False], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{5}, 
                   4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9615730b-5a6f-4f6f-b4da-9ab6ffbf8e25"]][{5}, "Item", False], 
               "Mouse"], ImageMargins -> {{5, 3}, {4, 5}}]]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  
                  Style[{"3rd", 18, "female", "False"}, ShowStringCharacters -> 
                   False], 
                  Style[
                   
                   Style[{"3rd", 18, "female", "False"}, ShowStringCharacters -> 
                    False], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{6}, 
                   4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9615730b-5a6f-4f6f-b4da-9ab6ffbf8e25"]][{6}, "Item", False], 
               "Mouse"], ImageMargins -> {{5, 3}, {4, 5}}]]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{158., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{158., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7716069415603724`*^9, 3.7716272157518883`*^9, 
  3.771670884245282*^9, 3.77167099016676*^9, 3.771671040551569*^9, 
  3.7716718031939774`*^9, 3.7716858611797256`*^9, 3.771700209143613*^9, 
  3.771761082822463*^9, 3.8244627616890697`*^9, 3.82446312772224*^9, 
  3.82446328292293*^9, 3.881831353925395*^9, 3.899461891803217*^9},
 CellLabel->"Out[77]=",
 CellID->691627382,ExpressionUUID->"4dae5109-e6bb-471e-a635-1b36aba00fec"]
}, Open  ]],

Cell[TextData[{
 "Fortunately, this issue happens often enough that there\[CloseCurlyQuote]s \
a built-in fix: the ",
 Cell[BoxData[
 "\"\<FillRows\>\""], "InlineCodeText",ExpressionUUID->
  "58287cb3-4c40-4061-9000-f93ab9e66eff"],
 " option. It creates an inner key of an empty string to regularize the \
dimensions of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and permits a more attractive presentation."
}], "Text",
 CellChangeTimes->{{3.771606950317848*^9, 3.771606954447394*^9}, {
   3.7716069984209213`*^9, 3.771607052095215*^9}, {3.771627254124469*^9, 
   3.771627305825076*^9}, {3.771671079073217*^9, 3.771671091197803*^9}, {
   3.771685868897613*^9, 3.7716858734595423`*^9}, {3.8130574014091845`*^9, 
   3.8130574075119305`*^9}, 3.8699176606676207`*^9, 3.873471103885515*^9},
 CellTags->"i:29",
 CellID->942677375,ExpressionUUID->"040c02cc-7845-4d55-870c-3483d99d43b9"],

Cell[TextData[{
 "Use the ",
 Cell[BoxData[
 "\"\<FillRows\>\""], "InlineCode",ExpressionUUID->
  "91915e2a-a35f-4203-82a5-be13f576a8c9"],
 " option to regularize the dimensions of the CSV file being imported:"
}], "CodeText",
 CellChangeTimes->{{3.771955160472274*^9, 3.7719551777077*^9}, 
   3.8121239042646303`*^9, {3.8130574166957755`*^9, 3.8130574227390575`*^9}, {
   3.877434724217042*^9, 3.8774347272350397`*^9}},
 CellID->102601048,ExpressionUUID->"e88b2c5f-fbf7-4b9d-af9d-fd61f576782f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"repairedCSVImport", "=", 
  RowBox[{"Import", "[", 
   RowBox[{"raggedCSVFile", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<CSV\>\"", ",", "\"\<Dataset\>\""}], "}"}], ",", 
    RowBox[{"\"\<FillRows\>\"", "\[Rule]", "True"}], ",", 
    RowBox[{"HeaderLines", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7716070273650513`*^9, 3.7716070414191723`*^9}, {
  3.771607115238645*^9, 3.7716071197883368`*^9}, {3.771761086179844*^9, 
  3.771761091417836*^9}},
 CellLabel->"In[78]:=",
 CellID->1591777706,ExpressionUUID->"e21e38c3-a7df-4da2-aec5-5269d27d3073"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> "True",
         "" -> ""|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> "False", 
        "" -> ""|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> "False", 
        "" -> "extra"|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "female", "survived" -> "True",
         "" -> ""|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        "False", "" -> ""|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, ""} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5], "" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 5, {All}]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived", ""}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["", "extra"]]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, ""} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5], "" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 5, {All}]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived", ""}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["", "extra"]]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 5, "DataRowCount" -> 
     5, "DataColumnCount" -> 5, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["", 
                  Style[
                  "", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, ""}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{All, ""}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{1, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{2, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["extra", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{3, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["47"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{4, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "30cd5033-7461-4824-9e46-7f38d92d09f6"]][{5, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{277., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{277., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7716070419162416`*^9, 3.771607120084216*^9, 
  3.7716272214156523`*^9, 3.771670889430779*^9, 3.771670992618445*^9, 
  3.771671043668998*^9, 3.771671803299308*^9, 3.771685876342596*^9, 
  3.7717002158824377`*^9, 3.7717610922779207`*^9, 3.824463003647224*^9, 
  3.824463132134789*^9, 3.8244632863939238`*^9, 3.8818314016930637`*^9, 
  3.8994619176351852`*^9},
 CellLabel->"Out[78]=",
 CellID->1750236376,ExpressionUUID->"8163d40b-8918-41e6-9da2-9bd61cdec18b"]
}, Open  ]],

Cell[TextData[{
 "Now we have something respectable. I can use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to transform the result into something palatable. I might, for example, \
want to drop the final column. "
}], "Text",
 CellChangeTimes->{{3.7716070550189037`*^9, 3.7716071073350973`*^9}, 
   3.771607383931593*^9, {3.8130574624892874`*^9, 3.8130574679100294`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1423444848,ExpressionUUID->"51d6b407-2361-49c2-b3c0-501d74713401"],

Cell[TextData[{
 "Drop the last column of a CSV file imported as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.771955198177784*^9, 3.771955218466778*^9}, 
   3.812123931945178*^9, 3.873471140979499*^9},
 CellTags->"p: 310",
 CellID->1966032438,ExpressionUUID->"f616b254-e0e6-47cb-82dc-12952b629208"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"lastKey", "=", 
     RowBox[{"Last", "[", 
      RowBox[{"Keys", "[", 
       RowBox[{"repairedCSVImport", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", 
      RowBox[{"KeyDrop", "[", "lastKey", "]"}]}], "]"}], "[", 
    "repairedCSVImport", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771607123172044*^9, 3.7716071556354923`*^9}, {
   3.7716073508887587`*^9, 3.771607370038446*^9}, {3.771627242945013*^9, 
   3.771627243332453*^9}, 3.771671053574316*^9, {3.7716858863596897`*^9, 
   3.7716859138101807`*^9}},
 CellLabel->"In[79]:=",
 CellID->869732756,ExpressionUUID->"8f1b2fa5-cccf-4040-ad4f-2473e57eb921"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        "True"|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        "False"|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> 
        "False"|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "female", "survived" -> 
        "True"|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        "False"|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["47"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "906f3de9-d9f0-41fd-b307-e4bbea038f03"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{216., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{216., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.771607370498197*^9, {3.77162722517194*^9, 3.771627243944298*^9}, 
   3.771627311733548*^9, 3.771671054180585*^9, 3.771671803390115*^9, 
   3.771685914199999*^9, 3.7717003179048367`*^9, 3.7717610953838997`*^9, 
   3.824463021714272*^9, 3.8244632918306093`*^9, 3.881831433517646*^9, 
   3.899461932676278*^9},
 CellLabel->"Out[79]=",
 CellID->1728611208,ExpressionUUID->"8b6921de-2a4c-41b5-9db8-db7920218307"]
}, Open  ]],

Cell[TextData[{
 "Or I might want to assume that the empty values in the last column should \
be represented by ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCodeText",ExpressionUUID->
  "d82716bf-98e9-4c60-819e-6e7f9d3b0371"],
 ", which will appear as \[OpenCurlyDoubleQuote]\[LongDash]\
\[CloseCurlyDoubleQuote] in the table."
}], "Text",
 CellChangeTimes->{{3.771607386428053*^9, 3.771607410125053*^9}, {
   3.771671101000966*^9, 3.7716711204864798`*^9}, {3.771671251246111*^9, 
   3.771671252446438*^9}, 3.77167129876418*^9, 3.8130575139054813`*^9, {
   3.8237892802081723`*^9, 3.823789328087473*^9}, {3.8699176757165318`*^9, 
   3.86991767575259*^9}, {3.8734732570745687`*^9, 3.873473261913384*^9}, {
   3.877434780020985*^9, 3.8774348636547203`*^9}, {3.8860033773964634`*^9, 
   3.886003381674969*^9}, 3.898256150636526*^9},
 FontTracking->0.2,
 CellID->2147269110,ExpressionUUID->"eafbffe3-916d-4309-ac88-a16f57027459"],

Cell[TextData[{
 "Represent empty fields as ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCode",ExpressionUUID->
  "e603b5a3-3db1-4ad9-8dd5-9b610c7c97b6"],
 " in a CSV file imported as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.771955223907712*^9, 3.771955248121656*^9}, 
   3.8121038326396008`*^9, 3.8121239396411357`*^9, {3.813057488225032*^9, 
   3.8130575074756365`*^9}, 3.873473290316687*^9, 3.873536740655849*^9, {
   3.8774350454014482`*^9, 3.8774350622094755`*^9}, 3.898172703680608*^9, {
   3.898256180558359*^9, 3.898256183070352*^9}},
 CellID->2142773938,ExpressionUUID->"848a8e0d-0309-4f3f-b468-192ca97ddb24"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"lastKey", "=", 
     RowBox[{"Last", "[", 
      RowBox[{"Keys", "[", 
       RowBox[{"repairedCSVImport", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", 
      RowBox[{"MapAt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "/.", 
          RowBox[{"\"\<\>\"", "\[RuleDelayed]", 
           RowBox[{"Missing", "[", "]"}]}]}], "&"}], ",", 
        RowBox[{"{", "lastKey", "}"}]}], "]"}]}], "]"}], "[", 
    "repairedCSVImport", "]"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.771607412791765*^9, 3.771607471035275*^9}, {
   3.771627245926474*^9, 3.771627246298168*^9}, 3.7716710655820007`*^9, {
   3.771671126333997*^9, 3.77167117156931*^9}, {3.771671265160678*^9, 
   3.7716713097607803`*^9}, {3.771685925061141*^9, 3.7716859326554317`*^9}},
 CellLabel->"In[80]:=",
 CellID->689243935,ExpressionUUID->"a85728ac-e3df-4b5a-939a-657c925f1b7c"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> "True",
         "" -> Missing[]|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> "False", 
        "" -> Missing[]|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> "False", 
        "" -> "extra"|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "female", "survived" -> "True",
         "" -> Missing[]|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        "False", "" -> Missing[]|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, ""} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5], "" -> 
            TypeSystem`PackageScope`AtomShape[56.00000000000001]|>], 
          DirectedInfinity[1], 5, {All}]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived", ""}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]], 
         TypeSystem`Atom[String]}], 5], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, ""} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[52.5], "" -> 
            TypeSystem`PackageScope`AtomShape[56.00000000000001]|>], 
          DirectedInfinity[1], 5, {All}]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived", ""}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]], 
         TypeSystem`Atom[String]}], 5], "Path" -> {}, "DisplayedRowCount" -> 
     5, "DisplayedColumnCount" -> 5, "DataRowCount" -> 5, "DataColumnCount" -> 
     5, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["", 
                  Style[
                  "", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, ""}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{All, ""}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{1, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{2, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["extra", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{3, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["47"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{4, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "069dba0e-33eb-4f80-ace0-4b4064ed5f55"]][{5, 
                 Key[""]}, "Item", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{280., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{280., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.771607455187052*^9, 3.7716074717216053`*^9}, {
   3.7716272273853416`*^9, 3.771627246842792*^9}, 3.771627314781041*^9, 
   3.771671066211113*^9, {3.771671165469283*^9, 3.771671172003707*^9}, {
   3.771671267048067*^9, 3.7716713100766163`*^9}, 3.7716718035002327`*^9, 
   3.771685932964396*^9, 3.771700323125939*^9, 3.771761097737053*^9, 
   3.8818314464880667`*^9, 3.899461946437256*^9},
 CellLabel->"Out[80]=",
 CellID->1655249468,ExpressionUUID->"3c79e4b7-9320-4b04-9a7f-61e95c6f5281"]
}, Open  ]],

Cell[TextData[{
 "One final issue with CSV: interpretation. If you look carefully at the ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCodeText",ExpressionUUID->
  "bbb2f11b-1fd8-4576-b2d7-d5269cf18153"],
 " one could import out of a CSV file, you will notice that both ",
 Cell[BoxData[
 "\"\<Data\>\""], "InlineCodeText",ExpressionUUID->
  "47bf4640-02f1-4a9c-a3db-af3671a25cc1"],
 " and ",
 Cell[BoxData[
 "\"\<RawData\>\""], "InlineCodeText",ExpressionUUID->
  "18a8a0db-52c7-4f5f-8d32-101732ddd869"],
 " are present. By default, when one imports without an element \
specification, one gets ",
 Cell[BoxData[
 "\"\<Data\>\""], "InlineCodeText",ExpressionUUID->
  "381bb715-6258-495d-9d31-5b6b072c1d3f"],
 ". In this format, the CSV importer is making some guesses as to what \
representation of the data is preferred once it leaves its life as a string \
and enters life as a Wolfram Language expression. Thus, when I imported the ",
 StyleBox["dinghy", "InlineCodeText"],
 " information, it assumed that the string ",
 Cell[BoxData[
 "\"\<16\>\""], "InlineCodeText",ExpressionUUID->
  "a28918a3-faae-4d1f-8193-362154af3b36"],
 " actually meant the number 16. I\[CloseCurlyQuote]ve found that, usually, \
the importer gets it right, but if you want the importer not to engage in \
interpretation, use ",
 Cell[BoxData[
 "\"\<RawData\>\""], "InlineCodeText",ExpressionUUID->
  "a3eeda93-503e-4a6c-98f6-bbef1a331a53"],
 " instead. I show this in the next example by using a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " as the second argument to the ",
 ButtonBox["ImportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ImportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ImportString.html"],
 " function and letting ",
 Cell[BoxData[
 "\"\<RawData\>\""], "InlineCodeText",ExpressionUUID->
  "7078747e-e851-46dc-b508-c65e278ad5cf"],
 " be the second element. You can see that the \[OpenCurlyDoubleQuote]numbers\
\[CloseCurlyDoubleQuote] in the original data are represented as strings."
}], "Text",
 CellChangeTimes->{3.8859896077895045`*^9},
 CellTags->{"LastCellOfAPage", "i:30"},
 CellID->578075784,ExpressionUUID->"a32e0389-c57f-4f5e-991b-d57fd0e84cf8"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " a CSV file as ",
 Cell[BoxData[
 "\"\<RawData\>\""], "InlineCode",ExpressionUUID->
  "30c78f0d-2191-45f4-bfab-aa004bd410d1"],
 " to avoid the interpretation of strings that are numbers as numbers:"
}], "CodeText",
 CellChangeTimes->{{3.771955411920423*^9, 3.77195543834727*^9}, 
   3.812123948208811*^9, {3.8130576511163836`*^9, 3.8130576513242617`*^9}, {
   3.869917704404036*^9, 3.869917707602545*^9}, {3.873473421522784*^9, 
   3.8734734355937233`*^9}, 3.877440813378009*^9, {3.885990410787504*^9, 
   3.8859904260464926`*^9}},
 CellTags->"p: 311",
 CellID->483371052,ExpressionUUID->"92e6ef01-4d4d-42bd-943f-2aad3185a1f4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"csvFile", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<CSV\>\"", ",", "\"\<RawData\>\""}], "}"}]}], "]"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771747015568411*^9, 3.771747033892466*^9}, {
   3.771761106492833*^9, 3.771761112545107*^9}, 3.824223962411106*^9, 
   3.87450565692794*^9},
 CellLabel->"In[81]:=",
 CellID->799261460,ExpressionUUID->"fb6f3441-1c58-4af9-8d60-a8e60a7d543e"],

Cell[BoxData[
 StyleBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<class\>\"", ",", "\"\<age\>\"", ",", "\"\<sex\>\"", ",", 
      "\"\<survived\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<3rd\>\"", ",", "\"\<16\>\"", ",", "\"\<female\>\"", ",", 
      "\"\<True\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<1st\>\"", ",", "\"\<65\>\"", ",", "\"\<male\>\"", ",", 
      "\"\<False\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<3rd\>\"", ",", "\"\<2\>\"", ",", "\"\<female\>\"", ",", 
      "\"\<False\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<3rd\>\"", ",", "\"\<Missing[]\>\"", ",", "\"\<female\>\"", ",", 
      "\"\<True\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<3rd\>\"", ",", "\"\<18\>\"", ",", "\"\<female\>\"", ",", 
      "\"\<False\>\""}], "}"}]}], "}"}],
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{
  3.7717470359557543`*^9, 3.771761113044405*^9, {3.88183146220159*^9, 
   3.881831476742569*^9}, 3.8994620140561*^9},
 CellLabel->"Out[81]=",
 CellID->1248326535,ExpressionUUID->"1b587840-ed0f-4978-9a7e-17405801860e"]
}, Open  ]],

Cell[TextData[{
 "There are certain other guesses the CSV importer may make when importing \
from a file or string. If you don\[CloseCurlyQuote]t want those guesses to be \
made, ",
 Cell[BoxData[
 "\"\<RawData\>\""], "InlineCodeText",ExpressionUUID->
  "b3dfc1bb-0e81-4ddb-84ba-4f91139da981"],
 " is your friend."
}], "Text",
 CellChangeTimes->{{3.771747091514916*^9, 3.771747132659568*^9}, 
   3.813074990176875*^9},
 CellID->1099219642,ExpressionUUID->"dc537ae6-aab1-4673-a04b-8fa9e2e7b162"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Using the Excel (XLS, XLSX) Format", "Subsection",
 CellChangeTimes->{{3.771598398641345*^9, 3.771598409762274*^9}, {
  3.823350384806526*^9, 3.823350395255933*^9}},
 CellID->381401677,ExpressionUUID->"e0e7b9b1-0d12-4d96-a0c0-2121eaede157"],

Cell[TextData[{
 "A lot of data in the world is contained in Microsoft Excel spreadsheets. \
Fortunately, the Wolfram Language is great at importing these and the code is \
similar to that used for importing CSV format files. The main difference is \
that Excel spreadsheets can have multiple sheets. Here, I ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " the same data structure I used for CSV export but this time convert it to \
the XLSX format used in modern times by Excel. I could also ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " to XLS, the earlier format used and that may possibly be needed by some \
legacy systems."
}], "Text",
 CellChangeTimes->{{3.771607651917411*^9, 3.771607709330448*^9}, 
   3.771671323708665*^9, {3.7716715436478*^9, 3.771671584639577*^9}, {
   3.7716859605028973`*^9, 3.771685984075934*^9}, {3.771686016762456*^9, 
   3.7716860242156153`*^9}, {3.7717003413594303`*^9, 
   3.7717003555382853`*^9}, {3.771761126952976*^9, 3.771761133728496*^9}, 
   3.8121038366408443`*^9, {3.813075031417782*^9, 3.813075031871966*^9}, {
   3.869917751822177*^9, 3.869917753670609*^9}, {3.8774418991040225`*^9, 
   3.8774419209255533`*^9}},
 CellTags->"i:31",
 CellID->268914355,ExpressionUUID->"908b9684-2705-4e3b-8804-fa293808c712"],

Cell[TextData[{
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists to XLSX (the Microsoft Excel format):"
}], "CodeText",
 CellChangeTimes->{{3.771955454872425*^9, 3.7719554837528753`*^9}, 
   3.812123956809458*^9, 3.873473542175192*^9, 3.8774419417353907`*^9},
 CellID->640440847,ExpressionUUID->"ca064135-8807-44d7-ad77-92fdf0b6b148"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xlsxFile", "=", 
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<file.xlsx\>\"", ",", "dinghyValuesWithHeader", ",", "\"\<XLSX\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.77167132626287*^9, 3.771671327769429*^9}, {
  3.7716713663248987`*^9, 3.771671505864582*^9}, {3.771671734015524*^9, 
  3.771671735780035*^9}, {3.771671807124571*^9, 3.771671807573691*^9}, {
  3.771761136712122*^9, 3.771761170369734*^9}, {3.899462080358724*^9, 
  3.899462086450251*^9}},
 CellLabel->"In[82]:=",
 CellID->116282059,ExpressionUUID->"bbe8893a-f72c-4f11-95b2-c96a949473f6"],

Cell[BoxData["\<\"file.xlsx\"\>"], "Output",
 CellChangeTimes->{{3.771671372282606*^9, 3.771671386035693*^9}, {
   3.771671432328601*^9, 3.7716715062238503`*^9}, 3.771671742389366*^9, 
   3.771671808257799*^9, 3.77168602773787*^9, 3.771700362979184*^9, 
   3.771748893999753*^9, {3.771761154697289*^9, 3.771761170822475*^9}, 
   3.824826510747724*^9, 3.881831487907619*^9, 3.899462088243918*^9},
 CellLabel->"Out[82]=",
 CellID->988468046,ExpressionUUID->"815df9c6-aaf8-4a06-8120-ad774242b452"]
}, Open  ]],

Cell["Notice what happens when I read it back, however.", "Text",
 CellChangeTimes->{{3.771671588600308*^9, 3.7716716073879642`*^9}, 
   3.771761160637661*^9},
 CellID->1605240024,ExpressionUUID->"89c1bf98-033b-4736-9013-287d32b7a2d2"],

Cell["XLSX files are Lists of Lists of Lists when imported:", "CodeText",
 CellChangeTimes->{{3.7719554934698973`*^9, 3.7719555276290092`*^9}, 
   3.81212396359299*^9},
 CellID->944940178,ExpressionUUID->"aedbfda6-3353-413a-b3d0-c5f3ae4c74f8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"xlsxFile", ",", "\"\<XLSX\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.7716715240078173`*^9, 3.771671537896915*^9}, {
  3.771671610761755*^9, 3.771671611535922*^9}, {3.7717611630937366`*^9, 
  3.771761176006929*^9}},
 CellLabel->"In[83]:=",
 CellID->658921765,ExpressionUUID->"c6de39b9-cbb5-4173-99d4-41b189f05b96"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"class\"\>", ",", "\<\"age\"\>", ",", "\<\"sex\"\>", 
      ",", "\<\"survived\"\>"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "16.`", ",", "\<\"female\"\>", ",", "True"}],
      "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"1st\"\>", ",", "65.`", ",", "\<\"male\"\>", ",", "False"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "2.`", ",", "\<\"female\"\>", ",", "False"}],
      "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "\<\"\"\>", ",", "\<\"female\"\>", ",", 
      "True"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "18.`", ",", "\<\"female\"\>", ",", 
      "False"}], "}"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.7716715326747837`*^9, 3.771671538720757*^9}, 
   3.771671612042097*^9, 3.771671744982079*^9, 3.77167181027393*^9, 
   3.77168603030042*^9, 3.7717003651565866`*^9, 3.771748894161138*^9, 
   3.77176117644674*^9, 3.8248265225627737`*^9, 3.8818315208398647`*^9, 
   3.8994620962845383`*^9},
 CellLabel->"Out[83]=",
 CellID->810299106,ExpressionUUID->"2a68dffa-b9bc-465c-a316-1a3c29f02b04"]
}, Open  ]],

Cell[TextData[{
 "Instead of it being the original ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists, it\[CloseCurlyQuote]s nested one more level deep: a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists of Lists. That\[CloseCurlyQuote]s because the importer assumes \
the material could just be the first sheet of a potentially multisheet Excel \
file. Here\[CloseCurlyQuote]s an ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " that takes advantage of this multisheet capability of Excel. I ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " the dinghy information as the first sheet and the cabin information as the \
second sheet, ",
 "giving names to each sheet. "
}], "Text",
 CellChangeTimes->{{3.771671613937581*^9, 3.771671662551816*^9}, {
   3.7716720445785713`*^9, 3.7716720854124813`*^9}, {3.771686036010172*^9, 
   3.771686068854273*^9}, {3.7717003807740097`*^9, 3.77170042385385*^9}, 
   3.7717612292277813`*^9, 3.813075071735711*^9, 3.8130756015048647`*^9, {
   3.8130757300184546`*^9, 3.8130757307460337`*^9}, 3.8233504449677796`*^9, {
   3.8734735637908297`*^9, 3.8734735937161093`*^9}, 3.899462170716526*^9},
 CellID->1867144597,ExpressionUUID->"4fd14a91-5d34-45fa-84c0-47c833273757"],

Cell[TextData[{
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists of Lists as a multisheet Excel file:"
}], "CodeText",
 CellChangeTimes->{{3.771955534158804*^9, 3.771955550913568*^9}, 
   3.812123972680163*^9, {3.8130756699538994`*^9, 3.8130756707045436`*^9}, 
   3.813075740705227*^9, 3.873473617119486*^9, 3.877442046946145*^9},
 CellID->2007326438,ExpressionUUID->"0693a488-9353-483e-9ab2-a039c993b31d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cabinValues", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<1st\>\"", ",", "300", ",", "True", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<2nd\>\"", ",", "200", ",", "True", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<3rd\>\"", ",", "100", ",", "False", ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "5", ",", "6"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<crew\>\"", ",", "80", ",", "False", ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", "7"}], "}"}]}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.771745621719042*^9, 3.771745632185219*^9}},
 CellLabel->"In[127]:=",
 CellID->946026136,ExpressionUUID->"11d6c4f6-4aa2-4652-a65c-507c7f5fc67b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{"xlsxFile2", "=", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<file2.xlsx\>\"", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<dinghy\>\"", "->", "dinghyValuesWithHeader"}], ",", 
       RowBox[{"\"\<cabins\>\"", "\[Rule]", "cabinValues"}]}], "}"}], ",", 
     "\"\<XLSX\>\""}], "]"}]}], ")"}]], "Input",
 CellChangeTimes->{{3.77167132626287*^9, 3.771671327769429*^9}, {
   3.7716713663248987`*^9, 3.771671505864582*^9}, 3.771671705434183*^9, {
   3.771671752285101*^9, 3.771671759942978*^9}, {3.7716718134240522`*^9, 
   3.7716718258152018`*^9}, {3.771671958343865*^9, 3.7716720311919603`*^9}, {
   3.771672382599209*^9, 3.7716723892461033`*^9}, {3.771700399802916*^9, 
   3.771700414303035*^9}, {3.771745637861713*^9, 3.7717456422905693`*^9}, {
   3.771761205918148*^9, 3.771761222994272*^9}, {3.899462157256731*^9, 
   3.8994621613462543`*^9}, 3.8994649005480537`*^9},
 CellLabel->"In[128]:=",
 CellID->821783225,ExpressionUUID->"d32912c8-dbe9-45e3-a042-e9314d2da077"],

Cell[BoxData["\<\"file2.xlsx\"\>"], "Output",
 CellChangeTimes->{
  3.771671978257781*^9, 3.771672032001305*^9, 3.7716720876595573`*^9, 
   3.771672389691944*^9, 3.7716860779708567`*^9, {3.771700401368247*^9, 
   3.771700414711914*^9}, 3.771745644902779*^9, 3.771748894226858*^9, 
   3.771761233965536*^9, 3.771761346651143*^9, 3.8248265930261993`*^9, 
   3.869918806826622*^9, 3.8818315645190353`*^9, 3.899462190202281*^9, 
   3.899464911976695*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[128]=",
 CellID->1593102678,ExpressionUUID->"384ca701-fb87-473a-bd54-ab7884618cb9"]
}, Open  ]],

Cell[TextData[{
 "I can reimport all of the simulated file. Now the fact that the output is a \
",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists of Lists should make more sense. The first part of the imported \
data is the dinghy information; the second part is the cabin information."
}], "Text",
 CellChangeTimes->{{3.7716721230437107`*^9, 3.77167216801224*^9}, {
   3.771700434941234*^9, 3.771700473522773*^9}, 3.813075760745205*^9, {
   3.869918753631756*^9, 3.869918789185761*^9}, 3.873473652932514*^9, {
   3.874747081758881*^9, 3.874747091168334*^9}},
 CellTags->"p: 312",
 CellID->1963981223,ExpressionUUID->"9ff0362e-ccf8-4378-afb7-3f9d02beba7b"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " a multisheet Excel file to get a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists of Lists:"
}], "CodeText",
 CellChangeTimes->{{3.7719555549175777`*^9, 3.771955564761569*^9}, 
   3.812123979986*^9, {3.8130756746408925`*^9, 3.8130756749615965`*^9}, 
   3.8130758032840676`*^9, 3.87347368150939*^9, 3.8774421509780054`*^9},
 CellID->1902601889,ExpressionUUID->"0d1e81af-39e0-4e76-ad8c-743b84e00579"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"xlsxFile2", ",", "\"\<XLSX\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.7716720907584476`*^9, 3.771672118874119*^9}, {
  3.771761237363267*^9, 3.771761243199584*^9}},
 CellLabel->"In[86]:=",
 CellID->2083494852,ExpressionUUID->"6c08a6c4-dff9-4635-b2f4-0a36a5cbd9d0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"class\"\>", ",", "\<\"age\"\>", ",", "\<\"sex\"\>", 
       ",", "\<\"survived\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "16.`", ",", "\<\"female\"\>", ",", 
       "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"1st\"\>", ",", "65.`", ",", "\<\"male\"\>", ",", "False"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "2.`", ",", "\<\"female\"\>", ",", 
       "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "\<\"Missing[]\"\>", ",", "\<\"female\"\>", 
       ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "18.`", ",", "\<\"female\"\>", ",", 
       "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"1st\"\>", ",", "300.`", ",", "True", 
       ",", "\<\"{1, 2}\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"2nd\"\>", ",", "200.`", ",", "True", 
       ",", "\<\"{3, 4}\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "100.`", ",", "False", 
       ",", "\<\"{4, 5, 6}\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"crew\"\>", ",", "80.`", ",", "False", 
       ",", "\<\"{6, 7}\"\>"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.771672101568861*^9, 3.771672119402047*^9}, 
   3.771672391981619*^9, 3.7716860811827087`*^9, 3.7717004760580378`*^9, 
   3.7717456503815804`*^9, 3.771748894283782*^9, 3.771761243672076*^9, 
   3.771761346755597*^9, 3.8248266829669113`*^9, {3.869918802902749*^9, 
   3.8699188092242002`*^9}, 3.8818315873222313`*^9, 3.8994622134045057`*^9},
 CellLabel->"Out[86]=",
 CellID->572818755,ExpressionUUID->"26904a91-64e5-475b-9edd-2d51618c552e"]
}, Open  ]],

Cell[TextData[{
 "I can also choose to discover what information I can get about an Excel \
file. Much of it is the same as for CSV, but there is more information, such \
as the ",
 Cell[BoxData[
 "\"\<Formulas\>\""], "InlineCodeText",ExpressionUUID->
  "c42105ae-940e-4e92-af1e-33ab4b6eebe2"],
 " and ",
 Cell[BoxData[
 "\"\<Sheets\>\""], "InlineCodeText",ExpressionUUID->
  "20785a85-cf0e-45e4-ac98-3d9a6157703b"],
 ", that is included."
}], "Text",
 CellChangeTimes->{{3.7716721699552097`*^9, 3.771672213393786*^9}, {
  3.7716722579655848`*^9, 3.7716722919367313`*^9}, {3.8130758198564606`*^9, 
  3.8130758230163784`*^9}, {3.813075988561326*^9, 3.8130760157038345`*^9}, {
  3.813076386066822*^9, 3.8130764065376596`*^9}, {3.8130766364502172`*^9, 
  3.813076643370248*^9}},
 CellID->620138834,ExpressionUUID->"0a21444b-0f62-4a86-a0b9-abb9287e4e17"],

Cell[TextData[{
 "XLSX files have ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCode",ExpressionUUID->
  "d0e6bebf-5d41-4909-92aa-3c59206b75b3"],
 " including ",
 Cell[BoxData[
 "\"\<Formulas\>\""], "InlineCode",ExpressionUUID->
  "c450544f-723d-46d9-9b48-f88f0a2b15e1"],
 " and ",
 Cell[BoxData[
 "\"\<Sheets\>\""], "InlineCode",ExpressionUUID->
  "3a771026-9e4d-4a36-9304-7a3d380cb202"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.771955570173752*^9, 3.7719555820934687`*^9}, 
   3.8121239883448076`*^9, {3.813076701717874*^9, 3.8130767211704473`*^9}, {
   3.8747517185293493`*^9, 3.874751721512719*^9}},
 CellID->1091577964,ExpressionUUID->"da3e5552-bae5-48ae-bea7-383c921a7121"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"xlsxFile2", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<XLSX\>\"", ",", "\"\<Elements\>\""}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.771672235991816*^9, 3.7716722429480352`*^9}, {
  3.771761248495615*^9, 3.771761253442136*^9}},
 CellLabel->"In[87]:=",
 CellID->1404193803,ExpressionUUID->"7ea180d7-90f9-482a-80ce-6dc127dc100a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Data\"\>", ",", "\<\"Dataset\"\>", ",", "\<\"Dimensions\"\>", 
   ",", "\<\"FormattedData\"\>", ",", "\<\"Formulas\"\>", 
   ",", "\<\"Images\"\>", ",", "\<\"SheetCount\"\>", ",", "\<\"Sheets\"\>", 
   ",", "\<\"Summary\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.771672243539216*^9, 3.7716723936650877`*^9, 
  3.771686086303965*^9, 3.771700486666388*^9, 3.77174889429672*^9, 
  3.771761254013064*^9, 3.771761346767749*^9, 3.82482670407793*^9, 
  3.881831608123207*^9, 3.899462231586761*^9},
 CellLabel->"Out[87]=",
 CellID->1999592462,ExpressionUUID->"37b078e6-f892-459f-a92e-c88f80eba002"]
}, Open  ]],

Cell["Thus, I can do something like this.", "Text",
 CellChangeTimes->{{3.771672293614161*^9, 3.771672299475943*^9}, {
  3.771686090582775*^9, 3.771686091682328*^9}},
 CellID->398877735,ExpressionUUID->"2921f386-afa9-4ec0-bd78-c61e5a2a08e8"],

Cell["Get the name of the sheets in an Excel file:", "CodeText",
 CellChangeTimes->{{3.771955585411797*^9, 3.771955594804044*^9}, 
   3.8121239973769455`*^9},
 CellID->1390788054,ExpressionUUID->"672a443c-9bcd-4b2a-b787-5a15b121ab8a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"xlsxFile2", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<XLSX\>\"", ",", "\"\<Sheets\>\""}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7716721833398533`*^9, 3.77167218994696*^9}, {
  3.7716723014687243`*^9, 3.7716723081454363`*^9}, {3.7717612560543337`*^9, 
  3.771761260534094*^9}},
 CellLabel->"In[88]:=",
 CellID->1759272315,ExpressionUUID->"4dbc025e-06f2-4e5f-9876-bfc7c807f5a8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"dinghy\"\>", ",", "\<\"cabins\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.771672308506895*^9, 3.771672395710785*^9, 
  3.7716860934990263`*^9, 3.771700488480719*^9, 3.771748894343288*^9, 
  3.771761261069955*^9, 3.77176134681425*^9, 3.824826711428611*^9, 
  3.881831646659643*^9, 3.899462235932106*^9},
 CellLabel->"Out[88]=",
 CellID->1091500944,ExpressionUUID->"5ad2c61e-2d01-45f0-9728-e01bab874eee"]
}, Open  ]],

Cell[TextData[{
 "Then I could choose just to import the dinghy sheet by making the last \
argument a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " in which ",
 Cell[BoxData[
 "\"\<XLSX\>\""], "InlineCodeText",ExpressionUUID->
  "686ef7b1-3f06-4aac-914f-e139cbe0c12e"],
 " is the first element (specifying format), ",
 Cell[BoxData[
 "\"\<Sheets\>\""], "InlineCodeText",ExpressionUUID->
  "ed4e84df-4173-44fe-8c21-1e43df09a2e0"],
 " is the second element (specifying the element to be Imported), and ",
 Cell[BoxData[
 "\"\<dinghy\>\""], "InlineCodeText",ExpressionUUID->
  "1bce9d91-c0c9-4f00-85c1-2fd14b411097"],
 " is the third argument, specifying which particular sheet I want to ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.771672310607175*^9, 3.771672320318077*^9}, {
  3.771672351932083*^9, 3.771672369206881*^9}, {3.771700493926573*^9, 
  3.77170051442054*^9}, {3.7717489146745*^9, 3.771748979598817*^9}, {
  3.813076945888015*^9, 3.8130769878192496`*^9}, {3.873473764519001*^9, 
  3.87347378710716*^9}, {3.881410032073214*^9, 3.881410040195263*^9}},
 CellID->1926978945,ExpressionUUID->"aee3b421-9721-4218-8a16-532992de4b32"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " just certain sheets from an Excel file:"
}], "CodeText",
 CellChangeTimes->{{3.771955599259124*^9, 3.771955606660095*^9}, 
   3.8121240047192316`*^9, 3.873473793613697*^9},
 CellID->766119788,ExpressionUUID->"50acf685-15da-4790-9580-c1ed8d966b3e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"xlsxFile2", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<XLSX\>\"", ",", "\"\<Sheets\>\"", ",", "\"\<dinghy\>\""}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771672323084673*^9, 3.7716723728909283`*^9}, {
  3.7717488993356943`*^9, 3.77174890280754*^9}, {3.771761263715664*^9, 
  3.771761270550844*^9}},
 CellLabel->"In[89]:=",
 CellID->588155847,ExpressionUUID->"4876cce0-09a7-4a51-b791-4ef2ea9ad644"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"class\"\>", ",", "\<\"age\"\>", ",", "\<\"sex\"\>", 
     ",", "\<\"survived\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "16.`", ",", "\<\"female\"\>", ",", "True"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"1st\"\>", ",", "65.`", ",", "\<\"male\"\>", ",", "False"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "2.`", ",", "\<\"female\"\>", ",", "False"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "\<\"Missing[]\"\>", ",", "\<\"female\"\>", 
     ",", "True"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "18.`", ",", "\<\"female\"\>", ",", "False"}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.77167233186231*^9, 3.7716723979948673`*^9}, 
   3.771686095792839*^9, {3.771700490493088*^9, 3.771700516493648*^9}, {
   3.771748881312193*^9, 3.771748903525689*^9}, 3.771761272864609*^9, 
   3.771761352209673*^9, 3.8248267412712183`*^9, 3.881831653311483*^9, 
   3.899462257891055*^9},
 CellLabel->"Out[89]=",
 CellID->1003525378,ExpressionUUID->"4c68c9b1-2bcb-47ad-84a4-7bb13927b994"]
}, Open  ]],

Cell["\<\
I could also ask for just the data without the header line by adding an \
option.\
\>", "Text",
 CellChangeTimes->{{3.771672401345849*^9, 3.7716724267274*^9}},
 CellID->1863621969,ExpressionUUID->"853955b4-19cc-4a6b-abf4-4650293f388e"],

Cell["Tell the XLSX importer that the data has a header line:", "CodeText",
 CellChangeTimes->{{3.771955629312841*^9, 3.771955642438373*^9}, 
   3.812124010976478*^9},
 CellID->698380832,ExpressionUUID->"f2d83ded-ae88-4292-9971-23292dc4f03a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"xlsxFile2", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<XLSX\>\"", ",", "\"\<Sheets\>\"", ",", "\"\<dinghy\>\""}], 
    "}"}], ",", 
   RowBox[{"HeaderLines", "\[Rule]", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771672435964155*^9, 3.771672439324332*^9}, {
  3.771749021910034*^9, 3.771749025557527*^9}, {3.771761325083737*^9, 
  3.7717613270705767`*^9}, {3.771761374839118*^9, 3.771761385084631*^9}, {
  3.77176142367037*^9, 3.7717614337546186`*^9}, {3.771761531350115*^9, 
  3.7717615394351*^9}},
 CellLabel->"In[90]:=",
 CellID->827430808,ExpressionUUID->"e1838c33-01de-4e97-b6f7-1a2c40248b4c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "16.`", ",", "\<\"female\"\>", ",", "True"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"1st\"\>", ",", "65.`", ",", "\<\"male\"\>", ",", "False"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "2.`", ",", "\<\"female\"\>", ",", "False"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "\<\"Missing[]\"\>", ",", "\<\"female\"\>", 
     ",", "True"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "18.`", ",", "\<\"female\"\>", ",", "False"}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7716724398984203`*^9, 3.7716860993224573`*^9, 3.77170051941335*^9, 
   3.771749026106537*^9, 3.771761327705361*^9, {3.7717613671599703`*^9, 
   3.771761385790298*^9}, 3.771761434573141*^9, 3.7717615400370827`*^9, 
   3.824826754833962*^9, 3.881831685417049*^9, 3.899462269638852*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[90]=",
 CellID->1233906542,ExpressionUUID->"c06cb91e-6915-4c45-bc38-218b734ac11c"]
}, Open  ]],

Cell["\<\
Once I have the XLSX material imported, I can turn it into data structures \
the same way as shown with CSV files.\
\>", "Text",
 CellChangeTimes->{{3.771673042279964*^9, 3.771673067228013*^9}, {
  3.813077078964671*^9, 3.8130770791370845`*^9}, {3.885993178254651*^9, 
  3.885993183808548*^9}},
 CellTags->"p: 313",
 CellID->1795458920,ExpressionUUID->"f2aeac06-85d9-4379-98c7-8bbf8bf0bb7d"],

Cell["\<\
Turn imports of multiple sheets from an Excel file into a deeply nested data \
structure:\
\>", "CodeText",
 CellChangeTimes->{{3.771955657335679*^9, 3.7719556714084997`*^9}, 
   3.812124020113407*^9, {3.898256249560134*^9, 3.898256250085596*^9}, {
   3.898334947534466*^9, 3.898334947834292*^9}},
 CellID->10243892,ExpressionUUID->"471dab39-5a4e-4473-b1b0-daa7ff831ac2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Association", "[", 
  RowBox[{
   RowBox[{"\"\<dinghy\>\"", "->", 
    RowBox[{"Import", "[", 
     RowBox[{"xlsxFile2", ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<XLSX\>\"", ",", "\"\<Dataset\>\"", ",", "\"\<dinghy\>\""}], "}"}],
       ",", 
      RowBox[{"HeaderLines", "\[Rule]", "1"}]}], "]"}]}], ",", 
   RowBox[{"\"\<cabin\>\"", "->", 
    RowBox[{"Import", "[", 
     RowBox[{"xlsxFile2", ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<XLSX\>\"", ",", "\"\<Dataset\>\"", ",", "\"\<cabins\>\""}], "}"}],
       ",", 
      RowBox[{"HeaderLines", "\[Rule]", "0"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.77167309531271*^9, 3.771673203180215*^9}, {
  3.771749029487049*^9, 3.771749034959545*^9}, {3.771761466659657*^9, 
  3.771761475892042*^9}, {3.771761544913045*^9, 3.771761549471738*^9}},
 CellLabel->"In[91]:=",
 CellID->190518215,ExpressionUUID->"b6c34fa6-d8d6-49a4-ba28-7c2bfc856d96"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"dinghy\"\>", "\[Rule]", 
    TagBox[
     TagBox[
      DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
       "InitialData" -> {<|
          "class" -> "3rd", "age" -> 16., "sex" -> "female", "survived" -> 
           True|>, <|
          "class" -> "1st", "age" -> 65., "sex" -> "male", "survived" -> 
           False|>, <|
          "class" -> "3rd", "age" -> 2., "sex" -> "female", "survived" -> 
           False|>, <|
          "class" -> "3rd", "age" -> "Missing[]", "sex" -> "female", 
           "survived" -> True|>, <|
          "class" -> "3rd", "age" -> 18., "sex" -> "female", "survived" -> 
           False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
        TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
           1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
          TypeSystem`PackageScope`Limited[
           TypeSystem`PackageScope`ColumnShape[
            TypeSystem`PackageScope`Limited[
             
             TypeSystem`PackageScope`RowShape[<|
              "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
               TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
               TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
               TypeSystem`PackageScope`AtomShape[36]|>], 
             DirectedInfinity[1], 4, {All}]], 5, 
           DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
          TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
            TypeSystem`Atom[
             TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
            TypeSystem`Atom[
             TypeSystem`Enumeration["female", "male"]], 
            TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
        "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
        TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
           1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
          TypeSystem`PackageScope`Limited[
           TypeSystem`PackageScope`ColumnShape[
            TypeSystem`PackageScope`Limited[
             
             TypeSystem`PackageScope`RowShape[<|
              "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
               TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
               TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
               TypeSystem`PackageScope`AtomShape[36]|>], 
             DirectedInfinity[1], 4, {All}]], 5, 
           DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
          TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
            TypeSystem`Atom[
             TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
            TypeSystem`Atom[
             TypeSystem`Enumeration["female", "male"]], 
            TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
        "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
        5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
        "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
           Style[
            Grid[{{
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{All, "class"}, 
                   "ColumnHeader", True], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}], 
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{All, "age"}, 
                   "ColumnHeader", True], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}], 
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["sex", 
                    Style[
                    "sex", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{All, "sex"}, 
                   "ColumnHeader", True], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}], 
               Item[
                Pane[
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{All, "survived"},
                    "ColumnHeader", True], "Mouse"], 
                 ImageSize -> {{1, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
               Item[
                Pane[
                 Annotation["3rd", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{1, 
                    Key["class"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{31.5, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["16.0"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{1, 
                    Key["age"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["female", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{1, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{63., Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["True"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{1, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{36, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation["1st", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{2, 
                    Key["class"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{31.5, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["65.0"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{2, 
                    Key["age"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["male", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{2, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{63., Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["False"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{2, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{36, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation["3rd", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{3, 
                    Key["class"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{31.5, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["2.0"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{3, 
                    Key["age"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["female", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{3, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{63., Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["False"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{3, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{36, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation["3rd", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{4, 
                    Key["class"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{31.5, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["Missing[]", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{4, 
                    Key["age"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["female", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{4, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{63., Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["True"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{4, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{36, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation["3rd", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{5, 
                    Key["class"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{31.5, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["18.0"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{5, 
                    Key["age"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["female", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{5, 
                    Key["sex"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{63., Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["False"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "a35e497a-d6a6-4c60-8e63-51b11f0bc459"]][{5, 
                    Key["survived"]}, "Item", False], "Mouse"], 
                 ImageSize -> {{36, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}}, 
             BaseStyle -> {
              ContextMenu -> 
               Dynamic[
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                 Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                   TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                    True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                   TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
               "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
             Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
             Spacings -> {0, 0}, Alignment -> Left, 
             BaseStyle -> {
              FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
               Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
            NumberMarks -> False, ShowAutoStyles -> False]], 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
        Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
         TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
            Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
            
            Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
              TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
              TypeSystem`NestedGrid`PackagePrivate`datasetData[
               TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
             TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
               Not[
                FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
               TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
            TypeSystem`SparseGrid[
             TypeSystem`H["(data no longer present)"]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
        DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
         TypeSystem`PackageScope`SubViewPathbar[
         TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`updateState[
          TypeSystem`NestedGrid`PackagePrivate`$state$$, 
           TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
        TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
        Framed[
         Dynamic[
          Replace[
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
           TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
              Blank[]] -> "", 
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
              Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
               Blank[]], 
              Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
               Blank[]], 
              Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
               Blank[]]] :> (
             Increment[
              TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
              TypeSystem`NestedGrid`PackagePrivate`path$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
              TypeSystem`NestedGrid`PackagePrivate`pathType$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
              TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
             TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
              TypeSystem`NestedGrid`PackagePrivate`path$, 
               TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
            Spacer[10], Blank[] :> Spacer[10]}], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
         FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
         Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
       DynamicWrapperBox[
        DynamicBox[ToBoxes[
          Dataset`DatasetContent[
          2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
           "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
           "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
           "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
           "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
           "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
           "BottomBar" -> 
           Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], 
           "OutputID" -> Hold[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
          StandardForm],
         ImageSizeCache->{280., {86.8837890625, 94.1162109375}},
         TrackedSymbols:>{
          TypeSystem`NestedGrid`PackagePrivate`$state$$, 
           TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
        MouseAnnotation[],
        ImageSizeCache->{280., {86.8837890625, 94.1162109375}}],
       BaseStyle->{LineBreakWithin -> False},
       DynamicModuleValues:>{},
       Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
        CreateUUID[]),
       UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy,
      DefaultBaseStyle->"Deploy"],
     Dataset`InterpretDataset[1],
     Editable->False,
     SelectWithContents->True,
     Selectable->False]}], ",", 
   RowBox[{"\<\"cabin\"\>", "\[Rule]", 
    TagBox[
     TagBox[
      DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
       "InitialData" -> {{"1st", 300., True, "{1, 2}"}, {
          "2nd", 200., True, "{3, 4}"}, {"3rd", 100., False, "{4, 5, 6}"}, {
          "crew", 80., False, "{6, 7}"}}, "AllowEmbedding" -> True, 
        "InitialShape" -> TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`MatrixShape[4, 4], 4, 4, {All}], 
        "InitialType" -> TypeSystem`Vector[
          TypeSystem`Vector[TypeSystem`AnyType, 4], 4], "Meta" -> <||>, 
        "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
        TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`MatrixShape[4, 4], 4, 4, {All}], "Type" -> 
        TypeSystem`Vector[
          TypeSystem`Vector[TypeSystem`AnyType, 4], 4], "Path" -> {}, 
        "DisplayedRowCount" -> 4, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
        4, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
        "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
           Style[
            Grid[{{
               Item[
                Pane[
                 Annotation["1st", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{1, 1}, "Item", 
                   False], "Mouse"], ImageSize -> {{33.6, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["300.0"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{1, 2}, "Item", 
                   False], "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["True"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{1, 3}, "Item", 
                   False], "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["{1, 2}", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{1, 4}, "Item", 
                   False], "Mouse"], ImageSize -> {{67.2, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation["2nd", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{2, 1}, "Item", 
                   False], "Mouse"], ImageSize -> {{33.6, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["200.0"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{2, 2}, "Item", 
                   False], "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["True"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{2, 3}, "Item", 
                   False], "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["{3, 4}", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{2, 4}, "Item", 
                   False], "Mouse"], ImageSize -> {{67.2, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation["3rd", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{3, 1}, "Item", 
                   False], "Mouse"], ImageSize -> {{33.6, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["100.0"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{3, 2}, "Item", 
                   False], "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["False"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{3, 3}, "Item", 
                   False], "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["{4, 5, 6}", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{3, 4}, "Item", 
                   False], "Mouse"], 
                 ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}, {
               Item[
                Pane[
                 Annotation["crew", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{4, 1}, "Item", 
                   False], "Mouse"], 
                 ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["80.0"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{4, 2}, "Item", 
                   False], "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation[
                  RawBoxes["False"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{4, 3}, "Item", 
                   False], "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}], 
               Item[
                Pane[
                 Annotation["{6, 7}", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "3977d559-cac8-4dda-b44d-2159ddd380c6"]][{4, 4}, "Item", 
                   False], "Mouse"], ImageSize -> {{67.2, Full}, Automatic}, 
                 ImageMargins -> {{5, 3}, {4, 5}}], 
                ItemSize -> {Full, Automatic}]}}, 
             BaseStyle -> {
              ContextMenu -> 
               Dynamic[
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                 Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                   TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                    True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                   TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
               "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
             Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
             Spacings -> {0, 0}, Alignment -> Left, 
             BaseStyle -> {
              FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
               Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
            NumberMarks -> False, ShowAutoStyles -> False]], 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
        Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
         TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
            Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
            
            Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
              TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
              TypeSystem`NestedGrid`PackagePrivate`datasetData[
               TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
             TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
               Not[
                FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
               TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
            TypeSystem`SparseGrid[
             TypeSystem`H["(data no longer present)"]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
        DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
         TypeSystem`PackageScope`SubViewPathbar[
         TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`updateState[
          TypeSystem`NestedGrid`PackagePrivate`$state$$, 
           TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
           TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
        TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
        Framed[
         Dynamic[
          Replace[
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
           TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
              Blank[]] -> "", 
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
              Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
               Blank[]], 
              Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
               Blank[]], 
              Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
               Blank[]]] :> (
             Increment[
              TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
              TypeSystem`NestedGrid`PackagePrivate`path$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
              TypeSystem`NestedGrid`PackagePrivate`pathType$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
              TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
             TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
             TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
              TypeSystem`NestedGrid`PackagePrivate`path$, 
               TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
            Spacer[10], Blank[] :> Spacer[10]}], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
         FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
         Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
       DynamicWrapperBox[
        DynamicBox[ToBoxes[
          Dataset`DatasetContent[
          2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
           "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
           "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
           "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
           "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
           "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
           "BottomBar" -> 
           Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], 
           "OutputID" -> Hold[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
          StandardForm],
         ImageSizeCache->{300., {59.8837890625, 67.1162109375}},
         TrackedSymbols:>{
          TypeSystem`NestedGrid`PackagePrivate`$state$$, 
           TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
        MouseAnnotation[],
        ImageSizeCache->{300., {59.8837890625, 67.1162109375}}],
       BaseStyle->{LineBreakWithin -> False},
       DynamicModuleValues:>{},
       Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
        CreateUUID[]),
       UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy,
      DefaultBaseStyle->"Deploy"],
     Dataset`InterpretDataset[1],
     Editable->False,
     SelectWithContents->True,
     Selectable->False]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.771673106995462*^9, 3.771673159444499*^9}, {
   3.77167319584449*^9, 3.771673203728792*^9}, 3.771686101846264*^9, 
   3.7717005256318407`*^9, 3.771745673761924*^9, 3.7717490358246937`*^9, {
   3.7717614565759172`*^9, 3.7717614801132298`*^9}, 3.771761552010144*^9, 
   3.824826775854209*^9, 3.8818317106112423`*^9, 3.899462285943865*^9},
 CellLabel->"Out[91]=",
 CellID->486339116,ExpressionUUID->"fb80222a-29a7-44b7-8301-dbb7f09a174b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Using the JSON Format", "Subsection",
 CellChangeTimes->{{3.771598375770936*^9, 3.771598391656806*^9}, {
  3.823789515963908*^9, 3.8237895365244293`*^9}, {3.8774464466066427`*^9, 
  3.8774464472030983`*^9}},
 CellID->1452733288,ExpressionUUID->"d4236962-c5a1-45f6-890e-bae1dbe9b53f"],

Cell[TextData[{
 "The JSON (JavaScript Object Notation) format has become very popular in \
recent years for structuring hierarchical data. Here I export the dinghy \
information, converting Missings to ",
 Cell[BoxData[
 "\"\<\>\""], "InlineCodeText",ExpressionUUID->
  "2e89ae91-b543-4c49-ad36-3a553517d238"],
 " because JSON does not like general Wolfram Language expressions but wants \
more basic data types like strings or integers or reals or lists of these \
items."
}], "Text",
 CellChangeTimes->{{3.771673222239586*^9, 3.7716732609159603`*^9}, {
  3.771673321446361*^9, 3.771673350817463*^9}, {3.771673400366235*^9, 
  3.7716734366870413`*^9}, {3.771673482184567*^9, 3.7716734873560963`*^9}, {
  3.7716861220892572`*^9, 3.771686125600401*^9}, {3.771700601886351*^9, 
  3.771700609304186*^9}, {3.813077193612967*^9, 3.81307720327306*^9}, {
  3.824827821958889*^9, 3.824827822606267*^9}, {3.8814097410148563`*^9, 
  3.881409773812377*^9}},
 CellID->961953560,ExpressionUUID->"ca46691c-2d19-4d65-aa44-ad4eecb35645"],

Cell[TextData[{
 "Export a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations as JSON:"
}], "CodeText",
 CellChangeTimes->{{3.77195567911798*^9, 3.771955693110464*^9}, 
   3.812124030233511*^9, 3.873473896831246*^9},
 CellID->885489472,ExpressionUUID->"b1668207-00b3-4e49-9ac5-bb937aa1b027"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dinghy2", "=", 
   RowBox[{"dinghy", "/.", 
    RowBox[{
     RowBox[{"Missing", "[", "___", "]"}], "\[RuleDelayed]", "\"\<\>\""}]}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.771673894094158*^9, 3.7716739082960577`*^9}, {
  3.882620461846134*^9, 3.882620468276561*^9}},
 CellTags->"LastCellOfAPage",
 CellLabel->"In[92]:=",
 CellID->1092434095,ExpressionUUID->"51dc09ef-7ef6-4e25-b8d2-5670dbbe1a20"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"jsonExport", "=", 
    RowBox[{"ExportString", "[", 
     RowBox[{"dinghy2", ",", "\"\<JSON\>\""}], "]"}]}], ")"}], "//", 
  "Framed"}]], "Input",
 CellChangeTimes->{{3.7716733524877977`*^9, 3.771673361781206*^9}, {
  3.77167344125743*^9, 3.771673470985697*^9}, {3.771673910610917*^9, 
  3.7716739145331717`*^9}, {3.77167425062427*^9, 3.771674266175774*^9}, {
  3.7717006451580276`*^9, 3.7717006647652063`*^9}},
 CellTags->"p: 314",
 CellLabel->"In[93]:=",
 CellID->1207641728,ExpressionUUID->"6a682126-ae86-4b6e-888e-08548f53ab65"],

Cell[BoxData[
 FrameBox["\<\"[\\n\\t{\\n\\t\\t\\\"class\\\":\\\"3rd\\\",\\n\\t\\t\\\"age\\\"\
:16,\\n\\t\\t\\\"sex\\\":\\\"female\\\",\\n\\t\\t\\\"survived\\\":true\\n\\t},\
\\n\\t{\\n\\t\\t\\\"class\\\":\\\"1st\\\",\\n\\t\\t\\\"age\\\":65,\\n\\t\\t\\\
\"sex\\\":\\\"male\\\",\\n\\t\\t\\\"survived\\\":false\\n\\t},\\n\\t{\\n\\t\\\
t\\\"class\\\":\\\"3rd\\\",\\n\\t\\t\\\"age\\\":2,\\n\\t\\t\\\"sex\\\":\\\"\
female\\\",\\n\\t\\t\\\"survived\\\":false\\n\\t},\\n\\t{\\n\\t\\t\\\"class\\\
\":\\\"3rd\\\",\\n\\t\\t\\\"age\\\":\\\"\\\",\\n\\t\\t\\\"sex\\\":\\\"female\\\
\",\\n\\t\\t\\\"survived\\\":true\\n\\t},\\n\\t{\\n\\t\\t\\\"class\\\":\\\"\
3rd\\\",\\n\\t\\t\\\"age\\\":18,\\n\\t\\t\\\"sex\\\":\\\"female\\\",\\n\\t\\t\
\\\"survived\\\":false\\n\\t}\\n]\"\>",
  StripOnInput->False]], "Output",
 CellChangeTimes->{
  3.7716733621316977`*^9, {3.771673455073207*^9, 3.771673471442408*^9}, 
   3.771673915010685*^9, 3.7716742665528593`*^9, 3.771700621041646*^9, {
   3.771700658135475*^9, 3.771700665925301*^9}, 3.7717490596225033`*^9, {
   3.881831763593996*^9, 3.8818317703281527`*^9}, 3.899462320855104*^9},
 CellLabel->"Out[93]=",
 CellID->594415971,ExpressionUUID->"73ecca0a-240b-46c7-b6f8-3d205abb0509"]
}, Open  ]],

Cell[TextData[{
 "Notice how it looks an awful lot like the Wolfram Language; the only \
significant changes are that the outer ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " is denoted with square brackets, the inner ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " is denoted with curly braces, the arrows are just colons, and the Wolfram \
Language ",
 ButtonBox["Booleans",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Booleans.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Booleans.html"],
 " have been put in lowercase."
}], "Text",
 CellChangeTimes->{{3.771673493555326*^9, 3.77167359429222*^9}, {
   3.7716861449165497`*^9, 3.771686146235745*^9}, {3.7717006336534767`*^9, 
   3.7717006376609573`*^9}, {3.8130772262326384`*^9, 3.813077244726552*^9}, 
   3.869918918270609*^9, {3.8734739238474283`*^9, 3.873473928146739*^9}, {
   3.8774438939920864`*^9, 3.8774438983262696`*^9}, {3.878227547495802*^9, 
   3.878227563470091*^9}, 3.885982966069909*^9},
 CellID->1143816171,ExpressionUUID->"fbcfcb10-5d88-49c4-ac27-67f04734ff69"],

Cell["Let\[CloseCurlyQuote]s write the expression to a file.", "Text",
 CellChangeTimes->{{3.771761659251925*^9, 3.771761666214012*^9}, {
  3.812808901968068*^9, 3.812808902302966*^9}},
 CellID->653221646,ExpressionUUID->"0ed5f6eb-0ce2-4168-b418-7b8572831e14"],

Cell[TextData[{
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations as a JSON file:"
}], "CodeText",
 CellChangeTimes->{{3.771955730645701*^9, 3.7719557442609863`*^9}, 
   3.812124038297079*^9, 3.873536805205483*^9, 3.877444084315364*^9},
 CellID->1525669044,ExpressionUUID->"4a2735a5-be10-4f3f-9119-0dcd4bc9a913"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jsonFile", "=", 
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.json\>\"", ",", "dinghy2", ",", "\"\<JSON\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.771761668069202*^9, 3.7717616834933233`*^9}, {
  3.8994623694695253`*^9, 3.899462374125214*^9}},
 CellLabel->"In[94]:=",
 CellID->1801407197,ExpressionUUID->"e709c0ff-023f-4740-9c36-cb4388d643d6"],

Cell[BoxData["\<\"file.json\"\>"], "Output",
 CellChangeTimes->{3.77176168435072*^9, 3.771955841497959*^9, 
  3.824836041695437*^9, 3.8248360755862226`*^9, 3.8818318043049173`*^9, 
  3.899462385092092*^9},
 CellLabel->"Out[94]=",
 CellID->1003894583,ExpressionUUID->"ee727bc5-e5b3-4363-81ee-8308d1d94ba7"]
}, Open  ]],

Cell["\<\
I can import JSON files and get back something similar to, but not identical \
to, the original exported material. Notice that the inner Associations have \
turned into Lists.\
\>", "Text",
 CellChangeTimes->{{3.7716742920964403`*^9, 3.771674329075595*^9}, {
  3.877444099839678*^9, 3.877444103119177*^9}},
 CellTags->"LastCellOfAPage",
 CellID->2136954615,ExpressionUUID->"c5a11c5c-5d77-4f3a-8a6d-32961c2b64d2"],

Cell[TextData[{
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " a data structure exported to JSON as a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations, returned as a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists:"
}], "CodeText",
 CellChangeTimes->{{3.7719557478038673`*^9, 3.771955776783845*^9}, 
   3.8121240474332323`*^9, {3.8237895833305063`*^9, 3.823789595155813*^9}, {
   3.82378963425799*^9, 3.823789635876237*^9}, {3.873536845491304*^9, 
   3.8735368549279013`*^9}, 3.877444113766819*^9},
 CellTags->"p: 315",
 CellID->1151555722,ExpressionUUID->"f64456c4-bf62-4157-ae7c-06e031b0ed21"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"jsonImport", "=", 
    RowBox[{"Import", "[", 
     RowBox[{"jsonFile", ",", "\"\<JSON\>\""}], "]"}]}], ")"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771674242797059*^9, 3.771674277010436*^9}, {
   3.7717006907449827`*^9, 3.771700692585084*^9}, {3.771761687453999*^9, 
   3.771761720509449*^9}, 3.824223991649158*^9, 3.874505668113842*^9},
 CellLabel->"In[95]:=",
 CellID->2008806228,ExpressionUUID->"26c99e9d-c6af-4eb8-81a9-9398c88982c8"],

Cell[BoxData[
 StyleBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "16"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "True"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<1st\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "65"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<male\>\""}], ",", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "2"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "\"\<\>\""}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "True"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "18"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], "}"}]}], "}"}],
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{
  3.7716742773398027`*^9, 3.771686152488221*^9, 3.7717006931476097`*^9, 
   3.771749063443321*^9, {3.7717616927068243`*^9, 3.771761722262319*^9}, 
   3.771955949117197*^9, 3.824836098778051*^9, 3.881831823809127*^9, 
   3.899462408609561*^9},
 CellLabel->"Out[95]=",
 CellID->1798653976,ExpressionUUID->"ec7c0b3c-fdd7-406c-97bd-8a206b0ee7d8"]
}, Open  ]],

Cell[TextData[{
 "We can use the ",
 ButtonBox["FileFormatProperties",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/FileFormatProperties.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/FileFormatProperties.html"],
 " function (added in version 13) to discover other import formats that might \
return the original expression perfectly."
}], "Text",
 CellChangeTimes->{{3.771674331288583*^9, 3.771674337447727*^9}, {
   3.7717007142570057`*^9, 3.7717007227249937`*^9}, {3.771955876681522*^9, 
   3.771955897882246*^9}, {3.87353686435083*^9, 3.873536885926033*^9}, {
   3.881409934184084*^9, 3.881409934693449*^9}, {3.899488573103621*^9, 
   3.8994885924349813`*^9}, 3.8994886243356943`*^9, {3.899489108458577*^9, 
   3.899489148571535*^9}, {3.899489357455306*^9, 3.89948936032017*^9}, 
   3.899536283448926*^9, {3.899542860529904*^9, 3.899542869767717*^9}},
 CellTags->"i:32",
 CellID->1615542636,ExpressionUUID->"8344b6a2-fc3e-4494-b95b-076870d45e0d"],

Cell[TextData[{
 ButtonBox["FileFormatProperties",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/FileFormatProperties.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/FileFormatProperties.html"],
 " returns a property for a given format such as ",
 Cell[BoxData[
 "\"\<JSON\>\""], "InlineCode",ExpressionUUID->
  "ff5295f0-7f26-4d2e-9511-56967b68f9ab"],
 ":"
}], "CodeText",
 CellID->692608016,ExpressionUUID->"8091b7f9-f1f4-4ff7-af7d-437827a809fc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jsonProperties", "=", 
  RowBox[{"FileFormatProperties", "[", 
   RowBox[{"\"\<JSON\>\"", ",", "\"\<ImportElements\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7719559008068523`*^9, 3.7719559094179983`*^9}, {
  3.899488599178402*^9, 3.8994886126247807`*^9}, {3.899488708027961*^9, 
  3.89948870966495*^9}},
 CellTags->"i:33",
 CellLabel->"In[7]:=",
 CellID->1698764259,ExpressionUUID->"8d60b8bd-0237-42e9-adfe-26bb3af7ff6d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Data\"\>", ",", "\<\"Dataset\"\>", ",", "\<\"Summary\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7719559098601913`*^9, 3.7719559526359987`*^9, 
  3.881831851986113*^9, 3.899462420751401*^9, 3.8994886136528673`*^9, 
  3.899488710124444*^9, 3.8994888940056477`*^9},
 CellLabel->"Out[7]=",
 CellID->217578267,ExpressionUUID->"2bfa8674-8dc8-4f61-a738-51dabe4246cb"]
}, Open  ]],

Cell[TextData[{
 "The ",
 Cell[BoxData[
 "\"\<Dataset\>\""], "InlineCodeText",ExpressionUUID->
  "f427245d-dd60-4b93-84f8-9f42ee09d26b"],
 " format sounds very promising because ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is what one well might use to hold a list of Associations."
}], "Text",
 CellID->1753699370,ExpressionUUID->"835bdff4-6d32-4546-933d-61a0b62a53af"],

Cell[TextData[{
 "Import a JSON file as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellID->1120338659,ExpressionUUID->"9adb1151-d255-4160-b20b-974c04e01b7b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jsonImport", "=", " ", 
  RowBox[{"Import", "[", 
   RowBox[{"jsonFile", ",", "\"\<Dataset\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.899488670834962*^9, 3.8994886736788177`*^9}, {
  3.899488713258658*^9, 3.899488750749922*^9}, {3.899488901374454*^9, 
  3.899488926602569*^9}, {3.899489171108148*^9, 3.899489183320702*^9}},
 CellLabel->"In[14]:=",
 CellID->181522372,ExpressionUUID->"6827b89b-e5c1-4c94-902d-e467d1ebc5e9"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> "", "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{0., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "786f48d9-13cb-40f1-8975-f862ea4f34c9"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8994888974436274`*^9, 3.899488927364121*^9}, 
   3.899489184023527*^9},
 CellLabel->"Out[14]=",
 CellID->1102092192,ExpressionUUID->"9edae907-b3c6-419b-ab74-20165fa9193b"]
}, Open  ]],

Cell["\<\
You should have learned enough by this point in the book that you know how to \
make the structure change necessary.\
\>", "Text",
 CellChangeTimes->{{3.771674331288583*^9, 3.771674337447727*^9}, {
  3.7717007142570057`*^9, 3.7717007227249937`*^9}, {3.771955876681522*^9, 
  3.771955942969841*^9}, {3.869918962803401*^9, 3.869918965877432*^9}, {
  3.8735369123641977`*^9, 3.873536949652629*^9}, {3.877445382096636*^9, 
  3.8774454118533535`*^9}, {3.88140997332931*^9, 3.881409973761594*^9}, {
  3.8859959957906656`*^9, 3.885996025607868*^9}, {3.899489000886293*^9, 
  3.8994890016242437`*^9}},
 CellID->1187796602,ExpressionUUID->"956e7030-450a-4f69-bceb-8a4447e9cae6"],

Cell[TextData[{
 "Use ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " to convert this ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.771955957200053*^9, 3.771955972302952*^9}, 
   3.812124057016331*^9, {3.8130793405165215`*^9, 3.8130793458692193`*^9}, {
   3.873536980281859*^9, 3.8735369873629208`*^9}, {3.899488944729816*^9, 
   3.899488953560995*^9}, {3.8994891932184553`*^9, 3.899489207634424*^9}, {
   3.899489323236594*^9, 3.899489330496911*^9}},
 CellTags->"i:34",
 CellID->983077770,ExpressionUUID->"c62a5c16-26be-4762-b1e5-a663f358b42d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", "jsonImport", "]"}]], "Input",
 CellChangeTimes->{{3.771674242797059*^9, 3.771674277010436*^9}, {
  3.7716743394007797`*^9, 3.771674349273611*^9}, {3.771761696809416*^9, 
  3.771761697887093*^9}, {3.77176172869768*^9, 3.771761730725713*^9}, {
  3.899488956782987*^9, 3.8994889730311127`*^9}, {3.899489200328878*^9, 
  3.8994892016417847`*^9}},
 CellLabel->"In[15]:=",
 CellID->1982758125,ExpressionUUID->"176451ef-c3ce-4d27-9598-c7ef925baf4a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "\<\"\"\>"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.899488973385724*^9, 3.899489202407522*^9},
 CellLabel->"Out[15]=",
 CellID->1966810798,ExpressionUUID->"1c5299b5-7e21-4e25-98e6-ef8dfa2e67a4"]
}, Open  ]],

Cell[TextData[{
 "Now let\[CloseCurlyQuote]s try something new. Let\[CloseCurlyQuote]s export \
just the ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " from ",
 Cell[BoxData[
 "dinghy2"], "InlineCodeText",ExpressionUUID->
  "5346e7e1-143a-43cd-b68c-64d0ad27ab15"],
 ". I get something that looks an awful lot like a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists. I\[CloseCurlyQuote]m adding the ",
 Cell[BoxData[
  RowBox[{"\"\<Compact\>\"", "->", 
   ButtonBox[
    StyleBox["True",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/True.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/True.html"]}]], 
  "InlineCodeText",ExpressionUUID->"6c30119e-e62e-4cd5-8b8e-b6b6d77a31b5"],
 " optional argument to save space on the page."
}], "Text",
 CellChangeTimes->{{3.7716739238170147`*^9, 3.771673963916326*^9}, 
   3.771674018438087*^9, {3.7716861610961018`*^9, 3.771686161438548*^9}, {
   3.771700737507464*^9, 3.7717007488560057`*^9}, 3.8130793598711715`*^9, {
   3.873537003668127*^9, 3.8735370402531548`*^9}, {3.87474718931745*^9, 
   3.874747208742249*^9}, {3.8774464933637342`*^9, 3.8774465033377037`*^9}, {
   3.8995430836398487`*^9, 3.8995431198967867`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->2129001979,ExpressionUUID->"b282abca-ff6f-47d1-b0d5-e0d7e43d97d1"],

Cell[TextData[{
 "Setting the ",
 Cell[BoxData[
  RowBox[{"\"\<Compact\>\"", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
   ButtonBox[
    StyleBox["True",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/True.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/True.html"]}]], 
  "InlineCode",ExpressionUUID->"69a466dc-566c-4cb3-9815-559292aae3f5"],
 " option compresses the presentation of JSON data:"
}], "CodeText",
 CellChangeTimes->{{3.771955983654881*^9, 3.771956004164665*^9}, 
   3.812124064593775*^9, 3.8130797887369833`*^9, {3.873537087057807*^9, 
   3.873537087057832*^9}, {3.8774465314098387`*^9, 3.8774465550698605`*^9}, 
   3.8774483726709995`*^9, 3.885982971127367*^9},
 CellTags->"p: 316",
 CellID->903528779,ExpressionUUID->"6cb34a6e-51dc-4acd-a872-a8254ee9b831"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExportString", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", "Values"}], "]"}], "[", "dinghy2", "]"}], ",", 
   "\"\<JSON\>\"", ",", 
   RowBox[{"\"\<Compact\>\"", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771673869970902*^9, 3.771673883463304*^9}, 
   3.771673918041761*^9, {3.771673966445484*^9, 3.77167397066924*^9}},
 CellLabel->"In[98]:=",
 CellID->1205159903,ExpressionUUID->"b9bf0578-6831-4eff-ab08-147b62a48ee4"],

Cell[BoxData["\<\"[[\\\"3rd\\\",16,\\\"female\\\",true],[\\\"1st\\\",65,\\\"\
male\\\",false],[\\\"3rd\\\",2,\\\"female\\\",false],[\\\"3rd\\\",\\\"\\\",\\\
\"female\\\",true],[\\\"3rd\\\",18,\\\"female\\\",false]]\"\>"], "Output",
 CellChangeTimes->{{3.771673877036525*^9, 3.771673884167386*^9}, 
   3.7716739185324306`*^9, 3.7716739710794687`*^9, 3.771686165634673*^9, 
   3.824836504940035*^9, 3.881831914772101*^9, 3.8994625282723103`*^9},
 CellLabel->"Out[98]=",
 CellID->2031696909,ExpressionUUID->"2e5ea550-65c7-4923-8b55-f5b5c6be4d9f"]
}, Open  ]],

Cell[TextData[{
 "JSON can also handle the export of Associations of Associations so long as \
the keys are strings. Again, there\[CloseCurlyQuote]s an easy translation \
between JSON and the Wolfram Language: Lists are ",
 Cell[BoxData[
  RowBox[{"[", "]"}]], "InlineCodeText",ExpressionUUID->
  "dc6feb89-09b5-407b-b1d1-40373ab283bb"],
 ", Associations are ",
 Cell[BoxData[
  RowBox[{"{", "}"}]], "InlineCodeText",ExpressionUUID->
  "be1ee9c4-c80d-4ccb-ac1d-ed59e958c02e"],
 ", and arrows are ",
 Cell[BoxData[
 ":"], "InlineCodeText",ExpressionUUID->
  "5bfc8e48-64dc-4993-a5fb-33afb2e4340f"],
 "."
}], "Text",
 CellChangeTimes->{{3.7716748348251057`*^9, 3.771674849010034*^9}, {
  3.7716862190193577`*^9, 3.77168625372577*^9}, {3.813081131428255*^9, 
  3.8130811316464033`*^9}, {3.8774483997648325`*^9, 3.8774484355631523`*^9}, {
  3.8981728902252703`*^9, 3.898172890530244*^9}},
 CellID->211547317,ExpressionUUID->"0c7c7b93-3f92-4a36-901d-07fe58aaebad"],

Cell["The JSON exporter can handle Associations of Associations:", "CodeText",
 CellChangeTimes->{{3.771956032757925*^9, 3.771956046064642*^9}, 
   3.812105339490775*^9, 3.8121240713762417`*^9, 3.8735371309442*^9},
 CellID->483652836,ExpressionUUID->"d145c02d-1f22-4ff4-ab22-49a8cc526cd0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExportString", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["ValueMapIndexed", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["ValueMapIndexed", "ResourceFunctionLabel"], 
                    " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/7d1d4ddc-616f-409c-bda4-e90058c019ae/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "ValueMapIndexed"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "ValueMapIndexed", "ShortName" -> "ValueMapIndexed", "UUID" -> 
         "7d1d4ddc-616f-409c-bda4-e90058c019ae", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Create an association from a set of values, using a map-indexed \
function on those values to form the keys", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$74c214fb486a4c278f6d04cf83b6b7e4`\
ValueMapIndexed", "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/obj/c1399b25-6e26-4680-8e3c-\
9b846c63ee96"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", 
     RowBox[{
      RowBox[{"ToString", "[", 
       RowBox[{"#2", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}], "&"}], "]"}], "[", "dinghy2", 
    "]"}], ",", "\"\<JSON\>\"", ",", 
   RowBox[{"\"\<Compact\>\"", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7716747725427437`*^9, 3.771674780887232*^9}, {
  3.7716748221419086`*^9, 3.7716748284268093`*^9}, {3.771686205001575*^9, 
  3.77168621111012*^9}, {3.7716863189973*^9, 3.771686350812422*^9}, {
  3.771686382363537*^9, 3.7716863985198383`*^9}, {3.869919002957184*^9, 
  3.8699190105176163`*^9}},
 CellLabel->"In[99]:=",
 CellID->934835063,ExpressionUUID->"08752ff9-3c72-4505-89c3-61658ffbdff3"],

Cell[BoxData["\<\"{\\\"1\\\":{\\\"class\\\":\\\"3rd\\\",\\\"age\\\":16,\\\"\
sex\\\":\\\"female\\\",\\\"survived\\\":true},\\\"2\\\":{\\\"class\\\":\\\"\
1st\\\",\\\"age\\\":65,\\\"sex\\\":\\\"male\\\",\\\"survived\\\":false},\\\"3\
\\\":{\\\"class\\\":\\\"3rd\\\",\\\"age\\\":2,\\\"sex\\\":\\\"female\\\",\\\"\
survived\\\":false},\\\"4\\\":{\\\"class\\\":\\\"3rd\\\",\\\"age\\\":\\\"\\\",\
\\\"sex\\\":\\\"female\\\",\\\"survived\\\":true},\\\"5\\\":{\\\"class\\\":\\\
\"3rd\\\",\\\"age\\\":18,\\\"sex\\\":\\\"female\\\",\\\"survived\\\":false}}\"\
\>"], "Output",
 CellChangeTimes->{3.7716862116807547`*^9, 3.7716864003659277`*^9, 
  3.771700759941998*^9, 3.8248365513247633`*^9, 3.881831939300622*^9, 
  3.8994625480623407`*^9},
 CellLabel->"Out[99]=",
 CellID->1133008298,ExpressionUUID->"683d29fe-e690-4de4-aa14-03382f8442c5"]
}, Open  ]],

Cell["\<\
Also, notice that although JSON cannot handle general Wolfram Language \
expressions, it can handle Lists just fine, even when they are deep in a data \
structure.\
\>", "Text",
 CellChangeTimes->{{3.771674108882461*^9, 3.771674161069433*^9}, {
   3.771700767103135*^9, 3.771700767892214*^9}, 3.813081142810746*^9, 
   3.87744844541538*^9},
 CellID->1644568872,ExpressionUUID->"671a8945-255d-4e00-8cc2-b4e2cf0fa32a"],

Cell["\<\
The JSON exporter can handle deeply nested data structures involving Lists \
and Associations:\
\>", "CodeText",
 CellChangeTimes->{{3.771956059081431*^9, 3.7719560856214027`*^9}, 
   3.812125064775789*^9},
 CellID->860977009,ExpressionUUID->"d181efbf-8d4a-4fa2-ac4f-081068586021"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SeedRandom", "[", "20230113", "]"}], ";", 
  RowBox[{"ExportString", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{"All", ",", 
       RowBox[{
        RowBox[{"Append", "[", 
         RowBox[{"#", ",", 
          RowBox[{"\"\<randomlist\>\"", "\[Rule]", 
           RowBox[{"RandomInteger", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "9"}], "}"}], ",", "3"}], "]"}]}]}], "]"}], 
        "&"}]}], "]"}], "[", "dinghy2", "]"}], ",", "\"\<JSON\>\"", ",", 
    RowBox[{"\"\<Compact\>\"", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.771674042097714*^9, 3.771674101109777*^9}, {
  3.771686416009919*^9, 3.771686420577753*^9}, {3.88262038492798*^9, 
  3.882620397989942*^9}},
 CellLabel->"In[100]:=",
 CellID->2066316507,ExpressionUUID->"8c76f132-e620-42c5-bae0-1decff3772cb"],

Cell[BoxData["\<\"[{\\\"class\\\":\\\"3rd\\\",\\\"age\\\":16,\\\"sex\\\":\\\"\
female\\\",\\\"survived\\\":true,\\\"randomlist\\\":[6,7,2]},{\\\"class\\\":\\\
\"1st\\\",\\\"age\\\":65,\\\"sex\\\":\\\"male\\\",\\\"survived\\\":false,\\\"\
randomlist\\\":[6,8,8]},{\\\"class\\\":\\\"3rd\\\",\\\"age\\\":2,\\\"sex\\\":\
\\\"female\\\",\\\"survived\\\":false,\\\"randomlist\\\":[6,6,1]},{\\\"class\\\
\":\\\"3rd\\\",\\\"age\\\":\\\"\\\",\\\"sex\\\":\\\"female\\\",\\\"survived\\\
\":true,\\\"randomlist\\\":[2,6,5]},{\\\"class\\\":\\\"3rd\\\",\\\"age\\\":18,\
\\\"sex\\\":\\\"female\\\",\\\"survived\\\":false,\\\"randomlist\\\":[5,4,1]}]\
\"\>"], "Output",
 CellChangeTimes->{{3.771674082325141*^9, 3.771674101646731*^9}, {
   3.771686411703219*^9, 3.7716864211361732`*^9}, 3.7717007697137823`*^9, 
   3.8248365897538643`*^9, 3.88183198660013*^9, {3.88262050286001*^9, 
   3.882620507296261*^9}, 3.899462563192795*^9},
 CellLabel->"Out[100]=",
 CellID->128712054,ExpressionUUID->"c9b09076-072d-4dc9-afa0-fdad062a859c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Using the ZIP Format", "Subsection",
 CellChangeTimes->{{3.771705632604293*^9, 3.771705636732148*^9}, {
  3.8237896726508503`*^9, 3.823789686824061*^9}},
 CellID->526562042,ExpressionUUID->"c523aea8-e120-45f6-b78f-e35200038a37"],

Cell[TextData[{
 "Files are often large. Storing them is expensive and transmitting them \
takes time, so it\[CloseCurlyQuote]s often a good idea to compress them or to \
compress groups of them. Many compression formats have evolved over the \
years, but ZIP is probably still the most popular. Here I generate a \
simulated ZIP \[OpenCurlyDoubleQuote]archive\[CloseCurlyDoubleQuote] in which \
the first \[OpenCurlyDoubleQuote]file\[CloseCurlyDoubleQuote] contains a CSV \
formatting of the ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "606757cd-6285-45c6-a1f1-af610e64cb44"],
 " passengers and the second file contains a JSON formatting of the cabin \
information. I deliberately \[OpenCurlyDoubleQuote]mislabel\
\[CloseCurlyDoubleQuote] the CSV file with a ",
 Cell[BoxData[
  RowBox[{".", "txt"}]], "InlineCodeText",ExpressionUUID->
  "a2a5df41-bf6c-4863-be1b-20d4fbf893ab"],
 " suffix to show that one can force whatever format one chooses on files \
stored within the archive regardless of the name given to them."
}], "Text",
 CellChangeTimes->{{3.771705641867914*^9, 3.771705687074168*^9}, {
  3.771745446909236*^9, 3.771745453553404*^9}, {3.77174548434019*^9, 
  3.771745553846485*^9}, {3.7717619504570293`*^9, 3.77176195572616*^9}, {
  3.8128089063265853`*^9, 3.812808906791273*^9}, {3.8130811585130424`*^9, 
  3.8130811688085885`*^9}, {3.873537225147828*^9, 3.87353723699559*^9}, {
  3.8774486793418655`*^9, 3.8774486879830627`*^9}, {3.8782190557431746`*^9, 
  3.878219063039712*^9}},
 CellTags->{"LastCellOfAPage", "i:35"},
 CellID->62665386,ExpressionUUID->"775f0852-92bd-4228-a192-6d02cbbdaa97"],

Cell["\<\
Export two Lists of Lists to a ZIP archive with CSV and JSON formats, \
respectively, and with nonstandard file extensions:\
\>", "CodeText",
 CellChangeTimes->{{3.771956096260076*^9, 3.771956133688965*^9}, 
   3.8121250754780693`*^9, {3.8130815982305565`*^9, 3.8130816070680985`*^9}, {
   3.869919067840542*^9, 3.869919068493285*^9}},
 CellTags->{"i:36", "p: 317"},
 CellID->883079378,ExpressionUUID->"37801eb5-8a6c-437d-9536-24ade5004028"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"zipFile", "=", 
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.zip\>\"", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<passengers.txt\>\"", ",", "\"\<CSV\>\""}], "}"}], 
       "\[Rule]", "dinghy2"}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<cabins.json\>\"", ",", "\"\<JSON\>\""}], "}"}], 
       "\[Rule]", "cabinValues"}]}], "}"}], ",", "\"\<ZIP\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.771761786367936*^9, 3.771761799368266*^9}, {
  3.771761863586034*^9, 3.771761935174492*^9}, {3.899462625237686*^9, 
  3.899462628317293*^9}},
 CellLabel->"In[101]:=",
 CellID->886408408,ExpressionUUID->"4c542681-62c4-4344-91b7-e5fdb52bd48e"],

Cell[BoxData["\<\"file.zip\"\>"], "Output",
 CellChangeTimes->{
  3.77176193584095*^9, {3.7719562317849693`*^9, 3.771956251550552*^9}, 
   3.824837398589576*^9, 3.869919258758749*^9, 3.8818320466179523`*^9, 
   3.899462647434883*^9},
 CellLabel->"Out[101]=",
 CellID->988115015,ExpressionUUID->"fdbaf1c4-6e5b-402c-af45-781d845e5cee"]
}, Open  ]],

Cell[TextData[{
 "If I now run ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " on the result, I do not get back the contents of the information put into \
the ZIP. Instead, I get a list of the filenames inside the ZIP."
}], "Text",
 CellChangeTimes->{{3.77170602161103*^9, 3.7717060536300287`*^9}, {
   3.77174580298178*^9, 3.7717458054143257`*^9}, {3.7717619794299717`*^9, 
   3.771761982075604*^9}, 3.813081616615456*^9, 3.873537317614517*^9, {
   3.87474738498423*^9, 3.8747473866844177`*^9}, 3.8747474305951757`*^9},
 CellID->2116399331,ExpressionUUID->"4d522050-911a-43da-b4a2-9d96a6b5d6b0"],

Cell["\<\
Import a ZIP file and get the name of the files contained within:\
\>", "CodeText",
 CellChangeTimes->{{3.771956140478176*^9, 3.771956152786723*^9}, 
   3.812125083063034*^9},
 CellID->1244160037,ExpressionUUID->"f9f8edda-7e83-4fec-8bef-9cb5d9a88f67"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"zipFile", ",", "\"\<ZIP\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.771745749350719*^9, 3.771745757764509*^9}, {
  3.771761984406242*^9, 3.771761989938162*^9}},
 CellLabel->"In[102]:=",
 CellID->1149077387,ExpressionUUID->"a7915589-03ad-4854-985a-dcb6154edd13"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"passengers.txt\"\>", ",", "\<\"cabins.json\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.771745758357531*^9, 3.771745877179699*^9, 
  3.771749610237082*^9, 3.7719562554826317`*^9, 3.824837445238894*^9, 
  3.869919261394957*^9, 3.881832062945696*^9, 3.899462661522922*^9},
 CellLabel->"Out[102]=",
 CellID->590182387,ExpressionUUID->"d8403460-e817-4636-b942-bffc0220f1f6"]
}, Open  ]],

Cell[TextData[{
 "If I want a particular file within the archive, I ask for it by name and \
specify the format in which I want it returned. Here I ask for the ",
 Cell[BoxData[
 "\"\<passengers.txt\>\""], "InlineCodeText",ExpressionUUID->
  "5c9a48d1-2f85-4687-8fb3-e53a43fa75cd"],
 " file returned as if it were a CSV file. "
}], "Text",
 CellChangeTimes->{{3.771762025153461*^9, 3.771762076405305*^9}, {
   3.771956298109672*^9, 3.771956309163118*^9}, {3.771956345954392*^9, 
   3.77195637942071*^9}, {3.8130816950162554`*^9, 3.813081711446808*^9}, 
   3.869919144063929*^9, {3.873537395283436*^9, 3.873537402737762*^9}, {
   3.8774492151882925`*^9, 3.8774492244237356`*^9}, {3.877450347289936*^9, 
   3.8774503485565147`*^9}, {3.878227952003563*^9, 3.878227955564081*^9}},
 CellTags->"i:37",
 CellID->404896511,ExpressionUUID->"f31663c4-372e-4170-a30e-830d4c78b936"],

Cell["\<\
Import a particular file inside a ZIP archive with a file format that is \
nonstandard for the extension used in the file name:\
\>", "CodeText",
 CellChangeTimes->{{3.7719561571726637`*^9, 3.771956221708254*^9}, 
   3.8121250971991563`*^9, 3.8130817181275806`*^9, {3.869919356988895*^9, 
   3.869919415952428*^9}, {3.8735374247945557`*^9, 3.87353743686968*^9}, {
   3.874747475928001*^9, 3.8747474772255287`*^9}},
 CellID->1275516795,ExpressionUUID->"62d10b2e-cf48-48d1-900a-55a0c63561f6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"reimportPassengers", "=", 
    RowBox[{"Import", "[", 
     RowBox[{"zipFile", ",", 
      RowBox[{"{", 
       RowBox[{"\"\<passengers.txt\>\"", ",", "\"\<CSV\>\""}], "}"}]}], 
     "]"}]}], ")"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771745749350719*^9, 3.771745757764509*^9}, {
   3.7717458814268417`*^9, 3.771745891810278*^9}, {3.7717496131839447`*^9, 
   3.771749629143982*^9}, {3.771762048132524*^9, 3.771762058785693*^9}, {
   3.7719562705311213`*^9, 3.77195627766082*^9}, {3.869919265809209*^9, 
   3.869919295061449*^9}, {3.869919362955935*^9, 3.8699194032082157`*^9}, {
   3.869919519570325*^9, 3.869919531068385*^9}, 3.8745056838567038`*^9},
 CellLabel->"In[103]:=",
 CellID->823396852,ExpressionUUID->"e2df1314-f600-40c4-812b-d8fd7d7832f1"],

Cell[BoxData[
 StyleBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
    "{", "\"\<<|\\\"class\\\" -> \\\"3rd\\\", \\\"age\\\" -> 16, \\\"sex\\\" \
-> \\\"female\\\", \\\"survived\\\" -> True|>\>\"", "}"}], ",", 
    RowBox[{
    "{", "\"\<<|\\\"class\\\" -> \\\"1st\\\", \\\"age\\\" -> 65, \\\"sex\\\" \
-> \\\"male\\\", \\\"survived\\\" -> False|>\>\"", "}"}], ",", 
    RowBox[{
    "{", "\"\<<|\\\"class\\\" -> \\\"3rd\\\", \\\"age\\\" -> 2, \\\"sex\\\" \
-> \\\"female\\\", \\\"survived\\\" -> False|>\>\"", "}"}], ",", 
    RowBox[{
    "{", "\"\<<|\\\"class\\\" -> \\\"3rd\\\", \\\"age\\\" -> \\\"\\\", \
\\\"sex\\\" -> \\\"female\\\", \\\"survived\\\" -> True|>\>\"", "}"}], ",", 
    RowBox[{
    "{", "\"\<<|\\\"class\\\" -> \\\"3rd\\\", \\\"age\\\" -> 18, \\\"sex\\\" \
-> \\\"female\\\", \\\"survived\\\" -> False|>\>\"", "}"}]}], "}"}],
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{{3.7717458850476303`*^9, 3.771745892333353*^9}, 
   3.77174963007467*^9, 3.771762059364222*^9, 3.7719562264913397`*^9, {
   3.771956257894414*^9, 3.7719562827987947`*^9}, 3.824837552830469*^9, {
   3.86991927115809*^9, 3.869919295544739*^9}, {3.869919367967847*^9, 
   3.8699194041762342`*^9}, 3.869919531516979*^9, 3.881832069264242*^9, 
   3.899462682619348*^9},
 CellLabel->"Out[103]=",
 CellID->1466664307,ExpressionUUID->"319f642e-ec0d-4ded-befa-b785230eff5a"]
}, Open  ]],

Cell[TextData[{
 "Notice two issues. The first is that, because the exported data was an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", the export to CSV converted that ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " into a string. CSV does not really understand Wolfram Language expressions \
that well. So, when I reimport it, I get back strings instead of what I \
likely want, which are Associations. We can fix that problem by mapping ",
 ButtonBox["ToExpression",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ToExpression.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ToExpression.html"],
 " over the data. ",
 ButtonBox["ToExpression",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ToExpression.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ToExpression.html"],
 " gives the expression obtained by interpreting strings or boxes as Wolfram \
Language input."
}], "Text",
 CellChangeTimes->{{3.7719563818405237`*^9, 3.7719564704937363`*^9}, 
   3.8130817661337414`*^9, {3.869919347033358*^9, 3.8699193529743977`*^9}, {
   3.869919420119668*^9, 3.8699195056705313`*^9}, {3.869919557638517*^9, 
   3.869919634953759*^9}, {3.873537467483081*^9, 3.873537503780745*^9}},
 CellID->1454426861,ExpressionUUID->"86c56f63-dab3-416b-818e-93fde09d96ad"],

Cell[TextData[{
 "Use ",
 ButtonBox["ToExpression",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ToExpression.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ToExpression.html"],
 " to convert string representations of Associations to the intended Wolfram \
Language expressions:"
}], "CodeText",
 CellChangeTimes->{{3.874747520911113*^9, 3.874747559965929*^9}},
 CellID->762128869,ExpressionUUID->"d61cc994-5127-437b-96c1-ca0a54cde490"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{"ToExpression", ",", "reimportPassengers"}], "]"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.869919534038678*^9, 3.86991955314625*^9}, 
   3.874505687384845*^9},
 CellLabel->"In[104]:=",
 CellID->485506325,ExpressionUUID->"39bf2167-c742-4565-8fbe-5d40669f8c51"],

Cell[BoxData[
 StyleBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "16"}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "True"}]}], 
      "\[RightAssociation]"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<1st\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "65"}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<male\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
      "\[RightAssociation]"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "2"}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
      "\[RightAssociation]"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "\"\<\>\""}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "True"}]}], 
      "\[RightAssociation]"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "18"}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
      "\[RightAssociation]"}], "}"}]}], "}"}],
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{{3.869919548067429*^9, 3.869919553951139*^9}, 
   3.8818320776723347`*^9, 3.899462714821937*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[104]=",
 CellID->521173079,ExpressionUUID->"933757fe-a5f1-4295-8964-8d2aa9a55c48"]
}, Open  ]],

Cell[TextData[{
 "The second issue is to note what would have happened if I had omitted the \
CSV format specification and simply used the file name of ",
 Cell[BoxData[
 "\"\<passengers.txt\>\""], "InlineCodeText",ExpressionUUID->
  "3e98c4d9-33d5-449b-9d55-e788aa240eee"],
 " as the second argument to the ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " function. The importer would then have assumed based on the ",
 Cell[BoxData[
  RowBox[{".", "txt"}]], "InlineCodeText",ExpressionUUID->
  "3c7fbca1-42ce-49bc-a89b-46ca46907888"],
 " file extension that I wanted the data parsed as text. Here is what I would \
have gotten. Probably not at all what I wanted."
}], "Text",
 CellChangeTimes->{{3.7719563818405237`*^9, 3.7719564704937363`*^9}, 
   3.8130817661337414`*^9, {3.869919347033358*^9, 3.8699193529743977`*^9}, {
   3.869919420119668*^9, 3.869919494152831*^9}, {3.8699196441540823`*^9, 
   3.869919660689152*^9}, {3.87353755562294*^9, 3.873537556539138*^9}, {
   3.8774504391179657`*^9, 3.877450462647731*^9}, {3.885996264691716*^9, 
   3.885996269640587*^9}},
 CellTags->"p: 318",
 CellID->1428746190,ExpressionUUID->"375a4f65-deee-48be-862e-1d676cc384ff"],

Cell[TextData[{
 "Failure to include a third argument to ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " can lead to unintended consequences: "
}], "CodeText",
 CellChangeTimes->{{3.874747586289382*^9, 3.8747476239417543`*^9}},
 CellID->1156381003,ExpressionUUID->"9b750ace-6ffa-496c-ac72-2a830bf77b8b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"zipFile", ",", "\"\<passengers.txt\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.771745749350719*^9, 3.771745757764509*^9}, {
   3.7717458814268417`*^9, 3.771745891810278*^9}, {3.7717496131839447`*^9, 
   3.771749629143982*^9}, {3.771762048132524*^9, 3.771762058785693*^9}, {
   3.7719562705311213`*^9, 3.77195627766082*^9}, {3.771956328044297*^9, 
   3.7719563337620792`*^9}, {3.824837584878434*^9, 3.824837595923065*^9}, 
   3.824838184746455*^9},
 CellLabel->"In[105]:=",
 CellID->118129304,ExpressionUUID->"01e06575-d28e-4344-ba18-dfd6066d2f8f"],

Cell[BoxData["\<\"\\\"<|\\\"\\\"class\\\"\\\" -> \\\"\\\"3rd\\\"\\\", \
\\\"\\\"age\\\"\\\" -> 16, \\\"\\\"sex\\\"\\\" -> \\\"\\\"female\\\"\\\", \
\\\"\\\"survived\\\"\\\" -> True|>\\\"\\n\\\"<|\\\"\\\"class\\\"\\\" -> \
\\\"\\\"1st\\\"\\\", \\\"\\\"age\\\"\\\" -> 65, \\\"\\\"sex\\\"\\\" -> \\\"\\\
\"male\\\"\\\", \\\"\\\"survived\\\"\\\" -> False|>\\\"\\n\\\"<|\\\"\\\"class\
\\\"\\\" -> \\\"\\\"3rd\\\"\\\", \\\"\\\"age\\\"\\\" -> 2, \
\\\"\\\"sex\\\"\\\" -> \\\"\\\"female\\\"\\\", \\\"\\\"survived\\\"\\\" -> \
False|>\\\"\\n\\\"<|\\\"\\\"class\\\"\\\" -> \\\"\\\"3rd\\\"\\\", \\\"\\\"age\
\\\"\\\" -> \\\"\\\"\\\"\\\", \\\"\\\"sex\\\"\\\" -> \\\"\\\"female\\\"\\\", \
\\\"\\\"survived\\\"\\\" -> True|>\\\"\\n\\\"<|\\\"\\\"class\\\"\\\" -> \
\\\"\\\"3rd\\\"\\\", \\\"\\\"age\\\"\\\" -> 18, \\\"\\\"sex\\\"\\\" -> \\\"\\\
\"female\\\"\\\", \\\"\\\"survived\\\"\\\" -> False|>\\\"\"\>"], "Output",
 CellChangeTimes->{3.771956334645958*^9, 3.824837596417082*^9, 
  3.824838186379909*^9, 3.8818320864055653`*^9, 3.899462742223659*^9},
 CellLabel->"Out[105]=",
 CellID->595223423,ExpressionUUID->"3a6a426d-fbc4-40d7-9118-d0bcdbb7b28e"]
}, Open  ]],

Cell[TextData[{
 "Here I ask for the ",
 Cell[BoxData[
 "\"\<cabins.json\>\""], "InlineCodeText",ExpressionUUID->
  "e5a40e0c-8574-45c8-b464-0d528f7692ed"],
 " file within the archive returned. Even though I don\[CloseCurlyQuote]t \
specify that the data should be parsed as if it were in JSON format, the \
importer correctly guesses that such is the case due to the ",
 Cell[BoxData[
  RowBox[{".", "json"}]], "InlineCodeText",ExpressionUUID->
  "381b7023-e3f0-4c25-99c0-eeca6f1b030e"],
 " extension in the file name."
}], "Text",
 CellChangeTimes->{{3.77176210780783*^9, 3.771762131082349*^9}, {
  3.771956460932538*^9, 3.7719565040576057`*^9}, {3.8130820098064165`*^9, 
  3.81308200999331*^9}, {3.877450493567872*^9, 3.8774505316482525`*^9}, {
  3.885996289986513*^9, 3.885996294934375*^9}},
 CellID->38787077,ExpressionUUID->"5fa63d02-0261-4355-a525-f7e0d99ef0fc"],

Cell[TextData[{
 "Import a file bearing a ",
 Cell[BoxData[
  RowBox[{".", "json"}]], "InlineCode",ExpressionUUID->
  "e4ebd6fd-fd98-44df-9525-c952153117ea"],
 " extension within a ZIP archive and see the importer correctly guess that I \
want the material parsed as JSON:"
}], "CodeText",
 CellChangeTimes->{{3.771956506282799*^9, 3.771956553638733*^9}, 
   3.8121251278554306`*^9, {3.877450567374786*^9, 3.8774505809352283`*^9}},
 CellID->180435782,ExpressionUUID->"b054f43a-cff8-4ce9-93f5-d85b8505fc26"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"zipFile", ",", "\"\<cabins.json\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.771745749350719*^9, 3.771745757764509*^9}, {
  3.7717458814268417`*^9, 3.771745891810278*^9}, {3.7717496131839447`*^9, 
  3.771749629143982*^9}, {3.771762048132524*^9, 3.77176209873099*^9}, {
  3.771956448664009*^9, 3.771956451959058*^9}, {3.869919311505643*^9, 
  3.869919324601489*^9}},
 CellLabel->"In[106]:=",
 CellID->1332063349,ExpressionUUID->"61cd081d-919b-40ca-8d30-0e4b09334ebf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"1st\"\>", ",", "300", ",", "True", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"2nd\"\>", ",", "200", ",", "True", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3rd\"\>", ",", "100", ",", "False", ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5", ",", "6"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"crew\"\>", ",", "80", ",", "False", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "7"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.771762090495761*^9, 3.771762099175692*^9}, 
   3.7719564528347816`*^9, 3.824838222685308*^9, 3.869919318904723*^9, 
   3.881832120405658*^9, 3.899462767783214*^9},
 CellLabel->"Out[106]=",
 CellID->674192937,ExpressionUUID->"70db163b-c2ea-429c-acfa-9681b7fc55f0"]
}, Open  ]],

Cell["\<\
I could also ask for it as text. I\[CloseCurlyQuote]m only going to get the \
first two hundred characters to save space.\
\>", "Text",
 CellID->439382467,ExpressionUUID->"cd9c9291-ed9a-40aa-82c6-a55bbf71e747"],

Cell[TextData[{
 "Import a JSON file from a ZIP archive as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "c829584a-1c64-4e34-bd23-ec6f666efe65"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7719565581700373`*^9, 3.7719565674502974`*^9}, 
   3.812125137599539*^9, {3.873537625373103*^9, 3.87353762759833*^9}, {
   3.8774506131350975`*^9, 3.877450622651712*^9}},
 CellID->653349468,ExpressionUUID->"2b731e92-3747-49ea-89aa-374544901203"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"zipFile", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<cabins.json\>\"", ",", "\"\<Text\>\""}], "}"}]}], "]"}], "//", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"StringTake", "[", 
       RowBox[{"#", ",", "200"}], "]"}], "&"}], ")"}], "/*", 
    InterpretationBox[
     TagBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       #& ,
       TagBoxNote->" "],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "ShowQuotes"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
        "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.771762150192031*^9, 3.771762248065454*^9}, 
   3.8242240034090242`*^9, 3.874505697302018*^9},
 CellLabel->"In[107]:=",
 CellID->348078449,ExpressionUUID->"85da3850-d5d4-4823-9999-ef598b7065be"],

Cell[BoxData[
 StyleBox[
  "\"\<[\\n\\t[\\n\\t\\t\\\"1st\\\",\\n\\t\\t300,\\n\\t\\ttrue,\\n\\t\\t[\\n\\\
t\\t\\t1,\\n\\t\\t\\t2\\n\\t\\t]\\n\\t],\\n\\t[\\n\\t\\t\\\"2nd\\\",\\n\\t\\\
t200,\\n\\t\\ttrue,\\n\\t\\t[\\n\\t\\t\\t3,\\n\\t\\t\\t4\\n\\t\\t]\\n\\t],\\n\
\\t[\\n\\t\\t\\\"3rd\\\",\\n\\t\\t100,\\n\\t\\tfalse,\\n\\t\\t[\\n\\t\\t\\t4,\
\\n\\t\\t\\t5,\\n\\t\\t\\t6\\n\\t\\t]\\n\\t],\\n\\t[\\n\\t\\t\\\"crew\\\",\\n\
\\t\\t80,\\n\\t\\tfalse,\\n\\t\\t[\\n\\t\\t\\t6,\\n\\t\\t\\t\>\"",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{{3.77176215892767*^9, 3.771762183296727*^9}, {
   3.771762236603446*^9, 3.771762248508564*^9}, 3.824838251472437*^9, 
   3.88183214075439*^9, 3.8994627867201347`*^9},
 CellLabel->"Out[107]=",
 CellID->823561564,ExpressionUUID->"22c90af5-78b6-4b3b-be0e-4c7e9ac96aa8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Using the Google Sheets Format", "Subsection",
 CellChangeTimes->{{3.7716851098536167`*^9, 3.771685114580759*^9}, {
  3.823789789584977*^9, 3.823789796905449*^9}},
 CellID->1823888914,ExpressionUUID->"500eca0b-0440-45ba-bf5d-67cea12f3668"],

Cell[TextData[{
 "There\[CloseCurlyQuote]s no ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " format exactly meant for Google Sheets, spreadsheets located on Google \
Drive. Still, it is not hard to retrieve them. Here\[CloseCurlyQuote]s an \
image of one I\[CloseCurlyQuote]ve made available to the public. It\
\[CloseCurlyQuote]s very simple and describes key events in an important \
American legal case, Marbury v. Madison. There are two \
\[OpenCurlyDoubleQuote]sheets,\[CloseCurlyDoubleQuote] one called \
\[OpenCurlyDoubleQuote]Chronology\[CloseCurlyDoubleQuote] and the other \
called \[OpenCurlyDoubleQuote]People.\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.771687769856824*^9, 3.771687845412032*^9}, {
   3.771687877213307*^9, 3.771687885892617*^9}, {3.771688039794366*^9, 
   3.771688066466401*^9}, {3.771688197529595*^9, 3.771688202355372*^9}, {
   3.771691958111911*^9, 3.7716919732750397`*^9}, {3.771692075119526*^9, 
   3.771692081308457*^9}, {3.8128089121742644`*^9, 3.8128089125191975`*^9}, 
   3.8130821147068157`*^9, 3.873537666942819*^9},
 CellTags->{"LastCellOfAPage", "i:38"},
 CellID->1774779777,ExpressionUUID->"19771c5d-716c-4a3f-b8be-e76af4fffbca"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzsvQd4HMeZ5w37fLZvv92zz/ft+fPKWlHBlr22pfVqbe+tvHu7zgzSZ63t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    "], {{0, 1205.}, {1364., 0}}, {0, 255},
    ColorFunction->RGBColor,
    ImageResolution->{72, 72}],
   BoxForm`ImageTag[
   "Byte", ColorSpace -> "RGB", Interleaving -> True, 
    MetaInformation -> <|
     "XMP" -> <|
       "XMPBasicSchema" -> <|
         "CreatorTool" -> "Adobe Photoshop 24.6 (Macintosh)", "CreateDate" -> 
          DateObject[{2023, 7, 13, 8, 50, 48.}, "Instant", "Gregorian", -7.], 
          "ModifyDate" -> 
          DateObject[{2023, 7, 13, 10, 11, 22.}, "Instant", "Gregorian", -7.],
           "MetadataDate" -> 
          DateObject[{2023, 7, 13, 10, 11, 22.}, "Instant", 
            "Gregorian", -7.]|>, 
        "DublinCoreSchema" -> <|"Format" -> "image/png"|>, 
        "PhotoshopSchema" -> <|
         "ColorMode" -> 3, "DocumentAncestors" -> 
          "xmp.did:486be95c-373f-4138-a3b3-2e5ad9d90a06"|>, 
        "XMPMediaManagementSchema" -> <|
         "InstanceID" -> "xmp.iid:e2c0774b-6224-47eb-9157-013405be5959", 
          "DocumentID" -> 
          "adobe:docid:photoshop:8adb7d4f-05db-1448-a564-c2c14b9e163c", 
          "OriginalDocumentID" -> 
          "xmp.did:486be95c-373f-4138-a3b3-2e5ad9d90a06", 
          "History[1]" -> <|
           "Event" -> <|
             "Action" -> "created", "InstanceID" -> 
              "xmp.iid:486be95c-373f-4138-a3b3-2e5ad9d90a06", "When" -> 
              DateObject[{2023, 7, 13, 8, 50, 48.}, "Instant", 
                "Gregorian", -7.], "SoftwareAgent" -> 
              "Adobe Photoshop 24.6 (Macintosh)"|>|>, 
          "History[2]" -> <|
           "Event" -> <|
             "Action" -> "saved", "InstanceID" -> 
              "xmp.iid:23eba760-4fe6-43e6-8126-9179a355c686", "When" -> 
              DateObject[{2023, 7, 13, 8, 58, 57.}, "Instant", 
                "Gregorian", -7.], "SoftwareAgent" -> 
              "Adobe Photoshop 24.6 (Macintosh)", "Changed" -> "/"|>|>, 
          "History[3]" -> <|
           "Event" -> <|
             "Action" -> "saved", "InstanceID" -> 
              "xmp.iid:7c16b36c-65ce-41e0-b14f-a5de1759cbd4", "When" -> 
              DateObject[{2023, 7, 13, 10, 11, 22.}, "Instant", 
                "Gregorian", -7.], "SoftwareAgent" -> 
              "Adobe Photoshop 24.6 (Macintosh)", "Changed" -> "/"|>|>, 
          "History[4]" -> <|
           "Event" -> <|
             "Action" -> "converted", "Parameters" -> 
              "from application/vnd.adobe.photoshop to image/png"|>|>, 
          "History[5]" -> <|
           "Event" -> <|
             "Action" -> "derived", "Parameters" -> 
              "converted from application/vnd.adobe.photoshop to \
image/png"|>|>, 
          "History[6]" -> <|
           "Event" -> <|
             "Action" -> "saved", "InstanceID" -> 
              "xmp.iid:e2c0774b-6224-47eb-9157-013405be5959", "When" -> 
              DateObject[{2023, 7, 13, 10, 11, 22.}, "Instant", 
                "Gregorian", -7.], "SoftwareAgent" -> 
              "Adobe Photoshop 24.6 (Macintosh)", "Changed" -> "/"|>|>, 
          "DerivedFrom" -> <|
           "Reference" -> <|
             "InstanceID" -> "xmp.iid:7c16b36c-65ce-41e0-b14f-a5de1759cbd4", 
              "DocumentID" -> 
              "adobe:docid:photoshop:73fffaed-353b-b54a-b413-1b7af8e59f62", 
              "OriginalDocumentID" -> 
              "xmp.did:486be95c-373f-4138-a3b3-2e5ad9d90a06"|>|>|>|>|>],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{474.3664043719952, Automatic},
  ImageSizeRaw->{1364., 1205.},
  PlotRange->{{0, 1364.}, {0, 1205.}}]], "Picture",
 CellChangeTimes->{3.898257131979146*^9},
 CellTags->"p: 319",
 CellID->1145694989,ExpressionUUID->"48199c61-89de-458a-b9fa-1f043d518c65"],

Cell["\<\
One way to go about retrieving the information is to use Google Sheets to \
download the spreadsheet as an Excel file and then simply use the material in \
this chapter on importing from Excel. That works splendidly, but it does take \
the extra step of requesting a download, which is fine if one has to do it \
once but less fun if one has to do it on a number of spreadsheets or if one \
has to do it repeatedly as the content of the spreadsheet changes.\
\>", "Text",
 CellChangeTimes->{{3.771693186101294*^9, 3.771693259210162*^9}, {
  3.771700841062467*^9, 3.7717009205725403`*^9}, {3.8130821262582817`*^9, 
  3.8130821430420923`*^9}, {3.873537718497724*^9, 3.873537720432164*^9}, {
  3.878215060905018*^9, 3.878215077115288*^9}},
 CellID->124174871,ExpressionUUID->"77753a51-a338-4a40-9a0a-6f1e18dfacba"],

Cell[TextData[{
 "To obtain the contents programmatically, one can essentially do the same \
thing, but instead of mousing over and clicking ",
 StyleBox["Download \[FilledRightTriangle] Microsoft Excel (.xlsx)", 
  "DialogElementName"],
 " within the Google Sheets interface, one sends a customized URL string to \
Google. I obtain the spreadsheet\[CloseCurlyQuote]s \
\[OpenCurlyDoubleQuote]sharing\[CloseCurlyDoubleQuote] URL from within Google \
Sheets. (I\[CloseCurlyQuote]m not aware of how one can automate this process.)"
}], "Text",
 CellChangeTimes->{{3.771693996117585*^9, 3.771694080581115*^9}, {
   3.771694546665856*^9, 3.771694582377143*^9}, {3.77169497344274*^9, 
   3.771695004454852*^9}, {3.77170093691595*^9, 3.771700965334118*^9}, {
   3.8130821765772195`*^9, 3.8130822068258133`*^9}, {3.8782151371142397`*^9, 
   3.8782151494564457`*^9}, {3.8859973728380156`*^9, 3.8859973762390227`*^9}, 
   3.886238602376506*^9, 3.895850609888194*^9, {3.895858986499786*^9, 
   3.8958589881695213`*^9}},
 CellID->1789776097,ExpressionUUID->"373170ee-4832-4c58-8866-c0584b0e9813"],

Cell["\<\
Assign the URL of a Google spreadsheet to a Wolfram Language variable:\
\>", "CodeText",
 CellChangeTimes->{{3.771956600605392*^9, 3.771956615397654*^9}, 
   3.812125166639245*^9},
 CellID->1801011952,ExpressionUUID->"8d9527b1-b893-49a0-85eb-c3bf22ce9891"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "sharingURL", "=", 
   "\"\<https://docs.google.com/spreadsheets/d/\
1VnBo43s6VnIRzv1g8XkTeLkECFyeAPLIkZFX4psV4AE/edit?usp=sharing\>\""}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.771691858569825*^9, 3.77169186140727*^9}},
 CellLabel->"In[108]:=",
 CellID->1375801046,ExpressionUUID->"60463a34-13b4-4db0-ae16-52733bbb7be3"],

Cell[TextData[{
 "Now use ",
 ButtonBox["StringReplace",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StringReplace.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/StringReplace.html"],
 " to replace the material after the final ",
 Cell[BoxData[
 "/"], "InlineCodeText",ExpressionUUID->
  "d5ff4723-ae74-4148-bd32-ecbfad66af8b"],
 " with ",
 Cell[BoxData[
 "\"\<export?format=xlsx\>\""], "InlineCodeText",ExpressionUUID->
  "b2fbaeb4-cfb4-49d9-9c5b-6b570066ebb4"],
 "."
}], "Text",
 CellChangeTimes->{{3.771694082205638*^9, 3.771694107845888*^9}, {
  3.771694591196823*^9, 3.771694592603147*^9}, {3.8130822166064386`*^9, 
  3.8130822501803493`*^9}, {3.869919733603016*^9, 3.869919739400609*^9}, {
  3.87353778606351*^9, 3.873537788901657*^9}, {3.8774541330969677`*^9, 
  3.877454140537142*^9}},
 CellID->2115075169,ExpressionUUID->"c0501228-2c39-4019-aa11-af388e0efb88"],

Cell["\<\
Change the URL to tell the Google Sheet to export itself as XLSX:\
\>", "CodeText",
 CellChangeTimes->{{3.771956624247801*^9, 3.771956639188944*^9}, 
   3.8121251755652523`*^9, {3.813082256506524*^9, 3.813082258529998*^9}},
 CellID->698227295,ExpressionUUID->"b2f79990-f63e-48df-bbd4-903abe505c11"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"url", "=", 
  RowBox[{"StringReplace", "[", 
   RowBox[{"sharingURL", ",", 
    RowBox[{
    "\"\<edit?usp=sharing\>\"", "->", "\"\<export?format=xlsx\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.771694476298298*^9, 3.771694493951222*^9}, 
   3.771694601453637*^9},
 CellLabel->"In[109]:=",
 CellID->1681102184,ExpressionUUID->"8f47b617-1617-4aa9-a583-862ddf979bcf"],

Cell[BoxData["\<\"https://docs.google.com/spreadsheets/d/\
1VnBo43s6VnIRzv1g8XkTeLkECFyeAPLIkZFX4psV4AE/export?format=xlsx\"\>"], \
"Output",
 CellChangeTimes->{3.771694494191258*^9, 3.7716946022603407`*^9, 
  3.771701058182104*^9, 3.771846370725821*^9, 3.824838565136664*^9, 
  3.8699197449347887`*^9, 3.881832165138521*^9, 3.8994628784650383`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[109]=",
 CellID->308329585,ExpressionUUID->"0c6393f3-02e8-42c4-acda-3fd4049e7f08"]
}, Open  ]],

Cell["\<\
Now I can import it as an XLSX object. Note that we get both sheets of the \
spreadsheet.\
\>", "Text",
 CellChangeTimes->{{3.771689441927538*^9, 3.7716894485300198`*^9}, {
  3.771694626173624*^9, 3.771694646791856*^9}, {3.771846296821467*^9, 
  3.771846302479505*^9}, {3.812103839799472*^9, 3.8121038399839964`*^9}, {
  3.813082263324643*^9, 3.813082263517503*^9}},
 CellTags->"p: 320",
 CellID->979354212,ExpressionUUID->"38c93bc7-857c-47fd-a32b-2e2c22d75453"],

Cell["Import both sheets of a Google spreadsheet as XLSX:", "CodeText",
 CellChangeTimes->{{3.771956645853931*^9, 3.771956659126793*^9}, 
   3.8121251874077053`*^9},
 CellID->15786204,ExpressionUUID->"794f40a8-a612-4bfb-96e8-3182a643c77f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"googleToXLSX", "=", 
  RowBox[{"Import", "[", 
   RowBox[{"url", ",", "\"\<XLSX\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.771694248212414*^9, 3.771694270312149*^9}, {
  3.771694498641239*^9, 3.77169452207156*^9}, {3.771694607794718*^9, 
  3.771694621614876*^9}, {3.771694655764887*^9, 3.771694667013609*^9}, {
  3.771694728658462*^9, 3.771694797514166*^9}},
 CellLabel->"In[110]:=",
 CellID->260276050,ExpressionUUID->"bbd7102e-8aea-47e0-8ed8-da57fdfe6d09"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"Event\"\>", ",", "\<\"Date\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Congress enacts Judiciary Act of 1789\"\>", 
       ",", "\<\"9/24/1789\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"John Marshall named Secretary of State\"\>", 
       ",", "\<\"6/6/1800\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"John Marshall confirmed as Chief Justice\"\>", 
       ",", "\<\"2/4/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Congress enacts Midnight Judges bill (Judiciary Act of \
1801)\"\>", ",", "\<\"2/13/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"House elects Jefferson President\"\>", 
       ",", "\<\"2/17/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Adams submits Marbury + 41 others to Senate as JPs\"\>", 
       ",", "\<\"3/2/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Senate confirms Marbury + 41 others as JPs\"\>", 
       ",", "\<\"3/3/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"James Marshall goes to Alexandria to deliver JP \
Commissions\"\>", ",", "\<\"3/3/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Thomas Jefferson takes office as President\"\>", 
       ",", "\<\"3/4/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"James Madison appointed Secretary of State\"\>", 
       ",", "\<\"3/5/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Thomas Jefferson tells Madison not to deliver \
commissions\"\>", ",", "\<\"4/1/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Marbury warns Jefferson he seeks mandamus in Supreme Court\
\"\>", ",", "\<\"12/16/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Supreme Court holds hearing\"\>", 
       ",", "\<\"12/17/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Supreme Court rules Madison has to show cause\"\>", 
       ",", "\<\"12/18/1801\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Congress abolishes 1802 Supreme Court term\"\>", 
       ",", "\<\"4/1/1802\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Marbury petitions Senate for journal showing \
confirmation\"\>", ",", "\<\"1/28/1803\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Senate refuses 15-13 to provide copy\"\>", 
       ",", "\<\"1/31/1803\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Supreme Court (John Marshall) issues Marbury v. \
Madison\"\>", ",", "\<\"2/24/1803\"\>"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"FirstName\"\>", ",", "\<\"LastName\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"John\"\>", ",", "\<\"Marshall\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"James\"\>", ",", "\<\"Marshall\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"Thomas\"\>", ",", "\<\"Jefferson\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"William\"\>", ",", "\<\"Marbury\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"James\"\>", ",", "\<\"Madison\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"John\"\>", ",", "\<\"Adams\"\>"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.771694255632482*^9, 3.7716942708704844`*^9}, {
   3.771694502612664*^9, 3.771694522816896*^9}, {3.771694609430983*^9, 
   3.7716946224476557`*^9}, {3.771694658810557*^9, 3.771694668835437*^9}, {
   3.771694738471889*^9, 3.771694798583392*^9}, {3.7717010532653112`*^9, 
   3.7717010603048897`*^9}, 3.771846374020393*^9, {3.771846930026842*^9, 
   3.771846951335091*^9}, 3.8248385785365763`*^9, 3.86991975329156*^9, 
   3.881832180095952*^9, 3.899462889473875*^9},
 CellLabel->"Out[110]=",
 CellID->893752380,ExpressionUUID->"97e1a108-a2d4-4722-aa43-6466f11ffeae"]
}, Open  ]],

Cell[TextData[{
 "I can then use the techniques described in this book to get the data into a \
more computable form. Suppose, for example, that I want a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations for the first sheet. I can write the following code. "
}], "Text",
 CellChangeTimes->{{3.771694671575625*^9, 3.771694699838035*^9}, {
   3.771694852530752*^9, 3.771694868385618*^9}, {3.8121038429759245`*^9, 
   3.8121038500394077`*^9}, 3.813082287404166*^9, {3.869919768373129*^9, 
   3.869919784287613*^9}},
 CellID->1250776111,ExpressionUUID->"669f1359-5d82-427a-8453-7adb5d19c786"],

Cell[TextData[{
 "Convert a sheet of a Google spreadsheet imported as XLSX into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.7719566698655*^9, 3.7719566886792707`*^9}, 
   3.8121252032565804`*^9, 3.8735378993963413`*^9},
 CellID->992191031,ExpressionUUID->"85df08f1-d532-4338-a114-ea7059e41c3c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"marburyEvents", "=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"header1", "=", 
      RowBox[{"First", "[", 
       RowBox[{"First", "[", "googleToXLSX", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"AssociationThread", "[", 
        RowBox[{"header1", ",", "#"}], "]"}], "&"}], ",", 
      RowBox[{"Rest", "[", 
       RowBox[{"googleToXLSX", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7716948085994062`*^9, 3.771694843327065*^9}, {
  3.7717010435322027`*^9, 3.771701048730382*^9}, {3.8248387767496758`*^9, 
  3.824838791847677*^9}, {3.869919818566045*^9, 3.869919826020624*^9}},
 CellLabel->"In[111]:=",
 CellID->1367718130,ExpressionUUID->"4e682f55-1637-4d8c-beb1-1fabba63b05f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Congress enacts Judiciary Act of 1789\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"9/24/1789\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"John Marshall named Secretary of State\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"6/6/1800\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"John Marshall confirmed as Chief Justice\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"2/4/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Congress enacts Midnight Judges bill (Judiciary Act of \
1801)\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"2/13/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"House elects Jefferson President\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"2/17/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Adams submits Marbury + 41 others to Senate as \
JPs\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"3/2/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Senate confirms Marbury + 41 others as JPs\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"3/3/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"James Marshall goes to Alexandria to deliver JP \
Commissions\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"3/3/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Thomas Jefferson takes office as President\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"3/4/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"James Madison appointed Secretary of State\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"3/5/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Thomas Jefferson tells Madison not to deliver \
commissions\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"4/1/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Marbury warns Jefferson he seeks mandamus in Supreme \
Court\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"12/16/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Supreme Court holds hearing\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"12/17/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Supreme Court rules Madison has to show cause\"\>"}], 
     ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"12/18/1801\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Congress abolishes 1802 Supreme Court term\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"4/1/1802\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Marbury petitions Senate for journal showing \
confirmation\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"1/28/1803\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Senate refuses 15-13 to provide copy\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"1/31/1803\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Event\"\>", 
      "\[Rule]", "\<\"Supreme Court (John Marshall) issues Marbury v. Madison\
\"\>"}], ",", 
     RowBox[{"\<\"Date\"\>", "\[Rule]", "\<\"2/24/1803\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8248387938619204`*^9, 3.869919827270587*^9, 
  3.881832186741749*^9, 3.899462904852026*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[111]=",
 CellID->112695155,ExpressionUUID->"bbe7145c-7d15-4a4a-b8c5-0d2b6a2ce6bd"]
}, Open  ]],

Cell[TextData[{
 "And if I wanted an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of Lists for the second sheet, I could write the following code."
}], "Text",
 CellChangeTimes->{{3.7716948709971733`*^9, 3.771694904052577*^9}, {
  3.873537945921875*^9, 3.8735379693911867`*^9}, {3.874747754340007*^9, 
  3.874747759673769*^9}},
 CellTags->"p: 321",
 CellID->1720042046,ExpressionUUID->"68dbecf1-3392-49cf-9c63-110da7489200"],

Cell[TextData[{
 "Convert a sheet of a Google spreadsheet imported as XLSX into an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of Lists:"
}], "CodeText",
 CellChangeTimes->{{3.7719566698655*^9, 3.771956706604751*^9}, 
   3.8121252116866984`*^9, 3.8735379571162786`*^9},
 CellID->714327094,ExpressionUUID->"61ec5bfe-4741-4267-97bd-e39a3681e62c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"Association", ",", 
    RowBox[{
     RowBox[{
      RowBox[{"First", "[", "#", "]"}], "\[Rule]", 
      RowBox[{"Rest", "[", "#", "]"}]}], "&"}]}], "]"}], "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{"googleToXLSX", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.771694908289744*^9, 3.771694939068612*^9}},
 CellLabel->"In[112]:=",
 CellID->2066847416,ExpressionUUID->"c72cccd8-6688-4893-a0be-a923e7a1bb1f"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"FirstName\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"John\"\>", ",", "\<\"James\"\>", ",", "\<\"Thomas\"\>", 
      ",", "\<\"William\"\>", ",", "\<\"James\"\>", ",", "\<\"John\"\>"}], 
     "}"}]}], ",", 
   RowBox[{"\<\"LastName\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"Marshall\"\>", ",", "\<\"Marshall\"\>", 
      ",", "\<\"Jefferson\"\>", ",", "\<\"Marbury\"\>", 
      ",", "\<\"Madison\"\>", ",", "\<\"Adams\"\>"}], "}"}]}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.771694917595272*^9, 3.7716949394919777`*^9}, 
   3.771701093493848*^9, 3.771846387770419*^9, 3.881832194570774*^9, 
   3.899462917079321*^9},
 CellLabel->"Out[112]=",
 CellID->1940453789,ExpressionUUID->"63c2c06d-003f-43b0-ab3f-0c76ea11bb4b"]
}, Open  ]],

Cell[TextData[{
 "If, by the way, you just want the first sheet of a Google Sheets document, \
it\[CloseCurlyQuote]s even easier. Replace the end of the sharing URL with ",
 Cell[BoxData[
 "\"\<export?format=csv\>\""], "InlineCodeText",ExpressionUUID->
  "e614d9fc-c7f7-4cae-a0a8-4fe05ad8fe15"],
 "."
}], "Text",
 CellChangeTimes->{{3.7716950143338118`*^9, 3.771695078189142*^9}, {
  3.771701099136273*^9, 3.771701106209606*^9}, {3.8128089186950865`*^9, 
  3.8128089194054375`*^9}, {3.8780370183390446`*^9, 3.8780370340212126`*^9}, {
  3.8958569789397697`*^9, 3.8958569792917347`*^9}},
 CellID->2009675411,ExpressionUUID->"0b055845-97d9-427d-a520-052b9bfde9fe"],

Cell["\<\
Create a string that will tell a Google spreadsheet to export its first sheet \
as CSV:\
\>", "CodeText",
 CellChangeTimes->{{3.771956718066242*^9, 3.771956734871512*^9}, 
   3.8121252198627224`*^9, {3.8130829129137707`*^9, 3.8130829130147514`*^9}},
 CellID->549636755,ExpressionUUID->"d3430470-2c8d-4a51-b902-475f80b98f7c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"urlCSV", "=", 
  RowBox[{"StringReplace", "[", 
   RowBox[{"sharingURL", ",", 
    RowBox[{"\"\<edit?usp=sharing\>\"", "->", "\"\<export?format=csv\>\""}]}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.771694476298298*^9, 3.771694493951222*^9}, 
   3.771694601453637*^9, {3.771695080588881*^9, 3.771695084195609*^9}},
 CellLabel->"In[113]:=",
 CellID->1845492891,ExpressionUUID->"74295923-4f1e-47d9-9bf2-0ba1e1807a3f"],

Cell[BoxData["\<\"https://docs.google.com/spreadsheets/d/\
1VnBo43s6VnIRzv1g8XkTeLkECFyeAPLIkZFX4psV4AE/export?format=csv\"\>"], "Output",
 CellChangeTimes->{3.771694494191258*^9, 3.7716946022603407`*^9, 
  3.771695085579262*^9, 3.771701112303198*^9, 3.771846395634398*^9, 
  3.824839281532448*^9, 3.869921919029193*^9, 3.881832200341998*^9, 
  3.8994629313575983`*^9},
 CellLabel->"Out[113]=",
 CellID->949011727,ExpressionUUID->"b0195c06-a78c-4e94-bd7e-cd87dbfdb265"]
}, Open  ]],

Cell[TextData[{
 "Now you can import it as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " in just one line of code that looks exactly like what you would do if the \
file were a CSV one."
}], "Text",
 CellChangeTimes->{{3.7716951045555*^9, 3.771695125312214*^9}, {
   3.8130829315680003`*^9, 3.813082941127615*^9}, 3.87353804122257*^9},
 CellID->526498110,ExpressionUUID->"02ff8762-b4c0-41c9-94b3-10ec89cf4ffe"],

Cell[TextData[{
 "Import the first sheet of a Google spreadsheet as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with proper column names; use the ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " to help the result fit on a printed page:"
}], "CodeText",
 CellChangeTimes->{{3.771956739942562*^9, 3.771956769747456*^9}, 
   3.8121252320063586`*^9, {3.8130829446623435`*^9, 3.8130829494316607`*^9}, {
   3.8699219883346567`*^9, 3.8699220055567427`*^9}, {3.873538055057353*^9, 
   3.8735380666160393`*^9}},
 CellID->852638398,ExpressionUUID->"1ec88789-5d95-4ceb-8291-c026984c57fe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"marburyDataset", "=", 
  RowBox[{
   RowBox[{"Import", "[", 
    RowBox[{"urlCSV", ",", "\"\<Dataset\>\"", ",", 
     RowBox[{"HeaderLines", "\[Rule]", "1"}]}], "]"}], "//", 
   RowBox[{
    InterpretationBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "FormatDataset"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
        "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Format a dataset using a given set of option values", 
        "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], "[", 
    RowBox[{
     RowBox[{"ItemSize", "\[Rule]", "24"}], ",", 
     RowBox[{"ItemStyle", "\[Rule]", "9"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.771695042985896*^9, {3.7716950879835167`*^9, 3.771695101666017*^9}, {
   3.7716964280921917`*^9, 3.771696433558833*^9}, {3.771846406712112*^9, 
   3.771846447754286*^9}, {3.869921924986306*^9, 3.869921982585935*^9}},
 CellLabel->"In[116]:=",
 CellID->1686258613,ExpressionUUID->"b49a66d4-0488-4380-a5f2-79dbd08614f5"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "Event" -> "Congress enacts Judiciary Act of 1789", "Date" -> 
        "9/24/1789"|>, <|
       "Event" -> "John Marshall named Secretary of State", "Date" -> 
        "6/6/1800"|>, <|
       "Event" -> "John Marshall confirmed as Chief Justice", "Date" -> 
        "2/4/1801"|>, <|
       "Event" -> 
        "Congress enacts Midnight Judges bill (Judiciary Act of 1801)", 
        "Date" -> "2/13/1801"|>, <|
       "Event" -> "House elects Jefferson President", "Date" -> 
        "2/17/1801"|>, <|
       "Event" -> "Adams submits Marbury + 41 others to Senate as JPs", 
        "Date" -> "3/2/1801"|>, <|
       "Event" -> "Senate confirms Marbury + 41 others as JPs", "Date" -> 
        "3/3/1801"|>, <|
       "Event" -> 
        "James Marshall goes to Alexandria to deliver JP Commissions", "Date" -> 
        "3/3/1801"|>, <|
       "Event" -> "Thomas Jefferson takes office as President", "Date" -> 
        "3/4/1801"|>, <|
       "Event" -> "James Madison appointed Secretary of State", "Date" -> 
        "3/5/1801"|>, <|
       "Event" -> "Thomas Jefferson tells Madison not to deliver commissions",
         "Date" -> "4/1/1801"|>, <|
       "Event" -> 
        "Marbury warns Jefferson he seeks mandamus in Supreme Court", "Date" -> 
        "12/16/1801"|>, <|
       "Event" -> "Supreme Court holds hearing", "Date" -> "12/17/1801"|>, <|
       "Event" -> "Supreme Court rules Madison has to show cause", "Date" -> 
        "12/18/1801"|>, <|
       "Event" -> "Congress abolishes 1802 Supreme Court term", "Date" -> 
        "4/1/1802"|>, <|
       "Event" -> "Marbury petitions Senate for journal showing confirmation",
         "Date" -> "1/28/1803"|>, <|
       "Event" -> "Senate refuses 15-13 to provide copy", "Date" -> 
        "1/31/1803"|>, <|
       "Event" -> "Supreme Court (John Marshall) issues Marbury v. Madison", 
        "Date" -> "2/24/1803"|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "Event"} -> 1, {All, "Date"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "Event" -> TypeSystem`PackageScope`AtomShape[560.], "Date" -> 
            TypeSystem`PackageScope`AtomShape[112.00000000000001`]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"Event", "Date"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[String]}], 18], 
     "Meta" -> <|ItemSize -> 24, ItemStyle -> 9|>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "Event"} -> 1, {All, "Date"} -> 
        1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "Event" -> TypeSystem`PackageScope`AtomShape[560.], "Date" -> 
            TypeSystem`PackageScope`AtomShape[112.00000000000001`]|>], 
          DirectedInfinity[1], 2, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"Event", "Date"}, {
         TypeSystem`Atom[String], 
         TypeSystem`Atom[String]}], 18], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 18, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Event", 
                  Style[
                  "Event", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Event"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{All, "Event"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Date", 
                  Style[
                  "Date", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "Date"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{All, "Date"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["Congress enacts Judiciary Act of 1789", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{1, 
                 Key["Event"]}, "Item", False], "Mouse"], 
              ImageSize -> {{560., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["9/24/1789", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{1, 
                 Key["Date"]}, "Item", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["John Marshall named Secretary of State", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{2, 
                 Key["Event"]}, "Item", False], "Mouse"], 
              ImageSize -> {{560., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["6/6/1800", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{2, 
                 Key["Date"]}, "Item", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["John Marshall confirmed as Chief Justice", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{3, 
                 Key["Event"]}, "Item", False], "Mouse"], 
              ImageSize -> {{560., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2/4/1801", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{3, 
                 Key["Date"]}, "Item", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
              "Congress enacts Midnight Judges bill (Judiciary Act of 1801)", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{4, 
                 Key["Event"]}, "Item", False], "Mouse"], 
              ImageSize -> {{560., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2/13/1801", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{4, 
                 Key["Date"]}, "Item", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["House elects Jefferson President", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{5, 
                 Key["Event"]}, "Item", False], "Mouse"], 
              ImageSize -> {{560., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["2/17/1801", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{5, 
                 Key["Date"]}, "Item", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Adams submits Marbury + 41 others to Senate as JPs", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{6, 
                 Key["Event"]}, "Item", False], "Mouse"], 
              ImageSize -> {{560., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3/2/1801", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{6, 
                 Key["Date"]}, "Item", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["Senate confirms Marbury + 41 others as JPs", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{7, 
                 Key["Event"]}, "Item", False], "Mouse"], 
              ImageSize -> {{560., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3/3/1801", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{7, 
                 Key["Date"]}, "Item", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
              "James Marshall goes to Alexandria to deliver JP Commissions", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{8, 
                 Key["Event"]}, "Item", False], "Mouse"], 
              ImageSize -> {{560., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["3/3/1801", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2a43997c-2522-4a47-8723-bef3a3a5e29f"]][{8, 
                 Key["Date"]}, "Item", False], "Mouse"], 
              ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], ItemSize -> {24, None}, 
             BaseStyle -> 9, ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 18, 1], {1, 18 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 18, 1], {1, 18 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[18, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[18, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 18, 1], {1, 18 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 18, 1], {1, 18 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{508., {117.3837890625, 124.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{508., {117.3837890625, 124.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.771695095697835*^9, 3.771695102535388*^9}, 
   3.771696434244833*^9, 3.771701116123577*^9, {3.771846391974135*^9, 
   3.771846433233561*^9}, 3.7718464946775713`*^9, 3.771847124398731*^9, 
   3.771847392298253*^9, 3.824839297920578*^9, {3.869921939836382*^9, 
   3.8699219838741627`*^9}, 3.88183220699518*^9, 3.889871219007576*^9, 
   3.899462951305097*^9, 3.899462988092955*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[116]=",
 CellID->761431987,ExpressionUUID->"4bde4db9-6a7a-4b7a-84a2-dac88afca634"]
}, Open  ]],

Cell["\<\
From this, I can use the techniques from the earlier chapters to produce a \
timeline of the case. I\[CloseCurlyQuote]ve moved from a Google spreadsheet \
to a Wolfram Language graphic.\
\>", "Text",
 CellChangeTimes->{{3.771848112523416*^9, 3.771848165024973*^9}, {
  3.8130829555140305`*^9, 3.8130829629184103`*^9}},
 CellTags->"p: 322",
 CellID->2121113940,ExpressionUUID->"8aa6f68d-6bc8-426f-bf47-11386447b15b"],

Cell["\<\
Import the data from a Google spreadsheet and create a timeline of Marbury v. \
Madison based on the result:\
\>", "CodeText",
 CellChangeTimes->{{3.771956774423018*^9, 3.771956798554701*^9}, 
   3.812125244655263*^9, {3.8133188563620586`*^9, 3.8133188564421177`*^9}},
 CellTags->"i:39",
 CellID->764618368,ExpressionUUID->"ccc7a49c-6bf4-4fd4-ba01-b6ce2b1e845a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"plot", "=", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"TimelinePlot", "[", 
           RowBox[{"#", ",", 
            RowBox[{"PlotTheme", "\[Rule]", "\"\<Web\>\""}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"DateObject", "[", 
                RowBox[{"{", 
                 RowBox[{"1800", ",", "6", ",", "1"}], "}"}], "]"}], ",", 
               RowBox[{"DateObject", "[", 
                RowBox[{"{", 
                 RowBox[{"1803", ",", "12", ",", "1"}], "}"}], "]"}]}], 
              "}"}]}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "570"}], ",", 
            RowBox[{
            "PlotLabel", "\[Rule]", 
             "\"\<Chronology of Marbury v. Madison\>\""}]}], "]"}], "&"}], 
         ")"}], "/*", "Framed"}], ")"}]}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"eventForm", "=", 
      RowBox[{
       RowBox[{"Labeled", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Interpreter", "[", "\"\<Date\>\"", "]"}], "[", "#Date", 
          "]"}], ",", 
         RowBox[{"Pane", "[", 
          RowBox[{"#Event", ",", 
           RowBox[{"1.6", "*", "72"}]}], "]"}]}], "]"}], "&"}]}]}], "}"}], 
   ",", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"plot", ",", "eventForm"}], "]"}], "[", "marburyDataset", 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771847524096675*^9, 3.771847831405455*^9}, {
  3.771847872051652*^9, 3.7718481032284946`*^9}},
 CellLabel->"In[117]:=",
 CellID->2117319520,ExpressionUUID->"aa5be512-c717-4964-9673-8c4db454ff2b"],

Cell[BoxData[
 FrameBox[
  GraphicsBox[{
    {AbsolutePointSize[0], Opacity[0], 
     PointBox[NCache[{{-3.1426272*^9, 0}, {-3.032208*^9, Rational[
         203, 4]}}, {{-3.1426272*^9, 0}, {-3.032208*^9, 50.75}}]], 
     PointBox[NCache[{{-3.1426272*^9, Rational[-1, 2]}, {-3.032208*^9, 
         0}}, {{-3.1426272*^9, -0.5}, {-3.032208*^9, 0}}]]}, {}, {
     {PointSize[0], Opacity[0], 
      PointBox[NCache[{{-3.47976*^9, 0}, {-3.0305227165429363`*^9, Rational[
          201, 4]}}, {{-3.47976*^9, 0}, {-3.0305227165429363`*^9, 50.25}}]]}, {
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.0564*^9, 0}, {-3.0564*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{20, 0}, {-3.0587328*^9, 
                    Rational[63, 16]}], 
                  Offset[{10, 0}, {-3.0587328*^9, 
                    Rational[63, 16]}], 
                  Offset[{10, 0}, {-3.0587328*^9, 
                    Rational[3, 2]}], {-3.0564*^9, 
                   Rational[3, 2]}, {-3.0564*^9, 0}}, {
                  Offset[{20, 0}, {-3.0587328*^9, 3.9375}], 
                  Offset[{10, 0}, {-3.0587328*^9, 3.9375}], 
                  Offset[{10, 0}, {-3.0587328*^9, 1.5}], {-3.0564*^9, 
                  1.5}, {-3.0564*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{20, 5}, {-3.0587328*^9, 
                    Rational[63, 16]}], 
                  Offset[{15, 0}, {-3.0587328*^9, 
                    Rational[63, 16]}], 
                  Offset[{20, -5}, {-3.0587328*^9, 
                    Rational[63, 16]}]}, {
                  Offset[{20, 5}, {-3.0587328*^9, 3.9375}], 
                  Offset[{15, 0}, {-3.0587328*^9, 3.9375}], 
                  Offset[{20, -5}, {-3.0587328*^9, 3.9375}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Supreme Court (John Marshall) issues Marbury v. \
Madison\"", ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{20, 0}, {-3.0587328*^9, 
                   Rational[63, 16]}], 
                 Offset[{20, 0}, {-3.0587328*^9, 3.9375}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                Offset[{0, 0}, {-3.0587328*^9, 2}], 
                NCache[
                 Offset[{0, 0}, {-3.0305227165429363`*^9, 
                   Rational[47, 8]}], 
                 Offset[{0, 0}, {-3.0305227165429363`*^9, 5.875}]]]}}}},
           
           ImageSizeCache->{{411.0819148567316, 572.0391416206912}, {
            202.2833746043409, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"02/24/1803\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1803", ",", "2", ",", "24"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1803, 2, 24}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.0584736*^9, 0}, {-3.0584736*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{20, 0}, {-3.0587328*^9, 
                    Rational[141, 16]}], 
                  Offset[{5, 0}, {-3.0587328*^9, 
                    Rational[141, 16]}], 
                  Offset[{5, 0}, {-3.0587328*^9, 
                    Rational[3, 4]}], {-3.0584736*^9, 
                   Rational[3, 4]}, {-3.0584736*^9, 0}}, {
                  Offset[{20, 0}, {-3.0587328*^9, 8.8125}], 
                  Offset[{5, 0}, {-3.0587328*^9, 8.8125}], 
                  Offset[{5, 0}, {-3.0587328*^9, 0.75}], {-3.0584736*^9, 
                  0.75}, {-3.0584736*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{20, 5}, {-3.0587328*^9, 
                    Rational[141, 16]}], 
                  Offset[{15, 0}, {-3.0587328*^9, 
                    Rational[141, 16]}], 
                  Offset[{20, -5}, {-3.0587328*^9, 
                    Rational[141, 16]}]}, {
                  Offset[{20, 5}, {-3.0587328*^9, 8.8125}], 
                  Offset[{15, 0}, {-3.0587328*^9, 8.8125}], 
                  Offset[{20, -5}, {-3.0587328*^9, 8.8125}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Senate refuses 15-13 to provide copy\"", ImageSize -> 
                    115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{20, 0}, {-3.0587328*^9, 
                   Rational[141, 16]}], 
                 Offset[{20, 0}, {-3.0587328*^9, 8.8125}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.0587328*^9, 
                   Rational[55, 8]}], 
                 Offset[{0, 0}, {-3.0587328*^9, 6.875}]], 
                NCache[
                 Offset[{0, 0}, {-3.0305227165429363`*^9, 
                   Rational[43, 4]}], 
                 Offset[{0, 0}, {-3.0305227165429363`*^9, 10.75}]]]}}}},
           
           ImageSizeCache->{{411.0819148567316, 572.0391416206912}, {
            157.7821271008026, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"01/31/1803\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1803", ",", "1", ",", "31"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1803, 1, 31}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.0587328*^9, 0}, {-3.0587328*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{20, 0}, {-3.0587328*^9, 
                    Rational[219, 16]}], 
                  Offset[{0, 0}, {-3.0587328*^9, 
                    Rational[219, 16]}], 
                  
                  Offset[{0, 0}, {-3.0587328*^9, 3}], {-3.0587328*^9, 
                   3}, {-3.0587328*^9, 0}}, {
                  Offset[{20, 0}, {-3.0587328*^9, 13.6875}], 
                  Offset[{0, 0}, {-3.0587328*^9, 13.6875}], 
                  
                  Offset[{0, 0}, {-3.0587328*^9, 3}], {-3.0587328*^9, 
                   3}, {-3.0587328*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{20, 5}, {-3.0587328*^9, 
                    Rational[219, 16]}], 
                  Offset[{15, 0}, {-3.0587328*^9, 
                    Rational[219, 16]}], 
                  Offset[{20, -5}, {-3.0587328*^9, 
                    Rational[219, 16]}]}, {
                  Offset[{20, 5}, {-3.0587328*^9, 13.6875}], 
                  Offset[{15, 0}, {-3.0587328*^9, 13.6875}], 
                  Offset[{20, -5}, {-3.0587328*^9, 13.6875}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Marbury petitions Senate for journal showing \
confirmation\"", ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{20, 0}, {-3.0587328*^9, 
                   Rational[219, 16]}], 
                 Offset[{20, 0}, {-3.0587328*^9, 13.6875}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.0587328*^9, 
                   Rational[47, 4]}], 
                 Offset[{0, 0}, {-3.0587328*^9, 11.75}]], 
                NCache[
                 Offset[{0, 0}, {-3.0305227165429363`*^9, 
                   Rational[125, 8]}], 
                 Offset[{0, 0}, {-3.0305227165429363`*^9, 15.625}]]]}}}},
           
           ImageSizeCache->{{411.0819148567316, 572.0391416206912}, {
            99.28087959726423, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"01/28/1803\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1803", ",", "1", ",", "28"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1803, 1, 28}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.0848256*^9, 0}, {-3.0848256*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{25, 0}, {-3.093984*^9, 
                    Rational[63, 16]}], 
                  Offset[{15, 0}, {-3.093984*^9, 
                    Rational[63, 16]}], 
                  Offset[{15, 0}, {-3.093984*^9, 
                    Rational[3, 2]}], {-3.0848256*^9, 
                   Rational[3, 2]}, {-3.0848256*^9, 0}}, {
                  Offset[{25, 0}, {-3.093984*^9, 3.9375}], 
                  Offset[{15, 0}, {-3.093984*^9, 3.9375}], 
                  Offset[{15, 0}, {-3.093984*^9, 1.5}], {-3.0848256*^9, 
                  1.5}, {-3.0848256*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{25, 5}, {-3.093984*^9, 
                    Rational[63, 16]}], 
                  Offset[{20, 0}, {-3.093984*^9, 
                    Rational[63, 16]}], 
                  Offset[{25, -5}, {-3.093984*^9, 
                    Rational[63, 16]}]}, {
                  Offset[{25, 5}, {-3.093984*^9, 3.9375}], 
                  Offset[{20, 0}, {-3.093984*^9, 3.9375}], 
                  Offset[{25, -5}, {-3.093984*^9, 3.9375}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Congress abolishes 1802 Supreme Court term\"", 
                    ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{25, 0}, {-3.093984*^9, 
                   Rational[63, 16]}], 
                 Offset[{25, 0}, {-3.093984*^9, 3.9375}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                Offset[{0, 0}, {-3.093984*^9, 2}], 
                NCache[
                 Offset[{0, 0}, {-3.0657739165429363`*^9, 
                   Rational[47, 8]}], 
                 Offset[{0, 0}, {-3.0657739165429363`*^9, 5.875}]]]}}}},
           
           ImageSizeCache->{{245.32459847910832`, 411.28182524306794`}, {
            202.2833746043409, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"04/01/1802\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1802", ",", "4", ",", "1"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1802, 4, 1}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.0938112*^9, 0}, {-3.0938112*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{25, 0}, {-3.093984*^9, 
                    Rational[141, 16]}], 
                  Offset[{10, 0}, {-3.093984*^9, 
                    Rational[141, 16]}], 
                  
                  Offset[{10, 0}, {-3.093984*^9, 1}], {-3.0938112*^9, 
                   1}, {-3.0938112*^9, 0}}, {
                  Offset[{25, 0}, {-3.093984*^9, 8.8125}], 
                  Offset[{10, 0}, {-3.093984*^9, 8.8125}], 
                  
                  Offset[{10, 0}, {-3.093984*^9, 1}], {-3.0938112*^9, 
                   1}, {-3.0938112*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{25, 5}, {-3.093984*^9, 
                    Rational[141, 16]}], 
                  Offset[{20, 0}, {-3.093984*^9, 
                    Rational[141, 16]}], 
                  Offset[{25, -5}, {-3.093984*^9, 
                    Rational[141, 16]}]}, {
                  Offset[{25, 5}, {-3.093984*^9, 8.8125}], 
                  Offset[{20, 0}, {-3.093984*^9, 8.8125}], 
                  Offset[{25, -5}, {-3.093984*^9, 8.8125}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Supreme Court rules Madison has to show cause\"", 
                    ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{25, 0}, {-3.093984*^9, 
                   Rational[141, 16]}], 
                 Offset[{25, 0}, {-3.093984*^9, 8.8125}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.093984*^9, 
                   Rational[55, 8]}], 
                 Offset[{0, 0}, {-3.093984*^9, 6.875}]], 
                NCache[
                 Offset[{0, 0}, {-3.0657739165429363`*^9, 
                   Rational[43, 4]}], 
                 Offset[{0, 0}, {-3.0657739165429363`*^9, 10.75}]]]}}}},
           
           ImageSizeCache->{{245.32459847910832`, 411.28182524306794`}, {
            150.7821271008026, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"12/18/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "12", ",", "18"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 12, 18}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.0938976*^9, 0}, {-3.0938976*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{25, 0}, {-3.093984*^9, 
                    Rational[219, 16]}], 
                  Offset[{5, 0}, {-3.093984*^9, 
                    Rational[219, 16]}], 
                  Offset[{5, 0}, {-3.093984*^9, 
                    Rational[1, 2]}], {-3.0938976*^9, 
                   Rational[1, 2]}, {-3.0938976*^9, 0}}, {
                  Offset[{25, 0}, {-3.093984*^9, 13.6875}], 
                  Offset[{5, 0}, {-3.093984*^9, 13.6875}], 
                  Offset[{5, 0}, {-3.093984*^9, 0.5}], {-3.0938976*^9, 
                  0.5}, {-3.0938976*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{25, 5}, {-3.093984*^9, 
                    Rational[219, 16]}], 
                  Offset[{20, 0}, {-3.093984*^9, 
                    Rational[219, 16]}], 
                  Offset[{25, -5}, {-3.093984*^9, 
                    Rational[219, 16]}]}, {
                  Offset[{25, 5}, {-3.093984*^9, 13.6875}], 
                  Offset[{20, 0}, {-3.093984*^9, 13.6875}], 
                  Offset[{25, -5}, {-3.093984*^9, 13.6875}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Supreme Court holds hearing\"", ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{25, 0}, {-3.093984*^9, 
                   Rational[219, 16]}], 
                 Offset[{25, 0}, {-3.093984*^9, 13.6875}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.093984*^9, 
                   Rational[47, 4]}], 
                 Offset[{0, 0}, {-3.093984*^9, 11.75}]], 
                NCache[
                 Offset[{0, 0}, {-3.0657739165429363`*^9, 
                   Rational[125, 8]}], 
                 Offset[{0, 0}, {-3.0657739165429363`*^9, 15.625}]]]}}}},
           
           ImageSizeCache->{{245.32459847910832`, 411.28182524306794`}, {
            106.28087959726423`, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"12/17/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "12", ",", "17"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 12, 17}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.093984*^9, 0}, {-3.093984*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{25, 0}, {-3.093984*^9, 
                    Rational[297, 16]}], 
                  Offset[{0, 0}, {-3.093984*^9, 
                    Rational[297, 16]}], 
                  
                  Offset[{0, 0}, {-3.093984*^9, 3}], {-3.093984*^9, 
                   3}, {-3.093984*^9, 0}}, {
                  Offset[{25, 0}, {-3.093984*^9, 18.5625}], 
                  Offset[{0, 0}, {-3.093984*^9, 18.5625}], 
                  
                  Offset[{0, 0}, {-3.093984*^9, 3}], {-3.093984*^9, 
                   3}, {-3.093984*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{25, 5}, {-3.093984*^9, 
                    Rational[297, 16]}], 
                  Offset[{20, 0}, {-3.093984*^9, 
                    Rational[297, 16]}], 
                  Offset[{25, -5}, {-3.093984*^9, 
                    Rational[297, 16]}]}, {
                  Offset[{25, 5}, {-3.093984*^9, 18.5625}], 
                  Offset[{20, 0}, {-3.093984*^9, 18.5625}], 
                  Offset[{25, -5}, {-3.093984*^9, 18.5625}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Marbury warns Jefferson he seeks mandamus in Supreme \
Court\"", ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{25, 0}, {-3.093984*^9, 
                   Rational[297, 16]}], 
                 Offset[{25, 0}, {-3.093984*^9, 18.5625}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.093984*^9, 
                   Rational[133, 8]}], 
                 Offset[{0, 0}, {-3.093984*^9, 16.625}]], 
                NCache[
                 Offset[{0, 0}, {-3.0657739165429363`*^9, 
                   Rational[41, 2]}], 
                 Offset[{0, 0}, {-3.0657739165429363`*^9, 20.5}]]]}}}},
           
           ImageSizeCache->{{245.32459847910832`, 411.28182524306794`}, {
            47.779632093725894`, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"12/16/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "12", ",", "16"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 12, 16}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1163616*^9, 0}, {-3.1163616*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{30, 0}, {-3.1189536*^9, 
                    Rational[375, 16]}], 
                  Offset[{20, 0}, {-3.1189536*^9, 
                    Rational[375, 16]}], 
                  Offset[{20, 0}, {-3.1189536*^9, 
                    Rational[3, 2]}], {-3.1163616*^9, 
                   Rational[3, 2]}, {-3.1163616*^9, 0}}, {
                  Offset[{30, 0}, {-3.1189536*^9, 23.4375}], 
                  Offset[{20, 0}, {-3.1189536*^9, 23.4375}], 
                  Offset[{20, 0}, {-3.1189536*^9, 1.5}], {-3.1163616*^9, 
                  1.5}, {-3.1163616*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{30, 5}, {-3.1189536*^9, 
                    Rational[375, 16]}], 
                  Offset[{25, 0}, {-3.1189536*^9, 
                    Rational[375, 16]}], 
                  Offset[{30, -5}, {-3.1189536*^9, 
                    Rational[375, 16]}]}, {
                  Offset[{30, 5}, {-3.1189536*^9, 23.4375}], 
                  Offset[{25, 0}, {-3.1189536*^9, 23.4375}], 
                  Offset[{30, -5}, {-3.1189536*^9, 23.4375}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Thomas Jefferson tells Madison not to deliver \
commissions\"", ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{30, 0}, {-3.1189536*^9, 
                   Rational[375, 16]}], 
                 Offset[{30, 0}, {-3.1189536*^9, 23.4375}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.1189536*^9, 
                   Rational[43, 2]}], 
                 Offset[{0, 0}, {-3.1189536*^9, 21.5}]], 
                NCache[
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 
                   Rational[203, 8]}], 
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 25.375}]]]}}}},
           
           ImageSizeCache->{{127.9131660449566, 
            298.8703928089162}, {-3.7216154098124434`, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"04/01/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "4", ",", "1"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 4, 1}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1186944*^9, 0}, {-3.1186944*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{30, 0}, {-3.1189536*^9, 
                    Rational[453, 16]}], 
                  Offset[{15, 0}, {-3.1189536*^9, 
                    Rational[453, 16]}], 
                  Offset[{15, 0}, {-3.1189536*^9, 
                    Rational[9, 8]}], {-3.1186944*^9, 
                   Rational[9, 8]}, {-3.1186944*^9, 0}}, {
                  Offset[{30, 0}, {-3.1189536*^9, 28.3125}], 
                  Offset[{15, 0}, {-3.1189536*^9, 28.3125}], 
                  Offset[{15, 0}, {-3.1189536*^9, 1.125}], {-3.1186944*^9, 
                  1.125}, {-3.1186944*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{30, 5}, {-3.1189536*^9, 
                    Rational[453, 16]}], 
                  Offset[{25, 0}, {-3.1189536*^9, 
                    Rational[453, 16]}], 
                  Offset[{30, -5}, {-3.1189536*^9, 
                    Rational[453, 16]}]}, {
                  Offset[{30, 5}, {-3.1189536*^9, 28.3125}], 
                  Offset[{25, 0}, {-3.1189536*^9, 28.3125}], 
                  Offset[{30, -5}, {-3.1189536*^9, 28.3125}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"James Madison appointed Secretary of State\"", 
                    ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{30, 0}, {-3.1189536*^9, 
                   Rational[453, 16]}], 
                 Offset[{30, 0}, {-3.1189536*^9, 28.3125}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.1189536*^9, 
                   Rational[211, 8]}], 
                 Offset[{0, 0}, {-3.1189536*^9, 26.375}]], 
                NCache[
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 
                   Rational[121, 4]}], 
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 30.25}]]]}}}},
           
           ImageSizeCache->{{127.9131660449566, 
            298.8703928089162}, {-55.22286291335081, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"03/05/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "3", ",", "5"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 3, 5}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1187808*^9, 0}, {-3.1187808*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{30, 0}, {-3.1189536*^9, 
                    Rational[531, 16]}], 
                  Offset[{10, 0}, {-3.1189536*^9, 
                    Rational[531, 16]}], 
                  Offset[{10, 0}, {-3.1189536*^9, 
                    Rational[3, 4]}], {-3.1187808*^9, 
                   Rational[3, 4]}, {-3.1187808*^9, 0}}, {
                  Offset[{30, 0}, {-3.1189536*^9, 33.1875}], 
                  Offset[{10, 0}, {-3.1189536*^9, 33.1875}], 
                  Offset[{10, 0}, {-3.1189536*^9, 0.75}], {-3.1187808*^9, 
                  0.75}, {-3.1187808*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{30, 5}, {-3.1189536*^9, 
                    Rational[531, 16]}], 
                  Offset[{25, 0}, {-3.1189536*^9, 
                    Rational[531, 16]}], 
                  Offset[{30, -5}, {-3.1189536*^9, 
                    Rational[531, 16]}]}, {
                  Offset[{30, 5}, {-3.1189536*^9, 33.1875}], 
                  Offset[{25, 0}, {-3.1189536*^9, 33.1875}], 
                  Offset[{30, -5}, {-3.1189536*^9, 33.1875}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Thomas Jefferson takes office as President\"", 
                    ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{30, 0}, {-3.1189536*^9, 
                   Rational[531, 16]}], 
                 Offset[{30, 0}, {-3.1189536*^9, 33.1875}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.1189536*^9, 
                   Rational[125, 4]}], 
                 Offset[{0, 0}, {-3.1189536*^9, 31.25}]], 
                NCache[
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 
                   Rational[281, 8]}], 
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 35.125}]]]}}}},
           
           ImageSizeCache->{{127.9131660449566, 
            298.8703928089162}, {-99.72411041688918, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"03/04/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "3", ",", "4"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 3, 4}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                LineBox[{{-3.1188672*^9, 0}, {-3.1188672*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{30, 0}, {-3.1189536*^9, 
                    Rational[687, 16]}], 
                  Offset[{5, 0}, {-3.1189536*^9, 
                    Rational[687, 16]}], 
                  Offset[{5, 0}, {-3.1189536*^9, 
                    Rational[3, 8]}], {-3.1188672*^9, 
                   Rational[3, 8]}, {-3.1188672*^9, 0}}, {
                  Offset[{30, 0}, {-3.1189536*^9, 42.9375}], 
                  Offset[{5, 0}, {-3.1189536*^9, 42.9375}], 
                  Offset[{5, 0}, {-3.1189536*^9, 0.375}], {-3.1188672*^9, 
                  0.375}, {-3.1188672*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{30, 5}, {-3.1189536*^9, 
                    Rational[687, 16]}], 
                  Offset[{25, 0}, {-3.1189536*^9, 
                    Rational[687, 16]}], 
                  Offset[{30, -5}, {-3.1189536*^9, 
                    Rational[687, 16]}]}, {
                  Offset[{30, 5}, {-3.1189536*^9, 42.9375}], 
                  Offset[{25, 0}, {-3.1189536*^9, 42.9375}], 
                  Offset[{30, -5}, {-3.1189536*^9, 42.9375}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Senate confirms Marbury + 41 others as JPs\"", 
                    ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{30, 0}, {-3.1189536*^9, 
                   Rational[687, 16]}], 
                 Offset[{30, 0}, {-3.1189536*^9, 42.9375}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                Offset[{0, 0}, {-3.1189536*^9, 41}], 
                NCache[
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 
                   Rational[359, 8]}], 
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 44.875}]]]}}}},
           
           ImageSizeCache->{{127.9131660449566, 
            298.8703928089162}, {-209.72660542396585`, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"03/03/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "3", ",", "3"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 3, 3}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1188672*^9, 0}, {-3.1188672*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{30, 0}, {-3.1189536*^9, 
                    Rational[609, 16]}], 
                  Offset[{5, 0}, {-3.1189536*^9, 
                    Rational[609, 16]}], 
                  Offset[{5, 0}, {-3.1189536*^9, 
                    Rational[3, 8]}], {-3.1188672*^9, 
                   Rational[3, 8]}, {-3.1188672*^9, 0}}, {
                  Offset[{30, 0}, {-3.1189536*^9, 38.0625}], 
                  Offset[{5, 0}, {-3.1189536*^9, 38.0625}], 
                  Offset[{5, 0}, {-3.1189536*^9, 0.375}], {-3.1188672*^9, 
                  0.375}, {-3.1188672*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{30, 5}, {-3.1189536*^9, 
                    Rational[609, 16]}], 
                  Offset[{25, 0}, {-3.1189536*^9, 
                    Rational[609, 16]}], 
                  Offset[{30, -5}, {-3.1189536*^9, 
                    Rational[609, 16]}]}, {
                  Offset[{30, 5}, {-3.1189536*^9, 38.0625}], 
                  Offset[{25, 0}, {-3.1189536*^9, 38.0625}], 
                  Offset[{30, -5}, {-3.1189536*^9, 38.0625}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"James Marshall goes to Alexandria to deliver JP \
Commissions\"", ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{30, 0}, {-3.1189536*^9, 
                   Rational[609, 16]}], 
                 Offset[{30, 0}, {-3.1189536*^9, 38.0625}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.1189536*^9, 
                   Rational[289, 8]}], 
                 Offset[{0, 0}, {-3.1189536*^9, 36.125}]], 
                Offset[{0, 0}, {-3.0907435165429363`*^9, 40}]]}}}},
           
           ImageSizeCache->{{127.9131660449566, 
            298.8703928089162}, {-158.22535792042748`, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"03/03/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "3", ",", "3"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 3, 3}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1189536*^9, 0}, {-3.1189536*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{30, 0}, {-3.1189536*^9, 
                    Rational[765, 16]}], 
                  Offset[{0, 0}, {-3.1189536*^9, 
                    Rational[765, 16]}], 
                  
                  Offset[{0, 0}, {-3.1189536*^9, 3}], {-3.1189536*^9, 
                   3}, {-3.1189536*^9, 0}}, {
                  Offset[{30, 0}, {-3.1189536*^9, 47.8125}], 
                  Offset[{0, 0}, {-3.1189536*^9, 47.8125}], 
                  
                  Offset[{0, 0}, {-3.1189536*^9, 3}], {-3.1189536*^9, 
                   3}, {-3.1189536*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{30, 5}, {-3.1189536*^9, 
                    Rational[765, 16]}], 
                  Offset[{25, 0}, {-3.1189536*^9, 
                    Rational[765, 16]}], 
                  Offset[{30, -5}, {-3.1189536*^9, 
                    Rational[765, 16]}]}, {
                  Offset[{30, 5}, {-3.1189536*^9, 47.8125}], 
                  Offset[{25, 0}, {-3.1189536*^9, 47.8125}], 
                  Offset[{30, -5}, {-3.1189536*^9, 47.8125}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Adams submits Marbury + 41 others to Senate as JPs\"", 
                    ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{30, 0}, {-3.1189536*^9, 
                   Rational[765, 16]}], 
                 Offset[{30, 0}, {-3.1189536*^9, 47.8125}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.1189536*^9, 
                   Rational[367, 8]}], 
                 Offset[{0, 0}, {-3.1189536*^9, 45.875}]], 
                NCache[
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 
                   Rational[199, 4]}], 
                 Offset[{0, 0}, {-3.0907435165429363`*^9, 49.75}]]]}}}},
           
           ImageSizeCache->{{127.9131660449566, 
            298.8703928089162}, {-261.2278529275042, 284.3377628134661}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"03/02/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "3", ",", "2"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 3, 2}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1200768*^9, 0}, {-3.1200768*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{25, 0}, {-3.1421952*^9, 
                    Rational[63, 16]}], 
                  Offset[{15, 0}, {-3.1421952*^9, 
                    Rational[63, 16]}], 
                  Offset[{15, 0}, {-3.1421952*^9, 
                    Rational[3, 2]}], {-3.1200768*^9, 
                   Rational[3, 2]}, {-3.1200768*^9, 0}}, {
                  Offset[{25, 0}, {-3.1421952*^9, 3.9375}], 
                  Offset[{15, 0}, {-3.1421952*^9, 3.9375}], 
                  Offset[{15, 0}, {-3.1421952*^9, 1.5}], {-3.1200768*^9, 
                  1.5}, {-3.1200768*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{25, 5}, {-3.1421952*^9, 
                    Rational[63, 16]}], 
                  Offset[{20, 0}, {-3.1421952*^9, 
                    Rational[63, 16]}], 
                  Offset[{25, -5}, {-3.1421952*^9, 
                    Rational[63, 16]}]}, {
                  Offset[{25, 5}, {-3.1421952*^9, 3.9375}], 
                  Offset[{20, 0}, {-3.1421952*^9, 3.9375}], 
                  Offset[{25, -5}, {-3.1421952*^9, 3.9375}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"House elects Jefferson President\"", ImageSize -> 
                    115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{25, 0}, {-3.1421952*^9, 
                   Rational[63, 16]}], 
                 Offset[{25, 0}, {-3.1421952*^9, 3.9375}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                Offset[{0, 0}, {-3.1421952*^9, 2}], 
                NCache[
                 Offset[{0, 0}, {-3.1139851165429363`*^9, 
                   Rational[47, 8]}], 
                 Offset[{0, 0}, {-3.1139851165429363`*^9, 5.875}]]]}}}},
           
           ImageSizeCache->{{18.627092256769174`, 184.5843190207288}, {
            209.2833746043409, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"02/17/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "2", ",", "17"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 2, 17}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1204224*^9, 0}, {-3.1204224*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{25, 0}, {-3.1421952*^9, 
                    Rational[141, 16]}], 
                  Offset[{10, 0}, {-3.1421952*^9, 
                    Rational[141, 16]}], 
                  
                  Offset[{10, 0}, {-3.1421952*^9, 1}], {-3.1204224*^9, 
                   1}, {-3.1204224*^9, 0}}, {
                  Offset[{25, 0}, {-3.1421952*^9, 8.8125}], 
                  Offset[{10, 0}, {-3.1421952*^9, 8.8125}], 
                  
                  Offset[{10, 0}, {-3.1421952*^9, 1}], {-3.1204224*^9, 
                   1}, {-3.1204224*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{25, 5}, {-3.1421952*^9, 
                    Rational[141, 16]}], 
                  Offset[{20, 0}, {-3.1421952*^9, 
                    Rational[141, 16]}], 
                  Offset[{25, -5}, {-3.1421952*^9, 
                    Rational[141, 16]}]}, {
                  Offset[{25, 5}, {-3.1421952*^9, 8.8125}], 
                  Offset[{20, 0}, {-3.1421952*^9, 8.8125}], 
                  Offset[{25, -5}, {-3.1421952*^9, 8.8125}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Congress enacts Midnight Judges bill (Judiciary Act of \
1801)\"", ImageSize -> 115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{25, 0}, {-3.1421952*^9, 
                   Rational[141, 16]}], 
                 Offset[{25, 0}, {-3.1421952*^9, 8.8125}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.1421952*^9, 
                   Rational[55, 8]}], 
                 Offset[{0, 0}, {-3.1421952*^9, 6.875}]], 
                NCache[
                 Offset[{0, 0}, {-3.1139851165429363`*^9, 
                   Rational[43, 4]}], 
                 Offset[{0, 0}, {-3.1139851165429363`*^9, 10.75}]]]}}}},
           
           ImageSizeCache->{{18.627092256769174`, 184.5843190207288}, {
            150.7821271008026, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"02/13/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "2", ",", "13"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 2, 13}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1212*^9, 0}, {-3.1212*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{25, 0}, {-3.1421952*^9, 
                    Rational[219, 16]}], 
                  Offset[{5, 0}, {-3.1421952*^9, 
                    Rational[219, 16]}], 
                  Offset[{5, 0}, {-3.1421952*^9, 
                    Rational[1, 2]}], {-3.1212*^9, 
                   Rational[1, 2]}, {-3.1212*^9, 0}}, {
                  Offset[{25, 0}, {-3.1421952*^9, 13.6875}], 
                  Offset[{5, 0}, {-3.1421952*^9, 13.6875}], 
                  Offset[{5, 0}, {-3.1421952*^9, 0.5}], {-3.1212*^9, 
                  0.5}, {-3.1212*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{25, 5}, {-3.1421952*^9, 
                    Rational[219, 16]}], 
                  Offset[{20, 0}, {-3.1421952*^9, 
                    Rational[219, 16]}], 
                  Offset[{25, -5}, {-3.1421952*^9, 
                    Rational[219, 16]}]}, {
                  Offset[{25, 5}, {-3.1421952*^9, 13.6875}], 
                  Offset[{20, 0}, {-3.1421952*^9, 13.6875}], 
                  Offset[{25, -5}, {-3.1421952*^9, 13.6875}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"John Marshall confirmed as Chief Justice\"", ImageSize -> 
                    115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{25, 0}, {-3.1421952*^9, 
                   Rational[219, 16]}], 
                 Offset[{25, 0}, {-3.1421952*^9, 13.6875}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.1421952*^9, 
                   Rational[47, 4]}], 
                 Offset[{0, 0}, {-3.1421952*^9, 11.75}]], 
                NCache[
                 Offset[{0, 0}, {-3.1139851165429363`*^9, 
                   Rational[125, 8]}], 
                 Offset[{0, 0}, {-3.1139851165429363`*^9, 15.625}]]]}}}},
           
           ImageSizeCache->{{18.627092256769174`, 184.5843190207288}, {
            106.28087959726423`, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"02/04/1801\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1801", ",", "2", ",", "4"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1801, 2, 4}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.1421952*^9, 0}, {-3.1421952*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{25, 0}, {-3.1421952*^9, 
                    Rational[297, 16]}], 
                  Offset[{0, 0}, {-3.1421952*^9, 
                    Rational[297, 16]}], 
                  
                  Offset[{0, 0}, {-3.1421952*^9, 3}], {-3.1421952*^9, 
                   3}, {-3.1421952*^9, 0}}, {
                  Offset[{25, 0}, {-3.1421952*^9, 18.5625}], 
                  Offset[{0, 0}, {-3.1421952*^9, 18.5625}], 
                  
                  Offset[{0, 0}, {-3.1421952*^9, 3}], {-3.1421952*^9, 
                   3}, {-3.1421952*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{25, 5}, {-3.1421952*^9, 
                    Rational[297, 16]}], 
                  Offset[{20, 0}, {-3.1421952*^9, 
                    Rational[297, 16]}], 
                  Offset[{25, -5}, {-3.1421952*^9, 
                    Rational[297, 16]}]}, {
                  Offset[{25, 5}, {-3.1421952*^9, 18.5625}], 
                  Offset[{20, 0}, {-3.1421952*^9, 18.5625}], 
                  Offset[{25, -5}, {-3.1421952*^9, 18.5625}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"John Marshall named Secretary of State\"", ImageSize -> 
                    115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{25, 0}, {-3.1421952*^9, 
                   Rational[297, 16]}], 
                 Offset[{25, 0}, {-3.1421952*^9, 18.5625}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                NCache[
                 Offset[{0, 0}, {-3.1421952*^9, 
                   Rational[133, 8]}], 
                 Offset[{0, 0}, {-3.1421952*^9, 16.625}]], 
                NCache[
                 Offset[{0, 0}, {-3.1139851165429363`*^9, 
                   Rational[41, 2]}], 
                 Offset[{0, 0}, {-3.1139851165429363`*^9, 20.5}]]]}}}},
           
           ImageSizeCache->{{18.627092256769174`, 184.5843190207288}, {
            54.779632093725894`, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"06/06/1800\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1800", ",", "6", ",", "6"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1800, 6, 6}, "Day", "Gregorian", -5., "SmearedUTC", {
              "Month", "/", "Day", "/", "Year"}]}}, Alignment -> Right], {
           GrayLevel[0.3]}], "Tooltip"]& ]}, 
      {RGBColor[0.790588, 0.201176, 0.], AbsolutePointSize[7], 
       AbsoluteThickness[3], Opacity[1], CapForm["Butt"], 
       TagBox[
        TooltipBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             Directive[
              EdgeForm[
               Directive[
                RGBColor[0.790588, 0.201176, 0.], 
                Thickness[Large], 
                Opacity[0.2]]], 
              FaceForm[{
                RGBColor[0.5270586666666667, 0.13411733333333334`, 0.], 
                Opacity[1]}], 
              CapForm["Round"], 
              AbsoluteThickness[2.5], 
              AbsolutePointSize[10], 
              FrameBoxOptions -> {
               BoxFrame -> 2.5, FrameStyle -> Automatic}], {}, {}], {{{
               Directive[
                Opacity[0.2]], {
                CapForm["Round"], 
                
                LineBox[{{-3.47976*^9, 0}, {-3.47976*^9, 
                   0}}]}}, {{}, {{{}, {}}, {{}}}}}, {{
               CapForm["Butt"], 
               JoinForm["Round"], 
               LineBox[
                NCache[{
                  Offset[{10, 0}, {-3.47976*^9, 
                    Rational[63, 16]}], 
                  Offset[{0, 0}, {-3.47976*^9, 
                    Rational[63, 16]}], 
                  Offset[{0, 0}, {-3.47976*^9, 
                    Rational[3, 2]}], {-3.47976*^9, 
                   Rational[3, 2]}, {-3.47976*^9, 0}}, {
                  Offset[{10, 0}, {-3.47976*^9, 3.9375}], 
                  Offset[{0, 0}, {-3.47976*^9, 3.9375}], 
                  Offset[{0, 0}, {-3.47976*^9, 1.5}], {-3.47976*^9, 
                  1.5}, {-3.47976*^9, 0}}]], 
               PolygonBox[
                NCache[{
                  Offset[{10, 5}, {-3.47976*^9, 
                    Rational[63, 16]}], 
                  Offset[{5, 0}, {-3.47976*^9, 
                    Rational[63, 16]}], 
                  Offset[{10, -5}, {-3.47976*^9, 
                    Rational[63, 16]}]}, {
                  Offset[{10, 5}, {-3.47976*^9, 3.9375}], 
                  Offset[{5, 0}, {-3.47976*^9, 3.9375}], 
                  Offset[{10, -5}, {-3.47976*^9, 3.9375}]}]], 
               InsetBox[
                BoxData[
                 FormBox[
                  FrameBox[
                   StyleBox[
                    PaneBox[
                    "\"Congress enacts Judiciary Act of 1789\"", ImageSize -> 
                    115.2], {
                    GrayLevel[0.3]}, StripOnInput -> False], RoundingRadius -> 
                   5, FrameMargins -> 5, Background -> GrayLevel[1], 
                   StripOnInput -> False], TraditionalForm]], 
                NCache[
                 Offset[{10, 0}, {-3.47976*^9, 
                   Rational[63, 16]}], 
                 Offset[{10, 0}, {-3.47976*^9, 3.9375}]], {Left, Center}, {
                Automatic, Automatic}]}, {
               EdgeForm[], 
               FaceForm[], 
               RectangleBox[
                Offset[{0, 0}, {-3.47976*^9, 2}], 
                NCache[
                 Offset[{0, 0}, {-3.4515499165429363`*^9, 
                   Rational[47, 8]}], 
                 Offset[{0, 0}, {-3.4515499165429363`*^9, 5.875}]]]}}}},
           
           ImageSizeCache->{{-1568.661719231899, -1417.7044924679394`}, {
            209.2833746043409, 284.33776281346616`}}],
          "DelayedMouseEffectStyle"],
         StyleBox[
          TagBox[
           GridBox[{{
              TemplateBox[{
                RowBox[{"\"09/24/1789\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1789", ",", "9", ",", "24"}], "}"}], ",", 
                    "\"Day\"", ",", "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}], ",", "\"SmearedUTC\"", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{
                    "\"Month\"", ",", "\"/\"", ",", "\"Day\"", ",", "\"/\"", 
                    ",", "\"Year\""}], "}"}]}], "]"}]}, "DateObject", 
               Editable -> False]}}, 
            GridBoxAlignment -> {"Columns" -> {{Right}}}, AutoDelete -> False,
             GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], {
           GrayLevel[0.3]}, StripOnInput -> False]],
        Annotation[#, 
         Style[
          Grid[{{
             
             DateObject[{1789, 9, 24}, "Day", "Gregorian", -5., 
              "SmearedUTC", {"Month", "/", "Day", "/", "Year"}]}}, Alignment -> 
           Right], {
           GrayLevel[0.3]}], 
         "Tooltip"]& ]}}, {{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}}, {}}}, {}, {}},
   AspectRatio->1,
   Axes->{False, False},
   AxesOrigin->{0, 0},
   Frame->{{True, False}, {True, False}},
   FrameStyle->{{
      StrokeForm[
       Opacity[0]], 
      StrokeForm[
       Opacity[0]]}, {Automatic, None}},
   FrameTicks->
    FrontEndValueCache[{{None, None}, {
      Charting`getDateTicks[Automatic, {Automatic}, 
        (Map[DateList, {
          SlotSequence[1]}]& )[
         SlotSequence[1]], None, 
        7, {{0.010526315789473684`, 0}, {0.005263157894736842, 0}}, 
        Automatic]& , Automatic}}, {{None, None}, {{{-3.1556736*^9, 
         FormBox["\"1800\"", TraditionalForm], {
         0.010526315789473684`, 0}}, {-3.1241376*^9, 
         FormBox["\"1801\"", TraditionalForm], {
         0.010526315789473684`, 0}}, {-3.0926016*^9, 
         FormBox["\"1802\"", TraditionalForm], {
         0.010526315789473684`, 0}}, {-3.0610656*^9, 
         FormBox["\"1803\"", TraditionalForm], {
         0.010526315789473684`, 0}}, {-3.0295296*^9, 
         FormBox["\"1804\"", TraditionalForm], {
         0.010526315789473684`, 0}}, {-2.9979072*^9, 
         FormBox["\"1805\"", TraditionalForm], {
         0.010526315789473684`, 0}}, {-3.1556736*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.1478976*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.1400352*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.1320864*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.1241376*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.1163616*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.1084992*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.1005504*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0926016*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0848256*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0769632*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0690144*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0610656*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0532896*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0454272*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0374784*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}, {-3.0295296*^9, 
         FormBox[
          TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         0.005263157894736842, 0}}}, Automatic}}],
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.4, 0.5], 
     AbsoluteThickness[1], 
     AbsoluteDashing[{1, 2}]],
   ImagePadding->All,
   ImageSize->{566.8790893554688, Automatic},
   PlotLabel->FormBox["\"Chronology of Marbury v. Madison\"", TraditionalForm],
   PlotRange->{{-3.1426272*^9, -3.032208*^9}, {0, All}},
   PlotRangePadding->{{
      Scaled[0.04], 
      Scaled[0.04]}, {None, 
      Scaled[0.05]}},
   Ticks->{{{-3.5343648*^9, 
       FormBox["\"1788\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.4712064*^9, 
       FormBox["\"1790\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.4081344*^9, 
       FormBox["\"1792\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.344976*^9, 
       FormBox["\"1794\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.281904*^9, 
       FormBox["\"1796\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.2187456*^9, 
       FormBox["\"1798\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.1556736*^9, 
       FormBox["\"1800\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.0926016*^9, 
       FormBox["\"1802\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.0295296*^9, 
       FormBox["\"1804\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-2.9663712*^9, 
       FormBox["\"1806\"", TraditionalForm], {
       0.007017543859649122, 0}}, {-3.5343648*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.5027424*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.4712064*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.4396704*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.4081344*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.376512*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.344976*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.31344*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.281904*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.2502816*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.2187456*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.1872096*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.1556736*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.1241376*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.0926016*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.0610656*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}, {-3.0295296*^9, 
       FormBox[
        TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
       0.007017543859649122, 0}}}, None}],
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.77184809316048*^9, 3.771848173844965*^9, 
  3.824839313558145*^9, 3.881832225906993*^9, 3.8994630189335327`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[117]=",
 CellID->1861308584,ExpressionUUID->"4329231f-a1aa-4e61-8ff4-938942695515"]
}, Open  ]],

Cell[CellGroupData[{

Cell["File Formats Listed", "VocabularySection",
 CellChangeTimes->{{3.823791224864157*^9, 3.823791230175737*^9}},
 CellTags->"p: 323",
 CellID->57238089,ExpressionUUID->"ef2ea63e-2a20-42a9-a9e2-9cb3e0499c1d"],

Cell[BoxData[GridBox[{
   {"WXF", " ", Cell[TextData[{
     ButtonBox["Wolfram Exchange Format",
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/format/WXF.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/format/WXF.html"],
     " (WXF) byte arrays can be created with ",
     ButtonBox["BinarySerialize",
      BaseStyle->"FunctionHyperlink",
      ButtonData->{
        URL[
        "https://reference.wolfram.com/language/ref/BinarySerialize.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/BinarySerialize.html"],
     " and read \nwith ",
     ButtonBox["BinaryDeserialize",
      BaseStyle->"FunctionHyperlink",
      ButtonData->{
        URL[
        "https://reference.wolfram.com/language/ref/BinaryDeserialize.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/BinaryDeserialize.html"]
    }], "VocabularyText",ExpressionUUID->
     "8029edf4-c97e-426c-be3f-851cc2877120"]},
   {"text", " ", Cell[TextData[{
     "regular ",
     ButtonBox["text",
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/format/Text.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/format/Text.html"],
     " support for a variety of Western character encodings and the Unicode \
standard"
    }], "VocabularyText",ExpressionUUID->
     "1fbe6421-9ad6-4981-aab5-ba05f6f588c7"]},
   {"CSV", " ", Cell[TextData[{
     "comma-separated values (",
     ButtonBox["CSV",
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/format/CSV.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/format/CSV.html"],
     ") format is the most basic and common spreadsheet format"
    }], "VocabularyText",ExpressionUUID->
     "ddcb6472-5dfb-4636-bab5-f3794040a1ca"]},
   {
    RowBox[{"XLS", ",", " ", "XLSX"}], " ", Cell["\<\
Microsoft Excel\[CloseCurlyQuote]s format, fully compatible with the 2007 \
standard\
\>", "VocabularyText",ExpressionUUID->"5a826633-3e69-473b-a9ff-af85db8aa1f8"]},
   {"JSON", " ", Cell[TextData[{
     "derived from ",
     ButtonBox["JavaScript",
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/format/JSON.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/format/JSON.html"],
     " Object Notation and based on a subset of the JavaScript \nprogramming \
language"
    }], "VocabularyText",ExpressionUUID->
     "2a226169-d4a7-4e91-b4bb-b84d6c208b5a"]},
   {"ZIP", " ", Cell[TextData[{
     "popular data compression and archival format, fully ",
     ButtonBox["supported",
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/format/ZIP.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/format/ZIP.html"],
     " in the Wolfram Language"
    }], "VocabularyText",ExpressionUUID->
     "39b9a468-d43d-416f-a2b4-3f856972268d"]},
   {
    RowBox[{"Google", " ", "Sheets"}], " ", Cell[TextData[{
     StyleBox[
     "unlike CSV and XLS, the Wolfram Language does not support but one can \
easily",
      Background->None],
     " extract them"
    }], "VocabularyText",ExpressionUUID->
     "0d061454-1a13-4c1b-af2b-3775b8b9429b"]}
  }]], "VocabularyTable",
 CellChangeTimes->{{3.823791310788605*^9, 3.823791336254182*^9}, {
   3.8237914029445887`*^9, 3.8237914329678383`*^9}, {3.823793624893607*^9, 
   3.8237936357186394`*^9}, {3.823793710947322*^9, 3.823793726935684*^9}, {
   3.8237938084681177`*^9, 3.823793825479639*^9}, {3.8237938795140696`*^9, 
   3.823793918171774*^9}, {3.8237939875068483`*^9, 3.823794004512467*^9}, {
   3.8237940470521145`*^9, 3.8237942124814825`*^9}, {3.8237942601276274`*^9, 
   3.823794293343396*^9}, {3.8238022270864387`*^9, 3.8238022633569098`*^9}, {
   3.823802319609976*^9, 3.823802320727477*^9}, {3.8238023877461824`*^9, 
   3.8238024144756804`*^9}, {3.8238024834202385`*^9, 
   3.8238025049684706`*^9}, {3.8238908132767334`*^9, 
   3.8238908216784773`*^9}, {3.8238908749942055`*^9, 3.823890955247349*^9}, {
   3.869922054116167*^9, 3.869922060621504*^9}, {3.873538168507375*^9, 
   3.873538244276229*^9}, {3.874747792958117*^9, 3.874747796070887*^9}, 
   3.8780401014627542`*^9, {3.878040324450197*^9, 3.8780403375624204`*^9}, {
   3.8780404460244503`*^9, 3.8780404584120803`*^9}, {3.878040928483225*^9, 
   3.8780409301736555`*^9}, {3.8782283072775097`*^9, 3.878228308623473*^9}, {
   3.886000035155135*^9, 3.88600005118659*^9}, {3.886000151657854*^9, 
   3.8860001973695107`*^9}, {3.8860002460683684`*^9, 3.886000270489523*^9}, {
   3.8860003045400906`*^9, 3.8860003433983574`*^9}},
 CellID->122274690,ExpressionUUID->"68bc0fb7-9c5a-4fc1-8e0f-6ed69ac9be76"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox["Exercises",
  $Line = 0; Null]], "ExerciseSection",
 CellID->365369478,ExpressionUUID->"8694b614-6264-4c6a-a1b9-c08c11990518"],

Cell[TextData[StyleBox["Some of these exercises are taken from data at the \
University of California at Irvine\[CloseCurlyQuote]s Machine Learning \
Repository. This repository has been around for some time and I hope that its \
data and URLs will be consistent over the lifespan of this book. ",
 FontWeight->"Bold"]], "ExerciseNote",
 CellChangeTimes->{{3.7717015678089314`*^9, 3.771701623352779*^9}, {
  3.813319053988387*^9, 3.813319064089184*^9}, {3.82379134280974*^9, 
  3.823791356357422*^9}},
 CellID->1614723027,ExpressionUUID->"dcdf3909-c727-402c-8f44-d91cb5b20c35"],

Cell[CellGroupData[{

Cell["\<\
Go to the example data and retrieve the Gettysburg Address like this.\
\>", "Exercise",
 ShowGroupOpener->False,
 CellTags->"Exercise",
 CellID->400110369,ExpressionUUID->"7d0b9af8-b05b-415a-acaf-a5facd522401"],

Cell[BoxData[
 RowBox[{
  RowBox[{"gettysburg", "=", 
   RowBox[{"ExampleData", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<Text\>\"", ",", "\"\<GettysburgAddress\>\""}], "}"}], 
    "]"}]}], ";"}]], "ExerciseInput",
 CellChangeTimes->{{3.771749781041955*^9, 3.771749800735053*^9}},
 CellLabel->"In[91]:=",
 CellID->1345347057,ExpressionUUID->"224841a2-6fb9-41c7-ae02-1506606f3caf"]
}, Open  ]],

Cell[TextData[{
 "Now export it as text to a location on your computer. Alternatively, \
simulate the export using ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " or use ",
 ButtonBox["CreateFile",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/CreateFile.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/CreateFile.html"],
 " as I did in the main text to create a temporary file. If you create a \
temporary file, make sure to get its name so you can import it back."
}], "Exercise",
 CellDingbat->None,
 CellChangeTimes->{{3.771749807176586*^9, 3.771749852677679*^9}, {
   3.771762293659589*^9, 3.771762355303492*^9}, {3.813319411456765*^9, 
   3.81331942115371*^9}, 3.8133199598996735`*^9},
 CounterIncrements->None,
 CellID->890874405,ExpressionUUID->"f4d6994d-0813-477f-aea0-bdab1c06b1b3"],

Cell[TextData[{
 "Now reimport the file or string you just created but as a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of words. Hint: ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCode",ExpressionUUID->
  "7892c5f4-fa82-4172-82f5-ee265ffd3cdb"],
 ". You might want to just postfix a ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " of the first 20 words or so to get the point and save space."
}], "Exercise",
 CellChangeTimes->{{3.771749970337566*^9, 3.771749999573082*^9}, {
   3.7717623728658113`*^9, 3.771762402929633*^9}, 3.813319735407358*^9, 
   3.813319873732709*^9, {3.813319962981611*^9, 3.813319971204397*^9}, 
   3.8133200839002457`*^9, {3.873538395405156*^9, 3.873538424046815*^9}},
 CounterAssignments->{{$CellContext`Exercise, 1}},
 CellTags->"Exercise",
 CellID->1211836776,ExpressionUUID->"436ef51b-9b21-441d-ba11-83801b2629e3"],

Cell[CellGroupData[{

Cell["\<\
Set forth below is a URL. It references some data, but we don\
\[CloseCurlyQuote]t really know what format the data is in. Import the data \
as text and see if you can make a guess as to what format might be \
appropriate to capture the meaning of the data.\
\>", "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.77175007905727*^9, 3.77175009416461*^9}, {
   3.7717501440684958`*^9, 3.771750165598687*^9}, 3.771750341905119*^9, {
   3.812808924902977*^9, 3.812808931560525*^9}, {3.8133207500064735`*^9, 
   3.8133207509824085`*^9}, {3.869922737691908*^9, 3.869922740960915*^9}, {
   3.874747870697906*^9, 3.874747877412745*^9}},
 CellTags->"Exercise",
 CellID->940006319,ExpressionUUID->"4a4b697d-3ad0-437e-8d2a-622562bc675e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "iris", "=", 
   "\"\<http://archive.ics.uci.edu/ml/machine-learning-databases/iris/iris.\
data\>\""}], ";"}]], "Input",
 ShowCellLabel->False,
 CellChangeTimes->{{3.771750096174945*^9, 3.771750122559119*^9}},
 CellTags->"Exercise",
 CellLabel->"In[51]:=",
 CellID->560445790,ExpressionUUID->"37d54262-90db-432d-9d47-38f987c1982b"]
}, Open  ]],

Cell[TextData[{
 "See if it makes sense to import the data at the URL as a CSV file. Use the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 " to see precisely what you retrieved. Do you agree that CSV looks like a \
sensible import format?"
}], "Exercise",
 CellChangeTimes->{{3.771750173512731*^9, 3.7717502418642817`*^9}, {
  3.771750275974596*^9, 3.771750276643005*^9}, {3.813320777097246*^9, 
  3.8133208116766043`*^9}, {3.8781447452918797`*^9, 3.8781447784634547`*^9}},
 CellTags->"Exercise",
 CellID->41418524,ExpressionUUID->"f7f6284b-f129-472e-af6b-4f12d9a321e5"],

Cell["\<\
Reexport the iris data you imported as a JSON string. Make the output compact.\
\>", "Exercise",
 CellChangeTimes->{{3.7717512105762453`*^9, 3.7717512297953243`*^9}, {
  3.771751261518471*^9, 3.7717512685388412`*^9}},
 CellTags->{"Exercise", "LastCellOfAPage"},
 CellID->468248847,ExpressionUUID->"6c302050-f63b-4b5d-a3d5-0643451c84c9"],

Cell[CellGroupData[{

Cell["\<\
Evaluate the following code. It provides the URL of an Excel file relating to \
cryotherapy. How many sheets are in the Excel spreadsheet?\
\>", "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.7717016548958817`*^9, 3.771701664640629*^9}, {
  3.7717030503250732`*^9, 3.771703113199594*^9}, {3.8133363249191484`*^9, 
  3.813336325430932*^9}, {3.869922895706813*^9, 3.869922897440062*^9}},
 CellTags->{"Exercise", "p: 324"},
 CellID->589958677,ExpressionUUID->"20850444-d686-47df-b37b-1dd7609abd45"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "cryoCSV", "=", 
   "\"\<https://archive.ics.uci.edu/ml/machine-learning-databases/00429/\
Cryotherapy.xlsx\>\""}], ";"}]], "ExerciseInput",
 ShowCellLabel->False,
 CellChangeTimes->{{3.7717016318927507`*^9, 3.771701680854958*^9}, {
  3.771702996880765*^9, 3.771703023453554*^9}},
 CellTags->"Exercise",
 CellLabel->"In[98]:=",
 CellID->171663605,ExpressionUUID->"0d4cc944-2d3c-49eb-bb21-e502ba283af3"]
}, Open  ]],

Cell[TextData[{
 "You should find that one of the sheets (perhaps the only sheet) is called ",
 Cell[BoxData[
 "\"\<CrayoDataset\>\""], "InlineCode",ExpressionUUID->
  "7e8e42e8-f322-49a6-9db6-a5436889a41c"],
 ". ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " it as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " so the first line of the data contains headers. "
}], "Exercise",
 CellChangeTimes->{{3.771703120469101*^9, 3.7717031457227783`*^9}, {
   3.771703209086472*^9, 3.77170322492461*^9}, {3.771750376017147*^9, 
   3.7717503800443287`*^9}, 3.813336410600545*^9, {3.8782062282924967`*^9, 
   3.878206241003949*^9}, {3.878206399134314*^9, 3.878206407637533*^9}},
 CellTags->"Exercise",
 CellID->808478058,ExpressionUUID->"0e26433b-8270-46e0-aa53-44fe441be3e4"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s a URL to a zip archive: \
http://archive.ics.uci.edu/ml/machine-learning-databases/00454/dataset.zip. \
Assign it to the variable ",
 Cell[BoxData[
 "victorian"], "InlineCode",ExpressionUUID->
  "d979ac65-927d-48b7-9ef4-779c7166ec50"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.771751364546554*^9, 3.771751414199483*^9}, {
   3.771756786142784*^9, 3.771756796265408*^9}, 3.8121038548087544`*^9, {
   3.812808936046607*^9, 3.8128089364058485`*^9}, 3.8133364886025143`*^9},
 CellTags->"Exercise",
 CellID->1946437453,ExpressionUUID->"ea2ea809-ad69-4069-a6dd-80360379b29f"],

Cell["It\[CloseCurlyQuote]s a ZIP file. Find out what files are contained in \
it.", "Exercise",
 CellChangeTimes->{{3.771751434108913*^9, 3.771751459301206*^9}, {
  3.771756868388794*^9, 3.771756878700643*^9}},
 CellTags->"Exercise",
 CellID->1974776621,ExpressionUUID->"c016b690-6126-48a7-9563-e9ac894a9871"],

Cell[TextData[{
 "You should see a file name that ends in ",
 Cell[BoxData[
  RowBox[{"readme", ".", "txt"}]], "InlineCode",ExpressionUUID->
  "fea72b4f-6c5d-4dce-92b5-ebbdcd955b1e"],
 ". Import that file as text. Because the archive is large (even though this \
file is small), this may take a minute or so to run. "
}], "Exercise",
 CellChangeTimes->{{3.771756905485174*^9, 3.7717569290578613`*^9}, {
  3.771756975938336*^9, 3.771756996211747*^9}, {3.8699232410401773`*^9, 
  3.869923242612447*^9}, {3.873538717158362*^9, 3.873538717487258*^9}, {
  3.8782080156812253`*^9, 3.8782080248418436`*^9}},
 CellTags->"Exercise",
 CellID->706916907,ExpressionUUID->"4bacd058-bef9-4e32-9330-93883ed388b4"],

Cell[TextData[{
 "There\[CloseCurlyQuote]s another file in the archive that ends with ",
 Cell[BoxData[
  RowBox[{"data", "-", 
   RowBox[{"train", ".", "csv"}]}]], "InlineCode",ExpressionUUID->
  "c36bef9a-65aa-4cda-b6d5-fffddbc9cada"],
 ". Find out what ",
 Cell[BoxData[
 "\"\<Elements\>\""], "InlineCode",ExpressionUUID->
  "3a6c2efb-1900-4a23-be52-72027d6d2f30"],
 " are available for ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " from that file."
}], "Exercise",
 CellChangeTimes->{{3.7717571518201027`*^9, 3.771757168163205*^9}, {
   3.8128089421588125`*^9, 3.812808942510788*^9}, {3.813336852882885*^9, 
   3.813336854058179*^9}, 3.8735387561464376`*^9, {3.8747518321293983`*^9, 
   3.87475183492855*^9}, {3.878207999254984*^9, 3.878208011697554*^9}},
 CellTags->"Exercise",
 CellID->593937710,ExpressionUUID->"f7cc71e9-15f6-46a1-9b3c-e74fbfebd64b"],

Cell[TextData[{
 "See if you can figure out how to get the ",
 ButtonBox["Dimensions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dimensions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dimensions.html"],
 " of the file without having to actually ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " the data."
}], "Exercise",
 CellChangeTimes->{{3.771757140205921*^9, 3.7717571981359158`*^9}, {
  3.873538765952655*^9, 3.873538772582106*^9}},
 CellTags->"Exercise",
 CellID->1965190233,ExpressionUUID->"354d1e56-f8a4-4e35-8417-832121172949"],

Cell[CellGroupData[{

Cell[TextData[{
 "The code below assigns the web address of data on wine to the variable ",
 StyleBox["wineURL", "InlineCode"],
 ". Import the data at this address as text. Call your result ",
 Cell[BoxData[
 "wineText"], "InlineCode",ExpressionUUID->
  "6fbeb736-f706-4786-be35-3b966b00058b"],
 "."
}], "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.771701684372815*^9, 3.771701759149096*^9}, {
   3.7717504158181963`*^9, 3.7717504549812307`*^9}, {3.7717504880865717`*^9, 
   3.771750492882374*^9}, {3.771750577239437*^9, 3.771750594898863*^9}, {
   3.771753331790015*^9, 3.771753384980817*^9}, {3.771753428508296*^9, 
   3.771753446787305*^9}, {3.771753739401409*^9, 3.771753743670198*^9}, 
   3.8133368760439405`*^9, {3.8735387859558783`*^9, 3.873538826352903*^9}, {
   3.8782077563725333`*^9, 3.8782077653714867`*^9}},
 CellTags->"Exercise",
 CellID->1800083271,ExpressionUUID->"a7cbcd7d-31b4-4dd3-a6da-044e596f4585"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "wineURL", "=", 
   "\"\<http://archive.ics.uci.edu/ml/machine-learning-databases/wine-quality/\
winequality-white.csv\>\""}], ";"}]], "ExerciseInput",
 CellChangeTimes->{{3.771750458653887*^9, 3.771750467993883*^9}, {
  3.771753387579545*^9, 3.771753387818344*^9}},
 CellTags->"Exercise",
 CellLabel->"In[106]:=",
 CellID->1149374577,ExpressionUUID->"3547c239-e32b-427a-9ec3-1217a1a8ec4c"]
}, Open  ]],

Cell[TextData[{
 "What I hope you see is that it is a \[OpenCurlyDoubleQuote]semicolon\
\[Hyphen]separated value file\[CloseCurlyDoubleQuote] that is like a CSV file \
but each row has its 12 values separated by semicolons. Unfortunately, this \
choice of a semicolon as a separator is going to make it impossible to import \
it properly using the CSV importer (in Version 13.2) and get out a data \
structure, each row of which has 12 values. To get around this, import it \
instead as text with the ",
 Cell[BoxData[
 "\"\<Lines\>\""], "InlineCode",ExpressionUUID->
  "3f993dce-7f1d-4519-a182-28be1d45613a"],
 " element. Call your result ",
 Cell[BoxData[
 "wineLines"], "InlineCode",ExpressionUUID->
  "a21e78f5-f954-444f-b8b5-2c9d19c61e29"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7717506069050417`*^9, 3.771750637017017*^9}, {
   3.7717506947158947`*^9, 3.77175072579671*^9}, {3.771750759887024*^9, 
   3.7717508480324*^9}, {3.771750892217908*^9, 3.7717509605574408`*^9}, {
   3.771753461543316*^9, 3.771753496280197*^9}, {3.7717536838421173`*^9, 
   3.7717537175458813`*^9}, {3.7717538014449663`*^9, 3.7717538055506*^9}, 
   3.812103858335497*^9, {3.813337429429307*^9, 3.81333750141972*^9}, 
   3.8133375324014845`*^9, {3.873538894143752*^9, 3.873538922659943*^9}, {
   3.874748273916739*^9, 3.874748274113584*^9}, {3.878207985684616*^9, 
   3.8782079942391205`*^9}, {3.882620871123301*^9, 3.8826208820712852`*^9}, {
   3.8981734724152327`*^9, 3.898173474816699*^9}},
 CellTags->"Exercise",
 CellID->51575317,ExpressionUUID->"5bb9cf9e-c974-49be-aa37-b217f75dc7af"],

Cell[TextData[{
 "Now read up on the ",
 ButtonBox["StringSplit",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StringSplit.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/StringSplit.html"],
 " function in the Wolfram Language documentation and turn your import into a \
",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists with dimensions ",
 Cell[BoxData[
  RowBox[{"4899", "\[Times]", "12"}]], "InlineMath",ExpressionUUID->
  "e83d3c7e-26bc-4c22-b1bd-677e2bc734c4"],
 " and call it ",
 Cell[BoxData[
 "wineListOfLists"], "InlineCode",ExpressionUUID->
  "b348b995-41a5-46ad-8a84-c04c51cef233"],
 ". "
}], "Exercise",
 CellTags->"Exercise",
 CellID->1622228907,ExpressionUUID->"33710d63-9940-4f4d-a6ad-0505efad4f10"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s a challenge: Take a look at the first line of the \
answer from the preceding exercise either in ",
 ButtonBox["InputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/InputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/InputForm.html"],
 " or using the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["ShowQuotes",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ShowQuotes"],
 ". What you should see is that each element of the resulting ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " has embedded quotation marks in it. This is not what we want! Try to write \
a function that fixes the problem and imports the data in a way that \
eliminates the embedded quotation marks. "
}], "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.771754411508643*^9, 3.771754488919619*^9}, {
   3.77175454456398*^9, 3.771754553671321*^9}, {3.813337746835126*^9, 
   3.8133377628252344`*^9}, {3.8133380319070435`*^9, 
   3.8133380393082533`*^9}, {3.87353903004846*^9, 3.873539040666977*^9}, {
   3.874748457333701*^9, 3.87474854594029*^9}, {3.878208152444976*^9, 
   3.878208176878644*^9}, {3.8782084064711294`*^9, 3.878208426577671*^9}, 
   3.8981734878397427`*^9},
 CellTags->"Exercise",
 CellID->1631639168,ExpressionUUID->"4aaa837a-6a1b-4287-b1e4-1fd970a8d815"],

Cell[TextData[StyleBox["The following exercises with the wine data are a \
review of material taught in the previous chapters of this book. They are \
likely to prove challenging.",
 FontWeight->"Bold"]], "ExerciseNote",
 CellChangeTimes->{
  3.87822910354677*^9, {3.898173584163398*^9, 3.8981735860994883`*^9}},
 CellID->1037428006,ExpressionUUID->"79abaa14-ca2b-45cd-bd70-c6cdcf3b4d6d"],

Cell[TextData[{
 "Turn your ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations, each of whose keys are the first row of the data but with \
no embedded quotation marks. Call your result ",
 Cell[BoxData[
 "wineListOfAssociations"], "InlineCode",ExpressionUUID->
  "4afd46b5-a106-4045-a419-9ce5b79cfc1c"],
 ". Hint: Perhaps you should use ",
 Cell[BoxData[
 "deleteEmbeddedQuotations"], "InlineCode",ExpressionUUID->
  "6d01dfbc-5389-4150-8ce4-2096a64bc859"],
 ". For extra credit, use the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["ToCamelCase",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ToCamelCase"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ToCamelCase"],
 " so that there are no spaces in the key names."
}], "Exercise",
 CellChangeTimes->{{3.7717506069050417`*^9, 3.771750637017017*^9}, {
   3.7717506947158947`*^9, 3.77175072579671*^9}, {3.771750759887024*^9, 
   3.7717508480324*^9}, {3.771750892217908*^9, 3.7717509605574408`*^9}, {
   3.771753461543316*^9, 3.771753496280197*^9}, {3.7717536838421173`*^9, 
   3.771753724913744*^9}, {3.771753774850534*^9, 3.7717537828034067`*^9}, {
   3.7717538417447433`*^9, 3.771753857171534*^9}, {3.7717546009231453`*^9, 
   3.7717546414900217`*^9}, {3.7717546761392612`*^9, 3.771754706011839*^9}, 
   3.7719570066685343`*^9, {3.771957866193*^9, 3.7719579109942513`*^9}, {
   3.8121038621742477`*^9, 3.812103863825384*^9}, {3.8133393849273744`*^9, 
   3.8133393849959435`*^9}, {3.8133395297676697`*^9, 
   3.8133395425255795`*^9}, {3.813339586670537*^9, 3.813339658734709*^9}, {
   3.8699232750879374`*^9, 3.8699232859574337`*^9}, {3.873539098070896*^9, 
   3.8735391302773237`*^9}, {3.878208506689289*^9, 3.8782085083388977`*^9}, 
   3.878229124414192*^9},
 CellTags->"Exercise",
 CellID->423465257,ExpressionUUID->"a980fbe4-a7f2-4164-a1c0-ec05f01ef672"],

Cell[TextData[{
 "As a final step, see if the \[OpenCurlyDoubleQuote]numbers\
\[CloseCurlyDoubleQuote] in the data have been imported as numbers or as \
strings. If they are strings, write code to turn them into numbers. Turn your \
result into a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " called ",
 Cell[BoxData[
 "wineDataset"], "InlineCode",ExpressionUUID->
  "cb7d6148-db62-48b2-9980-30737817b211"],
 ". Hint 1: ",
 ButtonBox["ToExpression",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ToExpression.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ToExpression.html"],
 ". Hint 2: The third argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7717506069050417`*^9, 3.771750637017017*^9}, {
   3.7717506947158947`*^9, 3.77175072579671*^9}, {3.771750759887024*^9, 
   3.7717508480324*^9}, {3.771750892217908*^9, 3.7717509605574408`*^9}, {
   3.771753461543316*^9, 3.771753496280197*^9}, {3.7717536838421173`*^9, 
   3.771753721484049*^9}, {3.771754008938013*^9, 3.7717540473988667`*^9}, {
   3.813340099845394*^9, 3.813340142848523*^9}, 3.8133402181037607`*^9, {
   3.873539180532263*^9, 3.87353919603028*^9}, {3.87820937195612*^9, 
   3.878209373134945*^9}},
 CellTags->"Exercise",
 CellID->2121815541,ExpressionUUID->"34d13127-bade-4797-9bbb-7614879fc246"],

Cell[TextData[{
 "Compute the variance of the quality column. Present your answer as a number \
and call it ",
 Cell[BoxData[
 "qualityVariance"], "InlineCode",ExpressionUUID->
  "6b043a1b-f114-4ee1-9635-af3451eb2397"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.771957930943898*^9, 3.771957991749901*^9}, 
   3.8121038673770876`*^9, 3.8133402654197607`*^9},
 CellTags->{"Exercise", "LastCellOfAPage"},
 CellID->1939276572,ExpressionUUID->"3d17d1db-6200-4dcb-8a22-1603d57244c7"],

Cell[CellGroupData[{

Cell[TextData[{
 "Run the following code to create training and testing components to your ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". See if you can understand what the code is doing."
}], "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.77195772434221*^9, 3.771957741838826*^9}, {
   3.771958019537504*^9, 3.771958025775772*^9}, 3.873539239852001*^9},
 CellTags->{"Exercise", "p: 325"},
 CellID->1014559694,ExpressionUUID->"fc3e37ac-216c-4827-ab85-ced64dc3a8fd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"SeedRandom", "[", "1", "]"}], ";", 
    RowBox[{"wineDatasets", "=", 
     RowBox[{
      RowBox[{"Query", "[", 
       RowBox[{"RandomSample", "/*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"AssociationThread", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\"\<training\>\"", ",", "\"\<testing\>\""}], "}"}], ",", 
            RowBox[{"TakeDrop", "[", 
             RowBox[{"#", ",", 
              RowBox[{"Round", "[", 
               RowBox[{"0.7", "*", 
                RowBox[{"Length", "[", "#", "]"}]}], "]"}]}], "]"}]}], "]"}], 
          "&"}], ")"}]}], "]"}], "[", "wineDataset", "]"}]}]}], ")"}], 
  ";"}]], "ExerciseInput",
 CellChangeTimes->{{3.771957751844942*^9, 3.771957757324678*^9}, 
   3.874749293470911*^9},
 CellTags->"Exercise",
 CellLabel->"In[115]:=",
 CellID->228605157,ExpressionUUID->"096dc5e8-9c28-4c3d-bca9-9207c85318e5"]
}, Open  ]],

Cell[TextData[{
 "Now use what you learned in the first part of this book to write a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that will yield a ",
 ButtonBox["PredictorFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/PredictorFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/PredictorFunction.html"],
 " based on the training data. Note that your results may differ slightly \
depending on the method selected by the automated machine learning algorithm. \
Call the result ",
 Cell[BoxData[
 "pre"], "InlineCode",ExpressionUUID->"8b048d49-f7b5-4e28-ae3b-51728aa98a0e"],
 ". Hint 1: ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 ". Hint 2: ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Most",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Most.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Most.html"], 
   "\[ThinSpace]", 
   ButtonBox[
    StyleBox["@",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Prefix.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Prefix.html"], 
   "\[ThinSpace]", 
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "\[ThinSpace]", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
   "\[ThinSpace]", 
   ButtonBox[
    StyleBox["Last",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Last.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Last.html"], 
   "\[ThinSpace]", 
   ButtonBox[
    StyleBox["@",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Prefix.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Prefix.html"], 
   "\[ThinSpace]", 
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "\[ThinSpace]", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCode",ExpressionUUID->"863af58f-dcd7-41b2-ae90-988138177161"],
 ". "
}], "Exercise",
 CellTags->"Exercise",
 CellID->1953390554,ExpressionUUID->"0a713720-2731-46dc-85cc-6baff443219c"],

Cell[TextData[{
 "Use the result from the previous question to produce a ",
 ButtonBox["PredictorMeasurementsObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/\
PredictorMeasurementsObject.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/PredictorMeasurementsObject.\
html"],
 " called ",
 Cell[BoxData[
 "pmo"], "InlineCode",ExpressionUUID->"aa67fc63-817c-455b-a5f7-fcd7701009ad"],
 " that sees how well the predictor you made is able to predict the quality \
of wines in the testing data created earlier."
}], "Exercise",
 CellChangeTimes->{{3.771958043490822*^9, 3.771958101565497*^9}, 
   3.8133409906321115`*^9, 3.873539354701371*^9, {3.8860010381869755`*^9, 
   3.886001039789713*^9}},
 CellTags->"Exercise",
 CellID->1984026633,ExpressionUUID->"b1c7c483-0048-4716-b5cb-6919829b6d7a"],

Cell[TextData[{
 Cell[BoxData[
 "\"\<ComparisonPlot\>\""], "InlineCode",ExpressionUUID->
  "58a85166-509c-488c-9d0c-29c7d7204f5c"],
 " is a property of a ",
 ButtonBox["PredictorMeasurementsObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/\
PredictorMeasurementsObject.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/PredictorMeasurementsObject.\
html"],
 ". Make a ",
 Cell[BoxData[
 "\"\<ComparisonPlot\>\""], "InlineCode",ExpressionUUID->
  "60786655-ed38-4ca5-92d8-a396c3ded777"],
 " from ",
 Cell[BoxData[
 "pmo"], "InlineCode",ExpressionUUID->"1e0b15cf-b90e-4200-9cb3-d34d933e3c3b"],
 " showing the predicted quality of the wine on the ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "0369c8c3-9dd6-4305-a292-8dfaf5093857"],
 " axis and the actual quality of the wine on the ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath",ExpressionUUID->
  "6a68cc73-43eb-48b6-a806-9f9d011f290a"],
 " axis."
}], "Exercise",
 CellChangeTimes->{{3.7719581070729218`*^9, 3.771958348164941*^9}, {
   3.8121038706867037`*^9, 3.812103883662405*^9}, {3.813341465460451*^9, 
   3.8133414933448453`*^9}, {3.81334234791542*^9, 3.813342384818289*^9}, {
   3.813342504483766*^9, 3.813342517502686*^9}, 3.8133425681200447`*^9, {
   3.873539405054139*^9, 3.8735394174030457`*^9}, {3.8735395283919163`*^9, 
   3.873539529164525*^9}, {3.87474864343274*^9, 3.874748700121887*^9}, 
   3.874748747534828*^9, {3.874748807582273*^9, 3.874748904577106*^9}, 
   3.8747489703874607`*^9, 3.874749017248404*^9, {3.8782102633616185`*^9, 
   3.8782102954366426`*^9}},
 CellTags->"Exercise",
 CellID->1761211481,ExpressionUUID->"7cb0c79b-2d01-410e-ae7b-6e4c035c866b"],

Cell[TextData[{
 "Would you say the quality of the wine is easy to predict accurately from \
the data or does good wine, perhaps, have a certain ",
 StyleBox["je ne sais quoi?",
  FontSlant->"Italic"],
 " Test your belief by computing the ",
 Cell[BoxData[
 "\"\<RSquared\>\""], "InlineCode",ExpressionUUID->
  "df480d0e-8bff-493b-911b-cd503cbcb40c"],
 " property of the ",
 ButtonBox["PredictorMeasurementsObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/\
PredictorMeasurementsObject.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/PredictorMeasurementsObject.\
html"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.8747489777471447`*^9, 3.8747489803350487`*^9}, {
  3.87474941626521*^9, 3.8747494169779*^9}, {3.8782103312317185`*^9, 
  3.878210345512207*^9}},
 CellID->423197234,ExpressionUUID->"7a805c59-f595-4d80-a4b3-ff32a5e0cd97"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tech Notes", "TechNoteSection",
 CellID->361586240,ExpressionUUID->"18b8a56d-819f-4b32-8f2f-e9b28abc3a97"],

Cell[TextData[{
 "You can try to ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " from a file or ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " to a file without specifying a format. When you do so, the kernel will \
attempt to guess the format based on the name of the file. Thus, if your file \
is ",
 Cell[BoxData[
  RowBox[{"myfile", ".", "csv"}]], "InlineCode",ExpressionUUID->
  "295d6423-ac15-4340-8b4f-4a8a2dca0777"],
 ", the kernel will assume you want to import (or export) as ",
 Cell[BoxData[
 "\"\<CSV\>\""], "InlineCode",ExpressionUUID->
  "af74f8a3-7c28-49bb-ab5f-fde89c3e15e2"],
 ". I don\[CloseCurlyQuote]t recommend you do this, though. It\
\[CloseCurlyQuote]s worth spending some time thinking about the best format \
and telling the kernel what to do. "
}], "TechNote",
 CellChangeTimes->{{3.771599357788773*^9, 3.7715994854606447`*^9}, {
  3.77160086676101*^9, 3.771600868755628*^9}, {3.771695326318697*^9, 
  3.7716954491999397`*^9}, {3.813343026253307*^9, 3.8133430290467963`*^9}, {
  3.8693410718143597`*^9, 3.869341073849424*^9}, {3.8735397216424522`*^9, 
  3.873539726107181*^9}, {3.8771046501533775`*^9, 3.87710465987232*^9}, {
  3.878210631728698*^9, 3.8782106716501236`*^9}, {3.8782107021137476`*^9, 
  3.878210714713279*^9}, {3.8782108611001997`*^9, 3.878210872938265*^9}},
 CellID->1569795792,ExpressionUUID->"81de0b27-3334-45ff-b0ef-f6d9cbfffef4"],

Cell[TextData[{
 "If you ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " Lists of strings as ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "ff9c9a35-0fe2-4fda-a70b-1229d32d4444"],
 ", the strings are concatenated and separated by a new line character."
}], "TechNote",
 CellChangeTimes->{{3.771667482058652*^9, 3.771667491560884*^9}, 
   3.7716676093154793`*^9, {3.771667661234707*^9, 3.77166770140172*^9}, {
   3.873539804932026*^9, 3.87353983650443*^9}, {3.878210902442144*^9, 
   3.8782109114994802`*^9}, {3.8981736861205683`*^9, 3.898173688488521*^9}},
 CellID->114282828,ExpressionUUID->"5d0b74f0-0b8b-45b2-8e8e-80b0f966a33e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ExportString", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<Is this a dagger which I see before me,\nThe handle toward my hand?\
\>\"", ",", 
      "\"\<Come, let me clutch thee.\nI have thee not, and yet I see thee \
still.\>\""}], "}"}], ",", "\"\<Text\>\""}], "]"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771667496070911*^9, 3.771667505359927*^9}, {
   3.771667595462924*^9, 3.771667614927216*^9}, {3.771667707024386*^9, 
   3.7716677239306726`*^9}, 3.82422405988172*^9, 3.874505731412395*^9},
 CellLabel->"In[120]:=",
 CellID->1601688009,ExpressionUUID->"0964a1a5-9be1-424b-bb05-57a0c4689d1d"],

Cell[BoxData[
 StyleBox[
  "\"\<Is this a dagger which I see before me,\\nThe handle toward my \
hand?\\nCome, let me clutch thee.\\nI have thee not, and yet I see thee \
still.\>\"",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{{3.771667599061303*^9, 3.771667615711391*^9}, 
   3.771667726388975*^9, 3.881832965726921*^9},
 CellLabel->"Out[120]=",
 CellID->269085971,ExpressionUUID->"5d3a7991-dbbb-47fc-a067-b03d61c856ab"]
}, Open  ]],

Cell[TextData[{
 "If you try to export a non-string to ",
 Cell[BoxData[
 "\"\<Text\>\""], "InlineCode",ExpressionUUID->
  "9fae7276-9aff-41aa-b623-66379ca2155b"],
 ", ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " runs ",
 ButtonBox["ToString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ToString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ToString.html"],
 " to convert the expression to a string and exports the result."
}], "TechNote",
 CellChangeTimes->{{3.771667732032936*^9, 3.771667816767639*^9}, {
   3.813343138902285*^9, 3.813343140109518*^9}, {3.813343181976941*^9, 
   3.8133431870850997`*^9}, 3.869923316613505*^9, 3.873539880859873*^9, 
   3.878210938007867*^9},
 CellID->2064184722,ExpressionUUID->"176e4d29-b0cc-48b2-a7d4-83dbb3221f77"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ExportString", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\"\<To be or not to be\>\"", ",", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"a", " ", "x"}], " ", "+", " ", "b"}], " ", "\[Equal]", 
         "0"}], ",", "x"}], "]"}]}], "}"}], ",", "\"\<Text\>\""}], "]"}], "//", 
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["ShowQuotes", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/901840f6-36ac-4c76-adde-205cdde1fbed/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ShowQuotes"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ShowQuotes", "ShortName" -> "ShowQuotes", "UUID" -> 
      "901840f6-36ac-4c76-adde-205cdde1fbed", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Style the output so that quotation marks (as string characters) \
appear", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$98c7f894212b443c958f94e66e7e8229`ShowQuotes", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/73418332-246c-4023-8943-\
ed8ce6eb9e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False]}]], "Input",
 CellChangeTimes->{{3.771667496070911*^9, 3.771667505359927*^9}, {
   3.771667595462924*^9, 3.771667637719083*^9}, {3.771667755949278*^9, 
   3.7716677614888783`*^9}, 3.824224062420343*^9, 3.8745057333468933`*^9},
 CellLabel->"In[121]:=",
 CellID->334692172,ExpressionUUID->"6d6f5ce9-ea58-41e3-869a-c446beb2af42"],

Cell[BoxData[
 StyleBox["\"\<To be or not to be\\n{{x -> -(b/a)}}\>\"",
  StripOnInput->False,
  ShowStringCharacters->True]], "Output",
 CellChangeTimes->{3.771667638305256*^9, 3.771667762600019*^9, 
  3.8818329707757273`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[121]=",
 CellID->1751527106,ExpressionUUID->"0a52ba92-c562-41f7-a8e9-54ab04cd5c99"]
}, Open  ]],

Cell[TextData[{
 "The ",
 ButtonBox["HeaderLines",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderLines.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderLines.html"],
 " option can also cope with CSV files where the first \
\[OpenCurlyDoubleQuote]column\[CloseCurlyDoubleQuote] is what the Wolfram \
Language would think of as a row header (or outer key). Here I construct such \
a data structure."
}], "TechNote",
 CellChangeTimes->{{3.771686659886073*^9, 3.7716866921945047`*^9}, {
  3.771687562822386*^9, 3.771687571413783*^9}, {3.81334347651017*^9, 
  3.8133434840153484`*^9}},
 CellTags->"p: 326",
 CellID->1034315481,ExpressionUUID->"38293ad9-39b4-4d4d-ba81-fc43fc6176a6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"indexedDinghy", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", "Values"}], "]"}], "[", 
   RowBox[{"MapThread", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Association", "[", 
       RowBox[{
        RowBox[{"\"\<index\>\"", "\[Rule]", 
         RowBox[{"ToString", "[", "#1", "]"}]}], ",", "#2"}], "]"}], "&"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        InterpretationBox[
         TagBox[
          DynamicModuleBox[{Typeset`open = False}, 
           FrameBox[
            PaneSelectorBox[{False->GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["CorrespondingIntegers", "ResourceFunctionLabel"],
                     " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"],
                    ImageSizeCache->{11., {2., 9.}}], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"],
                    ImageSizeCache->{11., {2., 9.}}]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
             GridBox[{
               {GridBox[{
                  {
                   PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["CorrespondingIntegers", "ResourceFunctionLabel"],
                     " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                    },
                    GridBoxSpacings->{"Columns" -> {{0.25}}}],
                    Alignment->Left,
                    
                    BaseStyle->{
                    LineSpacing -> {0, 0}, LineBreakWithin -> False},
                    BaselinePosition->Baseline,
                    FrameMargins->{{3, 0}, {0, 0}}], 
                   ItemBox[
                    PaneBox[
                    TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                    Alignment->Left,
                    BaselinePosition->Baseline,
                    FrameMargins->{{1, 1}, {0, 0}}],
                    Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
                 },
                 BaselinePosition->{1, 1},
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
               {
                StyleBox[
                 PaneBox[GridBox[{
                    {
                    RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                    {
                    TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6ab51ca6-bbd1-4798-9b76-682bf65dc1f7/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                   },
                   DefaultBaseStyle->"Column",
                   GridBoxAlignment->{"Columns" -> {{Left}}},
                   
                   GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
                 FontFamily->"Roboto",
                 FontSize->11]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                   GrayLevel[0.8]}, False}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, 
             Dynamic[Typeset`open],
             BaselinePosition->Baseline,
             ImageSize->Automatic],
            
            Background->RGBColor[
             0.9686274509803922, 0.9764705882352941, 0.984313725490196],
            BaselinePosition->Baseline,
            DefaultBaseStyle->{},
            FrameMargins->{{0, 0}, {1, 0}},
            
            FrameStyle->RGBColor[
             0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
            RoundingRadius->4]],
          {"FunctionResourceBox", 
           RGBColor[
           0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
           "CorrespondingIntegers"},
          TagBoxNote->"FunctionResourceBox"],
         ResourceFunction[
          ResourceObject[<|
           "Name" -> "CorrespondingIntegers", "ShortName" -> 
            "CorrespondingIntegers", "UUID" -> 
            "6ab51ca6-bbd1-4798-9b76-682bf65dc1f7", "ResourceType" -> 
            "Function", "Version" -> "1.0.0", "Description" -> 
            "Create a list of positive integers containing as many elements \
as the expression to which it is applied", "RepositoryLocation" -> 
            URL["https://www.wolframcloud.com/objects/resourcesystem/api/1.0"]\
, "SymbolName" -> 
            "FunctionRepository`$a1516f15fde549e2b639715d1918e6d1`\
CorrespondingIntegers", "FunctionLocation" -> 
            CloudObject[
             "https://www.wolframcloud.com/obj/70a5e148-a237-4fa0-a397-\
68cd18bd6ba8"]|>, ResourceSystemBase -> Automatic]],
         Selectable->False], "[", "dinghy", "]"}], ",", "dinghy"}], "}"}]}], 
    "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.771687192392456*^9, 3.771687278650805*^9}, {
  3.7716873176689043`*^9, 3.771687339254394*^9}, {3.869932749539444*^9, 
  3.869932755764777*^9}},
 CellLabel->"In[122]:=",
 CellID->703572320,ExpressionUUID->"6ca0234f-b502-4de3-98e9-754e24c4cb09"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"1\"\>", ",", "\<\"3rd\"\>", ",", "16", ",", "\<\"female\"\>",
      ",", "True"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"2\"\>", ",", "\<\"1st\"\>", ",", "65", ",", "\<\"male\"\>", 
     ",", "False"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"3\"\>", ",", "\<\"3rd\"\>", ",", "2", ",", "\<\"female\"\>", 
     ",", "False"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"4\"\>", ",", "\<\"3rd\"\>", ",", 
     RowBox[{"Missing", "[", "]"}], ",", "\<\"female\"\>", ",", "True"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"5\"\>", ",", "\<\"3rd\"\>", ",", "18", ",", "\<\"female\"\>",
      ",", "False"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.771687253876214*^9, 3.771687278915702*^9}, {
   3.771687324588821*^9, 3.7716873395183687`*^9}, 3.77170115603224*^9, 
   3.881832981431735*^9},
 CellLabel->"Out[122]=",
 CellID->563637397,ExpressionUUID->"def5af2a-ee04-4e7e-9594-2467049021a7"]
}, Open  ]],

Cell[TextData[{
 "Now I add the column headers on to the data structure, ",
 ButtonBox["ExportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ExportString.html"],
 " it as CSV, and reimport it as ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"\"\<CSV\>\"", ",", "\"\<Dataset\>\""}], "}"}]], "InlineCode",
  ExpressionUUID->"9f7e115b-8067-45da-9d31-be2a3d42b5fc"],
 ", but tell ",
 ButtonBox["ImportString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ImportString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ImportString.html"],
 " that the first column and the first row are headers."
}], "TechNote",
 CellChangeTimes->{{3.771687574262988*^9, 3.771687622796969*^9}, {
   3.771701169367589*^9, 3.771701173456374*^9}, 3.813343555962617*^9, {
   3.813343669662387*^9, 3.813343673646064*^9}, 3.81334370839165*^9, {
   3.873539947664377*^9, 3.873539960771587*^9}},
 CellID->830039654,ExpressionUUID->"e2469db2-8b4e-4adf-a1eb-28e1cc64465e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ImportString", "[", 
  RowBox[{
   RowBox[{"ExportString", "[", 
    RowBox[{
     RowBox[{"Prepend", "[", 
      RowBox[{"indexedDinghy", ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<index\>\"", ",", "\"\<class\>\"", ",", "\"\<age\>\"", ",", 
         "\"\<sex\>\"", ",", "\"\<survived\>\""}], "}"}]}], "]"}], ",", 
     "\"\<CSV\>\""}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\"\<CSV\>\"", ",", "\"\<Dataset\>\""}], "}"}], ",", 
   RowBox[{"HeaderLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.771687280629056*^9, 3.7716872865942307`*^9}, {
  3.7716873274600353`*^9, 3.771687368953682*^9}, {3.771687524584161*^9, 
  3.771687552771742*^9}},
 CellLabel->"In[123]:=",
 CellID->1835684758,ExpressionUUID->"0abda5e9-3d40-449c-a0eb-72498a65faa8"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "1" -> <|"class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         "True"|>, 
       "2" -> <|"class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
         "False"|>, 
       "3" -> <|"class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         "False"|>, 
       "4" -> <|"class" -> "3rd", "age" -> "Missing[]", "sex" -> "female", 
         "survived" -> "True"|>, 
       "5" -> <|"class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         "False"|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[1]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[52.5]|>], 
           DirectedInfinity[1], 4, {All}]]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[1]} -> 1, {All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
             TypeSystem`PackageScope`UnknownShape[False], "sex" -> 
             TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
             TypeSystem`PackageScope`AtomShape[52.5]|>], 
           DirectedInfinity[1], 4, {All}]]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], TypeSystem`AnyType, 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["False", "True"]]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1", 
                  Style[
                  "1", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["1"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["1"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["1"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["1"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["1"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2", 
                  Style[
                  "2", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["2"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["2"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["2"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["2"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["2"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3", 
                  Style[
                  "3", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["3"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["3"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["3"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["3"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["3"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["4", 
                  Style[
                  "4", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["4"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["4"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["4"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["Missing[]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["4"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["4"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["True", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["4"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["5", 
                  Style[
                  "5", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["5"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["5"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["5"], 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["5"], 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["5"], 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["False", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b24b6b0b-ca3b-4181-9f39-9ed212566e68"]][{
                 Key["5"], 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{52.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{325., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{325., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.771687286939096*^9, {3.771687330723359*^9, 3.771687369310444*^9}, 
   3.771687553422086*^9, 3.771701159038755*^9, 3.881833014800201*^9},
 CellLabel->"Out[123]=",
 CellID->401155639,ExpressionUUID->"7bfe9ec2-b1a5-40b3-992f-9bde2c862d98"]
}, Open  ]],

Cell[TextData[{
 "If I use ",
 Cell[BoxData[
 "\"\<Formulas\>\""], "InlineCode",ExpressionUUID->
  "5809f9fa-0042-4336-8b38-4eeb837c74d8"],
 " as the second argument to the ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " of an Excel spreadsheet, I get a list of all the formulas used in the \
document. This can be useful in auditing a complex Excel spreadsheet. Here\
\[CloseCurlyQuote]s the kind of data structure you can get this way. The \
image below compares the result of importing XLSX (and taking the first part) \
and importing the formulas (and taking the first part). I\[CloseCurlyQuote]ve \
wrapped ",
 ButtonBox["Grid",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Grid.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Grid.html"],
 " around each result to make the structure more clear."
}], "TechNote",
 CellChangeTimes->{{3.771672760736253*^9, 3.771672836401395*^9}, 
   3.771672889563547*^9, {3.7716729365656223`*^9, 3.77167296831845*^9}, {
   3.771701192634795*^9, 3.771701199849781*^9}, 3.8121038744872274`*^9, 
   3.8133437209795246`*^9, 3.8133443485331*^9, {3.8735400114960327`*^9, 
   3.873540027727932*^9}},
 CellID->1811010604,ExpressionUUID->"4a439f16-2b47-4ed3-b001-bb4fd2f9f344"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Grid", "[", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Import", "[", 
         RowBox[{
         "\"\</Users/Seth/Dropbox/Query Book With \
Bremner/ExcelFileForChapter8.xlsx\>\"", ",", "\"\<XLSX\>\""}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "//", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"#", ",", 
          RowBox[{"Dividers", "\[Rule]", "All"}]}], "]"}], "&"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Import", "[", 
         RowBox[{
         "\"\</Users/Seth/Dropbox/Query Book With \
Bremner/ExcelFileForChapter8.xlsx\>\"", ",", "\"\<Formulas\>\""}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "//", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"#", ",", 
          RowBox[{"Dividers", "\[Rule]", "All"}]}], "]"}], "&"}]}]}], "}"}], 
    "}"}], "]"}], "//", "Framed"}]], "Input",
 CellChangeTimes->{{3.881410505809992*^9, 3.881410600189797*^9}},
 CellLabel->"In[389]:=",
 CellID->449017593,ExpressionUUID->"e6756da5-ad6a-4868-aedf-e79a9ab60c56"],

Cell[BoxData[
 FrameBox[
  TagBox[GridBox[{
     {
      TagBox[GridBox[{
         {"\<\"Column A\"\>", "\<\"Column B\"\>", "\<\"Column C\"\>"},
         {"9.`", "4.`", "4.`"},
         {"4.`", 
          RowBox[{"-", "1.`"}], "3.`"},
         {"7.`", "2.`", "5.`"}
        },
        AutoDelete->False,
        GridBoxDividers->{"Columns" -> {{True}}, "Rows" -> {{True}}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], 
      TagBox[GridBox[{
         {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
         {"\<\"\"\>", "\<\"A2-5\"\>", "\<\"SUM(B$2:B2)\"\>"},
         {"\<\"\"\>", "\<\"A3-5\"\>", "\<\"SUM(B$2:B3)\"\>"},
         {"\<\"\"\>", "\<\"A4-5\"\>", "\<\"SUM(B$2:B4)\"\>"}
        },
        AutoDelete->False,
        GridBoxDividers->{"Columns" -> {{True}}, "Rows" -> {{True}}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}
    },
    AutoDelete->False,
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"],
  StripOnInput->False]], "Output",
 CellChangeTimes->{{3.8814105959007874`*^9, 3.8814106006134577`*^9}},
 CellID->218925676,ExpressionUUID->"dbc146d4-2e69-4f53-a8f8-e97e247bd7d3"]
}, {2}]],

Cell[TextData[{
 "JSON has limitations in dealing with data containing symbolic heads such as \
",
 ButtonBox["Quantity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Quantity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Quantity.html"],
 ". When the ages of the passengers are converted into a ",
 Cell[BoxData[
 "\"\<Years\>\""], "InlineCode",ExpressionUUID->
  "434e71ed-d8eb-4d63-a279-1d1d3e082f68"],
 " ",
 ButtonBox["Quantity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Quantity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Quantity.html"],
 ", the export to JSON results in the age turning into a string."
}], "TechNote",
 CellChangeTimes->{{3.7407441668132963`*^9, 3.74074418692432*^9}, {
  3.740768992338894*^9, 3.740768999200598*^9}, {3.7407691894492283`*^9, 
  3.740769219522667*^9}, {3.7716749197732153`*^9, 3.771674925852099*^9}, {
  3.7717012838237677`*^9, 3.771701285714292*^9}, {3.8133443940010543`*^9, 
  3.813344404695366*^9}, {3.874749475369811*^9, 3.8747495022479067`*^9}, {
  3.8782112226909018`*^9, 3.8782112276303034`*^9}},
 CellID->2034991634,ExpressionUUID->"de352f89-4d6c-46bb-8598-53eb55144b1c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghy2WithQuantities", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{"MapAt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Quantity", "[", 
         RowBox[{"#", ",", "\"\<Years\>\""}], "]"}], "&"}], ",", "2"}], 
      "]"}]}], "]"}], "[", "dinghy2", "]"}]}]], "Input",
 CellChangeTimes->{{3.7407729485550117`*^9, 3.7407729588437767`*^9}, {
  3.771674931379377*^9, 3.7716749649695053`*^9}},
 CellLabel->"In[124]:=",
 CellID->1279830516,ExpressionUUID->"54a157b3-16c9-46ea-b2cd-d1b702e2c513"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      TemplateBox[{"16", "\"yr\"", "years", "\"Years\""},
       "Quantity"]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      TemplateBox[{"65", "\"yr\"", "years", "\"Years\""},
       "Quantity"]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      TemplateBox[{"2", "\"yr\"", "years", "\"Years\""},
       "Quantity"]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      TemplateBox[{"\"\"", "\"yr\"", "years", "\"Years\""},
       "Quantity"]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      TemplateBox[{"18", "\"yr\"", "years", "\"Years\""},
       "Quantity"]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7407729594503593`*^9, 3.741788012441732*^9, 3.741876432748455*^9, 
   3.741879488839142*^9, 3.741956414265256*^9, {3.771674953674856*^9, 
   3.771674965438592*^9}, 3.7717013008661537`*^9, 3.881833041018443*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[124]=",
 CellID->1608863820,ExpressionUUID->"4e4e3583-303a-4112-b016-69b793b442da"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExportString", "[", 
  RowBox[{"dinghy2WithQuantities", ",", "\"\<JSON\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.7407690043003597`*^9, 3.740769047632207*^9}, {
  3.740769169335339*^9, 3.74076918594361*^9}, {3.740772964798669*^9, 
  3.740772975949856*^9}, {3.7716749569659557`*^9, 3.771674961294318*^9}},
 CellTags->"p: 327",
 CellLabel->"In[125]:=",
 CellID->585762959,ExpressionUUID->"38937d05-7004-4c9f-b2bb-74b3bcaba67c"],

Cell[BoxData[
 TemplateBox[{
  "Export", "jsonstrictencoding", 
   "\"Expression \\!\\(\\*RowBox[{\\\"\\\\\\\"Quantity\\\\\\\"\\\"}]\\) \
cannot be exported as \\!\\(\\*RowBox[{\\\"\\\\\\\"JSON\\\\\\\"\\\"}]\\).\"", 
   2, 72, 8, 27284377276612925937, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7716749672087383`*^9, 3.771701303350441*^9},
 CellLabel->"During evaluation of In[72]:=",
 CellID->1937653467,ExpressionUUID->"ee0708b4-a84f-4351-972a-3e3de02b4e6c"],

Cell[BoxData["$Failed"], "Output",
 CellChangeTimes->{{3.740769032077952*^9, 3.740769050597535*^9}, 
   3.740769172150091*^9, 3.74076922372554*^9, 3.740772977574005*^9, 
   3.7417880125583687`*^9, 3.741876432835867*^9, 3.741879488917883*^9, 
   3.741956414372262*^9, 3.771674967219839*^9, 3.771701303354904*^9, 
   3.881833050668572*^9},
 CellLabel->"Out[125]=",
 CellID->622479419,ExpressionUUID->"bd9b4813-1f31-4cfd-b8ed-ee1e028dda8f"]
}, Open  ]],

Cell[TextData[{
 "If I want to send general-purpose Wolfram Language expressions in JSON, I \
can use a cousin format called ",
 Cell[BoxData[
 "\"\<ExpressionJSON\>\""], "InlineCode",ExpressionUUID->
  "7162e847-e94f-4b7e-bd00-b332c2ccdfc6"],
 ". "
}], "TechNote",
 CellChangeTimes->{{3.771674374781452*^9, 3.7716744267730513`*^9}, 
   3.813344488853035*^9, {3.8782112585751452`*^9, 3.878211258743658*^9}},
 CellID->199128086,ExpressionUUID->"a0ff9788-f7e2-45e2-bb8b-a01ff3c64de4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jsonExpressionExport", "=", 
  RowBox[{"ExportString", "[", 
   RowBox[{"dinghy", ",", "\"\<ExpressionJSON\>\"", ",", 
    RowBox[{"\"\<Compact\>\"", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.771674387736291*^9, 3.771674393829919*^9}, {
  3.771674430798595*^9, 3.7716744745299377`*^9}},
 CellLabel->"In[126]:=",
 CellID->371969428,ExpressionUUID->"32e0d5d4-c1ed-4c9f-a147-bcd585cd8b0c"],

Cell[BoxData["\<\"[\\\"List\\\",[\\\"Association\\\",[\\\"Rule\\\",\\\"'class'\
\\\",\\\"'3rd'\\\"],[\\\"Rule\\\",\\\"'age'\\\",16],[\\\"Rule\\\",\\\"'sex'\\\
\",\\\"'female'\\\"],[\\\"Rule\\\",\\\"'survived'\\\",true]],[\\\"Association\
\\\",[\\\"Rule\\\",\\\"'class'\\\",\\\"'1st'\\\"],[\\\"Rule\\\",\\\"'age'\\\",\
65],[\\\"Rule\\\",\\\"'sex'\\\",\\\"'male'\\\"],[\\\"Rule\\\",\\\"'survived'\\\
\",false]],[\\\"Association\\\",[\\\"Rule\\\",\\\"'class'\\\",\\\"'3rd'\\\"],[\
\\\"Rule\\\",\\\"'age'\\\",2],[\\\"Rule\\\",\\\"'sex'\\\",\\\"'female'\\\"],[\
\\\"Rule\\\",\\\"'survived'\\\",false]],[\\\"Association\\\",[\\\"Rule\\\",\\\
\"'class'\\\",\\\"'3rd'\\\"],[\\\"Rule\\\",\\\"'age'\\\",[\\\"Missing\\\"]],[\
\\\"Rule\\\",\\\"'sex'\\\",\\\"'female'\\\"],[\\\"Rule\\\",\\\"'survived'\\\",\
true]],[\\\"Association\\\",[\\\"Rule\\\",\\\"'class'\\\",\\\"'3rd'\\\"],[\\\"\
Rule\\\",\\\"'age'\\\",18],[\\\"Rule\\\",\\\"'sex'\\\",\\\"'female'\\\"],[\\\"\
Rule\\\",\\\"'survived'\\\",false]]]\"\>"], "Output",
 CellChangeTimes->{
  3.771674394211884*^9, {3.771674436993722*^9, 3.771674474885332*^9}, 
   3.771701298192698*^9, 3.881833064642687*^9},
 CellLabel->"Out[126]=",
 CellID->2047136220,ExpressionUUID->"f17a21f2-1507-4807-8195-433912cbef6b"]
}, Open  ]],

Cell["I can now reimport it and get exactly what I sent out.", "TechNote",
 CellChangeTimes->{{3.771674456264135*^9, 3.7716744637647657`*^9}},
 CellID->1961958665,ExpressionUUID->"c69f4b5d-2e83-42ff-8a76-487346f42daa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ImportString", "[", 
  RowBox[{"jsonExpressionExport", ",", "\"\<ExpressionJSON\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7716744778059683`*^9, 3.7716744919789248`*^9}},
 CellLabel->"In[127]:=",
 CellID->1371326744,ExpressionUUID->"e3923d2a-5e56-4409-b19f-0b16b7e49cb8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.77167449232264*^9, 3.771701307589579*^9, 
  3.8818330951743307`*^9},
 CellLabel->"Out[127]=",
 CellID->790856601,ExpressionUUID->"aa86368b-33d0-438c-8dc9-7392c1c60517"]
}, Open  ]],

Cell[TextData[{
 "You can think of ",
 Cell[BoxData[
 "\"\<ExpressionJSON\>\""], "InlineCode",ExpressionUUID->
  "8189936e-f431-4638-9341-db5cfe880c3c"],
 " as an alternative to WXF as a way of sending human-readable Wolfram \
Language data structures to other users. There are also a number of other \
variants of JSON covered in the ",
 ButtonBox["Wolfram Language & System Documentation Center",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/"], None},
  ButtonNote->"https://reference.wolfram.com/language/"],
 "."
}], "TechNote",
 CellChangeTimes->{{3.771674591767853*^9, 3.7716746567067127`*^9}, {
  3.8133445386667156`*^9, 3.813344545879179*^9}, {3.813344595610244*^9, 
  3.8133445958180428`*^9}, {3.873540221642795*^9, 3.873540247977507*^9}},
 CellID->998044005,ExpressionUUID->"fd079bda-3928-4231-bc4d-0d6eb1ba66f8"]
}, Open  ]],

Cell[CellGroupData[{

Cell["More to Explore", "MoreExploreSection",
 CellID->184782838,ExpressionUUID->"366a6691-55c8-4cce-9cc7-ba0276fe587d"],

Cell[TextData[{
 "To learn more about ",
 ButtonBox["Import",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Import.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Import.html"],
 " and ",
 ButtonBox["Export",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Export.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Export.html"],
 " of the hundreds of formats known to the Wolfram Language, see the guide \
page on ",
 ButtonBox["basic formats",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/guide/BasicFormats.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/guide/BasicFormats.html"],
 StyleBox[" ",
  FontWeight->"Light"],
 StyleBox["(",
  CodeAssistOptions->{"AutoDetectHyperlinks"->False},
  FontWeight->"Light"],
 StyleBox[ButtonBox["wolfr.am/BasicFormats",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/BasicFormats"], None},
  ButtonNote->"https://wolfr.am/BasicFormats"],
  CodeAssistOptions->{"AutoDetectHyperlinks"->False},
  FontWeight->"Light"],
 StyleBox[")",
  CodeAssistOptions->{"AutoDetectHyperlinks"->False},
  FontWeight->"Light"],
 " and ",
 ButtonBox["all formats",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/guide/ListingOfAllFormats.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/guide/ListingOfAllFormats.html"],
 " ",
 StyleBox["(",
  CodeAssistOptions->{"AutoDetectHyperlinks"->False},
  FontWeight->"Light"],
 StyleBox[ButtonBox["wolfr.am/ListingFormats",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/ListingFormats"], None},
  ButtonNote->"https://wolfr.am/ListingFormats"],
  CodeAssistOptions->{"AutoDetectHyperlinks"->False},
  FontWeight->"Light"],
 StyleBox[")",
  CodeAssistOptions->{"AutoDetectHyperlinks"->False},
  FontWeight->"Light"]
}], "MoreExplore",
 CellTags->"LastCellOfAPage",
 CellID->1015527976,ExpressionUUID->"d546816e-ac89-40fb-a44e-0828ba22ea3a"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
Saveable->False,
WindowToolbars->{},
WindowSize->{808, 911},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
WindowTitle->"8 | Import and Export",
DockedCells->{
  Cell[
   TagBox[
    GridBox[{{
       PaneBox[
        TagBox[
         GridBox[{{
            TemplateBox[{
              StyleBox[
               GraphicsBox[
                TagBox[
                 RasterBox[CompressedData["
1:eJztnU2O5MqSnS9aGvQwlxDaQQ01pIaaFVrQnN3Q64YmT4lXAgTNuISaacol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                  "], {{0, 36.24}, {302.88, 0}}, {0, 255}, ColorFunction -> 
                  RGBColor, ImageResolution -> {300, 300}], 
                 BoxForm`ImageTag[
                 "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                 Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                ImageSizeRaw -> {302.88, 36.24}, 
                PlotRange -> {{0, 302.88}, {0, 36.24}}, 
                ImagePadding -> {{0, 10}, {1, -10}}, ImageSize -> 
                Magnification[0.7]]], 
              TemplateBox[{
                GraphicsBox[
                 TagBox[
                  RasterBox[CompressedData["
1:eJztnUuu7Dhyhhu2Bx6eJcg7uEMP5aFniTY8VzfcbnhSPqgyYHimJZwlaAln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                   "], {{0, 26.88}, {230.4, 0}}, {0, 255}, ColorFunction -> 
                   RGBColor, ImageResolution -> {300, 300}], 
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                  Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                 ImageSizeRaw -> {230.4, 26.88}, 
                 PlotRange -> {{0, 230.4}, {0, 26.88}}, 
                 ImagePadding -> {{2, 0}, {1, -10}}, ImageSize -> 
                 Magnification[0.7]], 
                "https://www.youtube.com/sethjchandler"}, "HyperlinkURL"]}, 
             "RowDefault"], "\[SpanFromLeft]"}, {
            GraphicsBox[
             TagBox[
              RasterBox[CompressedData["
1:eJztXQe4LEWVZkUBCYKSFIQ3BCXDImKGeQRRgoBECXKJkhQkSJYBERAQxEAU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               "], {{0, 22.08}, {236.88, 0}}, {0, 255}, ColorFunction -> 
               RGBColor, ImageResolution -> {300, 300}], 
              BoxForm`ImageTag[
              "Byte", ColorSpace -> ColorProfileData[CompressedData["
1:eJydlndUVNcWh8+9d3qhzTDSGXqvUgYQ6R2kV1EZZgYYygDDDIhdRFQwoohI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                 "], "RGB", "XYZ"], Interleaving -> True], Selectable -> 
              False], DefaultBaseStyle -> "ImageGraphics", 
             ImageSize -> {365, Automatic}, ImageSizeRaw -> {236.88, 22.08}, 
             PlotRange -> {{0, 236.88}, {0, 22.08}}, 
             ImagePadding -> {{1, 1}, {3, -10}}, ImageSize -> 
             Magnification[1]], "\[SpanFromLeft]"}, {
            TemplateBox[{
              FrameBox[
               StyleBox[
               "\"Buy on Amazon\"", 16, FontWeight -> "Bold", FontColor -> 
                RGBColor[0.768627, 0.949019, 1.], FontFamily -> 
                "Source Sans"], RoundingRadius -> 3, FrameStyle -> Directive[
                 RGBColor[0.768627, 0.949019, 1.], 
                 Thickness[Large]], FrameMargins -> {{10, 10}, {6, 6}}, 
               StripOnInput -> False], 
              "https://www.amazon.com/Query-Getting-Information-Wolfram-\
Language/dp/1579550851"}, "HyperlinkURL"], "\[SpanFromLeft]"}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {1, 1, 1}}], 
         "Grid"], ImageSize -> Full, FrameMargins -> {{20, 20}, {23, 10}}], 
       PaneBox[
        PaneBox[
         TemplateBox[{"\[ThinSpace]", "\" \"", 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
               ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                 Method -> "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"7: Advanced Recipes\"", TooltipDelay -> 
             0.15, LabelStyle -> "TextStyling"], 
            Annotation[#, "7: Advanced Recipes", "Tooltip"]& ], 
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[5], Selectable -> False], 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-09-answers-to-exercises.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                 Automatic, Method -> "Preemptive"], True -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-09-answers-to-exercises.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                 GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                 "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"9: Answers to Exercises\"", TooltipDelay -> 
             0.15, LabelStyle -> "TextStyling"], 
            Annotation[#, "9: Answers to Exercises", "Tooltip"]& ]}, 
          "RowWithSeparators"], Alignment -> Right], ImageSize -> {100, 30}, 
        FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
       TagBox[
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> 
             RGBColor[0.0941176, 0.101961, 0.258824], ImageSize -> {35, 30}, 
             Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1: Introduction" :> 
          NotebookLocate[{"Query-01-introduction.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2: Data Structures and Functions" :> 
          NotebookLocate[{"Query-02-data-structures-and-functions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3: Association" :> 
          NotebookLocate[{"Query-03-association.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4: Query" :> 
          NotebookLocate[{"Query-04-query.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5: The Dataset" :> 
          NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6: Basic Recipes" :> 
          NotebookLocate[{"Query-06-basic-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7: Advanced Recipes" :> 
          NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8: Import and Export" :> 
          NotebookLocate[{"Query-08-import-and-export.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Answers to Exercises" :> 
          NotebookLocate[{"Query-09-answers-to-exercises.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Index" :> 
          NotebookLocate[{"Query-10-index.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None], 
        MouseAppearanceTag["LinkHand"]]}}, AutoDelete -> False, 
     GridBoxItemSize -> {
      "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
   Background -> RGBColor[0.07450980392156863, 0.1450980392156863, 0.2], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.863264, 0.898009, 0.999619], CellFrame -> {{0, 1}, {0, 0}}, 
   CellFrameMargins -> {{18, 20}, {1, 1}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, CellGroupingRules -> {"SectionGrouping", 0}, 
   CellContext -> CellGroup], 
  Cell[
   BoxData[
    DynamicModuleBox[{$CellContext`open$$ = False}, 
     PaneSelectorBox[{True -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans Pro", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UFAMiNWAmAWIN23atACIDxCBJ/z//5+BEgw0Q4FIuzYAsQMQ/ycSO1DorgNE
2lMAVT+BSPUPKHBTAJF2HEDSIwCyk0h9DWS4iVjzP4DiGk0vsfGJoZcIdzWQ
En9Y9BMbnwdIcJMBpWaSGJ8BVEzrBOOAhPgEuV+AgFkJlMQfBfGJMw9Aw/4D
EWZcoEH+AWEDCv2GVT8V4hMjvZKgl+Qyh0Q/J6Dpu0DN+KMgPj/A8gAoDdMi
/iiIkwkkpHWy4o+C+CSmrCI7/ijMnzSNPwrik+bxR0F8YsME6wcK3UZMGYAN
O9DKTVB3Eds+QMmrtHQTktuIbU/RPP4oiE+y4g8ANP3HuQ==
              "], {{0, 5.28}, {9.12, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {9.12, 5.28}, PlotRange -> {{0, 9.12}, {0, 5.28}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"], False -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans PRo", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJy1ljEOgkAQRYlaWFJZa2VLaamlndHYCxGNDRIwMXYcwSN4BMIJPIJH8Ajc
YJ1N1oQsgrOzQ/FJgPDymJ3dzCQ4rw89x3HSIVzW/nWRJP5t48LNNkpPxyjc
L6NLeAyTWdCHh1PICDKAFEWRQcZCCIczwHxCSkjcAVeoPLncNa7gcv/Brbp7
HXC/yTriyrxM3ZFcY3dDLtqdwEW5w/ud6i0K+w2Zt7BdyIPIlrlLRgt/rhzY
3RU/s6jNP/cxJKe6I/plRakNssddVRtWrlYbVL8Tz5TVv3UlcmNOrurvF/O6
3TnXrSCeHy08D7v2P1Jy/LMWuUddjUnaW19H+T213w0cYwtezbHCpXrWHC25
jY4WXPT8huQaz2wILmnGbOFazZUNXOs5WOOyze0VLtusrrg5l6PGbdwzNvkA
H9MJ6g==
              "], {{0, 9.36}, {5.28, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {5.28, 9.36}, PlotRange -> {{0, 5.28}, {0, 9.36}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"]}, 
      Dynamic[$CellGroupContext`open$$]], 
     Initialization :> ($CellGroupContext`open$$ = False), 
     DynamicModuleValues :> {}]], "Text", CellMargins -> {{0, 0}, {0, 0}}, 
   CellFrame -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {1, 3}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, Background -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], CellContext -> 
   CellGroup], 
  Cell[
   BoxData[
    TemplateBox[{
      StyleBox[
      "\"Content present in this notebook can be reused with the following \
attribution:\[LineSeparator]\"", FontSize -> 12, FontWeight -> "Regular", 
       FontFamily -> "Source Sans Pro", FontColor -> 
       RGBColor[0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
      TemplateBox[{
        TemplateBox[{
          StyleBox[
          "\"S. Chandler (2023),  \"", FontWeight -> Bold, FontSize -> 11, 
           FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\"Query: Getting Information from Data with the Wolfram \
Language\"", Selectable -> True, Copyable -> True, FontSlant -> Italic, 
           FontWeight -> Bold, FontSize -> 11, FontFamily -> 
           "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\", Wolfram \
Media.\[LineSeparator]https://www.wolfram.com/language/query-getting-\
information-from-data-with-the-wolfram-language\"", FontWeight -> Bold, 
           FontSize -> 12, FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]]}, 
         "RowDefault"], 
        "\"S. Chandler (2023), Query: Getting Information from Data with the \
Wolfram Language, Wolfram Media. \
www.wolfram.com/language/query-getting-information-from-data-with-the-wolfram-\
language\""}, "ClickToCopy2"]}, "RowDefault"]], "Text", 
   CellElementSpacings -> {"CellMinHeight" -> 4, "ClosedCellHeight" -> 1}, 
   Background -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrame -> {{0, 0}, {0, 0}}, 
   CellFrameColor -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {5, 5}}, ShowCellBracket -> False, 
   ShowStringCharacters -> False, CellOpen -> 
   Dynamic[$CellGroupContext`open$$], CellContext -> CellGroup, Copyable -> 
   True, Selectable -> True, LineSpacing -> {1, -3}]},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Query: Getting Information from Data with the Wolfram Language", 
       "Header"]}], "Header", 
    CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  Import and Export", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
TaggingRules->{
 "DocuToolsSettingsInternal" -> {
   "$PacletVersion" -> "0.10.2469", "CloseOpenPageDialogAutomatically" -> 
    True, "$ApplicationName" -> "Pubs", "$LinkBase" -> "Pubs", 
    "$ApplicationDirectory" -> "C:\\Users\\jayw\\Desktop\\CVSTree\\Pubs\\", 
    "$DocumentationDirectory" -> 
    "C:\\Users\\jayw\\Desktop\\CVSTree\\Pubs\\Documentation\\English\\", 
    "$UseNewPageDialog" -> "True", "$CondensedBlogMenus" -> "True"}, 
  "WelcomeScreenSettings" -> {"FEStarting" -> False}, 
  "DraftSectionsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\EIWL-3e\\Source copy\\", 
  "BlogsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\13.1-Blog\\History\\", 
  "WBTDraftSectionsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\ChandlerBook\\Print_source\\", 
  "IndexEntries" -> {{"i:1", "WXF"}, {"i:1", "Test"}, {"i:1", "CSV"}, {
    "i:1", "Excel"}, {"i:1", "XLS"}, {"i:1", "XLSX"}, {"i:1", "JSON"}, {
    "i:1", "ZIP"}, {"i:1", "Import{file formats}"}, {
    "i:1", "Google Sheets"}, {"i:2", "\"Elements\""}, {
    "i:3", "ExportString?"}, {"i:3", "\"CSV\""}, {
    "i:3", "ResourceFunction?{ShowQuotes}"}, {"i:3", "ShowQuotes"}, {
    "i:4", "JSON"}, {"i:4", "ExportString?"}, {
    "i:5", "Import{dependence of Wolfram Language expression on format \
specification}"}, {"i:5", "\"CSV\""}, {"i:5", "\"Text\""}, {
    "i:6", "\"Elements\""}, {"i:7", "\"RowCount\""}, {"i:8", "\"Text\""}, {
    "i:8", "\"Words\""}, {"i:9", "\"WXF\""}, {"i:9", "ShowQuotes"}, {
    "i:9", "ResourceFunction?{ShowQuotes}"}, {
    "i:10", "\"PerformanceGoal\""}, {
    "i:10", "Export?{effect of format on file size}"}, {
    "i:11", "Export?{as \"Text\"}"}, {"i:11", "\"Text\""}, {
    "i:12", "ImportString?{as \"Text\"}"}, {"i:12", "\"Text\""}, {
    "i:13", "Export?{as \
\[OpenCurlyDoubleQuote]Text\[CloseCurlyDoubleQuote]}"}, {
    "i:13", "ExportString?{as \[OpenCurlyDoubleQuote]Text\
\[CloseCurlyDoubleQuote]}"}, {"i:14", "Import?{of HTML as \"Text\"}"}, {
    "i:14", "HTML"}, {"i:15", "Export?{of HTML as \"Text\"}"}, {
    "i:15", "HTML"}, {"i:15", "\"Text\""}, {
    "i:16", "I?mport{of HTML as \"HTML\"}"}, {"i:16", "HTML"}, {
    "i:16", "\"HTML\""}, {"i:17", "Import?{of HTML file as \"Text\"}"}, {
    "i:17", "HTML"}, {"i:17", "\"Text\""}, {
    "i:18", "ImportString?{of CSV formatted string as \"Text\"}"}, {
    "i:19", "CSV"}, {"i:20", "\"CSV\"{export of List? of Lists}"}, {
    "i:21", "Import?{\"CSV\"}"}, {"i:21", "\"CSV\"{importing}"}, {
    "i:22", "Export?{\"CSV\"}"}, {
    "i:23", "\"CSV\"{contrasted with \"WXF\"}"}, {
    "i:23", "\"WXF\"{contrasted with \"CSV\"}"}, {
    "i:24", "\"Elements\"{use of in importing data}"}, {
    "i:25", "AssociationMap?"}, {"i:26", "\"CSV\"{import as Dataset?}"}, {
    "i:27", "HeaderLines?"}, {"i:28", "CSV{ragged files}"}, {
    "i:29", "\"FillRows\""}, {"i:30", "\"Data\" vs. \"RawData\""}, {
    "i:30", "\"RawData\" vs. \"Data\""}, {"i:31", "Excel"}, {
    "i:31", "Import?{of Excel files}"}, {"i:31", "\"XLSX\""}, {
    "i:31", "\"XLS\""}, {"i:32", "FileFormatProperties"}, {
    "i:33", "ImportElements"}, {"i:34", "Normal"}, {"i:35", "\"ZIP\""}, {
    "i:36", "\"ZIP\"{export to}"}, {"i:37", "Import?{\"ZIP\"}"}, {
    "i:37", "\"ZIP\"{Import?}"}, {"i:38", "Google Sheets"}, {
    "i:38", "Marbury v. Madison{timeline data}"}, {
    "i:39", "Marbury v. Madison{timeline}"}}, 
  "PaginationCache" -> {{
    2023, 8, 31, 16, 24, 31.7647714`9.254520638822884}, CompressedData["
1:eJytxLcBhDAMAEAzChU5Z3hy6hmBAWAetuVrGlmWijv9vI9LE0I8/wxJpgSL
ga3IIXIZeAQ+QoAUEkSAGCEBpAwyCTmgYFIyqwA1oCH6KWgJOkW9hAEwIk0f
M9LCYFW0Ie1IL5jIWzw=
    "], Automatic}, 
  "IndexItemsAndPageNumbers" -> {{"i:1", 295}, {"i:2", 296}, {"i:3", 296}, {
    "i:4", 297}, {"i:5", 297}, {"i:6", 297}, {"i:7", 298}, {"i:8", 298}, {
    "i:9", 298}, {"i:10", 299}, {"i:11", 300}, {"i:12", 300}, {"i:13", 300}, {
    "i:14", 300}, {"i:15", 301}, {"i:16", 301}, {"i:17", 301}, {
    "i:18", 301}, {"i:19", 302}, {"i:20", 302}, {"i:21", 303}, {
    "i:22", 303}, {"i:23", 303}, {"i:24", 304}, {"i:25", 304}, {
    "i:26", 307}, {"i:27", 307}, {"i:28", 308}, {"i:29", 309}, {
    "i:30", 310}, {"i:31", 311}, {"i:32", 315}, {"i:33", 315}, {
    "i:34", 315}, {"i:35", 316}, {"i:36", 317}, {"i:37", 317}, {
    "i:38", 318}, {"i:39", 322}}},
ShowCellLabel->Automatic,
CellLabelAutoDelete->Automatic,
ShowAutoSpellCheck->False,
FrontEndVersion->"13.3 for Mac OS X x86 (64-bit) (June 3, 2023)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False], 
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {"PageSize" -> {504, 720}}, 
       AutoStyleOptions -> {"UndefinedSymbolStyle" -> None}, Magnification -> 
       0.6], 
      Cell[
       StyleData[All, "Invisibles"], DockedCells -> {
         Cell[
          BoxData[
           GridBox[{{
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]], 
              ActionMenuBox[
              "\"Insert\"", {
               "\"Subsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsectionStyle[]), 
                "\"Subsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsectionStyle[]), 
                "\"Subsubsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsubsectionStyle[]), 
                Delimiter, 
                "\"Text\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToTextStyle[]), "\"CodeText\"" :> 
                Module[{$CellContext`bn = ButtonNotebook[]}, 
                  If[Developer`CellInformation[$CellContext`bn] =!= $Failed, 
                    While[
                    FreeQ[
                    Developer`CellInformation[$CellContext`bn], 
                    "CellBracket"], 
                    FrontEndExecute[
                    
                    FrontEnd`SelectionMove[$CellContext`bn, All, Cell, 
                    AutoScroll -> False]]]; 
                    SelectionMove[$CellContext`bn, After, Cell]]; 
                  NotebookWrite[$CellContext`bn, 
                    Cell["XXXX", "CodeText"], All]; 
                  SelectionMove[$CellContext`bn, All, CellContents]], 
                "\"Hyperlink\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTGenerateHyperlinkDialog[]), Delimiter, 
                "\"Vocabulary 2Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd2ColTable[]), 
                "\"Vocabulary 3Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd3ColTable[]), 
                "\"Add Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[]), 
                "\"Remove Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["RemoveRow" -> True]), 
                "\"Apply Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["AddDivider" -> True]), 
                "\"Remove Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[
                  "RemoveDivider" -> True]), Delimiter, 
                "\"Exercises\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Exercise\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Q&A | Tech Notes | More\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQAndATechNotesMore[]), 
                "\"Question\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQuestion[]), 
                "\"Answer\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertAnswer[]), 
                "\"Tech Note\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertTechNote[]), 
                "\"More to Explore\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertMoreExplore[]), 
                "\"References Section\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertReferencesSection[]), Delimiter, 
                "\"Comment\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyComment[])}, Appearance -> 
               "PopupMenu", FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              ActionMenuBox[
              "\"Function Name\"", {
               "\"Link\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTMakeSymbolLink[]), 
                "\"Format\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTFormatSymbol[])}, Appearance -> 
               "PopupMenu", Method -> "Queued", FrameMargins -> 2.4], 
              ButtonBox[
              "\"Resource Function Link\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTResourceFunctionLink[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ButtonBox[
              "\"Inline Code\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTConvertToInlineCode[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ActionMenuBox[
              "\"Mark Cells\"", {
               "\"Tentative\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyTentative[]), Delimiter, 
                "\"Print Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyPrintOnly[]), 
                "\"Web Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyWebOnly[]), Delimiter, 
                "\"Locked\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyLock[])}, Method -> "Queued", 
               FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              GridBox[{{
                 TooltipBox[
                  ButtonBox[
                  "\"Index Field\"", Appearance -> {"AbuttingRight"}, 
                   ButtonFunction :> (Needs["WolframBookTools`"]; 
                    WolframBookTools`WBTInsertIndexField[]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "First put the cursor in a cell to insert a corresponding \
field above to insert index entries.\nList main index entries corresponding \
to the cell separated by commas. Any associated sub-entries\nshould be put \
immediately after in braces.\nExample: programming{functional, rule based}, \
function, relation, lists{flat, nested}\n If $Language is \"ChineseSimplified\
\", \"ChineseTraditional\", \"Japanese\", \"Korean\" or \"Russian\"\ntwo \
index fields get inserted above a selected cell, the top one for inserting \
entries\nintended for the Englsh index and the bottom for the index in the \
language given by $Language.", TooltipDelay -> 0.3], 
                 TooltipBox[
                  ButtonBox[
                  "\"Toggle\"", Appearance -> {"AbuttingLeft"}, 
                   ButtonFunction :> (CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] = 
                    If[CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] === 
                    "Invisibles", "Working", "Invisibles"]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "Toggles index entry fields.", TooltipDelay -> 0.3]}}, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "ColumnsIndexed" -> {2 -> 0}, "Rows" -> {{Automatic}}}], 
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]]}}]], "DockedCell", 
          CellFrameMargins -> {{0, 0}, {8, 8}}]}, CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], 
       PrintingOptions -> {"PageHeaderMargins" -> {28, 28}}, StyleMenuListing -> 
       None, FontFamily -> "Source Sans Pro", FontSize -> 8, FontWeight -> 
       "Regular", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "FirstPageHeader" -> True, "InnerOuterMargins" -> {30, 30}, 
         "PaperOrientation" -> "Portrait", "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Closed]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{64, Inherited}, {12, 64}}, 
          CellGroupingRules -> {"SectionGrouping", 30}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{62, 4}, {52, 182}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]\[VeryThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionBar"], FontFamily -> "Source Sans Pro", 
          FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionBar", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumbered"], CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Subsection"]}], "SubsectionNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{98, Inherited}, {Inherited, 32}}, 
          CounterIncrements -> "Subsection", FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsectionNumbered", "Printout"], 
          CellMargins -> {{102, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumber"], FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          GrayLevel[0.25]], 
         Cell[
          StyleData["SubsectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionFirst"], 
          CellMargins -> {{64, Inherited}, {2, 72}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubsectionTopMargin"], 
          CellMargins -> {{64, Inherited}, {2, 14}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsubsectionTopMargin", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.45]], 
         Cell[
          StyleData["Subsubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsectionSM"], 
          CellFrame -> {{0, 0}, {0.75, 0}}, 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontWeight -> "Bold", FontSlant -> 
          "Regular", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 15}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsectionSM"], 
          CellMargins -> {{64, Inherited}, {4, 12}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ExerciseSubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{106, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{108, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62.}, PageBreakBelow -> 
          False, LineSpacing -> {1., 1., 2.}, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          LineSpacing -> {0.8, 1., 2.}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, PageBreakBelow -> False, 
          CounterIncrements -> "Question", MenuSortingValue -> 10030, 
          MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Bold", FontSlant -> 
          "Plain", $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Answer"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, LineSpacing -> {1.125, 1., 2.}, 
          MenuSortingValue -> 10032, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Question"], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["TechNoteSubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9},
             3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteNoDingbat"], PageWidth :> 700, 
          CellMargins -> {{82, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, LineSpacing -> {1.25, 1., 2.}, MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          CellFrameLabelMargins -> 4, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TechNote", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 1, FontSize -> 
          14], 
         Cell[
          StyleData["TechNoteInput", "Printout"], 
          CellMargins -> {{99, 10}, {3, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TechNoteOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 14], 
         Cell[
          StyleData["TechNoteOutput", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          MenuSortingValue -> 10050, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysSection"], PageWidth :> 700, 
          CellFrame -> {{1, 1}, {1, 1}}, CellMargins -> {{52, -12}, {-1, 30}},
           CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{16, 8}, {6, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "Bold", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[1], Background -> 
          RGBColor[0.901961, 0.411765, 0.027451]], 
         Cell[
          StyleData["TakeawaysSection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysHeader"], 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "SemiBold", 
          FontSlant -> "Regular", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysHeader", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysTable"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 0}}, CellMargins -> {{52, -12}, {12, -1}},
           CellFrameMargins -> {{18, 12}, {20, 12}}, CellFrameLabelMargins -> 
          6, LineSpacing -> {1.25, 1., 2.}, SpanMaxSize -> 1, FontFamily -> 
          "Source Sans Pro Light", FontColor -> GrayLevel[0.25], Background -> 
          RGBColor[1., 0.9490196078431372, 0.8509803921568627], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"TakeawaysDingbat", Inherited}, 
              "Rows" -> {{SpanFromLeft, Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0.5}}, 
              "Rows" -> {{0.75}}}}, $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TakeawaysTable", "Printout"], 
          CellMargins -> {{51.5, -12.5}, {12, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysText", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TakeawaysDingbat", StyleDefinitions -> StyleData["Text"]], 
          FontFamily -> "Source Sans Pro", FontSize -> 10, FontWeight -> 
          "SemiBold", FontColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["TakeawaysDingbat", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeText", StyleDefinitions -> StyleData["Text"]], 
          CellMargins -> {{66, 10}, {3, 15}}, LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 1540, 
          MenuCommandKey :> $CellContext`MenuKey[
           "7", $CellContext`Modifiers -> {"Shift"}], FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeText", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {
           LimitsPositioning -> True}, $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontFamily -> Automatic, FontSize -> 
            18, FontWeight -> GrayLevel[0], 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{81, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontSize -> 17, FontFamily -> 
            "Automatic", FontWeight -> "Black", 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> {
           "GroupTogetherNestedGrouping", 1.073741821*^9}, 
          CellChangeTimes -> {{3.8855684925344048`*^9, 
           3.885568495926271*^9}, {3.885643888233819*^9, 
           3.8856439007210073`*^9}}, $CellContext`CellDingbatMargin -> 2]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontColor -> GrayLevel[0.2], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], CellFrame -> {{0, 0}, {0, 1}}, 
          CellMargins -> {{66, 0}, {8, 6}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameMargins -> {{14, 14}, {12, 12}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          LineSpacing -> {1.2, 1., 2.}, MenuSortingValue -> 1600, FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontColor -> GrayLevel[0.2], 
          Background -> 
          RGBColor[
           1., 0.9647058823529412, 
            0.9411764705882353], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Note", "Printout"], CellMargins -> {{66, 0}, {10, 8}}, 
          FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Echo"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Echo", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EchoTiming"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["EchoTiming", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TextFirst"], CellMargins -> {{66, 10}, {4, 72}}, 
          FontFamily -> "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, FontFamily -> 
          "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SmallText"], CellMargins -> {{66, 10}, {6, 6}}, 
          LineSpacing -> {1, 3}, TabSpacings -> {2.5}, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "SmallText", 
          MenuSortingValue -> 1750, StyleMenuListing -> None, FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["SmallText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}, Hyphenation -> True]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Italic", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Closed]], 
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Closed]], 
      Cell[
       StyleData[
       "CellLabelExpired", StyleDefinitions -> StyleData["CellLabel"]], 
       CellLabelMargins -> 6, FontSlant -> Italic, FontTracking -> 0.4, 
       FontColor -> GrayLevel[0.6]], 
      Cell[
       StyleData["SummaryPanel"], GeneratedCell -> True, CellAutoOverwrite -> 
       True, CellChangeTimes -> {3.84753348107472*^9}, FontFamily :> 
       CurrentValue["PanelFontFamily"], FontSize :> 0.8 Inherited, FontWeight -> 
       "Plain", FontSlant -> "Plain", FontColor :> 
       CurrentValue[{"SystemColors", "DialogText"}], 
       TemplateBoxOptions -> {
        DisplayFunction -> (
          ButtonBox[#, Active -> False, Alignment -> Left, 
           Appearance -> {"Default" -> Image[CompressedData["
1:eJzNlk0KgkAUgKVatGzRAWohXqFty7ZFB1AyaWOgQXQozyIPZmCgxYBLQUQ6
gL2R/ElcBKWvgU+cQd/3ZhxnZmmdt8eRpmn+FC9b87r2PPO2m2Fl7/onx7UP
G/diO7a3ssbYOEcWyATJvyw/CFGECcNQRwIkQ3J4Eb4BrXqjDT55togdYFxd
OUs5ABj4fipllMdxnCdJ0gsqdoQOzC3FPIyGP1DtfXnbSCkLZ/ntGEDWZ7+7
xgGAPSo/Y4O5SxiDau5yAj/nrPZzTuDnlV9wMbhfCFH4Fep+cP9d1P2n9hOO
/z/MP+r/j3r9oV5/qfcf6v2X4vyB+XQenMo1sS/a5QlC6exw
               "], "Byte", ColorSpace -> "RGB", Interleaving -> True]}, 
           FrameMargins -> 7, BaseStyle -> {Deployed -> False}, 
           DefaultBaseStyle -> {"Pane", Background -> None}, BaselinePosition -> 
           Baseline]& ), Tooltip -> None}, 
       GraphicsBoxOptions -> {
        Axes -> False, 
         DefaultBaseStyle -> {"GraphicsNoFontOrMenu", CacheGraphics -> False},
          ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}, 
       Graphics3DBoxOptions -> {
        Axes -> False, DefaultBaseStyle -> {"Graphics3DNoFontOrMenu"}, 
         ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}], 
      Cell[
       StyleData["IconizedDefaultName"], FontSize -> 12, 
       PrivateFontOptions -> {"OperatorSubstitution" -> False}, FontColor -> 
       GrayLevel[0.15]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", PageBreakWithin -> False, GroupPageBreakWithin -> 
          False, GeneratedCell -> True, CellAutoOverwrite -> True, 
          ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221], $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{106, 10}, {4, 7}}, ShowCellLabel -> False, 
          SpanMaxSize -> 1, FontSize -> 
          14, $CellContext`GeneratedCellStyles -> {
           "Output" -> "ExerciseOutput"}], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{106, 10}, {4, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{106, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{106, 10}, {10, 4}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Tentative"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[
          0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
         "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
       StyleMenuListing -> None, Background -> 
       RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["PrintOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.89, 0.867, 0.99], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.89, 0.867, 0.99]], 
         Cell[
          StyleData["PrintOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["StandardForm"], LineSpacing -> {1.25, 0, 2}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["StandardForm", "Printout"], LineSpacing -> {1.25, 0, 2}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["OutputForm"], LineSpacing -> {0.6, 1}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["OutputForm", "Printout"], LineSpacing -> {0.6, 1}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputForm"], FontFamily -> "Source Sans Code"], 
         Cell[
          StyleData["InputForm", "Printout"], FontFamily -> 
          "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FormattedFunction"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]]], 
         Cell[
          StyleData["FormattedFunction", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (
             Function[$CellContext`t, 
              NotebookFind[$CellContext`t, "Notes", All, CellStyle]; 
              NotebookFind[$CellContext`t, "NotesSection", All, CellStyle, 
                AutoScroll -> Top]][
              Documentation`HelpLookup["ref/" <> #]]& ), ButtonSource -> 
            ButtonContents, Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FunctionLink", StyleDefinitions -> StyleData["Link"]], 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["FunctionLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["FunctionHyperlink", StyleDefinitions -> StyleData["Link"]], 
       FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ResourceFunctionlink", StyleDefinitions -> StyleData["Hyperlink"]],
           MenuSortingValue -> None, FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourceFunctionlink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineMath"], SpanMaxSize -> 0, FontColor -> GrayLevel[0], 
       CellID -> 644119144], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> 0.94 Inherited], 
      Cell[
       StyleData["NoLabel"], ShowCellLabel -> 
       False, $CellContext`GeneratedCellStyles -> {
        "Output" -> "ExerciseOutput"}], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["DialogElementName"], 
       CellChangeTimes -> {3.642251807158844*^9, 3.8358753610849867`*^9, 
        3.835875471581566*^9}, FontFamily -> "Source Sans Pro SemiBold", 
       FontSize -> 0.95 Inherited, FontWeight -> "Regular"], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          1.05 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          1.1 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Closed]], 
      Cell["Key Styles", "Subsubsection"], 
      Cell[
       StyleData["Key0"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {"Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key1"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
               "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key2"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key3"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589], 4 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell["Entity styles", "Subsubsection"], 
      Cell[
       StyleData["Entity"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  
                  StyleBox[#, FontSize -> 0.85 Inherited, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  PaneBox[
                   StyleBox[#4, "EntityTypeLabel"], BaselinePosition -> 
                   Baseline, ContentPadding -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 1}], False -> 
              PaneBox[#, 
                BaseStyle -> {
                 FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                BaselinePosition -> Baseline]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            Directive[
              RGBColor[1., 0.504768, 0.], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                  FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                  Selectable -> False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 1}], False -> 
             PaneBox[#, 
               BaseStyle -> {
                FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
               BaselinePosition -> Baseline]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {
              FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 1}], False -> 
            PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
              BaselinePosition -> Baseline]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                   "Source Sans Pro", FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  StyleBox[
                   RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                   "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                   Selectable -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}], False -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            RGBColor[1., 0.504768, 0.], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                  "Source Sans Pro", FontColor -> GrayLevel[0.65], Selectable -> 
                  False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}], False -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], False -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                StyleBox[#, FontColor -> GrayLevel[0]]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityProperty"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            
            PaneBox[#, 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Helvetica", FontSize -> 0.85 Inherited, FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> Directive[
              RGBColor[0.94227, 0.703639, 0.033387], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneBox[
             GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], #}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Source Sans Pro", FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> RGBColor[0.94227, 0.703639, 0.033387], 
            Background -> RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityValue"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           
           GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}}, 
            GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
            GridBoxSpacings -> {"Columns" -> {{0}}}, 
            BaselinePosition -> {1, 1}], Background -> 
           RGBColor[{0.9921568627450981, 0.9529411764705882, 
             0.8509803921568627}], BaselinePosition -> Baseline, 
           FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
           RGBColor[{0.9333333333333333, 0.8470588235294118, 
             0.5529411764705883}], RoundingRadius -> 5]& )}]}, Closed]]}, 
  Visible -> False, FrontEndVersion -> 
  "13.3 for Mac OS X x86 (64-bit) (June 3, 2023)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"89af4ffb-d0a7-4988-acd7-bb46756f68fc"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "p: 295"->{
  Cell[615, 23, 436, 12, 110, "Section",ExpressionUUID->"f8c29973-ea8c-4354-ac23-0e855fbbc14a",
   CounterAssignments->{{"Section", 7}},
   CellTags->"p: 295",
   CellID->1709594208]},
 "LastCellOfAPage"->{
  Cell[23864, 505, 2120, 31, 538, "Text",ExpressionUUID->"0f918a00-ed69-4f2c-9215-79c5f3781fa7",
   CellTags->{"LastCellOfAPage", "i:1", "p: 296"},
   CellID->706307534],
  Cell[40604, 876, 2031, 43, 138, "Text",ExpressionUUID->"bd865b66-74d0-449d-a289-da6a32f09968",
   CellTags->"LastCellOfAPage",
   CellID->1206253375],
  Cell[78900, 1784, 3189, 68, 188, "Text",ExpressionUUID->"1ce6ed30-aca9-4d5c-9483-a083b1aab72c",
   CellTags->{"LastCellOfAPage", "i:6"},
   CellID->1864559062],
  Cell[97675, 2243, 3185, 64, 263, "Text",ExpressionUUID->"971cec0f-42eb-48b3-818e-afdb66a94609",
   CellTags->{"LastCellOfAPage", "i:9"},
   CellID->1477366569],
  Cell[121366, 2810, 643, 11, 37, "Output",ExpressionUUID->"e710c280-0fb8-49a4-8906-80474528612f",
   CellTags->"LastCellOfAPage",
   CellID->297688729],
  Cell[145102, 3403, 1232, 25, 113, "Text",ExpressionUUID->"f2399d12-ab09-4016-9383-928026d5377c",
   CellTags->"LastCellOfAPage",
   CellID->316389399],
  Cell[154721, 3630, 598, 9, 133, "Output",ExpressionUUID->"b0eae2f7-f71b-46eb-83fe-8a94e4771915",
   CellTags->"LastCellOfAPage",
   CellID->910210420],
  Cell[171877, 4024, 1328, 33, 76, "Output",ExpressionUUID->"91bff843-fd17-40d9-90a8-bef87ebe3249",
   CellTags->"LastCellOfAPage",
   CellID->2041289236],
  Cell[189376, 4445, 3774, 72, 188, "Text",ExpressionUUID->"fe3a62c5-9e23-4b9e-901d-579a54245cfe",
   CellTags->{"LastCellOfAPage", "i:23"},
   CellID->1605419129],
  Cell[210073, 4945, 1458, 33, 113, "Text",ExpressionUUID->"192500e4-fb84-4206-b584-78b096fedcfb",
   CellTags->{"LastCellOfAPage", "i:25"},
   CellID->1765932103],
  Cell[253448, 5776, 947, 24, 63, "Text",ExpressionUUID->"54becac3-a706-41f6-acb9-c3ca512ea402",
   CellTags->"LastCellOfAPage",
   CellID->445196547],
  Cell[314518, 7057, 87976, 1627, 416, "Output",ExpressionUUID->"5ea0b7b8-91d4-417e-889f-ab2c099e01a7",
   CellTags->"LastCellOfAPage",
   CellID->728318908],
  Cell[438644, 9380, 37978, 710, 205, "Output",ExpressionUUID->"1cea7af9-a0a3-41e6-85d1-bd85efdd24a2",
   CellTags->"LastCellOfAPage",
   CellID->1037327571],
  Cell[533903, 11271, 2141, 46, 114, "Output",ExpressionUUID->"24435e90-1b55-4bc5-8a5a-11ca858c86a5",
   CellTags->"LastCellOfAPage",
   CellID->454939071],
  Cell[612752, 12764, 654, 13, 63, "Text",ExpressionUUID->"51d6b407-2361-49c2-b3c0-501d74713401",
   CellTags->"LastCellOfAPage",
   CellID->1423444848],
  Cell[698761, 14421, 2429, 53, 288, "Text",ExpressionUUID->"a32e0389-c57f-4f5e-991b-d57fd0e84cf8",
   CellTags->{"LastCellOfAPage", "i:30"},
   CellID->578075784],
  Cell[722582, 14993, 581, 10, 37, "Output",ExpressionUUID->"384ca701-fb87-473a-bd54-ab7884618cb9",
   CellTags->"LastCellOfAPage",
   CellID->1593102678],
  Cell[735874, 15320, 1070, 25, 57, "Output",ExpressionUUID->"c06cb91e-6915-4c45-bc38-218b734ac11c",
   CellTags->"LastCellOfAPage",
   CellID->1233906542],
  Cell[808030, 16653, 437, 11, 26, "Input",ExpressionUUID->"51dc09ef-7ef6-4e25-b8d2-5670dbbe1a20",
   CellTags->"LastCellOfAPage",
   CellID->1092434095],
  Cell[813494, 16778, 422, 8, 63, "Text",ExpressionUUID->"c5a11c5c-5d77-4f3a-8a6d-32961c2b64d2",
   CellTags->"LastCellOfAPage",
   CellID->2136954615],
  Cell[871154, 17973, 1735, 38, 88, "Text",ExpressionUUID->"b282abca-ff6f-47d1-b0d5-e0d7e43d97d1",
   CellTags->"LastCellOfAPage",
   CellID->2129001979],
  Cell[889175, 18392, 1631, 28, 213, "Text",ExpressionUUID->"775f0852-92bd-4228-a192-6d02cbbdaa97",
   CellTags->{"LastCellOfAPage", "i:35"},
   CellID->62665386],
  Cell[916104, 19028, 2172, 50, 789, "Output",ExpressionUUID->"933757fe-a5f1-4295-8964-8d2aa9a55c48",
   CellTags->"LastCellOfAPage",
   CellID->521173079],
  Cell[935404, 19480, 1366, 23, 138, "Text",ExpressionUUID->"19771c5d-716c-4a3f-b8be-e76af4fffbca",
   CellTags->{"LastCellOfAPage", "i:38"},
   CellID->1774779777],
  Cell[1339046, 26147, 479, 8, 57, "Output",ExpressionUUID->"0c6393f3-02e8-42c4-acda-3fd4049e7f08",
   CellTags->"LastCellOfAPage",
   CellID->308329585],
  Cell[1346865, 26329, 5017, 123, 475, "Output",ExpressionUUID->"bbe7145c-7d15-4a4a-b8c5-0d2b6a2ce6bd",
   CellTags->"LastCellOfAPage",
   CellID->112695155],
  Cell[1366947, 26821, 50062, 911, 265, "Output",ExpressionUUID->"4bde4db9-6a7a-4b7a-84a2-dac88afca634",
   CellTags->"LastCellOfAPage",
   CellID->761431987],
  Cell[1419603, 27805, 94314, 2212, 629, "Output",ExpressionUUID->"4329231f-a1aa-4e61-8ff4-938942695515",
   CellTags->"LastCellOfAPage",
   CellID->1861308584],
  Cell[1525057, 30289, 346, 6, 26, "Exercise",ExpressionUUID->"6c302050-f63b-4b5d-a3d5-0643451c84c9",
   CellTags->{"Exercise", "LastCellOfAPage"},
   CellID->468248847],
  Cell[1541666, 30675, 478, 11, 45, "Exercise",ExpressionUUID->"3d17d1db-6200-4dcb-8a22-1603d57244c7",
   CellTags->{"Exercise", "LastCellOfAPage"},
   CellID->1939276572],
  Cell[1572211, 31441, 358, 8, 37, "Output",ExpressionUUID->"0a52ba92-c562-41f7-a8e9-54ab04cd5c99",
   CellTags->"LastCellOfAPage",
   CellID->1751527106],
  Cell[1639784, 32839, 2391, 54, 138, "Output",ExpressionUUID->"4e4e3583-303a-4112-b016-69b793b442da",
   CellTags->"LastCellOfAPage",
   CellID->1608863820],
  Cell[1649289, 33058, 2148, 61, 49, "MoreExplore",ExpressionUUID->"d546816e-ac89-40fb-a44e-0828ba22ea3a",
   CellTags->"LastCellOfAPage",
   CellID->1015527976]},
 "i:1"->{
  Cell[23864, 505, 2120, 31, 538, "Text",ExpressionUUID->"0f918a00-ed69-4f2c-9215-79c5f3781fa7",
   CellTags->{"LastCellOfAPage", "i:1", "p: 296"},
   CellID->706307534]},
 "p: 296"->{
  Cell[23864, 505, 2120, 31, 538, "Text",ExpressionUUID->"0f918a00-ed69-4f2c-9215-79c5f3781fa7",
   CellTags->{"LastCellOfAPage", "i:1", "p: 296"},
   CellID->706307534]},
 "i:2"->{
  Cell[29706, 611, 957, 20, 138, "Text",ExpressionUUID->"4bf8fd73-9b84-43b9-9514-b8bd3a950ac7",
   CellTags->"i:2",
   CellID->1304781158]},
 "i:3"->{
  Cell[30847, 637, 803, 18, 39, "CodeText",ExpressionUUID->"8310d6a2-f695-45f2-ad42-d2dc9a7e043c",
   CellTags->"i:3",
   CellID->822721998]},
 "i:4"->{
  Cell[42638, 921, 1183, 22, 88, "Text",ExpressionUUID->"e278edf7-263c-4505-ad10-0962e610e6b8",
   CellTags->{"i:4", "p: 297"},
   CellID->1583717435]},
 "p: 297"->{
  Cell[42638, 921, 1183, 22, 88, "Text",ExpressionUUID->"e278edf7-263c-4505-ad10-0962e610e6b8",
   CellTags->{"i:4", "p: 297"},
   CellID->1583717435]},
 "i:5"->{
  Cell[53783, 1192, 1677, 34, 88, "Text",ExpressionUUID->"a03ca5a2-a7db-471d-bbdf-cd520a84f8eb",
   CellTags->"i:5",
   CellID->2107850529]},
 "i:6"->{
  Cell[78900, 1784, 3189, 68, 188, "Text",ExpressionUUID->"1ce6ed30-aca9-4d5c-9483-a083b1aab72c",
   CellTags->{"LastCellOfAPage", "i:6"},
   CellID->1864559062]},
 "p: 298"->{
  Cell[82092, 1854, 835, 19, 39, "CodeText",ExpressionUUID->"3d2ac6f3-774e-4b9a-aa19-c688f271e3a3",
   CellTags->"p: 298",
   CellID->1806324323]},
 "i:7"->{
  Cell[83996, 1901, 433, 8, 63, "Text",ExpressionUUID->"74681a6b-b443-4ded-890a-2dfb857bbfda",
   CellTags->"i:7",
   CellID->381174699]},
 "i:8"->{
  Cell[85649, 1943, 802, 17, 88, "Text",ExpressionUUID->"0bc47abd-17b5-4b1d-bb92-493a95be6d20",
   CellTags->"i:8",
   CellID->1763265416]},
 "i:9"->{
  Cell[97675, 2243, 3185, 64, 263, "Text",ExpressionUUID->"971cec0f-42eb-48b3-818e-afdb66a94609",
   CellTags->{"LastCellOfAPage", "i:9"},
   CellID->1477366569]},
 "p: 299"->{
  Cell[100863, 2309, 1178, 29, 61, "CodeText",ExpressionUUID->"83b614c9-293f-44a7-abfd-e384faad27c8",
   CellTags->"p: 299",
   CellID->181528032]},
 "i:10"->{
  Cell[114741, 2647, 1170, 25, 113, "Text",ExpressionUUID->"c3e33b30-fe97-46ad-bbf3-ab934dcc5b96",
   CellTags->"i:10",
   CellID->591646433]},
 "p: 300"->{
  Cell[122058, 2827, 316, 5, 57, "Subsection",ExpressionUUID->"fa724dc1-173f-43e7-9c32-adae70ee0c65",
   CellTags->"p: 300",
   CellID->868598734]},
 "i:11"->{
  Cell[122377, 2834, 1624, 33, 88, "Text",ExpressionUUID->"0d9cafff-54b8-4af1-b359-b560fe6d422e",
   CellTags->"i:11",
   CellID->2013568791]},
 "i:12"->{
  Cell[133631, 3113, 7984, 196, 31, "Input",ExpressionUUID->"76f26526-d730-4426-b69b-c7fae1ace0ae",
   CellTags->"i:12",
   CellID->340199596]},
 "i:13"->{
  Cell[142432, 3331, 940, 23, 39, "CodeText",ExpressionUUID->"a94bb5b2-6975-477c-bfbf-8d26f7ab6a47",
   CellTags->"i:13",
   CellID->982190865]},
 "i:14"->{
  Cell[143994, 3374, 532, 13, 88, "Text",ExpressionUUID->"8b26bdfc-b883-4c99-b41b-30c3370c357b",
   CellTags->"i:14",
   CellID->835471156]},
 "p: 301"->{
  Cell[146337, 3430, 818, 17, 61, "CodeText",ExpressionUUID->"5b7dd028-63c4-4df7-88da-57c269217529",
   CellTags->"p: 301",
   CellID->1075370501]},
 "i:15"->{
  Cell[147180, 3451, 453, 10, 26, "Input",ExpressionUUID->"371e52b3-80f4-430e-83b7-3c27e8c6f554",
   CellTags->"i:15",
   CellID->1605450369]},
 "i:16"->{
  Cell[147982, 3471, 486, 11, 39, "CodeText",ExpressionUUID->"9acb9636-906c-4aa0-be00-f0e5b408a886",
   CellTags->"i:16",
   CellID->1576568918]},
 "i:17"->{
  Cell[150889, 3540, 437, 8, 26, "Input",ExpressionUUID->"effd749e-e2a4-47b8-9582-28d9abbdb8d8",
   CellTags->"i:17",
   CellID->1510020425]},
 "i:18"->{
  Cell[154489, 3623, 229, 5, 26, "Input",ExpressionUUID->"e4dfb8ac-c3cc-4caa-b3d5-0d947bee0052",
   CellTags->"i:18",
   CellID->478746085]},
 "p: 302"->{
  Cell[155334, 3642, 1569, 26, 188, "Text",ExpressionUUID->"c9d0bd14-ad56-4253-a373-9cea9dfccb08",
   CellTags->"p: 302",
   CellID->1553815041]},
 "i:19"->{
  Cell[159299, 3728, 1295, 20, 279, "Text",ExpressionUUID->"61a87142-a933-44fc-8ca6-642cc691219f",
   CellTags->"i:19",
   CellID->2052075187]},
 "i:20"->{
  Cell[160597, 3750, 2290, 48, 670, "Text",ExpressionUUID->"e2d65ccd-ed78-4b71-9672-6df1bb679bc5",
   CellTags->"i:20",
   CellID->781514942]},
 "p: 303"->{
  Cell[173220, 4060, 1308, 32, 61, "CodeText",ExpressionUUID->"d8246afd-b852-4f89-a8b9-2085e27dc729",
   CellTags->"p: 303",
   CellID->895651280]},
 "i:21"->{
  Cell[186475, 4368, 660, 14, 63, "Text",ExpressionUUID->"9fdd171d-6010-4261-8efe-e2bdeba8a726",
   CellTags->"i:21",
   CellID->219231477]},
 "i:22"->{
  Cell[187138, 4384, 486, 12, 39, "CodeText",ExpressionUUID->"888a7508-d1fe-474c-8d15-1671801da36b",
   CellTags->"i:22",
   CellID->269977834]},
 "i:23"->{
  Cell[189376, 4445, 3774, 72, 188, "Text",ExpressionUUID->"fe3a62c5-9e23-4b9e-901d-579a54245cfe",
   CellTags->{"LastCellOfAPage", "i:23"},
   CellID->1605419129]},
 "p: 304"->{
  Cell[193153, 4519, 734, 17, 39, "CodeText",ExpressionUUID->"3cd0b778-c2e0-4161-b8a9-d292e9e57c49",
   CellTags->"p: 304",
   CellID->431990504]},
 "i:24"->{
  Cell[206828, 4870, 1297, 29, 213, "Text",ExpressionUUID->"55366720-7122-4570-bbc4-2da97b0a1394",
   CellTags->"i:24",
   CellID->893634695]},
 "i:25"->{
  Cell[210073, 4945, 1458, 33, 113, "Text",ExpressionUUID->"192500e4-fb84-4206-b584-78b096fedcfb",
   CellTags->{"LastCellOfAPage", "i:25"},
   CellID->1765932103]},
 "p: 305"->{
  Cell[211534, 4980, 872, 21, 39, "CodeText",ExpressionUUID->"3750a692-7d4c-4b78-8889-62ee939945c1",
   CellTags->"p: 305",
   CellID->688217742]},
 "p: 306"->{
  Cell[254398, 5802, 892, 22, 61, "CodeText",ExpressionUUID->"892022a4-ecb2-49b0-8fa1-03460f11517e",
   CellTags->"p: 306",
   CellID->504958014]},
 "i:26"->{
  Cell[402509, 8687, 959, 19, 88, "Text",ExpressionUUID->"23b4be2a-ffbd-406f-907a-7899fc35efcb",
   CellTags->{"i:26", "p: 307"},
   CellID->555325233]},
 "p: 307"->{
  Cell[402509, 8687, 959, 19, 88, "Text",ExpressionUUID->"23b4be2a-ffbd-406f-907a-7899fc35efcb",
   CellTags->{"i:26", "p: 307"},
   CellID->555325233]},
 "i:27"->{
  Cell[436283, 9324, 1024, 21, 63, "Text",ExpressionUUID->"38027ac1-b9b1-43c3-ba5a-58c257ed4f78",
   CellTags->"i:27",
   CellID->1297073462]},
 "p: 308"->{
  Cell[476637, 10093, 917, 24, 39, "CodeText",ExpressionUUID->"3ec5c183-825f-4d68-bf81-3a96ac489e30",
   CellTags->"p: 308",
   CellID->733118910]},
 "i:28"->{
  Cell[523820, 11037, 677, 11, 63, "Text",ExpressionUUID->"242ce8fb-2572-4469-a776-a6112da967e4",
   CellTags->"i:28",
   CellID->1920565500]},
 "p: 309"->{
  Cell[536059, 11320, 792, 15, 63, "Text",ExpressionUUID->"3d52f766-5e1f-4a2c-9429-9e3ce28e1369",
   CellTags->"p: 309",
   CellID->83845437]},
 "i:29"->{
  Cell[568240, 11911, 1067, 21, 88, "Text",ExpressionUUID->"040c02cc-7845-4d55-870c-3483d99d43b9",
   CellTags->"i:29",
   CellID->942677375]},
 "p: 310"->{
  Cell[613409, 12779, 522, 12, 39, "CodeText",ExpressionUUID->"f616b254-e0e6-47cb-82dc-12952b629208",
   CellTags->"p: 310",
   CellID->1966032438]},
 "i:30"->{
  Cell[698761, 14421, 2429, 53, 288, "Text",ExpressionUUID->"a32e0389-c57f-4f5e-991b-d57fd0e84cf8",
   CellTags->{"LastCellOfAPage", "i:30"},
   CellID->578075784]},
 "p: 311"->{
  Cell[701193, 14476, 863, 18, 61, "CodeText",ExpressionUUID->"92e6ef01-4d4d-42bd-943f-2aad3185a1f4",
   CellTags->"p: 311",
   CellID->483371052]},
 "i:31"->{
  Cell[712344, 14760, 1607, 29, 188, "Text",ExpressionUUID->"908b9684-2705-4e3b-8804-fa293808c712",
   CellTags->"i:31",
   CellID->268914355]},
 "p: 312"->{
  Cell[723178, 15006, 833, 16, 88, "Text",ExpressionUUID->"9ff0362e-ccf8-4378-afb7-3f9d02beba7b",
   CellTags->"p: 312",
   CellID->1963981223]},
 "p: 313"->{
  Cell[736959, 15348, 401, 8, 63, "Text",ExpressionUUID->"f2aeac06-85d9-4379-98c7-8bbf8bf0bb7d",
   CellTags->"p: 313",
   CellID->1795458920]},
 "p: 314"->{
  Cell[808492, 16668, 584, 13, 26, "Input",ExpressionUUID->"6a682126-ae86-4b6e-888e-08548f53ab65",
   CellTags->"p: 314",
   CellID->1207641728]},
 "p: 315"->{
  Cell[813919, 16788, 1133, 25, 39, "CodeText",ExpressionUUID->"f64456c4-bf62-4157-ae7c-06e031b0ed21",
   CellTags->"p: 315",
   CellID->1151555722]},
 "i:32"->{
  Cell[825328, 17065, 1039, 20, 63, "Text",ExpressionUUID->"8344b6a2-fc3e-4494-b95b-076870d45e0d",
   CellTags->"i:32",
   CellID->1615542636]},
 "i:33"->{
  Cell[826930, 17105, 452, 9, 26, "Input",ExpressionUUID->"8d60b8bd-0237-42e9-adfe-26bb3af7ff6d",
   CellTags->"i:33",
   CellID->1698764259]},
 "i:34"->{
  Cell[867621, 17889, 1181, 27, 39, "CodeText",ExpressionUUID->"c62a5c16-26be-4762-b1e5-a663f358b42d",
   CellTags->"i:34",
   CellID->983077770]},
 "p: 316"->{
  Cell[872892, 18013, 1106, 26, 39, "CodeText",ExpressionUUID->"6cb34a6e-51dc-4acd-a872-a8254ee9b831",
   CellTags->"p: 316",
   CellID->903528779]},
 "i:35"->{
  Cell[889175, 18392, 1631, 28, 213, "Text",ExpressionUUID->"775f0852-92bd-4228-a192-6d02cbbdaa97",
   CellTags->{"LastCellOfAPage", "i:35"},
   CellID->62665386]},
 "i:36"->{
  Cell[890809, 18422, 451, 8, 61, "CodeText",ExpressionUUID->"37801eb5-8a6c-437d-9536-24ade5004028",
   CellTags->{"i:36", "p: 317"},
   CellID->883079378]},
 "p: 317"->{
  Cell[890809, 18422, 451, 8, 61, "CodeText",ExpressionUUID->"37801eb5-8a6c-437d-9536-24ade5004028",
   CellTags->{"i:36", "p: 317"},
   CellID->883079378]},
 "i:37"->{
  Cell[894186, 18508, 870, 15, 88, "Text",ExpressionUUID->"f31663c4-372e-4170-a30e-830d4c78b936",
   CellTags->"i:37",
   CellID->404896511]},
 "p: 318"->{
  Cell[918291, 19081, 1344, 26, 381, "Text",ExpressionUUID->"375a4f65-deee-48be-862e-1d676cc384ff",
   CellTags->"p: 318",
   CellID->1428746190]},
 "i:38"->{
  Cell[935404, 19480, 1366, 23, 138, "Text",ExpressionUUID->"19771c5d-716c-4a3f-b8be-e76af4fffbca",
   CellTags->{"LastCellOfAPage", "i:38"},
   CellID->1774779777]},
 "p: 319"->{
  Cell[936773, 19505, 398028, 6543, 439, "Picture",ExpressionUUID->"48199c61-89de-458a-b9fa-1f043d518c65",
   CellTags->"p: 319",
   CellID->1145694989]},
 "p: 320"->{
  Cell[1339540, 26158, 472, 9, 63, "Text",ExpressionUUID->"38c93bc7-857c-47fd-a32b-2e2c22d75453",
   CellTags->"p: 320",
   CellID->979354212]},
 "p: 321"->{
  Cell[1351897, 26455, 618, 13, 63, "Text",ExpressionUUID->"68dbecf1-3392-49cf-9c63-110da7489200",
   CellTags->"p: 321",
   CellID->1720042046]},
 "p: 322"->{
  Cell[1417024, 27735, 425, 8, 63, "Text",ExpressionUUID->"8aa6f68d-6bc8-426f-bf47-11386447b15b",
   CellTags->"p: 322",
   CellID->2121113940]},
 "i:39"->{
  Cell[1417452, 27745, 372, 7, 61, "CodeText",ExpressionUUID->"ccc7a49c-6bf4-4fd4-ba01-b6ce2b1e845a",
   CellTags->"i:39",
   CellID->764618368]},
 "p: 323"->{
  Cell[1513954, 30022, 209, 3, 70, "VocabularySection",ExpressionUUID->"ef2ea63e-2a20-42a9-a9e2-9cb3e0499c1d",
   CellTags->"p: 323",
   CellID->57238089]},
 "Exercise"->{
  Cell[1519954, 30162, 220, 5, 26, "Exercise",ExpressionUUID->"7d0b9af8-b05b-415a-acaf-a5facd522401",
   CellTags->"Exercise",
   CellID->400110369],
  Cell[1521642, 30205, 1191, 25, 45, "Exercise",ExpressionUUID->"436ef51b-9b21-441d-ba11-83801b2629e3",
   CounterAssignments->{{$CellContext`Exercise, 1}},
   CellTags->"Exercise",
   CellID->1211836776],
  Cell[1522858, 30234, 746, 13, 64, "Exercise",ExpressionUUID->"4a4b697d-3ad0-437e-8d2a-622562bc675e",
   CellTags->"Exercise",
   CellID->940006319],
  Cell[1523607, 30249, 368, 10, 26, "Input",ExpressionUUID->"37d54262-90db-432d-9d47-38f987c1982b",
   CellTags->"Exercise",
   CellID->560445790],
  Cell[1523990, 30262, 1064, 25, 68, "Exercise",ExpressionUUID->"f7f6284b-f129-472e-af6b-4f12d9a321e5",
   CellTags->"Exercise",
   CellID->41418524],
  Cell[1525057, 30289, 346, 6, 26, "Exercise",ExpressionUUID->"6c302050-f63b-4b5d-a3d5-0643451c84c9",
   CellTags->{"Exercise", "LastCellOfAPage"},
   CellID->468248847],
  Cell[1525428, 30299, 517, 9, 45, "Exercise",ExpressionUUID->"20850444-d686-47df-b37b-1dd7609abd45",
   CellTags->{"Exercise", "p: 324"},
   CellID->589958677],
  Cell[1525948, 30310, 439, 11, 62, "ExerciseInput",ExpressionUUID->"0d4cc944-2d3c-49eb-bb21-e502ba283af3",
   CellTags->"Exercise",
   CellID->171663605],
  Cell[1526402, 30324, 1124, 24, 49, "Exercise",ExpressionUUID->"0e26433b-8270-46e0-aa53-44fe441be3e4",
   CellTags->"Exercise",
   CellID->808478058],
  Cell[1527529, 30350, 613, 13, 45, "Exercise",ExpressionUUID->"ea2ea809-ad69-4069-a6dd-80360379b29f",
   CellTags->"Exercise",
   CellID->1946437453],
  Cell[1528145, 30365, 310, 5, 26, "Exercise",ExpressionUUID->"c016b690-6126-48a7-9563-e9ac894a9871",
   CellTags->"Exercise",
   CellID->1974776621],
  Cell[1528458, 30372, 698, 13, 45, "Exercise",ExpressionUUID->"4bacd058-bef9-4e32-9330-93883ed388b4",
   CellTags->"Exercise",
   CellID->706916907],
  Cell[1529159, 30387, 1035, 23, 45, "Exercise",ExpressionUUID->"f7cc71e9-15f6-46a1-9b3c-e74fbfebd64b",
   CellTags->"Exercise",
   CellID->593937710],
  Cell[1530197, 30412, 800, 18, 330, "Exercise",ExpressionUUID->"354d1e56-f8a4-4e35-8417-832121172949",
   CellTags->"Exercise",
   CellID->1965190233],
  Cell[1531022, 30434, 933, 18, 279, "Exercise",ExpressionUUID->"a7cbcd7d-31b4-4dd3-a6da-044e596f4585",
   CellTags->"Exercise",
   CellID->1800083271],
  Cell[1531958, 30454, 427, 10, 177, "ExerciseInput",ExpressionUUID->"3547c239-e32b-427a-9ec3-1217a1a8ec4c",
   CellTags->"Exercise",
   CellID->1149374577],
  Cell[1532400, 30467, 1575, 28, 364, "Exercise",ExpressionUUID->"5bb9cf9e-c974-49be-aa37-b217f75dc7af",
   CellTags->"Exercise",
   CellID->51575317],
  Cell[1533978, 30497, 973, 25, 381, "Exercise",ExpressionUUID->"33710d63-9940-4f4d-a6ad-0505efad4f10",
   CellTags->"Exercise",
   CellID->1622228907],
  Cell[1534954, 30524, 1975, 44, 102, "Exercise",ExpressionUUID->"4aaa837a-6a1b-4287-b1e4-1fd970a8d815",
   CellTags->"Exercise",
   CellID->1631639168],
  Cell[1537323, 30578, 2589, 56, 83, "Exercise",ExpressionUUID->"a980fbe4-a7f2-4164-a1c0-ec05f01ef672",
   CellTags->"Exercise",
   CellID->423465257],
  Cell[1539915, 30636, 1748, 37, 64, "Exercise",ExpressionUUID->"34d13127-bade-4797-9bbb-7614879fc246",
   CellTags->"Exercise",
   CellID->2121815541],
  Cell[1541666, 30675, 478, 11, 45, "Exercise",ExpressionUUID->"3d17d1db-6200-4dcb-8a22-1603d57244c7",
   CellTags->{"Exercise", "LastCellOfAPage"},
   CellID->1939276572],
  Cell[1542169, 30690, 658, 13, 45, "Exercise",ExpressionUUID->"fc3e37ac-216c-4827-ab85-ced64dc3a8fd",
   CellTags->{"Exercise", "p: 325"},
   CellID->1014559694],
  Cell[1542830, 30705, 962, 26, 98, "ExerciseInput",ExpressionUUID->"096dc5e8-9c28-4c3d-bca9-9207c85318e5",
   CellTags->"Exercise",
   CellID->228605157],
  Cell[1543807, 30734, 3555, 97, 88, "Exercise",ExpressionUUID->"0a713720-2731-46dc-85cc-6baff443219c",
   CellTags->"Exercise",
   CellID->1953390554],
  Cell[1547365, 30833, 879, 20, 64, "Exercise",ExpressionUUID->"b1c7c483-0048-4716-b5cb-6919829b6d7a",
   CellTags->"Exercise",
   CellID->1984026633],
  Cell[1548247, 30855, 1773, 40, 70, "Exercise",ExpressionUUID->"7cb0c79b-2d01-410e-ae7b-6e4c035c866b",
   CellTags->"Exercise",
   CellID->1761211481]},
 "p: 324"->{
  Cell[1525428, 30299, 517, 9, 45, "Exercise",ExpressionUUID->"20850444-d686-47df-b37b-1dd7609abd45",
   CellTags->{"Exercise", "p: 324"},
   CellID->589958677]},
 "p: 325"->{
  Cell[1542169, 30690, 658, 13, 45, "Exercise",ExpressionUUID->"fc3e37ac-216c-4827-ab85-ced64dc3a8fd",
   CellTags->{"Exercise", "p: 325"},
   CellID->1014559694]},
 "p: 326"->{
  Cell[1572584, 31452, 769, 16, 54, "TechNote",ExpressionUUID->"38293ad9-39b4-4d4d-ba81-fc43fc6176a6",
   CellTags->"p: 326",
   CellID->1034315481]},
 "p: 327"->{
  Cell[1642212, 32898, 453, 8, 26, "Input",ExpressionUUID->"38937d05-7004-4c9f-b2bb-74b3bcaba67c",
   CellTags->"p: 327",
   CellID->585762959]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"p: 295", 1830987, 36608},
 {"LastCellOfAPage", 1831194, 36613},
 {"i:1", 1836470, 36713},
 {"p: 296", 1836655, 36717},
 {"i:2", 1836837, 36721},
 {"i:3", 1836988, 36725},
 {"i:4", 1837141, 36729},
 {"p: 297", 1837307, 36733},
 {"i:5", 1837470, 36737},
 {"i:6", 1837622, 36741},
 {"p: 298", 1837799, 36745},
 {"i:7", 1837957, 36749},
 {"i:8", 1838106, 36753},
 {"i:9", 1838257, 36757},
 {"p: 299", 1838434, 36761},
 {"i:10", 1838594, 36765},
 {"p: 300", 1838751, 36769},
 {"i:11", 1838911, 36773},
 {"i:12", 1839066, 36777},
 {"i:13", 1839222, 36781},
 {"i:14", 1839379, 36785},
 {"p: 301", 1839534, 36789},
 {"i:15", 1839694, 36793},
 {"i:16", 1839849, 36797},
 {"i:17", 1840007, 36801},
 {"i:18", 1840161, 36805},
 {"p: 302", 1840316, 36809},
 {"i:19", 1840474, 36813},
 {"i:20", 1840630, 36817},
 {"p: 303", 1840787, 36821},
 {"i:21", 1840947, 36825},
 {"i:22", 1841100, 36829},
 {"i:23", 1841257, 36833},
 {"p: 304", 1841436, 36837},
 {"i:24", 1841595, 36841},
 {"i:25", 1841750, 36845},
 {"p: 305", 1841929, 36849},
 {"p: 306", 1842090, 36853},
 {"i:26", 1842249, 36857},
 {"p: 307", 1842416, 36861},
 {"i:27", 1842581, 36865},
 {"p: 308", 1842738, 36869},
 {"i:28", 1842898, 36873},
 {"p: 309", 1843055, 36877},
 {"i:29", 1843210, 36881},
 {"p: 310", 1843367, 36885},
 {"i:30", 1843528, 36889},
 {"p: 311", 1843707, 36893},
 {"i:31", 1843867, 36897},
 {"p: 312", 1844025, 36901},
 {"p: 313", 1844184, 36905},
 {"p: 314", 1844342, 36909},
 {"p: 315", 1844502, 36913},
 {"i:32", 1844664, 36917},
 {"i:33", 1844820, 36921},
 {"i:34", 1844975, 36925},
 {"p: 316", 1845136, 36929},
 {"i:35", 1845297, 36933},
 {"i:36", 1845473, 36937},
 {"p: 317", 1845644, 36941},
 {"i:37", 1845813, 36945},
 {"p: 318", 1845969, 36949},
 {"i:38", 1846128, 36953},
 {"p: 319", 1846308, 36957},
 {"p: 320", 1846476, 36961},
 {"p: 321", 1846634, 36965},
 {"p: 322", 1846794, 36969},
 {"i:39", 1846951, 36973},
 {"p: 323", 1847111, 36977},
 {"Exercise", 1847283, 36981},
 {"p: 324", 1851529, 37064},
 {"p: 325", 1851705, 37068},
 {"p: 326", 1851883, 37072},
 {"p: 327", 1852047, 37076}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[615, 23, 436, 12, 110, "Section",ExpressionUUID->"f8c29973-ea8c-4354-ac23-0e855fbbc14a",
 CounterAssignments->{{"Section", 7}},
 CellTags->"p: 295",
 CellID->1709594208],
Cell[1054, 37, 559, 15, 63, "Text",ExpressionUUID->"d137356a-913c-487f-bd0b-73e4f2904730",
 CellID->830269968],
Cell[1616, 54, 581, 14, 37, "CodeCaption",ExpressionUUID->"07d4e310-a735-45ad-b3a8-0f1ad7fc9956",
 CellID->336964028],
Cell[CellGroupData[{
Cell[2222, 72, 297, 7, 26, "Input",ExpressionUUID->"c4fb7355-c6d2-4777-a641-b7f568e3882f",
 CellID->443800812],
Cell[2522, 81, 20007, 386, 152, "Output",ExpressionUUID->"396eea3d-28f5-429c-a36b-8638f70f8754",
 CellID->1590202819]
}, Open  ]],
Cell[22544, 470, 745, 17, 39, "CodeText",ExpressionUUID->"5144945e-5c30-4d72-95d6-320e527d3cc7",
 CellID->1855522912],
Cell[23292, 489, 368, 8, 26, "Input",ExpressionUUID->"54a76b68-b65a-499f-9557-66eaeb01ac59",
 CellID->925874686],
Cell[CellGroupData[{
Cell[23685, 501, 176, 2, 57, "Subsection",ExpressionUUID->"6b4de447-99a0-4b1f-a084-1773b84ad524",
 CellID->1227897148],
Cell[23864, 505, 2120, 31, 538, "Text",ExpressionUUID->"0f918a00-ed69-4f2c-9215-79c5f3781fa7",
 CellTags->{"LastCellOfAPage", "i:1", "p: 296"},
 CellID->706307534],
Cell[25987, 538, 3081, 52, 363, "Text",ExpressionUUID->"0d61d5b1-8459-4267-a445-1311adbd9d72",
 CellID->1610641579]
}, Open  ]],
Cell[CellGroupData[{
Cell[29105, 595, 598, 14, 58, "Subsection",ExpressionUUID->"cb0adeee-72c6-48f8-838d-9d3cca9a9439",
 CellID->2138913977],
Cell[29706, 611, 957, 20, 138, "Text",ExpressionUUID->"4bf8fd73-9b84-43b9-9514-b8bd3a950ac7",
 CellTags->"i:2",
 CellID->1304781158],
Cell[30666, 633, 178, 2, 39, "CodeText",ExpressionUUID->"c5443c11-ea78-4700-98e2-891988340c16",
 CellID->675604613],
Cell[30847, 637, 803, 18, 39, "CodeText",ExpressionUUID->"8310d6a2-f695-45f2-ad42-d2dc9a7e043c",
 CellTags->"i:3",
 CellID->822721998],
Cell[CellGroupData[{
Cell[31675, 659, 8366, 202, 50, "Input",ExpressionUUID->"8ddcb9b7-cbdf-4427-9a5e-ae680cc8baa2",
 CellID->1781242681],
Cell[40044, 863, 545, 10, 37, "Output",ExpressionUUID->"12951093-8449-475b-880a-1bf3df51e07c",
 CellID->386812182]
}, Open  ]],
Cell[40604, 876, 2031, 43, 138, "Text",ExpressionUUID->"bd865b66-74d0-449d-a289-da6a32f09968",
 CellTags->"LastCellOfAPage",
 CellID->1206253375],
Cell[42638, 921, 1183, 22, 88, "Text",ExpressionUUID->"e278edf7-263c-4505-ad10-0962e610e6b8",
 CellTags->{"i:4", "p: 297"},
 CellID->1583717435],
Cell[43824, 945, 998, 23, 39, "CodeText",ExpressionUUID->"f980161d-90f6-4c4b-b4a4-d9d970c2c293",
 CellID->1548572068],
Cell[CellGroupData[{
Cell[44847, 972, 8165, 198, 31, "Input",ExpressionUUID->"22d5168b-7a7a-486a-9c5c-e62dd1fbd7b8",
 CellID->1537040974],
Cell[53015, 1172, 463, 10, 37, "Output",ExpressionUUID->"babd058b-ab07-4625-8026-270a780eb11b",
 CellID->878479365]
}, Open  ]],
Cell[53493, 1185, 287, 5, 38, "Text",ExpressionUUID->"006e3013-24df-42fd-8218-ddc173619ae8",
 CellID->287819183],
Cell[53783, 1192, 1677, 34, 88, "Text",ExpressionUUID->"a03ca5a2-a7db-471d-bbdf-cd520a84f8eb",
 CellTags->"i:5",
 CellID->2107850529],
Cell[55463, 1228, 1042, 26, 61, "CodeText",ExpressionUUID->"1108cfa0-c205-457c-9149-2b2db953aa34",
 CellID->1800502015],
Cell[CellGroupData[{
Cell[56530, 1258, 634, 12, 26, "Input",ExpressionUUID->"ef9a84d4-27d0-4323-ab0b-20b5f91efb05",
 CellID->55554798],
Cell[57167, 1272, 430, 6, 37, "Output",ExpressionUUID->"f87bd43f-e7a9-4486-9305-d8d2888ba7a6",
 CellID->558921774]
}, Open  ]],
Cell[57612, 1281, 595, 11, 39, "CodeText",ExpressionUUID->"3e3edf1d-49e4-4a88-8aed-27d7c2635793",
 CellID->2111283356],
Cell[CellGroupData[{
Cell[58232, 1296, 17250, 406, 55, "Input",ExpressionUUID->"d24a7510-7a99-4f9a-9978-2594ccef71bd",
 CellID->1168953167],
Cell[75485, 1704, 896, 22, 37, "Output",ExpressionUUID->"022f6e52-1b06-4b9a-8e2e-6380c4532c69",
 CellID->1150448555]
}, Open  ]],
Cell[76396, 1729, 740, 14, 113, "Text",ExpressionUUID->"5aa9d1a1-9ff9-4a22-aa05-763e06024f7e",
 CellID->801909050],
Cell[77139, 1745, 467, 6, 39, "CodeText",ExpressionUUID->"7ff742b1-9f9d-4ea5-a244-65bf97e1edbd",
 CellID->111749003],
Cell[CellGroupData[{
Cell[77631, 1755, 669, 13, 26, "Input",ExpressionUUID->"cf3adbe1-7a9f-4a87-84cb-bb5d4bcfc665",
 CellID->828806698],
Cell[78303, 1770, 582, 11, 37, "Output",ExpressionUUID->"15f2a309-64f9-4012-aa60-9603d07f029f",
 CellID->149433518]
}, Open  ]],
Cell[78900, 1784, 3189, 68, 188, "Text",ExpressionUUID->"1ce6ed30-aca9-4d5c-9483-a083b1aab72c",
 CellTags->{"LastCellOfAPage", "i:6"},
 CellID->1864559062],
Cell[82092, 1854, 835, 19, 39, "CodeText",ExpressionUUID->"3d2ac6f3-774e-4b9a-aa19-c688f271e3a3",
 CellTags->"p: 298",
 CellID->1806324323],
Cell[CellGroupData[{
Cell[82952, 1877, 432, 9, 26, "Input",ExpressionUUID->"5fead6b0-aa73-47ab-9962-f2ef98fcb1e0",
 CellID->485689243],
Cell[83387, 1888, 594, 10, 37, "Output",ExpressionUUID->"c8a9ebcc-aa3a-4fbe-bed8-9a0ff1b7fc0c",
 CellID->1106227447]
}, Open  ]],
Cell[83996, 1901, 433, 8, 63, "Text",ExpressionUUID->"74681a6b-b443-4ded-890a-2dfb857bbfda",
 CellTags->"i:7",
 CellID->381174699],
Cell[84432, 1911, 430, 9, 39, "CodeText",ExpressionUUID->"500bab0b-7696-49d0-a153-446337b820ff",
 CellID->689366140],
Cell[CellGroupData[{
Cell[84887, 1924, 432, 9, 26, "Input",ExpressionUUID->"220009ad-2b02-47d0-ab09-76955ee1293c",
 CellID->1722619122],
Cell[85322, 1935, 312, 5, 37, "Output",ExpressionUUID->"096f3335-e28e-42ef-9c0f-7824cd549224",
 CellID->1098274769]
}, Open  ]],
Cell[85649, 1943, 802, 17, 88, "Text",ExpressionUUID->"0bc47abd-17b5-4b1d-bb92-493a95be6d20",
 CellTags->"i:8",
 CellID->1763265416],
Cell[86454, 1962, 782, 17, 61, "CodeText",ExpressionUUID->"0cadad53-b84d-40b1-bef5-776e0697870f",
 CellID->81035461],
Cell[CellGroupData[{
Cell[87261, 1983, 8317, 201, 31, "Input",ExpressionUUID->"6960b4a7-7511-446e-b631-25a278b6f664",
 CellID->1020880020],
Cell[95581, 2186, 480, 10, 37, "Output",ExpressionUUID->"671e10d5-06f2-4887-a57a-257830ebd763",
 CellID->1479445917]
}, Open  ]],
Cell[96076, 2199, 1323, 34, 138, "Text",ExpressionUUID->"c3288209-94c3-49a0-9b94-5b82087e7761",
 CellID->468841657]
}, Open  ]],
Cell[CellGroupData[{
Cell[97436, 2238, 236, 3, 57, "Subsection",ExpressionUUID->"ac9f14a5-6e31-4023-a50c-bfcc3a1e30c0",
 CellID->369163173],
Cell[97675, 2243, 3185, 64, 263, "Text",ExpressionUUID->"971cec0f-42eb-48b3-818e-afdb66a94609",
 CellTags->{"LastCellOfAPage", "i:9"},
 CellID->1477366569],
Cell[100863, 2309, 1178, 29, 61, "CodeText",ExpressionUUID->"83b614c9-293f-44a7-abfd-e384faad27c8",
 CellTags->"p: 299",
 CellID->181528032],
Cell[CellGroupData[{
Cell[102066, 2342, 323, 7, 26, "Input",ExpressionUUID->"3eebf519-7eab-4dad-ba3e-1b940433bbfe",
 CellID->231251977],
Cell[102392, 2351, 2043, 44, 114, "Output",ExpressionUUID->"5211ee3c-4ce5-4e76-b209-0c41e2055e81",
 CellID->1685584365]
}, Open  ]],
Cell[104450, 2398, 828, 20, 39, "CodeText",ExpressionUUID->"262b3c1f-0234-4f53-ba96-6138486ffe10",
 CellID->209286360],
Cell[CellGroupData[{
Cell[105303, 2422, 8370, 202, 31, "Input",ExpressionUUID->"5cbcb30d-a630-4156-a87b-3ede018fcada",
 CellID->442101441],
Cell[113676, 2626, 1050, 18, 95, "Output",ExpressionUUID->"60a70cbb-84cd-44e5-8941-52df2db8397a",
 CellID->435371146]
}, Open  ]],
Cell[114741, 2647, 1170, 25, 113, "Text",ExpressionUUID->"c3e33b30-fe97-46ad-bbf3-ab934dcc5b96",
 CellTags->"i:10",
 CellID->591646433],
Cell[115914, 2674, 783, 20, 61, "CodeText",ExpressionUUID->"d162eed6-65ae-434f-819d-3e6a4f37fd2a",
 CellID->1183693282],
Cell[CellGroupData[{
Cell[116722, 2698, 709, 15, 46, "Input",ExpressionUUID->"4c8a300f-ef6f-461b-b087-8aa683bc3c1b",
 CellID->1874390256],
Cell[117434, 2715, 566, 10, 37, "Output",ExpressionUUID->"402d4cef-95dd-4510-ba32-b31c3e1732ef",
 CellID->340135143]
}, Open  ]],
Cell[CellGroupData[{
Cell[118037, 2730, 264, 5, 26, "Input",ExpressionUUID->"aa8f7eb9-6f6b-471e-b81d-1693972d192f",
 CellID->1812305540],
Cell[118304, 2737, 494, 11, 42, "Output",ExpressionUUID->"17eb7e0f-b99c-4790-a752-968083ef343d",
 CellID->679396611]
}, Open  ]],
Cell[118813, 2751, 902, 16, 63, "Text",ExpressionUUID->"9808bc92-a4bf-4065-9906-fe554678d44e",
 CellID->1118920995],
Cell[119718, 2769, 778, 17, 39, "CodeText",ExpressionUUID->"9447e110-6181-4103-b50e-b31be43b64d7",
 CellID->1044370832],
Cell[CellGroupData[{
Cell[120521, 2790, 842, 18, 47, "Input",ExpressionUUID->"d8dee394-ef75-4a7a-9d96-9384c7aa8a42",
 CellID->1669281834],
Cell[121366, 2810, 643, 11, 37, "Output",ExpressionUUID->"e710c280-0fb8-49a4-8906-80474528612f",
 CellTags->"LastCellOfAPage",
 CellID->297688729]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[122058, 2827, 316, 5, 57, "Subsection",ExpressionUUID->"fa724dc1-173f-43e7-9c32-adae70ee0c65",
 CellTags->"p: 300",
 CellID->868598734],
Cell[122377, 2834, 1624, 33, 88, "Text",ExpressionUUID->"0d9cafff-54b8-4af1-b359-b560fe6d422e",
 CellTags->"i:11",
 CellID->2013568791],
Cell[124004, 2869, 304, 8, 39, "CodeText",ExpressionUUID->"9cb05a3b-db2f-423a-8ac2-0cfc836b587e",
 CellID->1241738499],
Cell[CellGroupData[{
Cell[124333, 2881, 8291, 202, 31, "Input",ExpressionUUID->"1834a881-5441-42bf-ad98-3d7c56796057",
 CellID->1008593794],
Cell[132627, 3085, 444, 9, 37, "Output",ExpressionUUID->"fd6a00ad-b217-4cea-a041-a22cb58a43ec",
 CellID->2125740228]
}, Open  ]],
Cell[133086, 3097, 186, 2, 38, "Text",ExpressionUUID->"e025bf20-e02b-4522-b8b1-3bedc9da9b2f",
 CellID->933061491],
Cell[133275, 3101, 331, 8, 39, "CodeText",ExpressionUUID->"3244e3f1-c4f9-449c-b487-f9dbce39be2c",
 CellID->2054889512],
Cell[CellGroupData[{
Cell[133631, 3113, 7984, 196, 31, "Input",ExpressionUUID->"76f26526-d730-4426-b69b-c7fae1ace0ae",
 CellTags->"i:12",
 CellID->340199596],
Cell[141618, 3311, 453, 9, 37, "Output",ExpressionUUID->"48869123-80d0-4ea6-923c-eead06cf19cc",
 CellID->1891682681]
}, Open  ]],
Cell[142086, 3323, 343, 6, 38, "Text",ExpressionUUID->"fda1e32e-ae45-43fc-8cd0-db68181a421d",
 CellID->1334988838],
Cell[142432, 3331, 940, 23, 39, "CodeText",ExpressionUUID->"a94bb5b2-6975-477c-bfbf-8d26f7ab6a47",
 CellTags->"i:13",
 CellID->982190865],
Cell[CellGroupData[{
Cell[143397, 3358, 327, 7, 26, "Input",ExpressionUUID->"c7f7177b-6358-4989-91fc-ee253083f3e8",
 CellID->1919631238],
Cell[143727, 3367, 252, 4, 37, "Output",ExpressionUUID->"5ed1c29f-6d4b-4895-a2f3-e46507fa3219",
 CellID->36111598]
}, Open  ]],
Cell[143994, 3374, 532, 13, 88, "Text",ExpressionUUID->"8b26bdfc-b883-4c99-b41b-30c3370c357b",
 CellTags->"i:14",
 CellID->835471156],
Cell[144529, 3389, 197, 2, 39, "CodeText",ExpressionUUID->"df6f8f1e-bb88-4445-b3b8-e59c2858d1e8",
 CellID->142330404],
Cell[144729, 3393, 370, 8, 198, "Input",ExpressionUUID->"84b90653-9e1c-4a23-adcf-490f1ecf68ee",
 CellID->1142561399],
Cell[145102, 3403, 1232, 25, 113, "Text",ExpressionUUID->"f2399d12-ab09-4016-9383-928026d5377c",
 CellTags->"LastCellOfAPage",
 CellID->316389399],
Cell[146337, 3430, 818, 17, 61, "CodeText",ExpressionUUID->"5b7dd028-63c4-4df7-88da-57c269217529",
 CellTags->"p: 301",
 CellID->1075370501],
Cell[CellGroupData[{
Cell[147180, 3451, 453, 10, 26, "Input",ExpressionUUID->"371e52b3-80f4-430e-83b7-3c27e8c6f554",
 CellTags->"i:15",
 CellID->1605450369],
Cell[147636, 3463, 331, 5, 37, "Output",ExpressionUUID->"5e951d7f-0f13-4007-a824-2a8f1c052354",
 CellID->1421935330]
}, Open  ]],
Cell[147982, 3471, 486, 11, 39, "CodeText",ExpressionUUID->"9acb9636-906c-4aa0-be00-f0e5b408a886",
 CellTags->"i:16",
 CellID->1576568918],
Cell[CellGroupData[{
Cell[148493, 3486, 509, 9, 26, "Input",ExpressionUUID->"2f5eb9e7-8079-427c-bfa8-2637e3b31764",
 CellID->517553801],
Cell[149005, 3497, 559, 8, 57, "Output",ExpressionUUID->"1847c075-0e0d-4fc3-822d-083e31bb2628",
 CellID->1484154718]
}, Open  ]],
Cell[149579, 3508, 686, 12, 88, "Text",ExpressionUUID->"26bd76fc-18d4-4cbf-9981-85ddc2ba2111",
 CellID->1818278590],
Cell[150268, 3522, 596, 14, 39, "CodeText",ExpressionUUID->"d26be362-317b-4b88-ac4f-909e5db1ac32",
 CellID->986843328],
Cell[CellGroupData[{
Cell[150889, 3540, 437, 8, 26, "Input",ExpressionUUID->"effd749e-e2a4-47b8-9582-28d9abbdb8d8",
 CellTags->"i:17",
 CellID->1510020425],
Cell[151329, 3550, 543, 9, 209, "Output",ExpressionUUID->"59e8c7a9-229a-40b1-9f5a-c3afe5dc60f2",
 CellID->1893369073]
}, Open  ]],
Cell[151887, 3562, 858, 17, 88, "Text",ExpressionUUID->"e295024b-a0f3-4291-b355-381d036e08f2",
 CellID->1338419738],
Cell[152748, 3581, 978, 22, 61, "CodeText",ExpressionUUID->"b2ef3809-3407-4273-b125-ffe848b0e0f3",
 CellID->1621989709],
Cell[153729, 3605, 735, 14, 84, "Input",ExpressionUUID->"be849e72-84cd-4bbd-a170-bd2f406c44b5",
 CellID->1741721438],
Cell[CellGroupData[{
Cell[154489, 3623, 229, 5, 26, "Input",ExpressionUUID->"e4dfb8ac-c3cc-4caa-b3d5-0d947bee0052",
 CellTags->"i:18",
 CellID->478746085],
Cell[154721, 3630, 598, 9, 133, "Output",ExpressionUUID->"b0eae2f7-f71b-46eb-83fe-8a94e4771915",
 CellTags->"LastCellOfAPage",
 CellID->910210420]
}, Open  ]],
Cell[155334, 3642, 1569, 26, 188, "Text",ExpressionUUID->"c9d0bd14-ad56-4253-a373-9cea9dfccb08",
 CellTags->"p: 302",
 CellID->1553815041],
Cell[156906, 3670, 413, 9, 39, "CodeText",ExpressionUUID->"554b3d59-ea1e-417a-b93b-14b8b6713e3d",
 CellID->441713722],
Cell[CellGroupData[{
Cell[157344, 3683, 576, 14, 26, "Input",ExpressionUUID->"6f3c1dfe-2efc-4de0-a24b-2061ecc9b156",
 CellID->1044953313],
Cell[157923, 3699, 343, 5, 37, "Output",ExpressionUUID->"9ecbb9e2-bd25-464c-9ffc-528fae870a50",
 CellID->1437475121]
}, Open  ]],
Cell[158281, 3707, 732, 11, 88, "Text",ExpressionUUID->"78d4332b-bb09-49ee-96f1-a07f79c8c02c",
 CellID->173908865]
}, Open  ]],
Cell[CellGroupData[{
Cell[159050, 3723, 246, 3, 57, "Subsection",ExpressionUUID->"9098029e-1eb8-4e9a-a341-bd18c15835d0",
 CellID->2142606995],
Cell[159299, 3728, 1295, 20, 279, "Text",ExpressionUUID->"61a87142-a933-44fc-8ca6-642cc691219f",
 CellTags->"i:19",
 CellID->2052075187],
Cell[160597, 3750, 2290, 48, 670, "Text",ExpressionUUID->"e2d65ccd-ed78-4b71-9672-6df1bb679bc5",
 CellTags->"i:20",
 CellID->781514942],
Cell[162890, 3800, 564, 12, 211, "CodeText",ExpressionUUID->"d95c76e8-1f5a-47a4-a3d5-aac1a96895bd",
 CellID->491782654],
Cell[CellGroupData[{
Cell[163479, 3816, 8395, 206, 2999, "Input",ExpressionUUID->"8fc5ae99-6ca9-4e71-9e96-78d00262e2a8",
 CellID->344918983],
Cell[171877, 4024, 1328, 33, 76, "Output",ExpressionUUID->"91bff843-fd17-40d9-90a8-bef87ebe3249",
 CellTags->"LastCellOfAPage",
 CellID->2041289236]
}, Open  ]],
Cell[173220, 4060, 1308, 32, 61, "CodeText",ExpressionUUID->"d8246afd-b852-4f89-a8b9-2085e27dc729",
 CellTags->"p: 303",
 CellID->895651280],
Cell[CellGroupData[{
Cell[174553, 4096, 8597, 205, 31, "Input",ExpressionUUID->"6f6bc650-7eeb-4d4b-b940-530fce15246c",
 CellID->1180893746],
Cell[183153, 4303, 954, 17, 76, "Output",ExpressionUUID->"a6c18a37-605e-41b2-af58-2d93da731524",
 CellID->1849054758]
}, Open  ]],
Cell[184122, 4323, 1417, 27, 238, "Text",ExpressionUUID->"431cfed2-7a8d-496e-affc-95daa0414537",
 CellID->995206465],
Cell[185542, 4352, 930, 14, 88, "Text",ExpressionUUID->"05a157d3-d563-48b1-bc41-caaa325d65a9",
 CellID->886759296],
Cell[186475, 4368, 660, 14, 63, "Text",ExpressionUUID->"9fdd171d-6010-4261-8efe-e2bdeba8a726",
 CellTags->"i:21",
 CellID->219231477],
Cell[187138, 4384, 486, 12, 39, "CodeText",ExpressionUUID->"888a7508-d1fe-474c-8d15-1671801da36b",
 CellTags->"i:22",
 CellID->269977834],
Cell[CellGroupData[{
Cell[187649, 4400, 451, 10, 26, "Input",ExpressionUUID->"04af5b63-aafc-420a-aec9-321423b21f0d",
 CellID->582802314],
Cell[188103, 4412, 403, 6, 37, "Output",ExpressionUUID->"105e91f4-9213-41ec-b712-20a10a1aca00",
 CellID->1310255638]
}, Open  ]],
Cell[CellGroupData[{
Cell[188543, 4423, 283, 5, 26, "Input",ExpressionUUID->"fdc02c51-4376-4a9e-85da-774adac3c7c3",
 CellID->1647368986],
Cell[188829, 4430, 532, 12, 109, "Print",ExpressionUUID->"94fff623-c903-466c-939c-6bc2f2c49d2d",
 CellID->1092744523]
}, Open  ]],
Cell[189376, 4445, 3774, 72, 188, "Text",ExpressionUUID->"fe3a62c5-9e23-4b9e-901d-579a54245cfe",
 CellTags->{"LastCellOfAPage", "i:23"},
 CellID->1605419129],
Cell[193153, 4519, 734, 17, 39, "CodeText",ExpressionUUID->"3cd0b778-c2e0-4161-b8a9-d292e9e57c49",
 CellTags->"p: 304",
 CellID->431990504],
Cell[CellGroupData[{
Cell[193912, 4540, 297, 6, 26, "Input",ExpressionUUID->"e5c71659-6774-408c-95fd-8c1a9e6ed813",
 CellID->585949526],
Cell[194212, 4548, 1012, 24, 57, "Output",ExpressionUUID->"9ef867a5-65b1-4987-aab9-f58c11f3ef1d",
 CellID->236753798]
}, Open  ]],
Cell[195239, 4575, 615, 15, 39, "CodeText",ExpressionUUID->"c04a1c65-da14-429b-829d-1b75f0e9e7cc",
 CellID->1792615992],
Cell[CellGroupData[{
Cell[195879, 4594, 8062, 196, 31, "Input",ExpressionUUID->"82e60649-b131-4d3e-acf9-1b15644b6941",
 CellID->1944024820],
Cell[203944, 4792, 1152, 33, 76, "Output",ExpressionUUID->"ed06a7ac-2ac0-4a87-9089-d5de7d76f90a",
 CellID->1758118691]
}, Open  ]],
Cell[205111, 4828, 335, 6, 63, "Text",ExpressionUUID->"9ad968a4-2449-4838-b900-67e992f4dff8",
 CellID->94834432],
Cell[205449, 4836, 699, 13, 39, "CodeText",ExpressionUUID->"080e1366-c863-43de-b658-daee0418ee22",
 CellID->1860214713],
Cell[CellGroupData[{
Cell[206173, 4853, 299, 7, 27, "Input",ExpressionUUID->"458c7e21-5255-4545-a5dc-23dda4a4c17a",
 CellID->1192865912],
Cell[206475, 4862, 338, 5, 37, "Output",ExpressionUUID->"4756968e-0471-4060-bf45-0a471b71c54e",
 CellID->2083413610]
}, Open  ]],
Cell[206828, 4870, 1297, 29, 213, "Text",ExpressionUUID->"55366720-7122-4570-bbc4-2da97b0a1394",
 CellTags->"i:24",
 CellID->893634695],
Cell[208128, 4901, 421, 9, 39, "CodeText",ExpressionUUID->"d099386f-0f81-453f-b872-917792b46e6a",
 CellID->1838797514],
Cell[CellGroupData[{
Cell[208574, 4914, 670, 13, 26, "Input",ExpressionUUID->"e8efc4d2-b7d1-4afe-b9ce-6ee2bfc187c7",
 CellID->736846865],
Cell[209247, 4929, 811, 13, 37, "Output",ExpressionUUID->"90d3d31f-de7d-4fd5-8de6-c89b93d98ef8",
 CellID->1231440190]
}, Open  ]],
Cell[210073, 4945, 1458, 33, 113, "Text",ExpressionUUID->"192500e4-fb84-4206-b584-78b096fedcfb",
 CellTags->{"LastCellOfAPage", "i:25"},
 CellID->1765932103],
Cell[211534, 4980, 872, 21, 39, "CodeText",ExpressionUUID->"3750a692-7d4c-4b78-8889-62ee939945c1",
 CellTags->"p: 305",
 CellID->688217742],
Cell[CellGroupData[{
Cell[212431, 5005, 864, 19, 47, "Input",ExpressionUUID->"faa9751a-8454-4c15-a327-e318f774facd",
 CellID->1796853581],
Cell[213298, 5026, 33658, 603, 265, "Output",ExpressionUUID->"c8be6b38-d862-4e17-b640-6206c391902a",
 CellID->1575796730]
}, Open  ]],
Cell[246971, 5632, 2825, 56, 263, "Text",ExpressionUUID->"ff28dad4-36a6-4cc3-90b8-88498f200058",
 CellID->1421349854],
Cell[249799, 5690, 544, 12, 39, "CodeText",ExpressionUUID->"5e9f14da-0015-45c3-9ae6-dacbc74aee2b",
 CellID->1423781019],
Cell[CellGroupData[{
Cell[250368, 5706, 828, 19, 65, "Input",ExpressionUUID->"8aae0eb8-bcaf-43f8-804c-34a704981a9a",
 CellID->18906950],
Cell[251199, 5727, 2234, 46, 114, "Output",ExpressionUUID->"4d2d744b-fded-447d-b96d-c7d0c4cc0e2c",
 CellID->1823381784]
}, Open  ]],
Cell[253448, 5776, 947, 24, 63, "Text",ExpressionUUID->"54becac3-a706-41f6-acb9-c3ca512ea402",
 CellTags->"LastCellOfAPage",
 CellID->445196547],
Cell[254398, 5802, 892, 22, 61, "CodeText",ExpressionUUID->"892022a4-ecb2-49b0-8fa1-03460f11517e",
 CellTags->"p: 306",
 CellID->504958014],
Cell[CellGroupData[{
Cell[255315, 5828, 8216, 200, 31, "Input",ExpressionUUID->"cd39e318-f799-4c1c-ba9d-a46577d9fcea",
 CellID->956049653],
Cell[263534, 6030, 37731, 706, 205, "Output",ExpressionUUID->"07bf2105-efba-4ab2-9359-c2b5770a2e02",
 CellID->824364172]
}, Open  ]],
Cell[301280, 6739, 447, 12, 63, "Text",ExpressionUUID->"3064690c-bd61-4693-9859-4efa6581e0e0",
 CellID->823631784],
Cell[301730, 6753, 565, 12, 39, "CodeText",ExpressionUUID->"0bd9e11b-21f9-4c64-9adf-ce3dbb54df6c",
 CellID->1232760598],
Cell[CellGroupData[{
Cell[302320, 6769, 8626, 204, 50, "Input",ExpressionUUID->"0ac3cb24-d851-47c0-b272-05db4c57387d",
 CellID->99805126],
Cell[310949, 6975, 2415, 49, 114, "Output",ExpressionUUID->"7d8594fa-9c58-4d50-9d99-9074238677bc",
 CellID->1696730671]
}, Open  ]],
Cell[313379, 7027, 529, 11, 38, "Text",ExpressionUUID->"0b55bfe3-8f8b-4828-95d1-d5dc106a7b91",
 CellID->1115381559],
Cell[313911, 7040, 226, 3, 39, "CodeText",ExpressionUUID->"4eb8c0c9-cbcb-4c56-8739-0da2fcbd1128",
 CellID->922118853],
Cell[CellGroupData[{
Cell[314162, 7047, 353, 8, 26, "Input",ExpressionUUID->"219be734-3a4e-4dc6-baba-48da02d698a4",
 CellID->833107450],
Cell[314518, 7057, 87976, 1627, 416, "Output",ExpressionUUID->"5ea0b7b8-91d4-417e-889f-ab2c099e01a7",
 CellTags->"LastCellOfAPage",
 CellID->728318908]
}, Open  ]],
Cell[402509, 8687, 959, 19, 88, "Text",ExpressionUUID->"23b4be2a-ffbd-406f-907a-7899fc35efcb",
 CellTags->{"i:26", "p: 307"},
 CellID->555325233],
Cell[403471, 8708, 490, 11, 39, "CodeText",ExpressionUUID->"50838a61-9b5c-4a55-85f0-1ddd769c296a",
 CellID->740423293],
Cell[CellGroupData[{
Cell[403986, 8723, 385, 8, 26, "Input",ExpressionUUID->"fa7e2f99-1c6a-40ff-adbc-45bcef48399b",
 CellID->387261169],
Cell[404374, 8733, 31894, 588, 205, "Output",ExpressionUUID->"815650cd-73b4-44f9-adb3-cb9eec7ab87d",
 CellID->300808263]
}, Open  ]],
Cell[436283, 9324, 1024, 21, 63, "Text",ExpressionUUID->"38027ac1-b9b1-43c3-ba5a-58c257ed4f78",
 CellTags->"i:27",
 CellID->1297073462],
Cell[437310, 9347, 742, 16, 39, "CodeText",ExpressionUUID->"e6a7eb1e-21d7-4682-b19f-96c39501331f",
 CellID->258340697],
Cell[CellGroupData[{
Cell[438077, 9367, 564, 11, 26, "Input",ExpressionUUID->"f3b0eb2f-8faf-45c9-ad15-f3866f5bf688",
 CellID->807175137],
Cell[438644, 9380, 37978, 710, 205, "Output",ExpressionUUID->"1cea7af9-a0a3-41e6-85d1-bd85efdd24a2",
 CellTags->"LastCellOfAPage",
 CellID->1037327571]
}, Open  ]],
Cell[476637, 10093, 917, 24, 39, "CodeText",ExpressionUUID->"3ec5c183-825f-4d68-bf81-3a96ac489e30",
 CellTags->"p: 308",
 CellID->733118910],
Cell[CellGroupData[{
Cell[477579, 10121, 8195, 199, 31, "Input",ExpressionUUID->"8ae16578-9994-4df5-8ffc-c2980b410f39",
 CellID->1693757175],
Cell[485777, 10322, 37752, 705, 205, "Output",ExpressionUUID->"be4e761c-1d76-45af-95ef-571f05e9e465",
 CellID->1089302932]
}, Open  ]],
Cell[CellGroupData[{
Cell[523566, 11032, 251, 3, 55, "Subsubsection",ExpressionUUID->"73df2d6f-631e-4321-9d52-b96d0f6fc77f",
 CellID->805979647],
Cell[523820, 11037, 677, 11, 63, "Text",ExpressionUUID->"242ce8fb-2572-4469-a776-a6112da967e4",
 CellTags->"i:28",
 CellID->1920565500],
Cell[524500, 11050, 480, 11, 39, "CodeText",ExpressionUUID->"7a9b8438-ca94-4a8e-b1e6-9ec55e6314cc",
 CellID->215233734],
Cell[CellGroupData[{
Cell[525005, 11065, 1537, 35, 103, "Input",ExpressionUUID->"7350f15d-cd91-42bb-97bd-2f977ac199bd",
 CellID->291379253],
Cell[526545, 11102, 632, 10, 37, "Output",ExpressionUUID->"3309dc6b-fad5-4225-9137-ddef7d03e324",
 CellID->446418058]
}, Open  ]],
Cell[527192, 11115, 641, 13, 38, "Text",ExpressionUUID->"31f4ef42-5bbf-4643-b753-a4078a78995b",
 CellID->910887589],
Cell[527836, 11130, 724, 16, 39, "CodeText",ExpressionUUID->"1adcf0e3-17f4-425c-bbc1-ef860812d5fd",
 CellID->1037901658],
Cell[CellGroupData[{
Cell[528585, 11150, 455, 8, 26, "Input",ExpressionUUID->"03fcb8ff-5752-415c-9ea8-bdaed57a7c15",
 CellID->2024272507],
Cell[529043, 11160, 1400, 30, 57, "Output",ExpressionUUID->"33f0d8e5-431d-4c17-bb88-91bc39d220f4",
 CellID->1198642554]
}, Open  ]],
Cell[530458, 11193, 677, 13, 63, "Text",ExpressionUUID->"3f5e638f-88d8-48a5-9d0c-33c94390533d",
 CellID->364647027],
Cell[531138, 11208, 820, 18, 39, "CodeText",ExpressionUUID->"200d6518-556f-4cea-9bb5-9c2d292f2120",
 CellID->743982697],
Cell[CellGroupData[{
Cell[531983, 11230, 894, 20, 65, "Input",ExpressionUUID->"9ad156a8-9fb4-4c76-a3e2-70f860253ea7",
 CellID->1073899905],
Cell[532880, 11252, 1020, 17, 28, "Message",ExpressionUUID->"45b3bf7c-ed08-421b-90aa-385bd2d45b7d",
 CellID->474192428],
Cell[533903, 11271, 2141, 46, 114, "Output",ExpressionUUID->"24435e90-1b55-4bc5-8a5a-11ca858c86a5",
 CellTags->"LastCellOfAPage",
 CellID->454939071]
}, Open  ]],
Cell[536059, 11320, 792, 15, 63, "Text",ExpressionUUID->"3d52f766-5e1f-4a2c-9429-9e3ce28e1369",
 CellTags->"p: 309",
 CellID->83845437],
Cell[536854, 11337, 713, 16, 296, "CodeText",ExpressionUUID->"8e6dc4d9-d9a1-4462-9927-6bf580be95fe",
 CellID->485457120],
Cell[CellGroupData[{
Cell[537592, 11357, 381, 8, 160, "Input",ExpressionUUID->"ab04ddca-6cbd-404e-9ff8-b455f3179bdc",
 CellID->440987227],
Cell[537976, 11367, 30249, 541, 7929, "Output",ExpressionUUID->"4dae5109-e6bb-471e-a635-1b36aba00fec",
 CellID->691627382]
}, Open  ]],
Cell[568240, 11911, 1067, 21, 88, "Text",ExpressionUUID->"040c02cc-7845-4d55-870c-3483d99d43b9",
 CellTags->"i:29",
 CellID->942677375],
Cell[569310, 11934, 495, 10, 39, "CodeText",ExpressionUUID->"e88b2c5f-fbf7-4b9d-af9d-fd61f576782f",
 CellID->102601048],
Cell[CellGroupData[{
Cell[569830, 11948, 589, 12, 46, "Input",ExpressionUUID->"e21e38c3-a7df-4da2-aec5-5269d27d3073",
 CellID->1591777706],
Cell[570422, 11962, 42315, 799, 205, "Output",ExpressionUUID->"8163d40b-8918-41e6-9da2-9bd61cdec18b",
 CellID->1750236376]
}, Open  ]],
Cell[612752, 12764, 654, 13, 63, "Text",ExpressionUUID->"51d6b407-2361-49c2-b3c0-501d74713401",
 CellTags->"LastCellOfAPage",
 CellID->1423444848],
Cell[613409, 12779, 522, 12, 39, "CodeText",ExpressionUUID->"f616b254-e0e6-47cb-82dc-12952b629208",
 CellTags->"p: 310",
 CellID->1966032438],
Cell[CellGroupData[{
Cell[613956, 12795, 783, 19, 47, "Input",ExpressionUUID->"8f1b2fa5-cccf-4040-ad4f-2473e57eb921",
 CellID->869732756],
Cell[614742, 12816, 37956, 712, 205, "Output",ExpressionUUID->"8b6921de-2a4c-41b5-9db8-db7920218307",
 CellID->1728611208]
}, Open  ]],
Cell[652713, 13531, 1201, 25, 63, "Text",ExpressionUUID->"eafbffe3-916d-4309-ac88-a16f57027459",
 CellID->2147269110],
Cell[653917, 13558, 1122, 26, 39, "CodeText",ExpressionUUID->"848a8e0d-0309-4f3f-b468-192ca97ddb24",
 CellID->2142773938],
Cell[CellGroupData[{
Cell[655064, 13588, 1048, 25, 66, "Input",ExpressionUUID->"a85728ac-e3df-4b5a-939a-657c925f1b7c",
 CellID->689243935],
Cell[656115, 13615, 42631, 803, 205, "Output",ExpressionUUID->"3c79e4b7-9320-4b04-9a7f-61e95c6f5281",
 CellID->1655249468]
}, Open  ]],
Cell[698761, 14421, 2429, 53, 288, "Text",ExpressionUUID->"a32e0389-c57f-4f5e-991b-d57fd0e84cf8",
 CellTags->{"LastCellOfAPage", "i:30"},
 CellID->578075784],
Cell[701193, 14476, 863, 18, 61, "CodeText",ExpressionUUID->"92e6ef01-4d4d-42bd-943f-2aad3185a1f4",
 CellTags->"p: 311",
 CellID->483371052],
Cell[CellGroupData[{
Cell[702081, 14498, 8262, 201, 31, "Input",ExpressionUUID->"fb6f3441-1c58-4af9-8d60-a8e60a7d543e",
 CellID->799261460],
Cell[710346, 14701, 1191, 34, 76, "Output",ExpressionUUID->"1b587840-ed0f-4978-9a7e-17405801860e",
 CellID->1248326535]
}, Open  ]],
Cell[711552, 14738, 494, 11, 63, "Text",ExpressionUUID->"dc537ae6-aab1-4673-a04b-8fa9e2e7b162",
 CellID->1099219642]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[712095, 14755, 246, 3, 57, "Subsection",ExpressionUUID->"e0e7b9b1-0d12-4d96-a0c0-2121eaede157",
 CellID->381401677],
Cell[712344, 14760, 1607, 29, 188, "Text",ExpressionUUID->"908b9684-2705-4e3b-8804-fa293808c712",
 CellTags->"i:31",
 CellID->268914355],
Cell[713954, 14791, 735, 16, 39, "CodeText",ExpressionUUID->"ca064135-8807-44d7-ad77-92fdf0b6b148",
 CellID->640440847],
Cell[CellGroupData[{
Cell[714714, 14811, 587, 12, 26, "Input",ExpressionUUID->"bbe8893a-f72c-4f11-95b2-c96a949473f6",
 CellID->116282059],
Cell[715304, 14825, 494, 7, 37, "Output",ExpressionUUID->"815df9c6-aaf8-4a06-8120-ad774242b452",
 CellID->988468046]
}, Open  ]],
Cell[715813, 14835, 235, 3, 38, "Text",ExpressionUUID->"89c1bf98-033b-4736-9013-287d32b7a2d2",
 CellID->1605240024],
Cell[716051, 14840, 243, 3, 39, "CodeText",ExpressionUUID->"aedbfda6-3353-413a-b3d0-c5f3ae4c74f8",
 CellID->944940178],
Cell[CellGroupData[{
Cell[716319, 14847, 367, 7, 26, "Input",ExpressionUUID->"c6de39b9-cbb5-4173-99d4-41b189f05b96",
 CellID->658921765],
Cell[716689, 14856, 1206, 28, 57, "Output",ExpressionUUID->"2a68dffa-b9bc-465c-a316-1a3c29f02b04",
 CellID->810299106]
}, Open  ]],
Cell[717910, 14887, 1904, 37, 138, "Text",ExpressionUUID->"4fd14a91-5d34-45fa-84c0-47c833273757",
 CellID->1867144597],
Cell[719817, 14926, 807, 17, 39, "CodeText",ExpressionUUID->"0693a488-9353-483e-9ab2-a039c993b31d",
 CellID->2007326438],
Cell[720627, 14945, 904, 23, 46, "Input",ExpressionUUID->"11d6c4f6-4aa2-4652-a65c-507c7f5fc67b",
 CellID->946026136],
Cell[CellGroupData[{
Cell[721556, 14972, 1023, 19, 65, "Input",ExpressionUUID->"d32912c8-dbe9-45e3-a042-e9314d2da077",
 CellID->821783225],
Cell[722582, 14993, 581, 10, 37, "Output",ExpressionUUID->"384ca701-fb87-473a-bd54-ab7884618cb9",
 CellTags->"LastCellOfAPage",
 CellID->1593102678]
}, Open  ]],
Cell[723178, 15006, 833, 16, 88, "Text",ExpressionUUID->"9ff0362e-ccf8-4378-afb7-3f9d02beba7b",
 CellTags->"p: 312",
 CellID->1963981223],
Cell[724014, 15024, 813, 17, 39, "CodeText",ExpressionUUID->"0d1e81af-39e0-4e76-ad8c-743b84e00579",
 CellID->1902601889],
Cell[CellGroupData[{
Cell[724852, 15045, 318, 6, 26, "Input",ExpressionUUID->"6c08a6c4-dff9-4635-b2f4-0a36a5cbd9d0",
 CellID->2083494852],
Cell[725173, 15053, 1831, 43, 95, "Output",ExpressionUUID->"26904a91-64e5-475b-9edd-2d51618c552e",
 CellID->572818755]
}, Open  ]],
Cell[727019, 15099, 850, 18, 88, "Text",ExpressionUUID->"0a21444b-0f62-4a86-a0b9-abb9287e4e17",
 CellID->620138834],
Cell[727872, 15119, 683, 18, 39, "CodeText",ExpressionUUID->"da3e5552-bae5-48ae-bea7-383c921a7121",
 CellID->1091577964],
Cell[CellGroupData[{
Cell[728580, 15141, 385, 9, 26, "Input",ExpressionUUID->"7ea180d7-90f9-482a-80ce-6dc127dc100a",
 CellID->1404193803],
Cell[728968, 15152, 638, 11, 57, "Output",ExpressionUUID->"37b078e6-f892-459f-a92e-c88f80eba002",
 CellID->1999592462]
}, Open  ]],
Cell[729621, 15166, 241, 3, 38, "Text",ExpressionUUID->"2921f386-afa9-4ec0-bd78-c61e5a2a08e8",
 CellID->398877735],
Cell[729865, 15171, 234, 3, 39, "CodeText",ExpressionUUID->"672a443c-9bcd-4b2a-b787-5a15b121ab8a",
 CellID->1390788054],
Cell[CellGroupData[{
Cell[730124, 15178, 434, 9, 26, "Input",ExpressionUUID->"4dbc025e-06f2-4e5f-9876-bfc7c807f5a8",
 CellID->1759272315],
Cell[730561, 15189, 449, 8, 37, "Output",ExpressionUUID->"5ad2c61e-2d01-45f0-9728-e01bab874eee",
 CellID->1091500944]
}, Open  ]],
Cell[731025, 15200, 1522, 33, 113, "Text",ExpressionUUID->"aee3b421-9721-4218-8a16-532992de4b32",
 CellID->1926978945],
Cell[732550, 15235, 484, 10, 39, "CodeText",ExpressionUUID->"50acf685-15da-4790-9580-c1ed8d966b3e",
 CellID->766119788],
Cell[CellGroupData[{
Cell[733059, 15249, 457, 10, 26, "Input",ExpressionUUID->"4876cce0-09a7-4a51-b791-4ef2ea9ad644",
 CellID->588155847],
Cell[733519, 15261, 1173, 27, 57, "Output",ExpressionUUID->"4c68c9b1-2bcb-47ad-84a4-7bb13927b994",
 CellID->1003525378]
}, Open  ]],
Cell[734707, 15291, 245, 5, 38, "Text",ExpressionUUID->"853955b4-19cc-4a6b-abf4-4650293f388e",
 CellID->1863621969],
Cell[734955, 15298, 242, 3, 39, "CodeText",ExpressionUUID->"f2d83ded-ae88-4292-9971-23292dc4f03a",
 CellID->698380832],
Cell[CellGroupData[{
Cell[735222, 15305, 649, 13, 26, "Input",ExpressionUUID->"e1838c33-01de-4e97-b6f7-1a2c40248b4c",
 CellID->827430808],
Cell[735874, 15320, 1070, 25, 57, "Output",ExpressionUUID->"c06cb91e-6915-4c45-bc38-218b734ac11c",
 CellTags->"LastCellOfAPage",
 CellID->1233906542]
}, Open  ]],
Cell[736959, 15348, 401, 8, 63, "Text",ExpressionUUID->"f2aeac06-85d9-4379-98c7-8bbf8bf0bb7d",
 CellTags->"p: 313",
 CellID->1795458920],
Cell[737363, 15358, 381, 7, 39, "CodeText",ExpressionUUID->"471dab39-5a4e-4473-b1b0-daa7ff831ac2",
 CellID->10243892],
Cell[CellGroupData[{
Cell[737769, 15369, 950, 23, 65, "Input",ExpressionUUID->"b6c34fa6-d8d6-49a4-ba28-7c2bfc856d96",
 CellID->190518215],
Cell[738722, 15394, 67465, 1214, 362, "Output",ExpressionUUID->"fb80222a-29a7-44b7-8301-dbb7f09a174b",
 CellID->486339116]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[806236, 16614, 289, 4, 57, "Subsection",ExpressionUUID->"d4236962-c5a1-45f6-890e-bae1dbe9b53f",
 CellID->1452733288],
Cell[806528, 16620, 1022, 18, 138, "Text",ExpressionUUID->"ca46691c-2d19-4d65-aa44-ad4eecb35645",
 CellID->961953560],
Cell[807553, 16640, 474, 11, 39, "CodeText",ExpressionUUID->"b1668207-00b3-4e49-9ac5-bb937aa1b027",
 CellID->885489472],
Cell[808030, 16653, 437, 11, 26, "Input",ExpressionUUID->"51dc09ef-7ef6-4e25-b8d2-5670dbbe1a20",
 CellTags->"LastCellOfAPage",
 CellID->1092434095],
Cell[CellGroupData[{
Cell[808492, 16668, 584, 13, 26, "Input",ExpressionUUID->"6a682126-ae86-4b6e-888e-08548f53ab65",
 CellTags->"p: 314",
 CellID->1207641728],
Cell[809079, 16683, 1210, 18, 638, "Output",ExpressionUUID->"73ecca0a-240b-46c7-b6f8-3d205abb0509",
 CellID->594415971]
}, Open  ]],
Cell[810304, 16704, 1478, 29, 113, "Text",ExpressionUUID->"fbcfcb10-5d88-49c4-ac27-67f04734ff69",
 CellID->1143816171],
Cell[811785, 16735, 260, 3, 38, "Text",ExpressionUUID->"0ed5f6eb-0ce2-4168-b418-7b8572831e14",
 CellID->653221646],
Cell[812048, 16740, 719, 16, 39, "CodeText",ExpressionUUID->"4a2735a5-be10-4f3f-9119-0dcd4bc9a913",
 CellID->1525669044],
Cell[CellGroupData[{
Cell[812792, 16760, 379, 8, 26, "Input",ExpressionUUID->"e709c0ff-023f-4740-9c36-cb4388d643d6",
 CellID->1801407197],
Cell[813174, 16770, 305, 5, 37, "Output",ExpressionUUID->"ee727bc5-e5b3-4363-81ee-8308d1d94ba7",
 CellID->1003894583]
}, Open  ]],
Cell[813494, 16778, 422, 8, 63, "Text",ExpressionUUID->"c5a11c5c-5d77-4f3a-8a6d-32961c2b64d2",
 CellTags->"LastCellOfAPage",
 CellID->2136954615],
Cell[813919, 16788, 1133, 25, 39, "CodeText",ExpressionUUID->"f64456c4-bf62-4157-ae7c-06e031b0ed21",
 CellTags->"p: 315",
 CellID->1151555722],
Cell[CellGroupData[{
Cell[815077, 16817, 8309, 201, 31, "Input",ExpressionUUID->"26c99e9d-c6af-4eb8-81a9-9398c88982c8",
 CellID->2008806228],
Cell[823389, 17020, 1924, 42, 114, "Output",ExpressionUUID->"ec7c0b3c-fdd7-406c-97bd-8a206b0ee7d8",
 CellID->1798653976]
}, Open  ]],
Cell[825328, 17065, 1039, 20, 63, "Text",ExpressionUUID->"8344b6a2-fc3e-4494-b95b-076870d45e0d",
 CellTags->"i:32",
 CellID->1615542636],
Cell[826370, 17087, 535, 14, 39, "CodeText",ExpressionUUID->"8091b7f9-f1f4-4ff7-af7d-437827a809fc",
 CellID->692608016],
Cell[CellGroupData[{
Cell[826930, 17105, 452, 9, 26, "Input",ExpressionUUID->"8d60b8bd-0237-42e9-adfe-26bb3af7ff6d",
 CellTags->"i:33",
 CellID->1698764259],
Cell[827385, 17116, 411, 8, 37, "Output",ExpressionUUID->"2bfa8674-8dc8-4f61-a738-51dabe4246cb",
 CellID->217578267]
}, Open  ]],
Cell[827811, 17127, 552, 13, 63, "Text",ExpressionUUID->"835bdff4-6d32-4546-933d-61a0b62a53af",
 CellID->1753699370],
Cell[828366, 17142, 362, 9, 39, "CodeText",ExpressionUUID->"9adb1151-d255-4160-b20b-974c04e01b7b",
 CellID->1120338659],
Cell[CellGroupData[{
Cell[828753, 17155, 452, 8, 26, "Input",ExpressionUUID->"6827b89b-e5c1-4c94-902d-e467d1ebc5e9",
 CellID->181522372],
Cell[829208, 17165, 37716, 708, 205, "Output",ExpressionUUID->"9edae907-b3c6-419b-ab74-20165fa9193b",
 CellID->1102092192]
}, Open  ]],
Cell[866939, 17876, 679, 11, 63, "Text",ExpressionUUID->"956e7030-450a-4f69-bceb-8a4447e9cae6",
 CellID->1187796602],
Cell[867621, 17889, 1181, 27, 39, "CodeText",ExpressionUUID->"c62a5c16-26be-4762-b1e5-a663f358b42d",
 CellTags->"i:34",
 CellID->983077770],
Cell[CellGroupData[{
Cell[868827, 17920, 481, 8, 26, "Input",ExpressionUUID->"176451ef-c3ce-4d27-9598-c7ef925baf4a",
 CellID->1982758125],
Cell[869311, 17930, 1828, 40, 114, "Output",ExpressionUUID->"1c5299b5-7e21-4e25-98e6-ef8dfa2e67a4",
 CellID->1966810798]
}, Open  ]],
Cell[871154, 17973, 1735, 38, 88, "Text",ExpressionUUID->"b282abca-ff6f-47d1-b0d5-e0d7e43d97d1",
 CellTags->"LastCellOfAPage",
 CellID->2129001979],
Cell[872892, 18013, 1106, 26, 39, "CodeText",ExpressionUUID->"6cb34a6e-51dc-4acd-a872-a8254ee9b831",
 CellTags->"p: 316",
 CellID->903528779],
Cell[CellGroupData[{
Cell[874023, 18043, 499, 11, 26, "Input",ExpressionUUID->"b9bf0578-6831-4eff-ab08-147b62a48ee4",
 CellID->1205159903],
Cell[874525, 18056, 543, 7, 57, "Output",ExpressionUUID->"2e5ea550-65c7-4923-8b55-f5b5c6be4d9f",
 CellID->2031696909]
}, Open  ]],
Cell[875083, 18066, 959, 21, 88, "Text",ExpressionUUID->"0c7c7b93-3f92-4a36-901d-07fe58aaebad",
 CellID->211547317],
Cell[876045, 18089, 289, 3, 39, "CodeText",ExpressionUUID->"d145c02d-1f22-4ff4-ab22-49a8cc526cd0",
 CellID->483652836],
Cell[CellGroupData[{
Cell[876359, 18096, 9022, 210, 51, "Input",ExpressionUUID->"08752ff9-3c72-4505-89c3-61658ffbdff3",
 CellID->934835063],
Cell[885384, 18308, 832, 12, 95, "Output",ExpressionUUID->"683d29fe-e690-4de4-aa14-03382f8442c5",
 CellID->1133008298]
}, Open  ]],
Cell[886231, 18323, 426, 8, 63, "Text",ExpressionUUID->"671a8945-255d-4e00-8cc2-b4e2cf0fa32a",
 CellID->1644568872],
Cell[886660, 18333, 291, 6, 39, "CodeText",ExpressionUUID->"d181efbf-8d4a-4fa2-ac4f-081068586021",
 CellID->860977009],
Cell[CellGroupData[{
Cell[886976, 18343, 895, 22, 65, "Input",ExpressionUUID->"8c76f132-e620-42c5-bae0-1decff3772cb",
 CellID->2066316507],
Cell[887874, 18367, 1015, 14, 114, "Output",ExpressionUUID->"c9b09076-072d-4dc9-afa0-fdad062a859c",
 CellID->128712054]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[888938, 18387, 234, 3, 57, "Subsection",ExpressionUUID->"c523aea8-e120-45f6-b78f-e35200038a37",
 CellID->526562042],
Cell[889175, 18392, 1631, 28, 213, "Text",ExpressionUUID->"775f0852-92bd-4228-a192-6d02cbbdaa97",
 CellTags->{"LastCellOfAPage", "i:35"},
 CellID->62665386],
Cell[890809, 18422, 451, 8, 61, "CodeText",ExpressionUUID->"37801eb5-8a6c-437d-9536-24ade5004028",
 CellTags->{"i:36", "p: 317"},
 CellID->883079378],
Cell[CellGroupData[{
Cell[891285, 18434, 738, 19, 65, "Input",ExpressionUUID->"4c542681-62c4-4344-91b7-e5fdb52bd48e",
 CellID->886408408],
Cell[892026, 18455, 333, 6, 37, "Output",ExpressionUUID->"fdbaf1c4-6e5b-402c-af45-781d845e5cee",
 CellID->988115015]
}, Open  ]],
Cell[892374, 18464, 772, 14, 63, "Text",ExpressionUUID->"4d522050-911a-43da-b4a2-9d96a6b5d6b0",
 CellID->2116399331],
Cell[893149, 18480, 261, 5, 39, "CodeText",ExpressionUUID->"f9f8edda-7e83-4fec-8bef-9cb5d9a88f67",
 CellID->1244160037],
Cell[CellGroupData[{
Cell[893435, 18489, 314, 6, 26, "Input",ExpressionUUID->"a7915589-03ad-4854-985a-dcb6154edd13",
 CellID->1149077387],
Cell[893752, 18497, 419, 8, 37, "Output",ExpressionUUID->"d8403460-e817-4636-b942-bffc0220f1f6",
 CellID->590182387]
}, Open  ]],
Cell[894186, 18508, 870, 15, 88, "Text",ExpressionUUID->"f31663c4-372e-4170-a30e-830d4c78b936",
 CellTags->"i:37",
 CellID->404896511],
Cell[895059, 18525, 500, 8, 61, "CodeText",ExpressionUUID->"62d10b2e-cf48-48d1-900a-55a0c63561f6",
 CellID->1275516795],
Cell[CellGroupData[{
Cell[895584, 18537, 8624, 207, 50, "Input",ExpressionUUID->"e2df1314-f600-40c4-812b-d8fd7d7832f1",
 CellID->823396852],
Cell[904211, 18746, 1396, 28, 190, "Output",ExpressionUUID->"319f642e-ec0d-4ded-befa-b785230eff5a",
 CellID->1466664307]
}, Open  ]],
Cell[905622, 18777, 1797, 34, 163, "Text",ExpressionUUID->"86c56f63-dab3-416b-818e-93fde09d96ad",
 CellID->1454426861],
Cell[907422, 18813, 519, 11, 61, "CodeText",ExpressionUUID->"d61cc994-5127-437b-96c1-ca0a54cde490",
 CellID->762128869],
Cell[CellGroupData[{
Cell[907966, 18828, 8135, 198, 31, "Input",ExpressionUUID->"39bf2167-c742-4565-8fbe-5d40669f8c51",
 CellID->485506325],
Cell[916104, 19028, 2172, 50, 789, "Output",ExpressionUUID->"933757fe-a5f1-4295-8964-8d2aa9a55c48",
 CellTags->"LastCellOfAPage",
 CellID->521173079]
}, Open  ]],
Cell[918291, 19081, 1344, 26, 381, "Text",ExpressionUUID->"375a4f65-deee-48be-862e-1d676cc384ff",
 CellTags->"p: 318",
 CellID->1428746190],
Cell[919638, 19109, 479, 10, 194, "CodeText",ExpressionUUID->"9b750ace-6ffa-496c-ac72-2a830bf77b8b",
 CellID->1156381003],
Cell[CellGroupData[{
Cell[920142, 19123, 600, 10, 160, "Input",ExpressionUUID->"01e06575-d28e-4344-ba18-dfd6066d2f8f",
 CellID->118129304],
Cell[920745, 19135, 1138, 15, 245, "Output",ExpressionUUID->"3a6a426d-fbc4-40d7-9118-d0bcdbb7b28e",
 CellID->595223423]
}, Open  ]],
Cell[921898, 19153, 869, 17, 88, "Text",ExpressionUUID->"5fa63d02-0261-4355-a525-f7e0d99ef0fc",
 CellID->38787077],
Cell[922770, 19172, 506, 10, 61, "CodeText",ExpressionUUID->"b054f43a-cff8-4ce9-93f5-d85b8505fc26",
 CellID->180435782],
Cell[CellGroupData[{
Cell[923301, 19186, 518, 9, 26, "Input",ExpressionUUID->"61cd081d-919b-40ca-8d30-0e4b09334ebf",
 CellID->1332063349],
Cell[923822, 19197, 939, 23, 57, "Output",ExpressionUUID->"70db163b-c2ea-429c-acfa-9681b7fc55f0",
 CellID->674192937]
}, Open  ]],
Cell[924776, 19223, 220, 4, 63, "Text",ExpressionUUID->"cd9c9291-ed9a-40aa-82c6-a55bbf71e747",
 CellID->439382467],
Cell[924999, 19229, 456, 10, 39, "CodeText",ExpressionUUID->"2b731e92-3747-49ea-89aa-374544901203",
 CellID->653349468],
Cell[CellGroupData[{
Cell[925480, 19243, 8787, 210, 50, "Input",ExpressionUUID->"85da3850-d5d4-4823-9999-ef598b7065be",
 CellID->348078449],
Cell[934270, 19455, 837, 14, 95, "Output",ExpressionUUID->"22c90af5-78b6-4b3b-be0e-4c7e9ac96aa8",
 CellID->823561564]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[935156, 19475, 245, 3, 57, "Subsection",ExpressionUUID->"500eca0b-0440-45ba-bf5d-67cea12f3668",
 CellID->1823888914],
Cell[935404, 19480, 1366, 23, 138, "Text",ExpressionUUID->"19771c5d-716c-4a3f-b8be-e76af4fffbca",
 CellTags->{"LastCellOfAPage", "i:38"},
 CellID->1774779777],
Cell[936773, 19505, 398028, 6543, 439, "Picture",ExpressionUUID->"48199c61-89de-458a-b9fa-1f043d518c65",
 CellTags->"p: 319",
 CellID->1145694989],
Cell[1334804, 26050, 821, 12, 163, "Text",ExpressionUUID->"77753a51-a338-4a40-9a0a-6f1e18dfacba",
 CellID->124174871],
Cell[1335628, 26064, 1085, 17, 138, "Text",ExpressionUUID->"373170ee-4832-4c58-8866-c0584b0e9813",
 CellID->1789776097],
Cell[1336716, 26083, 266, 5, 39, "CodeText",ExpressionUUID->"8d9527b1-b893-49a0-85eb-c3bf22ce9891",
 CellID->1801011952],
Cell[1336985, 26090, 361, 9, 46, "Input",ExpressionUUID->"60463a34-13b4-4db0-ae16-52733bbb7be3",
 CellID->1375801046],
Cell[1337349, 26101, 958, 23, 63, "Text",ExpressionUUID->"c0501228-2c39-4019-aa11-af388e0efb88",
 CellID->2115075169],
Cell[1338310, 26126, 308, 5, 39, "CodeText",ExpressionUUID->"b2f79990-f63e-48df-bbd4-903abe505c11",
 CellID->698227295],
Cell[CellGroupData[{
Cell[1338643, 26135, 400, 10, 26, "Input",ExpressionUUID->"8f47b617-1617-4aa9-a583-862ddf979bcf",
 CellID->1681102184],
Cell[1339046, 26147, 479, 8, 57, "Output",ExpressionUUID->"0c6393f3-02e8-42c4-acda-3fd4049e7f08",
 CellTags->"LastCellOfAPage",
 CellID->308329585]
}, Open  ]],
Cell[1339540, 26158, 472, 9, 63, "Text",ExpressionUUID->"38c93bc7-857c-47fd-a32b-2e2c22d75453",
 CellTags->"p: 320",
 CellID->979354212],
Cell[1340015, 26169, 239, 3, 39, "CodeText",ExpressionUUID->"794f40a8-a612-4bfb-96e8-3182a643c77f",
 CellID->15786204],
Cell[CellGroupData[{
Cell[1340279, 26176, 488, 9, 26, "Input",ExpressionUUID->"bbd7102e-8aea-47e0-8ed8-da57fdfe6d09",
 CellID->260276050],
Cell[1340770, 26187, 3905, 86, 399, "Output",ExpressionUUID->"97e1a108-a2d4-4722-aa43-6466f11ffeae",
 CellID->893752380]
}, Open  ]],
Cell[1344690, 26276, 772, 14, 88, "Text",ExpressionUUID->"669f1359-5d82-427a-8453-7adb5d19c786",
 CellID->1250776111],
Cell[1345465, 26292, 526, 11, 39, "CodeText",ExpressionUUID->"85df08f1-d532-4338-a114-ea7059e41c3c",
 CellID->992191031],
Cell[CellGroupData[{
Cell[1346016, 26307, 846, 20, 47, "Input",ExpressionUUID->"4e682f55-1637-4d8c-beb1-1fabba63b05f",
 CellID->1367718130],
Cell[1346865, 26329, 5017, 123, 475, "Output",ExpressionUUID->"bbe7145c-7d15-4a4a-b8c5-0d2b6a2ce6bd",
 CellTags->"LastCellOfAPage",
 CellID->112695155]
}, Open  ]],
Cell[1351897, 26455, 618, 13, 63, "Text",ExpressionUUID->"68dbecf1-3392-49cf-9c63-110da7489200",
 CellTags->"p: 321",
 CellID->1720042046],
Cell[1352518, 26470, 539, 11, 39, "CodeText",ExpressionUUID->"61ec5bfe-4741-4267-97bd-e39a3681e62c",
 CellID->714327094],
Cell[CellGroupData[{
Cell[1353082, 26485, 511, 13, 27, "Input",ExpressionUUID->"c72cccd8-6688-4893-a0be-a923e7a1bb1f",
 CellID->2066847416],
Cell[1353596, 26500, 835, 18, 57, "Output",ExpressionUUID->"63c2c06d-003f-43b0-ab3f-0c76ea11bb4b",
 CellID->1940453789]
}, Open  ]],
Cell[1354446, 26521, 661, 12, 63, "Text",ExpressionUUID->"0b055845-97d9-427d-a520-052b9bfde9fe",
 CellID->2009675411],
Cell[1355110, 26535, 334, 6, 39, "CodeText",ExpressionUUID->"d3430470-2c8d-4a51-b902-475f80b98f7c",
 CellID->549636755],
Cell[CellGroupData[{
Cell[1355469, 26545, 443, 9, 26, "Input",ExpressionUUID->"74295923-4f1e-47d9-9bf2-0ba1e1807a3f",
 CellID->1845492891],
Cell[1355915, 26556, 469, 7, 57, "Output",ExpressionUUID->"b0195c06-a78c-4e94-bd7e-cd87dbfdb265",
 CellID->949011727]
}, Open  ]],
Cell[1356399, 26566, 593, 12, 63, "Text",ExpressionUUID->"02ff8762-b4c0-41c9-94b3-10ec89cf4ffe",
 CellID->526498110],
Cell[1356995, 26580, 1265, 30, 61, "CodeText",ExpressionUUID->"1ec88789-5d95-4ceb-8291-c026984c57fe",
 CellID->852638398],
Cell[CellGroupData[{
Cell[1358285, 26614, 8659, 205, 50, "Input",ExpressionUUID->"b49a66d4-0488-4380-a5f2-79dbd08614f5",
 CellID->1686258613],
Cell[1366947, 26821, 50062, 911, 265, "Output",ExpressionUUID->"4bde4db9-6a7a-4b7a-84a2-dac88afca634",
 CellTags->"LastCellOfAPage",
 CellID->761431987]
}, Open  ]],
Cell[1417024, 27735, 425, 8, 63, "Text",ExpressionUUID->"8aa6f68d-6bc8-426f-bf47-11386447b15b",
 CellTags->"p: 322",
 CellID->2121113940],
Cell[1417452, 27745, 372, 7, 61, "CodeText",ExpressionUUID->"ccc7a49c-6bf4-4fd4-ba01-b6ce2b1e845a",
 CellTags->"i:39",
 CellID->764618368],
Cell[CellGroupData[{
Cell[1417849, 27756, 1751, 47, 198, "Input",ExpressionUUID->"aa5be512-c717-4964-9673-8c4db454ff2b",
 CellID->2117319520],
Cell[1419603, 27805, 94314, 2212, 629, "Output",ExpressionUUID->"4329231f-a1aa-4e61-8ff4-938942695515",
 CellTags->"LastCellOfAPage",
 CellID->1861308584]
}, Open  ]],
Cell[CellGroupData[{
Cell[1513954, 30022, 209, 3, 70, "VocabularySection",ExpressionUUID->"ef2ea63e-2a20-42a9-a9e2-9cb3e0499c1d",
 CellTags->"p: 323",
 CellID->57238089],
Cell[1514166, 30027, 4986, 113, 299, "VocabularyTable",ExpressionUUID->"68bc0fb7-9c5a-4fc1-8e0f-6ed69ac9be76",
 CellID->122274690]
}, Open  ]],
Cell[CellGroupData[{
Cell[1519189, 30145, 160, 3, 65, "ExerciseSection",ExpressionUUID->"8694b614-6264-4c6a-a1b9-c08c11990518",
 CellID->365369478],
Cell[1519352, 30150, 577, 8, 68, "ExerciseNote",ExpressionUUID->"dcdf3909-c727-402c-8f44-d91cb5b20c35",
 CellID->1614723027],
Cell[CellGroupData[{
Cell[1519954, 30162, 220, 5, 26, "Exercise",ExpressionUUID->"7d0b9af8-b05b-415a-acaf-a5facd522401",
 CellTags->"Exercise",
 CellID->400110369],
Cell[1520177, 30169, 380, 9, 25, "ExerciseInput",ExpressionUUID->"224841a2-6fb9-41c7-ae02-1506606f3caf",
 CellID->1345347057]
}, Open  ]],
Cell[1520572, 30181, 1067, 22, 68, "Exercise",ExpressionUUID->"f4d6994d-0813-477f-aea0-bdab1c06b1b3",
 CounterIncrements->None,
 CellID->890874405],
Cell[1521642, 30205, 1191, 25, 45, "Exercise",ExpressionUUID->"436ef51b-9b21-441d-ba11-83801b2629e3",
 CounterAssignments->{{$CellContext`Exercise, 1}},
 CellTags->"Exercise",
 CellID->1211836776],
Cell[CellGroupData[{
Cell[1522858, 30234, 746, 13, 64, "Exercise",ExpressionUUID->"4a4b697d-3ad0-437e-8d2a-622562bc675e",
 CellTags->"Exercise",
 CellID->940006319],
Cell[1523607, 30249, 368, 10, 26, "Input",ExpressionUUID->"37d54262-90db-432d-9d47-38f987c1982b",
 CellTags->"Exercise",
 CellID->560445790]
}, Open  ]],
Cell[1523990, 30262, 1064, 25, 68, "Exercise",ExpressionUUID->"f7f6284b-f129-472e-af6b-4f12d9a321e5",
 CellTags->"Exercise",
 CellID->41418524],
Cell[1525057, 30289, 346, 6, 26, "Exercise",ExpressionUUID->"6c302050-f63b-4b5d-a3d5-0643451c84c9",
 CellTags->{"Exercise", "LastCellOfAPage"},
 CellID->468248847],
Cell[CellGroupData[{
Cell[1525428, 30299, 517, 9, 45, "Exercise",ExpressionUUID->"20850444-d686-47df-b37b-1dd7609abd45",
 CellTags->{"Exercise", "p: 324"},
 CellID->589958677],
Cell[1525948, 30310, 439, 11, 62, "ExerciseInput",ExpressionUUID->"0d4cc944-2d3c-49eb-bb21-e502ba283af3",
 CellTags->"Exercise",
 CellID->171663605]
}, Open  ]],
Cell[1526402, 30324, 1124, 24, 49, "Exercise",ExpressionUUID->"0e26433b-8270-46e0-aa53-44fe441be3e4",
 CellTags->"Exercise",
 CellID->808478058],
Cell[1527529, 30350, 613, 13, 45, "Exercise",ExpressionUUID->"ea2ea809-ad69-4069-a6dd-80360379b29f",
 CellTags->"Exercise",
 CellID->1946437453],
Cell[1528145, 30365, 310, 5, 26, "Exercise",ExpressionUUID->"c016b690-6126-48a7-9563-e9ac894a9871",
 CellTags->"Exercise",
 CellID->1974776621],
Cell[1528458, 30372, 698, 13, 45, "Exercise",ExpressionUUID->"4bacd058-bef9-4e32-9330-93883ed388b4",
 CellTags->"Exercise",
 CellID->706916907],
Cell[1529159, 30387, 1035, 23, 45, "Exercise",ExpressionUUID->"f7cc71e9-15f6-46a1-9b3c-e74fbfebd64b",
 CellTags->"Exercise",
 CellID->593937710],
Cell[1530197, 30412, 800, 18, 330, "Exercise",ExpressionUUID->"354d1e56-f8a4-4e35-8417-832121172949",
 CellTags->"Exercise",
 CellID->1965190233],
Cell[CellGroupData[{
Cell[1531022, 30434, 933, 18, 279, "Exercise",ExpressionUUID->"a7cbcd7d-31b4-4dd3-a6da-044e596f4585",
 CellTags->"Exercise",
 CellID->1800083271],
Cell[1531958, 30454, 427, 10, 177, "ExerciseInput",ExpressionUUID->"3547c239-e32b-427a-9ec3-1217a1a8ec4c",
 CellTags->"Exercise",
 CellID->1149374577]
}, Open  ]],
Cell[1532400, 30467, 1575, 28, 364, "Exercise",ExpressionUUID->"5bb9cf9e-c974-49be-aa37-b217f75dc7af",
 CellTags->"Exercise",
 CellID->51575317],
Cell[1533978, 30497, 973, 25, 381, "Exercise",ExpressionUUID->"33710d63-9940-4f4d-a6ad-0505efad4f10",
 CellTags->"Exercise",
 CellID->1622228907],
Cell[1534954, 30524, 1975, 44, 102, "Exercise",ExpressionUUID->"4aaa837a-6a1b-4287-b1e4-1fd970a8d815",
 CellTags->"Exercise",
 CellID->1631639168],
Cell[1536932, 30570, 388, 6, 45, "ExerciseNote",ExpressionUUID->"79abaa14-ca2b-45cd-bd70-c6cdcf3b4d6d",
 CellID->1037428006],
Cell[1537323, 30578, 2589, 56, 83, "Exercise",ExpressionUUID->"a980fbe4-a7f2-4164-a1c0-ec05f01ef672",
 CellTags->"Exercise",
 CellID->423465257],
Cell[1539915, 30636, 1748, 37, 64, "Exercise",ExpressionUUID->"34d13127-bade-4797-9bbb-7614879fc246",
 CellTags->"Exercise",
 CellID->2121815541],
Cell[1541666, 30675, 478, 11, 45, "Exercise",ExpressionUUID->"3d17d1db-6200-4dcb-8a22-1603d57244c7",
 CellTags->{"Exercise", "LastCellOfAPage"},
 CellID->1939276572],
Cell[CellGroupData[{
Cell[1542169, 30690, 658, 13, 45, "Exercise",ExpressionUUID->"fc3e37ac-216c-4827-ab85-ced64dc3a8fd",
 CellTags->{"Exercise", "p: 325"},
 CellID->1014559694],
Cell[1542830, 30705, 962, 26, 98, "ExerciseInput",ExpressionUUID->"096dc5e8-9c28-4c3d-bca9-9207c85318e5",
 CellTags->"Exercise",
 CellID->228605157]
}, Open  ]],
Cell[1543807, 30734, 3555, 97, 88, "Exercise",ExpressionUUID->"0a713720-2731-46dc-85cc-6baff443219c",
 CellTags->"Exercise",
 CellID->1953390554],
Cell[1547365, 30833, 879, 20, 64, "Exercise",ExpressionUUID->"b1c7c483-0048-4716-b5cb-6919829b6d7a",
 CellTags->"Exercise",
 CellID->1984026633],
Cell[1548247, 30855, 1773, 40, 70, "Exercise",ExpressionUUID->"7cb0c79b-2d01-410e-ae7b-6e4c035c866b",
 CellTags->"Exercise",
 CellID->1761211481],
Cell[1550023, 30897, 925, 23, 313, "Exercise",ExpressionUUID->"7a805c59-f595-4d80-a4b3-ff32a5e0cd97",
 CellID->423197234]
}, Open  ]],
Cell[CellGroupData[{
Cell[1550985, 30925, 112, 1, 41, "TechNoteSection",ExpressionUUID->"18b8a56d-819f-4b32-8f2f-e9b28abc3a97",
 CellID->361586240],
Cell[1551100, 30928, 1731, 34, 500, "TechNote",ExpressionUUID->"81de0b27-3334-45ff-b0ef-f6d9cbfffef4",
 CellID->1569795792],
Cell[1552834, 30964, 829, 17, 262, "TechNote",ExpressionUUID->"5d0b74f0-0b8b-45b2-8e8e-80b0f966a33e",
 CellID->114282828],
Cell[CellGroupData[{
Cell[1553688, 30985, 8466, 205, 3016, "Input",ExpressionUUID->"0964a1a5-9be1-424b-bb05-57a0c4689d1d",
 CellID->1601688009],
Cell[1562157, 31192, 462, 10, 57, "Output",ExpressionUUID->"5d3a7991-dbbb-47fc-a067-b03d61c856ab",
 CellID->269085971]
}, Open  ]],
Cell[1562634, 31205, 1037, 23, 54, "TechNote",ExpressionUUID->"176e4d29-b0cc-48b2-a7d4-83dbb3221f77",
 CellID->2064184722],
Cell[CellGroupData[{
Cell[1563696, 31232, 8512, 207, 50, "Input",ExpressionUUID->"6d6f5ce9-ea58-41e3-869a-c446beb2af42",
 CellID->334692172],
Cell[1572211, 31441, 358, 8, 37, "Output",ExpressionUUID->"0a52ba92-c562-41f7-a8e9-54ab04cd5c99",
 CellTags->"LastCellOfAPage",
 CellID->1751527106]
}, Open  ]],
Cell[1572584, 31452, 769, 16, 54, "TechNote",ExpressionUUID->"38293ad9-39b4-4d4d-ba81-fc43fc6176a6",
 CellTags->"p: 326",
 CellID->1034315481],
Cell[CellGroupData[{
Cell[1573378, 31472, 9636, 225, 69, "Input",ExpressionUUID->"6ca0234f-b502-4de3-98e9-754e24c4cb09",
 CellID->703572320],
Cell[1583017, 31699, 998, 23, 57, "Output",ExpressionUUID->"def5af2a-ee04-4e7e-9594-2467049021a7",
 CellID->563637397]
}, Open  ]],
Cell[1584030, 31725, 1170, 24, 54, "TechNote",ExpressionUUID->"e2469db2-8b4e-4adf-a1eb-28e1cc64465e",
 CellID->830039654],
Cell[CellGroupData[{
Cell[1585225, 31753, 853, 21, 65, "Input",ExpressionUUID->"0abda5e9-3d40-449c-a0eb-72498a65faa8",
 CellID->1835684758],
Cell[1586081, 31776, 47927, 912, 205, "Output",ExpressionUUID->"7bfe9ec2-b1a5-40b3-992f-9bde2c862d98",
 CellID->401155639]
}, Open  ]],
Cell[1634023, 32691, 1464, 29, 124, "TechNote",ExpressionUUID->"4a439f16-2b47-4ed3-b001-bb4fd2f9f344",
 CellID->1811010604],
Cell[CellGroupData[{
Cell[1635512, 32724, 1124, 31, 182, "Input",ExpressionUUID->"e6756da5-ad6a-4868-aedf-e79a9ab60c56",
 CellID->449017593],
Cell[1636639, 32757, 1250, 33, 126, "Output",ExpressionUUID->"dbc146d4-2e69-4f53-a8f8-e97e247bd7d3",
 CellID->218925676]
}, {2}]],
Cell[1637901, 32793, 1295, 26, 77, "TechNote",ExpressionUUID->"de352f89-4d6c-46bb-8598-53eb55144b1c",
 CellID->2034991634],
Cell[CellGroupData[{
Cell[1639221, 32823, 560, 14, 26, "Input",ExpressionUUID->"54a157b3-16c9-46ea-b2cd-d1b702e2c513",
 CellID->1279830516],
Cell[1639784, 32839, 2391, 54, 138, "Output",ExpressionUUID->"4e4e3583-303a-4112-b016-69b793b442da",
 CellTags->"LastCellOfAPage",
 CellID->1608863820]
}, Open  ]],
Cell[CellGroupData[{
Cell[1642212, 32898, 453, 8, 26, "Input",ExpressionUUID->"38937d05-7004-4c9f-b2bb-74b3bcaba67c",
 CellTags->"p: 327",
 CellID->585762959],
Cell[1642668, 32908, 489, 9, 28, "Message",ExpressionUUID->"ee0708b4-a84f-4351-972a-3e3de02b4e6c",
 CellID->1937653467],
Cell[1643160, 32919, 437, 7, 37, "Output",ExpressionUUID->"bd9b4813-1f31-4cfd-b8ed-ee1e028dda8f",
 CellID->622479419]
}, Open  ]],
Cell[1643612, 32929, 482, 10, 54, "TechNote",ExpressionUUID->"a0ff9788-f7e2-45e2-bb8b-a01ff3c64de4",
 CellID->199128086],
Cell[CellGroupData[{
Cell[1644119, 32943, 432, 8, 26, "Input",ExpressionUUID->"32e0d5d4-c1ed-4c9f-a147-bcd585cd8b0c",
 CellID->371969428],
Cell[1644554, 32953, 1248, 17, 171, "Output",ExpressionUUID->"f17a21f2-1507-4807-8195-433912cbef6b",
 CellID->2047136220]
}, Open  ]],
Cell[1645817, 32973, 218, 2, 30, "TechNote",ExpressionUUID->"c69f4b5d-2e83-42ff-8a76-487346f42daa",
 CellID->1961958665],
Cell[CellGroupData[{
Cell[1646060, 32979, 302, 6, 26, "Input",ExpressionUUID->"e3923d2a-5e56-4409-b19f-0b16b7e49cb8",
 CellID->1371326744],
Cell[1646365, 32987, 1880, 42, 114, "Output",ExpressionUUID->"aa86368b-33d0-438c-8dc9-7392c1c60517",
 CellID->790856601]
}, Open  ]],
Cell[1648260, 33032, 869, 18, 77, "TechNote",ExpressionUUID->"fd079bda-3928-4231-bc4d-0d6eb1ba66f8",
 CellID->998044005]
}, Open  ]],
Cell[CellGroupData[{
Cell[1649166, 33055, 120, 1, 70, "MoreExploreSection",ExpressionUUID->"366a6691-55c8-4cce-9cc7-ba0276fe587d",
 CellID->184782838],
Cell[1649289, 33058, 2148, 61, 49, "MoreExplore",ExpressionUUID->"d546816e-ac89-40fb-a44e-0828ba22ea3a",
 CellTags->"LastCellOfAPage",
 CellID->1015527976]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* NotebookSignature GKz@8sY9nptzNIkLrw#NBAPg *)
